title: À l'aube du monde commun : la tolérance, mise en latence de conflits continués
url: https://www.cairn.info/revue-de-metaphysique-et-de-morale-2008-2-page-191.htm
hash_url: 20075d939adbab58588b6e1e067afa2f

<section class="section1"><h1 class="text-center">
<a id="s1n2"/>LE CONFLIT, RAISON D’ÊTRE DE LA TOLÉRANCE
</h1>
<div id="pa2" class="para">
<a class="no_para" href="#pa2">2</a><p class="alinea">D’une manière générale, le principe de tolérance, la valeur de tolérance ou 
la vertu de tolérance sont tenus pour des notions sinon équivalentes, du moins 
aisément interchangeables. Dans la tradition libérale par exemple, on s’est beaucoup interrogé sur la question de savoir si la <em class="marquage italique">valeur</em> suprême devait en être 
l’<em class="marquage italique">autonomie</em> ou la <em class="marquage italique">tolérance</em>; si, en d’autres termes, le libéralisme devait, du 
point de vue de ses valeurs, se fonder prioritairement sur l’autonomie individuelle ou sur le respect de l’altérité d’autrui. Cette question est au demeurant 
loin d’être purement spéculative, puisque, comme l’a montré Will Kymlicka 
dans <em class="marquage italique">La Citoyenneté multiculturelle</em>, décider de cette préséance décide de l’attitude face aux minorités culturelles, notamment traditionalistes, qui, pour les 
raisons qui sont les leurs, refusent, à l’interne, l’autonomie individuelle de leurs 
membres : un libéral membre de la communauté majoritaire, s’il est « autonomiste », refusera qu’une communauté culturelle restreigne tels droits fondamentaux de ses membres, au nom de l’autonomie de chacun d’eux, précisément, 
alors que s’il est « tolérant », il acceptera une telle communauté non libérale 
minoritaire, pour peu qu’elle n’entrave en rien, à l’externe, les droits des non-membres de cette communauté. En décrivant la tolérance de la sorte, Kymlicka 
se place clairement au niveau institutionnel de la gestion des groupes culturels, 
et la comprend comme une <em class="marquage italique">valeur</em> qui, traduite au plan des institutions précisément, deviendrait un <em class="marquage italique">principe</em> gouvernant celles-ci.</p>
</div>
<div id="pa3" class="para">
<a class="no_para" href="#pa3">3</a><p class="alinea">Fidèle en cela à son maître Rawls, qui comprend toujours la tolérance libérale 
à partir de la tolérance religieuse considérée comme faisant désormais partie de 
notre patrimoine politique commun, Kymlicka envisage donc la tolérance, comprise comme principe de régulation, sous l’égide de la justice. En cela, tous 
deux entérinent en le renouvelant le geste fondateur de Locke : soustraire la 
question de la diversité (religieuse pour Locke, religieuse et culturelle pour 
Rawls et ses disciples) à la question de la <em class="marquage italique">vérité</em> pour en faire une question de 
<em class="marquage italique">justice</em>, c’est-à-dire une question où s’arbitrent des aspirations rivales à l’obtention de certains droits. L’autorité n’émet plus de jugement en conformité 
d’orthodoxie, mais en légitimité de prétentions. C’est là une performance, à la 
fois historique et philosophique, considérable, dont on doit, comme on le sait, 
la première formulation systématique à la fameuse <em class="marquage italique">Lettre sur la tolérance</em> (<em class="marquage italique">Epistola de tolerantia</em>, 1689) de John Locke. Certes, il eut quelques prédécesseurs 
sur la question (Thomas More, Érasme, Hugo Grotius), mais lui le premier a 
mis en évidence la nécessité systématique de séparer l’État de la société religieuse (constituée de différentes Églises), en distinguant radicalement deux 
sortes de biens, les <em class="marquage italique">biens civils</em> (<em class="marquage italique">bona civilia</em>, tels « la liberté, l’intégrité du corps 
et sa protection contre la douleur, la possession de biens extérieurs tels que sont 
les terres, l’argent, les meubles, etc. »), qui sont garantis par la force mise à 
disposition du magistrat, et les <em class="marquage italique">biens spirituels</em>, qui concernent le soin de l’âme 
(le salut) et qui sont du ressort de la conscience individuelle de chacun au sein 
d’une Église à laquelle il s’est librement associé, sans que le magistrat n’y 
puisse exercer aucune interférence d’aucune sorte. La division du travail est 
donc particulièrement tranchée : au magistrat ne revient que la tâche séculière 
d’assurer le juste ordonnancement des biens civils, alors qu’en matière de salut 
chacun est libre de suivre sa conscience : « Le soin des âmes n’appartient pas 
au magistrat <a id="re1no1" class="&#10;                renvoi note" href="#no1">[1]</a><a id="amorce_re1no1" href="#no1" class="amorce note"><span class="renvoi_fake_no">[1]</span> John LOCKE, Lettre sur la tolérance, trad. de Raymond...</a>. » Notons toutefois que l’argumentation de Locke n’est pas libérale au sens où il défendrait – comme le fera pour la première fois John Stuart 
Mill dans <em class="marquage italique">On Liberty</em> (1859) – le pluralisme religieux <em class="marquage italique">pour</em> le pluralisme religieux, fondé sur un inaliénable droit de la conscience individuelle : il le défend 
plutôt <em class="marquage italique">par défaut</em>, en raison de l’<em class="marquage italique">impuissance</em> du magistrat à agir efficacement 
sur les convictions de chacun : « Aucun chemin sur lequel j’avance contre ma 
conscience ne me conduira jamais au séjour des bienheureux <a id="re2no2" class="&#10;                renvoi note" href="#no2">[2]</a><a id="amorce_re2no2" href="#no2" class="amorce note"><span class="renvoi_fake_no">[2]</span> Ibid., p. 47.</a>. » La valeur 
suprême n’est pas ici le pluralisme, mais la sincérité intérieure : le pluralisme 
religieux en est l’inévitable conséquence.</p>
</div>
<div id="pa4" class="para">
<a class="no_para" href="#pa4">4</a><p class="alinea">Il n’en reste pas moins que, historiquement, la tolérance est née comme un 
principe <em class="marquage italique">politique</em> devant permettre la coexistence pacifique de conceptions 
<em class="marquage italique">religieuses</em> divergentes. Depuis Locke, notamment à travers les divers édits de 
tolérance, celle-ci s’est trouvée pour ainsi dire constitutionnalisée. Or, il est 
probable qu’en imposant une solution politique à un problème religieux, la 
constitutionnalisation du principe de tolérance a grandement contribué à la 
« privatisation » de la religion – comme le souhaitait Locke, la religion s’est 
retirée dans la sphère privée. Mais, en retour, cette privatisation a rendu la 
tolérance pour ainsi dire sans objet : la tolérance lockéenne est devenue inutile 
parce que, privatisée, la religion est devenue entre-temps indifférente. Confinée 
au champ privé des pratiques et convictions individuelles, la religion a, dans 
les démocraties modernes, perdu de sa puissance conflictuelle. La coexistence 
y est devenue le mode de vie politique standard, dont l’expression théorique la 
plus haute a sans doute été consignée par John Rawls et sa notion de « consensus 
par recoupement » (« <em class="marquage italique">overlapping consensus</em> »). L’idée principale en est que, 
moyennant un certain accord sur quelques valeurs politiques fondamentales, les 
cosociétaires peuvent légitimement diverger quant à la « doctrine compréhensive » (entendons : les visions du monde morales, philosophiques, religieuses) 
qu’ils épousent par ailleurs. Libéraux en tant qu’individus publics, les citoyens 
peuvent fort bien être communautariens dans leur sphère privée – une position 
qui, au demeurant, ne va pas sans tensions, comme l’a souligné à juste titre 
Kymlicka.</p>
</div>
<div id="pa5" class="para">
<a class="no_para" href="#pa5">5</a><p class="alinea">Mais à vrai dire, dans une coexistence publique ainsi pacifiée, la tolérance 
historique (celle taillée à la mesure des guerres de religion) flirte désormais 
ouvertement avec l’<em class="marquage italique">indifférence</em> : peu (m’) importent les pratiques et convictions 
des autres, tant qu’elles n’empêchent pas les miennes. Le principe de tolérance 
intériorisé depuis en vertu quotidienne équivaut en fait au respect mutuel des 
libertés <em class="marquage italique">négatives</em> de chacun <em class="marquage italique">de ne pas être entravé</em> dans l’exercice de son projet 
de vie. Mais cette tolérance indifférente est plus indifférence que tolérance, 
comme le montre suffisamment le fait que l’indifférence rend la tolérance 
inutile. Si quelqu’un m’indiffère, je n’ai pas besoin de le tolérer, puisque je ne 
lui suis même pas opposé. D’où il appert qu’une condition constitutive de la 
tolérance est le <em class="marquage italique">conflit</em> : la tolérance présuppose le conflit, exactement comme 
le courage présuppose la peur. Elle le présuppose, et en est donc indissociable. 
Que ce soit au plan d’un principe institutionnel ou d’une vertu personnelle, 
qu’elle soit une valeur proclamée ou une pratique affirmée, la tolérance a fondamentalement le conflit pour raison d’être.</p>
</div>
</section>
<section class="section1"><h1 class="text-center">
<a id="s1n3"/>LA CONFLICTUALITÉ DU MONDE COMMUN
</h1>
<div id="pa6" class="para">
<a class="no_para" href="#pa6">6</a><p class="alinea">Mais qu’est-ce qu’un conflit ? Comme le dit joliment l’<em class="marquage italique">Encyclopédie</em> de 
Diderot et d’Alembert, à l’article « Tolérance » précisément <a id="re3no3" class="&#10;                renvoi note" href="#no3">[3]</a><a id="amorce_re3no3" href="#no3" class="amorce note"><span class="renvoi_fake_no">[3]</span> Article rédigé par « M. Romilli le fils ».</a> : « On peut compter sans doute plusieurs sources de nos discordes. Nous ne sommes que trop 
féconds en ce genre. » De cet excès de belliquosité, si l’on peut dire, qui menace 
en permanence les relations humaines sous toutes ses facettes, on peut rendre 
compte si l’on donne à la notion de conflit une extension maximale, en le 
définissant comme <em class="marquage italique">divergence manifestée</em>. Dans la perspective qui est la nôtre, 
une telle extension est heuristiquement intéressante, précisément en ce qu’elle 
ne préjuge pas du type, de la nature ou de l’objet de la divergence considérée ; 
il importe en revanche à celle-ci d’être <em class="marquage italique">manifestée</em>, puisque cette manifestation 
est l’émergence même du conflit – sa manifestation est son être même –, et 
appelle, en tant que telle, une réponse – belliqueuse ou pacifiante, pacifiante ou 
<em class="marquage italique">tolérante</em>, nul ne peut le dire à l’avance.</p>
</div>
<div id="pa7" class="para">
<a class="no_para" href="#pa7">7</a><p class="alinea">Si l’on part de la prémisse selon laquelle la tolérance présuppose le conflit 
comme sa raison d’être, et si l’on se propose d’élucider la notion de tolérance 
sur la voie méthodique de son rapport au conflit, alors on ne peut se contenter 
de définir la tolérance par ce qu’elle est chargée de contenir (au sens de maintenir 
dans des limites). Car cette détermination par sa négation reste indéterminée 
précisément sur le point qui importe : la tolérance s’oppose au conflit, c’est une 
chose entendue; mais de quelle nature est la relation qui les oppose ? Concrètement, à quel degré de conflit doit-on parvenir pour que la tolérance soit 
requise ? De quels types doivent être les conflits, à quelles conditions doivent-ils 
répondre pour qu’ils requièrent la tolérance ? Et à l’égard de quoi requiert-on 
la tolérance ? Bref : que doit être un conflit, pour que son autre soit la tolérance ?</p>
</div>
<div id="pa8" class="para">
<a class="no_para" href="#pa8">8</a><p class="alinea">Nous avons vu que sur la question religieuse d’origine, le <em class="marquage italique">principe</em> de tolérance, désormais constitutionnalisé sous nos régimes démocratiques, et conquis 
au prix d’une mise entre parenthèses de la question de la vérité, s’est quasiment 
mué en indifférence. Mais aujourd’hui, dans nos sociétés culturellement complexes, la question de la différence religieuse et de son rapport à la loi civile se 
trouve débordée par la question de la différence culturelle, précisément, tout en 
l’englobant. Pour Locke, la tolérance était requise à l’égard des convictions de 
chacun quant au salut de son âme, ce qui entraînait la liberté cultuelle; une 
obéissance civile sans faille en était la contrepartie. Aujourd’hui, sous la pression 
du multiculturalisme, cette division du travail s’est brouillée. Il vaut la peine de 
citer ici cette saisissante liste d’exemples énumérés par le journaliste allemand 
Dieter Grimm, qui rend poreuse la frontière lockéenne entre le dicastère du 
magistrat et le règne de la conscience individuelle :</p>
</div>
<div id="pa9" class="para">
<a class="no_para" href="#pa9">9</a><blockquote class="bloccitation"><p class="alinea">Un sikh à moto peut-il réclamer, en invoquant son devoir religieux de porter un turban, 
d’être exempté du devoir général de porter un casque ? Un prisonnier juif peut-il 
exiger qu’on lui serve une alimentation casher ? Un employé musulman a-t-il le droit 
de suspendre son travail pour de brèves prières ? A-t-on le droit de licencier un 
employé, parce qu’il s’est absenté pendant les fêtes sacrées de sa communauté religieuse ? Un employé licencié pour de telles raisons peut-il prétendre à une allocation 
chômage ? Faut-il autoriser les commerçants juifs à ouvrir leur commerce le dimanche, 
parce qu’ils n’ont pas le droit de l’ouvrir le samedi ? Une élève musulmane peut-elle 
être exemptée de l’éducation physique, parce qu’il lui est interdit de se montrer aux 
autres élèves en tenue de sport ? Les élèves musulmanes ont-elles le droit de porter 
le foulard à l’école ? Qu’en est-il quand il s’agit d’enseignantes dans les écoles 
publiques ? Une règle différente s’applique-t-elle aux sœurs en habit et aux enseignantes musulmanes ? […] Faut-il tolérer, dans les villes allemandes, à la fois l’appel 
du muezzin transmis par haut-parleur et le carillon des églises ? Faut-il autoriser les 
étrangers à égorger des bêtes, bien que cela contredise les règles de protection du 
pays ? […] Faut-il autoriser les mormons à pratiquer la polygamie chez nous, dans 
la mesure où cette pratique est autorisée dans leur pays d’origine <a id="re4no4" class="&#10;                renvoi note" href="#no4">[4]</a><a id="amorce_re4no4" href="#no4" class="amorce note"><span class="renvoi_fake_no">[4]</span> Cité par Jürgen HABERMAS, Zwischen Naturalismus und...</a> ?</p></blockquote>
</div>
<div id="pa10" class="para">
<a class="no_para" href="#pa10">10</a><p class="alinea">Multipliés à l’envi, ou, pire : dramatisés en conflits d’identités, les exemples de 
ce type peuvent facilement alimenter les motifs nostalgiques de la perte de 
communauté et de l’anomie sociale : ils menacent la société de la transformer 
en kaléidoscope de communautés. Une tout autre analyse est pourtant possible, 
qui révèle la tolérance sous un jour nouveau, et manifeste, pour ainsi dire, ses 
potentialités communautaires. On voit par exemple que si ces conflits déterminés 
doivent à chaque fois être régulés, un simple principe de civilité, compris comme 
une forme de respect consigné dans l’idée des bonnes manières, n’y suffit pas. 
Si l’on en croit la reconstruction qu’opère Jean-Marc Ferry de la « constitution 
profonde » de la « moralité du monde moderne <a id="re5no5" class="&#10;                renvoi note" href="#no5">[5]</a><a id="amorce_re5no5" href="#no5" class="amorce note"><span class="renvoi_fake_no">[5]</span> Jean-Marc FERRY, De la civilisation, Paris, Cerf, 2001,...</a> » – une reconstruction, au 
demeurant, d’où est totalement absente l’idée de tolérance, ce qui ne laisse pas 
d’être problématique –, la civilité se comprend comme « un principe de socialisation médiatisée par la reconnaissance des différences de sensibilités individuelles, c’est-à-dire par une forme généralisée du respect <a id="re6no6" class="&#10;                renvoi note" href="#no6">[6]</a><a id="amorce_re6no6" href="#no6" class="amorce note"><span class="renvoi_fake_no">[6]</span> Ibid., p. 66.</a> ». Elle est un principe 
d’ouverture à autrui, contraire à l’esprit solipsiste; avec les principes plus tardifs 
de légalité (consécration des droits individuels) puis de publicité (espace public 
de communication), il constituerait la grammaire fondamentale de la vie éthique 
occidentale – une grammaire, notons-le bien, <em class="marquage italique">communautaire</em>, tout en étant 
parallèle au développement de l’individualisme moderne, et congruent avec lui. 
Comme Hegel, Jean-Marc Ferry veut résoudre dans une entité de niveau supérieur (l’État pour Hegel, un espace métanational de communication publique 
pour lui) l’équation complexe qui, en apparence, oppose l’individu à la communauté.</p>
</div>
<div id="pa11" class="para">
<a class="no_para" href="#pa11">11</a><p class="alinea">Mais, dans les exemples de Grimm, la civilité ne suffit pas à aplanir les 
conflits. Car c’est précisément de <em class="marquage italique">conflits</em> qu’il s’agit; non pas simplement de 
sensibilités ou d’opinions à respecter dans un espace par ailleurs commun, mais 
de divergences manifestées sous forme de pratiques incompatibles entre elles. 
Si la civilité est bien porteuse d’une performance éthique spécifique en ouvrant 
la communauté d’abord immédiate à une « plus grande pluralité de styles et de 
caractères <a id="re7no7" class="&#10;                renvoi note" href="#no7">[7]</a><a id="amorce_re7no7" href="#no7" class="amorce note"><span class="renvoi_fake_no">[7]</span> Ibid., p. 21.</a> », elle n’est néanmoins pas taillée à la mesure de la conflictualité 
qui menace la socialité de l’intérieur, et dont les exemples de Grimm ne sont 
que la pointe multiculturelle : il faudrait leur ajouter tous ceux relevant des 
luttes sociales et politiques qui sont le tissu de notre monde commun quotidien. 
Car, bien que commun, ce monde est conflictuel ; et c’est même l’une des vertus 
du conflit que d’obliger à chaque fois à la redéfinition du monde commun, en 
tout cas dans sa parcelle litigieuse concernée <a id="re8no8" class="&#10;                renvoi note" href="#no8">[8]</a><a id="amorce_re8no8" href="#no8" class="amorce note"><span class="renvoi_fake_no">[8]</span> J’ai développé ce thème au fil d’une théorie de la...</a>. Or, la civilité n’opère pas cela. 
Forme encore embryonnaire ou inchoative de la raison communicationnelle, elle 
préfigure ce qu’une « nécessité strictement inhérente à la logique du développement moral » nous oblige à postuler, à savoir une « ouverture à une reconnaissance universelle des êtres capables en général de souffrir, d’aimer, de 
penser <a id="re9no9" class="&#10;                renvoi note" href="#no9">[9]</a><a id="amorce_re9no9" href="#no9" class="amorce note"><span class="renvoi_fake_no">[9]</span> Jean-Marc FERRY, De la civilisation, op. cit., pp....</a> »; civilité, légalité puis publicité sont entièrement déclinées sur l’arc 
de la moralité communicationnelle. Ce faisant, ces principes livrent assurément 
quelque chose d’essentiel de la substance <em class="marquage italique">morale</em> de l’identité européenne ; 
mais, simultanément, ils occultent la substance du <em class="marquage italique">monde</em> dans lequel se meuvent 
les acteurs moraux, monde commun qui, pour pouvoir être commun malgré 
l’irréductible pluralité des personnes, requiert de leur part une compétence 
éthique spécifique capable d’endiguer la conflictualité qui lui est inhérente. 
Comme nous venons de le voir, il faut pour cela plus que la civilité, laquelle 
est marquée par « l’acquisition progressive de médiations éthiques telles que la 
réserve, l’attention, la prévenance, la politesse, la délicatesse <a id="re10no10" class="&#10;                renvoi note" href="#no10">[10]</a><a id="amorce_re10no10" href="#no10" class="amorce note"><span class="renvoi_fake_no">[10]</span> Ibid., p. 21.</a> » – des qualités 
civilisatrices certes importantes mais qui, déjà grosses de la raison communicationnelle qu’elles anticipent, ne font pas droit à la conflictualité inhérente au 
monde commun, liée au fait même de la pluralité des personnes. La civilité est 
déjà une forme de communication qui en tant que telle <em class="marquage italique">présuppose</em> un monde 
commun. Mais si ce monde commun est fait de conflictualité, au moins au titre 
de <em class="marquage italique">possibilité</em> permanente, il reste encore à expliquer comment il est simplement 
possible de maintenir, en deçà de la civilité en quelque sorte, un monde commun. 
C’est ici qu’intervient la notion, encore à définir, de tolérance.</p>
</div>
<div id="pa12" class="para">
<a class="no_para" href="#pa12">12</a><p class="alinea">Si, comme nous l’avons montré, la tolérance a partie liée avec le conflit 
comme sa raison d’être, il n’en reste pas moins que, sur le fond de cette 
caractéristique générale, plusieurs pratiques de tolérance peuvent être distinguées. J’en ai déjà mentionné une, la tolérance comme indifférence, qui n’est 
en vérité même pas, ou plus, tolérance. Michael Walzer distingue cinq attitudes 
de tolérance <a id="re11no11" class="&#10;                renvoi note" href="#no11">[11]</a><a id="amorce_re11no11" href="#no11" class="amorce note"><span class="renvoi_fake_no">[11]</span> Je cite ici Michael WALZER, Traité sur la tolérance,...</a> : 1) l’acceptation résignée de la différence, dans l’intérêt de la 
coexistence pacifique, comme lorsque la paix s’installe de guerre lasse, comme 
l’on dit en français ; 2) une bienveillante indifférence à la différence, comme 
lorsque l’on dit : « Il faut de tout pour faire un monde »; 3) une tolérance 
d’inspiration stoïcienne, qui se présente comme reconnaissance de principe du 
fait que les « autres » ont des droits, même s’ils les exercent de manière peu 
plaisante; 4) une certaine ouverture à l’autre, une curiosité, qui se manifeste 
dans une volonté d’écouter ou d’apprendre ; 5) une adhésion enthousiaste à la 
différence, « adhésion de type esthétique, si la différence est considérée comme 
l’expression, sous la forme culturelle, de la richesse et de la diversité de la 
Création divine ou du monde naturel; adhésion de type fonctionnel, si la différence est perçue (voir le discours libéral multiculturaliste) comme la condition 
nécessaire du développement harmonieux de l’homme, et, par les choix qu’elle 
offre aux individus, celle de leur autonomie véritable <a id="re12no12" class="&#10;                renvoi note" href="#no12">[12]</a><a id="amorce_re12no12" href="#no12" class="amorce note"><span class="renvoi_fake_no">[12]</span> Ibid., p. 27.</a> ». En réalité, contrairement à ce qu’affirme Walzer, cette dernière attitude n’a plus rien à voir, elle 
non plus, avec la tolérance : s’il y a adhésion enthousiaste, il n’y a plus conflit, 
mais adhésion précisément, c’est-à-dire une forme d’absorption de la différence 
et donc d’élimination de la conflictualité qu’elle pourrait générer. Sur ce point, 
Habermas a incontestablement raison : « La tolérance n’est requise que lorsque, 
sur une base raisonnable, les parties prenantes ni ne cherchent l’accord sur les 
convictions litigieuses ni ne les considèrent possibles <a id="re13no13" class="&#10;                renvoi note" href="#no13">[13]</a><a id="amorce_re13no13" href="#no13" class="amorce note"><span class="renvoi_fake_no">[13]</span> Jürgen HABERMAS, Zwischen Naturalismus und Religion,...</a>. » Ni chercher l’accord, 
ni le considérer comme possible : voilà une condition supplémentaire de la 
tolérance, qui s’ajoute à et complète celle que nous notions plus haut, à savoir 
qu’il y ait conflit.</p>
</div>
</section>
<section class="section1"><h1 class="text-center">
<a id="s1n4"/>LA TOLÉRANCE COMME « AGIR PASSIF » : 
LA MISE EN LATENCE DE CONFLITS CONTINUÉS
</h1>
<div id="pa13" class="para">
<a class="no_para" href="#pa13">13</a><p class="alinea">Nous voyons ainsi la notion de tolérance cadrée de deux côtés ; d’un côté, il 
faut qu’il y ait <em class="marquage italique">plus</em> qu’indifférence pour qu’il y ait tolérance : c’est précisément 
l’indifférence qui doit être ébranlée pour que puisse prendre place la tolérance. 
Mais, de l’autre côté, la tolérance doit être <em class="marquage italique">moins</em> qu’une adhésion enthousiaste, 
parce que alors non plus, il n’y a, à strictement parler, plus rien à tolérer : on 
ne gère plus la différence, on l’épouse. La tolérance – et la multitude d’attitudes 
sur lesquelles elle se décline – se situe sur la palette qui s’étend entre ces deux 
extrêmes qui, chacune à sa manière, la suspendent. Elles la suspendent chacune 
à sa manière, certes, mais pour la même raison : l’indifférence comme l’adhésion 
éteignent le conflit de différence. De là découle que la tolérance présuppose 
comme sa condition de possibilité un conflit <em class="marquage italique">continué</em> mais <em class="marquage italique">latent</em> : il est continué 
au sens où la tolérance ne fait pas disparaître la source du conflit, puisque l’objet 
de la divergence demeure; mais il est dans un état de latence, car si la cause 
du conflit demeure, sa puissance déclenchante est en quelque sorte désamorcée. 
Si la source du conflit disparaît, la tolérance est inutile; si le conflit éclate, la 
tolérance n’est plus. On pourrait dire aussi que la tolérance met le conflit dans 
un état de latence : le conflit perdure, mais à l’état latent, précisément, qui fait 
qu’il ne se manifeste plus. Mais il est là, toujours possible : c’est la raison pour 
laquelle les solutions multiculturelles sont si fragiles, et celles qui existent, si 
rares.</p>
</div>
<div id="pa14" class="para">
<a class="no_para" href="#pa14">14</a><p class="alinea">La tolérance apparaît ainsi comme la <em class="marquage italique">mise en latence de conflits continués</em>, 
ce qui veut dire : dont la raison d’être perdure, dans l’actualité même des 
relations de coexistence, voire de coopération. À ce titre, <em class="marquage italique">elle est le réquisit 
indispensable de l’existence d’un monde commun marqué par la pluralité des 
êtres</em>, et par le pluralisme des pratiques et opinions qui en résulte. Il faut parler 
ici en toute rigueur d’un <em class="marquage italique">présupposé pratique</em> indispensable au partage et au 
maintien d’un monde commun, voire d’un présupposé <em class="marquage italique">praxique</em>, au sens où 
c’est un agir spécifique qui est demandé aux acteurs sociaux : celui de mettre 
en latence, précisément, ce qui pourrait tout aussi bien donner lieu à un conflit 
ouvert. Il faut inconditionnellement de la tolérance pour constituer un monde 
commun.</p>
</div>
<div id="pa15" class="para">
<a class="no_para" href="#pa15">15</a><p class="alinea">Insistons sur ce caractère pratique ou praxique de la tolérance, pour bien 
marquer sa spécificité quant à l’existence d’un monde commun. À la différence 
en effet des approches phénoménologiques du monde commun, il s’agit ici de 
mettre en évidence non pas tant la <em class="marquage italique">communauté</em> de pratiques et de croyances 
des acteurs sociaux, c’est-à-dire l’ensemble des « synthétisations passives qui 
s’effectuent avant toute conceptualisation du second degré, c’est-à-dire par 
l’acteur social lui-même <a id="re14no14" class="&#10;                renvoi note" href="#no14">[14]</a><a id="amorce_re14no14" href="#no14" class="amorce note"><span class="renvoi_fake_no">[14]</span> Bruce BÉGOUT, L’Enfance du monde, Chatou, Éd. de la...</a> », que cette dimension spécifique d’un « <em class="marquage italique">agir passif</em> » 
où les acteurs <em class="marquage italique">renoncent</em> à conflictualiser ce qui inévitablement les sépare, étant 
entendu que cet agir doit lui-même être aussi continué que les conflits qu’il doit 
mettre en latence. Le point de départ est non l’<em class="marquage italique">identité</em> des vérités pratiques 
irréfléchies, mais la <em class="marquage italique">pluralité</em> potentiellement conflictuelle des êtres. Autrement 
dit, le simple partage de contenus objectifs communs ne suffit pas à assurer 
l’existence et le maintien d’un monde commun, entre autres parce que l’existence de croyances communes n’efface pas la pluralité des êtres. Or, si un monde 
commun doit être possible, c’est cette pluralité même qui ne doit <em class="marquage italique">pas</em> devenir 
objet de conflit, lequel ne saurait être étouffé par un simple partage cognitif 
entre cosociétaires. À cette pluralité sans fin des êtres correspondent des conflits 
eux-mêmes potentiellement in-finis ; ce sont eux qu’il faut mettre entre parenthèses pour assurer la possibilité d’un vivre-ensemble. La thèse est ici que c’est 
précisément la tolérance, comprise dans ce sens fondamental, qui effectue cette 
mise entre parenthèses, plus précisément caractérisée comme <em class="marquage italique">mise en latence</em>, 
assurant par là même au monde commun un <em class="marquage italique">a priori</em> de non-conflictualité 
nécessaire à son maintien.</p>
</div>
<div id="pa16" class="para">
<a class="no_para" href="#pa16">16</a><p class="alinea">Mais la tolérance ainsi comprise se distingue aussi de ce qui, dans un modèle 
cohérentiste à la Rawls cette fois, est requis au titre d’un consensus par recoupement. L’idée n’est plus ici celle d’un arrière-plan partagé de convictions 
communes, mais au contraire celle d’un minimum de normes explicites (les 
principes de justice) devant permettre la coopération (plus que la simple coexistence) entre des cosociétaires dont les convictions sont par ailleurs, tant qu’elles 
restent dans les limites du « raisonnable », parfaitement privatisées. Outre 
l’accord, motivé par des raisons à chaque fois tirées de l’intérieur des convictions 
privées divergentes, sur ces principes de coopération, qu’est-ce qui assure alors 
chez les cosociétaires de Rawls la communauté de leur monde commun ? Le 
fait qu’ils soient tous dotés, en plus de leurs capacités <em class="marquage italique">rationnelles</em> (la capacité 
de poursuivre leurs propres fins), de la même faculté du <em class="marquage italique">raisonnable</em>, autrement 
dit du même sens de la justice. La pluralité des cosociétaires rationnels ne peut 
donc se penser que s’ils sont par ailleurs conçus comme des clones en « raisonnabilité ». En réalité, les deux aspects de la démarche normative de Rawls : 
l’accord sur les principes, acquis dans la position originelle, et les facultés dont 
sont dotés les individus sous le voile d’ignorance, sont une manière non de 
penser ou d’aménager la conflictualité sociale, mais de se <em class="marquage italique">prémunir</em> contre elle. 
Le saut dans l’originaire que représente le dispositif normatif d’égalité dans la 
position originelle, ainsi que la théorie de l’oligo-rationalité que représente la 
théorie du choix rationnel pour des personnes ayant une conception de leur bien 
(le rationnel) et dotées d’un sens de la justice (le raisonnable) servent en réalité 
la reconstruction qu’opère le philosophe de notre savoir moral intuitif, tel que 
nous en disposons maintenant, sous les conditions des démocraties constitutionnelles modernes. Alors que la tolérance, telle qu’elle est comprise ici, est 
taillée à la mesure d’une conflictualité sociale résorbée par les acteurs sociaux 
eux-mêmes, toute la démarche de Rawls est menée <em class="marquage italique">dans le dos</em> de ceux-ci : 
considérés comme de simples clones en rationalité, ils ne sont jamais en position 
de faire l’épreuve du frottement social, de la pluralité des individus et de la 
conflictualité qui la suit comme son ombre. C’est exactement la raison pour 
laquelle Rawls n’a aucun besoin, à ce niveau fondamental de la constitution 
même du social, d’une théorie de la tolérance : ce qui serait à tolérer est dès 
l’origine pudiquement voilé. La tolérance n’est mobilisée qu’après coup, lorsque, la normativité sociale étant acquise et établie, se pose la question classique 
de la tolérance (constitutionnelle) à l’égard des intolérants. Mais hors cette 
contestation venue de l’extérieur de la sphère de raisonnabilité telle qu’elle est 
circonscrite par la Constitution, aucune place réelle n’est ménagée à la conflictualité sociale réelle ni, <em class="marquage italique">a fortiori</em>, pour la tolérance, sans aucun objet sous de 
telles prémisses normatives.</p>
</div>
<div id="pa17" class="para">
<a class="no_para" href="#pa17">17</a><p class="alinea">À la différence donc de la phénoménologie qui caractérise la communauté 
du monde commun par le partage de vérités irréfléchies, la tolérance ici définie 
met l’accent sur la dimension d’<em class="marquage italique">agir passif</em> qu’elle contient, en suspendant dans 
un effort continué la conflictualité inhérente à la pluralité des êtres appelés à 
constituer un lien social; et, à la différence du cohérentisme de Rawls, elle 
montre en quoi la tolérance est un réquisit pratique <em class="marquage italique">du point de vue effectif des 
premières personnes</em>, c’est-à-dire des acteurs sociaux eux-mêmes, en tant qu’ils 
sont engagés dans le maintien d’un monde commun et confrontés, ce faisant, 
aux frottements de la pluralité sociale. Que le point de vue soit <em class="marquage italique">effectif</em> veut dire 
que cet agir passif que constitue la tolérance doit être factuellement mis en 
œuvre dans le lien social, et non pas simplement postulé à titre contrefactuel 
comme lorsque l’on exalte en général la valeur de tolérance. En tout état de 
cause, il s’agit par cette approche de rendre raison ou de faire droit à la fondamentale conflictualité sociale qui toujours sourd dans les nervures du monde 
commun. C’est, croyons-nous, à l’agir passif de la tolérance que revient la 
performance spécifique de suspendre cette conflictualité, étant entendu que cet 
agir suspensif continué peut lui-même être à tout moment suspendu : alors le 
conflit devient <em class="marquage italique">vivant</em>, et appelle sa résolution.</p>
</div>
<div id="pa18" class="para">
<a class="no_para" href="#pa18">18</a><p class="alinea">Mais, précisément, la tolérance n’est pas une disposition à <em class="marquage italique">résoudre</em> les 
conflits, mais à les mettre en latence, ce qui est tout différent. En mettant en 
évidence la vertu communautaire de la tolérance (au sens fort de sa capacité à 
faire exister un monde commun), on ne postule donc aucun irénisme; on souligne au contraire la vulnérabilité principielle d’un monde commun toujours 
menacé, sur chacune de ses parcelles, de déchirure, c’est-à-dire de l’apparition 
d’un conflit vivant venant mettre en cause une normativité jusque-là non questionnée. La résolution de conflit fait signe vers l’idée d’un conflit <em class="marquage italique">résorbé</em> : un 
conflit qui n’est plus en puissance ou latent, mais <em class="marquage italique">passé</em>, et dont la raison d’être 
s’est par conséquent éteinte. La tolérance, elle, ne prend son sens fondamental 
que sur le fond de conflits latents, c’est-à-dire dont les raisons demeurent sans 
toutefois être activées au point de le déclencher.</p>
</div>
<div id="pa19" class="para">
<a class="no_para" href="#pa19">19</a><p class="alinea">Nous pouvons maintenant répondre à la question initiale : la tolérance est-elle 
une vertu, un principe, une attitude, ou autre chose encore ? Ce que notre analyse 
a montré, c’est qu’avant d’être l’une ou l’autre de ces choses – avant d’être par 
exemple un principe politique comme chez Locke ou Rawls, ou une valeur 
comme chez Kymlicka –, elle est, en tant que mise en latence de conflits 
continués, un présupposé pratique indispensable à l’existence et au maintien 
d’un monde commun. Maintenant, nous pouvons dire que ce présupposé pratique s’actualise sous les différentes formes de la vertu, du principe, etc., selon 
le sens qu’on voudra bien lui donner. De la tolérance, on peut ainsi dire analogiquement :</p>
<ul class="tiret">
<li><p class="alinea">en tant que <em class="marquage italique">vertu</em>, c’est-à-dire disposition, elle est un effort ou une tendance 
à mettre en latence les conflits ; elle est une <em class="marquage italique">attitude</em> lorsque cette vertu est 
effectivement mise en œuvre;</p></li>
<li><p class="alinea">en tant que <em class="marquage italique">principe</em>, elle est une règle d’action générale commandant la 
mise en latence des conflits ;</p></li>
<li><p class="alinea">en tant que <em class="marquage italique">valeur</em>, elle est un idéal contrefactuel de mise en latence des 
conflits, auquel s’oriente la régulation des conflits vivants ;</p></li>
<li><p class="alinea">en tant qu’<em class="marquage italique">habitus</em>, elle est cette pratique continuée de mise en latence des 
conflits ;</p></li>
<li><p class="alinea">en tant que <em class="marquage italique">politique institutionnelle</em>, elle est un ensemble de règles ordonnant, sous peine de sanctions, la mise en latence de conflits portant sur des 
objets déterminés (pratiques religieuses, différences culturelles, préférences 
sexuelles par exemple).</p></li>
</ul>
</div>
</section>
<section class="section1"><h1 class="text-center">
<a id="s1n5"/>HABERMAS ET LE PARADOXE DE GOETHE
</h1>
<div id="pa20" class="para">
<a class="no_para" href="#pa20">20</a><p class="alinea">Une fois déterminée en son principe, puis déclinée analogiquement selon ses 
différents usages, la tolérance ainsi restituée dans son sens constitutif d’un 
monde commun permet d’avancer dans la résolution des paradoxes persistants 
que son concept traditionnel charrie, et que résume le problème de la tolérance 
à l’égard des intolérants. En effet, le paradoxe traditionnel est celui, pourrait-on 
dire, de l’inclusion exclusive, un paradoxe dont, selon Habermas, nous devons 
la formulation à Goethe <a id="re15no15" class="&#10;                renvoi note" href="#no15">[15]</a><a id="amorce_re15no15" href="#no15" class="amorce note"><span class="renvoi_fake_no">[15]</span> Jürgen HABERMAS, Zwischen Naturalismus und Religion,...</a> : en déterminant le champ de ce qui, au regard de la 
tolérance, doit être acceptable, elle trace simultanément les frontières de l’inacceptable, déterminant elle-même ce qui est à exclure. Principe d’inclusion, la 
tolérance apparaît simultanément et paradoxalement comme un principe 
d’exclusion.</p>
</div>
<div id="pa21" class="para">
<a class="no_para" href="#pa21">21</a><p class="alinea">Habermas entend lever le paradoxe en supprimant l’hypothèque autoritaire 
ou monologique qui pèse sur la conception goethéenne de la tolérance : la 
tolérance ne reste paradoxale, dit-il, que pour autant qu’elle trace les limites du 
tolérable <em class="marquage italique">unilatéralement</em> : « Seule la conception de libertés égales pour tous 
ainsi qu’une fixation d’un domaine de tolérance convainquant de manière égale 
tous les concernés peut ôter à la tolérance le dard de l’intolérance <a id="re16no16" class="&#10;                renvoi note" href="#no16">[16]</a><a id="amorce_re16no16" href="#no16" class="amorce note"><span class="renvoi_fake_no">[16]</span> Ibid.</a> » : ainsi, 
les membres de communautés religieuses différentes peuvent-ils s’entendre sur 
les normes communes de la coexistence libérale, lesquelles « surclassent <a id="re17no17" class="&#10;                renvoi note" href="#no17">[17]</a><a id="amorce_re17no17" href="#no17" class="amorce note"><span class="renvoi_fake_no">[17]</span> À la suite de Rainer Forst (dans son article « Toleranz,...</a> » 
alors les raisons subjectives de leur rejet mutuel. Si la tolérance ainsi constitutionnalisée parvient à s’étendre aux principes constitutionnels eux-mêmes, en 
laissant s’exprimer des interprétations divergentes desdits principes et ce jusqu’à 
reconnaître un droit dûment qualifié à la désobéissance civile, alors la Constitution sera conforme au projet démocratique d’instauration de droits civils 
authentiquement égaux. De ce point de vue, Habermas considère que la tolérance 
religieuse a non seulement eu un rôle moteur dans l’avènement de la démocratie 
en tant que telle, mais qu’elle a un rôle exemplaire à jouer, à l’intérieur de 
celle-ci, dans l’introduction d’autres droits culturels en vue du déploiement 
d’une véritable « citoyenneté multiculturelle » (il emprunte l’expression à 
Kymlicka) au sein d’une <em class="marquage italique">même</em> culture politique d’égale inclusion.</p>
</div>
<div id="pa22" class="para">
<a class="no_para" href="#pa22">22</a><p class="alinea">Suivant en cela encore Forst, Habermas analyse la dimension de réprobation 
qui est inhérente à la tolérance. Son idée est que ce qui motive la réprobation, 
et en conséquence appelle la tolérance, ne doit pas seulement être tenu pour 
subjectivement valable, mais doit pouvoir publiquement valoir comme légitime; 
en d’autres termes, « on ne peut parler de tolérance que lorsque les concernés 
peuvent étayer leur réprobation sur un non-accord persistant <em class="marquage italique">de manière raisonnable</em> <a id="re18no18" class="&#10;                renvoi note" href="#no18">[18]</a><a id="amorce_re18no18" href="#no18" class="amorce note"><span class="renvoi_fake_no">[18]</span> Ibid., p. 265 : « Von Toleranz darf nur dann die Rede...</a> ». Ainsi, on ne se comporte pas de manière tolérante à l’égard de 
théories scientifiques en concurrence, mais de manière critique – un exemple 
qui illustre au demeurant aux yeux de Habermas une deuxième composante de 
la tolérance (après celle du dissensus raisonnable), celle selon laquelle la chose 
tolérée doit avoir un lien interne à la praxis, comme c’est le cas par exemple 
pour les religions du salut, ou aujourd’hui pour les positions naturalistes ou 
naturalisantes en bioéthique qui ont des conséquences très directes sur la compréhension éthique que nous avons de nous-mêmes. Autrement dit, on a affaire 
ici à quelque chose comme un « cognitivisme négatif » de la tolérance : ce ne 
sont que les questions litigieuses qui ne sont <em class="marquage italique">pas</em> susceptibles de vérité – sans 
être toutefois l’expression de préjugés irrationnels comme le racisme, qui contre-vient au respect pour l’<em class="marquage italique">être</em>-autre : c’est ce que veut dire le « <em class="marquage italique">vernünftigerweise</em> » – qui appellent la tolérance. Il reste que celle-ci est pensée par Habermas 
au fil d’une théorie imprégnée de cognitivisme, où le recours à la tolérance est 
motivé par l’<em class="marquage italique">indécidabilité</em>, en termes de vérité, d’une question litigieuse. Si la 
question est réputée soluble par les concernés eux-mêmes, alors leur civilité 
réciproque suffit. Reconnaître l’indécidabilité d’une question religieuse par 
exemple fait partie des charges cognitives qu’impose la tolérance aux croyants, 
telle qu’elle a émergé en Europe depuis la Réforme : les croyances sont donc 
alors légitimement « surclassées » par les raisons qui obligent au respect mutuel 
de l’éthos d’autrui et, bien sûr, des croyances associées.</p>
</div>
<div id="pa23" class="para">
<a class="no_para" href="#pa23">23</a><p class="alinea">Dans cette construction cognitiviste, la question cruciale est donc celle de la 
raisonnabilité du dissensus. En deçà du dissensus raisonnable se trouve le préjugé injustifiable parce que irrationnel ; au-delà, l’entente rationnellement motivée, ou à tout le moins la reconnaissance de sa possibilité. C’est entre les deux 
que s’étend la tolérance, avec ses charges cognitives et pratiques spécifiques, 
obligeant à l’adaptation et à la retenue. C’est pourquoi, d’un point de vue 
fonctionnel, la tolérance est en charge de contrer « la destructivité sociale d’un 
dissensus irréconciliable persistant <a id="re19no19" class="&#10;                renvoi note" href="#no19">[19]</a><a id="amorce_re19no19" href="#no19" class="amorce note"><span class="renvoi_fake_no">[19]</span> Ibid., p. 269.</a> ». Dans cette perspective, la tolérance 
apparaît, comme chez Rawls, comme relativement tardive dans la constitution 
de l’ordre social : elle intervient sur fond de monde commun déjà constitué, 
entre des individus s’étant déjà attribué les droits libéraux fondamentaux, et 
soucieux de faire le départ entre les questions susceptibles d’entente et celles 
qui ne le sont pas ; et ce n’est qu’à la mesure de ces dernières, pour autant 
encore que le désaccord soit justifié par des raisons pouvant être publiquement 
reconnues, qu’est taillée la tolérance, à laquelle n’incombe finalement que la 
modeste tâche de pallier les désaccords cognitifs durables. Si le paradoxe de 
Goethe se trouve résolu, c’est parce que toutes les autres questions le sont déjà : 
si le monde commun est déjà structuré par l’attribution réciproque des droits 
fondamentaux, excluant d’emblée les pratiques discriminatoires, si l’espace 
public est déjà considéré comme un espace de délibération où l’on trie entre le 
préjugé et l’ivraie, alors on comprend que la seule question qui préside à 
l’intervention de la tolérance soit celle de savoir s’il y a ou non de bonnes 
raisons au dissensus cognitif constaté. Ultimement, tout revient à savoir si l’on 
a de bonnes raisons ou non de ne pas être d’accord avec autrui.</p>
</div>
<div id="pa24" class="para">
<a class="no_para" href="#pa24">24</a><p class="alinea">De notre définition découle au contraire que la question de la tolérance n’est 
pas tant celle de savoir si l’on a des raisons de ne pas être d’accord, que celle 
de savoir <em class="marquage italique">avec qui l’on veut constituer un monde commun</em>. Cela place la tolérance dans une situation très originaire dans la constitution de l’ordre social; 
plus originaire que celle où la place Kymlicka par exemple dans son débat 
axiologique interne au libéralisme, plus originaire que l’étage politique où la 
situe Rawls, plus originaire encore que la strate cognitiviste où la maintient 
Habermas. Ce n’est qu’une fois le monde commun constitué et maintenu de 
manière continuée à l’image de la conflictualité qu’elle met entre parenthèses, 
qu’elle pourra <em class="marquage italique">aussi</em>, dans ses usages analogiques, intervenir aux niveaux ultérieurs du commerce social. Le paradoxe de Goethe ne se résout donc pas parce 
que toutes les autres questions sont par ailleurs déjà résolues ; mais il se déplace 
et perd de sa pertinence, parce que la tolérance intervient au seuil même de la 
question de la constitution de l’ordre social, lorsque se pose la question : avec 
qui voulons-nous constituer un monde commun ? La question n’est plus alors 
prioritairement de savoir s’il faut être tolérant avec les ennemis de la tolérance, 
mais de savoir avec qui nous voulons définir les règles de la coexistence commune; avec qui nous voulons suspendre les conflits inévitablement liés à la 
pluralité des personnes, de manière à ce que la coexistence soit simplement 
possible. Le paradoxe de la tolérance s’efface au profit de la détermination de 
la communauté du monde commun. Il ne s’agit plus de savoir <em class="marquage italique">ce qui</em> doit être 
acceptable, mais de savoir <em class="marquage italique">qui</em> nous voulons accepter à l’aube de la constitution 
du monde commun.</p>
</div>
</section>