title: Thinking about Climate on a Dark, Dismal Morning
url: https://blogs.scientificamerican.com/hot-planet/thinking-about-climate-on-a-dark-dismal-morning/
hash_url: c1c53ee2ef8544ad798629bf8a3b7249

<p>It’s six in the morning of the shortest day of the year. The sky is dark. When the sun finally rises it will disappear behind leaden gray clouds and tall gray buildings streaked with rust. I’m on a train watching the wastelands of postindustrial New Jersey speed by, pylons and garbage piles and the occasional cluster of muddy, leafless trees. I’m sipping cheap burned coffee from a paper cup and staring at a blinding white page. I’m trying to write about hope, but it’s so dark out there.</p>

<p>This year wildfires became domesticated, inviting themselves into the homes of the wealthy and the poor. Lagoons of pig feces overflowed in the rains of Hurricane Florence, smearing the countryside and water supplies with a pink sludge of untreated waste. The entire Northern Hemisphere baked in the summer heat. The U.N. warned about the consequences of failing to curb warming, while the National Climate Assessment told us what was coming and what was already here.</p>

<p>Of course the climate is changing, say the politicians. But we don’t know why. It’s a mystery, an unknowable natural cycle that we have no power to stop. Imagine believing this (I don’t think for a minute <em>they </em>do). Imagine the terror you’d feel confronting a force of nature completely beyond your control. You’d rapidly go through all the stages of grief until you reached the bargaining phase. I’ve been there, after the terrible phone call or car accident, my mind cycling through what-ifs and could-have-beens, desperate for a reprieve that will never come.</p>

<p>Here is a miracle: the reprieve has come. This is the alternate reality. This is the timeline we hoped for: the one in which we have a chance, no matter how small, to make things better.</p>

<p>You may have heard that we have 12 years to fix everything. This is well-meaning nonsense, but it’s still nonsense. We have both no time and more time. Climate change isn’t a cliff we fall off, but a slope we slide down. And, true, we’ve chosen to throw ourselves headlong down the hill at breakneck speed. But we can always choose to begin the long, slow, brutal climb back up. If we must argue about what the view will be like when we get there, let’s at least agree to turn around first.</p>

<p>It’s true that we’re not going to get utopia. The planet has already warmed by one degree Celsius. Most of the coral reefs are going to die, and many of the glaciers will melt. Climate change is here, leaving grubby human fingerprints on parched, burned, flooded and melted landscapes. But we don’t have to settle for dystopia. It’s going to be worse, but it doesn’t have to be bleak. We can have a “topia,” an ordinary future where we go about ordinary lives in cities on stilts, missing what we’ve lost but looking forward to better things. There is light in the future that doesn’t come from burning.</p>

<p>Hope, said Emily Dickinson, is the thing with feathers. I have never understood this poem. Hope does not keep me warm, nor is it always there. Hope is not comfortable. It demands things, drains you, makes you sad and anxious. Hope is the knowledge that we can prevent bad things, and the realization that we might choose not to.</p>

<p>It’s eight o’clock and the train is passing through the outskirts of Baltimore. The weird orange streetlight glow is giving way to the gray mist of the morning. There is a small break in the clouds: not enough to show blue sky, but just enough to turn the sunlight bright silver. Tomorrow, there will be a second more of daylight in the darkness, and then a few more seconds, and then the long days of summer until the world swings back around the sun. It doesn’t stop. It never will.</p>
