title: Des technocrates aux algocrates
url: https://www.ledevoir.com/societe/le-devoir-de-philo-histoire/580735/des-technocrates-aux-algocrates
hash_url: f8ef3c28cb75d299fc723d88fb8d0744

<p>Les crises sociales sont propices à l’invention d’idéologies fondées sur la croyance en une solution miracle aux maux qui nous frappent. Parmi ces solutions, on trouve des propositions fondées sur la rationalité, la science et la technologie. Des techniques et méthodes utiles sur le plan pratique pour répondre à des problèmes précis se radicalisent parfois jusqu’à devenir des idéologies prônant quelque panacée censée rendre le monde meilleur.</p>


<p>Ainsi, pendant la Révolution française, des savants renommés en sont venus à vouloir « rationaliser » jusqu’au calendrier. Ils proposèrent le plus sérieusement du monde un système décimal jugé plus « rationnel » que le système sexagésimal (24 heures, 60 minutes, 12 mois) remontant aux Babyloniens. Chaque mois révolutionnaire comptait 30 jours et non plus 29, 30 ou 31, chacune des quatre saisons était renommée pour refléter les cycles de la nature : vendémiaire rappelant les vendanges, frimaire, les froids de l’hiver, germinal, la germination, etc. Comme c’est souvent le cas avec ce genre de fièvre révolutionnaire, l’idée n’a pas survécu et peu de gens se souviennent aujourd’hui de cette élucubration savante. Pourtant, à la toute fin du XIX<sup>e</sup> siècle, le mathématicien de génie Henri Poincaré participait encore à une commission du Bureau français des longitudes chargée de la décimalisation du temps, autre idée vite abandonnée.</p>

## Le monde rationnel
<p>En 1919, le mot « technocratie » faisait son apparition dans le champ intellectuel américain. Comme son étymologie l’indique, l’idée qu’il nomme se veut une solution de remplacement à la démocratie, jugée dépassée par certains dans le contexte du nouveau monde industriel en expansion. Il fallait remplacer le pouvoir (du grec <i>kratos</i>) du peuple (<i>demos</i>) par celui du technicien (<i>techne</i>) et, en pratique, de l’ingénieur. La technocratie serait ainsi la nouvelle société rêvée dans laquelle les décisions politiques importantes seraient prises par des ingénieurs.</p>


<p>L’idée reposait implicitement sur la fusion de la science, de la technologie et du politique, sphères pourtant considérées — encore de nos jours — comme relativement autonomes. Car si les sciences peuvent éclairer les choix sociaux, la complexité du monde et la multiplicité des voies possibles sous-déterminées par les connaissances scientifiques impliquent que les orientations de la société soient le fruit de débats et de décisions relevant du politique, donc de l’ensemble de la cité (<i>polis</i>).</p>


<p>L’un des penseurs qui ont le plus influencé le mouvement technocratique de l’entre-deux-guerres est Thorstein Veblen (1857-1929), économiste, sociologue et critique social du capitalisme américain. Veblen considérait les hommes d’affaires et les financiers comme des êtres oisifs. Il pensait que ce sont plutôt les connaissances scientifiques et techniques qui sont la source véritable de la productivité industrielle.</p>


<p>Veblen s’est donc fait le promoteur des ingénieurs, qui étaient, selon lui, au cœur du développement industriel. Ses réflexions sur ce thème s’affinèrent au contact d’ingénieurs membres de la Société américaine de génie mécanique (ASME), comme Morris L. Cooke et Henry L. Gantt — deux disciples de Frederick W. Taylor, fondateur du « management scientifique » (taylorisme) —, qui pensaient que la profession d’ingénieur n’était pas reconnue à sa juste valeur, alors qu’elle incarnait le savoir à la base du monde industriel moderne.</p>


<p>Influencé par la récente révolution soviétique, Veblen proposa même en 1919 la création d’un « Soviet de techniciens ». Il réunit ses réflexions dans son dernier ouvrage paru en 1921 : <i>Les ingénieurs et le système des prix</i>. Il y affirme avec optimisme que, « si les experts de la production avaient les mains raisonnablement libres, ils augmenteraient facilement aujourd’hui le rendement ordinaire de l’industrie de 300 % à 1200 % ». Veblen combinait ainsi une vision élitiste de décideurs éclairés et un socialisme utopique. La révolution qu’il espérait verrait la société nouvelle dirigée par les ingénieurs, et non par ce qu’il considérait comme des financiers corrompus et autres investisseurs inactifs.</p>


## Les ingénieurs du social

<p>Au moment où Veblen formule ses idées, l’économie américaine est en dépression, mais la reprise de 1922 perdure et donne l’impression aux économistes de l’époque de ne jamais devoir s’arrêter, ce qui relègue ses discours réformistes dans l’ombre. La Grande Dépression de 1929 ravive cependant l’intérêt pour des solutions radicales et le mouvement technocratique reprend vie, sans Veblen toutefois, qui décède le 3 août 1929. Les promoteurs initiaux se regroupent alors sous la bannière de la « technocratie » et reprennent le flambeau, leurs discours rendus plus visibles par des médias réceptifs aux propositions de solutions simples à une crise inouïe.</p>


<p>Tout comme les savants de 1789 voulaient réformer le calendrier, certains ingénieurs des années 1930, critiques comme Veblen du système capitaliste des prix fondés sur la monnaie, voulaient redéfinir la mesure de la valeur des biens par des unités d’énergie, les « erg » remplaçant ainsi le dollar comme mesure objective de la valeur. En 1933, Walter Rautenstrauch, professeur de génie industriel à Columbia, très actif dans le mouvement technocratique, pensait même sérieusement que les ingénieurs pouvaient réorganiser la société de telle sorte qu’il n’y ait plus de lutte des classes.</p>


<p>Probablement trop élitistes, ces discours radicaux retombèrent dans l’oubli après quelques années, éclipsés par le « New Deal » de Roosevelt. Mais cela n’empêcha pas les « ingénieurs du social » de continuer à avancer plusieurs utopies dans les décennies suivantes. Pensons à la cybernétique des années 1950, qui a engendré à son tour une utopique « société cybernétique ».</p>


<p>Ce qui a changé depuis l’invention du terme « technocrate », c’est que ce ne sont plus les ingénieurs mécaniques, grands experts de la production industrielle classique, qui incarnent la nouvelle idéologie qui se veut le reflet du monde actuel, mais bien les informaticiens et autres ingénieurs du monde numérique, qui sont nombreux à croire que leurs technologies vont enfin résoudre les problèmes sociaux et économiques d’une société « branchée » et « connectée » grâce à Internet. Mais là où Veblen et ses épigones imaginaient un monde socialiste, une grande partie des nouveaux idéologues de la « révolution Internet » penche plutôt vers des idéologies individualistes, libertariennes et antiétatiques.</p>


<p>Le rêve de faire disparaître les intermédiaires — dont l’État — entre des individus souverains s’incarne depuis environ une décennie dans de nombreux discours d’informaticiens et dans la sous-culture des « <i>hackers</i> ». Ce lien soi-disant direct entre individus s’incarne aussi dans la rhétorique de « l’économie du partage », qui donne l’illusion de « partager » alors qu’il s’agit plus prosaïquement de créer un intermédiaire supplémentaire entre le client et celui qui offre le service payant de manière à s’approprier une partie des bénéfices jusque-là réservés à l’entreprise qui rend effectivement le service.</p>


<p>Autre incarnation du rêve numérique : l’idée que les téléphones cellulaires et les échanges sur Internet vont stimuler la démocratie directe et contourner les États autoritaires. C’était oublier un peu trop vite la force des méthodes de répression classiques et très matérielles qui ont permis d’écraser sans pitié le Printemps arabe et d’autres velléités de libération populaire. Enfin, pensons aux informaticiens libertariens créateurs du « darknet », qui permet d’échapper aux lois et règles des différents États au nom de la liberté individuelle. Ils font aujourd’hui surtout la joie des diverses mafias, des narcotrafiquants et des marchés sexuels délinquants. Le tout est complété par une autre « innovation », le très énergivore bitcoin, une cryptomonnaie très utile au blanchiment d’argent et aux spéculateurs.</p>


## L’émergence des algocrates

<p>La crise sanitaire actuelle n’a pas manqué, elle non plus, de faire apparaître des solutions technojovialistes et une autre idéologie techniciste. Il était en effet prévisible qu’émergeraient dans un tel contexte des agents faisant la promotion de solutions techniques pour résoudre des problèmes sociaux. Les solutions proposées étant à peu près toutes fondées sur la production d’algorithmes soi-disant « intelligents »,il paraît logique de nommer la nouvelle idéologie « algocratie » et ses promoteurs les « algocrates ».</p>


<p>Là où les technocrates remettaient volontiers le pouvoir aux ingénieurs, donc à des personnes considérées comme détenant un savoir supérieur aux citoyens, politiciens y compris, les algocrates semblent considérer que le pouvoir peut être délégué aux objets techniques eux-mêmes, les algorithmes prenant les décisions à la place des citoyens et des élus. Ces algorithmes, bien qu’échappant au contrôle des individus, auraient néanmoins, dit-on, la faculté de créer de nouvelles solidarités sociales, comme si les citoyens n’avaient pas la capacité d’agir pour générer eux-mêmes des liens sociaux. Il est à prévoir que l’« Internet des objets », dont on ne cesse de clamer les bienfaits, soit surtout un « Internet des gadgets », aussi utile que le démarreur à distance des autos du siècle dernier… mais autrement plus cher.</p>


<p>Il est bien sûr trop tôt pour que l’historien puisse savoir si l’algocratie et ses algocrates remplacerontla « vieille » et toujours imparfaite démocratie et ses délibérations souvent chaotiques entre élus et citoyens. Mais à la lumière des avatars passés des idéologies technicistes récurrentes, on peut espérer qu’une saine vigilance permettra de s’en tenir à l’opinion de Churchill qui disait que la démocratie est le pire des systèmes, à l’exception de tous les autres. Y compris les diverses « craties » sans « <i>demos</i> » censées, dans l’esprit de certains, dissoudre le politique dans le technique pour enfin voir naître le « meilleur des mondes possibles » que Leibniz croyait pourtant avoir été créé par Dieu lui-même.</p>
