title: Software development pushes us to get better as people
url: https://jessitron.com/2021/11/28/software-development-pushes-us-to-get-better-as-people/
hash_url: 3db656ea2c3a04a3fb00d9e3457a8a2e

<p>Have you ever been on a really good software team? There’s this feeling of connectedness, of shared purpose. We know what we’re building, and we are skilled at building it together. This kind of team can grow some amazing software. </p>



<p>When we work at making our team great like this, we look for new ways of working together. The original agile movement scratched out imposed structure and asked the team to make their own. At our conferences, we talk about inclusion, empathy, emphasis on relationships. We talk about endless learning, freedom to fail, curiosity and compassion.</p>



<h3 id="there-is-an-alignment-between-writing-really-good-software-and-being-good-people-together">There is an alignment between writing really good software and being good people together.</h3>



<p>This alignment has roots in the core activity of software and of humanity: participatory sense-making.</p>



<p>What on earth is that?</p>



<p>In software, participatory sense-making means developing a shared mental model of what the software is, what it’s going to be, and how it works. We need to understand what we’re building deeply, with a clear language to talk about it. It needs to make sense to each of us, and to all of us. We construct this model together: that means there’s more of us to work at making it real in the world. It also means the model is richer, fits with more of the real world, and more rigorous. This comes from our many perspectives participating.</p>



<p>In humanity, participatory sense-making is how we find shared reality in the different pieces of the world that each of us see. We build new concepts that exist only among our minds: money, economy, justice, law, music, conservation, fashion. These are <a href="https://jessitron.com/2020/07/10/poppers-three-worlds/">real things</a> that have causal effects on the physical world <em>because</em> we collectively create them.</p>



<p>When we’re good at participatory sense-making, we can become societies that support each member, where we can each bring as much of ourselves as we like. We can build conscientiously, instead of reducing everything to numbers, people to resources, so that some people can feel a sense of control.</p>



<p>On our software teams, we <em>have</em> to get good at participatory sense-making to make strong, consistent software. To do this, we are conscious of each other, we coregulate, we develop norms that serve us and change them when they don’t. We get better at <a href="https://aeon.co/ideas/descartes-was-wrong-a-person-is-a-person-through-other-persons">personing</a>.</p>



<p>The software benefits, even though sometimes it feels harder and less efficient to work together than alone. We get farther together; that frustration has value.</p>



<p>I hope that these skills we learn on great software teams will someday help us build kinder societies in the larger world. We are already <a href="https://jessitron.com/2021/06/12/the-enterprise-eats-software/">pressured</a> to build better companies. Meanwhile, choose to work on a great team when you can (like <a href="http://honeycomb.io/careers">mine</a>). Choose to care about the team you’re on, and recognize that you’re making better software, a better world, and a better next version of you.</p>



<hr class="wp-block-separator">



<h6 id="inspirations">Inspirations:</h6>



<p>“People must adopt a different attitude towards conditions of life and identity from the one prevalent so far — based as it is on the dogma of the mechanistic world-view and the inordinate desire for command over behavior.” – Walter Volpert, <em>Work Design for Human Development</em>. <a href="https://smile.amazon.com/Software-Development-Reality-Construction-Christiane/dp/3642768199">Software Development and Reality Construction</a> (amazon), 1992</p>



<p><a href="https://tannerlectures.utah.edu/_resources/documents/a-to-z/p/popper80.pdf">Three Worlds</a> (pdf), KARL POPPER, THE TANNER LECTURE ON HUMAN VALUES, University of Michigan, 2978</p>



<p>“Many participants report experience more difficulty in the interactive situation, even if the goal is reached faster.” <a href="https://smile.amazon.com/Linguistic-Bodies-Continuity-between-Language/dp/0262038161/ref=sr_1_2?keywords=linguistic+bodies&amp;qid=1638114086&amp;sr=8-2">Linguistic Bodies</a> (amazon), by Ezequiel A. Di Paolo, Elena Clair Cuffari, Hanne De Jaegher, 2018</p>



<p>“It is not so much that we are persons, as that we are constantly personing.” Avdi Grimm, <a href="https://www.youtube.com/watch?v=k-Q_dXVQM1c">No Return: Moving Beyond Transactions</a> (video), Nordic.js 2019</p>
