title: « Dune », montagne de stéréotypes
url: https://geographiesenmouvement.com/2021/09/22/dune-montagne-de-stereotypes/
hash_url: 58215a8d1b67f927153fa6e0e023a94e

<p><strong>Adaptation du roman de Franck Herbert, <em>Dune</em>, de Denis Villeneuve, est vendu comme l’évènement cinématographique de l’année. À l’instar de son modèle, le film se révèle surtout un amoncèlement de stéréotypes sur la race et le genre. Et une succession d’images de paysages aussi grandioses que banals.</strong></p>


<p>En l’an dix mille et des poussières, sur la planète Caladan règne la famille des Atréides. Oubliez la Révolution française, la démocratie parlementaire et la séparation des pouvoirs : on est revenu au système féodal et personne n’a l’air de s’en plaindre. Caladan est l’un des fiefs de l’Imperum (c’est comme un empire, mais dans le futur), le duc Leto Atréides (Oscar Isaac) y règne avec un mélange de fermeté et de bienveillance tout aristocratiques. Il transmettra un jour le pouvoir à son fils Paul (Timothée Chalamet). Adolescent taciturne au sommeil troublé par d’étranges visions, ce dernier est le héros de <em>Dune</em>, premier d’une série de six romans publiés par Franck Herbert entre 1965 et 1985, et de son adaptation par le réalisateur canadien Denis Villeneuve.</p>



<p>Les habitants de Caladan – du moins ceux que l’on découvre, essentiellement des militaires – sont des combattants courageux et loyaux qui ne lésinent pas sur les embrassades musclées et les tapes viriles sur l’épaule. Prêts à mourir pour leur duc, ils partent au combat avec des gestes théâtraux, des cris rageurs et des grimaces déterminées, le tout au son des cornemuses. De quoi faire passer les Marines pour un camp scout.</p>



<h2>Essentialisme à tous les étages</h2>



<p>À quelques encablures intersidérales de Caladan se trouve Arrakis. Surnommée Dune, la planète est un désert de sable où le soleil vous essore en quelques minutes. Sous les ergs à perte de vue se promènent des vers géants prêts à engloutir les imprudents qui ne seraient pas encore morts de soif ni brûlés. Personne ne se soucierait de ce trou perdu si son sable ne recelait la précieuse Épice. Cette drogue permet, entre autres, aux pilotes de la galaxie de pratiquer la navigation interstellaire – c’est un peu notre pétrole, mais eux l’ingurgitent au lieu d’en faire du carburant ou du plastique.</p>



<div class="wp-block-image"><figure class="aligncenter size-large"><img data-attachment-id="2105" data-permalink="https://geographiesenmouvement.com/dune2/" data-orig-file="https://geographiesenmouvement.files.wordpress.com/2021/09/dune2.jpg" data-orig-size="1075,450" data-comments-opened="1" data-image-meta='{"aperture":"0","credit":"","camera":"","caption":"","created_timestamp":"0","copyright":"","focal_length":"0","iso":"0","shutter_speed":"0","title":"","orientation":"0"}' data-image-title="dune2" data-image-description="" data-image-caption="" data-medium-file="https://geographiesenmouvement.files.wordpress.com/2021/09/dune2.jpg?w=300" data-large-file="https://geographiesenmouvement.files.wordpress.com/2021/09/dune2.jpg?w=584" src="https://geographiesenmouvement.files.wordpress.com/2021/09/dune2.jpg?w=1024" alt="Dune, Denis Villeneuve" class="wp-image-2105" title="Dune, Denis Villeneuve" srcset="https://geographiesenmouvement.files.wordpress.com/2021/09/dune2.jpg?w=1024 1024w, https://geographiesenmouvement.files.wordpress.com/2021/09/dune2.jpg?w=150 150w, https://geographiesenmouvement.files.wordpress.com/2021/09/dune2.jpg?w=300 300w, https://geographiesenmouvement.files.wordpress.com/2021/09/dune2.jpg?w=768 768w, https://geographiesenmouvement.files.wordpress.com/2021/09/dune2.jpg 1075w" sizes="(max-width: 1024px) 100vw, 1024px"><figcaption>Sur Arrakis, un ver des sables (ou Shai-Hulud) en action (<em>Dune</em>, 2021, réal. D. Villeneuve, © Warner Bros.)</figcaption></figure></div>



<p>Problème, sur cette planète rugueuse vit un peuple non moins rugueux, les Fremen. Arrakis, en gros, c’est l’Afrique du Nord fantasmée par l’Occident : les Fremen sont superstitieux, crachent par terre pour dire bonjour, sont des combattants courageux et redoutables, organisent des combats à mort pour un oui ou pour un non et ne plaisantent pas avec leur code de l’honneur. Ils ont aussi, soleil oblige, le teint (très) basané – à l’exception notable de Stilgar : pour jouer le chef charismatique d’une tribu rebelle, il a semblé plus convenable de recruter la star espagnole Javier Bardem. Malgré leur aspect mal dégrossi, il faut reconnaître aux Fremen leur capacité à apprivoiser et faire corps avec leur milieu, très gros vers compris. Et parmi ces demi-brutes, il y a la belle Chani (Zendaya), nièce de Stilgar, apparue à Paul dans ses visions nocturnes – coup de foudre à la clé.</p>



<p>Superstition, brusquerie touchante, sensualité, la caricature de l’Orient tourne à plein régime. Dans un mélange de condescendance, de fascination et d’attirance à connotation sexuelle, les Fremen sont un cas d’école du regard de l’Occident sur des peuples colonisés, réduits au rang de curiosités et auxquels on concède quelques qualités venant confirmer leur irréductible infériorité.</p>



<p>Pourquoi colonisés ? Parce que l’empereur Shaddam IV ne peut se passer d’Épice et envoie ses vassaux occuper Arrakis pour y récolter l’indispensable matière première. Pas de chance pour les Fremen, ce sont les Harkonnen, peuple aussi méchant que laid, qui s’y collent. Jusqu’à ce que l’empereur, par manœuvre politique, décide de confier la gestion d’Arrakis aux Atréides. On constate alors la différence entre les mauvais colons, brutaux et avides, et les bons qui, sûrs de leur supériorité naturelle, savent témoigner du respect à un peuple soumis mais brave.</p>



<h2>Masculinité hégémonique et féminité énigmatique</h2>



<p>On l’a compris, le film de Denis Villeneuve, comme le roman dont il est tiré, ne s’embarrasse pas de finesse à propos d’identité. Chaque peuple forme un groupe monolithique aux traits culturels fixés pour toujours, déterminés par son environnement naturel et ses racines historiques. Chaque groupe est irréductiblement différent des autres. Et les relations interculturelles entre ces blocs essentialisés se réduisent à des affrontements militaires et à des jeux d’alliances évoluant au gré des choix tactiques des uns et des autres. Samuel Huntington, avec son « <a rel="noreferrer noopener" href="https://fr.wikipedia.org/wiki/Le_Choc_des_civilisations" target="_blank">Choc des Civilisations</a> », n’a qu’à bien se tenir.</p>



<div class="wp-block-image"><figure class="aligncenter size-large"><img data-attachment-id="2103" data-permalink="https://geographiesenmouvement.com/dune3/" data-orig-file="https://geographiesenmouvement.files.wordpress.com/2021/09/dune3.jpg" data-orig-size="1075,450" data-comments-opened="1" data-image-meta='{"aperture":"0","credit":"","camera":"","caption":"","created_timestamp":"0","copyright":"","focal_length":"0","iso":"0","shutter_speed":"0","title":"","orientation":"0"}' data-image-title="dune3" data-image-description="" data-image-caption="" data-medium-file="https://geographiesenmouvement.files.wordpress.com/2021/09/dune3.jpg?w=300" data-large-file="https://geographiesenmouvement.files.wordpress.com/2021/09/dune3.jpg?w=584" src="https://geographiesenmouvement.files.wordpress.com/2021/09/dune3.jpg?w=1024" alt="Dune, Denis Villeneuve" class="wp-image-2103" title="Dune, Denis Villeneuve" srcset="https://geographiesenmouvement.files.wordpress.com/2021/09/dune3.jpg?w=1024 1024w, https://geographiesenmouvement.files.wordpress.com/2021/09/dune3.jpg?w=150 150w, https://geographiesenmouvement.files.wordpress.com/2021/09/dune3.jpg?w=300 300w, https://geographiesenmouvement.files.wordpress.com/2021/09/dune3.jpg?w=768 768w, https://geographiesenmouvement.files.wordpress.com/2021/09/dune3.jpg 1075w" sizes="(max-width: 1024px) 100vw, 1024px"><figcaption>Le courageux et loyal Gurney Halleck (Josh Brolin) (<em>Dune</em>, 2021, réal. D. Villeneuve, © Warner Bros)</figcaption></figure></div>



<p>Le tout est orchestré par des hommes dont la carrure permet presque à coup sûr de deviner de quel bord ils sont. Du côté des gentils, les gros muscles de Josh Brolin et Jason Momoa incarnent la masculinité triomphante. Leur « corps dur », <a rel="noreferrer noopener" href="https://geographiesenmouvement.com/2021/06/05/zack-snyder-et-les-tres-gros-muscles-de-lamerique/" target="_blank">notion forgée dans les années 1990 par Susan Jeffords</a>, incarne la puissance, la résolution et la droiture. Alors que les méchants forment un catalogue de masculinités déviantes : le baron Harkonnen (Stellan Skarsgård) est obèse, son neveu et bras droit fou dangereux (Dave Bautista) est une montagne de muscles au-delà du raisonnable et son assassin de service (David Dastmalchian), dégénéré et malveillant, est aussi chétif qu’il a l’air vicieux.</p>



<p>À côté de cette collection de stéréotypes masculins, on a trop des doigts d’une main pour compter les femmes capables d’autre chose que passer la serpillère. Les rares auxquelles l’intrigue accorde un peu d’importance évoluent dans l’ombre, au sein d’une congrégation religieuse adepte de pratiques mystiques louches, l’ordre du Bene Gesserit. À leur tête, la mère supérieure Gaius Helen Mohiam (Charlotte Rampling) vous ferait regretter la sorcière de Blanche-Neige. Culte mystérieux, magie noire, manœuvres en coulisse et non-mixité choisie : quand elles ne sont pas désirables comme Chani, les femmes de <em>Dune</em> sont des menaces pour la masculinité – le choix de Villeneuve de féminiser le rôle de Liet Kynes, allié éphémère de Paul, n’y change pas grand-chose.</p>



<p>En parlant de menace pour la masculinité hégémonique, on s’inquiète pour Paul, doué pour la bagarre mais pâlichon et maigrichon, et sous la coupe d’une mère omniprésente. Dame Jessica (Rebecca Ferguson), elle-même membre du Bene Gesserit, voit en son fils un élu et nourrit à son égard des projets au mieux suspects.</p>



<h2>Géographie-spectacle sur grand écran</h2>



<p>À lire les (rares) commentaires circonspects sur le film, ce sous-texte réactionnaire mêlant attirance pour les grands leaders, fascination pour la violence armée et vision racialiste et genrée du monde ne passe pas inaperçu. Mais la tendance dominante semble être de se réfugier derrière la beauté plastique du film : réac, peut-être, mais les costumes, les décors et les paysages en mettent plein la vue, voilà enfin le <em>space opera</em> que le monde attendait.</p>



<p>En guise de paysages naturels, Denis Villeneuve est allé filmer, entre autres, dans le <a href="https://fr.wikipedia.org/wiki/Wadi_Rum" target="_blank" rel="noreferrer noopener">Wadi Rum</a>, connu pour sa géomorphologie grandiose, issue de millions d’années d’érosion de roches granitiques recouvertes de grès. La vallée jordanienne avait déjà servi de plateau de tournage à <em>Lawrence d’Arabie</em> et, plus récemment, à <em>Seul sur Mars</em> et au neuvième volet de <em>Star Wars</em>. Avec ce site classé au Patrimoine mondial, vu et revu sur grand écran depuis des décennies, la « beauté » se fait synonyme de tape-à-l’œil, avec des paysages instagrammables emblématiques de la marchandisation de l’espace. On retrouve la <a href="https://fr.wikipedia.org/wiki/G%C3%A9ographie_spectacle" target="_blank" rel="noreferrer noopener">géographie-spectacle</a> d’Yves Lacoste, avec ses émotions esthétiques codifiées, et la tension entre distinction (se dire unique pour être attractif) et uniformisation (se plier aux exigences de la marchandise) que pointe David Harvey <a href="https://laviedesidees.fr/Geographie-du-capitalisme.html" target="_blank" rel="noreferrer noopener">à propos de l’industrie du tourisme</a>. Avant eux, Guy Debord avait perçu le tourisme comme le « <em>loisir d’aller voir ce qui est devenu banal</em> », sans mesurer encore combien le cinéma approfondirait ce processus.</p>



<p>Quant aux paysages construits, c’est le règne du massif et de la ligne droite, beau est synonyme de spectaculaire. Plafonds de moins de dix mètres de haut interdits, pas d’escalier ne comptant pas plusieurs centaines de marches, arches monumentales, tout est gros, grand, gris et résolument inhabitable. Comme si le futur ne pouvait pas accoucher d’autre chose que de Chandigarh, de Brasilia ou du quartier de La Défense, comme si l’urbanisme n’avait pas d’autre horizon que le Moscou et le Berlin des années 1930.</p>



<h2>Quelle science-fiction ?</h2>



<p>Le cinéma, comme la fiction en général, n’est pas <em>en dehors</em> du monde, pas même son reflet. Il en est partie prenante. Et même si le public n’est pas composé d’« <a href="https://www.scienceshumaines.com/ethnomethodologie-la-societe-en-pratiques_fr_22271.html" target="_blank" rel="noreferrer noopener">idiots culturels</a> » absorbant passivement le contenu des objets culturels, les stéréotypes véhiculés par les blockbusters – fussent-ils « d’auteur » – viennent nourrir nos représentations et nos pratiques collectives. Le choix d’adapter <em>Dune</em>, en 2021, n’est ni innocent ni anodin, pas plus que le délire médiatique qui entoure la sortie du film.</p>



<p>D’autant plus que la littérature de science-fiction regorge de récits alternatifs interrogeant les impensés du monde contemporain. Tant qu’à inventer de nouveaux univers, faut-il qu’ils reproduisent tous les travers du nôtre ?</p>



<p>Par ailleurs, <em>Dune</em> dure 2h45. Et c’est la première partie.</p>
