title: L’écoanxiété nous détourne de l’action collective
url: https://reporterre.net/L-ecoanxiete-nous-detourne-de-l-action-collective
hash_url: e6125a584f3f5cac7fff464d8c116863

<p>La première fois que j’ai entendu le mot <i>«<small class="fine d-inline"> </small>écoanxiété<small class="fine d-inline"> </small>»</i>, j’ai éclaté de rire et, tout à la fois, je me suis sentie très en colère. Il m’a fait penser à la <i>«<small class="fine d-inline"> </small>radiophobie<small class="fine d-inline"> </small>»,</i> concept mis en avant par des experts de l’<span class="caps">AIEA</span> (Agence internationale de l’énergie atomique) pour désigner une peur prétendument irrationnelle des radiations<span class="spip_note_ref"> [<a href="#nb1" class="spip_note" rel="appendix" title="Yves Lenoir, La comédie atomique : l’histoire occultée des dangers des (...)" id="nh1">1</a>]</span> : selon ce concept, le problème n’est pas la réalité du danger, mais la perception qu’on en a. Il ne tient qu’à nous de changer notre perception, et tout s’arrangera. J’ai pensé à cette rescapée de Fukushima qui consigne dans son <i>«<small class="fine d-inline"> </small>journal d’une cervelle radioactive<small class="fine d-inline"> </small>»</i> son quotidien impossible dans un Japon plongé dans le déni des conséquences de la radioactivité<span class="spip_note_ref"> [<a href="#nb2" class="spip_note" rel="appendix" title="Fukushima et ses invisibles, collectif, les éditions des mondes à faire, (...)" id="nh2">2</a>]</span>. Dans les repas de famille, elle n’ose plus demander la provenance du poisson que l’on sert, de peur de jeter un froid, et les médecins lui prescrivent des antidépresseurs en l’exhortant à travailler sur elle.</p>
<h3 class="spip">Comment un concept aussi technicien pourrait-il servir à autre chose qu’à remettre de l’ordre<small class="fine d-inline"> </small>? </h3>
<p>Mais, ici, ce n’est pas de déni qu’il s’agit. Comme la <i>«<small class="fine d-inline"> </small>solastalgie<small class="fine d-inline"> </small>»,</i> le néologisme du philosophe australien Glenn Albrecht qui désigne la douleur d’avoir perdu un monde qu’on aime, une campagne anéantie par les incendies ou dévastée par les mines de charbon<span class="spip_note_ref"> [<a href="#nb3" class="spip_note" rel="appendix" title="Les émotions de la Terre : des nouveaux mots pour un nouveau monde, Les liens (...)" id="nh3">3</a>]</span>, le concept d’écoanxiété n’a pas été créé pour discréditer les personnes les plus conscientes de l’anéantissement des milieux naturels et du réchauffement climatique. Il cherche à nommer un état de fait : de plus en plus d’individus souffrent en découvrant ou en constatant, encore et encore, l’ampleur des dégâts et l’impossibilité de se projeter dans un monde décent à l’horizon de trente ou quarante ans.</p>
<p>Dans <i>Écoanxiété : vivre sereinement dans un monde abîmé</i> (<a href="https://www.fayard.fr/documents-temoignages/leco-anxiete-9782213717203" class="spip_out" rel="external">Fayard, 2020</a>), Alice Desbiolles ne fait pas de l’écoanxiété une maladie mentale. Elle dresse le tableau de la crise climatique et de la décimation du vivant pour poser cette question, celle d’un médecin : comment aider ces <i>«<small class="fine d-inline"> </small>personnes rationnelles et lucides dans un monde qui ne l’est pas<small class="fine d-inline"> </small>»</i> à ne pas rester tétanisées et honteuses de leurs pensées dépressives<small class="fine d-inline"> </small>? Comment contourner, par exemple, <i>«<small class="fine d-inline"> </small>l’hubris impuissante<small class="fine d-inline"> </small>»</i>, cette tentation d’avoir l’idée géniale pour tout changer d’un coup, tentation qui, en se heurtant au mur de l’abstraction, vous renvoie direct au néant et à vos passions tristes<small class="fine d-inline"> </small>? Comment quitter la sidération et la prostration pour vivre et pour être capable d’agir collectivement, politiquement, face au désastre qui monte<small class="fine d-inline"> </small>?</p>
<p>Et pourtant, ce petit mot, <i>«<small class="fine d-inline"> </small>l’écoanxiété<small class="fine d-inline"> </small>»,</i> a quelque chose d’obscène. Lâché dans ce monde-ci, comment un concept aussi technicien pourrait-il servir à autre chose qu’à remettre de l’ordre<small class="fine d-inline"> </small>? Un monde dont les élites auront plus vite fait de concéder qu’il faut former des bataillons de psychologues pour sortir la jeunesse de son écoanxiété, plutôt que de renoncer à l’exploitation du lithium ou aux gigafactories. Il sert déjà à enfouir ce qui constitue notre condition et notre destin sous une couette (en plume d’oie certifiée) de pensée zen et d’écogestes. Glenn Albrecht déplore que son concept de <i>«<small class="fine d-inline"> </small>solastalgie<small class="fine d-inline"> </small>»</i> ait incontrôlablement été interprété comme une nouvelle maladie mentale destinée à trouver sa place dans le <i>Manuel diagnostique et statistique des troubles mentaux,</i> avec, bientôt peut-être, les traitements afférents<span class="spip_note_ref"> [<a href="#nb4" class="spip_note" rel="appendix" title="Ibid., p. 79." id="nh4">4</a>]</span>.</p>
<h3 class="spip">Une bombe qu’on aurait désamorcée et démontée </h3>
<p>Ce n’est pourtant pas très étonnant. Tout se passe comme si, au moment où la tristesse, la révolte, l’effroi sont bien là et impossibles à ignorer, il avait fallu leur faire une place quelque part où ça ne dérange pas trop, entre l’eczéma et la crise de la quarantaine. L’écoanxiété me fait l’effet d’une bombe qu’on aurait désamorcée et démontée pour l’entreposer dans le grand vaisselier des déboires personnels, et c’est sans doute cette même impression qui a inspiré aux Tabanards leur chanson hilarante, <i>Desesperanza,</i> <a href="https://lestabanards.noblogs.org/" class="spip_out" rel="external">dont le clip</a> montre un (faux) Pablo Servigne forcené se cognant la tête contre son ordinateur portable tandis que défilent des images de ruptures de barrages miniers et d’ours polaires errant sur la banquise fondue :</p>
<blockquote class="spip">
<p> J’arrive plus à jardiner, j’ai trop d’écoanxiété<br class="autobr">
Dans le canapé, j’mange des chips<br class="autobr">
En attendant l’apocalypse<small class="fine d-inline"> </small>!… <br class="autobr">
J’arrive plus à bricoler, j’ai trop d’écoanxiété<br class="autobr">
J’fous le feu à mon mur de paille<br class="autobr">
Et j’me casse dans la broussaille, aïe<small class="fine d-inline"> </small>! Aïe<small class="fine d-inline"> </small>!</p>
</blockquote>
<p>Dans les années 1930, les témoins de la montée du fascisme en Europe auraient trouvé très étrange qu’on invente un terme médical pour désigner leur effroi et qu’on leur propose des recettes pour <i>«<small class="fine d-inline"> </small>vivre sereinement dans un monde abîmé<small class="fine d-inline"> </small>»</i>. Quand bien même nous en sommes partie prenante par notre mode de vie, l’économie extractiviste est un régime criminel qui se perpétue par une succession de décisions et d’inactions criminelles. La gestion du Covid-19 nous le montre assez : les responsables de ces causes ont tout intérêt à emballer leurs méfaits dans la ouate thérapeutique, à prescrire nos comportements et à nous culpabiliser, tout en poursuivant l’élevage intensif, la déforestation et la précarisation du personnel de santé. Ne nous laissons pas <i>«<small class="fine d-inline"> </small>assigner à résilience<small class="fine d-inline"> </small>»,</i> comme on traite les habitants des territoires radioactifs<span class="spip_note_ref"> [<a href="#nb5" class="spip_note" rel="appendix" title="Rémi Scoccimarro « 11 mars 2011 : de la vie en préfabriqués à l’assignation à (...)" id="nh5">5</a>]</span>. <i>«<small class="fine d-inline"> </small>La tâche la plus importante aujourd’hui consiste à faire comprendre aux gens qu’ils doivent s’inquiéter,</i> déclarait le philosophe Günther Anders. <i>Et si je suis désespéré, que voulez-vous que j’y fasse<small class="fine d-inline"> </small>?<small class="fine d-inline"> </small>»</i><span class="spip_note_ref"> [<a href="#nb6" class="spip_note" rel="appendix" title="Et si je suis désespéré, que voulez-vous que j’y fasse ?, éd. Allia, (...)" id="nh6">6</a>]</span></p>

<p id="appeldon"></p>


<p class="note"></p><hr size="1"><div id="nb1">
<p><span class="spip_note_ref">[<a href="#nh1" class="spip_note" title="Notes 1" rev="appendix">1</a>] </span>Yves Lenoir, <i>La comédie atomique : l’histoire occultée des dangers des radiations,</i> La Découverte, 2016, p. 216-217.</p>
</div><div id="nb2">
<p><span class="spip_note_ref">[<a href="#nh2" class="spip_note" title="Notes 2" rev="appendix">2</a>] </span><i>Fukushima et ses invisibles,</i> collectif, les éditions des mondes à faire, 2018.</p>
</div><div id="nb3">
<p><span class="spip_note_ref">[<a href="#nh3" class="spip_note" title="Notes 3" rev="appendix">3</a>] </span><i>Les émotions de la Terre : des nouveaux mots pour un nouveau monde</i>, Les liens qui libèrent, 2019.</p>
</div><div id="nb5">
<p><span class="spip_note_ref">[<a href="#nh5" class="spip_note" title="Notes 5" rev="appendix">5</a>] </span>Rémi Scoccimarro «<small class="fine d-inline"> </small>11 mars 2011 : de la vie en préfabriqués à l’assignation à résilience<small class="fine d-inline"> </small>», C. Doumet, M. Ferrier (dir.), <i>Penser avec Fukushima,</i> éd. Cécile Defaut, 2016.</p>
</div><div id="nb6">
<p><span class="spip_note_ref">[<a href="#nh6" class="spip_note" title="Notes 6" rev="appendix">6</a>] </span><i>Et si je suis désespéré, que voulez-vous que j’y fasse<small class="fine d-inline"> </small>?,</i> éd. Allia, 2004.</p>
</div>
<span class="bloc_lireaussi"><hr size="1"><b>Lire aussi : </b><a href="Deprime-par-la-crise-climatique-Voici-comment-soigner-l-eco-anxiete" class="lireaussi">Déprimé par la crise climatique<small class="fine d-inline"> </small>? Voici comment soigner l’éco-anxiété</a></span>
<hr size="1"><p><strong>Source :</strong> Celia Izoard pour <i>Reporterre</i></p>
<p><strong>Photo :</strong> © NnoMan/<i>Reporterre</i><br class="autobr">
. chapô : manifestation à Rouen après l’incendie de l’usine de Lubrizol, le 2 octobre 2019.</p>
