title: Use the 500 Rule for Astrophotography
url: https://astrobackyard.com/the-500-rule/
hash_url: f04788683f65047073081e87834a42f8

<p>One of the first challenges beginners face when getting into astrophotography, is being able to take a photos that is in-focus, with round stars. Because the night sky appears to move from our vantage point on Earth, capturing a long exposure starry sky image on a fixed tripod may reveal star-trailing.</p>
<p>One of the best ways to combat star-trailing when capturing astrophotography images on a stationary (non-tracking) tripod mount, is to use the 500 Rule. </p>
<h2>What is the 500 Rule?</h2>
<p><strong>The 500 rule is used to measure the maximum exposure time you can shoot before the stars become blurry or before star trails appear. Setting the shutter speed for longer than allowed by this rule will result in images that do not have sharp stars. </strong></p>
<p>The 500 rule can be useful when photographing the night sky on a fixed tripod. The technique works on images of many focal lengths (up to about 200mm), but can be especially effective when photographing the <span><a href="https://astrobackyard.com/how-to-photograph-milky-way/">Milky Way</a></span> with a wide-angle camera lens.</p>
<p><img loading="lazy" class="aligncenter wp-image-12885 size-full" src="https://astrobackyard.com/wp-content/uploads/2019/07/milky-way-using-500-rule.jpg" alt="The Milky Way" srcset="https://astrobackyard.com/wp-content/uploads/2019/07/milky-way-using-500-rule.jpg 675w, https://astrobackyard.com/wp-content/uploads/2019/07/milky-way-using-500-rule-545x323.jpg 545w" sizes="(max-width: 675px) 100vw, 675px"></p>
<p><strong><em><a href="https://www.facebook.com/BrianDrourrPhoto/" target="_blank" rel="noopener noreferrer"><span>Brian Drourr</span></a> used the 500 Rule to capture this stunning portrait of the Milky Way above Lake Moxie in Maine. </em></strong></p>
<p>Whether you consider the 500 rule to be an outdated technique (after all, it was designed for 35mm film grain), or you’ve personally had great success with it, I had to cover this controversial topic on a website that revolves around astrophotography. I believe that the 500 Rule is still very relevant for <strong>today’s digital cameras</strong>, as long as you treat the guidelines as a rough approximation, not gospel. </p>
<p><img loading="lazy" class="aligncenter wp-image-12910 size-full" src="https://astrobackyard.com/wp-content/uploads/2019/07/wide-angle-lens.jpg" alt=""></p>
<p><strong>Related Post:</strong> Looking for an affordable wide-angle camera lens? See my review of the <a href="https://astrobackyard.com/rokinon-14mm-astrophotography/"><span><strong>Rokinon 14mm F/2.8</strong></span></a>.</p>
<h2>Introduction</h2>
<p><span><a href="https://astrobackyard.com/7-astrophotography-tips/">Astrophotography</a></span> has been gaining in popularity over the past few years thanks to more affordable equipment, and helpful resources available online. Taking a photo of the night sky is a wonderful experience for both the photographer and the ones who get to enjoy the finished product.</p>
<p>However, the process of creating such an incredible photograph is not always easy. It is a very delicate task that requires a specific set of skills and knowledge that must be applied while capturing images in the field.</p>
<p>In the image below, you’ll see how the stars begin to “trail” after just 30-seconds of exposure time using a wide-angle camera lens. This should give you an idea of just <em>how fast</em> the sky appears to move from Earth.</p>
<p><a href="https://astrobackyard.com/wp-content/uploads/2019/07/star-trailing.jpg"><img loading="lazy" class="aligncenter wp-image-12864" src="https://astrobackyard.com/wp-content/uploads/2019/07/star-trailing-610x999.jpg" alt="" srcset="https://astrobackyard.com/wp-content/uploads/2019/07/star-trailing-610x999.jpg 610w, https://astrobackyard.com/wp-content/uploads/2019/07/star-trailing-333x545.jpg 333w, https://astrobackyard.com/wp-content/uploads/2019/07/star-trailing-768x1258.jpg 768w, https://astrobackyard.com/wp-content/uploads/2019/07/star-trailing-625x1024.jpg 625w, https://astrobackyard.com/wp-content/uploads/2019/07/star-trailing.jpg 790w" sizes="(max-width: 450px) 100vw, 450px"></a></p>
<p><strong><em>A single, 30-second image captured using a DSLR camera and 18mm lens. </em></strong></p>
<p>In a hobby like this, there are a variety of things that could go wrong while trying to capture the perfect shot. One of those things is <strong>star trails,</strong> which could make the stars in your image blurry, and is often not the effect you were hoping to achieve.</p>
<p>Star trails appear in photos due to the natural movement of the Earth, which makes the stars move rather fast, 15 degrees per hour, to be more precise. In order to avoid this, astrophotographers must pay attention to the all aspects of their camera system, such as the sensor size, the exposure time, the image resolution, the star angular speed and so on.</p>
<p>If you are just getting started in astrophotography, you likely do not own an <span><a href="https://astrobackyard.com/equatorial-telescope-mount/">equatorial telescope mount</a></span> or star tracker yet. Thankfully, there is one simple rule which could replace the countless amount of preparation, <strong>the 500 rule.</strong></p>
<p><img loading="lazy" class="aligncenter wp-image-12904 size-full" src="https://astrobackyard.com/wp-content/uploads/2019/07/milky-way.jpg" alt="The Milky Way" srcset="https://astrobackyard.com/wp-content/uploads/2019/07/milky-way.jpg 675w, https://astrobackyard.com/wp-content/uploads/2019/07/milky-way-545x362.jpg 545w" sizes="(max-width: 675px) 100vw, 675px"></p>
<p><em><strong>In this stunning photo by <span><a href="http://efordphoto.com/" target="_blank" rel="noopener noreferrer">Elizabeth Ford</a></span>, a closer inspection reveals slight star-trailing after 20 seconds using a full frame camera and 25mm lens. </strong></em></p>
<h2>Why Photographers use The 500 Rule</h2>
<p>The 500 rule is more of a <strong>guideline,</strong> but that does not mean it is not useful. This simple formula can make a big difference in your night sky photography, because (in theory) you’ll be able to create photos with sharp stars to the edges of the field. </p>
<p>It serves to discover the <strong>maximum exposure time</strong> allowed before the stars become blurry or before star trails appear. Setting the shutter speed for longer than allowed by this rule will result in an unclear photograph (the stars will appear as trails rather than dots).</p>
<p>Using this formula requires the knowledge of math, but you do not have to be a nuclear scientist to understand it and apply it. It is actually very simple but often the smallest changes make the biggest differences.</p>
<p>The following video by <span><a href="https://www.instagram.com/boxheadmike/" target="_blank" rel="noopener noreferrer">Mike Smith</a></span> shows some great test shots using the 500 Rule with a crop sensor, and full frame cameras at varying focal lengths:</p>
<p><iframe loading="lazy" src="https://www.youtube.com/embed/7avrjSOX7hs" frameborder="0" allowfullscreen="allowfullscreen">VIDEO</iframe></p>
<h2>How it Works</h2>
<p>The rule is as follows:</p>
<p><strong>SS = 500 / (CF x FL)</strong></p>
<p>If you are perplexed by this formula there is no need to worry, you just need to understand the abbreviations. SS stands for the <a href="https://www.photographymad.com/pages/view/shutter-speed-a-beginners-guide" target="_blank" rel="noopener noreferrer"><strong>shutter speed</strong></a> expressed in seconds, CF is the <a href="https://photographylife.com/what-is-crop-factor" target="_blank" rel="noopener noreferrer"><strong>crop factor</strong></a> of your sensor (the ratio between your sensor and a full frame one), while FL refers to the <a href="https://expertphotography.com/understand-focal-length-4-easy-steps/" target="_blank" rel="noopener noreferrer"><strong>focal length</strong></a> in millimeters.</p>
<p><strong>500 / Crop-Factor x Focal Length = Ideal Shutter Speed</strong></p>
<p>Here is an example of the formula used with my <span><a href="https://astrobackyard.com/canon-60da/">Canon EOS 60Da</a></span> (APSC-C sensor) camera and a 50mm F/1.8 camera lens:</p>
<p><strong>500 / 1.6 (Crop-Factor) x 50 (focal length of my lens) = 6.25-seconds</strong></p>
<p><img loading="lazy" class="aligncenter wp-image-12902 size-full" src="https://astrobackyard.com/wp-content/uploads/2019/07/formula.jpg" alt="formula" srcset="https://astrobackyard.com/wp-content/uploads/2019/07/formula.jpg 675w, https://astrobackyard.com/wp-content/uploads/2019/07/formula-545x363.jpg 545w" sizes="(max-width: 675px) 100vw, 675px"></p>
<p>That means, using this camera and lens combo on a stationary tripod, I will need to limit my exposures to 6-seconds each if I want to avoid star trailing. To help collect more light in a short exposure, I’ll set the f-stop of the lens to F/2.8 (fast, but a littler sharper than 1.8), and use an ISO setting of 3200. </p>
<p>According to the type of camera you own, you will have to use different crop-factor values. Here is the list you can refer to:</p>
<ul>
<li>1 X – Full frame cameras</li>
<li>1.5 (1.6) X – Nikon (Canon) APS-C cameras</li>
<li>2 X- Micro 4/3 cameras</li>
<li>2.7 X and higher – Compact cameras with a one-inch type sensor (or smaller)</li>
</ul>
<p>Even though it is widely accepted, the use of the number “500” in this formula does not carry any particular meaning. This number is just something astrophotographers figured out works the best for this type of photos.</p>
<p>This formula works because it automatically calculates the ideal shutter speed for your camera in order to get the clearest possible photograph, and it does it in the shortest amount of time.</p>
<p>Let’s imagine you wanted to take a beautiful photo of the night sky without any previous knowledge of how to avoid star trails. You set your micro 4/3 camera’s shutter speed to 60-seconds using a remote shutter release cable, for example, expecting an amazing result. On the contrary, you end up with a blurry photo which doesn’t represent how nice the sky looks in reality.</p>
<p>The 500 Rule can give you a point of reference for the length of time you should expose the image using your camera system. It’s not an <em>exact</em> science, but <strong><em>it does work</em> </strong>when capturing images like the one below. </p>
<p><img loading="lazy" class="aligncenter wp-image-12941 size-full" src="https://astrobackyard.com/wp-content/uploads/2019/08/sinlge-exposure-night-sky.jpg" alt="Single exposure of the night sky" srcset="https://astrobackyard.com/wp-content/uploads/2019/08/sinlge-exposure-night-sky.jpg 675w, https://astrobackyard.com/wp-content/uploads/2019/08/sinlge-exposure-night-sky-545x426.jpg 545w" sizes="(max-width: 675px) 100vw, 675px"></p>
<p><em><strong>A single exposure at 17mm using the 500 Rule with a crop sensor DSLR on a tripod. Up-close, the stars may trail slightly. </strong></em></p>
<h2>The Science Behind It</h2>
<p>The basic idea is providing an easy formula which will guess how long the exposure time can be before the movement of the stars becomes noticeable.</p>
<p>The sky rotates 0.0042 arc degrees per second, or in simple words, 360 degrees in 24 hours. If you own a full frame camera and use a 24mm lens, its horizontal view will be about 73.7 degrees.</p>
<p>Let’s say this camera has a 24 megapixel sensor (6000 x 4000). The before mentioned 73.7 degrees are projected onto 6000 pixels, resulting in 81.4 pixels/degree. With this kind of lens, the exposure time will be about 21 seconds according to the 500 rule (500/24).</p>
<p>The sky will move about 0.09 degrees during these 21 seconds (0.0042*21). 0.1 degrees = 7.3 pixels with this kind of a camera (81.4*0.1).</p>
<p>Exactly this number of pixels (7.3) is the maximum acceptable movement blur before the stars as we see them in the sky become star trails in the picture. <strong>But can you really notice this movement in pictures?</strong></p>
<p>Usually, we look at pictures on a computer screen. If you try to zoom in your full-resolution photograph to 100% you will notice that stars are not actually dots – this doesn’t actually matter because you would never notice this with a naked eye.</p>
<p>So, if you’re planning on printing large format versions of your photos, it’s worth thinking about. If you generally share your photos online (Flickr, Instagram etc.), the fine details become much less important.</p>
<p><a href="https://astrobackyard.com/wp-content/uploads/2019/07/camera-sensor-sizes.jpg"><img loading="lazy" class="aligncenter size-full wp-image-12889" src="https://astrobackyard.com/wp-content/uploads/2019/07/camera-sensor-sizes.jpg" alt="camera sensor sizes" srcset="https://astrobackyard.com/wp-content/uploads/2019/07/camera-sensor-sizes.jpg 675w, https://astrobackyard.com/wp-content/uploads/2019/07/camera-sensor-sizes-517x545.jpg 517w" sizes="(max-width: 675px) 100vw, 675px"></a></p>
<p><em><strong>A reference guide for digital camera sensor sizes. <span><a href="https://commons.wikimedia.org/wiki/File:Sensor_sizes_overlaid_inside.svg" target="_blank" rel="noopener noreferrer">Wikipedia</a></span>.</strong></em></p>
<h2>For Full Frame Cameras</h2>
<p>The calculation is easiest when using a full-frame camera, although you should expect to have to cut down on exposure time a bit. Because you do not need to multiply the focal length by a crop factor, the formula is simply 500 divided by your focal length.</p>
<p>In the case of my Canon EOS 5D Mark II with a 24mm lens attached (a promising camera and lens combination), the formula is 500 / 24 = 20.83 seconds. That means, I could expect to see stars that are mostly still in a 20-second exposure. </p>
<p>20-seconds is probably a little ambitious, so I typically would shoot a few seconds less than that. An 18-second exposure is no slouch, but I’d still recommend using a the lens “wide-open”. For my <span><a href="https://astrobackyard.com/canon-ef-24-105mm-astrophotography/">Canon EF 24-105mm</a></span> lens, that value is F/4. </p>
<p>Lastly, I’d suggest using ISO 1600 or higher if possible, and using image stacking to help reduce noise afterwards (more on this, soon). If you’re looking into a versatile lens for astrophotography, I can’t say enough about how much I love the 24-105.</p>
<p><img src="https://astrobackyard.com/wp-content/uploads/2019/01/canon-ef-24-105-f4l.jpg" alt="Canon EF 24-105mm F/4L"></p>
<p><strong><em>The Canon EF 24-105mm F/4L is an excellent lens for astrophotography. (photos shown used a star tracker!)</em></strong></p>
<h2>For Crop Sensor Cameras</h2>
<p>There are two types of crop sensor cameras – Canon and Nikon. The Nikon cameras’ crop factor is 1.5 so by using the 500 rule you get this result:</p>
<p><strong>500/ FL / 1.5</strong></p>
<p>So, if you’re using a 50-millimeter lens, the formula will look like this:</p>
<p><strong>500/ 50 / 1.5 = which will result in 7 seconds of exposure.</strong></p>
<p>The crop-factor for Canon cameras is almost the same as Nikon’s – 1.6. The formula should look like this:</p>
<p><strong>500 / focal length / 1.6.</strong></p>
<p>Now, if you use the same 50mm lens, the formula would be:</p>
<p><strong>500 / 50 / 1.6 = resulting in 6 seconds of exposure.</strong></p>
<h2>Shutter Speeds</h2>
<p>It is important to remember that this rule is not a perfect solution and that slight adjustments will have to be made according to circumstances. Factors such as light pollution, atmospheric haze, and the angle of the stars are something you should keep in mind.</p>
<p>Here’s a chart that could be useful to you regarding shutter speed in general.</p>
<p><a href="https://astrobackyard.com/wp-content/uploads/2019/07/the-500-rule-chart.jpg"><img loading="lazy" class="aligncenter size-single-post wp-image-12868" src="https://astrobackyard.com/wp-content/uploads/2019/07/the-500-rule-chart-688x765.jpg" alt="the 500 rule" srcset="https://astrobackyard.com/wp-content/uploads/2019/07/the-500-rule-chart-688x765.jpg 688w, https://astrobackyard.com/wp-content/uploads/2019/07/the-500-rule-chart-490x545.jpg 490w, https://astrobackyard.com/wp-content/uploads/2019/07/the-500-rule-chart-768x854.jpg 768w, https://astrobackyard.com/wp-content/uploads/2019/07/the-500-rule-chart-921x1024.jpg 921w, https://astrobackyard.com/wp-content/uploads/2019/07/the-500-rule-chart.jpg 1200w" sizes="(max-width: 688px) 100vw, 688px"></a></p>
<h2>Does the 500 Rule Actually Work?</h2>
<p>The above reference chart is a great starting point, but do these shutter speeds actually work in the field? The answer is, sometimes.</p>
<p>I asked this question to the AstroBackyard Facebook group, to see what amateur astrophotographers around the world had to say. There was a mix of responses on the topic of whether the 500 rules actually hold true or not, and the general consensus was that it does a great job <em>most</em> of the time. </p>
<p><span>Experienced photographer </span><span><a href="https://www.craigstocksarts.com/" target="_blank" rel="noopener noreferrer">Craig Stocks</a></span> noted that taking an image free of star-trailing using the 500 rule will depends on the resolution of the camera, and the quality of the lens. The higher the resolution of the system, the more likely you are to see star trailing. </p>
<p>In the example below, he used a Sony A7R2 and Sigma 14mm f/1.8 Art lens at ISO 2500 for just 20-seconds. Even 20-seconds is actually a shorter exposure time than the 500 rule would allow, star trailing is visible in the image when viewed at 100%.</p>
<h2><a href="https://astrobackyard.com/wp-content/uploads/2019/07/star-trails-500-rule.jpg" target="_blank" rel="noopener noreferrer"><img loading="lazy" class="aligncenter wp-image-12881 size-single-post" src="https://astrobackyard.com/wp-content/uploads/2019/07/star-trails-500-rule-688x298.jpg" alt="Does the 500 rule work?" srcset="https://astrobackyard.com/wp-content/uploads/2019/07/star-trails-500-rule-688x298.jpg 688w, https://astrobackyard.com/wp-content/uploads/2019/07/star-trails-500-rule-545x236.jpg 545w, https://astrobackyard.com/wp-content/uploads/2019/07/star-trails-500-rule-768x332.jpg 768w, https://astrobackyard.com/wp-content/uploads/2019/07/star-trails-500-rule-1024x443.jpg 1024w, https://astrobackyard.com/wp-content/uploads/2019/07/star-trails-500-rule.jpg 1417w" sizes="(max-width: 688px) 100vw, 688px"></a></h2>
<p>In a lower pixel resolution camera, this effect is not as pronounced, and the 500 rule produces a better result.</p>
<p>It’s also important to mention that capturing images close to the horizon will pronounce the effect, as the stars will appear to be moving slightly faster from your vantage point.</p>
<p>The bottom line is, the 500 rule should be considered to be a great starting point, but it is not a precise measurement, and you will need to experiment using your specific camera and lens system. </p>
<h2>The NPF Rule</h2>
<p>While searching for a definitive answer as to whether the 500 rule (or 600 rule) is still relevant with today’s cameras, I was pointed towards <span><a href="https://galleries.aaronpriestphoto.com/Articles/NPF-Rule-for-Sharp-Stars">this article</a></span> discussing the NPF Rule. The NPF Rule has been added to the <span><a href="https://www.photopills.com/" target="_blank" rel="noopener noreferrer">PhotoPills</a></span> app to provide a real-time shutter speed recommendation.</p>
<p>They call it “<span><a href="https://www.photopills.com/calculators/spotstars" target="_blank" rel="noopener noreferrer">Spot Stars</a></span>” which is essentially an <strong>NPF Rule calculator</strong>.</p>
<p><img loading="lazy" class="aligncenter wp-image-12898 size-full" src="https://astrobackyard.com/wp-content/uploads/2019/07/NPF-rule-calculator.jpg" alt="NPF Rule Calculator" srcset="https://astrobackyard.com/wp-content/uploads/2019/07/NPF-rule-calculator.jpg 320w, https://astrobackyard.com/wp-content/uploads/2019/07/NPF-rule-calculator-315x545.jpg 315w" sizes="(max-width: 320px) 100vw, 320px"></p>
<p><strong><em>The Spot Stars Calculator found in the <span><a href="https://www.photopills.com/" target="_blank" rel="noopener noreferrer">PhotoPills</a></span> app.</em></strong></p>
<p>The author notes that larger sensor cameras such as the Nikon D810 do not produce acceptable results using the 500 Rule, especially if you plan on printing the images in large format. The original NPF Rule was developed by Frédéric Michaud, and the formula is as follows:</p>
<p><strong>(35 x aperture + 30 x pixel pitch) ÷ focal length = shutter speed in seconds.</strong></p>
<p>If you don’t know what the pixel pitch is (measurement in microns), just divide the sensor’s physical width in millimeters by the number of pixels in width, and multiple by 1000. For example, the sensor in my Canon EOS 60Da has physical a width of 22.3 mm, and a sensor resolution of 5196 x 3464 (<strong>4.29 µm</strong>).</p>
<p>So, the formula for my Rokinon 14mm F/2.8 lens would be 35 x 2.8 / 30 x 4.29 = <strong>14.01 seconds</strong>. That’s a lot shorter than the recommended exposure length of 22 seconds using the 500 Rule!</p>
<h2>The Power of Stacking</h2>
<p>If your goal is to improve the quality of your photos, you should use always RAW format instead of JPEG. This simple change will provide you with flexibility which will come in handy when editing your photos. If you are not using a tracking head to track to the movement of the sky, the stars will never be in the same position.</p>
<p>The amount of light you collect for one pixel depends on how long a star stays in one place. Increasing your ISO is not always a good idea either, because it can significantly increase the amount of noise present in your image. </p>
<p>The best solution to improve your image quality in the departments of greater signal (light), smoother details, and overall less noise, is <strong>image stacking</strong>. Stacking your astrophotography images is one of the most powerful things you can do to reduce noise, and it’s really not that hard to do. </p>
<p>In the following video, I use Adobe Photoshop to manually stack a set of 30-second images to improve the quality of my image. </p>
<p><iframe loading="lazy" src="https://www.youtube.com/embed/fvF8vtOlTFs" frameborder="0" allowfullscreen="allowfullscreen">VIDEO</iframe></p>
<p>The first step is to take a set of photos at a relatively low ISO, following the 500 rule. The next step would be combining or stacking all of these photos afterwards in order to drastically enhance all of the little details in the final photograph.</p>
<p>This procedure requires you to align the sky according to all the exposures, and optionally calibrate the photo, but certain software such as <span><a href="https://astrobackyard.com/deep-sky-stacker-settings/">DeepSkyStacker</a></span>, Starry Landscape Stacker, and <span><a href="https://youtu.be/ODMMVrL8OrI" target="_blank" rel="noopener noreferrer">Sequator</a></span> can facilitate this and make the process faster and easier.</p>
<p>As time consuming as the process may be to manually stack images in Adobe Photoshop as shown in the video above, I enjoy the experience very much. There is something about seeing your image improve slightly over time that is very satisfying!</p>
<p>Image stacking is a central step when it comes to editing in astrophotography. We would not be able to witness the beauty of night sky through pictures in this quality we have to today without utilizing this technique. Increasing the ratio of signal to noise gives a much cleaner photo.</p>
<p>For foreground details, you may need to mask this area and blend in a separate exposure highlighting this area. In the example below, a single image of the terrestrial landscape was blended in to replace the blurry result from registering the stars in the image. </p>
<p><a href="https://astrobackyard.com/wp-content/uploads/2019/07/landscape-astrophotography.jpg"><img loading="lazy" class="aligncenter size-full wp-image-12695" src="https://astrobackyard.com/wp-content/uploads/2019/07/landscape-astrophotography.jpg" alt="landscape astrophotography" srcset="https://astrobackyard.com/wp-content/uploads/2019/07/landscape-astrophotography.jpg 675w, https://astrobackyard.com/wp-content/uploads/2019/07/landscape-astrophotography-545x279.jpg 545w" sizes="(max-width: 675px) 100vw, 675px"></a></p>
<p><strong><em>If you plan on stacking your images, be aware that the ground will be blurry in the image unless you blend in a stationary version.</em></strong></p>
<h2>Useful Tools</h2>
<p>Here are some of the many stacking software options available to you. I tend to use Adobe Photoshop to stack my un-tracked images, or DeepSkyStacker. Adobe Photoshop has an <strong>image stacking script</strong> option to automate the process, and it is worth checking out. </p>
<p>⦁ <strong><span><a href="https://sites.google.com/site/sequatorglobal/" target="_blank" rel="noopener noreferrer">Sequator</a></span></strong> – It is great to use if you are a Windows user because it is free. It makes the process of image stacking extremely easy and you will end up with a beautiful photograph in no time. It also supports RAW format which is important when trying to achieve the best quality.</p>
<p>⦁ <strong><span><a href="https://sites.google.com/site/starrylandscapestacker/home" target="_blank" rel="noopener noreferrer">Starry Landscape Stacker</a></span></strong> – This software is available only for Mac OS X users and there is a free trial period. You won’t have to worry that your pictures will turn out anything less than great when using this software. The only con about the software is that it doesn’t support RAW files, so you have to convert them to TIFF using Adobe Camera RAW, or similar software.</p>
<p>⦁ <span><strong><a href="http://deepskystacker.free.fr/english/index.html" target="_blank" rel="noopener noreferrer">DeepSkyStacker</a></strong></span> – Another software that is supported on Windows. It simplifies the process of stacking by doing registering, simple post stacking processes, and saving the final result to a TIFF file.</p>
<h2>Star Trail Images</h2>
<p>What about times when you <em>want</em> to show star trails? <span><a href="https://petapixel.com/2013/03/18/how-to-photograph-star-trails-from-start-to-finish/" target="_blank" rel="noopener noreferrer">Star trail</a></span> photography can result in beautiful portraits of the apparent movement of stars in the night sky like the image below. The process involves capturing images with much longer exposure times than you would use for the 500 rule.  </p>
<p><a href="https://www.flickr.com/photos/131023608@N08/32573498777/" target="_blank" rel="noopener noreferrer"><img loading="lazy" class="aligncenter wp-image-12878 size-full" src="https://astrobackyard.com/wp-content/uploads/2019/07/star-trail-images.jpg" alt="star trail images" srcset="https://astrobackyard.com/wp-content/uploads/2019/07/star-trail-images.jpg 675w, https://astrobackyard.com/wp-content/uploads/2019/07/star-trail-images-545x363.jpg 545w" sizes="(max-width: 675px) 100vw, 675px"></a></p>
<p><em><b>In this star trial image by <span><a href="https://www.facebook.com/qdmphoto/">Quentin De Meur</a></span>, the photographer intentionally allowed the stars to trail and stacked several photos together.</b></em></p>
<p>Photographers will use the longest exposure time possible (without blowing out the highlights), to capture the most amount of movement in the sky as possible. In many cases, this is a 30-second exposure on a fixed tripod. The images are then blended together in Adobe Photoshop using the “lighten” blend mode to create ultra-long star trails over time. </p>
<h2>The 600 Rule</h2>
<p>This is another variation of the 500 rule formula, The only difference is that 500 is being replaced by 600 – everything else stays the same and the formula functions in the same way. The result is a slightly longer exposure time.</p>
<p>If you are using a full frame camera then the equation will be : <strong>600/ FL = SS</strong></p>
<p>However, with slight alterations and taking the crop sensor sizes into consideration, this formula can be adjusted in order to fit all the other types of frames.</p>
<p>If you are using a crop sensor camera such as Nikon or Canon you need to add the crop sensor value into the equation: <strong>600/ FL / CF = SS</strong></p>
<p>Again, this is just a rule of thumb and it might not work in all situations, but it could be worth giving a shot.</p>
<h2>Conclusion</h2>
<p>The 500 Rule is not the be all end all solution to capturing the perfect image of the night sky, but it is an extremely useful point of reference. Many beginners (myself included), start with a crop-sensor, entry level DSLR camera and kit lens (usually 18-55mm or similar). </p>
<p>For users in this situation, I believe the 500 Rule is an excellent formula to try out the next time you set up your tripod. If you have a high-resolution sensor with 30 MP +, you may want to dial back the 500 Rule suggestion, or look into the NPF Rule.</p>
<p>By simply by understanding how this formula works, you will have a better understanding of the process of capturing photos of the stars at night, which are essentially moving targets.</p>
<p>Whether you are using a full frame camera, or a micro 4/3, the 500 rule  situations. is a practical benchmark in many situations. When used in combination with image stacking and different software tools, capturing a beautiful image of your favorite constellation or the Milky Way is within your reach. </p>
<p><img loading="lazy" class="aligncenter wp-image-12890 size-full" src="https://astrobackyard.com/wp-content/uploads/2019/07/orion.jpg" alt="Orion" srcset="https://astrobackyard.com/wp-content/uploads/2019/07/orion.jpg 675w, https://astrobackyard.com/wp-content/uploads/2019/07/orion-545x363.jpg 545w" sizes="(max-width: 675px) 100vw, 675px"></p>
