title: More on geo-tagging photos with a time element
url: https://rachelbythebay.com/w/2022/06/20/exif/
hash_url: 0ccfb99277e4fb33d213df05598df960

<p>
Some readers have written in with questions about my
<a href="https://rachelbythebay.com/w/2022/06/15/places/">photo geotagging post</a>
from last week.  One common question is whether the place name has ended 
up in the file's metadata somehow.  The answer is: I don't think so.  I 
did an "export as original" on the photo in question and ran it through 
a bunch of exif dumper tools and didn't find anything that suggested a 
name like that.
</p><p>
The EXIF data looks like this:
</p><p>
</p><pre>
Create Date         : 2014:06:16 13:02:15.202
Date/Time Original  : 2014:06:16 13:02:15.202
GPS Altitude        : 5.2 m Above Sea Level
GPS Latitude        : 37 deg 29' 6.13" N
GPS Longitude       : 122 deg 8' 53.30" W
Circle Of Confusion : 0.004 mm
Field Of View       : 57.2 deg
Focal Length        : 4.1 mm (35 mm equivalent: 33.0 mm)
GPS Position        : 37 deg 29' 6.13" N, 122 deg 8' 53.30" W
Hyperfocal Distance : 1.89 m
Light Value         : 15.4
Lens ID             : iPhone 5 back camera 4.12mm f/2.4
</pre>
<p>
(Side note: that's
<a href="https://en.wikipedia.org/wiki/Circle_of_confusion">an interesting term</a>,
huh?  Today I learned.)
</p><p>
Anyway, it's just a bunch of numbers, as you would expect.  Something in 
the actual Photos app on the Mac and the equivalent thing on my phone is 
translating it to a name.
</p><p>
What's kind of nutty is that the same picture still shows "Facebook -
Headquarters" when viewed on my phone.  Really.  Check it out:
</p><p>
<a href="phone.png"><img src="phone.png" alt="iOS 15.something or other view" align="middle"></a>
</p><p>
So, not only is there some mapping going on, but the phone and the 
computers (both of them) are looking at two different sources of data.  
I have to assume the phone has it cached, while the Macs must have   
flushed it and picked up the new value in recent times.
</p><p>
Or, who knows, maybe Apple is running multiple backends with disjoint 
geographical data sources.  It wouldn't be the first time they had 
<a href="https://rachelbythebay.com/w/2013/02/04/maps/">terrible</a>
<a href="https://rachelbythebay.com/w/2013/04/02/maps/">map</a>
<a href="https://rachelbythebay.com/w/2013/06/18/hospital/">data,</a>
right?
</p><p>
So here's another fun problem: how do you do a "fourth dimensional" 
geo-tag (that is, adding a time system) without revealing all of the 
places a person's been and when they were there?  In other words, how do 
you do that without compromising privacy?
</p><p>
The best I can figure so far is that you'd send back a list of ALL of 
the place names for a given area and let the device figure out which 
times apply to which photos, and just discard the rest.  Also, it should 
probably be "zoomed out" pretty far, such that only very coarse bounds 
are given to the server.  Just return all of the mappings for all of the 
polygons or whatever inside some giant swath of space, and do all of the 
nitty gritty stuff on their device.
</p><p>
Otherwise, hey, it becomes pretty easy to track people after the fact.
</p>
