title: Let Go of the Learning Baggage
url: https://fs.blog/learning-baggage/
hash_url: 33c9132d6cb60f0f40f9b926b596a3c7

<p>We all want to learn better. That means retaining information, processing it, being able to use it when needed. More knowledge means better instincts; better insights into opportunities for both you and your organization. You will ultimately produce better work if you give yourself the space to learn. Yet often organizations get in the way of learning.</p>



<p><strong>How do we learn how to learn?</strong> Usually in school, combined with instructions from our parents, we cobble together an understanding that allows us to move forward through the school years until we matriculate into a job. Then because most initial learning comes from doing, less from books, we switch to an on-the-fly approach.</p>



<p>Which is usually an absolute failure. Why? In part, we layer our social values on top and end up with a hot mess of guilt and fear that stymies the learning process.</p>



<p>Learning is necessary for our success and personal growth. But we can’t maximize the time we spend learning because our feelings about what we ‘should’ be doing get in the way.</p>



<p>We are trained by our modern world to organize our day into mutually exclusive chunks called ‘work’, ‘play’, and ‘sleep’. One is done at the office, the other two are not. We are not allowed to move fluidly between these chunks, or combine them in our 24 hour day. Lyndon Johnson got to nap at the office in the afternoon, likely because he was President and didn’t have to worry about what his boss was going to think. Most of us don’t have this option. And now in the open office debacle we can’t even have a quiet 10 minutes of rest in our cubicles.</p>



<p>We have become trained to equate working with doing. Thus the ‘doing’ has value. We deserve to get paid for this. And, it seems, only this.</p>



<p><strong>What does this have to do with learning?</strong></p>



<p>It’s this same attitude that we apply to the learning process when we are older, with similarly unsatisfying results.</p>



<p>If we are learning for work, then in our brains learning = work. So we have to do it during the day. At the office. And if we are not learning, then we are not working. We think that walking is not learning. It’s ‘taking a break’. We instinctively believe that reading is learning. Having discussions about what you’ve read, however, is often not considered work, again it’s ‘taking a break’.</p>



<p>To many, working means sitting at your desk for eight hours a day. Being physically present, mental engagement is optional. It means pushing out emails and rushing to meetings and generally getting nothing done. We’ve looked at the focus aspect of this before. But what about the learning aspect?</p>



<p><strong>Can we change how we approach learning, letting go of the guilt associated with not being visibly active, and embrace what seems counter-intuitive?</strong></p>



<p>Thinking and talking are useful elements of learning. And what we learn in our ‘play’ time can be valuable to our ‘work’ time, and there’s nothing wrong with moving between the two (or combining them) during our day.</p>



<p>When mastering a subject, our brains actually use different types of processing. <a href="https://fs.blog/knowledge-project-podcast/barbara-oakley/">Barbara Oakley</a> explains in <em><a href="https://amzn.to/3e7PgzV">A Mind for Numbers: How to Excel at Math and Science (even if you flunked algebra)</a></em> that <strong>our brain has two general modes of thinking – ‘focused’ and ‘diffuse’ – and both of these are valuable and required in the learning process</strong>.</p>



<p>The focused mode is what we traditionally associate with learning. Read, dive deep, absorb. Eliminate distractions and get into the material. Oakley says “the focused mode involves a direct approach to solving problems using rational, sequential, analytical approaches. … Turn your attention to something and bam – the focused mode is on, like the tight, penetrating beam of a flashlight.”</p>



<p>But the focused mode is not the only one required for learning because we need time to process what we pick up, to get this new information integrated into our existing knowledge. We need time to make new connections. This is where the diffuse mode comes in.</p>



<blockquote class="wp-block-quote"><p>Diffuse-mode thinking is what happens when you relax your attention and just let your mind wander. This relaxation can allow different areas of the brain to hook up and return valuable insights. … Diffuse-mode insights often flow from preliminary thinking that’s been done in the focused mode.</p></blockquote>



<p>Relying solely on the focused mode to learn is a path to burnout. We need the diffuse mode to cement our ideas, put knowledge into memory and free up space for the next round of focused thinking. We need the diffuse mode to <a href="https://fs.blog/krista-tippett-becoming-wise/">build wisdom</a>. <strong>So why does diffuse mode thinking at work generally involve feelings of guilt?</strong></p>



<p>Oakley’s recommendations for ‘diffuse-mode activators’ are: go to the gym, walk, play a sport, go for a drive, draw, take a bath, listen to music (especially without words), meditate, sleep. Um, aren’t these all things to do in my ‘play’ time? And sleep? It’s a whole time chunk on its own.</p>



<p>Most organizations do not promote a culture that allow these activities to be integrated into the work day. Go to the gym on your lunch. Sleep at home. Meditate on a break. Essentially do these things while we are not paying you.</p>



<p><strong>We ingest this way of thinking, associating the value of getting paid with the value of executing our task list</strong>. If something doesn’t directly contribute, it’s not valuable. If it’s not valuable, I need to do it in my non-work time or not at all. This is learned behavior from our organizational culture, and it essentially communicates that our leaders would rather see us do less than trust in the potential payoff of pursuits that aren’t as visible or ones that don’t pay off as quickly. The ability to see something is often a large component of trust. So if we are doing any of these ‘play’ activities at work, which are invisible in terms of their contribution to the learning process, we feel guilty because we don’t believe we are doing what we get paid to do.</p>



<p>If you aren’t the CEO or the VP of HR, you can’t magic a policy that says ‘all employees shall do something meaningful away from their desks each day and won’t be judged for it’, so what can you do to learn better at work? Find a way to let go of the guilt baggage when you invest in proven, effective learning techniques that are out of sync with your corporate culture.</p>



<p><strong>How do you let go of the guilt?</strong> How do you not feel it every time you stand up to go for a walk, close your email and put on some headphones, or have a coffee with a colleague to discuss an idea you have? Because sometimes knowing you are doing the right thing doesn’t translate into feeling it, and that’s where guilt comes in.</p>



<p>Guilt is insidious. Not only do we usually feel guilt, but then we feel guilty about feeling guilty. Like, I go to visit my grandmother in her old age home mostly because I feel guilty about not going, and then I feel guilty because I’m primarily motivated by guilt! Like if I were a better person I would be doing it out of love, but I’m not, so that makes me terrible.</p>



<p>Breaking this cycle is hard. Like anything new, it’s going to feel unnatural for a while but it can be done.</p>



<p>How? Be kind to yourself.</p>



<p>This may sound a bit touchy-feely, but it is really a just a cognitive-behavioral approach with a bit of mindfulness thrown in. Dennis Tirch has done a lot of research into the positive benefits of compassion for yourself on worry, panic and fear. And what is guilt but worry that you aren’t doing the right thing, fear that you’re not a good person, and panic about what to do about it?</p>



<p>In his book, <em><a href="https://amzn.to/3CBN3Wz">The Compassionate-Mind Guide to Overcoming Anxiety</a></em>, Tirch writes:</p>



<blockquote class="wp-block-quote"><p><em>the compassion focused model is based on research showing that some of the ways in which we instinctively regulate our response to threats have evolved from the attachment system that operates between infant and mother and from other basic relationships between mutually supportive people. We have specific systems in our brains that are sensitive to the kindness of others, and the experience of this kindness has a major impact on the way we process these threats and the way we process anxiety in particular.</em></p></blockquote>



<p>The Dalai Lama defines compassion as “a sensitivity to the suffering of others, with a commitment to do something about it,” and Tirch also explains that we are greatly impacted by our compassion to ourselves.</p>



<p>In order to manage and overcome emotions like guilt that can prevent us from learning and achieving, we need to treat ourselves the same way we would <a href="https://fs.blog/journey-of-self-discovery/">the person we love most in the world</a>. “We can direct our attention to inner images that evoke feelings of kindness, understanding, and support,” writes Tirch.</p>



<p>So the next time you look up from that proposal on the new infrastructure schematics and see that the sun is shining, go for a walk, notice where you are, and give your mind a chance to go into diffuse-mode and process what you’ve been focusing on all morning. And give yourself a hug for doing it.</p>
