title: Nikodemus' Guide to Mastodon
url: https://docs.google.com/document/d/1D9gfeKg_-hlsU66R-dLEvUeyMsqEfyIx2pnfUeX0t_E/edit
hash_url: 3b9259e5e41e5e73fc3d5574fd472674

Nikodemus’ Guide to Mastodon
by Nikodemus Siivola <@nikodemus@kamu.social>, updated 2022-11-08. Read time 20-30 min
 
Mastodon is a microblogging social network somewhat similar to Twitter, or your Facebook timeline. In some ways it is akin to Twitter 10 years ago. It isn’t a Twitter clone, and does not aspire to be one.
 
If you read nothing else, please read the “Culture” section. Mastodon isn’t Twitter in the cultural sense either. Ignoring this is liable to make people mute or block you.
 
If you’re more of a Facebook person than a Twitter person you be sure to check up “I Was Never on Twitter”.
 
Right at the end there’s a “Getting an Account” section for those who don’t yet have a Mastodon account, including how to tell if the server you’re signing up on is safe. That section has a few hints about setting up a server as well.
 
Don’t sweat too much. Literally millions of people have managed this. You can just go and explore, and come back here when you have a question about how something exactly works.
About This Guide
This is guide for kamu.social invitees but is making wider rounds now. The direct links to various configuration pages are kamu.social specific, but core principles apply widely.
Surface Differences to Twitter and Facebook
No ads. A brand can make an account, but their posts follow the same visibility rules as everyone else’s.
The timeline is a timeline, not an algorithmic engagement maximizer: posts appear in chronological order.
Timeline doesn’t scroll while you’re reading it if you don’t want it to. (See “Tips and Tricks” below.)
Posts have a 500 character limit, which seems to allow more thoughtful communication than Twitter. 
There is no Quote Tweet -feature by design, as it would be weaponized just like on Twitter.
There is no full text search by desing, as it too would be weaponized. (Hashtags are searchable.)
There is a proper mechanism for content warnings, and it is widely used to provide headline folds as well.
Bots are required to be marked as bots, and this is enforced.
Hate and bullies are effectively moderated. (See “Safety features”, below.) 
Like is called Favorite, visible to OP, it does NOT show the post to your followers..
Retweet/Share is called Boost, visible to OP, it is how you show the other’s posts to your followers.
Replies are visible to your followers: instead of quote-tweeting to steal the convo, reply like a human.
There is also a bookmark button. Your bookmarks are just for you.
Reply, Favorite and Boost –counts are not visible on timelines: you’re less influenced by “100K likes”.
There is no illusion of privacy. Your FB and Twitter direct messages can be read by admins if they want to, and so can your Mastodon direct messages. If you need private messaging use end-to-end encrypted services like Signal or WhatsApp. Consider everything you write on Mastodon to like text on a postcard, or talking at a party.
YOU CAN MIGRATE. You cannot migrate from Twitter to Facebook and keep your followers, or even from one Twitter account to another. You can migrate from one Mastodon account to another. Your old content will stay at the old place so links aren’t broken, your followers are moved to follow your new account, and a forwarding address is left for anyone looking for you later—which will also prevent anyone from stealing your old address. 
There are no “verified accounts”, but you can verify yourself:
If you’re part of an organization that wants to have a Mastodon presence, one option is for your org to run a server: eg. social.your-organization.net. This verifies that anyone with an account there has something to do with your-organization.net. (You can do this as an individual as well, but running an instance with just yourself on it means you lose out on the curation federated timelines offer.)
If you have any sort of webpage anywhere, you can put a bit of HTML code there saying “yes, I’m that Mastodon account”. Then when you link to that page on your profile, it will show it as verified.
Most people don’t care, and don’t need to—but if you’re a “public actor” then you probably should. 
Deeper Differences to Twitter and Facebook
Mastodon is federated. This is the thing you need to understand. 
Instead of there being one twitter.com or facebook.com, there are many, many servers - kamu.social is one of them. Servers are also called instances.
Each server has its own admins and codes of conduct (also called server rules.)
People can talk to each other across servers: if you’re on kamu.social, you can still follow people on mastodon.art, and they can follow you, and will see your replies even if they don’t follow you. 
You can have identities on multiple servers, but don’t need to: they are mainly relevant when you want to avoid crossing the streams – eg. keeping your professional self distinct from your underground party animal identity.
The biggest practical minus of the federation is that you need to pick a server. Which is why I picked for you and made kamu.social. If you later discover you want to hang somewhere else, that’s fine, see “Migrating to a Different Server”.
The biggest practical plus of the federation is that it provides curation. More about this below, in “You have three feeds”. 
The politically important part of federation is that no-one can buy Mastodon, and if nazis take over a part of the network that part can be cut off. (This has already happened, this is not theory but practise.) It is by the people, for the people. You don’t need to care, though, but we as a society should.
You have three feeds. 
Your home timeline is all the people you follow, no matter which server they are on. This includes their own public, unlisted, and followers-only posts, their replies, and their boosts—everything except direct messages to other people. (Your home timeline also shows all your own posts, including your own direct messages.)
Your local timeline is all the public posts from people on the same server. This does NOT include their replies to other people or their boosts!
Your federated timeline is all the public posts from people on the same server and all the people THEY follow. This does NOT include their replies to other people, or their boosts.
Summary: Home timeline is “your stuff”, local timeline is original content by people on your server, federated timeline is original content visible to your server. 
Since code of conduct is per server, it doesn’t really apply to the federated timeline – but see “Safety features” below. 
The local and federated timelines are why it matters which server you are on. Pick one with cool people with cool interests and your local and federated timelines will be awesome. Pick one with randos and they will be just that. Pick one with 100K people and… yeah. Still, you can always change servers later without losing followers, so starting on a big server is perfectly fine—just understand that you won’t be experiencing Mastodon at its best yet.
Safety features
Safety and moderation features have two granularities: account and server. 
You can block an individual, or the entire server they are on. While the fash can set up their own servers, rest of the world can block those.
Server admins can block entire servers as well. See Decentralized Social Networks vs. The Trolls for what happened when Gab tried to take over. The “original” Mastodon server mastodon.social blocks around 140 other servers mainly due to hate speech and harassment. Some servers block even more, some block less. Some block pre-emptively, some block when they discover an issue.
When you block someone, you can (and probably should) report them to admins of your own server as well. Your admins will see that you made the report, but the admins of the other server will only see the server the report came from.
Even if you block someone, they can still see your public profile. If this a concern for you, lock down you account to minimize your public visibility. (See “Locking down your account” under “Moving house”.)
You have four levels of privacy for your posts.
Public. These appear on local and federated timelines, on your profile, and on your follower’s home timelines. Identifiable by the globe icon.
Unlisted. These appear on your profile and on your follower’s home timelines. Identifiable by the OPEN lock icon:

Followers-only. These appear ONLY on your follower’s home timelines. Your logged in followers can also see them on your profile. Identifiable by the CLOSED lock icon:    
Direct. These appear on the home timelines of their recipients. All people @mentioned in the post are considered recipients. You can add more people to the convo by @ing them. Identifiable by the @-icon:

REMEMBER: Anything on Mastodon is more like a conversation at a party than a sealed letter. If nothing else, admins will have access to anything you post, including direct messages. Not convenient access, but access none the less.
Moving House
Didn’t create an account yet? Do it now.
Locking down your account
READ this even if you’re privileged enough to not suffer from stalkers or dogpiles, you should know these options exist. Also, if you do get trouble and are on kamu.social, please let me know!
If you’re not on kamu.social, the details might differ but the content is the same. Eg. mastodon.social is running a newer software version than kamu.
Go to Edit profile - kamu.social
Select “Require follow requests”. This means you have control over who can follow you, and is harmless as long as you don’t mind approving people.
Possibly also select “Hide your social graph” on the same page, which hides who you follow and who is following you. This doesn’t affect you, but makes it harder for other people to discover the cool people you follow and the cool people who follow you. Still, depending on your situation it might be worth it.
Hit “Save Changes”, verify that the correct boxes are checked.
Go to Preferences - kamu.social
Select “Opt-out of search engine indexing”. This means neither Google nor special purpose Mastodon search engines like FedSearch will find your profile page or public posts. (If you want to be found, obviously don’t do this.)
Under “Posting Defaults”, select whatever seems most appropriate.
Public posts are… public. They’re the “default mode” for most people, but they don’t need to be the default for you. They appear on both the local and federated timelines, and may be indexed by search engines.
Unlisted posts won’t appear on local or federated feeds by default, but they do appear on your public profile, can be linked to by anyone, and if someone boosts them they will appear for their followers’ timelines. They can also be indexed by search engines.
Followers-only is the safety-conscious option: they are visible to your followers only, cannot be boosted, and viewing links to them require being logged in. They cannot be indexed by search engines (unless one of your followers is secretly a search engine.)
Direct posts are visible only to those @mentioned on them, cannot be boosted, and links to them require them to be logged in. If you write a lot of direct messages this might be the right default! Note that ALL people @mentioned have access to the direct messages they’s mentioned in.
Hit “Save changes”.
Go to Notifications - kamu.social
Go to “Other notifications settings” at the bottom, and select the ones you need. This allows you to:
Block notifications from non-followers
Block notifications from people you don't follow
Block direct messages from people you don't follow
Hit “Save changes”.
Go to Automated post deletion - kamu.social
Select whichever period and settings seem most appropriate for you. It might be to never delete anything automatically!
Of course if someone archives an old post of yours, they have a copy and that’s out of your hands, but automatic deletion does mean old posts are much less likely to come to haunt you later.
Consider setting up two-factor authentication at Two-factor Auth - kamu.social.
SET UP YOUR PROFILE AND PICTURE. Lots of people are approving followers manually especially in the face of Twitter migration, and seeing a follow request with an empty profile is … yeah, nope. You don’t need to put up a mugshot, you don’t need to write a long bio, but some picture and a few words about what you’re about in your bio go a long way.
Your display name IS searchable! IF you want people to find you by your real name, put it there—and if doxxing or stalkers are a concern do not. (It is not initially globally searchable, but over time more servers will learn about you and it will become more so.)
Note that currently your bio is NOT searchable—not even by hashtags, hence next step.
WRITE A PUBLIC POST WITH RELEVANT HASHTAGS, PIN IT, AND KEEP IT UP TO DATE. Since bios are not searchable, but keywords in posts are, write at a short “tags” post with your #interests, so that people can discover you by it.
Go to Preferences - kamu.social
Select the language you usually post in, so your browser’s or operating system’s language doesn’t affect it. (If you sometimes post in a different language, try to remember to tag it as such in the post-box—there’s a dropdown below the text entry.)
Select the languages you read fluently, so only posts tagged with those languages appear in your local and federated timelines. (At the moment all posts from people you follow currently show up in your home timeline, no matter what language they’re in.) 
Finding your Twitter contacts: use https://fedifinder.glitch.me/
Download the list as CSV.
Go to Import - kamu.social, select "Following List", “Merge”, choose the file you downloaded in previous step, and hit “Upload”.
The import will take a bit, but you don’t need to do anything else.
For those Twitter contacts not on Mastodon that you want to keep seeing, use https://beta.birdsite.live/
Enter the Twitter username in the box.
Hit “Show”.
Copy the Mastodon user id that appears, in the form of @username@beta.birdsite.live and paste it to the search box (under # Explore on mobile!)
Follow the Mastodon account search finds. They won’t see your replies, or favorites, though!
NOTE: If you’re on one of the big servers like mastodon.social, this may not work for you, as these bots are blocked there. (The reasoning is not entirely clear to me, and they are not blocked on kamu.social. The bot does have an unfortunate tendency to dump all posts of a person in a clump on your timeline, I may look into setting up a rate-limited version for kamu.social. Still, these post are followers-only, so they won’t be visible on the federated timeline, so you don’t need to worry about spamming that.)
If you want to crosspost to Twitter automatically, use eg. https://crossposter.masto.donte.com.br/ (I don’t have personal experience with this.)
Read the “Culture” section below.
Culture
On Mastodon content warnings are much more a thing than on Twitter. I’m still getting used to them myself, but hey, yeah, let’s use them.
Write a headline-like content warnings: “News: violence against minorities in Texas” without getting into gory details. You can use them as headlines even if there is nothing to warn about! Lots of people do this, no-one will bat an eye. This allows people to scan timelines looking for the things that interest them.
Politics deserves a CW most of the time, particularly US politics, particularly “look at this awful thing right wingers are doing”. Adding “US midterms” or similar CW is a also favor to the rest of the world who can only watch in horror without being able to do anything. Even for US citizens being able to engage on your own terms is important in maintaining people’s capacity to engage thoughtfully.
This doesn’t mean all political topics need content warning on them! You have a head, use it. You will make errors in both directions, don’t sweat it too much. Just give it a moment’s consideration.
Lived experience generally doesn’t need a CW. If you experience racism, sexism, transphobia, ableism, or other forms of hate you absolutely can post about it without a CW. If you go to a political rally and and want post about it… CW that.
If you don’t need to see content warnings personally, go to Preferences → Appearance, select “Always expand posts marked with content warnings” and hit “Save Changes”.
When people say “next time please CW this”, don’t take it personally. CW warnings aren’t about taboos or not allowing discussion, reminder to use them isn’t an attack or gatekeeping.
If you don’t use CWs you will be boosted less. Seriously.
When thinking of boosting something that could have used a CW, but doesn’t have one, instead reply to it, with something like ”☝️@GrimDark’s excellent analysis of the election results”.
Use alt-text in images, people: click the “Edit” button on the image. There you can also change the centerpoint used for autocropping. Subscribe to https://mastodon.social/@alt_text for reminders. If you forget alt-text, just reply with “Forgotten alt-text: …” to your post. Eventually you will remember.
Don’t censor or obfuscate words: any filters are by users, so you’re just circumventing measures people have set up to curate their own feeds. So no f*ck or P O L I C E or whatever.
Use hashtags: they’re searchable, normal text is not. Don’t try to be an influencer dropping a dozen or more hashtags, though. That’s just silly. 1-3 is plenty. There is no algorithm to appease. You’re talking to actual people.
Boost the things you find cool and wish more people would see. Don’t be shy.
Fave the things you like: faving something is warm fuzzies for the original poster, which is important. Since your faves won’t leak to your followers, you don’t need to worry about liking things that they might not be interested in. Like with boosts, you can see who has faved a post by clicking through.
Reply to people: don’t hang on to your comments like their precious gold!
If you post in multiple languages, in addition to setting up your default language (see “Moving House” above), PLEASE do try to remember to tag the language you write in when you change it up.
If you would have retweeted / shared something with your own commentary, instead:
If your comment is constructive or funny, reply to the original. Due to the way the timelines work your followers will see your reply reliably, and can check the context by clicking on it. I think point up and keeping mention of the original poster is a nice thing to do if you want to call people’s attention to the OP, like so:
    
If your comment is too snarky for a reply, either let it be, or do a manual “copy link to original, post that with comment”, or “screenshot original, post that with comment”. Seriously consider the let it be -option: snark is fun, but it doesn’t really make the world a better place.
If you want your share + commentary to show up on the local and federated feeds, then you need DO need to make a new post. Click on the [...] button under the original to get the link.
    
Follow LOTS of people. When you discover they’re not your jam, just unfollow them. Seriously. Follow indiscriminately to start with. This is not like Facebook friending. This is like listening to someone at a party to discover if they’re fun or not. Curate your own feed: you’re better at it then any algorithm. Seriously.
On the local and federated timelines, if you find someone is too noisy, just mute them. If someone is feeling ranty, just mute them for a day or few to start. You can always clear your mutes periodically if you have bad FOMO.
Suggested Follows
If you make a list of suggested follows somewhere (1) either don’t include personal accounts (2) or get their permission first!
 
https://mastodon.social/@Mastodon - the official account of the Mastodon project.
https://mstdn.social/@feditips - tips to Mastodon and Fediverse. You can also read the website, but they don’t flood so occasional tips in the feed are nice.
https://mastodon.social/@alt_text - bot that will nag at you when you forget the alt-text of an image. Accessibility is important.
https://mastodon.social/@MicroSFF - daily micro fiction, SFF of course.
Tips and Tricks
On mobile search and federated feeds may be hidden under # Explore!
You can enter emojis by typing their name between colons, like so: :joy: → 😂
In my opinion the user experience on mobile is better with browser than the official app. I haven’t tested a lot of apps, but I hear good things about Tusky on Android and both Tusk! and Metatext on iOS. See: Eight Mastodon apps for iPhone.
You can pin multiple posts on your profile: eg. introduction, your tags, your best puns, and the important political message you’re all about.
This widget on top of your timelines gives you access to their filtering options:
    
For home timeline you can hide replies and boosts. (I recommend you don’t. If you do that you will miss out—but if there’s a whole boost storm or a dozen conversations you don’t care about going on you can turn them off for a while, etc.)
For local you can hide posts that don’t include images or other media, reproducing an authentic Facebook experience. Do what seems nicest to you.
For federated you can hide local posts, and posts that don’t include media. If you check all timelines separately I think hiding the locals makes sense.
For notifications you can hide eg. faves and boosts. You can also turn on “Quick filter bar” for all categories, which will give you quick access to different notification categories:
    
There’s a more complex filtering system accessible through preferences. This guide is too long already, though, so read up on Filters - Mastodon documentation. This will allow you to filter based on words, etc.
You can browse the local timelines of most servers, search on them, and see who are there, and follow them. Try eg:
“Big” servers:
https://mastodon.social/explore
https://mastodon.online/explore
https://mstdn.social/explore
Art:
https://mastodon.art/explore
https://artisan.chat/public
Finland: https://mastodontti.fi/public
Bots: https://botsin.space/explore
Eclectic: 
https://merveilles.town/public
https://pony.social/public 
Photography: https://photog.social/public 
Programming, Technology, Infosec, etc:
https://freeradical.zone/public
https://infosec.exchange/public 
https://types.pl/explore 
RPGs: https://dice.camp/public
Science: https://scicomm.xyz/public 
Scifi and Fantasy: https://wandering.shop/public 
This list will be kept short and reflecting the tastes of people likely to land on kamu.social, but if you have a suggestion please do let me know!
For other servers go first to the front page of the server, and look for “explore”, “local feed”, or similar from there. Different servers might be running different software and be configured differently, so specific URLs may differ - and some hide their local feeds and users.
When you notice interesting people sharing the same server, go check out that server, maybe there’s more cool people there!
Disable autocropping of images
Go to Appearance - kamu.social, unselect “Crop images in non-expanded posts to 16x9”, and save changes.
Turn on slow mode to prevent timeline from auto-refreshing
Go to Appearance - kamu.social, select “Slow mode”, and hit “Save Changes”.
Now when you have new posts to see, you will see “5 new items” at the top. (Same with notifications: the bell will show a number, and the top of your notifications timeline will show “5 new items”.) At this point you have two options:
Click on the “5 new items”. The new items will appear on top, and your screen will not scroll. You can scroll UPWARDS to see the new stuff, in the order from oldest to newest.
Refresh, and the new items will appear, and your screen will scroll to the top. You can now scroll DOWNWARDS to see the new stuff, in order from newest to oldest, until at some point you will start seeing the stuff you’ve already seen.
…and maybe consider NOT hitting the “5 new items” at all, but instead close Mastodon and do something else. We can keep in touch without doomscrolling.
Search box
You can enter the name of a person. If your server knows about them, it’ll find them. If your server doesn’t know about them (no-one on your server follows them, their posts haven’t been boosted by people here, etc), it won’t.
You can enter the name of a server. You will get a list of all people on there that your server knows about.
You can enter a hashtag, and find all posts with that—that your server knows about.
You may have noticed a theme above! If you’ve just started archery and want to find archers, searching for #archery on me.and.my.two.friends.social might not show much: search on one of the big servers listed above as well!
You can enter the @username@server -identifier of anyone, and the search box will find them if they exist. I’ve seen searches occasionally fail due to either the server you’re searching on or the server the other person is on being overloaded, though. You can also use the URL of their profile.
You cannot do global text searches. Some servers provide full text search for posts archived on the server, but even that is optional - and there is and never will be a global full text search. This is why hashtags are so important if you want your posts to be discoverable after the fact.
Click through
Every post has a small arrow below it, on the left, with a 0, 1, or 1+ next to it:
    
The indicates the number of replies to that post: zero, one, or more than one. Click on the post to see the conversation, click on the arrow to reply yourself.
Since there are no quote tweets, you see more people doing direct replies. This also means you see more things from the middle of a conversation. The double-arrow symbol:
    
means the post is a reply. Click on the post, and the conversation it is part of appears above - even though there are no replies to THIS post, there is a whole conversation above it that you can read by clicking through.
If there are other replies or if there is a pre-existing discussion above, it’s a good idea to click through. Not only for context, but maybe someone has already made your point and you can boost them instead, or maybe there’s a better place in the discussion to weigh in.
You can also see who has boosted or faved a post by clicking through, and then clicking on the small boost or fave icon at the bottom. This is one way to discover cool people.
Make notes on profiles
If you go to someone’s profile, you will see a NOTE section. This is for you! You can write for example “Met at Chaos Camp 2021” or “Rants about US politics” there, and no-one else will see it. This is so that you can remind yourself of how you know someone, or why you unfollowed them, or maybe what their real name is. They won’t get a notification, and they won’t see it. You server admin, as always, has access if they really want, though.
I Was Never on Twitter
Mastodon is NOT a Twitter clone, but shares the same basic threading model of discussions with Twitter. Here’s how it works on Mastodon specifically.
 
Someone makes a post / tweet / toot.
Other people see it, and reply to it.
Other people see those replies, and reply to them. Repeat until discussion dries out.
Unlike on Facebook, there is no limit to the depth of subthreads a discussion can have. There is also no “most popular replies”, etc. This is by design.
When you click on a post, you are taken the the conversation view for that post, showing the discussion directly preceding it if you scroll up, and the direct replies to it if you scroll down.
When you reply to other people publicly, your followers see your reply, it appears on your profile under “Posts and replies”, and it appears to the people @mentioned in your reply, but it does NOT appear on the local and federated timelines you are on.
If you make a followers-only reply, it will only appear to your followers and those @mentioned.
If you make a direct reply, it will only appear to those @mentioned.
Unlisted replies are useful when you’re making a thread: your replies to your own posts DO appear on the local and federated timelines. By making the first post of a thread public and the rest unlisted you can avoid spamming the timelines.
Make sure to read the Culture section above!
Migrating to a Different Server
This actually works exactly the same if you’re just migrating to a different account on the same server!
 
Create a new account where you want to move.
Download your old follows, mutes, blocks, etc:
On your OLD account, go to Preferences → Import and Export → Data Export
Download the all CSV files (Comma Separated Values, you can open these in a spreadsheet).
Click “Request your archive”, wait until it is ready an download it. It will contain all your posts and uploads.
Add you old follows, mutes, blocks, etc to your new account.
On your NEW account, go to Preferences → Import and Export → Data Import
Import follows:
Make sure “Following List” is selected in the dropdown.
Make sure “Merge” is selected below.
Choose the following_accounts.csv file you earlier exported.
Hit upload.
Repeat the above for Blocking List, Muting List, Domain Blocking List, and Bookmarks.
Your account migration is new complete from the POV of the new account. Nothing irreversible has been done.
Migrate your followers. This step will make you old account INACTIVE and move all your followers to follow your new account. The process is not instantaneous, and might take a while, so don’t panic if they’re not there immediately! You can later re-activate your old account, but the followers will be gone.
The following steps need to be done in this order! Nothing bad will happen the other way around, it just won’t do anything.
On your NEW account, go to Preferences → Account → Moving from a different account, and create an alias for your OLD account. This is the “I’m migration from there to here”-signal.
On your OLD account, go to Preferences → Account → Moving to a different account. Enter your NEW account and the password of the OLD account, and hit “Move Followers”. This is the “I’m allowing migration from here to there”-signal.
You’re done. If you now log out and check your old account’s public profile you should see it pointing to the new account, but all your old posts are still accessible in their old addresses. This is good internetting: don’t break old links.
If you get errors, check that you’ve done the steps in right order, and note the “mixed” account and password when starting migration!
IF you want to also migrate your old posts, my suggestion is that you boost selected old posts from your new account. The alternative would be to dig in the archive you downloaded and re-post the things you want, or to copy them manually.
If there’s lots of good stuff on your old account, maybe link to it in your pinned #introduction. You DO have an introduction, right?
Getting an Account
If you know me (Nikodemus) and I know you, then you’re pretty much invited to kamu.social. If not, then this section is for you:
 
Signup using most apps is buggy, I hear. Sign up from a browser. Use browser to start, pick an app later.
If you have friends who all hang on a server and tell you to go there, go there.
Otherwise make an account on one of the “big” general purpose servers, it doesn’t matter which. If you don’t have friends pulling you to a nice place, it’s better to pick a big server because that way it will be easier for you to find interesting people to follow. Later, when you notice all the interesting people hang on coolthing.town or something, migrate there. No biggie.
Servers managed by “Stux”, who seems to be doing a very good job: mstdn.social, mastodon.coffee, masto.ai (The two last ones are still reasonably small, but based on the track record of mstdn.social I feel confident recommending them.)
I used to recommend making an account on mastodon.online, or mastodon.social. but the moderation quality there take a drastic dip, and they’re not blocking some instances that should IMO be blocked.
MAYBE if you have a single big focus in your life like art, a specific identity, hacktivism, microbrews, or whatever, AND you can find a server dedicated to that, then you can go there without making an account on a big server first.
Check the public feeds of that server and see what they’re like. If you like them, great!
Make sure the server you sign up has a reasonable code of conduct, and a blocklist. Check the “About” page of the server. See eg. About - Mastodon for mastodon.social. If the server you’re looking at doesn’t suspend sites for hate speech and harassment, that’s a huge 🚩.
Really, all the servers listed in Tips and Tricks section should be fine.
The reason it is easier to get started on a big server is because the big servers “know” more people. So searching for a hashtag or a name directly on that server is more likely to find the thing you’re looking for. You can search on many servers you don’t have an account on, esp. the big ones, but that’s more hassle and something you need to remember to do.
IF YOU WANT TO SET UP A SERVER and let other people in, you need to be ready to make sure they’re safe.
Make an account elsewhere first. Spend at least a few days on the fediverse.
Do your homework: you need to read more than this guide.
Set up server rules, aka code of conduct. Without a public set of server rules on the “About” page, other servers are much more likely to block you at the first sign of trouble instead of reaching out.
Set up an initial list of moderated servers. My suggestion is to copy the list from eg. mastodon.art. Some of the addresses will be obfuscated (due to eg. hosting illegal content), so those you gotta skip, but espcially make sure to get the hate speech and harassment ones.
If your people are out of line, it’s not just them that may be blocked, but your entire server. You’re responsible moderating your crowd when the need arises.
Follow the #fediblock topic for reports of bad actor servers.
 
Happy Tooting!
 
— Nikodemus
 
