title: Tools for Communicating Offline and in Difficult Circumstances
url: https://www.complete.org/tools-for-communicating-offline-and-in-difficult-circumstances/
hash_url: 4525ebd31ecd7bc978fbe0ad464824a3

<p>When things are difficult – maybe there’s been a disaster, or an invasion (this page is being written in 2022 just after Russia invaded Ukraine), or maybe you’re just backpacking off the grid – there are tools that can help you keep in touch, or move your data around.  This page aims to survey some of them, roughly in order from easiest to more complex.</p>
<h2 id="simple-radios">Simple radios</h2>
<p>Handheld radios shouldn’t be forgotten.  They are cheap, small, and easy to operate.  Their range isn’t huge – maybe a couple of miles in rural areas, much less in cities – but they can be a useful place to start.  They tend to have no actual encryption features (the “privacy” features really aren’t.)  In the USA, options are FRS/GMRS and CB.</p>
<h2 id="syncthing">Syncthing</h2>
<p>With <a href="/syncthing/">Syncthing</a>, you can share files among your devices or with your friends.  Syncthing essentially builds a private mesh for file sharing.  Devices will auto-discover each other when on the same LAN or Wifi network, and opportunistically sync.</p>
<p>I wrote more about offline uses of Syncthing, and its use with <a href="/nncp/">NNCP</a>, in my blog post <a href="https://changelog.complete.org/archives/10219-a-simple-delay-tolerant-offline-capable-mesh-network-with-syncthing-optional-nncp">A simple, delay-tolerant, offline-capable mesh network with Syncthing (+ optional NNCP)</a>.  Yes, it is a form of a <a href="/mesh-network/">Mesh Network</a>!</p>
<p>Homepage: <a href="https://syncthing.net/">https://syncthing.net/</a></p>
<h2 id="briar">Briar</h2>
<p>Briar is an instant messaging service based around Android.  It’s IM with a twist: it can use a mesh of Bluetooh devices.  Or, if Internet is available, Tor.  It has even been extended to support the use of SD cards and USB sticks to carry your messages.</p>
<p>Like some others here, it can relay messages for third parties as well.</p>
<p>Homepage: <a href="https://briarproject.org/">https://briarproject.org/</a></p>
<h2 id="manyverse-and-scuttlebutt">Manyverse and Scuttlebutt</h2>
<p>Manyverse is a client for Scuttlebutt, which is a sort of asynchronous, offline-friendly social network.  You can use it to keep in touch with your family and friends, and it supports syncing over Bluetooth and Wifi even in the absence of Internet.</p>
<p>Homepages: <a href="https://www.manyver.se/">https://www.manyver.se/</a> and <a href="https://scuttlebutt.nz/">https://scuttlebutt.nz/</a></p>
<h2 id="yggdrasil">Yggdrasil</h2>
<p><a href="/yggdrasil/">Yggdrasil</a> is a self-healing, fully end-to-end <a href="/encrypted/">Encrypted</a> <a href="/mesh-network/">Mesh Network</a>.  It can work among local devices or on the global Internet.  It has network services that can egress onto things like Tor, I2P, and the public Internet.  Yggdrasil makes a perfect companion to ad-hoc wifi as it has auto peer discovery on the local network.</p>
<p>I talked about it in more detail in my blog post <a href="https://changelog.complete.org/archives/10319-make-the-internet-yours-again-with-an-instant-mesh-network">Make the Internet Yours Again With an Instant Mesh Network</a>.</p>
<p>Homepage: <a href="https://yggdrasil-network.github.io/">https://yggdrasil-network.github.io/</a></p>
<h2 id="ad-hoc-wifi">Ad-Hoc Wifi</h2>
<p>Few people know about the ad-hoc wifi mode.  Ad-hoc wifi lets devices in range talk to each other without an access point.  You just all set your devices to the same network name and password and there you go.  However, there often isn’t DHCP, so IP configuration can be a bit of a challenge.  Yggdrasil helps here.</p>
<h2 id="nncp">NNCP</h2>
<p>Moving now to more advanced tools, <a href="/nncp/">NNCP</a> lets you assemble a network of peers that can use <a href="/asynchronous-communication/">Asynchronous Communication</a> over sneakernet, USB drives, radios, CD-Rs, Internet, tor, <a href="/nncp-over-yggdrasil/">NNCP over Yggdrasil</a>, <a href="/syncthing/">Syncthing</a>, Dropbox, S3, you name it . NNCP supports multi-hop file transfer and remote execution.  It is fully end-to-end encrypted.  Think of it as the offline version of ssh.</p>
<p>Homepage: <a href="https://nncp.mirrors.quux.org/">https://nncp.mirrors.quux.org/</a></p>
<h2 id="meshtastic">Meshtastic</h2>
<p><a href="/meshtastic/">Meshtastic</a> uses long-range, low-power <a href="/lora/">LoRa</a> radios to build a long-distance, encrypted, instant messaging system that is a <a href="/mesh-network/">Mesh Network</a>.  It requires specialized hardware, about $30, but will tend to get much better range than simple radios, and with very little power.</p>
<p>Homepages: <a href="https://meshtastic.org/">https://meshtastic.org/</a> and <a href="https://meshtastic.letstalkthis.com/">https://meshtastic.letstalkthis.com/</a></p>
<h2 id="portable-satellite-communicators">Portable Satellite Communicators</h2>
<p>You can get portable satellite communicators that can send SMS from anywhere on earth with a clear view of the sky.  The Garmin InReach mini and Zoleo are two credible options.  Subscriptions range from about $10 to $40 per month depending on usage.  They also have global SOS features.</p>
<h2 id="telephone-lines">Telephone Lines</h2>
<p>If you have a phone line and a modem, <a href="/uucp/">UUCP</a> can get through just about anything.  It’s an older protocol that lacks modern security, but will deal with slow and noisy serial lines well.  <a href="/xbee-sx/">XBee SX</a> radios also have a serial mode that can work well with UUCP.</p>
<h2 id="amateur-radio">Amateur Radio</h2>
<p><a href="/amateur-radio/">Amateur Radio</a>, of course, has the advantage of being able to communicate globally without the need to use anybody else’s infrastructure.  It is absolutely unique in that capability.  However, it does require a license and some technical ability to get going.  Nonetheless, it is both a lot of fun and a great tool to have in your toolbox.  Low-power (“QRP”) communications are also an area of interest within amateur radio, and the annual Field Day contest explores and encourages practice operating from remote locations without regular power.</p>
<h2 id="additional-suggestions">Additional Suggestions</h2>
<p>It is probably useful to have a Linux live USB stick with whatever software you want to use handy.  <a href="/debian/">Debian</a> can be installed from the live environment, or you could use a security-focused distribution such as Tails or Qubes.</p>
<p>Android users might want to use F-Droid; it lets you easily <a href="https://f-droid.org/en/tutorials/swap/">share apps between phones</a>.</p>
<h2 id="references">References</h2>
<p>This page originated in my <a href="https://floss.social/web/@jgoerzen/107884945439834995">Mastodon thread</a> and incorporates some suggestions I received there.</p>
<p>It also formed a <a href="https://changelog.complete.org/archives/10356-tools-for-communicating-offline-and-in-difficult-circumstances">post on my blog</a>.</p>
