title: writing as a practice
url: https://winnielim.org/journal/writing-as-a-practice/
hash_url: 6e3580538a14b52ac9cb5fd54dfa1384

<p>For most of my life, I depended on my feelings to do things. Writing was one of them. I could write regularly because I loved it and I actively wanted to write. But something has changed in the past few years. I am not really sure what exactly has changed, but if I were to hypothesise I think gaining inner peace is not really good for writing – at least in my shoes.</p>



<p>I am definitely not at peace, but my inner state is a lot less noisy than before. I was always simmering with some level of suffering that was induced by some form of self-torture. Thus I had looked forward to writing as a form of catharsis. There was so much pent-up energy, so much repressed sadness and anger.</p>



<p>Now I am a lot more moderate in my thinking and actions, so as a result everything else is also more moderate. Moderation is not a really good state for writing because it doesn’t compel – it doesn’t make our emotions well up ready to burst at any moment. Slowly, I sort of lost the desire to write. I say ‘sort of’ because now I can see that it is not that I truly lost the desire to write, it is just that I was so used to feeling a sort of emotion that would compel me to write, and I associated that with the actual desire to do so. </p>



<hr class="wp-block-separator">



<p>I didn’t “feel” like writing this piece for example, but I designated time to write this because I intellectually thought it was important. Now that I am actually in the middle it I am enjoying the process and the sound of words unfolding from my fingers. So if I had waited to “feel” like writing I probably wouldn’t have written for a long while until some major event shakes my life.</p>



<p>I guess I need to get used to my mind pulsing a lot slower now – the words are still there, but not boiling over like before. I just need to set aside some time and space for them to gently appear instead of how they used to be so fast and furious.</p>



<hr class="wp-block-separator">



<p>After going back and forth on this for now I am settling into the position that publishing regularly is a healthy practice for me. I was tempted to totally stop publishing because I just wasn’t sure if there was any value. Maybe I’ll still change my mind some day, but currently I think the practice of publishing regularly keeps me honest. It can be awkward and embarrassing when I realised I no longer agree with what I wrote, but to have a public changelog of how I have evolved as a person is somewhat humbling and clarifying. </p>



<p>Somehow the thoughts and words that appear on this website is very different from the ones in my private journals. I seem to have a different persona that is only revealed on this website. I appreciate quite a bit of stuff I have written here in the past, stuff that perhaps I wouldn’t have a record of if I didn’t make it a regular habit to capture a somewhat weekly snapshot of my psyche.</p>



<hr class="wp-block-separator">



<p>With the intention of gifting myself more flexibility, I had an invisible rule that I could publish any day I wanted as long as it was once per week. But as the days went by I found myself elongating the days in-between. Instead of publishing once every seven days I was averaging ten, sometimes 14 – as once per week became the first and last days of two weeks. </p>



<p>A few weeks back I decided I would go back to publishing on sunday, rain or shine. It is just easier to have a fixed and regular practice when I know I should show up and write no matter what. But I wouldn’t have known if I didn’t <a href="https://winnielim.org/journal/changing-the-way-i-write-and-publish/" data-type="post" data-id="3578">try otherwise</a>. </p>



<p>I am trying to write drafts earlier though, instead of writing a full post in one sitting. Hopefully I’ll get to know my own cadence soon, and learn how to write meatier posts across multiple sittings in a more sustainable manner, on top of these stream-of-consciousness snapshots.</p>



<figure class="wp-block-image size-large is-resized"><img src="https://winnielim.org/wp-content/uploads/2022/03/winnielim-publishing-day-ii-1600x1067.png" alt="illustration on designated publishing day" class="wp-image-4295" srcset="https://winnielim.org/wp-content/uploads/2022/03/winnielim-publishing-day-ii-1600x1067.png 1600w, https://winnielim.org/wp-content/uploads/2022/03/winnielim-publishing-day-ii-700x467.png 700w, https://winnielim.org/wp-content/uploads/2022/03/winnielim-publishing-day-ii-300x200.png 300w, https://winnielim.org/wp-content/uploads/2022/03/winnielim-publishing-day-ii-768x512.png 768w, https://winnielim.org/wp-content/uploads/2022/03/winnielim-publishing-day-ii-1536x1024.png 1536w, https://winnielim.org/wp-content/uploads/2022/03/winnielim-publishing-day-ii-2048x1365.png 2048w" sizes="(max-width: 800px) 100vw, 800px"></figure>



<p>I guess this is a very long way to say that I am back to publishing every sunday – which I had been doing for years since 2011 before the recent few – if you show up here on monday you could probably read something new. In-between I am still hoping to write a few<a href="/notes" data-type="URL" data-id="/notes"> notes</a> here and there. I’ve always taken the ease of writing for granted because as mentioned I’ve always had thoughts bubbling over eagerly waiting to be translated into the written form, but as I get older and busier with other non-mind stuff like cooking, I have realised how much it takes to sit down, go into a light form of trance and write, even if it is just a short note.</p>



<p>But I think overall it is worth it if I bother to carve out this intentional space, because I learn so much from these past forgotten words my older selves have written.</p>
