title: Coremuneration - Movilab.org
url: https://movilab.org/wiki/Coremuneration
hash_url: 8a9c9c7aa6a17b8203e2ee289a5e2ffa

<h2><span class="mw-headline" id="Un_budget_contributif.2C_c.E2.80.99est_quoi_.3F.C2.A0">Un budget contributif, c’est quoi ? </span></h2>

<p>Un budget contributif est un outil qui permet à un collectif d'organiser la rémunération des membres de manière transparente. 
</p><p>Le collectif dispose d’un budget et va permettre à ses membres de se rétribuer dans ce budget pour le travail qu'ils effectuent. Chaque membre peut demander une rémunération à hauteur de ce qu’il estime juste, et ce en l’affichant en toute transparence au reste du collectif, qui peut en cas d’abus ou d'incompréhension, remettre en question sa demande.  Le montant de la rémunération se définit selon le budget disponible, le temps passé, ses besoins financiers, ses compétences, la difficulté ou l'exigence de la réalisation, ce que prennent les autres.  En ce sens, seul nous même pouvons vraiment évaluer la rétribution.
</p><p>La rémunération se fait à posteriori ; nous "donnons" d'abord le meilleur de nous même, puis "nous nous donnons" une rétribution.
</p><p>Nous appelons cette modalité "rétribution libre" ou "rémunération libre".
</p>
<h2><span class="mw-headline" id="Pourquoi_c.E2.80.99est_utile_.3F.C2.A0">Pourquoi c’est utile  ? </span></h2>
<ul><li> Ce budget contributif permet aux personnes de se partager une enveloppe budgétaire sans avoir à planifier la répartition en amont. Il s'agit d'une troisième voie salutaire entre la tentation de concentrer les ressources financière sur un poste salarié qui deviendra omniprésent et parfois omnipotent et la tentation de rester dans un fonctionnement sans rémunération qui risque d'épuiser les membres ou de ne jamais bénéficier pleinement de l'énergie disponible. Ce modèle favorise le maintien d'un investissement et de la contribution sur le long terme pour certaines personnes, voir pour développer un nouveau modèle, <a href="/wiki/Fichier:Statut_travailleurs_contributeur.png" title="Fichier:Statut travailleurs contributeur.png">le "contributeur salarié"</a> (le salariat passe dès lors par une structure de type CAE, Coopérative d'Activite et d'Emploi qui permet d'agréger les différents revenus contributifs sous un CDI).</li></ul>
<ul><li> Ce budget contributif permet d'incarner des principes collaboratifs et d'horizontalité managériale. On fait l'économie d'une gestion des finances et des rémunérations par un membre en particulier, un chef ou une cheffe qui disposerait d'un pouvoir de répartition de valeur. Le fait que chaque membre peut à tout moment non seulement voir ce que les autres membres prélèvent, mais également s’y opposer, en fait un outil démocratique intéressant. </li></ul>
<h2><span class="mw-headline" id="De_o.C3.B9_.C3.A7a_vient_.3F">De où ça vient ?</span></h2>
<p>C'est une longue histoire, mais un certain <a rel="nofollow" class="external text" href="https://mako.cc/writing/funding_volunteers/funding_volunteers.html">Benjamin Mako Hill</a> disait "<i>Il est plus facile pour un projet de logiciel libre à succès de recevoir de l'argent que de décider de comment le redistribuer</i>". 
</p><p>Cette remarque s'applique aussi aux communs ou aux projets autogérés. Des endroits où la contribution est assez libre, où elle se veut ouverte à tous, sur ce que chacun souhaite fournir comme effort au moment voulu. Des espaces où rémunérer les personnes peut vite devenir un sujet épineux. Avez-vous déjà envisager que l'on puisse rémunérer les contributeurs à Wikipédia ? Ce mode de production et de travail très particulier mérite un mode de rémunération lui aussi particulier.
</p><p>Un autre, pour justifier un refus de donner une subvention, nous disait aussi "<i>Si je vous donne de l'argent dans votre projet cogéré, votre collectif va rentrer en conflit et disparaître</i>". Celui préférait dès lors financer une seule personne dans un projet non collectif et non ouvert.  
</p><p>D'autres, au moment où de l'argent arrive enfin dans un projet qui a du succès, préféraient payer des prestataires extérieurs novices sur le projet à 1000€ la journée plutôt que de rémunérer les centaines de contributeurs actifs depuis 10 ans, motivés pourtant pour continuer à alimenter le projet. Ils disaient : <i>"Si vous vous payez, il y a conflit d'intérêt, car vous participez à la gouvernance du projet à but non lucratif. Il faut payer des gens qui ne participent pas au projet et sa gouvernance".</i>  
</p><p>Il a donc fallu trouver des solutions pour résoudre ces principes de plus en plus inacceptables à l'ère des communs comme Wikipédia ou le logiciel libre, véritables entreprises créatrices de valeur pour tous. 
</p>
<h2></h2>

<h3><span class="mw-headline" id=".C3.89tape_0_:.C2.A0_Partager_un_Document">Étape 0 :  Partager un Document</span></h3>
<p>Un logiciel est en phase de test pour faciliter les déclarations de contributions et les demandes de rétributions : https://loot-project.gitlab.io/userguide/
</p><p>En attendant, nous utilisons encore des tableaux partagés en ligne : <a rel="nofollow" class="external text" href="https://docs.google.com/spreadsheets/d/1_chs0k7y39idaNHiC7UvU41_Cqw1d2sknuAwCxj-O6k/edit#gid=0">Voici un modèle à adapter</a>
</p>
<h3><span class="mw-headline" id=".C3.89tape_1_:_Disposer_d.E2.80.99un_budget">Étape 1 : Disposer d’un budget</span></h3>
<p>Pour bien commencer, mieux vaut disposer d’un budget, qui sera l’enveloppe dans laquelle les contributeurs vont prélever selon leurs interventions. 
</p><p>Par souci de transparence, il faut donner la provenance de ce budget ; les montants et l'origine des financements récoltés. 
</p><p>Il faut préparer une case “Budget restant” pour évaluer en temps réel l’évolution du budget. 
</p>
<h3><span class="mw-headline" id=".C3.89tape_2_:_Se_mettre_d.E2.80.99accord_sur_un_tarif_horaire_maximum.">Étape 2 : Se mettre d’accord sur un tarif horaire maximum.</span></h3>
<p>Pour éviter que certains se sous-payent et d’autres se sur-payent, il est bon d’avoir un référentiel plébiscité par le collectif. 
</p><p>Nous définissons néanmoins notre rémunération librement selon le nombre d'heures passées, nos besoins financiers, nos compétences, la difficulté ou l'exigence de la réalisation et l’intérêt individuel de la réalisation. Il faut prendre en compte l'ensemble du temps passé ( ce que l'on ne fait pas toujours en prestation). Et bien sûr libre à chacun de suivre le taux horaire indiqué ou de se rétribuer plus, moins ou même pas du tout. Par exemple, si notre contribution au collectif apporte un intérêt individuel fort, il peut être justifié de se rémunérer moins que si ce n’était pas le cas. Par exemple, si j'améliore mon tiers lieu que j'utilise tous les jours, je bénéficie donc directement de l'amélioration. C’est ce qui explique d’ailleurs d’un projet comme Wikipedia n’a pas besoin de rémunérer ses contributeurs pour fonctionner. 
</p><p>Ce tarif horaire maximum ou de référence est complexe à déterminer mais peut-être creusé par rapport aux coûts d'un salarié au régime général.<sup id="cite_ref-1" class="reference"><a href="#cite_note-1">[1]</a></sup>
</p><p>C'est au fil du temps que les choses vont s'ajuster et que les personnes vont trouver leur équilibre. Au départ, certains osent pas, d'autres osent trop. En discutant ensemble et en faisant des points réguliers, le collectif va apprendre à se positionner et chacun trouvera son équilibre. Attention à ne pas reproduire des écarts hérités des dominations sociales et culturelles ; par exemple, ce n'est pas parce que les femmes trouvent un équilibre satisfaisant plus bas que celui des hommes que votre collectif doit tolérer cette situation. Une fois bien mis en place, la gestion du budget devient moins chronophage pour le collectif et contribue à apaiser certaines tensions (par exemple, chez les bénévoles, cela permet d'arrêter de reprocher aux autres de ne pas faire les choses, si l'on est frustré, on peut au moins compenser avec plus de rétribution financière).
</p>
<h3><span class="mw-headline" id=".C3.89tape_3_:_Lister_les_noms_des_contributeurs">Étape 3 : Lister les noms des contributeurs</span></h3>
<p>Ils sont le cœur du budget contributif, ils doivent tous avoir un accès modifiable au document.
</p><p>Assurez-vous que l'ensemble des contributeurs et contributrices potentielles à vos projets disposent des informations nécessaires.
</p><p>Dans la notice de votre outil n'oubliez pas d'indiquer si les demandes de rétributions sont déclarées Hors Taxes ou TTC.
</p>
<h3><span class="mw-headline" id=".C3.89tape_4_:_Contribuer_.E2.80.9C.C3.A0_la_carte.E2.80.9D">Étape 4 : Contribuer “à la carte”</span></h3>
<p>Dans la “partie contribution”, on dispose d’un tableau hebdomadaire (on le rythme une colonne par dimanche, pour permettre aux contributeurs de travailler le week-end) et annuel. 
</p><p>Le contributeur va alors pouvoir indiquer les montants qu’il prélève, et les justifier en insérant une “remarque” sur la cellule correspondante. 
</p><p>Pour ce faire, pas besoin d’écrire un roman, mais mieux vaut être précis. 
</p><p>Astuce : pour chaque contribution, vous pouvez indiquer la somme prélevée correspondante et au choix, indiquer :
</p>
<ul><li> le jour </li>
<li> le temps passé approximatif (possible de le laisser facultatif)</li>
<li> l’activité horaire￼ et/ou l menée à bien</li></ul>
<p>N’oubliez pas que tous les autres membres voient et peuvent s’opposer à l’évaluation que vous faites de votre contribution !
</p><p>Avec cette partie contribution, on peut ainsi suivre les dépenses hebdomadaires, voire limiter son budget hebdomadaire en divisant son enveloppe par 52 semaines. 
</p>
<h3><span class="mw-headline" id=".C3.89tape_5_:_Facturer_ses_contributions">Étape 5 : Facturer ses contributions</span></h3>
<p>A force de contribuer, un certain montant s’accumule dans la “partie facturation”. Ce montant reste virtuel, il faut le récupérer en émettant une facture à la structure porteuse du dispositif. 
</p><p>On indique alors dans la cellule “1ere facture” le montant qu’on a facturé, et on ajoute en “remarque” la date d’envoi de cette facture à la structure porteuse. 
</p><p>Astuce : insérer dans le document un lien ou un e-mail pour faciliter l’envoi de cette facture par le contributeur. 
</p><p>Rien ne nous oblige à facturer le montant total de la contribution accumulée, mais il est préférable de facturer rond, c’est-à-dire en ne coupant pas les mois. 
</p><p>Par ex : je facture du 1er juin au 30 septembre, et je l’indique sur ma facture à la structure porteuse. 
</p><p>En général, on émet une facture à partir du moment où on a accumulé une somme assez conséquente (mais à moins de 5000€, car les virements des comptes courants ne dépassent pas 5000€ par jour, ça va embêter le comptable de votre structure porteuse si c’est une association).
</p><p>Pensez à facturer avant la fin de l’année comptable !!!
</p>
<h3><span class="mw-headline" id=".C3.89tape_6_:_Veiller_au_suivi_des_d.C3.A9penses.C2.A0">Étape 6 : Veiller au suivi des dépenses </span></h3>
<p>Avec ce budget contributif, le coordinateur ou le comptable de votre dispositif pourra suivre les dépenses en temps réel pour ajuster au mieux les activités à l’enveloppe restante (“dois-je aller chercher davantage de subventions ?”)
</p><p>En y insérant un tableau de suivi des notes de frais, ainsi qu’un tableau des dépenses directes par carte bleue depuis le compte-courant du dispositif, le budget contributif peut devenir un outil incontournable pour gérer efficacement son dispositif … à condition d’avoir bien veillé à ce que tous les contributeurs remplissent régulièrement le tableau !
</p><p>Attention, dans les règles, vous pouvez par exemple  établir le fait que tout le monde puisse émettre un droit de blocage sur une rémunération, pour limiter une dérive par exemple. 
</p>
<h2><span class="mw-headline" id="Exemples_d.27applications_de_la_cor.C3.A9mun.C3.A9ration.">Exemples d'applications de la corémunération.</span></h2>

<h2><span class="mw-headline" id="R.C3.A9mun.C3.A9ration_dirigeant_dans_une_association">Rémunération dirigeant dans une association</span></h2>
<p><a rel="nofollow" class="external free" href="https://www.service-public.fr/associations/vosdroits/F1927">https://www.service-public.fr/associations/vosdroits/F1927</a>
</p><p>Pour qu'un dirigeant puisse être rémunéré, cela doit être prévu par les statuts de l'association et voté en assemblée générale. Toute association peut décider de rémunérer tout ou partie de ses dirigeants. La rémunération de chaque dirigeant ne doit pas dépasser les ¾ du <abbr>Smic</abbr>, soit 1 154,56 € brut par mois. (La facturation est considérée comme une forme de rémunération, le montant précisé ci-contre est à transformer en montant HT). https://www.service-public.fr/associations/vosdroits/F1927 
</p><p><b>Voici un article ajouté dans les statuts de certaines asso le pratiquant :</b> 
</p><p>"ARTICLE 8 bis : RÉTRIBUTIONS CONTRIBUTIVES Sans remettre en cause le caractère désintéressé de l’association, les membres contributeurs peuvent bénéficier de rétributions en tant que dirigeants. Dans les limites légales, l’association peut également faire appel à ses membres en tant que prestataires ou dans le cadre d’un contrat de travail salarié. Ces différents aspects seront encadrés par le CA"
</p>
<h2><span class="mw-headline" id="Autres_ressources_et_pages_li.C3.A9es">Autres ressources et pages liées</span></h2>

<div class="mw-references-wrap"><ol class="references">
<li id="cite_note-1"><span class="mw-cite-backlink"><a href="#cite_ref-1">↑</a></span> <span class="reference-text">Ainsi, nous pouvons réfléchir à ce que nous coûterait un salarié avec l'ensemble des cotisations et imaginer comment pourrait être partagé ce revenu entre plusieurs personnes<b>.</b> Pour donner à titre indicatif un taux horaire pas très éloigné de celui d'un salarié. Par exemple, une moyenne de 22,5 € par heure correspond  à une rémunération net de 1760€ ( si 35h par semaine et avec prise en compte de la mutuelle/prévoyance et congés payés et jours fériés, soit 134h/mois). 13€ correspond à un SMIC, du fait des aides Fillon, CICE et autre, les réductions de cotisations étant très fortes. Il faut que la rétribution intègre le coût de gestion administratif et comptable, les frais, la possible TVA payée par le contributeur selon son statut, la précarité du modèle si toutefois les espaces de contributions ne sont pas abondants dans l'environnement proche....</span>
</li>
</ol></div>
