title: ★ Children of the Hyperlink
url: https://buttondown.email/robinrendle/archive/children-of-the-hyperlink/
hash_url: d4ae86dd75af3abc8b65953e7d3ca832

<p>Hyperlink compatriots!</p>
<p><a href="https://robinrendle.com/" target="_blank">Robin Rendle</a> here. This morning began with a slow but productive start. I was up early. Showered. Dressed. Laundry. Dishes. Trash. Breakfast. After all that the Mobile Depression Device told me that my screen time was up 30% this week which sounds about right. I still feel dazed from all the screens. </p>
<p>And so today there will be only books, only reading. Let’s begin:</p>
<blockquote>
<p>If a Web site is moved, deleted, or hidden behind a paywall, every link that pointed to it becomes meaningless, dangling like an anchor line cut loose from a ship. </p>
</blockquote>
<p>Whoa! Okay, sure. What a way to start off huh. </p>
<p>This is a section from about half way through <em>Broad Band: The Untold Story of the Women Who Made the Internet</em> by <a href="https://clairelevans.com/" target="_blank">Claire L. Evans</a> and I can’t recommend it enough. Claire investigates the women who built and designed the physical infrastructure and the immaterial (yet vital) social network that is the World Wide Web. So heck yes go read this thing.</p>
<p>Here’s one example where Claire interviewed Cathy Marshall, a hypertext researcher (!) who worked at Xerox PARC in the mid 1980s. This is where the modern idea of a computer came together in Palo Alto; mice, keyboard, graphical interface. But there’s a moment in the interview where Cathy talks about her note-taking process:</p>
<blockquote>
<p>“If I write something and if it doesn’t work, I’ll throw out the whole thing and start again,” she tells me. “I don’t think you lose what you’ve written. It’s still in your head. Over time, what you’re doing is changing what’s in your mind—what’s on paper is just incidental.” She makes this comment offhand, but the insight knocks me out. That’s what software is, I realize: <em>a system for changing your mind</em>.</p>
</blockquote>
<p>Excuse me: what! This is perhaps the best (and most optimistic) explanation for what software can be. And honestly this whole book is littered with moments like this where computers are seen as experimental wonders and not the terrifying work of pure evil that we often describe them as, like I did above when I called my phone a “Mobile Depression Device”. This book is not the hand-wavey, dumb optimism though—NFTs, blockchain crap, and self-driving cars—but exhilarating, earnest, intelligent optimism which is so very rare to find.</p>
<p>But there was this one section of the book that I noticed myself wince through and it started when Claire describes the early 90s. In this section she details all these competing hyperlinking systems before most people had a personal computer, and she mentions that what we know today as the World Wide Web was not inevitable at all and was but only one of several hyperlinking systems on display at <em>Hypertext 91</em>, a conference in San Antonio:</p>
<blockquote>
<p>…Berners-Lee and Caillau were forced to demo a dummy version of the Web saved on optical disk. And it <em>was</em> too simplistic. Compared with the other systems on display, the Web’s version of hypertext was years behind. Links on the World Wide Web went in only one direction, to a single destination…</p>
</blockquote>
<p>Claire adds that hyperlinks on the web have a number of failures; it’s easy for a link not to resolve (someone deletes the web page) and there’s no information about what’s on the other side of that link, there’s no way to make connections between links except from a page. In short: links on the web are extremely fragile and extraordinarily dumb.</p>
<p>If I’m honest though it was difficult to read this part. First, I find it hard to imagine how any other system besides what we have today might work. As far as I understand, in older hyperlinking systems, pages didn’t really exist and everyone was kind of creating their own database of links. This sounds like far too much work! It actually sounds exhausting, expecting everyone to effectively become librarians of their own private internet.</p>
<p>So hyperlinks might be dumb, but I see their dumbness as a feature and not a bug.</p>
<p>Second, I find it difficult to read this criticism of the web because, well, I’m a child of the hyperlink. My entire career is based on the existence of the <code>&lt;a&gt;</code> tag; creating, sharing, surfing, making sure that web pages can fit together in just the right way so that people will want to click this blue link over another. </p>
<p>But also I was wincing here because every good thing in my life is the product of me clicking the right hyperlink and the right time. Me here, in San Francisco. My friends. My colleagues. My apartment. Everything is a hyperlink! And so to hear that they’re dumb feels like Claire is saying that the impact of them on my life is also dumb. (I know this is not what she’s saying, but still. It’s weird that I feel very protective over my dumb hyperlinks.)</p>
<p>The extra strange thing about all this is that I thoroughly agree with Claire’s criticisms. I still think the biggest flaw of the web is that we’re renting space on servers and that if a credit card is declined or someone doesn’t read an email then that whole website can disappear forever. Now, I’m not an archivist—I don’t believe that every website should live forever and I think there’s a benefit to some kinds of information being temporary. But! I do want <em>my</em> website to live forever. Not out of pride or short-sighted fame, but because I want it to be a record or perhaps a kind of proof: that, hello, I was here at this special moment in time where all of humanity was hyperlinked together. </p>
<p>And, hopefully, if I’m lucky, I made a few things here that were worth linking to.</p>
<p>Until next week, 
<br>
✌️ Robin</p>
<p><img alt="CleanShot 2022-01-30 at 12.16.51@2x.png" src="https://buttondown.s3.amazonaws.com/images/16682958-f9e0-403a-9864-d4bb997af078.png"></p>
