title: Company Announcement | Pydantic
url: https://pydantic.dev/announcement/
hash_url: 0f8bbba127c48a13b35fdf265c2dc106

<p>I've decided to start a company based on the principles that I believe have led to Pydantic's success.</p>

<p>I have closed a seed investment round led by <a href="https://www.sequoiacap.com">Sequoia</a>, with participation from 
<a href="https://partechpartners.com/">Partech</a>, <a href="https://irregex.vc">Irregular Expressions</a> and some amazing angel investors 
including <a href="https://www.linkedin.com/in/bryanhelmig/">Bryan Helmig</a> (co-founder and CTO of Zapier), 
<a href="https://www.linkedin.com/in/tristanhandy/">Tristan Handy</a> (founder and CEO of Dbt Labs) and 
<a href="https://www.linkedin.com/in/dmcramer/">David Cramer </a>(co-founder and CTO of Sentry).</p>
<h2 id="2-why">Why?</h2>

<p>I've watched with fascination as Pydantic has grown to become the most widely used Python data validation library, with over 40m downloads a month. </p>

<p class="plot-title">Pydantic Downloads from PyPI vs. Django</p>

<p><img src="https://pydantic.dev/imgs/pydantic-vs-django-downloads.fdc147d.png" alt="Pydantic Downloads from PyPI vs. Django"></p>



<p>By my rough estimate, Pydantic is used by 12% of professional web developers! <a href="#3-quot12-of-professional-web-developersquot-claim">†</a></p>

<p>But Pydantic wasn't the first (or last) such library. Why has it been so successful?</p>

<p>I believe it comes down to two things:</p>
<ol>
<li>We've always made developer experience the first priority.</li>
<li>We've leveraged technologies which developers already understand — most notably, Python type annotations.</li>
</ol>
<p>In short, we've made Pydantic easy to get started with, and easy to do powerful things with.</p>

<p>I believe the time is right to apply those principles to other, bigger challenges.</p>

<p>"The Cloud" is still relatively new (think about what cars or tractors looked like 15 years after their conception), and 
while it has already transformed our lives, it has massive shortcomings. I think we're uniquely positioned to address
some of these shortcomings.</p>

<p>We'll start by transforming the way those 12% of web developers who already know and trust Pydantic use cloud services 
to build and deploy web applications. Then, we'll move on to help the other 88%!</p>
<h3 id="3-cloud-services-suck-at-least-for-us-developers">Cloud services suck (at least for us developers)</h3>

<p>Picture the driving position of a 1950s tractor — steel seat, no cab, knobs sticking out of the engine compartment near 
the component they control, hot surfaces just waiting for you to lean on them. Conceptually, this isn't surprising — the 
tractor was a tool to speed up farming; its driver was an afterthought, and as long as they could manage to operate it 
there was no value in making the experience pleasant or comfortable.</p>

<p><img src="https://pydantic.dev/imgs/tractor.8345002.svg" alt="1950s tractor"></p>

<p>Today's cloud services have the look and feel of that tractor. They're conceived by infrastructure people who care about 
efficient computation, fast networking, and cheap storage. The comfort and convenience of the developers who need to
drive these services to build end-user facing applications has been an afterthought.</p>

<p>Both the tractor and the cloud service of the past made sense: The majority of people who made the purchasing decisions 
didn't operate them, and those who did had little influence. Why bother making them nice to operate?</p>

<blockquote>
<p><em>"At least it's not a <del>cart horse</del> Windows box in the corner — quit complaining!"</em></p>
</blockquote>

<p>Just as the experience of driving tractors transformed as their drivers' pay and influence increased, so cloud services 
are going through a transformation as their operators' pay and influence increases significantly. </p>

<p>There are many examples now of services and tools that are winning against incumbents because of great developer 
experience:</p>
<ul>
<li><a href="https://stripe.com">Stripe</a> is winning in payments despite massive ecosystem of incumbents</li>
<li><a href="https://sentry.io/welcome/">Sentry</a> is winning in application monitoring, even though you can send, store, and view the same data in CloudWatch et al. more cheaply</li>
<li><a href="https://vercel.com/">Vercel</a> is winning in application hosting by focusing on one framework — Next.js</li>
<li><a href="https://www.tiobe.com/tiobe-index/">Python</a> is winning against other programming languages, even though it's not backed by a massive corporation</li>
<li><a href="https://docs.pydantic.dev/">Pydantic</a> is winning in data validation for Python, even though it's far from the first such library</li>
</ul>
<p>In each case the developer experience is markedly better than what came before, and developers have driven adoption.</p>

<p>There is a massive opportunity to create cloud services with great developer experience at their heart. 
I think we're well positioned to be part of it.</p>
<h3 id="3-developers-are-still-drowning-under-the-weight-of-duplication">Developers are still drowning under the weight of duplication</h3>

<p>The story of the cloud has been about reducing duplication, abstracting away infrastructure and boilerplate: 
co-location facilities with servers, cages and wires gave way to VMs. VMs gave way to PaaS offerings where you 
just provide your application code. Serverless is challenging PaaS by offering to remove scaling worries.</p>

<p>At each step, cloud providers took work off engineers which was common to many customers.</p>

<p>But this hasn't gone far enough. Think about the last web application you worked on — 
how many of the views or components were unique to your app?</p>

<p>Sure, you fitted them together in a unique way, but many (20%, 50%, maybe even 80%?) will exist hundreds or thousands of 
times in other code bases. Couldn't many of those components, views, and utilities be shared with other apps without 
affecting the value of your application? Again, reducing duplication, and reducing the time and cost of building an 
application.</p>

<p>At the same time, serverless, despite being the trendiest way to deploy applications for the last few years, has made 
much of this worse — complete web frameworks have often been switched out for bare-bones entry points which lack 
even the most basic functionality of a web framework like routing, error handling, or database integration.</p>

<p>What if we could build a platform with the best of all worlds? Taking the final step in reducing the boilerplate 
and busy-work of building web applications — allowing developers to write nothing more than the core logic which 
makes their application unique and valuable?</p>

<p>And all with a developer experience to die for.</p>
<h2 id="2-what-specifically-are-we-building">What, specifically, are we building?</h2>

<p>I'm not sharing details yet :).</p>

<p>The immediate plan is to hire the brightest developers I can find and work with them to refine our vision and exactly 
what we're building while we finish and release Pydantic V2.</p>

<p>While I have some blueprints in my head of the libraries and services we want to build, we have a lot of options 
for exactly where to go; we won't constrain what we can design by making any commitments now.</p>

<p><strong>If you're interested in what we're doing, hit subscribe on 
<a href="https://github.com/pydantic/pydantic/issues/5063">this GitHub issue</a>. 
We'll comment there when we have 
more concrete information.</strong></p>
<h2 id="2-the-plan">The plan</h2>

<p>The plan, in short, is this:</p>
<ol>
<li>Hire the best developers from around the world (see <a href="#2-were-hiring">"We're Hiring"</a> below)</li>
<li>Finish and release Pydantic V2, and continue to maintain, support and develop Pydantic over the years</li>
<li>Build cloud services and developer tools that developers love</li>
</ol>
<p>Pydantic, the open source project, will be a cornerstone of the company. It'll be a key technical component 
in what we're building and an important asset to help convince developers that the commercial tools and services 
we build will be worth adopting. It will remain open source and MIT licenced, and support and development will
accelerate.</p>

<p>I'm currently working full time on Pydantic V2 (learn more from the <a href="https://docs.pydantic.dev/blog/pydantic-v2/">previous blog post</a>). 
It should be released later this year, hopefully in Q1. V2 is a massive advance for Pydantic — the core has been 
re-written in Rust, making Pydantic V2 around 17x faster than V1. But there are lots of other goodies: strict mode, 
composable validators, validation context, and more. I can't wait to get Pydantic V2 released and see how the community
uses it.</p>

<p>We'll keep working closely with <a href="https://github.com/topics/pydantic">other open source libraries</a> that use and depend 
on Pydantic as we have up to this point, making sure the whole Pydantic ecosystem continues to thrive.</p>

<p><em>On a side note: Now that I'm paid to work on Pydantic, I'll be sharing all future open source sponsorship among 
other open source projects we rely on.</em></p>
<h2 id="2-were-hiring">We're hiring</h2>

<p>If you're a senior Python or full stack developer and think the ideas above are exciting, we'd love to hear from you. 
Please email <a href="/cdn-cgi/l/email-protection#254644574040575665555c41444b514c460b414053"><span class="__cf_email__" data-cfemail="aecdcfdccbcbdcddeeded7cacfc0dac7cd80cacbd8">[email protected]</span></a> with a brief summary of your skills and experience,
including links to your GitHub profile and your CV.</p>
<h2 id="2-appendix">Appendix</h2>
<h3 id="3-quot12-of-professional-web-developersquot-claim">"12% of professional web developers" claim</h3>

<p>At first glance this seems like a fairly incredible number, where does it come from?</p>

<p>According to the
<a href="https://survey.stackoverflow.co/2022/#section-most-popular-technologies-web-frameworks-and-technologies">StackOverflow developer survey 2022</a>, 
FastAPI is used by 6.01% of professional developers.</p>

<p>According to my survey of Pydantic users, Pydantic's usage is split roughly into:</p>
<ul>
<li>25% FastAPI</li>
<li>25% other web development</li>
<li>50% everything else</li>
</ul>
<p>That matches the numbers from PyPI downloads, which shows that (as of 2023-01-31) 
<a href="https://pepy.tech/project/pydantic">Pydantic has 46m</a> downloads in the last 30 days, while 
<a href="https://pepy.tech/project/fastapi">FastAPI has 10.7m</a> — roughly 25%.</p>

<p>Based on these numbers, I estimate Pydantic is used for web development by about twice the number who use it through
FastAPI — roughly 12%.</p>
