title: Old wards and new against fake humans
url: https://interconnected.org/home/2023/09/22/wards
hash_url: 60461be5ec82443fd6a7c12f29e40587

<p>Somebody’s taken Childish Gambino’s music video <a href="https://www.youtube.com/watch?v=VYOjWnS4cMY">This is America</a> <em>(original, YouTube)</em> and used some AI face-swapper software called FaceFusion to sub in Nicolas Cage.</p>
<p><a href="https://twitter.com/cocktailpeanut/status/1703784764728082677">Here’s the result on X/Twitter.</a> You don’t need to watch the whole thing – just the moment at 2m40s where Cage/Gambino turns his face sideways and the face swap glitches out, back, out again and sits on Gambino for a beat, then back to Cage looks unnatural, settings in, then lights up and walks off.</p>
<p>The timing is perfect. <a href="/more/2023/09/gambino-cage-glitch.mp4">I’ve clipped the video here.</a></p>
<p>It seems to me like this is a visual trope we’re going to see more and more? It’s the paranoia and glitching in <em>A Scanner Darkly</em> (2006), the visual glitch when your trust in subjective reality is shaken loose. I’m looking forward to this being a commonplace shorthand for doubt; a quick glitch in a romcom when somebody is acting out of character, say.</p>
<p>ANYWAY:</p>
<p>It reminds me that AI face swaps are not (in 2023) much good at ears.</p>
<p><a href="https://www.washingtonpost.com/technology/2023/03/05/ai-voice-scam/">There is a rise in imposter scams</a> <em>(Washington Post):</em></p>
<blockquote>
<p>The man calling Ruth Card sounded just like her grandson Brandon. So when he said he was in jail, with no wallet or cellphone, and needed cash for bail</p>
</blockquote>
<p>…for which you need about 30 seconds of audio and under a hundred bucks.</p>
<p>And so, at least for video calls, <a href="/home/2022/11/17/filtered">as previously discussed when I posted about ears last year</a>, the advice is this: <q>To Uncover a Deepfake Video Call, Ask the Caller to Turn Sideways.</q></p>
<hr>
<p>As a family, we have a secret pass phrase to check identity between ourselves in the event of an unexpected video call.</p>
<p>It’s a sticking plaster solution. Long term I suspect we all need 2FA for humans.</p>
<p>In the meantime, maybe the most effective ward against deepfakes is simply to turn sideways?</p>
<p>We should build the habit now. At the beginning of every call, exchange a quick proof-of-humanity by showing our ears.</p>
<hr>
<p><strong>Warding against pretend people: some examples.</strong></p>
<p>ONE!</p>
<p>The origin of <em>tao po,</em> apparently a common Filipino phrase:</p>
<blockquote cite="https://www.esquiremag.ph/long-reads/features/puwera-usog-meaning-and-history-a00293-20200211" class="quoteback bl bw2 pl2 b--orange ml0 italic i" data-author="Esquire" data-title="Puwera Usog, Tao Po, and Tabi Po: The Curious History of Three Filipino Phrases (2020)">
<p>According to historian Ambeth Ocampo, pre-colonial Filipinos used the phrase to declare themselves as humans, thus: “Tao po ako, hindi aswang!” (<u>“I am human and not <em>aswang</em>“</u>)</p>
<p>… evil spirits, <em>aswang,</em> and other dangers that lurked outside the home were incapable of saying “tao po” to trick you into letting them in your house. </p>
<p>… Today, “tao po” has a more mundane purpose. Depending on the usage, it can be loosely translated to “anybody home?” or “a person is at the gate.”</p>

</blockquote>
<p>TWO!</p>
<p>Haint blue is: <q>a collection of pale shades of blue-green that are traditionally used to paint porch ceilings in the Southern United States.</q></p>
<blockquote cite="https://en.m.wikipedia.org/wiki/Haint_blue" class="quoteback bl bw2 pl2 b--orange ml0 italic i" data-author="Wikipedia" data-title="Haint blue">
<p>Originally, haint blue was thought by the Gullah to ward haints, or ghosts, away from the home. The tactic was intended either to mimic the appearance of the sky, tricking the ghost into passing through, or to mimic the appearance of water, which ghosts traditionally could not cross. The Gullah would paint not only the porch, but also doors, window frames, and shutters. Blue glass bottles were also hung in trees to trap haints and boo hags.</p>

</blockquote>
<p>For HTML fans, that’s hex #D1EAEB.</p>
<p>THREE!</p>
<p>Perhaps your baby has been stolen and an ancient fairy has taken its place – a <a href="https://en.wikipedia.org/wiki/Changeling">changeling</a>.</p>
<p>You can trick fey folk into breaking their silence by baffling them. Typically: <a href="https://writinginmargins.weebly.com/home/eggshells-and-changelings">cooking with eggshells</a>.</p>
<blockquote>
<p>A fairy doppelganger has posed as a human baby and successfully pulled the wool over its human hosts’ eyes. However, someone (typically the mother) realizes what’s happened. To trick the changeling, she uses empty eggshells as milk pans, stewpots, or brewing cauldrons. The fake infant is so surprised that he suddenly begins to speak. Sometimes he is startled, sometimes amused. “I have never seen the like of that before” is the most common exclamation, as he unthinkingly reveals his great age. Then, in a flash, all is set right and the real baby is returned.</p>
</blockquote>
<hr>
<p><strong>What 21st century fake humans do I want to ward off?</strong> What should I carry with me?</p>
<p>Ok, taking turns to show our ears to watch for deepfake glitches. Like shaking hands from the old days, demonstrating that I’m not about to draw my sword.</p>
<p>What about if I suspect I’m speaking, in text or voiceswapped, with an AI? The best trick would be to challenge it to say something obscene. The AI changeling wouldn’t be able to help itself, blurting in response: <q>I’m sorry but as a large language model I cannot…</q></p>
<p><em>If we’re emailing, and the first words I say to you are utterly beyond the pale, just like excessively and graphically disturbing, don’t worry, I’m just helpfully establishing my humanity.</em></p>
<p>Tao po.</p>
<p>I’m into wards that become unquestioned social habits.</p>
<p>I’m also thinking more about wards that are physical artefacts, and less about AI…</p>
<p>For instance: my car was stolen recently, evaporated from the street.</p>
<p>Apparently 50% of car thefts in the UK are from hijacking keyless entry.</p>
<p>So now I own a ward against malicious ghost RF: a handsome box, in which I store my keys.</p>
<p>And so does everyone else it turns out! If you type <q>far–</q> into search on amazon.co.uk, the top two suggestions are:</p>
<ul>
<li>faraday pouch for car keys</li>
<li>faraday box for car keys</li>
</ul>
<p>The third autocomplete:</p>

<p>Don’t get that one. It is unlikely to help.</p>
