title: Why the super rich are inevitable
url: https://pudding.cool/2022/12/yard-sale/
hash_url: 669f9d9d8f0c6cfb8131887c17eecfa9

<p>Many of us assume it's because some people make better financial decisions. But what if this isn't true? What if the economy – <em>our economy</em> –  is designed to create a few super rich people? 
</p><p>
</p><p>
</p><p>That's what mathematicians argue in something called the  <a href="https://www.jstor.org/stable/27857715">Yard-sale model</a>, and I promise it has something to do with my dumb watch purchase. But first…</p></div>


<div class="body_container">
<p></p><p>Let's take a second to appreciate what just happened.
</p><p></p><ul>
<p></p><li>You lost the first game.</li>
<p></p><li>You won the second game.</li>
<p></p><li>So you've won 50% of your games.</li>
<p></p><li>But you have <em>less money</em> that you started with.</li>
<p></p></ul>
<p>This might not seem like a big deal. But let's keep playing…</p></div>


<div class="body_container">
<p></p><p>This is the crux of the Yard-sale model. In a free market, one person ends up with all of the wealth – completely by chance.
</p><p>
</p><p>
</p><p>This is completely counterintuitive. If everyone wins half their games, everyone should end up approximately where they started, around $1,000.
</p><p>
</p><p>
</p><p>But it all starts to make sense when you're in the position of the poorer player. Your wager changes based on how much you can afford, so…
</p><p>
</p><p>
</p><p></p><ul>
<p></p><li><strong>When you lose</strong>, the maximum amount you can wager goes down. So you can't win back what you lost in one coin flip.</li>
<p></p><li><strong>When you win</strong>, the maximum amount you can wager goes up. So you could potentially lose more than what you won in the first game.</li>
<p></p></ul>
<p>
</p><p>
</p><p>This is still confusing. So let's play a rich opponent to see how this plays out.</p></div>
<div class="interactive_container"><div class="ysm_container svelte-110tlqa">
<div class="fullInfo svelte-110tlqa"><p class="wager_amount svelte-110tlqa">Flip a coin to see who wins <strong>$20</strong>
</p>
<button class="flipButton button bounce svelte-110tlqa" player="">Flip coin</button></div>


</div>
</div>
<div class="body_container">
<p></p><p>If you play enough rounds, both players will win about half the games. But the poorer player will lose most of their money.
</p><p>
</p><p>
</p><p>Meanwhile, the richer player will gain money. That's because, from their perspective, every game they lose means they have an opportunity to win it back – and then some – in the next coin flip. Every game they win means, no matter what happens in the next coin flip, they'll still be at a net-plus.
</p><p>
</p><p>
</p><p>Repeat this process millions of times with millions of people, and you're left with one very rich person.</p></div>


<div class="body_container"><h2>What can the Yard-sale model tell us?</h2>
<p></p><p>A few decades ago, physicists got involved in studying inequality. They normally study the physical world – like how two balls might interact when they hit each other. But they started using their methods to study economics – a field now dubbed econophysics. Instead of looking at how two balls interact, they looked at how two people might interact in a transaction, and then modeled how that might play out on a large scale. This helped them model wealth distribution.
</p><p>
</p><p>
</p><p>In 2002, physicist Anirban Chakraborti published <a href="https://www.worldscientific.com/doi/10.1142/S0129183102003905">a paper</a> that laid out the Yard-sale model –  the simulation we played in the introduction. You can play it again here.</p></div>




<div class="interactive_container svelte-1j56t8v"><div class="ysm_container svelte-1j56t8v"><div class="chartArea svelte-1j56t8v"><p class="toolLabel svelte-1j56t8v">Round: <span class="toolValue svelte-1j56t8v">0</span></p>
<p class="toolItem svelte-1j56t8v"><button class="toolLabel button svelte-1j56t8v">Play 1,000 rounds</button></p>	
</div>
<p class="resetContainer svelte-1j56t8v"><button class="reset button">Reset</button></p></div>
</div>
<div class="body_container">
<p></p><p>To be clear, econophysics gets its <a href="http://keenomics.s3.amazonaws.com/debtdeflation_media/papers/GallegattiKeenLuxOrmerod2006WorryingTrendsInEconophysics_PhysicaA370pp1-6.pdf">fair share</a> of criticism. But the Yard-sale model isn't meant to model the real world with exacting precision.
</p><p> 
</p><p>I emailed University of California-Berkeley economist Gabriel Zucman, who <a href="https://www.warren.senate.gov/imo/media/doc/Wealth%20Tax%20Revenue%20Estimates%20by%20Saez%20and%20Zucman%20-%20Feb%2024%2020211.pdf">advised</a> Senator Elizabeth Warren when she <a href="https://www.warren.senate.gov/newsroom/press-releases/warren-jayapal-boyle-introduce-ultra-millionaire-tax-on-fortunes-over-50-million">proposed</a> a wealth tax in 2021. Zucman said the Yard-sale model is a more generalized model than what economists tend to work with, but it's still useful.</p></div>
<div class="body_container"><blockquote><p class="quoteImage svelte-14m69i1"></p>
<p class="quote svelte-14m69i1">[The Yard-sale model] seems relevant as a simple statistical model of wealth distributions.</p>
<p class="citation svelte-14m69i1">—Gabriel Zucman</p></blockquote>
</div>
<div class="body_container">
<p></p><p>Tufts University math professor Bruce M. Boghosian echoed that sentiment when he compared the Yard-sale model to an "X-ray" in <a href="https://www.scientificamerican.com/article/is-inequality-inevitable/">Scientific American</a>.</p></div>
<div class="body_container"><blockquote><p class="quoteImage svelte-14m69i1"></p>
<p class="quote svelte-14m69i1">We believe that this purely analytical approach, which resembles an x-ray in that it is used not so much to represent the messiness of the real world as to strip it away and reveal the underlying skeleton, provides deep insight into the forces acting to increase poverty and inequality today.</p>
<p class="citation svelte-14m69i1">—Bruce M. Boghosian</p></blockquote>
</div>
<div class="body_container">
<p></p><p>In other words, the Yard-sale model can't really inform specific policy decisions since it doesn't capture the complex variables in the economy. 
</p><p>
</p><p>
</p><p>But it can be useful as a way to think about the general "trickle-up" characteristics of a free market. It's contrary to what many conservative politicians have argued for decades – that <a href="https://en.wikipedia.org/wiki/Trickle-down_economics">wealth trickles downward</a>. They've said the government should just get out of the way to let the wealthy create jobs for the rest of us. This ideology has led to massive tax cuts for the rich, from <a href="https://www.history.com/this-day-in-history/reagan-signs-economic-recovery-tax-act-erta">Ronald Reagan's tax cut in 1981</a> to <a href="https://apnews.com/article/d782be5ecd4646c1a76516aa50070662">Donald Trump's 2017 tax cut</a>.</p></div>


<div class="body_container"><h2>What if we redistribute wealth?</h2>
<p></p><p>In his 2002 paper on this model, Chakraborti wrote, "[Wealth concentration] can be prevented, for example, by government intervention via taxes."
</p><p>
</p><p>
</p><p>So what if we run the game again, but every turn we take a percentage of money from everyone and redistribute it evenly? After all, Americans <a href="https://www.vox.com/policy-and-politics/2019/11/4/20938229/zucman-saez-tax-rates-top-400">pay a lot of taxes</a>, and the rich are usually taxed more than the poor. And for the most part, that money is used for government programs that usually help the poor more than the rich. 
</p><p>
</p><p>
</p><p>We'll also add in a feature that lets people wager more or less of their money.</p></div>

<div class="body_container"><p><strong>Maximum wager:</strong> What is the maximum percentage of wealth each person is willing to wager each round?</p>



<p><strong>Redistribution:</strong> How much of each player's wealth should be redistributed to everyone else after each round?</p>


<p>This time players will be willing to bet <strong>20%</strong> of their wealth each game. After each round, we'll tax every player <strong>0.5%</strong> and disperse it evenly to all players.</p>
<p>Let's track how people playing <span class="purple">with redistribution</span> fare compared to people playing <span class="yellow">without redistribution</span>.</p></div>


<div class="interactive_container svelte-1j56t8v"><div class="ysm_container svelte-1j56t8v"><div class="chartArea svelte-1j56t8v"><p class="toolLabel svelte-1j56t8v">Round: <span class="toolValue svelte-1j56t8v">0</span></p>
<p class="toolItem svelte-1j56t8v"><button class="toolLabel button svelte-1j56t8v">Play 1,000 rounds</button></p>	
</div>
<p class="resetContainer svelte-1j56t8v"><button class="reset button">Reset</button></p></div>
</div>
<div class="body_container">
<p></p><p>You can see that even a small amount of redistribution stops a single uber wealthy person from emerging.
</p><p>
</p><p>
</p><p>This is similar to what Boghosian and his colleagues did in a <a href="https://www.sciencedirect.com/science/article/pii/S037843711730081X">2017 paper</a>, where they modeled real-life redistribution with far more accurately than in my version. They were able to match the wealth distribution in the US and Europe to within 2 percent.
</p><p>
</p><p>
</p><p>Currently in the US, the wealthiest 20% of families own about <a href="https://www.cbo.gov/system/files/2022-09/57598-family-wealth.pdf">70% of wealth</a>. But this doesn't capture the true <a href="https://www.federalreserve.gov/releases/z1/dataviz/dfa/distribute/table/">wealth disparity</a> in the US: If the US population was represented by 1,000 people in a room, the richest one person would have four times more money than the poorest 500 people.
</p><p>
</p><p>
</p><p>I want to point out one more thing in this simulation: Even with redistribution, the wealthiest person in the game is exponentially richer than the poorest. And this emerged out of complete luck. But imagine what would happen if we played this game with real people: Some of the wealthy players would inevitably argue that they deserve to be rich because they're better at guessing the result of a coin flip.</p></div>
<img alt="watch on side" class="watch_bottom" src="assets/yardsale/art/thewatch.png">
<div class="body_container"><h2>So, the watch</h2>
<p></p><p>I really did purchase a vintage Omega watch a few years ago, and I really did overpay by $50.
</p><p>
</p><p>
</p><p>After being burned one time, I didn't want to risk as much money. So my next purchase was a $100 vintage Seiko watch, and I paid $20 less than market value. I won the deal – but I wasn't able to recoup my losses. In fact, over the many years I've continued to collect vintage watches, I've only lost money.
</p><p>
</p><p>
</p><p>I blame the Yard-sale model.</p></div>
