title: 10 Films By Indigenous Filmmakers To Watch Instead Of Avatar: The Way Of Water
url: https://www.cbr.com/better-movies-than-camerons-avatar-2-inigenous-creators/
hash_url: 98a93dedbf2eb7665680ec6b1bb31e8c

<p><a href="https://www.cbr.com/tag/james-cameron/">James Cameron</a> is a man who does not mince words and his latest comments regarding the Lakota-Sioux have dunked him in hot water. With <a href="https://www.cbr.com/tag/avatar-the-way-of-water/" rel="noopener noreferrer" target="_blank"><em>Avatar 2: The Way Of Water</em></a> finally making waves after fourteen years of development, James Cameron thought it was as good a time as any to voice his insensitive opinions on Native American history.</p>


<p><span class="related-single">RELATED: <a href="http://www.cbr.com/movies-improved-with-cgi/">10 Times CGI Made A Movie Better</a></span></p>
<p>Alongside Cameron's recent comments, discussions on representation and "blue face" controversies have resurfaced. "Blue face" is the practice of taking creative liberties to hybridize various indigenous groups and make their own race then have non-Indigenous actors play them. Various groups across the globe have called for a boycott of the new film. At the very least, it makes sense to draw attention to the excellent films actually produced and created by Indigenous people.</p>



<h2 id="wild-indian"> <span class="item-num">10 </span> <span>Wild Indian</span> </h2>
<h3 id="lake-superior-chippewa-bad-river-band-member-writer-director-lyle-mitchell-corbine-jr">Lake Superior Chippewa Bad River Band Member Writer/Director Lyle Mitchell Corbine Jr.</h3> 
 
<p>Lyle Mitchell Corbine Jr. is one of the more recent filmmakers to attract critical interest and his latest crime-drama, <em>Wild Indian,</em> received high marks from critics. The story follows Makwa, played by Michael Greyeyes. a man desperately trying to carry his dark secrets to his grave. His quest for peace is interrupted when a figure from his past is released from prison.</p>
<p><em>Wild Indian</em> was critically well-received for its direction as well as its two stellar performances by Greyeyes and Chaske Spencer as Teddo. The film explores the impact of generational trauma shared on Native Reservations and offers an in-depth personal look into its effects, making it one of the more engaging crime dramas to come out in recent years.</p><p class="ad-odd">
</p>

<h2 id="night-raiders"> <span class="item-num">9 </span> <span>Night Raiders</span> </h2>
<h3 id="cree-m-eacute-tis-filmmaker-danis-goulet">Cree-Métis Filmmaker Danis Goulet</h3> 
 
<p>Set in a dystopian future, <em>Night Raiders </em>tells the story of a Cree woman who sets out to rescue her abducted child from the militaristic government that occupies their home. Executive-produced by Taika Waititi, the film is heavily inspired by the horrific past that First Nations tribespeople experienced in Canada's infamous Residential School System.</p>
<p><span class="related-single">RELATED: <a href="https://www.cbr.com/bleakest-anime-dystopias/" rel="noopener noreferrer" target="_blank">10 Bleakest Anime Dystopias</a></span></p>
<p>The RSS's dark history is better known now than ever before, and Native filmmakers are working hard to highlight the many tragedies that it propagated. <em>Night</em><em> Raiders</em> helps audiences imagine a situation that was all too real and traumatic for indigenous people across the North American continent.</p><p class="ad-even">
</p>

<h2 id="rhymes-for-young-ghouls"> <span class="item-num">8 </span> <span>Rhymes For Young Ghouls</span> </h2>
<h3 id="mi-39-kmaq-writer-director-jeff-barnaby">Mi'kmaq Writer/Director Jeff Barnaby</h3> 
 
<p>Where <em>Night Raiders</em> is more about the schools themselves, <em>Rhymes For Young Ghouls</em> explores the direct impact the schools had on indigenous children and the generations that followed. Set in the 1970s on a Mi'kmaq Indian Reserve, <em>Rhymes For Young Ghouls</em> follows teenage Aila as she struggles to make ends meet after her father is imprisoned following her mother's suicide.</p>
<p>Even after governments closed the infamous Native boarding schools, the harm they'd caused lingered. Reservations saw an increase in suicides, drug abuse, and untreated PTSD. <em>Rhymes For Young Ghouls</em> showcases that impact on one reservation family, a group that could easily have been any other family in the Residential School System.</p><p class="ad-odd">
</p>

<h2 id="prey"> <span class="item-num">7 </span> <span>Prey</span> </h2>
<h3 id="produced-by-comanche-jhane-myers">Produced By Comanche Jhane Myers</h3> 
 
<p>When the prequel to the <a href="https://www.cbr.com/tag/predator/" rel="noopener noreferrer" target="_blank"><em>Predator</em></a> franchise was announced, fans rejoiced when found out it was going to be set in the early 18th Century in Comanche territory. It was fresh, fertile ground for the franchise. With <a href="https://www.cbr.com/tag/prey-movie/" rel="noopener noreferrer" target="_blank"><em>Prey's</em></a> success, fans have speculated about other possible <a href="https://www.cbr.com/strangest-places-the-predator-has-shown-up-appeared/" rel="noopener noreferrer" target="_blank">historical settings the Predator could show up.</a></p>
<p><em>Prey</em> was lauded for its accurate depiction of Comanche culture. The film's producer, Comanche nation member Jhane Myers, implemented many important failsafe to make sure <em>Prey</em> was historically and culturally accurate. The Comanche are known for their horse culture, so when she read a draft of the script with no horses she saw her work was cut out for her. From there, she made sure to bring in other native creators to preserve <em>Prey</em>'s considerable integrity.</p><p class="ad-even">
</p>

<h2 id="blood-quantum"> <span class="item-num">6 </span> <span>Blood Quantum</span> </h2>
<h3 id="mi-39-kmaq-writer-director-jeff-barnaby">Mi'kmaq Writer/Director Jeff Barnaby</h3> 
 
<p>When George Romero made his <em>Living Dead</em> series, the Bronx native made social commentary a big part of the franchise. From consumerism to racism, no bone was left unturned by his flesh-eating zombies. Since then, the horror genre has been the perfect venue for filmmakers to make a point while simultaneously creating popcorn-worthy entertainment for the masses.</p>
<p>Jeff Barnaby was similarly inspired when he made the apocalyptic horror, <em>Blood Quantum</em>, a film that follows a First Nation reservation that has miraculously withstood a zombie outbreak. Much as he demonstrated in <em>Rhymes For Young Ghouls</em>, Barnaby isn't afraid to showcase the fractious relationship between First Nations tribespeople and white Americans. By reversing their historical roles, <em>Blood Quantum</em> is a <a href="http://www.cbr.com/zombie-movies-best-perfornances/">substantial and smart zombie film</a>.</p><p class="ad-odd">
</p>

<h2 id="the-rocket-boy"> <span class="item-num">5 </span> <span>The Rocket Boy</span> </h2>
<h3 id="din-eacute-navajo-filmmaker-donovan-seschillie">Diné/Navajo Filmmaker Donovan Seschillie</h3> 
 
<p>Though not a feature film, <em>The Rocket Boy</em> still manages to capture boyhood innocence while simultaneously revealing a complicated family household. Young Calvin dreams of reaching the stars so he can meet his father again, much to his mother's chagrin. To achieve this dream, the young boy constructs a rocket in their garage.</p>
<p><em>The Rocket Boy </em>was created and produced by people of First Nations descent. A 15-minute short, it has everything it needs to be adapted into a feature film. With a strong Native cast, <em>The Rocket Boy</em> is worth seeing even now. If it was given the chance it deserves, its well-executed conflicts and fantasy could make a long adaptation soar.</p><p class="ad-even">
</p>

<h2 id="drunktown-39-s-finest"> <span class="item-num">4 </span> <span>Drunktown's Finest</span> </h2>
<h3 id="din-eacute-navajo-writer-director-sydney-freeland">Diné/Navajo Writer/Director Sydney Freeland</h3> 
 
<p>Set on a Navajo reservation in New Mexico, <em>Drunktown's Finest</em> follows three individuals who wish to escape the harsh realities the reservation offers. The film explores the difficulties inherent in living on American Indian reservations, the racism they endure and the internal prejudices they face as well.</p>
<p><em>Drunktown's Finest</em> excels at weaving its three individual tales together to better explore the Reservation's various experiences. "This land isn't a place to live, it's a place to leave." This quote encapsulates the film's main themes, as each lead character is desperately trying to find a way to either escape, fit in, or find answers.</p><p class="ad-odd">
</p>

<h2 id="mekko"> <span class="item-num">3 </span> <span>Mekko</span> </h2>
<h3 id="seminole-muscogee-creek-writer-director-sterlin-harjo">Seminole/Muscogee Creek Writer/Director Sterlin Harjo</h3> 
 
<p>From Andrew Jackson's dismissal of Georgia vs. Cherokee Supreme Court decision to the Homesteaders Act, Oklahoma's Indigenous history is incredibly dark. Before he created the hit Hulu series, <em>Reservation Dogs</em>, Sterlin Harjo wrote and directed the Tulsa-set Thriller, <em>Mekko</em>.</p>
<p><span class="related-single">RELATED: <a href="https://www.cbr.com/reservation-dogs-best-performances-ranked/" rel="noopener noreferrer" target="_blank">10 Best Performances In Reservation Dogs, Ranked</a></span></p>
<p><em>Mekko</em> follows its titular character after his release from prison as he seeks refuge with a homeless community of Native Americans. To his horror, he discovers one of the community's members harbors a witch in his heart and he knows he is destined to battle it. Much darker than his later works, Harjo's <em>Mekko</em> is still an engaging story that delves fearlessly into homeless Native communities in Oklahoma.</p><p class="ad-even">
</p>

<h2 id="waikiki"> <span class="item-num">2 </span> <span>Waikiki</span> </h2>
<h3 id="kanaka-maoli-filmmaker-chris-kahunahana">Kanaka Maoli Filmmaker Chris Kahunahana</h3> 
 
<p>Considered the first feature film to be written and directed by a Native Hawaiian, <em>Waikiki</em> explores the parts of Hawaii that are usually covered up by the island state's touristy lei-laced facade. In his directorial debut, Chris Kahunahana creates a dark and gripping story unlike anything usually associated with Hawaii's beaches.</p>
<p>Living in a van by the ocean, <em>Waikiki</em>'s teacher/hula dancer Kea finds her life spiraling further out of control after she hits a homeless man named Wo with her van. Critically acclaimed, the film presents itself as a study of the often-overlooked native Hawaiian perspective. Showcasing Kea's tragedies via a Lynchian perspective, the film grants audiences a surreal experience that feels tragically all too real for many of Hawaii's native inhabitants.</p><p class="ad-odd">
</p>

<h2 id="parallel-minds"> <span class="item-num">1 </span> <span>Parallel Minds</span> </h2>
<h3 id="m-eacute-tis-director-benjamin-ross-hayden">Métis Director Benjamin Ross Hayden</h3> 
 
<p>Though most films created by indigenous filmmakers tend to share tales of the Native experience, creators like director Benjamin Ross Hayden just want to make movies. <em>Parallel Minds</em> is his cyberpunk feature, following a detective rescuing the latest AI technology from an unscrupulous company.</p>
<p><em>Parallel Minds</em> focuses on a newly developed contact lens that allows its wearer to record and recall memories in both their present and their past. Though not well critically received as some films, Hayden still delivers an entertaining tale on an engaging premise that deserves a shot with sci-fi fans.</p>
