title: How Blogging Changes The Way You Think
url: https://clivethompson.medium.com/how-blogging-changes-the-way-you-think-526734dc86d1
hash_url: 9caf3cf36d339cfffad8582583493204

On the value of thinking in public — and writing 200,000 words on Medium this year

Two hands typing on a laptop, which sits on a white table. The picture is taken with the hands and laptop sideways, to the lefthand side of the picture. A green plant is slightly off frame on the right hand side
Photo by NordWood Themes on Unsplash

Holy moses, I wrote a ton of words on Medium this year.

Around 200,000, in fact. That’s the equivalent of writing two entire books. (Man, I hope my actual book editor isn’t reading this, lol.)

I write three times a week here — two essays plus a “Linkfest” where I collect together the best stuff I’ve seen in the last week. It’s a firehose of prose.

All of which makes me wonder: What exactly does writing that much do to you?

I ponder this a lot, because one of my long-time interests is how tools for expression affect the way we think, and thereby the way we understand the world. You can’t write that much and have it not affect you, in some way!

So let’s unpack it. In no particular order of importance, here are some year-end thoughts on How Blogging Changes You, Cognitively and Creatively:
1) Blogging encourages me to develop an idea

Like most people, my head is full of thoughts and stuff I have opinions on. I conduct enthusiastic debates in my head, and internally anyway, I’m always super convincing, right?

But when I sit down to write a blog post about something — that’s when I have to figure out what I really think, and what I really know, about a subject.

Very often, the process of writing a blog post sharpens my focus. Yesterday, for example, I started composing a blog post about the newfangled “Arc” browser, which initially I intended to be a soup-to-nuts review of how Arc works. But as I sketched out my notes — using my weird, lower-case-and-forward-slash technique for writing a draft (which I blogged about here) — I realized I was mostly only interested in one part of Arc: Its fascinating “Easel” technology, which lets you create little dashboards with live snippets from other websites. It turned out that my only interesting thoughts were on that subject, so I zeroed in.

Robert Frost famously described the act of writing poetry as figuring out, on the page, what the heck the poem was supposed to be about: “the surprise of remembering something I didn’t know I knew.” There’s an element of that in all writing, and I routinely encounter it while blogging.

Or to take the cognitive-philosophical approach, we could ponder the “extended mind” theory of Andy Clark — who posits that when we’re writing, the instruments we use (pen and paper, keyboard and screen) become an inextricable part of our thinking process. By writing something down, we enlargen our working memory. We externalize our thought processes, and can thus ponder them in a fresh way: Huh, do my ideas actually make sense?
2) The “audience effect” really helps

So, writing forces you to engage in a very useful type of thinking.

But blogging has another benefit, which is that it triggers the “audience effect”.

The audience effect is precisely what it sounds like: When we’re working on something that will soon go before an audience, we work far harder than if we’re doing work that’s for our eyes only.

For decades, psychologists have documented the audience effect in studies: If you have experimental subjects write out an explanation for other people, for example, it’ll be far longer and clearer and more comprehensive than if you ask them to write it merely for themselves. I’ve interviewed many teachers who’ve noticed the same thing: The essays that students write for their professors (a captive and inaorganic audience) are lifeless and dull compared to the witty, persuasive text the kids will pour out in online forums.

The audience effect is hugely powerful on Medium. Every time I open up a new Medium story to start writing, that little green “Publish” button in the top-right corner looms: Dude, real live people are gonna read this thing. Better make it *not suck*!

It really makes me work harder. I do more research, find more data or stories, and sharpen my prose. Nobody wants to look like a lazy dork in front of the world.
3) You figure out passions you didn’t know you had

One of things I like about blogging is that it gives me rein to write about stuff that’s outside my normal “beat”.

In my professional life as a magazine journalist, I’m known mostly as a tech and science writer. It’s not like I can’t write about stuff outside that beat! But the truth is, after 25 years I’m very knowledgeable about science and tech — and I really enjoy writing those stories; I’m a big nerd from way back. So editors tend to appreciate when I plough that field. When I’m blogging, that’s often what I write about too.

But with blogging, it’s also easier to stray far afield. There’s no editor to rein me in, for good and for ill. This means I wind up writing essays about stuff that I probably wouldn’t think to pitch in my professional life …

… like cycling! In the last few years, I’ve become a hardcore urban cyclist, to the point where I rarely take the subway or drive anymore in NYC. I’ve also done a bunch of wildly ambitious intercity trips, as when this summer I biked from Brooklyn to Montreal. This mid-life transformation into a full-blown athlete has surprised no-one more than me, a former monitor-tanned geek who fled the gladiatorial world of high-school sports back in the 80s.

So I’ve written a lot of essays on it. I’ve written about what it’s like becoming active later in life, why urban cycling is like playing a video game, and how cycling affects your thought processes.

If I hadn’t been for my blogging, I seriously doubt I’d have put this stuff down in words. I’ve discovered an entirely new beat. It might even become the subject of my next book.
4) It keeps my mind moving forward

Because I set the goal of writing a ton of blog posts, it had the secondary effect of making me read a ton.

To feed my blogging, I am constantly reading books, magazine articles, academic papers, and a sprawling network of blogs (I follow about 400 via my RSS feed on Feedly). Much as writing catalyzes thinking, reading catalyzes writing; the vast majority of ideas I get for blog posts come from reading something and having it trigger a “wait, what about …” moment.

This is particularly true of writing my Linkfests. They’re old-school linkblogging; the goal is to find incredibly cool stuff for my readers. They’re a blast to write, but they require me to inhale the Internet the way a bowhead whale devours krill — mouth wide open, swimming eternally forward.

(Indeed, of all the things I write, the Linkfests are the most work-intensive — to the point where I plan to scale them back in 2023, and/or possibly shift them from Medium to a paid newsletter. I’m not sure there’s enough of an audience for hardcore linkblogging to make it a going concern as a newsletter, though. We’ll see; I’ll decide in the next month.)

The overall point, though, holds: Blogging a lot means reading a lot, which keeps my mind moving forward.
