title: Pluralistic: “If buying isn’t owning, piracy isn’t stealing” (08 Dec 2023)
url: https://pluralistic.net/2023/12/08/playstationed/#tyler-james-hill
hash_url: c5baffcec6831c2b1fe5f3b27ebaeef4

<p><a name="tyler-james-hill"></a><br>
<img decoding="async" alt="The forward deck of a rigged sailing ship. A ogrish caricatured millionaire stands at a podium sporting a gilded dollar-sign-shaped lever, in place of a ship's wheel. He wears a skull-and-bones pirate hat and eyepatch. He is holding up a fil reel with one white-gloved hand." src="https://i0.wp.com/craphound.com/images/no-property-no-piracy.jpg?w=840&amp;ssl=1" data-recalc-dims="1"></p>
<h1>"If buying isn't owning, piracy isn't stealing" (<a href="https://pluralistic.net/2023/12/08/playstationed/#tyler-james-hill">permalink</a>)</h1>
<p>20 years ago, I got in a (friendly) public spat with Chris Anderson, who was then the editor in chief of <em>Wired</em>. I'd publicly noted my disappointment with glowing <em>Wired</em> reviews of DRM-encumbered digital devices, prompting Anderson to call me unrealistic for expecting the magazine to condemn gadgets for their DRM:</p>
<p><a href="https://longtail.typepad.com/the_long_tail/2004/12/is_drm_evil.html">https://longtail.typepad.com/the_long_tail/2004/12/is_drm_evil.html</a></p>
<p>I replied in public, telling him that he'd misunderstood. This wasn't an issue of ideological purity – it was about good reviewing practice. <em>Wired</em> was telling readers to buy a product because it had features x, y and z, but at any time in the future, without warning, without recourse, the vendor could switch off any of those features:</p>
<p><a href="https://memex.craphound.com/2004/12/29/cory-responds-to-wired-editor-on-drm/">https://memex.craphound.com/2004/12/29/cory-responds-to-wired-editor-on-drm/</a></p>
<p>I proposed that all <em>Wired</em> endorsements for DRM-encumbered products should come with this disclaimer:</p>
<blockquote><p>
  WARNING: THIS DEVICE’S FEATURES ARE SUBJECT TO REVOCATION WITHOUT NOTICE, ACCORDING TO TERMS SET OUT IN SECRET NEGOTIATIONS. YOUR INVESTMENT IS CONTINGENT ON THE GOODWILL OF THE WORLD’S MOST PARANOID, TECHNOPHOBIC ENTERTAINMENT EXECS. THIS DEVICE AND DEVICES LIKE IT ARE TYPICALLY USED TO CHARGE YOU FOR THINGS YOU USED TO GET FOR FREE — BE SURE TO FACTOR IN THE PRICE OF BUYING ALL YOUR MEDIA OVER AND OVER AGAIN. AT NO TIME IN HISTORY HAS ANY ENTERTAINMENT COMPANY GOTTEN A SWEET DEAL LIKE THIS FROM THE ELECTRONICS PEOPLE, BUT THIS TIME THEY’RE GETTING A TOTAL WALK. HERE, PUT THIS IN YOUR MOUTH, IT’LL MUFFLE YOUR WHIMPERS.
</p></blockquote>
<p><em>Wired</em> didn't take me up on this suggestion.</p>
<p>But I was right. The ability to change features, prices, and availability of things you've <em>already paid for</em> is a powerful temptation to corporations. Inkjet printers were always a sleazy business, but once these printers got directly connected to the internet, companies like HP started pushing out "security updates" that modified your printer to make it reject the third-party ink you'd paid for:</p>
<p><a href="https://www.eff.org/deeplinks/2020/11/ink-stained-wretches-battle-soul-digital-freedom-taking-place-inside-your-printer">https://www.eff.org/deeplinks/2020/11/ink-stained-wretches-battle-soul-digital-freedom-taking-place-inside-your-printer</a></p>
<p>Now, this scam wouldn't work if you could just put things back the way they were before the "update," which is where the DRM comes in. A thicket of IP laws make reverse-engineering DRM-encumbered products into a <em>felony</em>. Combine always-on network access with indiscriminate criminalization of user modification, and the enshittification will follow, as surely as night follows day.</p>
<p>This is the root of all the right to repair shenanigans. Sure, companies withhold access to diagnostic codes and parts, but codes can be extracted and parts can be cloned. The real teeth in blocking repair comes from the law, not the tech. The company that makes McDonald's wildly unreliable McFlurry machines makes a fortune charging franchisees to fix these eternally broken appliances. When a third party threatened this racket by reverse-engineering the DRM that blocked independent repair, they got buried in legal threats:</p>
<p><a href="https://pluralistic.net/2021/04/20/euthanize-rentier-enablers/#cold-war">https://pluralistic.net/2021/04/20/euthanize-rentier-enablers/#cold-war</a></p>
<p>Everybody loves this racket. In Poland, a team of security researchers at the OhMyHack conference just presented their teardown of the anti-repair features in NEWAG Impuls <em>locomotives</em>. NEWAG boobytrapped their trains to try and detect if they've been independently serviced, and to respond to any unauthorized repairs by bricking themselves:</p>
<p><a href="https://mamot.fr/@q3k@hackerspace.pl/111528162905209453">https://mamot.fr/@q3k@hackerspace.pl/111528162905209453</a></p>
<p>Poland is part of the EU, meaning that they are required to uphold the provisions of the 2001 EU Copyright Directive, including Article 6, which bans this kind of reverse-engineering. The researchers are planning to present their work again at the Chaos Communications Congress in Hamburg this month – Germany is also a party to the EUCD. The threat to researchers from presenting this work is real – but so is the threat to conferences that host them:</p>
<p><a href="https://www.cnet.com/tech/services-and-software/researchers-face-legal-threats-over-sdmi-hack/">https://www.cnet.com/tech/services-and-software/researchers-face-legal-threats-over-sdmi-hack/</a></p>
<p>20 years ago, Chris Anderson told me that it was unrealistic to expect tech companies to refuse demands for DRM from the entertainment companies whose media they hoped to play. My argument – then and now – was that any tech company that sells you a gadget that can have its features revoked is defrauding you. You're paying for x, y and z – and if they are contractually required to remove x and y on demand, they are selling you something that you can't rely on, without making that clear to you.</p>
<p>But it's worse than that. When a tech company designs a device for remote, irreversible, nonconsensual downgrades, they <em>invite</em> both external and internal parties to demand those downgrades. Like Pavel Chekov says, a phaser on the bridge in Act I is going to go off by Act III. Selling a product that can be remotely, irreversibly, nonconsensually downgraded <em>inevitably</em> results in  the worst person at the product-planning meeting proposing to do so. The fact that there are no penalties for doing so makes it impossible for the better people in that meeting to win the ensuing argument, leading to the moral injury of seeing a product you care about reduced to a pile of shit:</p>
<p><a href="https://pluralistic.net/2023/11/25/moral-injury/#enshittification">https://pluralistic.net/2023/11/25/moral-injury/#enshittification</a></p>
<p>But even if everyone at that table is a swell egg who wouldn't dream of enshittifying the product, the existence of a remote, irreversible, nonconsensual downgrade feature makes the product vulnerable to <em>external</em> actors who will demand that it be used. Back in 2022, Adobe informed its customers that it had lost its deal to include Pantone colors in Photoshop, Illustrator and other "software as a service" packages. As a result, users would now have to start paying a monthly fee to see their own, completed images. Fail to pay the fee and all the Pantone-coded pixels in your artwork would just show up as black:</p>
<p><a href="https://pluralistic.net/2022/10/28/fade-to-black/#trust-the-process">https://pluralistic.net/2022/10/28/fade-to-black/#trust-the-process</a></p>
<p>Adobe blamed this on Pantone, and there was lots of speculation about what had happened. Had Pantone jacked up its price to Adobe, so Adobe passed the price on to its users in the hopes of embarrassing Pantone? Who knows? Who <em>can</em> know? That's the point: you invested in Photoshop, you spent money and time creating images with it, but you have no way to know whether or how you'll be able to access those images in the future. Those terms can change at any time, and if you don't like it, you can go fuck yourself.</p>
<p>These companies are all run by CEOs who got their MBAs at Darth Vader University, where the first lesson is "I have altered the deal, pray I don't alter it further." Adobe <em>chose</em> to design its software so it would be vulnerable to this kind of demand, and then its <em>customers</em> paid for that choice. Sure, Pantone are dicks, but this is <em>Adobe's</em> fault. They stuck a KICK ME sign to your back, and Pantone obliged.</p>
<p>This keeps happening and it's <em>gonna</em> keep happening. Last week, Playstation owners who'd bought (or "bought") Warner TV shows got messages telling them that Warner had walked away from its deal to sell videos through the Playstation store, and so all the videos they'd paid for were going to be deleted forever. They wouldn't even get refunds (to be clear, refunds would also be bullshit – when I was a bookseller, I didn't get to break into your house and steal the books I'd sold you, not even if I left some cash on your kitchen table).</p>
<p>Sure, Warner is an unbelievably shitty company run by the single most guillotineable executive in all of Southern California, the loathsome David Zaslav, who oversaw the merger of Warner with Discovery. Zaslav is the creep who figured out that he could make more money <em>cancelling completed movies and TV shows</em> and taking a tax writeoff than he stood to make by releasing them:</p>
<p><a href="https://aftermath.site/there-is-no-piracy-without-ownership">https://aftermath.site/there-is-no-piracy-without-ownership</a></p>
<p>Imagine putting years of your life into making a program – showing up on set at 5AM and leaving your kids to get their own breakfast, performing stunts that could maim or kill you, working 16-hour days during the acute phase of the covid pandemic and driving home in the night, only to have this absolute <em>turd</em> of a man <em>delete</em> the program before anyone could see it, forever, to get a minor tax advantage. Talk about moral injury!</p>
<p>But without Sony's complicity in designing a remote, irreversible, nonconsensual downgrade feature into the Playstation, Zaslav's war on art and creative workers would be limited to material that hadn't been released yet. Thanks to Sony's awful choices, David Zaslav can break into your house, steal your movies – and he doesn't even have to leave a twenty on your kitchen table.</p>
<p>The point here – the point I made 20 years ago to Chris Anderson – is that <em>this is the foreseeable, inevitable result</em> of designing devices for remote, irreversible, nonconsensual downgrades. Anyone who was paying attention should have figured that out in the GW Bush administration. Anyone who does this <em>today</em>? Absolute flaming garbage.</p>
<p>Sure, Zaslav deserves to be staked out over and anthill and slathered in high-fructose corn syrup. But save the next anthill for the Sony exec who shipped a product that would let Zaslav come into your home and rob you. That piece of shit <em>knew what they were doing</em> and <em>they did it anyway</em>. <em>Fuck</em> them. Sideways. With a <em>brick</em>.</p>
<p>Meanwhile, the studios keep making the case for stealing movies rather than paying for them. As Tyler James Hill wrote: "If buying isn't owning, piracy isn't stealing":</p>
<p><a href="https://bsky.app/profile/tylerjameshill.bsky.social/post/3kflw2lvam42n">https://bsky.app/profile/tylerjameshill.bsky.social/post/3kflw2lvam42n</a></p>
<p>(<i>Image: <a href="https://pxhere.com/en/photo/218986">Alan Levine</a>, <a href="https://creativecommons.org/licenses/by/2.0/">CC BY 2.0</a> modified</i>)</p>
<hr>
<p><a name="linkdump"></a></p>
<h1>Hey look at this (<a href="https://pluralistic.net/2023/12/08/playstationed/#linkdump">permalink</a>)</h1>
<p><img decoding="async" src="https://i0.wp.com/craphound.com/images/heylookatthis.jpg?w=840&amp;ssl=1" data-recalc-dims="1"></p>

<hr>
<p><a name="retro"></a><br>
<img decoding="async" alt="A Wayback Machine banner." src="https://i0.wp.com/craphound.com/images/wayback-machine-hed-796x416.png?resize=796%2C416&amp;ssl=1" data-recalc-dims="1"></p>
<h1>This day in history (<a href="https://pluralistic.net/2023/12/08/playstationed/#retro">permalink</a>)</h1>
<p>#20yrsago Beat Me Daddy (Eight to the Bar) <a href="https://web.archive.org/web/20040112231612/http://www.forteanbureau.com/dec2003/Doctorow/index.html">https://web.archive.org/web/20040112231612/http://www.forteanbureau.com/dec2003/Doctorow/index.html</a></p>
<p>#15yrsago New Rochelle school board mutilates books to protect children <a href="https://web.archive.org/web/20081210080026/http://www.newrochelletalk.com/?q=node/288">https://web.archive.org/web/20081210080026/http://www.newrochelletalk.com/?q=node/288</a></p>
<p>#15yrsago  How to Pay for National Health Insurance <a href="https://ritholtz.com/2008/12/how-to-pay-for-national-health-insurance/">https://ritholtz.com/2008/12/how-to-pay-for-national-health-insurance/</a></p>
<p>#5yrsago Literal breadboarding, with toast and Vegemite <a href="https://twitter.com/lukeweston/status/1071220362606608385">https://twitter.com/lukeweston/status/1071220362606608385</a></p>
<p>#5yrsago $30 plug-and-play kit converts a Bird scooter into a “personal scooter” <a href="https://hackaday.com/2018/12/07/liberating-birds-for-a-cheap-electric-scooter/">https://hackaday.com/2018/12/07/liberating-birds-for-a-cheap-electric-scooter/</a></p>
<p>#5yrsago An annual Christmas craft tradition: the Die Hard Air Duct ornament <a href="https://web.archive.org/web/20171214160218/https://unlikelywords.com/2016/12/23/how-to-make-your-own-die-hard-christmas-tree-ornament/">https://web.archive.org/web/20171214160218/https://unlikelywords.com/2016/12/23/how-to-make-your-own-die-hard-christmas-tree-ornament/</a></p>
<p>#5yrsago Top FTC official is so such a corporate shill that he has conflicts of interest for 100 companies, including Equifax and Facebook <a href="https://www.theverge.com/2018/12/6/18129572/facebook-uber-ftc-conflict-interest-andrew-smith">https://www.theverge.com/2018/12/6/18129572/facebook-uber-ftc-conflict-interest-andrew-smith</a></p>
<p>#5yrsago Ha-ha, only serious: McSweeney’s on price-gouging in the emergency room <a href="https://www.mcsweeneys.net/articles/welcome-to-our-modern-hospital-where-if-you-want-to-know-a-price-you-can-go-fuck-yourself">https://www.mcsweeneys.net/articles/welcome-to-our-modern-hospital-where-if-you-want-to-know-a-price-you-can-go-fuck-yourself</a></p>
<p>#1yrago One weird trick to make monopolies self-destruct <a href="https://pluralistic.net/2022/12/08/one-last-job/#icahns-raiders">https://pluralistic.net/2022/12/08/one-last-job/#icahns-raiders</a></p>
<hr>
<p><a name="bragsheet"></a><br>
<img decoding="async" src="https://i0.wp.com/craphound.com/images/colophonimages.jpeg?w=840&amp;ssl=1" data-recalc-dims="1"></p>

<p>Today's top sources:</p>
<p>Currently writing:</p>
<ul>
<li>A Little Brother short story about DIY insulin PLANNING
</li>
<li>
<p>Picks and Shovels, a Martin Hench noir thriller about the heroic era of the PC. FORTHCOMING TOR BOOKS JAN 2025</p>
</li>
<li>
<p>The Bezzle, a Martin Hench noir thriller novel about the prison-tech industry. FORTHCOMING TOR BOOKS FEB 2024</p>
</li>
<li>
<p>Vigilant, Little Brother short story about remote invigilation. FORTHCOMING ON TOR.COM</p>
</li>
<li>
<p>Spill, a Little Brother short story about pipeline protests. FORTHCOMING ON TOR.COM</p>
</li>
</ul>
<p>Latest podcast: Don’t Be Evil <a href="https://craphound.com/articles/2023/12/03/dont-be-evil/">https://craphound.com/articles/2023/12/03/dont-be-evil/</a><br>
Upcoming appearances:</p>

<p>Recent appearances:</p>

<p>Latest books:</p>
<ul>
<li>"The Lost Cause:" a solarpunk novel of hope in the climate emergency, Tor Books (US), Head of Zeus (UK), November 2023 (<a href="http://lost-cause.org">http://lost-cause.org</a>). Signed, personalized copies at Dark Delicacies (<a href="https://www.darkdel.com/store/p3007/Pre-Order_Signed_Copies%3A_The_Lost_Cause_HB.html#/">https://www.darkdel.com/store/p3007/Pre-Order_Signed_Copies%3A_The_Lost_Cause_HB.html#/</a>)
</li>
<li>
<p>"The Internet Con": A nonfiction book about interoperability and Big Tech (Verso) September 2023 (<a href="http://seizethemeansofcomputation.org">http://seizethemeansofcomputation.org</a>). Signed copies at Book Soup (<a href="https://www.booksoup.com/book/9781804291245">https://www.booksoup.com/book/9781804291245</a>).</p>
</li>
<li>
<p>"Red Team Blues": "A grabby, compulsive thriller that will leave you knowing more about how the world works than you did before." Tor Books <a href="http://redteamblues.com">http://redteamblues.com</a>. Signed copies at Dark Delicacies (US): <a href="https://www.darkdel.com/store/p2873/Wed%2C_Apr_26th_6pm%3A_Red_Team_Blues%3A_A_Martin_Hench_Novel_HB.html#/"> and Forbidden Planet (UK): </a><a href="https://forbiddenplanet.com/385004-red-team-blues-signed-edition-hardcover/">https://forbiddenplanet.com/385004-red-team-blues-signed-edition-hardcover/</a>.</p>
</li>
<li>
<p>"Chokepoint Capitalism: How to Beat Big Tech, Tame Big Content, and Get Artists Paid, with Rebecca Giblin", on how to unrig the markets for creative labor, Beacon Press/Scribe 2022 <a href="https://chokepointcapitalism.com">https://chokepointcapitalism.com</a></p>
</li>
<li>
<p>"Attack Surface": The third Little Brother novel, a standalone technothriller for adults. The <em>Washington Post</em> called it "a political cyberthriller, vigorous, bold and savvy about the limits of revolution and resistance." Order signed, personalized copies from Dark Delicacies <a href="https://www.darkdel.com/store/p1840/Available_Now%3A_Attack_Surface.html">https://www.darkdel.com/store/p1840/Available_Now%3A_Attack_Surface.html</a></p>
</li>
<li>
<p>"How to Destroy Surveillance Capitalism": an anti-monopoly pamphlet analyzing the true harms of surveillance capitalism and proposing a solution. <a href="https://onezero.medium.com/how-to-destroy-surveillance-capitalism-8135e6744d59?sk=f6cd10e54e20a07d4c6d0f3ac011af6b">https://onezero.medium.com/how-to-destroy-surveillance-capitalism-8135e6744d59?sk=f6cd10e54e20a07d4c6d0f3ac011af6b</a>) (signed copies: <a href="https://www.darkdel.com/store/p2024/Available_Now%3A__How_to_Destroy_Surveillance_Capitalism.html">https://www.darkdel.com/store/p2024/Available_Now%3A__How_to_Destroy_Surveillance_Capitalism.html</a>)</p>
</li>
<li>
<p>"Little Brother/Homeland": A reissue omnibus edition with a new introduction by Edward Snowden: <a href="https://us.macmillan.com/books/9781250774583">https://us.macmillan.com/books/9781250774583</a>; personalized/signed copies here: <a href="https://www.darkdel.com/store/p1750/July%3A__Little_Brother_%26_Homeland.html">https://www.darkdel.com/store/p1750/July%3A__Little_Brother_%26_Homeland.html</a></p>
</li>
<li>
<p>"Poesy the Monster Slayer" a picture book about monsters, bedtime, gender, and kicking ass. Order here: <a href="https://us.macmillan.com/books/9781626723627">https://us.macmillan.com/books/9781626723627</a>. Get a personalized, signed copy here: <a href="https://www.darkdel.com/store/p2682/Corey_Doctorow%3A_Poesy_the_Monster_Slayer_HB.html#/">https://www.darkdel.com/store/p2682/Corey_Doctorow%3A_Poesy_the_Monster_Slayer_HB.html#/</a>.</p>
</li>
</ul>
<p>Upcoming books:</p>
<ul>
<li>The Bezzle: a sequel to "Red Team Blues," about prison-tech and other grifts, Tor Books, February 2024
</li>
<li>
<p>Picks and Shovels: a sequel to "Red Team Blues," about the heroic era of the PC, Tor Books, February 2025</p>
</li>
<li>
<p>Unauthorized Bread: a graphic novel adapted from my novella about refugees, toasters and DRM, FirstSecond, 2025</p>
</li>
</ul>
<hr>
<p><img decoding="async" src="https://i0.wp.com/craphound.com/images/by.svg.png?w=840&amp;ssl=1" data-recalc-dims="1"></p>
<p>This work – excluding any serialized fiction – is licensed under a Creative Commons Attribution 4.0 license. That means you can use it any way you like, including commercially, provided that you attribute it to me, Cory Doctorow, and include a link to pluralistic.net.</p>
<p><a href="https://creativecommons.org/licenses/by/4.0/">https://creativecommons.org/licenses/by/4.0/</a></p>
<p>Quotations and images are not included in this license; they are included either under a limitation or exception to copyright, or on the basis of a separate license. Please exercise caution.</p>
