title: I Was Wrong About Mastodon
url: https://escapingtech.com/tech/opinions/i-was-wrong-about-mastodon-moderation.html
hash_url: daa39b64681b0574bbe189e80c8a4653

<p>A few weeks ago, I made a tweet about how I thought Mastodon wouldn’t scale due to moderation issues. 
The tweet is since deleted (not because I deleted it individually, but because I later made the decision to purge my account and move to Mastodon).</p>

<p><img src="https://escapingtech.com/images/i-was-wrong-about-mastodon-moderation/tweet.png" alt=""></p>

<p>Mastodon is not a single social media platform, it is a federation. Think of it as a cross between email and Twitter.
You can sign up for an email account with GMail, Yahoo, or Outlook. No matter what provider you choose, you can still email with
people who are using a different provider. Mastodon applies this model to Twitter.
There are lots of different Twitters, and anyone can set up their own Twitter, but they’re all connected so users can communicate with people outside their provider, just like with email.</p>

<p>Mastodon providers are called instances, and a user on one instance can follow and interact with users on other instances.
For all intents and purposes, it seems like one big social media platform, but it’s not. 
The important difference is there’s not a single company controlling Mastodon. Anyone can set up a Mastodon instance and run 
it how they wish, just like a BBS or Message board.</p>

<p>Now, in my head I was seeing this as a problem. On Twitter, you can get banned from Twitter. On Mastodon, you can be banned from
individual Mastodon instances, but not from Mastodon itself (because anyone can set up their own instance). This seemed like it’d
be a huge moderation issue because if abusive users were banned from one instance, they could just move to another.
It was my belief that as Mastodon adoption grew, the moderators of whichever instance you chose to use would have to deal ever-increasing 
volumes of abuse. It’d be like how email providers have to develop spam filters to combat incoming spam from every other provider
(but so much still gets through).</p>

<p>After a month on Mastodon, I’ve realized I was wrong.</p>

<h2 id="a-different-culture">A different culture</h2>
<p>What I missed about Mastodon was its very different culture. 
Ad-driven social media platforms are willing to tolerate monumental volumes of abusive users. 
They’ve discovered the same thing the Mainstream Media did: negative emotions grip people’s attention harder than positive ones.
Hate and fear drives engagement, and engagement drives ad impressions.</p>

<p>Mastodon is not an ad-driven platform. There is absolutely zero incentives to let awful people run amok in the name of engagement.
The goal of Mastodon is to build a friendly collection of communities, not an attention leeching hate mill. As a result, most Mastodon
instance operators have come to a consensus that hate speech shouldn’t be allowed. Already, that sets it far apart from twitter, but wait, there’s more. 
When it comes to other topics, what is and isn’t allowed is on an instance-by-instance basis, so you can choose your own adventure.</p>

<p>You might be wondering, how can you maintain a friendly atmosphere if anyone can just start their own Mastodon instance and spew hate?
This is the part I misunderstood when I said Mastodon wouldn’t scale.</p>

<h2 id="the-accountability-economy">The accountability economy</h2>
<p>Most Mastodon servers run on donations, which creates a very different dynamic. 
It is very easy for a toxic platform to generate revenue through ad impressions, 
but most people are not willing to pay hard-earned money to get yelled at by extremists all day. 
This is why Twitter’s subscription model will never work. 
With Mastodon, people find a community they enjoy, and thus are happy to donate to maintain. Which add a new dynamic.</p>

<p>Since Mastodon is basically a network of communities, it is expected that moderators are responsible for their own community, lowering the burden for everyone.
Let’s say you run a Mastodon instance and a user of another instance has become problematic towards your users. You report them to their instance’s moderators, but the moderators decline to act.
What can you do? Well a lot, actually.</p>

<ol>
  <li>You can block the user’s account from communicating with your instance, so their posts cannot reach anyone on your instance.</li>
  <li>You can block the user’s entire instance from communicating with yours, so that nobody on that instance can communicate with anyone on your own.</li>
</ol>

<p>Now, #2 may sound excessive and overly dramatic, but it’s what makes Mastodon so beautiful. Let me explain.</p>

<p>Instead of expecting instance moderators to moderate incoming toxicity from thousands of other instances, instance owner 
can be held heavily accountable for their users. If an instance is blocked (de-federated) due to insufficient moderation,
everyone on that instance can no-longer reach anyone on any instance that has blocked them, which sucks. 
This not only impacts the experience of users on the de-federated instance, but also gives them a feeling of guilt by association. 
But, Marcus, how is collateral damage at all a good thing, you may ask.</p>

<h2 id="democratic-self-regulation">Democratic self-regulation</h2>
<p>Well, Mastodon users have the ability to transfer their accounts between instances. 
If your instance starts welcoming extremists, you can move. If your instance starts getting de-federated for abuse, you can move.
Many of us, myself included, left Twitter due to the proliferation of extremism. This had a huge personal cost as there is no other Twitter.
On Mastodon, there’s always another instance. You can move to another instance, have the same features, keep all your followers,
and still communicate with people on other instances via the fediverse.</p>

<p>The ability for users to choose if they wish to be collateral damage is what makes Mastodon work.
If an instance is de-federated due to extremism, the users can pressure their moderators to act in order to gain re-federation.
Otherwise, they must make the decision if to go down with the ship or simply move. This creates a healthy self-regulating ecosystem where 
once an instance starts to get de-federated, reasonable users will move their accounts, 
leaving behind unreasonable ones, which further justifies de-federation, and will lead to more and more instances choosing to de-federate the offending one.</p>

<p>Since instance owners are either running their instance for community purposes, or for profit via donations, user loss is very harmful.
As such, there is an economy of accountability which shifts moderation to the source, rather than the destination. 
It’s in an instance owner’s best interest to maintain the friendliest possible community, as this is what attracts new users and keeps exiting ones. 
With instance moderators held accountable for their own instances, this significantly reduces the moderation burden on other instances.
It also creates a double-moderation system, where if some badness does slip past the source instance’s moderators, moderators on the recipient instances can pick up the slack.</p>

<p>Obviously, de-federation can and does happen for asinine reasons. But this is also a good thing. 
Recently, the instance I use was blocked by a few smaller instances for working with the Cybersecurity and Infrastructure Security Agency (CISA).
CISA’s goal is to improve cybersecurity and protect organizations from hackers, but it’s also a part of the Department of Homeland Security (DHS).
DHS is also responsible for Immigrations and Customs Enforcement (ICE), an agency with a track record of rampant humans rights abuse. 
Understandably, people are hostile towards anyone working with DHS. The best we can do is explain that CISA is not ICE, it is a benevolent agency that serves to help us. If people still choose to maintain hostilities towards us,
then it is for the best that they block our instance, because clearly our views are fundamentally incompatible and will only lead to further unfriendliness on both side.</p>

<h2 id="happy-to-be-wrong">Happy to be wrong</h2>
<p>Having spent time on Mastodon, I now realize how hilariously wrong I was about how moderation would work. 
I was seeing Mastodon through the lenses of Twitter, rather than as a different culture with different technology. 
I’m now fairly confident in saying Mastodon is friendlier than Twitter and will remain so, regardless of who and how many join.</p>

<p>I enjoy that everyone is on the same page about not having rampant extremism. I can’t believe that is even a thing that has to be said in this day and age, but I digress (no really, I don’t).
But more, I like the choose-your-own-adventure nature of Mastodon. If something isn’t blocked, and you wish it was, you can move to an Instance where it is. 
On the flip side, if something is blocked, and you wish it wasn’t, you can move to an instance where it isn’t.</p>

<p>The crucial mistake of social media was trying to force people with wildly incompatible views to co-exist in the same space. 
In real-life, I can choose who I associate with. Now, I’m most certainly not looking for an echo chamber. I need my views to be questioned and debated, but it must be by people capable of civil discourse. 
We should discuss, we should reassess, we should admit when we’re wrong. That is not the status quo online.</p>

<p>Traditional social media does not promote diversity of thought, it is for all intents and purposes an echo chamber, albeit, one that encourages piling on passers-by who possess different opinions.
Mastodon feels much closer to hanging out with reasonable friends and acquaintances, whereas Twitter is equivalent to having 15 racists drunk uncles assigned to follow you wherever you go.</p>

<p>I really hope federated networks can be the future of social media.</p>

<p><a href="https://escapingtech.com/tech/guides/a-twitter-users-guide-to-mastodon.html">A Quick-start Guide to Mastodon</a></p>
