title: Discord, or the Death of Lore « ASCII by Jason Scott
url: http://ascii.textfiles.com/archives/5509
hash_url: f6e269f9a6e16436827169039d551623

<p>I chose the life, it didn’t choose me. I could have walked away from it a long time ago, and I’ve certainly shifted my focus over the years. But I still hold the heft and halter, the one standing at the death of all things, and while it means a lot of moments of rescue and recovery, it also means knowing, looking across at that which thrives and bustles, the desiccation and destruction to come. The only part of the fog of the future that’s guaranteed is the moment it switches from theory to a wall of iron and then darkness.</p>



<p>All this to say: <strong>Discord</strong>.</p>



<p>Twitter, in its own death throes, its own misery, will always stand in its later years as a fantastic tool for raining down misery and pain on others with a simple “quote tweet”, and I’ve been guilty of such on the absolute regular. Few of my tweets maneuvered past 100,000 “impressions”, but this one most definitely did:</p>





<p>The last I checked, that tweet got the attention of over a quarter-million individuals and/or machines, and the next two follow-ups got a smaller amount, but are still worth noting:</p>





<p>There is absolutely nothing new about Discord, say people with experience of IRC. Of course, they’re wrong: Discord has speed, ease of use, and (at this point in time) general societal acceptance far beyond IRC. IRC is a bouncer looking you up and down and asking you to do a small dance of proof of worth before entering a text-only cave of obscurity; Discord added skylights, pretty lights, cross-platform access and verification, and centralization, not all of them great additions but very welcome for their intended audience…. who is now everyone.</p>



<p>I’ve been on well over 100 discords, and I’ve run or in some way moderated a half-dozen. They’re good for fast spinning-up of projects, to glom a bunch of humans into a channel system, and not have to deal with Slack’s oddities, or the ridiculous on-ramp for IRC. At one point I asked for people to send me invites to the weirdest Discords they were members of, and I can assure you, there’s weird ones indeed. And the capacity is notable – walking through the halls of particularly “hot” Discords with literally hundreds of thousands of members, especially when active, is to walk through a space station hosting an all-star concert as it blasts through the darkness. <br><br>I have no disputes as the popularity of the places, the things that happen there, and the unquestioned vivaciousness of being the party that never seems to end and everyone wants to join. <br><br>I just happen to be the sort of person who notices there’s no decent fire exits and most of the structure is wood and there’s an… awful lot of pyrotechnics being set off.</p>



<p>Discord’s official birthday is 2012, but it’s really 2009, when OpenFeint was created.</p>





<p><a rel="noreferrer noopener" href="https://en.wikipedia.org/wiki/OpenFeint" target="_blank">OpenFeint</a> is the pile of bones worn into the foundation of Discord telling us it was built on land that will very occasionally flood to great catastrophe. It was founded in 2009, was given a huge ecosystem of plugins and support, gained ten million followers, took in roughly $12 million of known VC investment, was sold to a Japanese company in 2011 for $104 million, and was fucking <em>dead in the ground</em> by 2012. By the flickering light of its Viking funeral, Discord was founded and the cycle began anew.</p>



<p>Spare me the “they learned their lesson speech”, and please store it in this garbage can I’ve already stuffed with the “it won’t happen again” and “you don’t know what you’re talking about” bags I tend to get. It will happen again; it’s just a matter of when.</p>



<p>The main considerations I have are what will be lost.</p>





<p>When the free image-hosting site ImageShack made the realization that they were losing buckets of money hosting images for free, and shifted over to a subscription model that also cut off legacy accounts, deleting them in fact, the question was who would care. Perhaps the original uploaders of the images, too cheap to pay the additional fees of a few bucks per month, or maybe someone who took amusement from this image or that, but probably had downloaded it anyway?</p>



<p><strong>No, what this did was decimate warehouses of lore.</strong></p>



<p>It turns out, in the breadth of time, ImageShack was the unofficial official clearinghouse of diagrams and illustrations of web discussion boards that had limits (or difficulties) hosting images. Sure, most of the boards had software that allowed you to upload to them, but ImageShack was <em>very </em>easy to host with, and the results were fast and simple and could be rather large when needed. This was very helpful for technical diagrams and explanations that would cover (at the time) larger resolutions of graphic information.</p>



<p>So, when ImageShack killed what had been 13 years of these illustrations, they definitely probably saved the business, and they ensured everyone who was hosting with them was truly <em>engaged</em>, but they also lobotomized hundreds, possibly thousands of forums and discussion groups and absolutely wiped an entire collection of reference documents from the web at the same time. Walking through some of them (before they, themselves, died) was walking through a bombed city, its institutional and cultural memory pockmarked with “pay us to see this stuff” placeholders.</p>



<p>Documents are documents. Books are books, recordings are recordings, and so on. As time has gone on, though, I’ve observed the probably obvious-to-others fact that <strong>Lore</strong> is the grease between the concrete blocks of knowledge, the carved step in an otherwise impossible-to-scale mountain, the small bit of powder sprinkled through a workspace to ensure sparks don’t fly and things don’t burn. Inconceivably odd to the outsider, but vital to the dedicated or intense practice of the craft.</p>



<p>Certainly, the ideal situation is lore is inlaid into a framework of knowledge. As the joke goes, there’s no real conflict between herbs and medicine – we took herbs and the ones that worked became medicine. In the same way, the lore of knots became the rules of the sea and the lore of practiced building that was vital to share across long distances of time and space became engineering. This is an overly simplistic view, but it holds true that “lore” joins “knowledge” in a very haphazard fashion, usually relying on someone so driven to push the process that they create a 400 page behemoth of writing that is gleaned by social calls and favors into the story of How It Has Been Done.</p>


<div class="wp-block-image">
<figure class="aligncenter size-full"><a href="http://ascii.textfiles.com/wp-content/uploads/2023/03/image-11.png"><img data-attachment-id="5515" data-permalink="http://ascii.textfiles.com/archives/5509/image-11" data-orig-file="http://ascii.textfiles.com/wp-content/uploads/2023/03/image-11.png" data-orig-size="802,454" data-comments-opened="1" data-image-meta='{"aperture":"0","credit":"","camera":"","caption":"","created_timestamp":"0","copyright":"","focal_length":"0","iso":"0","shutter_speed":"0","title":"","orientation":"0"}' data-image-title="image-11" data-image-description="" data-image-caption="" data-medium-file="http://ascii.textfiles.com/wp-content/uploads/2023/03/image-11-300x170.png" data-large-file="http://ascii.textfiles.com/wp-content/uploads/2023/03/image-11.png" decoding="async" loading="lazy" src="http://ascii.textfiles.com/wp-content/uploads/2023/03/image-11.png" alt="" class="wp-image-5515" srcset="http://ascii.textfiles.com/wp-content/uploads/2023/03/image-11.png 802w, http://ascii.textfiles.com/wp-content/uploads/2023/03/image-11-300x170.png 300w, http://ascii.textfiles.com/wp-content/uploads/2023/03/image-11-768x435.png 768w" sizes="(max-width: 802px) 100vw, 802px"></a></figure></div>


<p>The danger in this process, the potential lost ballast in the rise to the skies, is that the lore-to-knowledge transfer is lossy, messy, and arbitrary. Maybe those in the know want to keep the information to themselves, so it won’t be given to whoever the person or persons are who are laying down the written form. Maybe the chronicler of information has blind spots they don’t know about and not enough people to correct them. Or, more likely, you have to set the “noise filter” of the information to not go down the rabbit and rat holes of contingencies that maybe a dozen or two people will even want to know about, to the favor of that which <em>everyone</em> will need. The outcome is always the same: Lore loses in the long run.</p>



<p><em>I’ll take a quick diversion to say that we do see attempts to whip lore into shape on a shared basis, be it Quora, Yahoo! Answers, Reddit and Stack Overflow – all of them centralized entities, some of them better than others, and all of them fundamentally unstructured compared to a “book” form factor but infinitely searchable and fungible to the needs of whoever is wandering in, even if they must know three-quarters of the solution to get the actual final part.</em></p>



<p>Discord, in the decade and change it has lived, and especially once it took off beyond its initial social and classification groups, has exploded exponentially in all the parts it plays on the remnants of the Web. Time and again, we see a Discord rise that represents a subject general or specific, a grouping of dozens or hundreds of folks interested or entangled in the subject, and then a massive growth of channels and direct messages rising from that clumped “community”. Some of the results are droll mostly-silent channels with occasional flares of conversations, while others are waterfalls of discussion and write-once read-never rants and dumb questions, punctuated with someone asking a question for the hundredth time and someone answering a different way.</p>



<p>There are more Discords than you realize, and more lore pouring into them than anyone can truly comprehend. They are not the exclusive spigots of lore but they’re a major pipeline, a notable artery on Knowledge’s Heart that we would definitely notice if, for whatever reason, it was clogged with Mission Shift or New Opportunities cutting it off. </p>



<p>The two-line discussion at the center of my first public lambasting of Discord’s nature is telling, not because of the individual who responded as they did, but the situation they were unintentionally highlighting:</p>





<p>EmoSaru is not evil or a paragon of Knowledge’s Destruction; they’re a shopkeeper noticing that fresh tomatoes aren’t selling as well as ketchup and ketchup is cheaper to keep on the shelves and lasts longer, and everyone who might come along and complain about losing fresh tomatoes aren’t <em>buying</em> said beloved tomatoes. They’re following the wind. Only fools stay in the field when the herd has gone in from the rain. I highlighted them just because the exchange was, as they say, <em>el perfecto.</em></p>



<p>My grandmother would always scold me, lightly of course, about my cartoons I’d draw on paper because I wouldn’t use both sides of the page; my personal belief that it would bleed into each other wasn’t part of the argument, just that she had long memories of doing without and making do with little and she wanted me to not waste the (temporary) bounty before the next (inevitable) hardship.</p>



<p>To that end, I am, again, the angel-winged herald of the Death of Discord and I only wish to highlight what might blunt the pain of the inevitable decay and destruction of what it is.</p>





<p>In the unlikely event that Discord sits across from me at a table and asks What Exactly Do You Want To Leave Us Alone, my list of demands is both logical and impossible:</p>



<ul>
<li>Right now every channel is meant to be both transient and permanent. I know that’ll never change, so create a new “Lore” or “Archive” channel where the moderators tap on wisdom and preserve-forever statements or threads, and they get added over there. Think of it as “Pinning” but they’re pinned forever and there’s a bunch of them.</li>



<li>Make it possible to export this Lore/Archive channel to a reasonable file, like JSON or any other text format. Hell, make it a feature for “<a rel="noreferrer noopener" href="https://web.archive.org/web/20230301080154/https://discord.com/nitro" target="_blank">Discord Nitro</a>“, which is obviously a part of the “oh crap, we need to prove we can make money with this thing” phase of the cycle you’re now entering.</li>



<li>At the very least, consider some sort of “FAQ” feature/contingency that does a similar function to the old-style FAQs, so people can contribute sets of knowledge in a structured manual instead of an endless search for terms from everyone who ever touched a server.</li>
</ul>



<p>The unlikely event of them sitting with me across a table is doubly joined by the unlikely event they would implement anything like I’m asking for.</p>



<p>Consider this me walking through and pointing out the wood structure and lack of fire exits, and if someone did the work, even if it cost a little extra, a lot of people will be a little less sad down the line.</p>



<p>And when the inevitable does its inevitable thing, maybe we can all sit down and talk about what could have been.</p>



<p>…just not on Discord.</p>
