title: Notes from “An approach to computing and sustainability inspired from permaculture” by Devine LuLinvega
url: https://blog.jim-nielsen.com/2024/notes-from-computing-sustainably/
hash_url: 1f40a33f9c57a16d420eb0868a129e96
archive_date: 2024-01-15
og_image: https://blog.jim-nielsen.com/assets/img/twitter-card.png
description: Writing about the big beautiful mess that is making things for the world wide web.
favicon: https://blog.jim-nielsen.com/favicon.ico
language: en_US

<p class="image-container"><img src="https://cdn.jim-nielsen.com/blog/2023/mcdonalds-tech.jpg" alt="Patent-application-like drawing with a person on a sofa looking at a TV with a hamburger on it and a caption bubble that says, “Say 'McDonalds' to end commercial”">

</p>
<blockquote>
<p>I am interested in computers as a way to do more than consume.</p>
</blockquote>
<p>That’s how Devine starts <a href="https://www.youtube.com/watch?v=T3u7bGgVspM">their talk from Strangeloop</a>. <a href="https://blog.jim-nielsen.com/2023/precarious-modern-computing/">I’ve linked to them before</a>, as they have an interesting perspective on computing in the 21st century (given, in part, their environment of living on a boat).</p>
<p>I liked Devine’s warning about equating newer with better:</p>
<blockquote>
<p>If the new software no longer runs on old hardware, it is worse than the old software.</p>
</blockquote>
<p>Or this reminder about the flip-side of computers:</p>
<blockquote>
<p>We should be careful of who makes the bicycle for your mind.</p>
</blockquote>
<p>But there were two things in particular I wanted to write about that stood out to me.</p>
<h2 id="the-value-of-absence">The Value of Absence</h2>
<blockquote>
<p>The best phrasing I've seen for [defining] elegance is: articulating the value of absence. </p>
</blockquote>
<p>It’s easy to fall into the trap of only seeing what is lacking — “This can’t do X” or “If only we added Y” — which, perhaps unknowingly, makes us perceive everything around us as never being enough.</p>
<p>But this idea of being able to “articulate the value of absence”  cuts against this natural inclination to always be adding more.</p>
<p>Steve Jobs once said that at Apple they are as proud of the things they <em>haven’t done</em> as the things they <em>have done</em>. They’re proud of their ability to give a million “No”s to the one “Yes”.</p>
<p>And I think this runs in a similar vein. Can you say “no” and articulate <em>why</em>?</p>
<p>Instead of a knee-jerk acceptance of addition, “This would be so much better if we added X!” A good exercise might be to  try articulating the value of subtraction, “The absence of X would be beneficial because…”.</p>
<p>As Devine has said <a href="https://blog.jim-nielsen.com/2023/the-cost-of-avoiding-annoyance/">elsewhere</a>, “I don't think we've even begun to scratch the surface with what can be done with little.”</p>
<h2 id="systems-that-foster-solutions-vs-knowledge">Systems That Foster Solutions vs. Knowledge</h2>
<blockquote>
<p>To give people power over the technology that rules their lives and take them apart is extremely important if you want to have a system that goes beyond solutions and includes knowledge.</p>
</blockquote>
<p>I think that statement becomes more profound the longer you ponder on it.</p>
<p>So many software and hardware services encourage dependency through their solutions — they give you a fish, but don’t teach you how to fish. Devine’s illustration of this idea through the analogy of tap water is interesting.</p>
<p>When you’re getting water out of a tap and cannot see the source (for example in your home) it produces a sense that there is an unlimited amount that can come out. </p>
<p>Contrast that with a tap hooked up to water tanks that are visible each time you get water (for example, on boat). Every time you get more water, you see the tanks drop and you are reminded how much is left. Behavior changes when usage produces immediate, noticeable consequences.</p>
<p>So many companies have made a business out of deliberating hiding limitations, which alters behavior and usage.</p>
<p>This insight seems to come from Devine’s experience of living on a sailboat, which is an environment that is constantly imposing limitations.</p>
<p>For example, Devine notes that on a boat you have a limited supply of power. When you can’t do something on a boat because you don’t have the power, people’s natural inclination is to respond, “Well then just add more power”. Devine notes that is a possibility, but there’s a tradeoff: it produces more weight on the boat which means (for example) that it will be harder to outrun storms and they’ll therefore need more power to move the boat at the same speed as before. There’s a balance to it all.</p>
<p>Going back to the original quote, the insight here (I think) is: systems that preserve transparency into the mechanisms of their inner workings encourage more mindful, deliberate use based in reality because people develop knowledge through use. (This stands in contrast to a system whose inner workings are opaque and therefore antithetical to developing knowledge because they reveal no <a href="https://adactio.com/journal/6786">seams</a> to their true nature.)</p>
<p>I think there’s a parallel here to the abstractions we use in software (like web frameworks) and how they choose to reveal their own inner workings (or not). But I will leave that as an exercise for the reader — and myself, perhaps in another post.</p>