title: Facebook snooped on users’ Snapchat traffic in secret project, documents reveal
url: https://techcrunch.com/2024/03/26/facebook-secret-project-snooped-snapchat-user-traffic/
hash_url: 2de5f6111316a8158795d70666b55a95
archive_date: 2024-03-28
og_image: https://techcrunch.com/wp-content/uploads/2024/03/mark-zuckerberg-meta-facebook-snapchat-project-ghostbusters.jpg?resize=1200,800
description: A secret program called "Project Ghostbusters" saw Facebook devise a way to intercept and decrypt the encrypted network traffic of Snapchat users to study their behavior.
favicon: https://techcrunch.com/wp-content/uploads/2015/02/cropped-cropped-favicon-gradient.png?w=32
language: en_US

<p id="speakable-summary">In 2016, Facebook launched a secret project designed to intercept and decrypt the network traffic between people using Snapchat’s app and its servers. The goal was to understand users’ behavior and help Facebook compete with Snapchat, according to newly unsealed court documents. Facebook called this “Project Ghostbusters,” in a clear reference to Snapchat’s ghost-like logo.</p>
<p>On Tuesday, a federal court in California released new documents discovered as part of the class action lawsuit between consumers and Meta, Facebook’s parent company.</p>
<p>The newly released documents reveal how Meta tried to gain a competitive advantage over its competitors, including Snapchat and later Amazon and YouTube, by analyzing the network traffic of how its users were interacting with Meta’s competitors. Given these apps’ use of encryption, Facebook needed to develop special technology to get around it.</p>
<p><a href="https://www.documentcloud.org/documents/24520332-merged-fb" target="_blank" rel="noopener">One of the documents</a> details Facebook’s Project Ghostbusters. The project was part of the company’s In-App Action Panel (IAPP) program, which used a technique for “intercepting and decrypting” encrypted app traffic from users of Snapchat, and later from users of YouTube and Amazon, the consumers’ lawyers wrote in the document.</p>
<p>The document includes internal Facebook emails discussing the project.</p>
<p>“Whenever someone asks a question about Snapchat, the answer is usually that because their traffic is encrypted we have no analytics about them,” Meta chief executive Mark Zuckerberg wrote in an email dated June 9, 2016, which was published as part of the lawsuit. “Given how quickly they’re growing, it seems important to figure out a new way to get reliable analytics about them. Perhaps we need to do panels or write custom software. You should figure out how to do this.”</p>
<p>Facebook’s engineers solution was to use <a href="https://techcrunch.com/tag/onavo/">Onavo</a>, a VPN-like service that Facebook acquired in 2013. In 2019, <a href="https://techcrunch.com/2019/02/21/facebook-removes-onavo/">Facebook shut down Onavo</a> after a TechCrunch investigation revealed that <a href="https://techcrunch.com/2019/01/29/facebook-project-atlas/">Facebook had been secretly paying teenagers to use Onavo</a> so the company could access all of their web activity.</p>
<p>After Zuckerberg’s email, the Onavo team took on the project and a month later proposed a solution: so-called kits that can be installed on iOS and Android that intercept traffic for specific subdomains, “allowing us to read what would otherwise be encrypted traffic so we can measure in-app usage,” read an email from July 2016. “This is a ‘man-in-the-middle’ approach.”</p>
	
<p>A man-in-the-middle attack — nowadays also called adversary-in-the-middle — is an attack where hackers intercept internet traffic flowing from one device to another over a network. When the network traffic is unencrypted, this type of attack allows the hackers to read the data inside, such as usernames, passwords, and other in-app activity.</p>
<p>Given that Snapchat encrypted the traffic between the app and its servers, this network analysis technique was not going to be effective. This is why Facebook engineers proposed using Onavo, which when activated had the advantage of reading all of the device’s network traffic before it got encrypted and sent over the internet.</p>
<p>“We now have the capability to measure detailed in-app activity” from “parsing snapchat [sic] analytics collected from incentivized participants in Onavo’s research program,” read another email.</p>
<p>Later, according to the court documents, Facebook expanded the program to Amazon and YouTube.</p>
<p>Inside Facebook, there wasn’t a consensus on whether Project Ghostbusters was a good idea. Some employees, including Jay Parikh, Facebook’s then-head of infrastructure engineering, and Pedro Canahuati, the then-head of security engineering, expressed their concern.</p>
<p>“I can’t think of a good argument for why this is okay. No security person is ever comfortable with this, no matter what consent we get from the general public. The general public just doesn’t know how this stuff works,” Canahuati wrote in an email, included in the court documents.</p>
<p>In 2020, Sarah Grabert and Maximilian Klein <a href="https://www.jurist.org/news/2020/12/class-action-lawsuit-against-facebook-alleges-anticompetitive-behavior/" target="_blank" rel="noopener">filed a class action lawsuit against Facebook</a>, claiming that the company lied about its data collection activities and exploited the data it “deceptively extracted” from users to identify competitors and then unfairly fight against these new companies.</p>
<p>An Amazon spokesperson declined to comment.</p>
<p>Google, Meta, and Snap did not respond to requests for comment.</p>
<p><em>This story was updated to correct the link to the discovery documents in the fourth paragraph.</em></p>
