title: A Kafkaesque digital relationship with ourselves
url: https://minutestomidnight.co.uk/blog/kafkaesque-digital-relationship-with-ourselves/
hash_url: 34590090e8c8ea82be14fcc3dd7b734c
archive_date: 2024-03-09
og_image: https://minutestomidnight.co.uk/assets/images/m2m-og-image.png
description: Words are crucial to build a sense of online community, however many of us have been using them straight out of a soulless corporate lingo in order to sell ourselves as a product.
favicon: https://minutestomidnight.co.uk/assets/images/favicons/favicon.svg
language: en_GB

<p>The topic of this month’s IndieWeb Carnival, <a href="https://manuelmoreale.com/indieweb-carnival-digital-relationships">digital relationships</a>, invites a lot of reflection, especially from an introvert like myself, who’s been basking in the shadow of any form of genuine online communication for a long time. As a Gen-X, I had been heavily invested in email, Usenet newsgroups, BBSes, and IRC channels during the 1990s. I used to juggle between Eudora, Forté Agent, a client called <em>FirstClass</em>, and some form of terminal emulation.</p>

<p>When even the largest corporations were deploying static HTML and CSS, learning to build a personal website was exciting. It was a fertile time where novelty was not a fleeting concept, where establishing connections with people living in other countries was genuinely thrilling. Today, not being involved in the kind of corporate web that contributed to destroying the <em>personal</em> and open nature of the web’s first wave, is a natural consequence of my online upbringing. The current resurgence of what is now defined <em>small web</em>, fuelled by projects such as the IndieWeb, Webmentions, ActivityPub, was electrifying at first. However, not even this space is immune from a poison that is so widespread to have become the norm. If I had to define the problem, I’d say <em>personal branding</em>.</p>

<p>Leaving the corporate web is not enough. Refusing to follow <em>influencers</em> with their incessant broadcasting of self-promotion is not enough. Repopulate an RSS reader with brilliant blogs from newfound like-minded people is not enough. Homepages dressed as business cards are everywhere, convinced as we are that <a href="https://www.vox.com/culture/2024/2/1/24056883/tiktok-self-promotion-artist-career-how-to-build-following">presenting ourselves as a product is the only way to go</a>.</p>

<blockquote>
  <p>I’m Simone, a seasoned web developer and sound designer with over 25 years of experience.</p>
</blockquote>

<p>I can’t stress this enough: defining myself through job roles, awards, or the fact that I might be a public speaker, is good for a resume. Anywhere else, it becomes deeply uninspiring and <em>uninteresting</em>. That is what I might be doing for a living right now, but it doesn’t represent who I am as a person with values, interests and priorities. Even Mastodon is choke-full of this type of profile description. Why, in a small independent social network, do so many folks use this crap marketing lingo as if they were walking LinkedIn adverts?</p>

<p>Blaming any social media, corporate or not, for creating this situation is flatly wrong. In <a href="https://minutestomidnight.co.uk/blog/years-just-pass-by/">a short post written two decades ago</a> I had passive-aggressively complained about bloggers in a pre-Facebook era. It sounded a lot like I was talking about modern influencers, or pseudo <em>thought leaders</em>:</p>

<blockquote>
  <p>Five years ago there was all this buzz about virtual communities. How did that go? I have no idea, all I know is that everything revolves around who’s the hottest blogger right now. They talk about themselves, reference each other, all anxious about who has the most comments or the longest and most prestigious blogroll.</p>
</blockquote>

<h2 id="walk-the-walk">Walk the walk</h2>

<p>Removing the brand from the person is all but  straightforward. I now start my about page with a quick way to introduce myself by putting forward some of my values. The following section focuses on telling a short story about my path and work goals, rather than listing accomplishments. Also, <a href="https://minutestomidnight.co.uk/blog/de-brand/">as I said already</a>, words are important. Beside saying <em>people</em> instead of <em>users</em>, stop considering who’s reading my stuff as <em>audience</em>, and quit referring to what I do as <em>content</em>, I want to modify a few more behaviours:</p>

<ul class="list-hr">
  <li><strong>Quit mentioning well-known bloggers on a first-name basis</strong>. The self-aggrandising concealed implication is extremely annoying. The practice of obsessively quoting the same guys as if they’re close friends only reinforces the idea that these white men are a walled garden of successful people in their field. The same distortion happened in the UK recently, when the media insisted on referencing to the former Prime Minister Johnson as <em>Boris</em>, like he was a cuddly bear, or a mate you meet at a pub. He was neither.</li>
  <li><strong>Keep writing about different things</strong>. If my website will ever become one-dimensional, <del>specialised</del> fixated on a single topic, I’ll retire from the internet for good.</li>
  <li><strong>Don’t quote so-called thought leaders</strong>, but feed varied points of view by citing the less boosted ones. The web is full of interesting and unknown writers with way less than a gazillion followers on any given online space. I much prefer to look beyond gender, skin colour, geography, because I care about exciting ideas, fresh approach, novelty, not <em>status</em>.</li>
  <li><strong>Stop sugar-coating concepts</strong> by swapping simple truths with cheap gaslighting. I don’t “help companies” achieving something, I work for a salary doing things that, when luck strikes, I might even enjoy.</li>
</ul>

<p>Based on <a href="https://sonomu.club/@m2m/111875069567954865">reactions on Mastodon</a> I would say this is <a href="https://mastodon.design/@silviamaggi/111880068685358232">a conversation worth having</a>. It’s not the end of the road. I’ve been talking the talk for a long time before realising to be part of this game of projected personas within a collective <em>company of one</em> allucination.</p>
