title: N’ayez pas peur des mots
url: https://emmanuelle-aboaf.netlify.app/blog/article/n-ayez-pas-peur-des-mots
hash_url: 5201efaa6fe6a80f69647a354c9afd18
archive_date: 2024-03-20
og_image: https://emmanuelle-aboaf.netlify.app/android-chrome-512x512.png
description: Les mots ont un impact et pourtant ils ne sont pas utilisés en tant que tels. Le mot handicapé·e n’est pas un gros mot, pas plus que les mots sourd·e et aveugle. Malheureusement, certaines personnes n’osent pas les dire par peur de vexer ou en pensant que ça ne se dit pas. Cependant, en ne les disant pas, vous créez un tabou. Je vous partage mes réflexions sur le sujet à travers cet article.
favicon: https://emmanuelle-aboaf.netlify.app/blog/article/favicon-32x32.png
language: fr_FR

<p>
  Les mots ont un impact et pourtant ils ne sont pas utilisés en tant que tels.
</p>

<p>
  Le mot « handicapé·e » n’est pas un gros mot, pas plus que les mots « sourd·e
  » et « aveugle ». Malheureusement, certaines personnes n’osent pas les dire
  par peur de vexer ou pensent que ça ne se dit pas. Cependant, en ne les disant
  pas, vous créez un tabou.
</p>

<p>Or, il ne faut pas que les noms communs liés au handicap soient un tabou.</p>

<p>
  En ne nommant pas proprement le handicap de la personne, vous minimisez son
  handicap.
</p>

<p>Voici un exemple :</p>
<ul>
  <li>« Emmanuelle est atteinte de surdité »</li>
  <li>« Emmanuelle est développeuse, souffrante de surdité »</li>
  <li>« Emmanuelle a quelques problèmes d’audition »</li>
  <li>« Emmanuelle est malentendante »</li>
</ul>

<p>Laquelle de ces phrases est la bonne ?</p>

<p>Aucune.</p>

<p>Je vous explique.</p>

<p>
  Je ne suis pas atteinte de surdité et je ne souffre pas de surdité. La surdité
  n’est pas une maladie mais bien un handicap. Je ne suis pas malheureuse, je ne
  souffre pas puisque j’ai totalement accepté ma surdité. Ma surdité fait
  totalement partie de moi et de mon identité.
</p>

<p>
  Certaines personnes peuvent souffrir de leur handicap car elles n’ont pas
  accepté leur handicap ou la situation dans laquelle elles vivent puisqu'elles
  viennent de le découvrir. Avec le temps, généralement, elles acceptent et
  apprennent à vivre avec leur handicap.
</p>

<p>
  Je n'ai pas « quelques problèmes d'audition ». Cela voudrait dire que je ne
  suis sourde ni malentendante. Les problèmes d'audition sont souvent liés aux
  bouchons qui empêchent de bien entendre. En revanche, j'ai bien quelques
  problèmes de vue et je porte des lunettes mais je ne suis pas malvoyante et
  encore moins aveugle. Vous saisissez la différence ?
</p>

<p>
  Et enfin, je ne suis pas malentendante mais sourde. Il existe
  <a title="Consulter l'article La surdité et les causes de la perte auditive sur Ameli dans un nouvel onglet" href="https://www.ameli.fr/assure/sante/themes/perte-acuite-auditive/definition-causes" target="_blank" rel="noreferrer noopener">plusieurs types de surdité
    <i class="fa-solid fa-arrow-up-right-from-square" aria-hidden="true"></i></a>. Sans implants cochléaires, je suis totalement sourde, sourde comme un pot
  et je n’entends absolument rien. Un avion peut passer à côté de moi, je ne
  l’entendrai pas. Par contre, je peux sentir les vibrations générées par
  l’avion. La nuit, vous pouvez faire autant de bruits que vous voulez, ça ne me
  réveillera pas.
</p>
<p>
  Si vous dites que je suis malentendante, vous allez penser que j’entends bien
  avec mes implants cochléaires. Mais, en pensant ça, vous sous-estimez ma
  surdité. Vous penserez que je n’ai pas besoin d’aide, d’aménagement et que
  vous pouvez m’appeler au téléphone ou m'envoyer des messages vocaux parce que
  j'ai des implants cochléaires.
</p>
<p>
  Absolument pas. Je ne comprends rien au téléphone et je ne comprends pas les
  messages vocaux. Si vous ne mettez pas la caméra en visio, je ne pourrais pas
  lire sur vos lèvres. Si vous parlez trop vite ou si vous mettez la main devant
  votre bouche, je ne vous comprendrais pas non plus.
</p>
<p>
  Il y a une différence entre « entendre » et « comprendre ». J'entends certes
  grâce à mes appareils mais ça ne veut pas dire que je vous comprends
  forcément.
</p>
<p>
  Les mots ont un impact et, inconsciemment, quand vous ne les utilisez pas dans
  la bonne manière, vous minimisez mon handicap et donc vous faites moins
  d'effort que nécessaire.
</p>
<p>
  Autre point, dit-on « personne en situation en handicap » ou « personne
  handicapée ? »
</p>

<p>Là, encore, il y a une subtilité.</p>

<p>
  Je vais à un événement tech où les conférences ne sont pas sous-titrées. Je
  suis en situation de handicap puisque les conférences ne me sont pas du tout
  accessibles.
</p>
<p>
  Je vais à un événement tech où les conférences sont toutes sous-titrées. Je ne
  suis pas en situation de handicap puisque les conférences me sont totalement
  accessibles.
</p>
<p>
  Voici la différence. Être en situation de handicap, c’est subir la situation
  faute d’accessibilité.
</p>
<p>
  Je vous invite à lire ces deux articles qui l'expliquent très bien :
  <a href="https://informations.handicap.fr/a-choix-des-mots-5633.php" target="_blank" rel="noreferrer noopener" title="Consulter l'article Infirme à personne en situation de handicap : combat de mots sur handicap.fr dans un nouvel onglet">Infirme à personne en situation de handicap : combat de mots
    <i class="fa-solid fa-arrow-up-right-from-square" aria-hidden="true"></i></a>
  et
  <a href="https://www.quebec.ca/famille-et-soutien-aux-personnes/participation-sociale-personnes-handicapees/definition-personne-handicapee" target="_blank" rel="noreferrer noopener" title="Consulter l'article Définition du terme Personne handicapée sur quebec.ca dans un nouvel onglet">Définition du terme Personne handicapée au Québec
    <i class="fa-solid fa-arrow-up-right-from-square" aria-hidden="true"></i></a>
</p>

<p>
  Je vous invite également à consulter
  <a href="https://www.instagram.com/reel/C4a4L9YCY7b/?igsh=MW9oczlmdjR1dXVzcQ%3D%3D" target="_blank" rel="noreferrer noopener" title="Consulter la vidéo de CommonAccess Arrêtons avec ce terme situation de handicap sur Instagram dans un nouvel onglet">une vidéo de CommonAccess sur Instagram
    <i class="fa-solid fa-arrow-up-right-from-square" aria-hidden="true"></i></a>
  qui dénonce aussi le terme « personne en situation de handicap ». D'ailleurs,
  Cécile illustre bien son exemple avec « est-ce que je suis maman ou je suis
  une personne en situation de maternité ? ».
</p>

<p>
  Bien évidemment, si vous avez un handicap et que vous préférez vous définir
  par les termes « personne en situation de handicap », c'est votre droit et je
  le respecte. Mon choix est de dire que je suis handicapée.
</p>

<p>
  Oui, je suis une personne handicapée puisque la surdité fait partie de la
  famille du handicap. Pendant longtemps, je disais que je n'étais pas
  handicapée mais sourde parce que, pour moi, être handicapée, c’était une
  personne en fauteuil roulant ou une personne qui ne pouvait pas marcher.
  Malgré moi, j’avais ce biais jusqu’à ce que je comprenne que dire le mot
  handicap n’était pas un gros mot et que c’était OK de l’utiliser.
</p>

<p>
  Je suis sourde. Je suis également handicapée puisque je suis handicapée de mes
  oreilles.
</p>
<p>
  Quand je me présente, je dis toujours que je suis sourde. Je n'ai pas d'autres
  termes.
  <span class="font-bold"> Ce n'est pas à vous de me présenter autrement.</span>
  Si vous ne savez pas, demandez moi. Demandez à la personne concernée comment
  elle souhaite qu'on la présente.
</p>
<p>
  Ces mots n’ont pas de connotation négative. Quand une personne est handicapée,
  cela ne signifie pas qu’elle est forcément malheureuse. Il ne faut pas la
  plaindre parce qu’elle a un handicap. Ce n’est pas pour autant qu'elle est
  bien dans sa peau qu’il faut aussi minimiser son handicap.
</p>

<p>
  Il faut donc apprendre à banaliser ces mots et de ne pas en avoir peur. Ne pas
  avoir peur de les utiliser. Je vous invite à visionner
  <a href="https://www.radiofrance.fr/franceinter/podcasts/l-invite-de-9h10/le-7-9h30-l-interview-de-9h10-du-mardi-25-avril-2023-1107001" target="_blank" rel="noreferrer noopener" title="Consulter l'interview de Elisa Rojas sur France Inter dans un nouvel onglet">l’interview sur France Inter
    <i class="fa-solid fa-arrow-up-right-from-square" aria-hidden="true"></i></a>
  (qui est sous-titré) d’Elisa Rojas, avocate en droit et militante pour les
  droits des personnes handicapées, qui explique bien cette problématique.
</p>

<p>En conclusion, n'ayez pas peur d'utiliser les mots.</p>
