title: L’Observatoire des perspectives utopiques
url: https://lobsoco.com/perspectives-utopiques-vague-3/
hash_url: 7ed7f4aefae1b5af33b3ec1f607a633f
archive_date: 2024-01-24
og_image: https://lobsoco.com/wp-content/uploads/2022/03/Utopies-Vague-3.jpg
description: Avec le soutien de nos partenaires Accédez ci-dessous aux principaux enseignements (classés par thématiques) de l’Observatoire.
favicon: https://lobsoco.com/wp-content/uploads/2020/09/cropped-FAVICON-01-32x32.png
language: fr_FR

<h2>Explorer 3 modèles de société</h2>
<p>La première vague de l’Observatoire des perspectives utopiques a été réalisée en 2019. Notre désir d’explorer comment les Français se représentent une société idéale était né du sentiment que, le projet « moderne » ayant en quelque sorte rempli son contrat et révélant désormais surtout sa face sombre, les sociétés occidentales souffraient d’un manque d’idéaux, d’un déficit d’objectifs collectifs à atteindre, d’une panne du désir d’avenir.</p>
<p>Avec nos partenaires (l’ADEME, BPI France Le Lab et la Chaire ESCP – Bearing Point), nous avions donc élaboré une méthodologie d’enquête consistant à recueillir comment un échantillon représentatif de Français évaluaient trois « sociétés idéales » que nous avions élaborées à partir d’idées portées par des auteurs, des mouvements sociaux, des courants politiques… ainsi que leurs aspirations par rapport à différentes dimensions plus spécifiques de l’organisation de la société.</p>
<h2>Quel impact de la crise sanitaire sur les représentations de la société idéale ?</h2>
<p>Depuis, les Français, comme l’ensemble des habitants du monde, ont vécu un évènement inédit aux impacts majeurs : la crise sanitaire. La sidération qui nous a saisi face à la violence du choc, à la radicalité des mesures adoptées en réaction et au bouleversement des modes de vie qui l’a accompagné ont créé un contexte favorable à la réflexion sur le sens à donner à cet « évènement » et sur les conséquences qu’il convenait d’en déduire, tant sur l’organisation de la vie économique et sociale qu’à échelle individuelle des priorités à donner à l’existence. Les premiers mois de la crise sanitaire ont donné lieu à des débats prolifiques. Beaucoup se sont mis à penser (ou à espérer) que le « monde d’après » serait nécessairement différent du « monde d’avant ». Les enquêtes que nous menons à L’ObSoCo sur divers aspects des modes de vie et de consommation ont eu tendance à montrer que, hormis l’accélération de la numérisation des modes de vie et les effets de la diffusion du télétravail, le balancier du changement avait une forte tendance à revenir vers sa position initiale. Mais qu’en est-il des manières dont les Français se représentent une société idéale ?</p>
<p>L’expérience de la crise sanitaire a-t-elle conduit à des réaménagements des idéaux et des aspirations tels qu’ils étaient relevés en 2019 par l’Observatoire ?  C’est notamment pour répondre à cette question que, avec l’Ademe et BPI France Le Lab, nous avons décidé de relancer l’enquête, à l’identique de celle de 2019*, deux ans et demi plus tard, « à froid », alors que la phase de sidération est désormais derrière nous, que la pandémie – toujours là – fait moins de ravages depuis la vaccination massive et que nous avons appris à « vivre avec ».</p>
<ul>
<li>Une deuxième vague de l’enquête, centrée sur l’évaluation des 3 modèles de société, a été conduite en juin 2020, à la sortie du premier confinement.</li>
</ul>
<h2>Méthodologie</h2>
<p>Le terrain de cet Observatoire des perspectives utopiques a été mené du 17 au 27 janvier 2022 auprès d’un échantillon de 4000 personnes représentatives de la population française âgée de 18 à 75 ans. Le terrain s’est donc tenu avant le début de la guerre en Ukraine.</p>