title: Teaming is hard because you’re probably not really on a team
url: https://www.strategy-business.com/article/Teaming-is-hard-because-youre-probably-not-really-on-a-team
hash_url: 9b4b5364526390ba1db9c4a651ea8311
archive_date: 2024-01-29
og_image: https://www.strategy-business.com/media/image/44400500b_thumb5_690x400.jpg
description: Hybrid and remote work are complicating many of the collaborative challenges that were present long before the pandemic arrived.
favicon: https://www.strategy-business.com/media/image/favicon22-16x16.png
language: en_US

<p>We’ve been thinking a lot about teams lately. As more companies release formal policies around hybrid and remote work, leaders are telling us that remote work has made working together, or teaming, difficult and has frayed the culture of their organizations. Of course, many companies, including our own, PwC, have long embraced remote work, with great success. And if we listen carefully to the types of problems leaders and workers say they’re encountering with teaming, the reality is that most of these issues existed prior to the pandemic.</p>

<p>Many, if not most, workers are frustrated with the groups of people they work with. Leaders and members struggle with long hours, inefficient ways of working, lack of accountability, and frustrating group dynamics. The COVID-19 pandemic didn’t create a teaming crisis. It exposed deficiencies in the in-person model while introducing even more complexity.</p>

<p>In the course of our work with clients across various industries, we have identified several issues that contribute to this frustration. But the most basic one is this: in many cases, people are not and have never been on real teams, nor should they be.</p>

<h3>If not teams, then what?</h3>

<p>Teams don’t exist simply because someone puts some names in boxes on an org chart and assigns a leader. Quite the opposite. Teams exist for specific reasons and have specific supporting structures. Our colleague <a href="https://www.strategyand.pwc.com/gx/en/insights/katzenbach-center.html?utm_campaign=sbpwc&amp;utm_medium=site&amp;utm_source=articletext" target="_blank">Jon Katzenbach</a> defines a real team as a small group of people with complementary skills who are committed to a shared purpose, who succeed or fail together, and who hold one another accountable.</p>

<p>If you feel that your group is missing any one of these ingredients, you might not be part of a real team. This isn’t inherently a bad thing. But it does prompt the question: what should you call the group of people you work with every day?</p>

<p>We can typically break down collaboration groups into three types:</p>

<p><strong>• Real teams</strong> are all about solving the hardest, most complex problems. A diverse set of perspectives and skills is required to untangle these sorts of problems, for which there is no obvious solution. Members of a real team trust one another and work toward a common goal. Real teams are thoughtful. Team members argue, and they push one another to do better. Real teams require nimble leaders who prioritize building connections within the team. They create clear boundaries that reinforce a strong sense of trust. They have a shared purpose and clear norms. And, importantly, they produce a collective output. If you see a group of people focusing intently on solving a single, very complex problem, you’re probably looking at a real team.</p>

<p><strong>• Working groups</strong> are all about efficiency. Most people spend most of their productive time in working groups. We’ll say it again: there is nothing wrong with being in a working group. In fact, working groups are often best suited to the tasks at hand. Managers of working groups focus heavily on techniques to make their collaboration more efficient. Members assign work, share information, and complete tasks individually. Individual accountability is high; emotional commitment and sense of shared purpose are relatively low. If you see people execute a disciplined “five-minute stand-up,” they’re acting like a working group.</p>

<p><strong>• Teams-in-name-only</strong> are groups that claim to be a team, but lack emotional commitment and shared purpose. They are like working groups, but without the efficient processes and individual responsibility. Work gets done, but not always in the most efficient or effective manner. Being on a team-in-name-only requires neither discipline nor commitment, which typically makes it the default mode of working. If a team-in-name-only has a leader, she or he often has minimal leadership skills. Members of a team-in-name-only spend a lot of time talking about their own individual responsibilities, and team meetings become a series of one-on-one conversations between managers and their subordinates. If you aren’t having conversations about how you work, your objectives, and your commitments to the people you work with, there’s a good chance you are functioning as a team-in-name-only. The five-minute stand-up that lasts 90 minutes is a common characteristic of a team-in-name-only.</p>

<p>Although most people are told that they’re part of a team, the reality is that, more often than not, they’re members of a team-in-name-only.</p>

<h3>Why does work feel so much harder now?</h3>

<p>Consider how you probably would have solved a problem or worked through a crisis as recently as February 2020. The process probably would have begun with a manager saying, “Team, I think it’s going to be a long week,” and you and your fellow group members would have responded in kind. You would have rolled up your sleeves, found a place to serve as your war room, and figured out a way to get the task done. You might not have worked together in the most effective or satisfying way, but you would have worked hard and produced a result.</p>

<p>This is a quintessential team-in-name-only experience—a recipe for a result that is acceptable or even good, but not necessarily satisfying or great. As we flash forward to the present, many organizations still haven’t decided to work smarter. Rather, they’ve doubled down on this version of “non-teaming.” Here are two ways the team-in-name-only is manifested today:</p>

<div class="pullquote">
<p>The five-minute stand-up that lasts 90 minutes is a common characteristic of a team-in-name-only.</p>
</div>

<p><strong>1. Meeting bloat.</strong> When a leader avoids making decisions or it’s unclear who should be in the room, the default approach is to have more meetings or invite more people. But what happens when a meeting is no longer confined to a physical space? The ten people who used to max out the available seating in a small conference room can quickly turn into 50 people on a video call, most of whom are unsure of their role, why they were invited, or whether they could have declined the invitation.</p>

<p><strong>2. Excess use of email and chat.</strong> In a pre-pandemic world, managers and colleagues could complement these less-effective communication modes with in-person contact (whether it was planned or spontaneous). Now that in-person connections are not always available, we have overcorrected with a less-than-ideal technology solution.</p>

<p>Both of these outcomes have made work harder and are a direct result of not being deliberate about how to work as individuals and as a collective. So, what are some of the choices and decisions you need to make to be most effective in your work?</p>

<p><strong>Ask whether you need to function as a working group or a real team.</strong> Recognize that those two ways of working together look very different. It’s not impossible to switch between them. But it’s helpful to be clear which mode you’re using and why. Are the problems this group needs to solve sufficiently complex to warrant the expenditure of emotional energy it takes to build a real team? Is the expected output a collective effort that requires active problem-solving? Or is a high-functioning, efficient working group good enough?</p>

<p></p>

<p><strong>Shrink your group size.</strong> We’ve found that the ideal size for virtual teams is actually three individuals, potentially four if the leader isn’t a full-time member of the team. Having more people involved requires significant facilitation and strong norms in order for the group to be effective. Look at any meeting you host, and ask if everyone really needs to be involved. Working groups can often handle a larger size (six to eight participants), as long as the purpose of the meeting is well understood (e.g., information-sharing versus problem-solving).</p>

<p><strong>Make the implicit explicit.</strong> As your teams and groups add and lose members, it becomes necessary to reinforce norms. Don’t rely on informal means of reinforcing teaming behaviors. Be deliberate about discussing matters like when you communicate, how meetings will be run, and the expectations team members have of one another.</p>

<p>These suggestions aren’t silver bullets, but by making deliberate choices about how to collaborate, you can avoid the worst of both worlds: a bloated team-in-name-only that has unclear expectations. After identifying whether your work requires a real team or a working group, you can start taking advantage of remote and hybrid work’s benefits instead of constantly grappling with its downsides.</p>