title: Écrire ou coder l’éditorial
url: https://www.lobrassard.net/carnet/2024-03-22-ecrire-coder-editorial.html
hash_url: bb9ae7eeac8484bf3e675d196b8dc8b9
archive_date: 2024-03-25
og_image: https://www.lobrassard.net/img/couverture.png
description: Carnet de recherche de Louis-Olivier Brassard.
favicon: data:;base64,iVBORw0KGgo=
language: fr_FR

<p>À la <a href="https://www.ecrituresnumeriques.ca/" target="_blank" rel="external">Chaire de recherche du Canada sur les écritures numériques</a>, on travaille (notamment) sur la revue <a href="https://www.sens-public.org/"><cite>Sens public</cite></a>. Le défi du jour consistait à adapter la présentation d’extraits de poésie en grec ancien selon le contexte, ainsi qu’une numérotation des lignes sous forme d’annotation. Je ne connais rien au grec ancien ni à la poésie qui s’y rattache (et je me doute que c’est le cas pour bien des gens !), mais il me semble que la démarche éditoriale mise en pratique ici (qui consiste en un dialogue interdisciplinaire) mérite qu’on s’y intéresse un tout petit moment.</p>
<h2 id="lédition-systématique-des-distiques-élégiaques">L’édition (systématique) des distiques élégiaques</h2>
<p>Examinons un <em>distique élégiaque</em>, dont voici une source au format texte brut :</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode markdown"><code class="sourceCode markdown"><span id="cb1-1"><a href="#cb1-1" aria-hidden="true" tabindex="-1"></a>Νῦν μοι "Χαῖρε" λέγεις, ὅτε σου τὸ πρόσωπον ἀπῆλθεν  </span>
<span id="cb1-2"><a href="#cb1-2" aria-hidden="true" tabindex="-1"></a>  κεῖνο τὸ τῆς λύγδου, βάσκανε, λειότερον·  </span>
<span id="cb1-3"><a href="#cb1-3" aria-hidden="true" tabindex="-1"></a>νῦν μοι προσπαίζεις, ὅτε τὰς τρίχας ἠφάνικάς σου  </span>
<span id="cb1-4"><a href="#cb1-4" aria-hidden="true" tabindex="-1"></a>  τὰς ἐπὶ τοῖς σοβαροῖς αὐχέσι πλαζομένας.</span></code></pre></div>
<p>Le premier vers est en hexamètre, le deuxième est en pentamètre ; le troisième vers est en hexamètre, le quatrième en pentamètre ; etc. Il y a un patron : les <strong>vers impairs</strong> sont en <strong>hexamètre</strong> ; les <strong>vers pairs</strong> sont en <strong>pentamètre</strong> et devront de surcroît apparaître <strong>en retrait</strong>.</p>
<p>Au niveau du code, j’ai pensé systématiser la présentation visuelle pour toujours mettre en retrait les lignes paires d’un poème balisé comme tel. Seul hic : il est possible que les éditrices choisissent de tronquer un poème <strong>pour n’en montrer qu’un extrait</strong>, si bien qu’un style automatisant la mise en forme des lignes selon une règle de type pair/impair ne reflètera pas nécessairement la réalité. Il fallait donc que les éditrices puissent avoir la main sur la présentation des poèmes. <em>Faudrait-il leur donner la possibilité de mettre en retrait n’importe quel vers?</em></p>
<h2 id="wysiwym-à-la-rescousse">WYSIWYM à la rescousse</h2>
<p>La chaîne éditoriale de <cite>Sens public</cite> repose sur un processus de révision scientifique, mais aussi <strong>technique</strong>, et celui-ci commence à être éprouvé depuis de nombreuses années. Ce processus a pris la forme d’un projet de recherche : <a href="https://stylo.huma-num.fr/">Stylo</a>, un éditeur de texte pensé pour les sciences humaines.</p>
<p>La plateforme propose de saisir un corps de texte au format <strong>Markdown</strong>. Celui-ci sera traité avec le logiciel <a href="https://pandoc.org/"><code>pandoc</code></a>, créé par le philosophe John MacFarlane. Cela est bon à savoir, car le corps du texte pourra utiliser une syntaxe à la « saveur » de Pandoc. C’est précisément cette saveur qui nous permettra de baliser le texte avec des éléments qui seront pour nous <em>sémantiques</em>, suivant le paradigme du <em lang="en">what you see is what you mean</em> (<abbr title="What You See Is What You Mean" lang="en">WYSIWYM</abbr>) : écrivez, balisez explicitement ce que vous voulez dire.</p>
<div class="margin-note">
<aside>
<a href="https://pandoc.org/" target="_blank" rel="external">Pandoc</a> est un parseur de documents. C’est un logiciel utilisé en ligne de commande qui permet d’effectuer des conversions entre plusieurs formats de documents (<code>docx</code>, <code>LaTeX</code>, <code>markdown</code>, <code>txt</code>, etc.).
</aside>
</div>
<p>La mise en retrait des vers en pentamètre a une <strong>valeur sémantique</strong> : elle est contextuellement, sémantiquement liée à un type de vers bien spécifique (le <em>pentamètre</em>). Sauf qu’en édition, et éventuellement dans le contexte des <a href="https://gren.openum.ca/" rel="external"><em>éditions critiques</em></a>, mieux vaut prendre le problème à l’envers de « l’intuition visuelle » : ce n’est pas parce qu’un vers est indenté qu’il devient un pentamètre, <strong>mais c’est bien parce que c’est un pentamètre qu’il devra apparaître en retrait</strong>.</p>
<figure>
<img src="https://www.lobrassard.net/img/2024-03-22-distique-elegiaque-exemple.jpg" alt="Exemple de vers d’un distique élégiaque dans l’édition courante. Les lignes paires sont mises en retrait.">
<figcaption aria-hidden="true">Exemple de vers d’un distique élégiaque dans l’édition courante. Les lignes paires sont mises en retrait.</figcaption>
</figure>
<p>Plutôt que de permettre aux éditrices d’apporter une correction visuelle arbitraire et <em>ad hoc</em>, nous avons opté pour une forme de <strong>balisage sémantique</strong>. Ce qui a semblé naturel, c’était de marquer à l’aide d’un balisage simple et explicite ; en somme, de les <em>nommer</em>. Ainsi, en utilisant la fonctionnalité <a href="https://pandoc.org/MANUAL.html#extension-bracketed_spans"><code>bracked_spans</code></a> de Pandoc pour le Markdown (balisage de type <code>[texte]{.classe}</code>), nous pouvons marquer chaque ligne <em>explicitement</em> comme étant un hexamètre ou un pentamètre.</p>
<div class="sourceCode" id="cb2"><pre class="sourceCode markdown"><code class="sourceCode markdown"><span id="cb2-1"><a href="#cb2-1" aria-hidden="true" tabindex="-1"></a><span class="co">[</span><span class="ot">Lorem ipsum dolor sit amet si</span><span class="co">]</span>{.hexametre}  </span>
<span id="cb2-2"><a href="#cb2-2" aria-hidden="true" tabindex="-1"></a>  <span class="co">[</span><span class="ot">Vade ma vaecum</span><span class="co">]</span>{.pentametre}  </span>
<span id="cb2-3"><a href="#cb2-3" aria-hidden="true" tabindex="-1"></a><span class="co">[</span><span class="ot">Lorem ipsum dolor sit amet si</span><span class="co">]</span>{.hexametre}  </span>
<span id="cb2-4"><a href="#cb2-4" aria-hidden="true" tabindex="-1"></a>  <span class="co">[</span><span class="ot">Vade ma vaecum</span><span class="co">]</span>{.pentametre}  </span>
<span id="cb2-5"><a href="#cb2-5" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb2-6"><a href="#cb2-6" aria-hidden="true" tabindex="-1"></a><span class="co">&lt;!-- </span></span>
<span id="cb2-7"><a href="#cb2-7" aria-hidden="true" tabindex="-1"></a><span class="co">  Note: la «mise en retrait» effectuée dans le texte</span></span>
<span id="cb2-8"><a href="#cb2-8" aria-hidden="true" tabindex="-1"></a><span class="co">  source au format Markdown n'a aucun impact dans le rendu</span></span>
<span id="cb2-9"><a href="#cb2-9" aria-hidden="true" tabindex="-1"></a><span class="co">  final, et n'est utilisé qu'à titre de démonstration.</span></span>
<span id="cb2-10"><a href="#cb2-10" aria-hidden="true" tabindex="-1"></a><span class="co">--&gt;</span></span></code></pre></div>
<p>Grâce à cette syntaxe, nous avons indiqué un surcroît d’information <em>sans pour l’instant affecter le rendu visuel</em>. On rend ainsi possible la systématisation d’une (éventuelle) règle d’affichage en fonction du <strong>sens</strong>, de la <strong>sémantique du balisage</strong>.</p>
<h2 id="une-ligne-de-css-mais-non-la-moindre">Une ligne de CSS (mais non la moindre)</h2>
<p>La syntaxe utilisée pour baliser les vers n’a pas été choisie au hasard : elle permet d’indiquer une « <strong>classe</strong> » sur un passage du texte. Une classe fonctionne un peu comme un système d’étiquettes ou de catégories : chaque élément <em>balisé</em> du document peut en avoir une seule, ou plusieurs.</p>
<div class="margin-note">
<aside>
Il est possible de combiner les classes pour en avoir plus d’une sur un même passage. Dans notre cas d’étude, nous pourrions par exemple marquer chaque vers en pentamètre de deux classes : une classe <code>.vers</code> et une classe <code>.vers--pentametre</code>, ce qui donnerait le balisage <code>[vers du poème]{.vers.vers--pentametre}</code>.
</aside>
</div>
<p>Une classe permet d’appliquer un <strong>style</strong> de manière systématique pour tous les éléments qui ont cette classe. Pour les documents web, la <strong>présentation visuelle</strong> est décrite séparément de la <strong>structure du document</strong>, grâce aux feuilles de style au langage <abbr lang="en" title="Cascading Style Sheets">CSS</abbr>.</p>
<p>Pour régler l’affichage des pentamètres en retrait, voici le morceau de solution que je propose (les quelques lignes de code fonctionnel sont précédées de plusieurs lignes de prose qui éclairent le contexte) :</p>
<div class="sourceCode" id="cb3"><pre class="sourceCode css"><code class="sourceCode css"><span id="cb3-1"><a href="#cb3-1" aria-hidden="true" tabindex="-1"></a><span class="co">/**</span></span>
<span id="cb3-2"><a href="#cb3-2" aria-hidden="true" tabindex="-1"></a><span class="co"> * Dans l'édition des distiques élégiaques, une ligne</span></span>
<span id="cb3-3"><a href="#cb3-3" aria-hidden="true" tabindex="-1"></a><span class="co"> * en pentamètre est visuellement mise en retrait.</span></span>
<span id="cb3-4"><a href="#cb3-4" aria-hidden="true" tabindex="-1"></a><span class="co"> * </span></span>
<span id="cb3-5"><a href="#cb3-5" aria-hidden="true" tabindex="-1"></a><span class="co"> * Nous y appliquons une «marge» intérieure de `2em`</span></span>
<span id="cb3-6"><a href="#cb3-6" aria-hidden="true" tabindex="-1"></a><span class="co"> * (`1em` correspond à la largeur d'un cadratin).</span></span>
<span id="cb3-7"><a href="#cb3-7" aria-hidden="true" tabindex="-1"></a><span class="co"> * </span></span>
<span id="cb3-8"><a href="#cb3-8" aria-hidden="true" tabindex="-1"></a><span class="co"> * On utilise la propriété `margin-inline-start` pour</span></span>
<span id="cb3-9"><a href="#cb3-9" aria-hidden="true" tabindex="-1"></a><span class="co"> * appliquer le retrait en fonction de la direction</span></span>
<span id="cb3-10"><a href="#cb3-10" aria-hidden="true" tabindex="-1"></a><span class="co"> * naturelle du texte dans son contexte linguistique</span></span>
<span id="cb3-11"><a href="#cb3-11" aria-hidden="true" tabindex="-1"></a><span class="co"> * (de gauche à droite en français, mais cela pourrait</span></span>
<span id="cb3-12"><a href="#cb3-12" aria-hidden="true" tabindex="-1"></a><span class="co"> * être de droite à gauche en yiddish).</span></span>
<span id="cb3-13"><a href="#cb3-13" aria-hidden="true" tabindex="-1"></a><span class="co"> */</span></span>
<span id="cb3-14"><a href="#cb3-14" aria-hidden="true" tabindex="-1"></a><span class="fu">.pentametre</span> {</span>
<span id="cb3-15"><a href="#cb3-15" aria-hidden="true" tabindex="-1"></a>  <span class="kw">margin-inline-start</span>: <span class="dv">2</span><span class="dt">em</span><span class="op">;</span></span>
<span id="cb3-16"><a href="#cb3-16" aria-hidden="true" tabindex="-1"></a>}</span></code></pre></div>
<p>Et voilà !</p>
<figure>
<img src="https://www.lobrassard.net/img/2024-03-22-distique-elegiaque-style-retrait.jpg" alt="Résultat visuel d’un poème dont on a balisé les lignes en pentamètre (avec mise en retrait uniforme).">
<figcaption aria-hidden="true">Résultat visuel d’un poème dont on a balisé les lignes en pentamètre (avec mise en retrait uniforme).</figcaption>
</figure>
<h2 id="un-autre-défi-éditorial-la-numérotation-des-lignes">Un autre défi éditorial : la numérotation des lignes</h2>
<p>Les éditrices souhaitaient afficher le numéro de certaines lignes, comme cela se fait habituellement dans l’édition de ce type de texte (le <em>distique élégiaque</em>). La numérotation se fait aux lignes par bonds de cinq :</p>
<div class="sourceCode" id="cb4"><pre class="sourceCode markdown"><code class="sourceCode markdown"><span id="cb4-1"><a href="#cb4-1" aria-hidden="true" tabindex="-1"></a>Νῦν μοι "Χαῖρε" λέγεις, ὅτε σου τὸ πρόσωπον ἀπῆλθεν  </span>
<span id="cb4-2"><a href="#cb4-2" aria-hidden="true" tabindex="-1"></a>  κεῖνο τὸ τῆς λύγδου, βάσκανε, λειότερον·  </span>
<span id="cb4-3"><a href="#cb4-3" aria-hidden="true" tabindex="-1"></a>νῦν μοι προσπαίζεις, ὅτε τὰς τρίχας ἠφάνικάς σου  </span>
<span id="cb4-4"><a href="#cb4-4" aria-hidden="true" tabindex="-1"></a>  τὰς ἐπὶ τοῖς σοβαροῖς αὐχέσι πλαζομένας.  </span>
<span id="cb4-5"><a href="#cb4-5" aria-hidden="true" tabindex="-1"></a>μηκέτι μοι, μετέωρε, προσέρχεο μηδὲ συνάντα 5 <span class="co">&lt;!-- Numéro --&gt;</span>  </span>
<span id="cb4-6"><a href="#cb4-6" aria-hidden="true" tabindex="-1"></a>  ἀντὶ ῥόδου γὰρ ἐγὼ τὴν βάτον οὐ δέχομαι.  </span></code></pre></div>
<div class="margin-note">
<details open>
<summary>
Anti-exemple de numérotation
</summary>
<figure>
<img src="https://www.lobrassard.net/img/2024-03-22-distique-elegiaque-mauvaise-numerotation.jpg" alt="Exemple d’une mise en forme des numéros de ligne qu’on voudrait éviter : les numéros ne sont pas alignés (et ont sans doute été insérés à même le texte à citer). Anti-exemple envoyé par Mathilde V.">
<figcaption aria-hidden="true">Exemple d’une mise en forme des numéros de ligne qu’on voudrait éviter : les numéros ne sont pas alignés (et ont sans doute été insérés à même le texte à citer). Anti-exemple envoyé par Mathilde V.</figcaption>
</figure>
</details>
</div>
<p>Si les éditrices ajoutent le numéro de vers directement dans le texte, celui-ci apparaîtra au bout de la ligne, <em>comme s’il faisait partie du poème</em>. De plus, les vers n’ont pas la même largeur (ils n’ont pas la même métrique et le nombre de caractères est rarement le même) : les nombres ne seront pas alignés, ce qui n’est ni pratique ni visuellement harmonieux.</p>
<p>Solution ? Marquer l’intention de numérotation avec une balise « invisible » : un attribut <code>data-numerotation=""</code> inscrit sur la ligne que l’on souhaite numéroter. La numérotation des lignes se fait « manuellement », puisque ce sont souvent des extraits qui sont présentés et qui peuvent être tronqués.</p>
<div class="sourceCode" id="cb5"><pre class="sourceCode markdown"><code class="sourceCode markdown"><span id="cb5-1"><a href="#cb5-1" aria-hidden="true" tabindex="-1"></a><span class="co">&lt;!-- </span></span>
<span id="cb5-2"><a href="#cb5-2" aria-hidden="true" tabindex="-1"></a><span class="co">  La numérotation (qui prendra une mise en forme</span></span>
<span id="cb5-3"><a href="#cb5-3" aria-hidden="true" tabindex="-1"></a><span class="co">  particulière) sera appliquée sur la ligne qui est</span></span>
<span id="cb5-4"><a href="#cb5-4" aria-hidden="true" tabindex="-1"></a><span class="co">  marquée de l'attribut `data-numerotation`.</span></span>
<span id="cb5-5"><a href="#cb5-5" aria-hidden="true" tabindex="-1"></a><span class="co"> --&gt;</span></span>
<span id="cb5-6"><a href="#cb5-6" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb5-7"><a href="#cb5-7" aria-hidden="true" tabindex="-1"></a><span class="co">[</span><span class="ot">μηκέτι μοι, μετέωρε, προσέρχεο μηδὲ συνάντα</span><span class="co">]</span>{data-numerotation="15"}  </span>
<span id="cb5-8"><a href="#cb5-8" aria-hidden="true" tabindex="-1"></a>  ἀντὶ ῥόδου γὰρ ἐγὼ τὴν βάτον οὐ δέχομαι.  </span></code></pre></div>
<p>La <strong>mise en forme</strong>, traitée séparément de la structure logique du document, se fait aisément avec quelques propriétés <abbr lang="en" title="Cascading Style Sheets">CSS</abbr> :</p>
<ol type="1">
<li>afficher le numéro de la ligne depuis un attribut (une « métadonnée ») ;</li>
<li>conserver un espace minimal pour que le texte ne vienne jamais se coller au numéro ;</li>
<li>envoyer le numéro <em>à la fin de la ligne</em>, peu importe si nous sommes dans une langue qui s’écrit gauche à droite ou de droite à gauche ;</li>
<li>ajuster l’apparence pour distinguer visuellement (mais subtilement) la numérotation du reste du texte.</li>
</ol>
<div class="sourceCode" id="cb6"><pre class="sourceCode css"><code class="sourceCode css"><span id="cb6-1"><a href="#cb6-1" aria-hidden="true" tabindex="-1"></a><span class="co">/**</span></span>
<span id="cb6-2"><a href="#cb6-2" aria-hidden="true" tabindex="-1"></a><span class="co"> * L'attribut `data-numerotation=""` permet de</span></span>
<span id="cb6-3"><a href="#cb6-3" aria-hidden="true" tabindex="-1"></a><span class="co"> * renseigner le numéro d'une ligne.</span></span>
<span id="cb6-4"><a href="#cb6-4" aria-hidden="true" tabindex="-1"></a><span class="co"> * </span></span>
<span id="cb6-5"><a href="#cb6-5" aria-hidden="true" tabindex="-1"></a><span class="co"> * Usage (HTML):</span></span>
<span id="cb6-6"><a href="#cb6-6" aria-hidden="true" tabindex="-1"></a><span class="co"> * </span></span>
<span id="cb6-7"><a href="#cb6-7" aria-hidden="true" tabindex="-1"></a><span class="co"> * &lt;span data-numerotation="25"&gt;Une ligne d'un poème&lt;/span&gt;</span></span>
<span id="cb6-8"><a href="#cb6-8" aria-hidden="true" tabindex="-1"></a><span class="co"> */</span></span>
<span id="cb6-9"><a href="#cb6-9" aria-hidden="true" tabindex="-1"></a><span class="ex">[data-numerotation]</span><span class="in">::before</span> {</span>
<span id="cb6-10"><a href="#cb6-10" aria-hidden="true" tabindex="-1"></a>  <span class="co">/* </span></span>
<span id="cb6-11"><a href="#cb6-11" aria-hidden="true" tabindex="-1"></a><span class="co">    La propriété `content` des pseudo-éléments permet</span></span>
<span id="cb6-12"><a href="#cb6-12" aria-hidden="true" tabindex="-1"></a><span class="co">    d'afficher du contenu supplémentaire à l'écran,</span></span>
<span id="cb6-13"><a href="#cb6-13" aria-hidden="true" tabindex="-1"></a><span class="co">    mais sans faire partie du «contenu» du document.</span></span>
<span id="cb6-14"><a href="#cb6-14" aria-hidden="true" tabindex="-1"></a><span class="co">    Pour afficher le numéro entre parenthèses:</span></span>
<span id="cb6-15"><a href="#cb6-15" aria-hidden="true" tabindex="-1"></a><span class="co">    content: '(' attr(data-numerotation) ')';</span></span>
<span id="cb6-16"><a href="#cb6-16" aria-hidden="true" tabindex="-1"></a><span class="co">  */</span></span>
<span id="cb6-17"><a href="#cb6-17" aria-hidden="true" tabindex="-1"></a>  <span class="kw">content</span>: <span class="fu">attr(</span>data-numerotation<span class="fu">)</span><span class="op">;</span></span>
<span id="cb6-18"><a href="#cb6-18" aria-hidden="true" tabindex="-1"></a>  </span>
<span id="cb6-19"><a href="#cb6-19" aria-hidden="true" tabindex="-1"></a>  <span class="co">/* Conservons un espacement minimal avec le texte */</span></span>
<span id="cb6-20"><a href="#cb6-20" aria-hidden="true" tabindex="-1"></a>  <span class="kw">margin-inline-start</span>: <span class="dv">1</span><span class="dt">em</span><span class="op">;</span></span>
<span id="cb6-21"><a href="#cb6-21" aria-hidden="true" tabindex="-1"></a>  </span>
<span id="cb6-22"><a href="#cb6-22" aria-hidden="true" tabindex="-1"></a>  <span class="co">/* Le numéro «flotte» à la fin de la ligne */</span></span>
<span id="cb6-23"><a href="#cb6-23" aria-hidden="true" tabindex="-1"></a>  <span class="kw">float</span>: inline-end<span class="op">;</span></span>
<span id="cb6-24"><a href="#cb6-24" aria-hidden="true" tabindex="-1"></a>  </span>
<span id="cb6-25"><a href="#cb6-25" aria-hidden="true" tabindex="-1"></a>  <span class="co">/* Mise en forme qui distingue le numéro du corps */</span></span>
<span id="cb6-26"><a href="#cb6-26" aria-hidden="true" tabindex="-1"></a>  <span class="kw">opacity</span>: <span class="dv">.75</span><span class="op">;</span></span>
<span id="cb6-27"><a href="#cb6-27" aria-hidden="true" tabindex="-1"></a>}</span></code></pre></div>
<figure>
<img src="https://www.lobrassard.net/img/2024-03-22-distique-elegiaque-numerotation.jpg" alt="Résultat visuel d’un poème dont on a balisé la ligne pour la numérotation (ici, la ligne 5).">
<figcaption aria-hidden="true">Résultat visuel d’un poème dont on a balisé la ligne pour la numérotation (ici, la ligne 5).</figcaption>
</figure>
<p>Puisque nous utilisons un « pseudo-élément » pour afficher la numérotation (c’est-à-dire l’élément <code>::before</code>, qui n’est pas présent dans la source du document, mais qui est ajouté par le navigateur web au moment de la consultation), l’usager qui mettrait le texte en surbrillance avec sa souris pour le copier sélectionnera uniquement le texte, pas le numéro. Pratique !</p>
<figure>

<figcaption>
Démonstration du code dans un cadre embarqué (voir sur <a href="https://codepen.io/loupbrun/pen/qBwreMg" target="_blank" rel="external">CodePen</a>).
</figcaption>
</figure>
<h2 id="penser-les-besoins">Penser les besoins</h2>
<p>Bref, il s’agit de modéliser le mieux possible les <strong>besoins éditoriaux</strong> pour ensuite – <em>et seulement ensuite !</em> – réunir les ingrédients techniques. (On voit souvent le contraire arriver en pratique : on plaque des solutions existantes sans nécessairement tenir compte des spécificités propres à un problème, un contexte, une communauté.) Il existe souvent plusieurs solutions possibles, plusieurs morceaux de code différents qui produisent, à première vue, un effet similaire ; sauf que les démarches ne se valent pas toutes, et c’est justement en tenant compte du contexte particulier qu’on peut trouver chaussure à son pied (ou à celui des autres).</p>
