title: From a humble beginning 35 years ago, the Web is now central to the daily lives of billions
url: https://www.w3.org/blog/2024/from-a-humble-beginning-35-years-ago-the-web-is-now-central-to-the-daily-lives-of-billions/
hash_url: c684ecb41e8e4ea04c6dac1e1d87f776
archive_date: 2024-03-13
og_image: https://www.w3.org/assets/website-2021/images/w3c-opengraph-image.png
description: In this blog post, W3C CEO Seth Dobbs depicts how from a humble beginning 35 years ago, the Web is now central to the daily lives of billions of people.
favicon: https://www.w3.org/favicon.ico
language: en_US

<figure class="component component--image">
<img src="https://www.w3.org/cms-uploads/web-proposal-1989.gif" extension="gif" srcset="https://www.w3.org/cms-uploads/_360xAUTO_crop_center-center_none/web-proposal-1989.gif 360w, https://www.w3.org/cms-uploads/_580xAUTO_crop_center-center_none/web-proposal-1989.gif 580w, https://www.w3.org/cms-uploads/_920xAUTO_crop_center-center_none/web-proposal-1989.gif 920w, https://www.w3.org/cms-uploads/_1520xAUTO_crop_center-center_none/web-proposal-1989.gif 1520w"             sizes="100vw"
loading="lazy"
            alt=""
       />
<figcaption>
<p>Diagram illustrating "Information Management: A Proposal" by Tim Berners-Lee, 12 March 1989</p>
</figcaption>
</figure>

<blockquote class="component component--quote">
<p>
    “This proposal concerns the management of general information about accelerators and experiments at CERN. It discusses the problems of loss of information about complex evolving systems and derives a solution based on a distributed hypertext system.”
</p>
<footer>Tim Berners-Lee, &quot;Information Management: A Proposal&quot;, 12 March 1989</footer>
</blockquote>
<p>With those words, the World Wide Web was first <a href="https://www.w3.org/History/1989/proposal.html">proposed</a> on this day 35 years ago by Tim Berners-Lee at CERN.</p><p>Many inventions and creations often surpass their initial intention and the Web is no exception. The general applicability of the proposed solution to CERN’s problems was quickly apparent as many organizations and systems of people faced similar challenges.</p><p>The expanded applicability of the Web is due in large part to the creation of the World Wide Web Consortium 30 years ago. Tim Berners-Lee created a single organization to coordinate web standards, aiming to foster a consistent and interoperable architecture accommodating the rapid pace of progress in web standards. <strong>A single global Consortium that stewards the Web forward to serve the greater good</strong>.</p><p>Over the years, the Web and its underlying standards have<strong> evolved to provide solutions to emerging problems</strong> around the world. To name a few, the creation of the Web Accessibility Initiative (WAI) in 1997 was seminal to the deployment of content and sites that are accessible to all, including disabled people; the adoption in 1998 of the Internationalization (i18n) framework to adapt web technologies to the world’s various writing systems thus making the World Wide Web truly world-wide; but also advances that durably shaped the web platform such as Web payments enabling e-Commerce; secure, privacy-respecting and robust online experiences with WebAuthn, Decentralized Identifiers (DIDs), ActivityPub, etc.</p><p>To enable such progress, <strong>the Web Consortium too has evolved, always taking a people-first approach</strong>: the Web must continue to serve humanity. The first such inflection point was the creation of the patent policy in 2003 which assures that specifications can be implemented on a Royalty-Free basis and used at no cost, thus boosting adoption and usage. Another is the creation in 2011 of W3C Community and Business Groups which enable everyone –not just W3C Members– to participate in the development of the Web or its technologies. Our most recent inflection point was re-launching the Consortium in 2023 as a public-interest non-profit organization to work for the good of the public.</p><p>Along the way we have <strong>fine-tuned our standardization process</strong>, notably by enshrining horizontal review as a key aspect that puts people first: horizontal areas that shape each W3C work package are accessibility, internationalization, security and privacy. And recently a <a href="https://digitallibrary.un.org/record/4031373?ln=en">United Nations report</a> outlined how technical standards do impact people’s enjoyment of their human rights and challenged organizations like ours to ensure standards are more conducive to upholding human rights - a topic I’ll discuss in more detail in the future.</p><p>Looking to what is in front of us <strong>we are gathering to face new challenges</strong>. Technical challenges that are rooted in user needs and platform impact. In fact today we have ongoing sessions to discuss critical topics of our time, including ARIA and improved accessibility, the role of real world identities on the web, WoT registries, privacy principles for the web, ethical implications of Generative AI, and how we fund our ecosystem to ensure sustainable success into the future.</p><p><strong>From a humble beginning, the Web is now central to the daily lives of billions of people.</strong> W3C with its community is doing the hard but essential work to ensure we are facing challenges, and we continue to evolve our structure to better listen, to increase our reach to include more of the world in this discussion.</p>
