title: TousAntiCovid : vu depuis Codeureuses en Liberté
url: https://www.codeursenliberte.fr/blog/tous_anti_covid/
hash_url: ddc3ee3603be2702cef745c180b87776
archive_date: 2024-02-22
og_image: https://www.codeursenliberte.fr/logo.svg
description: TousAntiCovid a refait récemment l’actualité sur les montants de l’hébergement et les modalités d’attribution du marché.
favicon: https://www.codeursenliberte.fr/favicon.png
language: fr_FR

<p>TousAntiCovid a refait récemment l’<a href="https://www.huffingtonpost.fr/justice/article/application-stopcovid-la-justice-enquete-sur-des-soupcons-de-favoritisme_181078.html">actualité</a> sur les montants de l’hébergement et les modalités d’attribution du marché. À l’époque, Codeureuses en Liberté avait été approchée pour envisager la réalisation de cette application. On vous livre ici nos reflexions de l’époque.</p>
<p>Au début de l’épidémie de covid-19, il y a eu la croyance qu’une solution informatique pourrait être utile pour atténuer l’engorgement des hôpitaux grace au <a href="https://fr.wikipedia.org/wiki/Recherche_des_contacts">contact tracing (recherche de contacts)</a>. L’état français a donc voulu une application qui deviendrait <a href="https://fr.wikipedia.org/wiki/TousAntiCovid">TousAntiCovid</a> (initialement <em>StopCovid</em>).</p>
<p>En 2020, Codeureuses en Liberté est co-attributaire<sup id="fnref:1"></sup> d’un contrat cadre avec la <a href="https://www.numerique.gouv.fr/dinum/">Direction interministérielle du numérique (DINUM)</a><sup id="fnref:2"></sup>. Dans ce cadre, nous étions souvent intermédiaires d’autres indépendant·e·s qui intervenaient sur des <a href="https://beta.gouv.fr/startups/">startup d’état</a> de <em>beta.gouv.fr</em><sup id="fnref:3"></sup>.</p>
<p>Le 11 avril 2020, la DINUM nous contacte et s’ensuivent des discussions sur notre messagerie :</p>
<blockquote>
<p><cite>Tristram</cite><br>
Question assez importante : [notre contact à beta] demande quelle serait notre position sur porter les développement de l’app stop covid.<br>
À première vue, j’ai du mal à me convaincre qu’on obtiendra des garanties suffisantes sur le respect de la vie privée, de l’autre c’est peut-être l’occasion de forcer (dans le devis, vis-à-vis des sous-traitants) de s’assurer qu’il n’y aura aucune donnée stockée, que le développement soit libre depuis le jour 1.<br>
<code>@here</code> je me permet une notif, vu la complexité éthique du sujet et l’urgence (une réponse mardi serait souhaitée)</p>
<p><cite>Vincent</cite><br>
En fait j’aimerai bien avoir l’avis d’un infectiologue, je vois passer beaucoup de personnes sur les libertés publiques mais rien de l’avis de médecin.</p>
<p><cite>Pierre</cite><br>
Je pense qu’on peut peut-être faire légèrement moins pire que d’autres, mais que de toute manière, entre Google/Apple et le gouvernement, on aura une marge de manœuvre à peu près nulle.</p>
<p><cite>Vincent</cite><br>
J’ai l’impression qu’en refusant on se donne le beau rôle de «non ça c’est pas pour moi» mais bon on sait très bien qu’[une ESN] va le prendre derrière.</p>
<p><cite>Tristram</cite><br>
Il y a un risque de dérive et c’est là qu’on pourra ralentir, surtout en posant à chaque bon de commande des clauses et en étant très clair qu’on arrête tout si on dérive. Ce qui aurait l’avantage de ralentir pas mal, car ils devront retrouver d’autres personnes pour le faire.</p>
<p><cite>Nicolas</cite><br>
Si on fait juste du portage, on aura pas notre mot à dire sur le produit; est-ce que vous proposez qu’on lâche nos projets actuels pour nous consacrer à ça?</p>
<p><cite>Kheops</cite><br>
J’ai presque l’impression que le simple fait qu’on soit mis devant ce choix mérite déjà qu’on publie quelque chose à ce propos.</p>
<p><cite>Thibaut</cite><br>
L’application ne sera pas suffisante en elle-même pour juguler l’épidémie, ça serait trop beau. Mais elle peut être un outil efficace pour éviter des décès.<br>
L’application ne pourra pas ne pas exister, donc donnons lui le meilleur cadre de développement possible.<br>
Si elle devient obligatoire pour les possésseurs de smartphone, et que c’est finalement le consortium qui la développe, j’imagine qu’on aura des regrets.</p>
</blockquote>
<p>Après plein d’autres débats, de visios, nous avions fini par décider de participer en posant nos conditions. Voici l’email que nous nous préparions à envoyer.</p>
<blockquote>
<p>Nous exigeons de pouvoir communiquer publiquement (blog post sur notre site)sur  ce  projet dès la fin des débats parlementaires.</p>
<p>Le blog post reprendra les lignes rouges suivantes, qui amènerait à ne pas reconduire le portage et a publier le refus de continuer : L’application et le serveur ne doivent servir qu’à lutter contre l’épidémie de coronavirus.</p>
<p>On ne doit récolter que le minimum nécessaire de données. Aucun moyen de géolocalisation ne sera utilisé (par exemple GPS).</p>
<p>Aucun identifiant ni identité ne sera associée à l’application.</p>
<p>Les données sur le téléphone et sur le serveur ne seront conservées qu’une durée définie explicitement et argumentée (justifiée tant par l’état des connaissances médicales que par le besoin de respect de la vie privée).</p>
<p>Les données utilisateurs ne seront transmises sur le serveur central qu’avec une action explicite et informée de l’utilisateur.</p>
<p>Le code source intégral est publié sous une licence libre avant le déploiement et par la suite l’intégralité du processus de développement sera public.</p>
<p>L’installation de l’application ne doit pas être discriminante et donc ne doit ni être un devoir ni conditionner l’accès à des droits (tel que le droit de se déplacer librement, ou donner l’exclusivité de l’accès aux tests du CoVid-19).</p>
<p>L’appli ne doit pas embarquer de SDK d’analytics.</p>
<p>Elle passera le crible d’exodus privacy sans problème.</p>
</blockquote>
<p>Ces discussions — comme toute discussion collective sur un sujet complexe — ont pris du temps. Cela n’a pas été facilité par la coordination avec le groupement, la DINUM et surtout l’évocation d’un accord de confidentialité. Au moment où nous allions envoyer cet email, nous apprenions que le projet était finalement confié au <a href="https://www.capgemini.com/fr-fr/actualites/communiques-de-presse/stopcovid/">consortium de l’angoisse</a> qui inclut Capgemini, Orange, Dassault Systèmes, Withing, d’autres structures privées et publiques, et, « dans l’écosystème », Atos, Accenture, Thalès ou encore Sopra Steria.</p>
<p>Il n’y a pas vraiment de conclusion à tout ça. Nous avons été témoins, par le petit bout de la lorgnette, du tout début de cette histoire; nous avons imaginé un instant avoir l‘opportunité, ou le devoir, d’y faire quelque chose. Finalement, nous n’avons jamais vraiment donné notre avis. 🤷</p>
