title: Interaction as Content
url: https://gist.github.com/loreanvictor/bddd8824c744024d338e935bd7e96707
hash_url: e401917f8e9785285afed817e5344443
archive_date: 2024-03-01
og_image: https://github.githubassets.com/assets/gist-og-image-54fd7dc0713e.png
description: Interaction as Content. GitHub Gist: instantly share code, notes, and snippets.
favicon: https://github.githubassets.com/favicons/favicon.png
language: en_US

<article class="markdown-body entry-content container-lg" itemprop="text"><div class="markdown-heading" dir="auto"><h1 class="heading-element" dir="auto">Can We Get More Decentralised Than The Fediverse?</h1><a id="user-content-can-we-get-more-decentralised-than-the-fediverse" class="anchor-element" aria-label="Permalink: Can We Get More Decentralised Than The Fediverse?" href="#can-we-get-more-decentralised-than-the-fediverse"><svg class="octicon octicon-link" viewbox="0 0 16 16" version="1.1" aria-hidden="true"><path d="m7.775 3.275 1.25-1.25a3.5 3.5 0 1 1 4.95 4.95l-2.5 2.5a3.5 3.5 0 0 1-4.95 0 .751.751 0 0 1 .018-1.042.751.751 0 0 1 1.042-.018 1.998 1.998 0 0 0 2.83 0l2.5-2.5a2.002 2.002 0 0 0-2.83-2.83l-1.25 1.25a.751.751 0 0 1-1.042-.018.751.751 0 0 1-.018-1.042Zm-4.69 9.64a1.998 1.998 0 0 0 2.83 0l1.25-1.25a.751.751 0 0 1 1.042.018.751.751 0 0 1 .018 1.042l-1.25 1.25a3.5 3.5 0 1 1-4.95-4.95l2.5-2.5a3.5 3.5 0 0 1 4.95 0 .751.751 0 0 1-.018 1.042.751.751 0 0 1-1.042.018 1.998 1.998 0 0 0-2.83 0l-2.5 2.5a1.998 1.998 0 0 0 0 2.83Z"></path></svg></a></div>
<p dir="auto">I guess that the <a href="https://en.wikipedia.org/wiki/Fediverse" rel="nofollow">fediverse</a> will be as decentralised as email: a bit, but not that much. Most people will be dependent on a few major hubs, some groups might have their own hubs (e.g. company email servers), personal instances will be pretty rare. This is in contrast to personal blogging, where every Bob can easily host their own (and they often do). I mean that's already implied by the name: fediverse is <a href="https://en.wikipedia.org/wiki/Distributed_social_network#:~:text=Differences%20between%20distributed%20and%20federated%20networks,-See%20also%3A%20peer&amp;text=Both%20kind%20of%20networks%20are,has%20no%20center%20at%20all" rel="nofollow">a federated universe, not a distributed one</a>.</p>
<p dir="auto">Why does this matter? Well I like not being dependent on one entity, but I would like it much more if I was dependent on no entities at all. In other words, I like to publish my own personal blog and get all the goodies of a social network, without being dependent on other micro-blogging / social content platforms.</p>
<p dir="auto">So in this writing, I'm going to:</p>
<ul dir="auto">
<li>❓ Contemplate on why the fediverse gets federated not distributed <em>(spoilers: its push vs pull)</em></li>
<li>🧠 Ideate on how could we get a distributed social system <em>(spoilers: by extending RSS)</em></li>
<li>🛠️ Reflect on how would that look in practice <em>(spoilers: kinda weird, but I think doable?)</em></li>
</ul>
<br>

<p dir="auto">Ok first, what do I mean by saying "the fediverse is federated not distributed" or "its not decentralised enough"? Well I see  three levels of decentralisation (relevant here):</p>
<ul dir="auto">
<li>🏦 Fully central, i.e. one center (e.g. twitter servers)</li>
<li>🇪🇺 Federated, i.e. multiple centers (e.g. the fediverse, email servers)</li>
<li>🏴‍☠️ Distributed, i.e. no centers (e.g. personal blogging)</li>
</ul>
<p dir="auto">Why does fediverse leans towards the second? Because it is a <em>push-based</em> model: You need to push your content to whomever is interested, instead of just making it available for interested people to <em>pull it on their own</em>. It is the same as email, where you (or your email server) need to deliver each email to all recipients (by talking to each of their email servers). Those email servers also need to recognise and trust you too, which makes the whole network even more <em>federated</em>.</p>
<blockquote>
<p dir="auto"><strong>💡 Example</strong></p>
<p dir="auto">Assume <strong>Bob</strong> wants to post something, <strong>Alice</strong>, <strong>Carol</strong> and <strong>Malorey</strong> would like to read it. In the fediverse (or a push-based system), the following happens:</p>
<pre><code>Bob posts, then:
Bob --[notifies]--&gt; Alice.
Bob --[notifies]--&gt; Carol.
Bob --[notifies]--&gt; Malorey.
</code></pre>
<p dir="auto">In a pull-based system, like personal blogging with <a href="https://en.wikipedia.org/wiki/RSS" rel="nofollow">RSS</a> feeds, this happens instead:</p>
<pre><code>Bob posts, then:
Alice   --[queries]--&gt; Bob.
Carol   --[queries]--&gt; Bob.
Malorey --[queries]--&gt; Bob.
</code></pre>
</blockquote>
<p dir="auto">👆 In the pull-based system, more work in the end is required (when should <strong>Alice</strong> query <strong>Bob</strong>? Also <strong>Bob</strong> needs to respond to the query, though thats super easy as it is static responses), but the work is better distributed, lowering the maximum amount of work someone has to do (in this case, <strong>Bob</strong>). Which means they need fewer resources to participate, which means more decentralised participation.</p>
<p dir="auto">Also trust plays a role here: in a push-based system, <strong>Bob</strong> needs to be allowed to notify <strong>Alice</strong>, <strong>Carol</strong> and <strong>Malorey</strong>, which further restricts free-form participation. In a pull-based system though, <strong>Bob</strong> doesn't even know about <strong>Alice</strong>, <strong>Carol</strong> and <strong>Malorey</strong>, meaning anyone can participate more freely.</p>
<br>

<p dir="auto">Ok before getting to a solution for a <em>pull-based</em> (and subsequently, more decentralised) social networking solution, I'd like to take a moment to consider all the pros and cons of the two approaches. We can do that without considering particulars of solutions and protocols, since the essential differences are all about the <em>push vs pull</em> content distribution model.</p>
<div class="markdown-heading" dir="auto"><h3 class="heading-element" dir="auto">🏴‍☠️ Pull: More Decentralised</h3><a id="user-content-️-pull-more-decentralised" class="anchor-element" aria-label="Permalink: 🏴‍☠️ Pull: More Decentralised" href="#%EF%B8%8F-pull-more-decentralised"><svg class="octicon octicon-link" viewbox="0 0 16 16" version="1.1" aria-hidden="true"><path d="m7.775 3.275 1.25-1.25a3.5 3.5 0 1 1 4.95 4.95l-2.5 2.5a3.5 3.5 0 0 1-4.95 0 .751.751 0 0 1 .018-1.042.751.751 0 0 1 1.042-.018 1.998 1.998 0 0 0 2.83 0l2.5-2.5a2.002 2.002 0 0 0-2.83-2.83l-1.25 1.25a.751.751 0 0 1-1.042-.018.751.751 0 0 1-.018-1.042Zm-4.69 9.64a1.998 1.998 0 0 0 2.83 0l1.25-1.25a.751.751 0 0 1 1.042.018.751.751 0 0 1 .018 1.042l-1.25 1.25a3.5 3.5 0 1 1-4.95-4.95l2.5-2.5a3.5 3.5 0 0 1 4.95 0 .751.751 0 0 1-.018 1.042.751.751 0 0 1-1.042.018 1.998 1.998 0 0 0-2.83 0l-2.5 2.5a1.998 1.998 0 0 0 0 2.83Z"></path></svg></a></div>
<p dir="auto">As mentioned above, making content available for interested parties to pull needs waay less resources than pushing your content onto them (either they do the work, or you do it for them). It also requires less trust and gatekeeping, so anyone can easily participate with their own nodes, servers, CDNs, whatever.</p>
<div class="markdown-heading" dir="auto"><h3 class="heading-element" dir="auto">⚙️ Pull: Granular Access Control</h3><a id="user-content-️-pull-granular-access-control" class="anchor-element" aria-label="Permalink: ⚙️ Pull: Granular Access Control" href="#%EF%B8%8F-pull-granular-access-control"><svg class="octicon octicon-link" viewbox="0 0 16 16" version="1.1" aria-hidden="true"><path d="m7.775 3.275 1.25-1.25a3.5 3.5 0 1 1 4.95 4.95l-2.5 2.5a3.5 3.5 0 0 1-4.95 0 .751.751 0 0 1 .018-1.042.751.751 0 0 1 1.042-.018 1.998 1.998 0 0 0 2.83 0l2.5-2.5a2.002 2.002 0 0 0-2.83-2.83l-1.25 1.25a.751.751 0 0 1-1.042-.018.751.751 0 0 1-.018-1.042Zm-4.69 9.64a1.998 1.998 0 0 0 2.83 0l1.25-1.25a.751.751 0 0 1 1.042.018.751.751 0 0 1 .018 1.042l-1.25 1.25a3.5 3.5 0 1 1-4.95-4.95l2.5-2.5a3.5 3.5 0 0 1 4.95 0 .751.751 0 0 1-.018 1.042.751.751 0 0 1-1.042.018 1.998 1.998 0 0 0-2.83 0l-2.5 2.5a1.998 1.998 0 0 0 0 2.83Z"></path></svg></a></div>
<p dir="auto">In a push-based protocol, the protocol needs to somewhat have a concept of who can push what to whom, meaning anything built on top of it needs to conform to that design (e.g. <a href="https://en.wikipedia.org/wiki/ActivityPub" rel="nofollow">ActivityPub</a> defines concepts of blocking, accepting follow requests, etc.).</p>
<p dir="auto">A pull-based system doesn't need to think about access control at all. Anyone can do whatever weird form of access control they want on the content they've made available. You can publish some of your activity to some public feed while publishing some others to some more private feed with friends or co-workers access.</p>

<p dir="auto">Its kind of obvious, if content isn't pushed, it is not circulated as fast (e.g. realtime). This might be ok for some stuff, and not for others (direct messaging kind of loses its meaning in a pull-based system, for example).</p>
<div class="markdown-heading" dir="auto"><h3 class="heading-element" dir="auto"><g-emoji class="g-emoji" alias="arrow_up_down">↕️</g-emoji> Push: Native Model of Two-way Interactions</h3><a id="user-content-️-push-native-model-of-two-way-interactions" class="anchor-element" aria-label="Permalink: ↕️ Push: Native Model of Two-way Interactions" href="#%EF%B8%8F-push-native-model-of-two-way-interactions"><svg class="octicon octicon-link" viewbox="0 0 16 16" version="1.1" aria-hidden="true"><path d="m7.775 3.275 1.25-1.25a3.5 3.5 0 1 1 4.95 4.95l-2.5 2.5a3.5 3.5 0 0 1-4.95 0 .751.751 0 0 1 .018-1.042.751.751 0 0 1 1.042-.018 1.998 1.998 0 0 0 2.83 0l2.5-2.5a2.002 2.002 0 0 0-2.83-2.83l-1.25 1.25a.751.751 0 0 1-1.042-.018.751.751 0 0 1-.018-1.042Zm-4.69 9.64a1.998 1.998 0 0 0 2.83 0l1.25-1.25a.751.751 0 0 1 1.042.018.751.751 0 0 1 .018 1.042l-1.25 1.25a3.5 3.5 0 1 1-4.95-4.95l2.5-2.5a3.5 3.5 0 0 1 4.95 0 .751.751 0 0 1-.018 1.042.751.751 0 0 1-1.042.018 1.998 1.998 0 0 0-2.83 0l-2.5 2.5a1.998 1.998 0 0 0 0 2.83Z"></path></svg></a></div>
<p dir="auto">A push-based system is all about two-way interactions: X pushes something onto Y. A pull-based system breaks that down to individual interactions: X posts something, Y pulls something.</p>
<p dir="auto">Because push models two-way interactions, it acts much better on content circulation which can be modelled as two-way interaction. For example, if <strong>Alice</strong> comments on <strong>Bob</strong>'s post, in a push-based system that is the same as <strong>Bob</strong> posting something and notifying <strong>Alice</strong>. In a pull-based system though, <strong>Bob</strong> needs to query everyone who he knows and might've said something, to check whether what they've said is a comment on his post or not. Which is orders of magnitude more difficult.</p>

<p dir="auto">Beyond content delivery that can be modelled as two-way interactions (e.g. comments, quotes, etc), both designs are lacking in the content discovery area in a broader sense, and in both cases you'd need to have third-party aggregators / crawlers / search services for that, similar to what search engines do for the distributed world of web pages.</p>
<p dir="auto">While kind of independent, such discovery is an essential part of any such social network (a social network without explore, recommendation, tags, communities, etc. is just a messaging service). Any solution for this discovery issue will naturally fill-in the discovery gaps of pull vs push based systems.</p>
<p dir="auto">In other words, if we were to practically build a pull-based system, we'd need some aggregators / search providers, which would also tell <strong>Bob</strong> who have reacted to their post, though in a push-based system <strong>Bob</strong> wouldn't be dependent on these fellas to get the answer to that question.</p>
<br>

<p dir="auto">Assuming all those trade-offs are worth the benefits of a pull-based system, what would it look like? Well the best place to start is <a href="https://en.wikipedia.org/wiki/RSS" rel="nofollow">RSS</a>, since it is the defacto standard of syndicating and circulating content in a pull-based design:</p>
<ul dir="auto">
<li>Its been iterated upon and polished for that specific puporse,</li>
<li>It has tons of tools and clients already (RSS readers, etc),</li>
<li>A ton of content already in circulation supports RSS (Youtube, Reddit, Medium, most podcasts, most personal blogs and news outlets, etc).</li>
</ul>
<p dir="auto">What is missing here? Well social media are generally successful mostly by lowering the barriers of content creation, an important part of which is making it super easy to create content through interacting with some other existing content.</p>
<p dir="auto">We can bring that into RSS by treating <em><strong>any interaction as content</strong></em>. If you post something, thats an entry in your feed (as before). If you comment on something, thats also an entry in your feed. If you like something, thats another entry in your feed. If you follow someone (which would mean subscribing to some RSS feed), thats also another entry in your feed. To mark that interactive nature of some feed entry, we can simple extend RSS a bit:</p>
<div class="highlight highlight-text-xml" dir="auto"><pre>&lt;<span class="pl-ent">item</span>&gt;
    &lt;<span class="pl-ent">title</span>&gt;Comment on "Exploring New Technologies"&lt;/<span class="pl-ent">title</span>&gt;
    &lt;<span class="pl-ent">link</span>&gt;http://www.my.blog/posts/456&lt;/<span class="pl-ent">link</span>&gt;
    &lt;<span class="pl-ent">description</span>&gt;This is bullshit man, you've missed a ton of nuance in this analysis.&lt;/<span class="pl-ent">description</span>&gt;
    &lt;<span class="pl-ent">pubDate</span>&gt;Mon, 21 Feb 2024 14:34:56 GMT&lt;/<span class="pl-ent">pubDate</span>&gt;
    &lt;<span class="pl-ent">guid</span> <span class="pl-e">isPermaLink</span>=<span class="pl-s"><span class="pl-pds">"</span>true<span class="pl-pds">"</span></span>&gt;http://www.my.blog/posts/456&lt;/<span class="pl-ent">guid</span>&gt;
    &lt;<span class="pl-ent">social</span><span class="pl-ent">:</span><span class="pl-ent">context</span> <span class="pl-e">type</span>=<span class="pl-s"><span class="pl-pds">"</span>comment<span class="pl-pds">"</span></span> <span class="pl-e">url</span>=<span class="pl-s"><span class="pl-pds">"</span>http://www.other.blog/posts/123<span class="pl-pds">"</span></span>&gt;
        &lt;<span class="pl-ent">item</span>&gt;
            &lt;<span class="pl-ent">title</span>&gt;Exploring New Technologies&lt;/<span class="pl-ent">title</span>&gt;
            &lt;<span class="pl-ent">link</span>&gt;http://www.other.blog/posts/123&lt;/<span class="pl-ent">link</span>&gt;
            &lt;<span class="pl-ent">guid</span> <span class="pl-e">isPermaLink</span>=<span class="pl-s"><span class="pl-pds">"</span>true<span class="pl-pds">"</span></span>&gt;http://www.other.blog/posts/123&lt;/<span class="pl-ent">guid</span>&gt;
            &lt;<span class="pl-ent">pubDate</span>&gt;Mon, 21 Feb 2024 12:34:56 GMT&lt;/<span class="pl-ent">pubDate</span>&gt;
        &lt;/<span class="pl-ent">item</span>&gt;
    &lt;/<span class="pl-ent">social</span><span class="pl-ent">:</span><span class="pl-ent">context</span>&gt;
&lt;/<span class="pl-ent">item</span>&gt;</pre></div>
<p dir="auto">For easier discussion, I'll refer to this schematic extension as <strong>RISS</strong> (think of it as Really Intuitive Social Syndication, or any other acronym of your liking).</p>
<br>

<p dir="auto">Ok that's cool and all, but would it really make sense to build products and platforms around such a protocol, if it existed? Would such products and platforms provide tangible user benefits? I think so, though I'm not sure to what extent.</p>
<div class="markdown-heading" dir="auto"><h3 class="heading-element" dir="auto">✨ Anything, Anywhere, All at Once</h3><a id="user-content--anything-anywhere-all-at-once" class="anchor-element" aria-label="Permalink: ✨ Anything, Anywhere, All at Once" href="#-anything-anywhere-all-at-once"><svg class="octicon octicon-link" viewbox="0 0 16 16" version="1.1" aria-hidden="true"><path d="m7.775 3.275 1.25-1.25a3.5 3.5 0 1 1 4.95 4.95l-2.5 2.5a3.5 3.5 0 0 1-4.95 0 .751.751 0 0 1 .018-1.042.751.751 0 0 1 1.042-.018 1.998 1.998 0 0 0 2.83 0l2.5-2.5a2.002 2.002 0 0 0-2.83-2.83l-1.25 1.25a.751.751 0 0 1-1.042-.018.751.751 0 0 1-.018-1.042Zm-4.69 9.64a1.998 1.998 0 0 0 2.83 0l1.25-1.25a.751.751 0 0 1 1.042.018.751.751 0 0 1 .018 1.042l-1.25 1.25a3.5 3.5 0 1 1-4.95-4.95l2.5-2.5a3.5 3.5 0 0 1 4.95 0 .751.751 0 0 1-.018 1.042.751.751 0 0 1-1.042.018 1.998 1.998 0 0 0-2.83 0l-2.5 2.5a1.998 1.998 0 0 0 0 2.83Z"></path></svg></a></div>
<p dir="auto">The most immediate benefit will be that users can get access to a lot of social content all in one place. At a basic level, this is like a nice RSS reader where you get all your news, with added engagement of being able to interact with the content.</p>
<p dir="auto">At a deeper level though, this means you can <em><strong>find</strong></em> almost everything in one place. Most of content streams on the internet support RSS (YouTube, Medium, Reddit, podcasts, etc.). Producing RSS feeds is also relatively cheap, so content not supporting it can also <a href="https://gist.github.com/thefranke/63853a6f8c499dc97bc17838f6cedcc2">be cheaply bridged</a>. Top that with a nice search / aggregator, and you've effectively made the borders between various communities disappear for your users (I don't need to follow someone on YouTube to miss their content on Twitch. I can follow them anywhere in one place).</p>
<div class="markdown-heading" dir="auto"><h3 class="heading-element" dir="auto">👁️‍🗨️ Separation of Speech and Reach</h3><a id="user-content-️️-separation-of-speech-and-reach" class="anchor-element" aria-label="Permalink: 👁️‍🗨️ Separation of Speech and Reach" href="#%EF%B8%8F%EF%B8%8F-separation-of-speech-and-reach"><svg class="octicon octicon-link" viewbox="0 0 16 16" version="1.1" aria-hidden="true"><path d="m7.775 3.275 1.25-1.25a3.5 3.5 0 1 1 4.95 4.95l-2.5 2.5a3.5 3.5 0 0 1-4.95 0 .751.751 0 0 1 .018-1.042.751.751 0 0 1 1.042-.018 1.998 1.998 0 0 0 2.83 0l2.5-2.5a2.002 2.002 0 0 0-2.83-2.83l-1.25 1.25a.751.751 0 0 1-1.042-.018.751.751 0 0 1-.018-1.042Zm-4.69 9.64a1.998 1.998 0 0 0 2.83 0l1.25-1.25a.751.751 0 0 1 1.042.018.751.751 0 0 1 .018 1.042l-1.25 1.25a3.5 3.5 0 1 1-4.95-4.95l2.5-2.5a3.5 3.5 0 0 1 4.95 0 .751.751 0 0 1-.018 1.042.751.751 0 0 1-1.042.018 1.998 1.998 0 0 0-2.83 0l-2.5 2.5a1.998 1.998 0 0 0 0 2.83Z"></path></svg></a></div>
<p dir="auto">This benefit hinges on adoption so is not immediate, and might not be that great as well. But, with such a model, publishing is completely separated from distribution, meaning no one can bar anyone from publishing and their direct subscribers receiving their content (except the ISPs?). However, anyone can refuse to help distribute anything they don't like, as this is not in anyway hindering publishing of said content, and there is no exclusivity on distribution as well.</p>
<p dir="auto">In contrast, in a centralised system, publishing and distribution are entangled, and distribution is done exlusively by the central platform operator as well, meaning them choosing "not to promote" is the borderline the same as "not allowing to be published". Even in a federated system, a server might decide they don't want to allow me to push content to my followers on that server anymore, effectively cutting off access.</p>
<p dir="auto">Now I know people are going to complain regardless, but I do feel this separation is important for regulating such online spaces. Furthermore, I think such neat separation plays a great role in the financials of content generation as well, the same way that the distribution that lead to anyone with their own website accessible through search engines also lead to new, more open monetisation models (that are of course not without their flaws).</p>
<br>

<p dir="auto">It actually might be possible to get more decentralised than the fediverse, via a simple extension on RSS. It might not be worth it since there will be sacrifices, but there will also be gains, so it might. And the end result might be a faster growing decentralised network as it can already incorporate much more popular content and creators, with also much lower barrier to entry and cleaner seperation of concerns and responsibilities.</p>
<p dir="auto">I' personally pretty busy right now, but when I get time, I think I will start exploring the potential of RISS a bit more.</p>
</article>
