title: Redeployment Part Three
url: https://brr.fyi/posts/redeployment-part-three
hash_url: e8748af541273328d9aa9f1aeb1087b2
archive_date: 2024-01-21
og_image: https://brr.fyi/media/redeployment-part-three/redeployment-part-three-icon.jpg
description: Departing Antarctica after 446 days on-ice. Relaxing in Christchurch, then heading home. What an adventure!
favicon: https://brr.fyi/favicon-32x32.png
language: en_US

<p><em>This is the third and final part of a three-part series. Check out
    <a href="https://brr.fyi/posts/redeployment-part-one">part one</a> and <a href="https://brr.fyi/posts/redeployment-part-two">part two</a> if you haven’t already!</em></p>
<hr>
<p>Hello and welcome back! We’re going to pick up right where we left off.
  In <a href="https://brr.fyi/posts/redeployment-part-two">Redeployment Part Two</a>, we got our first flight of the season and handed over
  responsibilities to the summer crew. Then, finally, I departed South Pole for McMurdo.</p>
<h1 id="back-in-mcmurdo">Back in McMurdo</h1>
<p>After just over 3 hours in the air, our plane landed at Williams Field in McMurdo and parked for the “night”:</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/lc130-mcmurdo-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/lc130-mcmurdo-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/lc130-mcmurdo-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/lc130-mcmurdo-01-small.jpg" alt="LC-130 McMurdo 01">
    </picture>
    <em>Our LC-130 parked at McMurdo.</em>
  </a>
</p>
<p>There are no direct flights from Pole to Christchurch – everyone connects through McMurdo.</p>
<p>Most of the time, people departing Pole have to spend a few hours or even a few days in McMurdo. This is
  based on flight schedules and delays. Efforts to schedule “straight through” flights, where you transfer to
  a Christchurch-bound plane right on the airfield, are usually thwarted by weather or other factors. Sometimes
  it works out, but most of the time it does not.</p>
<p>In our case, we were scheduled to depart McMurdo the following afternoon, which meant spending the night.</p>
<p>Our ride from Williams Field into McMurdo was a “Delta”. These are McMurdo’s oldest still-operating passenger
  vehicles. The ride into town was about 40 minutes.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/delta-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/delta-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/delta-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/delta-01-small.jpg" alt="Delta 01">
    </picture>
    <em>Our ride into town for the night -- one of McMurdo's oldest personnel
      transport vehicles, known as a "Delta".</em>
  </a>
</p>
<p>When we landed in McMurdo, we started breathing sea-level air for the first time in a very long time.
  After living at <a href="https://brr.fyi/posts/pressure-altitude">10,000 feet</a> for a year,
  and then suddenly arriving at sea level, you immediately notice differences. Most importantly –
  you feel like a superhero. The air is so thick and full of oxygen!
  The effect only lasts a few days, but it’s a good time to
  tackle any hikes in McMurdo. It was fun to scramble up Observation Hill with this newfound, sea-level energy.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/mcmurdo-observation-hill-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/mcmurdo-observation-hill-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/mcmurdo-observation-hill-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/mcmurdo-observation-hill-01-small.jpg" alt="Observation Hill 01">
    </picture>
    <em>McMurdo's Observation Hill, on my brief one-day layover.</em>
  </a>
</p>
<p>It was great being back in McMurdo, if only for a day. I got to catch up with friends from
  my time in McMurdo last summer. Many of us descend on Antarctica from far-flung places,
  and it’s not always guaranteed we’ll see each other again in Real Life. I tried to make the most of my brief
  stop in town.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/mcmurdo-construction-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/mcmurdo-construction-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/mcmurdo-construction-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/mcmurdo-construction-01-small.jpg" alt="McMurdo construction 01">
    </picture>
    <em>Construction in McMurdo! Framing for a new building on the site of the former Dorm 203.
      This wasn't here last summer when I left for Pole!</em>
  </a>
</p>
<p>It was surreal <strong>still</strong> being in Antarctica, and meeting up with folks again.
  Most of my friends had left, had time off, and were now
  <em>back for more</em>, here for a second season. I even knew people who had left, come back, and then had already
  <em>left again</em>. Meanwhile, I was still on-continent. I was just now, finally, getting ready
  to leave after my first mega-season.</p>
<p>There are pros and cons to experiencing Antarctica the way I did.
  I was fortunate that I got to try out much of what
  the program has to offer, all in one single, very long season.
  The only primary USAP Antarctic sites I haven’t seen yet are
  <a href="https://www.nsf.gov/geo/opp/support/palmerst.jsp">Palmer Station</a>
  and the <a href="https://www.nsf.gov/geo/opp/support/ships.jsp">research vessels</a>, currently the
  R/V Laurence M. Gould and the R/V Nathaniel B. Palmer.</p>
<p>I arrived in Antarctica at <a href="https://brr.fyi/posts/mcmurdo-arrival">Winfly</a>, and I got to experience McMurdo winter.
  Winter transitioned into summer,
  and I got to witness the majestic splendor of the warm, sunny, and <a href="https://brr.fyi/posts/mud-murdo">muddy</a> peak season at McMurdo.
  I <a href="https://brr.fyi/posts/south-pole-arrival">flew to the South Pole</a> at the peak of summer, and I experienced the
  bustling chaos as the station frantically prepared for the upcoming winter. When the
  <a href="https://brr.fyi/posts/last-flight-out">last flight</a> departed, the station slowed down for winter.
  After <a href="https://brr.fyi/posts/sunset">sunset</a>, Pole entered a long <a href="https://brr.fyi/posts/polar-night">polar night</a>.
  I saw <a href="https://brr.fyi/posts/redeployment-part-one">sunrise</a> at Pole
  and I saw the station <a href="https://brr.fyi/posts/redeployment-part-two">reopen</a> for summer.
  Now I was back in McMurdo, finally ready to depart.</p>
<p>Most people… do not do all of this at once. I was fortunate that the opportunity arose for me to do this.
  I was fortunate that
  my life circumstances happened to line up in a way that I was able to accept.
  14 months on ice is a long time. It’s a long time to be away from friends, family,
  and “real life”. It’s a long time to commit to a single, strange place. I do not regret taking the opportunity.
  But, for anyone considering something similar, please do not make this decision lightly.</p>
<h1 id="phoenix-airfield">Phoenix Airfield</h1>
<p>On the evening of November 17, 2023, I departed McMurdo.
  I was headed out to Phoenix Airfield, where I would catch my flight out of Antarctica.</p>
<p>Our ride to the airport was something much different – we rode out in the Kress. The
  Kress is a gigantic transport vehicle, one of McMurdo’s newest.
  It’s designed for moving dozens of people between far-flung McMurdo sites. These sites include airfields,
  as well as other infrastructure out on the ice such as the
  <a href="https://www.nasa.gov/missions/scientific-balloons/nasa-scientific-balloons-ready-for-flights-over-antarctica/">Long Duration Balloon (LDB)</a>
  site.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/kress-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/kress-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/kress-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/kress-01-small.jpg" alt="Kress 01">
    </picture>
    <em>The Kress, our gigantic transport vehicle to Phoenix Airfield. 6'2" brr.fyi author for scale.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/kress-02.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/kress-02-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/kress-02-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/kress-02-small.jpg" alt="Kress 02">
    </picture>
    <em>Another view of the Kress, showing its gigantic passenger transport compartment.</em>
  </a>
</p>
<p>This was my first time seeing Phoenix Airfield in the “daytime”. Recall that when I <a href="https://brr.fyi/posts/mcmurdo-arrival">arrived</a>
  in McMurdo from Christchurch in August 2022, it was dark out.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/phoenix-passenger-terminal-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/phoenix-passenger-terminal-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/phoenix-passenger-terminal-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/phoenix-passenger-terminal-01-small.jpg" alt="Phoenix Passenger Terminal 01">
    </picture>
    <em>The passenger terminal at Phoenix Airfield.</em>
  </a>
</p>
<h1 id="departing-antarctica">Departing Antarctica</h1>
<p>Our ride back to Christchurch was an Italian Air Force C-130J. There are a number of national Antarctic programs in
  this region, besides just the United States Antarctic Program.
  Most of them use Christchurch as their gateway city and Phoenix Airfield as their
  intercontinental Antarctic runway. It’s common for programs to share infrastructure. Sometimes USAP will fly
  personnel for other national Antarctic programs on our flights, and sometimes other programs will fly USAP personnel.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/italian-c130j-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/italian-c130j-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/italian-c130j-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/italian-c130j-01-small.jpg" alt="Italian C-130J 01">
    </picture>
    <em>Boarding our aircraft from McMurdo to Christchurch -- an Italian Air Force C-130J.</em>
  </a>
</p>
<p>And with that, we were off! We departed Antarctica at 9:22pm on November 17, 2023. This marked 446 days since
  I arrived on-continent on August 28, 2022.</p>
<p>What an adventure!</p>
<h1 id="christchurch">Christchurch</h1>
<p>At just after 4:00am, on the morning of November 18, 2023, our C-130J arrived at Christchurch International
  Airport. Taxiing to an unloading area was short, but it felt like an eternity. We were tired from a long flight,
  but we were also giddy with excitement about finally being back in the Real World.</p>
<p>It was dark, but it was warm. And most importantly it was <em>humid</em>. When we stepped off the plane,
  we could smell rain, dirt, and living things, for the first time in over a year.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/christchurch-bus-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/christchurch-bus-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/christchurch-bus-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/christchurch-bus-01-small.jpg" alt="Christchurch Bus 01">
    </picture>
    <em>First thing we saw upon arrival in Christchurch -- a bus, to take us to the airport.</em>
  </a>
</p>
<p>When you arrive in Christchurch from Antarctica, you are required to clear customs and immigration. The exact nuance of
  New Zealand immigration law, as it applies to US Antarctic personnel, is <strong><em>far</em></strong> outside the scope of this post.
  Suffice to say, the first order of business was to get us all processed.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/christchurch-customs-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/christchurch-customs-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/christchurch-customs-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/christchurch-customs-01-small.jpg" alt="Christchurch Customs 01">
    </picture>
    <em>Christchurch airport, heading toward customs at 4:30am. Our first Real-Life Building.
      Truly a surreal re-introduction into modern society.</em>
  </a>
</p>
<p>There was a section on the traveler form that asked <em>“Overseas Port where you boarded THIS aircraft/ship”</em>.
  In the absence of any clarifying instruction, I just wrote “Antarctica”. It’s a moot point, because we had
  a special customs agent show up just for us (customs isn’t normally open at this time). They were
  well aware that we had all come from Antarctica.</p>
<p>Still, it’s amusing when I think about this form being filed
  in a drawer somewhere at NZ Immigration. We did, indeed, arrive from “overseas”. Far, far overseas,
  from a world that, already, had started fading from our minds.
  <em>Did we</em> <strong><em>really</em></strong> <em>just come from</em> <strong><em>Antarctica</em></strong><em>?</em></p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/traveler-declaration-form-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/traveler-declaration-form-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/traveler-declaration-form-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/traveler-declaration-form-01-small.jpg" alt="Traveler Declaration Form 01">
    </picture>
    <em>New Zealand Traveler Declaration form.</em>
  </a>
</p>
<p>Once we were through customs, we proceeded to the United States Antarctic Program’s
  Clothing Distribution Center (CDC). We were all <a href="https://brr.fyi/posts/flight-perhaps">issued</a> Extreme Cold Weather gear before we
  departed for Antarctica, and we returned it all now that we were done.
  This clothing is property of the program, and it gets cleaned and re-issued to new staff.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/clothing-pile-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/clothing-pile-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/clothing-pile-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/clothing-pile-01-small.jpg" alt="Clothing Pile 01">
    </picture>
    <em>Returning our issued Extreme Cold Weather (ECW) gear at the USAP CDC in Christchurch.</em>
  </a>
</p>
<p>Finally, we were issued our complimentary hotel reservation information. Most of us were taking personal
  travel in New Zealand. This travel, of course, isn’t paid for by the program. The program covers one night
  in a hotel, for us to have a soft landing and get our bearings. This is the same thing that they
  offer to people who are flying straight home, known as “First Available Air”, or “FAA”.</p>
<p>Luckily for us, because we arrived so late, we got the rest of our current night (by this time it was 5:30am),
  and the following night. It was good to be able to sleep in.</p>
<p>And with that? They turned us loose. We were done.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/usap-complex-christchurch-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/usap-complex-christchurch-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/usap-complex-christchurch-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/usap-complex-christchurch-01-small.jpg" alt="USAP Complex Christchurch 01">
    </picture>
    <em>The United States Antarctic Program complex in Christchurch. Home of the CDC as well as other
      support and administrative buildings. Pictured here, early morning on November 18, 2023, after we had
      all just completed returning our ECW clothing.</em>
  </a>
</p>
<p>We all groggily stood in line to check into our hotel at 5:30am.
  We had just spent 7 hours on a military plane. We had departed a strange land, full of 24x7 sunlight,
  people in puffy coats, and US Antarctic Program logos everywhere. This had been our reality for over a year.</p>
<p>Suddenly, we found ourselves listening to smooth jazz, in the sleek lobby of an airport hotel, as the hotel
  receptionist talked about continental breakfast, check-out times, the hotel wifi password, public transit, and
  points of interest around town.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/hotel-hallway-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/hotel-hallway-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/hotel-hallway-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/hotel-hallway-01-small.jpg" alt="Hotel Hallway 01">
    </picture>
    <em>Hallway at my hotel. Is this real life? Did I really just spend 14 months in Antarctica?</em>
  </a>
</p>
<p>We were back in civilization, back in the real world. For ASC support staff, our contracts
  ended the day we landed in Christchurch after departing the ice. We immediately stopped receiving a salary.
  Our health insurance was paid through the end of the month. I went from living and working
  in Antarctica, into my Christchurch hotel, and then… <em>that was it</em>.
  I was suddenly on my own, on vacation, in Christchurch.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/christchurch-passenger-terminal-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/christchurch-passenger-terminal-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/christchurch-passenger-terminal-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/christchurch-passenger-terminal-01-small.jpg" alt="Christchurch Passenger Terminal 01">
    </picture>
    <em>Back the next day, for some quick photos of the Antarctic Passenger Terminal during the daylight.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/christchurch-warehouse-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/christchurch-warehouse-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/christchurch-warehouse-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/christchurch-warehouse-01-small.jpg" alt="Christchurch Warehouse 01">
    </picture>
    <em>The USAP warehouse in Christchurch.</em>
  </a>
</p>
<h1 id="personal-travel">Personal Travel</h1>
<p>I spent my leisure time in New Zealand eating fresh fruit and vegetables nonstop.
  I averaged about three flat whites per day, made from fresh coffee and real milk.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/new-zealand-latte-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/new-zealand-latte-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/new-zealand-latte-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/new-zealand-latte-01-small.jpg" alt="New Zealand Latte 01">
    </picture>
    <em>Real life, real coffee. Fresh beans, fresh New Zealand milk.
      Pure bliss, after 14 months of expired beans and powdered milk.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/christchurch-fresh-food-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/christchurch-fresh-food-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/christchurch-fresh-food-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/christchurch-fresh-food-01-small.jpg" alt="Christchurch Fresh Food 01">
    </picture>
    <em>Delicious and abundant fresh food in Christchurch, after a long period without in Antarctica.</em>
  </a>
</p>
<p>My translucent Antarctican skin, fresh off an entire season of darkness, and normally covered by 30 lbs of
  clothing regardless, did not survive first contact with the New Zealand sun. I almost immediately got a sunburn.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/christchurch-sun-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/christchurch-sun-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/christchurch-sun-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/christchurch-sun-01-small.jpg" alt="Christchurch Sun 01">
    </picture>
    <em>Sun, warmth, blue sky, trees, and birds. Strolling casually around Christchurch.</em>
  </a>
</p>
<p>Christchurch, and Real Life, very quickly began to feel <em>normal</em>, even after being away for so long.
  A group of us met up for dinner. We ate in a restaurant, went to
  a bar, called a taxi, and navigated through day-to-day city life. We rode trains. We hiked through mountains
  and forests. We relaxed on beaches.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/arthurs-pass-stream-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/arthurs-pass-stream-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/arthurs-pass-stream-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/arthurs-pass-stream-01-small.jpg" alt="Arthur's Pass Stream 01">
    </picture>
    <em>A stream, at Arthur's Pass, New Zealand.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/sunset-punakaiki-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/sunset-punakaiki-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/sunset-punakaiki-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/sunset-punakaiki-01-small.jpg" alt="Sunset Punakaiki 01">
    </picture>
    <em>Sunset in Punakaiki, New Zealand.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/greymouth-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/greymouth-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/greymouth-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/greymouth-01-small.jpg" alt="Greymouth 01">
    </picture>
    <em>Ocean view in Greymouth, New Zealand.</em>
  </a>
</p>
<h1 id="san-francisco">San Francisco</h1>
<p>After two weeks of much-needed rest and relaxation in New Zealand, I flew back home to San Francisco.
  This flight was paid for by the program, fulfilling their final obligation to return me to my
  Airport of Departure (AOD).
  On December 1, I departed Christchurch at 12:00 noon. Thanks to the magic of time zones, I arrived in
  San Francisco, also on December 1, at 7:00am.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/san-francisco-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/san-francisco-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/san-francisco-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/san-francisco-01-small.jpg" alt="San Francisco 01">
    </picture>
    <em>Descending toward San Francisco International Airport, at 6:48am on December 1, 2023.</em>
  </a>
</p>
<p>I landed, and I took <a href="https://www.bart.gov/">BART</a> home to my apartment.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/bart-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/bart-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/bart-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/bart-01-small.jpg" alt="BART 01">
    </picture>
    <em>Riding BART home from the airport to my apartment.</em>
  </a>
</p>
<p>My apartment was just how I left it, back before I started this wild journey, on August 12, 2022, when I
  <a href="https://brr.fyi/posts/travel-begins">departed San Francisco</a> for Christchurch, Antarctica, and the strangest 16 months of my
  life.</p>
<p>It was surprising to me how… <em>normal</em> it felt to get back to real life. I had just completed <em>14.5 months</em> on the
  ice. For <em>more than a year</em>, I worked, ate, slept, showered, relaxed, laughed, and cried, all at the whim of a
  federal government agency and its designated contractors, almost all under one roof, at the bottom of the world.
  We certainly had personal autonomy, but it was within a defined framework. It was at a small, isolated
  location.</p>
<p>Sometimes I’d have a realization that I was doing something for the first time since I
  had left home, 16 months earlier.
  First time pumping gas. First time ringing a doorbell. First time going to a grocery store.
  First time swimming. Each of these instances brought with it a small feeling of novelty,
  but it didn’t amount to much. It took conscious effort to remember that I was pumping gas for the first time in 16
  months. It felt normal.</p>
<p>I was back in my real life,
  and although I put it on hold for Antarctica, it was waiting for me when I got back. Antarctica was a
  a different world, a radical departure from my normal reality. It was so different, in fact, that I simply
  could not merge the two realities into one. I had my real life, and I had my Antarctica life. When my
  Antarctica life finished, I resumed my real life.</p>
<h1 id="conclusion">Conclusion</h1>
<p>I hope everyone enjoyed following along on this journey. I certainly enjoyed writing about the experience.</p>
<p>Truth be told, when I started this blog, I was writing for an audience of about 6 people, friends and family
  back home. At some point in November 2022, this blog took off in popularity.
  I wasn’t expecting this, but it has been a lot of fun writing something that has brought joy to so many people.</p>
<p>I appreciate everyone who reached out along the way. People wrote to me from other Antarctic stations.
  People recounted their own Antarctic adventures from years or decades in the past. Folks with upcoming
  McMurdo and Pole contracts reached out to ask for advice.</p>
<p>So, with that, I’ll leave you with my favorite photo I took all season. This is from May 8, 2023, taken off
  the back deck of the A1 berthing pod. It shows our power plant and all the backyard outbuildings. Just
  out of frame to the left is the geographic South Pole marker. It was -70°F. The only light was from
  the moon. If you walked out just a few hundred feet from station, it was pindrop quiet. The closest next
  inhabited station was hundreds of miles away. Truly a different world, and one that I’m lucky to have
  experienced.</p>
<p>
  <a href="https://brr.fyi/media/redeployment-part-three/pole-winter-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/redeployment-part-three/pole-winter-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/redeployment-part-three/pole-winter-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/redeployment-part-three/pole-winter-01-small.jpg" alt="Pole Winter 01">
    </picture>
    <em>Backyard during Winter 2023 at the South Pole.</em>
  </a>
</p>
<p><em>This is the third and final part of a three-part series. Check out
    <a href="https://brr.fyi/posts/redeployment-part-one">part one</a> and <a href="https://brr.fyi/posts/redeployment-part-two">part two</a> if you haven’t already.</em></p>