title: What Screens Want by Frank Chimero
url: http://frankchimero.com/talks/what-screens-want/transcript/
hash_url: 34b95fe8629199a65e2a1bcc7e55931c

<section class="foreword">
<p>
	<img src="http://frankchimero.com/talks/what-screens-want/transcript/build.svg">
	<br>
	This site is an interpretation of my talk from <a href="http://2013.buildconf.com">Build, 2013.</a> I’ve made some small adjustments to the original content to help translate it to a written essay. Thanks to Andy McMillan for inviting me to speak yet again. And thanks to you, for reading this little experiment.
</p>
</section>

<section class="white panel1">
<p>The past two years were a wild goose chase for answers. I read books, looked at art, listened to my heroes, and sketched out scratchy thoughts of my own to search for any sensible response to a question that had been lodged in my head for months.</p>

<h1 class="emph">What does it mean to natively design for screens?</h1>

<p>I couldn’t get the question out of my head. I tried to find its contours, and just as I thought I had made some progress on a response, a new part of the picture appeared and showed I only had a shadow of an answer. After many failures, I began to see which approaches worked better. The way toward an answer is never what you expect, so I was surprised that mine began with a routine trip to the pharmacy.</p>
</section>

<section class="rainbowbreak">
<h1>THE<br>
	VOLUME<br>
	OF<br>
	DANCING<br>
	LIGHT<br>
</h1>
</section>

<section class="aspirin">

<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/aspirin.png" class="tinycentered circleborder"></p>

<p>These are aspirin pills. I’m not big on medicating, so my aspirin purchase was the first in a long time. When I rattled a few of the pills out of the bottle, I noticed they seemed to be a lot smaller than I remembered.</p>

<p>I went online to see what was going on. It seems pharmaceutical companies have been able to make the active drug in aspirin more effective in the past few decades. The tiny aspirin pills are hardly aspirin at all, and the drug’s current version is so potent and physically minuscule that it must be padded with a filler substance to make the pill large enough to pick up and put in your mouth. Literally, you couldn’t grasp it without the padding.</p>

<p>When I read that, it occurred to me that we’ve been living through a similar situation with computers. I mean, have you looked at technology recently and taken stock? Things have changed under us. We take it for granted, because the transition was so fast and thorough.</p>
</section>

<section class="white">
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/carphone.jpg" class="tinycentered circleborder"></p>
<p>I remember my first cellular phone. It came in a bag and we called it a car phone. Now the phone fits in your pocket and you can use the damn thing to <em>start</em> a car. It’s remarkable.</p>
<br><br>
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/computer.jpg" class="tinycentered circleborder"></p>
<p>And I think about my first computer. The monitor sat on top the computer like an ugly, stupid hat: one big, dull box on top of another. But now they’re all the same thing. Your computer is a big, shiny pane of glass that spans the length of your desk.</p>
<br><br>
</section>

<section class="black">
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/imac.png" class="tinycentered circleborder"></p>
<p>So just like the aspirin, we’ve made the guts of our computers more potent, powerful, and smaller. Chances are your computer’s footprint is entirely comprised of its screen. Even an iMac is just a screen with a kickstand.</p>
<p>And now, because of touch screens, we’re using the screens for input as well as output. The whole feedback cycle of using a computer is entirely screen-based. It’s no wonder that the average person’s conception of a computer <em>is</em> the screen.</p>
<p>So, if computers are like aspirin, and we’ve been making the computers smaller and smaller, where’s the necessary padding that allows us to grasp things? I stumbled over the question for a while. Then it hit me.</p>
</section>
<section class="panel1">
<h1 class="emph black">The padding isn’t around the screens. It’s <em>in</em> them.</h1>
</section>

<section class="white">
<p>Manipulating data, one of the original purposes of computers, is often too abstract for most—even me. It helps to make things visible. Graphical user interfaces unpack some of the complexity in computing, and their implementation became a key to unlocking computers for most people in the ’80s and ’90s. The interfaces we build are where we put the padding. You give a user something to grasp onto when you make a metaphor solid. In the case of software on a screen, the metaphors visually explain the functions of an interface, and provide a bridge from a familiar place to a less known area by suggesting a tool’s function and its relationship to others.</p>

<p><br><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/trash.jpg" class="tinycentered"><br></p>

<p>For instance, if I say <em>“This is a Trash Bin,”</em> you may not know a computer’s file management system or directory structures, but you’ve got a pretty good idea of how trash bins work, so you can deduce that the unwanted files go in the trash bin, and you’ll be able to retrieve them until the bin is emptied.</p>

<p>Metaphors are assistive devices for understanding.</p>
</section>

<section>
<p>I think we all know that some of the aspirin pill’s padding is necessary in computing. We need abstractions, otherwise we’d be writing code in machine language or Assembly, there’d be no work designing interfaces, and users wouldn’t understand much unless they took the years to learn everything from the ground up.</p>
<p>Computers, after all, are just shaky towers of nested abstractions: from the code that tells them what to do, to the interfaces that suggest to the user what’s possible to do with them. Each level of abstraction becomes an opportunity to make work more efficient, communicate more clearly, and assist understanding. Of course, abstractions also become chances to complicate what was clear, slow down what was fast, and fuck up what was perfectly fine.</p>
<p>Choosing the proper amount of abstraction is tricky, because each user comes to what you’re making with their own amount of experience. Experience gaps are not unique to computing, but I think it matters more here than in many other situations.</p>
</section>

<section class="white">
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/keenness.gif" class="fullimg"></p>
<p>The best way to understand why is to look at the differences between your hands and your brain. Your hands can’t change size, but your mind can: if you’re paying attention, your brain becomes more keen to experiences over time. So while the size of an aspirin pill is constrained by your stubby little fingers, your brain can normalize the patterns of an interface and make way for more nuanced abstractions. With enough time and exposure, a user can shed the padding and metaphors that become dead weight, like taking the training wheels off a bike.</p>
</section>

<section>
<p>We’ve been living through that shedding process, and the interfaces of iOS 7 and Windows Metro suggest the keenness of our minds and our adeptness at navigating interfaces. Like them or not, Metro and iOS7 are major touchstones in our relationship to computing, because they signify that we’re beginning to accept a flexible medium on its own terms.</p>

<p>But it’s not the first time we’ve done something like this. Let’s go back 35 years.</p>
</section>

<section class="rainbowbreak">
<h1>PLASTIC<br>
	MAKES<br>
	IT<br>
	POSSIBLE
</h1>
</section>

<section class="video">
<p>I’d like to show you a video clip from a BBC special called <a href="http://www.youtube.com/watch?v=wTfbEHfNvF4&feature=c4-overview-vl&list=PLmo9vOINxhRkiZioqITzxqPNU7WWJPLYz"><em>Connections,</em></a> hosted and written by James Burke.<br><br></p>
<div class="vidframe"><iframe src="http://frankchimero.com/talks/what-screens-want/transcript///player.vimeo.com/video/79718420" width="500" height="375"frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe></div>
</section>
<section class="panel1 black">
<p>Sound familiar? The progression of plastics is the same as screens and software. It’s a pattern of malleable mediums:</p>
<h1 class="emph">If something can be anything, it usually becomes everything.</h1>
<p>As a little formal exercise, let’s take every time Burke says “plastic” and replace it with “software.” (Please imagine I’m doing this in a devastatingly charming British accent.)</p>
</section>

<section class="white">
<div class="burkestep">
	Have you noticed what’s happened to software in the last ten years?
</div>

<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke1.jpg"></div>
	<div>It’s become something in its own right.</div>
</div>
<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke2.jpg"></div>
	<div>I mean, early on, if you made something in software, you had to make it look exactly like what it was replacing.</div>
</div>
<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke3.jpg"></div>
	<div>I mean particularly leather, or people wouldn’t buy it.</div>
</div>
<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke4.jpg"></div>
	<div>It’s not been long since the word software was an insult. Nasty and complicated, remember?</div>
</div>

<div class="burkestep">
	Not any more. It’s as if we suddenly changed our attitude to what real meant and recognized software for what it is:
</div>

<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke6.jpg"></div>
	<div>something that permits us to do things we couldn’t possibly do if they had to be made with the so called real thing.</div>
</div>

<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke7.jpg"></div>
	<div>Now it’s everywhere. I mean, look at this office.</div>
</div>

<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke8.jpg"></div>
	<div>This is now software.</div>
</div>

<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke9.jpg"></div>
	<div>So’s that.</div>
</div>

<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke10.jpg"></div>
	<div>So is this.</div>
</div>
<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke11.jpg"></div>
	<div>And so are these.</div>
</div>
<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke12.jpg"></div>
	<div>And especially what’s inside them.</div>
</div>
<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke13.jpg"></div>
	<div>There’s software on the wall.</div>
</div>
<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke14.jpg"></div>
	<div>There’s software on this desk.</div>
</div>
<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke15.jpg"></div>
	<div>My shoes are software.</div>
</div>
<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke16.jpg"></div>
	<div>And now there’s a new generation of objects that can only be made in software.</div>
</div>
<div class="burkestep">
	<div><a href="http://hateplow.tumblr.com/post/59207752965" class="noborder"><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke17.gif"></a></div>
	<div>It’s a software world. And because of software, it’s a soft world in a different sense, in the original sense of the word: it changes its shape easily.</div>
</div>
<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke18.gif" class="tinycentered"></div>
	<div>So now we no longer buy the thing we want, we buy the shape of the thing we prefer.</div>
</div>
<div class="burkestep">
	<div><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/burke19.jpg"></div>
	<div>And when the shapes change regularly, which they do, we begin to <em>want</em> them to change regularly.</div>
</div>
</section>
<section>
<p>When Burke talks about things needing to look like their old embodiments and the ability for those shapes to change, he’s talking about skeuomorphs. But he’d never use that word, because he’s much too clever. The word sticks in your mouth, right? Both halves come from Greek.</p>

<h1 class="emph black">skeuo <span>&rarr;</span> container<br>
morph <span>&rarr;</span> shape</h1>

<p>So, skeuomorphs are about the shape we choose for the containers we build. This requires plasticity. Softness. Screens are a special material without much precedent, save plastic. And I think it’s best to view screens as a material for interaction and interface design.</p>
</section>

<section class="wood">
<p>Just like any material, screens have affordances. Much like wood, I believe screens have grain: a certain way they’ve grown and matured that describes how they want to be treated. The grain is what gives the material its identity and tells you the best way to use it. Figure out the grain, and you know how to natively design for screens.</p>
<p>And we’ve tried. Oh god, we’ve tried. Unfortunately, the discussion around screen-native design feels a bit stunted in its current form. We’re stuck in a pendulum swing.</p>
</section>

<section class="realblack">
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/pendulum.gif" class="fullimg"></p>
<p>There are two main ideological camps. On one side, you have proponents for flat design, the folks who say that because screens are flat, the designs should be too, and we should remove any hint or reference to the three-dimensional world because computing is something else entirely.</p>

<p>On the other side, you have folks who believe in the value of skeuomorphs as near-tangible, visible metaphors. This is the tribe of <a href="http://www.zdnet.com/lickable-buttons-4010015797/">lickable buttons</a>, realistic textures, folded paper, and stitched leather.</p>

<p>Any reasonable person would say the best approach is somewhere in the middle, but both arguments fail because they are based on aesthetics. Leaning on the look of things is a tempting argument to make: screens are output devices, after all. But, it’s a shallow answer to a deep question. I’ll do my best to refute both of these arguments.</p>
</section>

<section class="white">
<p>I’m going to use horses in this example, because horses are cool, and I need to circle back to them in a minute.</p>
<hr>

<div class="horseex">
	<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/horse-color.jpg"></p>
	<p>All right, here’s a color photo of a horse.</p>
	<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/horse-bw.jpg"></p>
	<p>And here’s a black and white one.</p>
	<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/horse-drawing.jpg"></p>
	<p>There’s a drawing of a horse.</p>
	<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/horse-painting.jpg"></p>
	<p>And a famous painting with a horse.</p>
	<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/horse-flat.jpg"></p>
	<p>There’s a flat horse.</p>
	<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/horse-skeuo.jpg"></p>
	<p>A skeuomorphic horse.</p>
</div>
<hr>
<p>Apologies if this seems like an idiotic exercise. My point is you just viewed all of these on a screen, and that screen did perfectly fine showing them all to you. A screen doesn’t care what it shows any more than a sheet of paper cares what’s printed on it. Screens are aesthetically neutral, so the looks of things are not a part of their grain. Sorry, internet. If you want to make something look flat, go for it. There are plenty of reasons to do so. But you shouldn’t say you made things look a certain way because the screen cared one way or the other.</p>
</section>

<section class="wood">
<p>So how do you figure out that grain? Well, if you think about it, the grain of wood is documentation of how the tree has grown. Maybe the best thing to do is to figure out where screens came from. Which means I get to talk about horses again.</p>
<p>Let’s have a short history lesson.</p>
</section>

<section class="rainbowbreak">
<h1>LONG<br>
	AGO<br>
	IN<br>
	THE<br>
	VALLEY
</h1>
</section>

<section class="white panel1">
<h1 class="emph">In 1872 a man took a photograph of a horse.</h1>
<p>This doesn’t seem like that significant of an achievement, but almost 140 years later, it’s my favorite starting point to describe screens.</p>
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/muybridgehorsesolo.gif" class="horsesolo"></p>
<p>This is the photo, and I think it is probably familiar to quite a few of you. It was taken by a British man named Eadweard Muybridge, who lived in San Francisco and often found himself working in an area we now call Silicon Valley. The photo was staged at a horse track in Palo Alto, just a little bit away from the old Facebook headquarters. The photo on its own isn’t extraordinary, but there isn’t just one photo.</p>
</section>

<section class="realblack strip">
<p>Muybridge took <em>twelve,</em> all taken in the span of just a few seconds.</p><br>
<img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/muybridgestrip.jpg" class="fullimg real" style="margin-left: -20%;">
<img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/muybridgestrip.jpg" class="fullimg real" style="margin-left: 20%;">
<br>
<p>The photos were originally taken to settle a gentlemen’s bet to see if all four of a horse’s hooves were off the ground at any point in their stride. (They were.) Aside from bets, the project had profound effects on time and movement. See, Muybridge’s little photo project was the first time we ever split the second. We all think splitting the atom is important because we can see the consequences, but I think slicing the second is just as profound.</p>
<p>Splitting time so thinly has its advantages. Because when you take those twelve photos and put them in rapid sequence, they do this:</p>
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/muybridgeanimated.gif" class="horsesolo"></p>
<p>This might not seem like such a big deal to us now, but photography up until that point required the subject to stay extremely still to keep the photograph from blurring. People smiled in the 19th century, but you’d never know it from the photos. It meant that before Muybridge, photographs could refer to life, but never capture its essence: movement.</p>
</section>

<section>
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/zooprax.png" class="tinycentered zoopraximg"></p>
<p>Muybridge had discovered how to bottle movement, and like any good inventor, he did experiments to see if he could reanimate his frozen horses. Muybridge’s first attempts to set time in motion were to print the high-speed photographs radially on a glass disc and spin it while it was lit from behind. He called it a zoopraxiscope.</p>
</section>

<section class="video">
<div class="vidframe"><iframe src="http://frankchimero.com/talks/what-screens-want/transcript///player.vimeo.com/video/79789728?title=0&amp;byline=0&amp;portrait=0" width="500" height="281" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe></div>
<p>Here’s a zoopraxiscope projection at work. Keep in mind what you’re watching is a volume of traveling light, and that light needs to land on something to show itself. This is one of the origins of screens.</p>
<p>And you know, these little animations look awfully similar to animated GIFs. Seems that any time screens appear, some kind of short, looping animated imagery of animals shows up, as if they were a natural consequence of screens.</p>
</section>

<section class="white">
<p>Muybridge’s crazy horse experiment eventually led us to the familiar glow of the screen. If you’re like me, and consider Muybridge’s work as one of the main inroads to the creation of screens, it becomes apparent that web and interaction design are just as much children of filmmaking as they are of graphic design. Maybe even more so. After all, we both work on screens, and manage time, movement, and most importantly, change.</p>
<p>So what does all of this mean? I think the grain of screens has been there since the beginning. It’s not tied to an aesthetic. Screens don’t care what the horses look like. They just want them to move. They want the horses to change.</p>
<p>Designing for screens is managing that change. To put a finer head on it, the grain of screens is something I call <em>flux—</em></p>
</section>

<section class="rainbowbreak somanyhorses">
<h1>EVERY<br>
	THING<br>
	CHANGES<br>
	—<br>
	DON’T<br>
	BE<br>
	AFRAID
</h1>
</section>

<section class="white panel1">
<h1 class="emph">Flux is the <em>capacity</em> for change.</h1>
<p>Yes, this could be animation, because that’s what I’ve been talking about up until now, but I think it’s a lot more, too. Flux is a generous definition. It encompasses many of the things we take for granted in the digital realm: structural changes, like customization, responsiveness, and variability.</p>
<p>Some examples:</p>
<hr>
<div class="horseex">
	<p><a href="http://bobulate.com/post/1216102383/evening-edition" class="noborder"><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/bobulate.jpg"></a></p>
	<p>Flux is changing the colors of <a href="http://bobulate.com/post/1216102383/evening-edition">your website at night,</a> to customize for a different reading experience based on time.</p>
	<p><a href="http://www.thehill-side.com/lookbooks/ss-2013" class="noborder"><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/hillside.gif"></a></p>
	<p>It’s having some fun with a <a href="http://www.thehill-side.com/lookbooks/ss-2013">fashion lookbook</a> if you know it’s mostly going to be seen on screens.</p>
	<p><a href="http://www.microsoft.com" class="noborder"><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/microsoft.jpg"></a></p>
	<p>It’s building a <a href="http://www.microsoft.com">responsive website</a> for a little company.</p>
	<p><a href="http://devoureth.tumblr.com/post/40716529827/gentlemen-and-women-take-note-x" class="noborder"><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/bowtie.gif"></a></p>
	<p>It’s using movement to <a href="http://devoureth.tumblr.com/post/40716529827/gentlemen-and-women-take-note-x">more clearly describe the steps of a complicated process.</a></p>
</div>
<hr>
<p>There are many more examples, and I’m sure you can think of some too. I break flux into three levels:</p>
</section>
<section>
<h2>Low</h2>
<p>These are really small mutations we take for granted when it comes to computing, like the ability to sort a table row on your spreadsheet. One of the major reasons the spreadsheet software has the capacity to change is because the screen can show the change produced. You can’t do that on paper. You need processing and a malleable display surface.</p>
<hr>
<h2>High</h2>
<p>These are the immersive interactive pieces you think of when I say “Flash website.” I think this sort of stuff is rarely a good idea on the web, but we’re talking about screens in general. I’ve seen a lot of really cool stuff done with high flux in museums, public installations, and in film. High flux is <em>great</em> in physical spaces.</p>
<hr>
<h2>Medium</h2>
<p>This area is most interesting to me, because it overlaps with what I do: websites and interfaces. Medium level flux is assistive and descriptive animation, and restructuring content based on sensors. It clarifies interactivity by allowing elements to respond to that interaction and other, measured conditions.</p>
</section>
<section class="white">
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/slimer.jpg" class="fullimg"></p>
<p>Probably the most well-known example of medium flux is OS X’s genie effect on window minimization. The animation clarifies the interaction by treating the window as a physical object, and sucks down the window to show its eventual position in the dock when minimized.</p>
<p>I’ll show you a few more examples.</p>
<hr>
<p>These come from <a href="http://uxdesign.smashingmagazine.com/2013/10/23/smart-transitions-in-user-experience-design/">a great blog post by Adrian Zumbrunnen of IA in Zurich.</a></p>
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/ScrollingAnimated.gif" class="tinycentered"></p>
<p>This one shows animated scrolling after clicking on a navigation item. The animation describes the position of the content on the page, and helps you understand the path you took to get there. It preserves context.</p>
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/Stateful-toggle.gif" class="tinycentered"></p>
<p>This next one is a stateful toggle, meaning supplemental form elements displace the original list to consolidate space, and infer a relationship between them.</p>
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/Sticky-Label.gif" class="tinycentered"></p>
<p>This is a sticky label. It’s handy if you’re scrolling through a long list, because it keeps useful metadata present and visible.</p>
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/ExpandingComments.gif" class="tinycentered"></p>
<p>And last is a comment field with progressive disclosure. This method allows the designer to reduce UI components to their essence. Input forms are only revealed when necessary to avoid confusion, and the animation aids them in understanding the origin of the new form fields.</p>
</section>
<section>
<p>Movement, change, and animation are a lot more than ways to delight users: they are a functional method for design.</p>
<p>These examples are essentially animated wireframes, but extra detail isn’t needed. Designing how things change and move is enough for us to understand what they are and the relationships between them. You don’t need the heavy-handed metaphor, because the information is baked into the element’s behavior, not its aesthetics.</p>
<p>A designer’s work is not only about how the things look, but also their behaviors in response to interaction, and the adjustments they make between their fixed states. In fact, designing the way elements adapt and morph in the in-between moments is half of your work as a designer. You’re crafting the interstitials.</p>
<p>We’ve been more aware of this interstitial work in the past few years because of responsive design’s popularity and its resistance to fixed states. It’s a step in the right direction, but it has made work <em>crazy</em> frustrating.</p>
</section>
<section class="black panel1">
<h1 class="emph">
	Pbndh!<br>
	Grhbdbbt!<br>
	Phhfffft.<br>
	Argh!
</h1>
<p>I’ve worked on several responsive projects in the past couple years, and it’s always been a headache—not from technological limitations, but because there weren’t suitable words to describe the behaviors I wanted. I had to jump into code, and waste time writing non-production markup and CSS to prototype a behavior so the developer could see it. That’s really wasteful, especially if all you needed was a word for the behavior. The community has been putting a lot of effort in developing tools that allow for quicker prototyping, but explaining yourself can happen multiple ways. Clear wording with consistent meaning reduces the number of prototypes you need to build, because a simple word will do.</p>
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/language.gif" class="fullimg"/></p>
<p>We need to work as a community to develop a language of transformation so we can talk to one another. And we probably need to steal these words from places like animation, theater, puppetry, dance, and choreography.</p>
<p>Words matter. They are abstractions, too—an interface to thought and understanding by communication. The words we use mold our perception of our work and the world around us. They become a frame, just like the interfaces we design.</p>
</section>
<section class="white">
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/ethan.jpg" class="tinycentered"></p>
<p>At Build 2012, Ethan Marcotte gave a lecture called <a href="https://vimeo.com/63525054">“The Map is not the Territory.”</a> It was a talk about abstractions, looked at through the lens of maps and physical terrain. The longer I’ve considered Ethan’s thoughts, the more I believe cartography is an apt metaphor for our industry’s current situation. The builders of interfaces in a technology-laden, abstracted, and mediated world hold sway, much like mapmakers do.</p>
</section>

<section class="video">
<p>Rather than try to make that case myself, I’ve got a clip for you about maps. It’s from <em>The West Wing.</em></p>
<div class="vidframe"><iframe src="http://frankchimero.com/talks/what-screens-want/transcript///player.vimeo.com/video/79809979" width="500" height="375" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe></div>
</section>

<section>
<p>Maps are abstractions that attempt to express the unexpressable by distorting reality into something presentable, something understandable. For instance, time is hard to grok on its own, but a calendar serves as a map to the territory of time, and it makes time management a little easier.</p>
<p>But an abstraction can only give you one facet of a complex reality. Things get bad when those abstractions become the terms your mind uses to consider the thing itself—you mistake the map as the territory. And it’s funny how those maps begin to mold your understanding of the world around you.</p>
<p>For example, a few years ago, I flew to Hong Kong from Chicago, and my brain just about broke because the flight path took us over the North Pole. I forgot that was even possible! My brain was so programmed with representations and maps that I, well, forgot that Earth is a sphere, and you can navigate it any which way you want—not just east and west. An abstraction’s distortion blinded me to a portion of the reality. Abstractions always distort and omit, because they have to. The trick is to be mindful it is happening.</p>
</section>
<section class="white panel1">
<p>If I asked you to picture the world, you probably think of this.</p>
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/map1.gif" class="fullimg"></p>
<p>But there’s nothing that says you couldn’t think of it like this.</p>
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/map2.gif" class="fullimg"></p>
<p>Or even like this. Who says north is up?</p>
<p><img src="http://frankchimero.com/talks/what-screens-want/transcript/trans.gif" data-src="http://frankchimero.com/talks/what-screens-want/transcript/map3.gif" class="fullimg"></p>
<p>For the characters on <em>The West Wing</em>, they misunderstood the relative size of nations and their actual position on the globe, because the map in their mind was made for easy sea navigation.</p>
<h1 class="emph">The accuracy of the sea came at the cost of the land.</h1>
<p>When I realized that, a little light went off in my head: a map’s biases do service to one need, but distort everything else. Meaning, they misinform and confuse those with different needs.</p>
</section>
<section class="black">
<p>That’s how I feel about the web these days. We have a map, but it’s not for me. So I am distanced. It feels like things are distorted. I am consistently confused.</p>
<p>See, we have our own abstractions on the web, and they are bigger than the user interfaces of the websites and apps we build. They are the abstractions we use to define the web. The commercial web. The things that have sprung up in the last decade, but gained considerable speed in the past five years.</p>
<p>It’s the business structures and funding models we use to create digital businesses. It’s the pressure to scale, simply because it’s easy to copy bits. It’s the relationships between the people who make the stuff, and the people who use that stuff, and the consistent abandonment of users by entrepreneurs.</p>
<p>It’s the churning and the burning, flipping companies, nickel and diming users with in-app purchases, data lock-in, and designing with dark patterns so that users accidentally do actions against their own self-interest.</p>
</section>
<section>
<p>Listen: I’m at the end of a 4-month sabbatical, and I worry about this stuff, because the further I get from everything, the more it begins to look toxic. These pernicious elements are the primary map we have of the web right now.</p>
<p>We used to have a map of a frontier that could be anything. The web isn’t young anymore, though. It’s settled. It’s been prospected and picked through. Increasingly, it feels like we decided to pave the wilderness, turn it into a suburb, and build a mall. And I hate this map of the web, because it only describes a fraction of what it is and what’s possible. We’ve taken an opportunity for connection and distorted it to commodify attention. That’s one of the sleaziest things you can do.</p>
</section>
<section class="white">
<p>So what is the answer? I found this quote by <a href="http://en.wikipedia.org/wiki/Ted_Nelson">Ted Nelson,</a> the man who invented hypertext. He’s one of the original rebel technologists, so he has a lot of things to say about our current situation. <a href="http://www.youtube.com/watch?v=zumdnI4EG14">Nelson:</a></p>
<blockquote>
	The world is not yet finished, but everyone is behaving as if everything was known. This is not true. In fact, the computer world as we know it is based upon one tradition that has been waddling along for the last fifty years, growing in size and ungainliness, and is essentially defining the way we do everything. My view is that today’s computer world is based on techie misunderstandings of human thought and human life. <em>And the imposition of inappropriate structures throughout the computer is the imposition of inappropriate structures on the things we want to do in the human world.</em>
</blockquote>
<p>Emphasis mine. So, what is Nelson saying? First, he’s saying technology is shining back on us. We made it, and now it is making us. The abstractions we created have distortions that hurt and reduce us. Damage. Most importantly, he’s saying we need more maps.</p>
</section>
<section>
<p>Like Ethan’s talk said: the map is not the territory, so a bad map doesn’t necessarily mean bad territory. Our saving grace is that one territory—in this case, the internet, technology—can have more than one map. We can make maps that distort less, or at least accurately represent our goals for all of this technology.</p>
<p>The land comes at the cost of the sea, remember? Maps support the values of those who make them, and distort everything else. So, if your goal is a poker game for rich old white guys, we’ve got a fantastic map right now. I think it’s in all of our best interests to get working on a new vision for the web, and a new role for technology.</p>
</section>
<section class="black panel1">
<p>We can produce a vision of the web that isn’t based on:</p>
<h1 class="emph">consolidation<br>
	privatization<br>
	power<br>hierarchies<br>
	surveillance</h1>
<p>We can make a new map. Or maybe reclaim a map we misplaced a long time ago. One built on:</p>
<h1 class="emph">extensibility<br>
	openness<br>
	communication<br>
	community<br>
	<em>wildness</em></h1>
<p>We can use the efficiency and power of interfaces to help people do what they already wish more quickly or enjoyably, and we can build up business structures so that it’s okay for people to put down technology and get on with their life once their job is done. We can rearrange how we think about the tools we build, so that someone putting down your tool doesn’t disprove its utility, but validates its usefulness.</p>
</section>
<section class="white">
<p>Let me leave you with this: the point of my writing was to ask what screens want. I think that’s a great question, but it is a secondary concern. What screens want needs to match up with <em>what we want.</em></p>
<p>People believe there’s an essence to the computer, that there’s something true and real and a correct way to do things. But—there is no right way. We get to choose how to aim the technology we build. At least for now, because increasingly, technology feels like something that happens to you instead of something you use. We need to figure out how to stop that, for all of our sakes, before we’re locked in, on rails, and headed toward who knows what.</p>
<p>One of the reasons that I’m so fascinated by screens is because their story is our story. First there was darkness, and then there was light. And then we figured out how to make that light dance. Both stories are about transformations, about change. Screens have flux, and so do we.</p>
<p>So the pep talk is that things are starting to suck, but there’s a capacity for change in what we’ve made, who we are, and what we believe. Everything was made, and if we want, we can remake it how we see fit. We only need to want it.</p>
<p>And then we have to build it.<span class="fin"></span></p>
</section>
