title: Hyperlinks, a counter factual evolution of the web, and non-sequential connections
url: http://www.ted-hunt.com/HYPERLINKS/index.html
hash_url: 384600333e479aae7b6bd500ae58a3ad

<h2>
The web, as we know it, is built upon the protocol of the <a href="https://en.wikipedia.org/wiki/Hyperlink"><span class="underline underline--solid">hyperlink</span></a>.
It is the hyperlink that forms the very <i>webbing</i> of the World Wide Web and <i>netting</i> of the Net. The hyperlink has unequivocally evolved the ontology of information.
Yet this simple function could have once been, and might yet still be, extremely different.</h2>
<br />
<h1>The history of the hyperlink</h1>
<h2>
The term 'hypertext' (which gave birth to the term 'hyperlink') was originally coined by the pre-internet pioneer Ted Nelson in 1963. Nelson's vision for hypertext significantly differed from its eventual interpretation in that he proposed two-way links between information, rather than the now ubiquitous one-way web links later outlined by Tim Berners-Lee. Nelson saw Berners-Lee's work as a gross over-simplification of his original vision resulting in '<i>ever-breaking links, links going outward only, quotes you can't follow to their origins, no version management, no rights management</i>'. Had Nelson's own proposition go on to form the governing functions of web hyperlinks its implications might have influenced radically alternative outcomes for;
<ul>
 <li>Relevance of web search results
 <li>Contextual lineage of ideas and information
 <li>Authenticity of information (particularly fake news)
 <li>Democracy of authorship and ownership
 <li>Intellectual property accreditation and copyright
 <li>Sophistication of interrelationships between information
 <li>Distributed knowledge and intelligence
</ul>
</h2>
<br />
<h1>An alternative interpretation of the hyperlink</h1>
<h2>
<i>More weave, less threads.</i><br />
- Ted Nelson.
<br /><br />
The below speculative classification types illustrate how the existing hyperlink might be emancipated from the linear threads of A > B functionality, and extended towards the nonlinear weaving of A > B,C,D,E.. functionalities.
</h2>
<div class="container">
<h3>
<img src="http://www.ted-hunt.com/HYPERLINKS/solid.png" width="50">&nbsp;&nbsp;<a href=""><span class="underline underline--solid">Solid underline:</span></a>
&nbsp;<font color="#999">Standard hyperlink from document to document.</font>
<br />

<img src="http://www.ted-hunt.com/HYPERLINKS/double.png" width="50">&nbsp;&nbsp;<a href=""><span class="underline underline--double">Double underline:</span></a>
&nbsp;<font color="#999">Hyperlink as backlink to <i>citation</i> of source document.</font>
<br />

<img src="http://www.ted-hunt.com/HYPERLINKS/dashed.png" width="50">&nbsp;&nbsp;<a href=""><span class="underline underline--dashed">Dashed underline:</span></a>
&nbsp;<font color="#999">Hyperlink to document that <i>advocates / agrees</i>.</font>
<br />

<img src="http://www.ted-hunt.com/HYPERLINKS/dotted.png" width="50">&nbsp;&nbsp;<a href=""><span class="underline underline--dotted">Dotted underline:</span></a>
&nbsp;<font color="#999">Hyperlink to document that is <i>critical / disagrees</i>.</font>
<br />

<img src="http://www.ted-hunt.com/HYPERLINKS/dotdash.png" width="50">&nbsp;&nbsp;<a href=""><span class="underline underline--dotdash">Dot-Dash underline:</span></a>
&nbsp;<font color="#999">Hyperlink to document that both/neither <i>agrees and disagrees</i>.</font>
<br />

<img src="http://www.ted-hunt.com/HYPERLINKS/wave.png" width="50">&nbsp;&nbsp;<a href=""><span class="underline underline--waved">Waved underline:</span></a>
&nbsp;<font color="#999">Hyperlink to document with <i>nonlinear relationship</i>.</font>
<br />
</h3>
</div>
<br />
<h1>A contextual example</h1>
<h2>The below extract demonstrates each speculative link type within context.</h2>
<div class="container">
<h3>
'Today's <a href="http://else.is/yesterdaystomorrow/PARADIGMS.mp4"><span class="underline underline--dotted">one-way hypertext</span></a> - the <a href="https://en.wikipedia.org/wiki/World_Wide_Web"><span class="underline underline--solid">World Wide Web</span></a> - is far too shallow.  The <a href="http://xanadu.com/nxu/index.html"><span class="underline underline--double">Xanadu project</span></a> foresaw <a href="https://en.wikipedia.org/wiki/Hypertext"><span class="underline underline--dashed">world-wide hypertext</span></a> and has always endeavored to create a much <a href="https://www.youtube.com/watch?v=72M5kcnAL-4"><span class="underline underline--dashed">deeper system</span></a>. The Web, however, took over with a very <a href="http://info.cern.ch/Proposal.html"><span class="underline underline--waved">shallow structure</span></a>.'<br />
<font color="#999">- Ted Nelson, The Xanadu project</font></h3>
</div>
<h2>Within this single example we can now navigate multiple types of hyperlinks, from reference of origin, to the further extension of ideas, to alternative arguments, to loosely connected ideas. The concept of none non-sequential information might not only be limited to the variations in the dots/nodes of web, but extended to variations in the connections between those dots/nodes.</h2>
<br /><br />
<img src="http://www.ted-hunt.com/HYPERLINKS/hyperlinks.png" border="0">
<br />
<h2>Rather than presenting an unrealistic, and unfeasible, proposition to retrospectively re-author the entirety of the webs hyperlinks the above speculation might instead highlight the trade offs technologies make when favouring simplicity. Where simplicity favours accelerated understanding and adoption it in turn sacrifices the evolution of greater spectrums of interpretation.
<br /><br />
By betting on simplicity technology gambles that fewer functions delivering restricted interpretations will always win-out over the complexity of more functions delivering broader interpretations.
<br /><br />
</h2>
