title: Stanford University Libraries
url: https://library.stanford.edu/projects/web-archiving/archivability
hash_url: 5aa82a2b410df7ea8a2debd82d0502c4

<p>Web builders already design for <a href="http://ucomm.stanford.edu/policies/accessibility-policy.html">accessibility</a>, <a href="http://en.wikipedia.org/wiki/Web_performance_optimization">performance</a>, <a href="http://en.wikipedia.org/wiki/Search_engine_optimization">search engine optimization</a>, <a href="http://www.w3.org/standards/">standards compliance</a>, and <a href="http://en.wikipedia.org/wiki/Web_usability">usability</a>. An emerging best practice is to design also for <a href="https://www.google.com/search?q=web+archivability">archivability</a>. Archivability refers to the ease with which the content, structure, functionality, and front-end presentation(s) of a website can be preserved and later re-presented, using contemporary web archiving tools.</p>
<p><a href="http://en.wikipedia.org/wiki/List_of_Web_archiving_initiatives">Many organizations</a> are now engaged in preserving many different types of content from the Web. The cohort of users of the temporal web can only grow with time, underscoring the breadth of its stakeholders and the outsized impact of investments to improve the usability of archived resources. As a web builder, you can help facilitate web archiving efforts by third parties or your own organization by following the archivability recommendations presented in the sub-pages accessible through the links in the left menu.</p>
<p>In addition to improving the usability of the temporal web and helping to ensure the preservation of collective cultural heritage, designing for archivability will also tend to optimize your website for access by other crawlers, boost website performance, enhance usability for contemporary users, and improve the likelihood that you'll be able to <a href="http://wolfslittlestore.be/2012/11/archivability-of-the-web/">refer to</a> and/or <a href="http://code.google.com/p/warrick/">recover</a> historical versions of your own web content.</p>
