title: Production and growth
url: https://lucascherkewski.com/study/franklin-production-growth/
hash_url: 626adbe261881628b7e3f6b99e9faa2b

<p>Some excerpts from Ursula Franklin’s <em>The Real World of Technology</em>, on production and growth models.</p>

<p>Early, Franklin defines and distinguishes the two:</p>

<blockquote>
  <p>Growth occurs; it is not made. Within a growth model, all that human intervention can do is to discover the best conditions for growth and then try to meet them. (20)</p>
</blockquote>

<blockquote>
  <p>A production model is different in kind. Here things are not grown but made, and made under conditions that are, at least in principle, entirely controllable. If in practice such control is not complete or completely successful, then there is an assumption, implicit in the model itself, that improvements in knowledge, design, and organization can occur so that all essential parameters will become controllable. Production, then, is predictable, while growth is not. There is something comforting in a production model—everything seems in hand, nothing is left to chance—while growth is always chancy. (20–21)</p>
</blockquote>

<blockquote>
  <p>Production models are perceived and constructed without links into a larger context. This allows the use of a particular model in a variety of situations. At the same time such an approach discounts and disregards all effects arising from the impact of the production activity on its surroundings. … Such <em>externalities</em> are considered irrelevant to the activity itself and are therefore the business of someone else. Think of a work situation, a production line. There are important factors—such as pollution or the physical and mental health of the workers—which in the production model are considered other people’s problems. They are externalities. (21)</p>
</blockquote>

<blockquote>
  <p>It is worthwhile stopping for a minute to see whether we ought not to think far more in terms of growth models rather than production models, even though today production models are almost the only guides for public and private discussions. It is instructive to realize how often in the past the production model has supplanted the growth model as a guide for public and private actions, even in areas in which the growth model might have been more fruitful or appropriate. (21–22)</p>
</blockquote>

<blockquote>
  <p>The real world of technology seems to involve an inherent trust in machines and devices (“production is under control”) and a basic apprehension of people (“growth is chancy, one can never be sure of the outcomes”). (25)</p>
</blockquote>

<p>Later, Franklin connects these models to our planning impulse:</p>

<blockquote>
  <p>A common denominator of technological planning has always been the wish to adjust parameters to maximize efficiency and effectiveness. Underlying the plans has been a production model, and production is typically planned to maximize gain. In such a milieu it is easy to forget that not everything is plannable. Actually, most things are properly described by a growth model—and that means many activities of living—and are ultimately not plannable. (79–80)</p>
</blockquote>

<blockquote>
  <p>Although I was intellectually quite well prepared for the birth of my first child, I was stunned by the degree of randomness that this event created in my life. It took me a while to understand that it was pointless to plan my days the way I used to. This did not mean that I didn’t plan or prearrange, but that I needed different schemes to deal with the unplannable.</p>

  <p>Women in particular have developed such schemes over the centuries—arrangements that are not a surrender to randomness, but an allotment of time and resources based on situational judgements. … What makes them so different is that holistic strategies are, more often than not, intended to minimize disaster rather than to maximize gain. (80)</p>
</blockquote>

<blockquote>
  <p>A crucial distinction here is the place of context. Attempts to minimize disaster require recognition and a profound understanding of context. Context is not considered as stable and invariant; on the contrary, every response induces a counter-response which changes the situation so that the next steps and decisions are taken within an altered context. Traditional planning, on the other hand, assumes a stable context and predictable responses. (81)</p>
</blockquote>
