title: Write to Organize
url: https://ia.net/writer/blog/write-to-organize
hash_url: 69dbdb0356028efdcec2bc2fb2a384e2

<p><img src="https://ia.net/wp-content/uploads/2018/09/iA-Writer-5.1-With-Tags-aka-the-kraken-release.png" alt="iA Writer 5.1 now with tags. Write to organize."/></p>
<p><strong> <br/>Creating the latest update to iA Writer was a slow burn. Beginning with some basic maintenance and then improvements for the new iOS 12 and macOS Mojave, the Kraken was released in the final weeks of preparation. The all new Tags and x-callback-urls are so hip they’ll take you to funky town.</strong></p>
<p>Here is how tags started. We decided to add smart folders to iA Writer for Mac. Just before wrapping that task up, someone on the iA Writer design chat said:</p>
<blockquote><p>
“Great, now I’m going to use tags with smart folders and get organized.”
</p></blockquote>
<p>As a grey-haired information architect, I have encountered 666 flavors of tags and tag clouds. Every time someone suggests tags as “a great way to organize a CMS” or solve global warming, I don’t have much to say. I just lift a Spock eyebrow.</p>
<h2>The Problem with Tags</h2>
<p>Tags suck. On paper, they look like a great solution to everything. But in practice, they just add an additional burden to any content management system. With tags, content managers do not only have to organize the content and the hierarchy but also the category systems. <em>Writing</em> good content is already hard enough.</p>
<p>After typing the first couple of tags in our beta and adding them to Smart Folders I got softly hooked though. A day later my hands typed:</p>
<blockquote><p>
“Tags should be formatted differently. Using the system font. They belong to the system, sort of.”
</p></blockquote>
<p>What had my hands just typed? Me, not just supporting tags, but championing a second font in iA Writer? What’s next, free font choice, Comic Sans? I started to feel that typing tags in the document was not the same as adding metadata from outside, I didn’t know why. And before I knew what was happening, I wrote:</p>
<blockquote><p>
“…and then they should be added automatically to the library!”
</p></blockquote>
<p>That needed an exclamation mark because it was the coolest idea ever. Team members quickly pointed out that this idea was as old as tags. And that this indeed is how tags should work everywhere. Not as added-on metadata, post-its, and stickers, but from within the content.</p>
<h2>Write to organize!</h2>
<p>I started tagging my 300+ notes. It was easy because I could write to organize instead of pointing and clicking and adding stickers. I didn’t first have to think about a good set of categories and then ask myself which notes belong where. I just wrote in the article to organize. And, man, did those dusty notes suddenly shine. I was a bit worried though because that list grew fast. My hands typed:</p>
<blockquote><p>
“Shouldn’t they be used in tag clouds instead of a list? Lists can get long…”
</p></blockquote>
<p>Instead of an alphabetical list, maybe we should add a tag cloud because that saves space. Who knows what I would have suggested next! Different typographic sizes depending on how often one tag was used? Luckily, the cloud was not easy to do. Luckily, because that simple and growing alphabetical list may be what makes tag list so good and tag clouds so bad. Tag lists act as a table of contents. They make you feel that you own a bag of gems instead of just a salad of abstract notions.</p>
<h2>A treasure trove</h2>
<p>As you can tell, now, I can’t get enough of my tag list. It’s so nice that sometimes I just open iA Writer to look at my tags. Everything I like is in there. #Aesthetics, #Plato, #Design, #floating, #Japan, my precious!</p>
<p>Tagging opened a treasure trove of notes I had taken over the years with ideas and quotes and notes I had long forgotten… And tagging cleaned up all these notes at the same time. Enough! Just look at how smoothly text morphs into a tag… and now look how it is added to the library…</p>
<p> <br/>
<video poster="https://ia.net/wp-content/uploads/2018/09/iA-Writer-Tags-Its-Easy.png" controls=""><source src="https://player.vimeo.com/external/290704339.sd.mp4?s=905835209d110fbf7fa6684460f48558109ba74d&amp;profile_id=165" type="video/mp4">Your browser does not support the video tag.</source></video><br/>
 </p>
<p>Aaah, right? After a couple of weeks with tags, I don’t know what-what I’d do without them. More folders? Nah. Suddenly I need much fewer folders to keep things in order. Especially on small touch devices tags are a blessing. Just tag it. If you feel like it, you can order it on a point and click device later. Being able to write tags from within the documents completely changes the game.</p>
<ul>
<li>It’s fast and organic. </li>
<li>If there is a tag in there that is outdated or spelled wrong, you can easily spot it and correct the issue. </li>
<li>If you use tags actively to find a document, you automatically take care of them. </li>
<li>They are easier to curate than folder structures and require less hierarchy and less logic in the hierarchy. Of course, it’s best to use both tags and folders!</li>
<li>Typing tags is very iA Writer: Keep your hands on the keyboard. You type to organize.</li>
<li>If you’re writing an article about a hashtag and want it to look like text, just put a backslash before the hash sign \#TalkLikeAPirateDay. </li>
</ul>
<p>So yes, we now have tags. Not little flags patiently glued onto your files one by one, but essential words you write as you go. What could be better for iA Writer than that? Okay, gotta move on.</p>
<h2>The ultimate nerd pitch</h2>
<p>I tried my best to make tags as juicy as they feel to me. They may still sound nerdy. I understand you. But before you go, let me give you the ultimate nerd pitch: x-callback-url support.</p>
<p>I knew we had to add it at some point. But honestly, x-callback-url support is something I would have never dreamed of being excited about. But, damn it, I am. I am not going to make a long story about how that happened. Just this much: Spend a few minutes on how the <a href="https://itunes.apple.com/fi/app/shortcuts/id915249334?mt=8">Shortcuts app</a> works, and in a breath, you can send clippings and entire articles to iA Writer, with title, copied text, and tags. You simply select a text, tap the share button, and you can… Okay, just look:</p>
<p> <br/>
<video poster="https://ia.net/wp-content/uploads/2018/09/iA-Writer-x-callback-url-it-s-a-kind-of-magic.png" controls=""><source src="https://player.vimeo.com/external/290726496.hd.mp4?s=58ec24a910bb632544b1c8935562da3bcf8aca20&amp;profile_id=174" type="video/mp4">Your browser does not support the video tag.</source></video><br/>
 </p>
<p>Aaah, right? No? Here are two shortcuts we made for you. One <a href="https://www.icloud.com/shortcuts/49d8c381eb1c40a78fb306508d3a7462">adds text clippings</a> from everywhere, the other <a href="https://www.icloud.com/shortcuts/ad494048e25b447e8ed357babda64876">clones entire articles</a> from the Web to iA Writer. Magic.</p>
<p>Still here? Welcome to funky town. Gotta move on.</p>
</article>
