title: Hypersensibilités chez l'Adulte surdoué : Douance Québec
url: http://www.aqdouance.org/hypersensibilites-chez-ladulte-surdoue-douance-quebec/
hash_url: 7047f989532622880fa0659a76d4af42

<h1 class="entry-title">Adulte à haut potentiel (douance) : Mieux comprendre et mieux vivre avec mes hypersensibilités</h1>
<p>On dit des <a href="http://www.aqdouance.org/adulte-surdoue/">adultes  vivant avec une douance (adultes surdoués</a>) qu’ils sont <em>hypersensibles</em>, qu’ils réagissent fort, <em>trop </em>fort, à tout, à ce qui existe et ce qui n’existe pas, qu’ils sont trop émotifs, trop sensibles, qu’ils doivent bien dramatiser et en inventer un peu parfois … et pourtant. Les adultes qui vivent avec une douance (adultes surdoués) se disent eux-mêmes <em>hypersensibles.</em> Ils absorbent les émotions des autres et perçoivent leurs pensées. Ils sont intensément affectés par l’ambiance d’un lieu. Ils <em>savent </em>intuitivement. Pourtant, les autres ne les croient pas toujours … et pourtant.</p>
<h6><strong>➡</strong><strong>Qu’est-ce que l’hypersensibilité ?</strong></h6>
<p>En médecine, une <em>hypersensibilité </em>est une réaction d’immunité adaptative, de réponse exagérée ou inappropriée au contact d’une substance, provocant des lésions tissulaires. En d’autres mots : allergie, atopie, intolérance, réaction immunitaire, immunodéficience, réaction auto-immune et réaction auto-inflammatoire sont des hypersensibilités Les auteurs spécialisés en douance définissent l’<em>hypersensibilité (</em>ou <em>hyperexcitabilité) </em>comme une sensibilité biologique aux stimuli de l’environnement, provisoire ou durable, qui est plus élevée que la moyenne des gens et qui engendre donc une réaction émotive et comportementale plus intense pouvant être perçue comme exagérée ou extrême. Les processus physiologiques reliant une intelligence élevée à une meilleure discrimination sensorielle ont déjà été démontrés dans plusieurs études (p.ex. Aron et Aron, 1997 ; Melnick et al., 2013) (Figure 1).</p>
<figure id="attachment_1225" aria-describedby="caption-attachment-1225" class="wp-caption aligncenter"><img class="wp-image-1225" title="Douance et hypersensibilités - Douance Québec" src="http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-4.jpg" alt="Douance et hypersensibilités - Douance Québec" srcset="http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-4.jpg 1033w, http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-4-300x224.jpg 300w, http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-4-768x572.jpg 768w, http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-4-1024x763.jpg 1024w" sizes="(max-width: 593px) 100vw, 593px"/><figcaption id="caption-attachment-1225" class="wp-caption-text">Figure 1. Douance et hypersensibilités</figcaption></figure>
<figure id="attachment_656" class="wp-caption aligncenter"/>
<p>En fait, les hypersensibilités prennent racine dans les particularités neurophysiologiques des enfants et des adultes qui vivent avec une douance (adultes surdoués et enfants surdoués) (Figure 2).</p>
<figure id="attachment_1226" aria-describedby="caption-attachment-1226" class="wp-caption aligncenter"><img class="wp-image-1226 size-large" title="Douance et hypersensibilités - Douance Québec" src="http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-3-1024x775.jpg" alt="Douance et hypersensibilités - Douance Québec" srcset="http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-3-1024x775.jpg 1024w, http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-3-300x227.jpg 300w, http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-3-768x581.jpg 768w, http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-3.jpg 1047w" sizes="(max-width: 640px) 100vw, 640px"/><figcaption id="caption-attachment-1226" class="wp-caption-text">Figure 2. Particularités neuropsychologiques des individus qui vivent avec une douance (surdoués)</figcaption></figure>
<figure id="attachment_653" class="wp-caption aligncenter"/>
<p>Dans sa théorie de la désintégration positive (la plus fréquemment utilisée afin de comprendre le développement unique des individus qui vivent avec une douance (surdoués)), Dabrowski définit cinq types d’hyperexcitabilités ou d’hypersensibilités (Figure 3).</p>
<figure id="attachment_1227" aria-describedby="caption-attachment-1227" class="wp-caption aligncenter"><img class="wp-image-1227 size-large" title="Douance et hypersensibilités - Douance Québec" src="http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-2-1024x576.jpg" alt="Douance et hypersensibilités - Douance Québec" srcset="http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-2-1024x576.jpg 1024w, http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-2-300x169.jpg 300w, http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-2-768x432.jpg 768w, http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-2.jpg 1280w" sizes="(max-width: 640px) 100vw, 640px"/><figcaption id="caption-attachment-1227" class="wp-caption-text">Figure 3. Les hypersensibilités dans la théorie de Dabrowki</figcaption></figure>
<h6><strong>➡</strong><strong>Hypersensibilités : <em>handicap </em>ou <em>don </em>?</strong></h6>
<p>Parmi les traits qui caractérisent généralement la douance chez l’adulte et qu’on retrouve dans les écrits scientifiques sur le sujet, les hypersensibilités sont souvent nommées comme source de mal-être ou même de détresse et de souffrance. Tout sentir, tout entendre, tout voir, tout ressentir … le <em>visible </em>et l’<em>invisible</em>, le <em>dit </em>et le <em>non-dit. </em>Être seul à tout percevoir, à ressentir aussi intensément, personne à qui en parler, personne qui peut nous croire. Se sentir différent, bizarre … ou fou ? Et pourtant … sentir <em>vraiment</em>, avoir <em>vraiment </em>mal physiquement et émotivement. On ne doit pas être si fou ? Dans un groupe d’adultes qui consultaient en psychiatrie, l’étude de Lancon et al. (2015) révèle que les adultes vivant avec une douance (adultes surdoués) avaient plus de douleurs chroniques, de plaintes physiques, de migraines, de manque de vitalité ou de maladies auto-immunes que ceux qui n’avaient pas de douance. Leurs résultats indiquaient aussi que la santé mentale des adultes qui vivent avec une douance (adultes surdoués) était plus altérée et limitait davantage leur fonctionnement quotidien ainsi que leur vie sociale. Pourtant, les résultats de Bessou et al. (2003) montrent que 78,6% des adultes vivant avec une douance (adultes surdoués), de 65 ans et plus se disent aussi heureux que lorsqu’ils étaient jeunes malgré le fait que 14% d’entre eux avaient déjà vécu au moins un épisode de dépression majeure (vs 8% chez les non-surdoués).</p>
<h6><strong>➡</strong><strong>Hypersensibilités : handicap <em>et </em>don ?</strong></h6>
<p>Cela peut paraître surprenant, mais ce sont également nos hypersensibilités qui nous rendent aussi créatifs, énergiques, intuitifs et empathiques. Ce sont elles qui nous donnent notre sens de la justice et de la vérité, qui nous poussent à l’authenticité, à vouloir <em>comprendre </em>et <em>savoir </em>et qui permettent à notre pensée d’être aussi rapide, analytique et arborescente. Médecin, psychiatre, psychologue, philosophe, écrivain et poète, Kazimierz Dabrowski est né en Pologne, mais a passé une partie de sa vie au Québec et en Alberta. Il a dévoué sa vie à observer et comprendre la santé mentale et le développement humain, en observant particulièrement les êtres exceptionnels, de ceux capables des pires atrocités à ceux capables des plus grandes réalisations. Selon la théorie de Dabrowski, <em>plus nous avons</em> d’<strong><em>hypersensibilités</em></strong> et de <strong><em>forces d’autonomie </em></strong>(c’est-à-dire les processus dynamiques et autonomes qui nous poussent à nous impliquer, à nous engager, à transformer consciemment nos idéaux en actions, à contrôler notre propre comportement en fonction de nos valeurs) <em>plus notre potentiel de développement sera élevé</em>. Selon lui, les hypersensibilités sont <em>essentielles </em>à l’évolution avancée et émancipée de l’individu. Au dernier (et plus avancé) stade du développement humain, Dabrowski indique que l’individu expérimente l’harmonie et la paix intérieure. Il vit selon sa personnalité idéale et n’expérimente plus de conflit intérieur depuis qu’il a détruit et remplacé ses forces motivationnelles inférieures (biologique et sociale) par des forces de motivation plus élevées (empathie, autonomie, responsabilité, authenticité).</p>
<h6><strong>➡</strong><strong>Le «<em>cadeau tragique»</em> selon Dabrowski</strong></h6>
<p>Pour Dabrowski, les conflits internes et les émotions négatives comme l’anxiété ou la dépression sont <em>nécessaires </em>à notre développement, à notre croissance et à notre évolution en tant qu’individu <em>et</em> en tant qu’humanité. C’est grâce à nos tensions psychologiques que nous pouvons détruire notre système initial de valeurs (c’est-à-dire les forces qui guident notre comportement) basé sur l’instinct biologique (par ex. l’hérédité, la survie, la reproduction) et la socialisation (par ex. le regard des autres, le conformisme, l’approbation, les valeurs de la société). Ce n’est qu’en désintégrant ce système de valeurs inférieures, dans lequel notre intelligence est au service de notre intérêt personnel, que nous pourrons prendre en main notre développement. Ce processus ne peut s’enclencher qu’<em>au travers </em>nos ambivalences, nos insatisfactions, nos incertitudes face à nous-mêmes, nos expériences de vie négatives, nos questionnements identitaires, nos conflits intérieurs, notre mal-être, notre honte, notre culpabilité et notre mésadaptation face à notre environnement. Si nous avons un potentiel de développement assez élevé (<em>si et seulement si</em>), notre intelligence se focalise dès lors sur le développement volontaire, responsable, autonome et authentique de notre propre psychologie basée sur notre construction de plus en plus claire de l’idéal à atteindre (en regard de nous-mêmes et des autres individus, mais aussi de l’essence sociale et humaine). Nous consacrons alors autant d’efforts à croître nous-mêmes qu’à aider les autres à le faire pour, eux aussi, atteindre cet idéal. Pour y parvenir, il faut absolument avoir assez d’<em>hypersensibilités</em> et de <em>forces d’autonomie </em>pour grandir en traversant nos expériences négatives et nos conflits intérieurs. Selon Dabrowski, la douance est un «<em>cadeau tragique</em>» puisqu’elle nous offre un potentiel de développement immense et nous pousse à rechercher un très de haut niveau d’harmonie intérieure, mais seulement si nous passons par de grandes tragédies. Un chemin intérieur singulier et souvent isolé, qui n’est ni tranquille, ni facile. Et pourtant.</p>
<h6><strong>➡</strong><strong>Accepter et aimer</strong></h6>
<p>Lorsqu’on accepte et qu’on écoute nos hypersensibilités pour s’en servir, consciemment, comme guides, comme antennes, pour sentir et observer <em>ce qui est le plus important pour nous dans la vie</em>. Lorsque notre besoin viscéral de créer et de comprendre, notre sens de la justice et des valeurs, notre authenticité, notre engagement, notre empathie nous poussent à canaliser notre énergie <em>quasi </em>inépuisable pour agir et nous approcher de <em>ce qui est le plus important pour nous dans la vie</em>. Lorsque nous cherchons consciemment et activement à fusionner <em>moi réel</em> et <em>moi idéal</em> pour créer une identité connue, définie, forte, aimée, confiante, harmonieuse et … en paix. Difficile de ne pas <em>aimer </em>nos hypersensibilités, non ? Et ce, <em>avec </em>la souffrance, les inconforts, le mal-être, la détresse, l’anxiété ou la dépression qu’elles apportent puisqu’au fond, ce sont elles qui nous permettent de <em>savoir </em>par où aller pour être heureux. En général, on prend soin de ce qu’on aime. Voici donc les conseils les plus fréquents que je donne en clinique, selon les particularités de chacun, pour prendre soin de nos hypersensibilités. Elles seront de meilleures antennes si elles ne sont pas trop irritées par les stimuli de notre environnement.</p>
<h6><strong>➡</strong><strong>Prendre soin de mes hypersensibilités sensitives</strong></h6>
<ul>
<li><strong>Favoriser la lumière naturelle</strong> et tamisée à la maison et au travail. Se créer une ambiance qui nous apaise. Éviter les néons et les fluorescents. Si ce n’est pas possible, sachez qu’il existe des filtres pour les fluorescents comme ceux qu’on retrouve dans les salles de classe et qui sont souvent les mêmes qu’on retrouve dans plusieurs espaces de bureaux <u>http://www.fdmt.ca/filtres-de-lumiere-pour-salle-de-classe-i-1396200</u>.</li>
<li><strong>Réduire la stimulation visuelle</strong> (par ex. se placer plus loin de la fenêtre, choisir des couleurs douces et neutres sur nos murs, garder notre environnement propre, dégagé et le plus libre possible).</li>
<li><strong>Diminuer la luminosité de nos écrans</strong> et acheter/choisir des écrans ou des filtres anti lumière bleue (cellulaire, télévision, ordinateur).</li>
<li><strong>Diminuer la quantité de temps passée devant les écrans</strong> (télévision, ordinateur, cellulaire, tablette), pour toute la famille. Se donner une règle familiale ferme de ne pas regarder d’écran au moins 60 minutes avant d’aller dormir. (Pour information, la société canadienne de pédiatrie déconseille fortement l’utilisation de tout écrans chez les enfants de moins de deux ans. Les experts recommandent un maximum d’une heure par jour entre 2 et 4 ans, puis un maximum de deux heures par jour pour les enfants plus vieux et les adolescents. Pour des conseils afin de limiter le temps d’écran à la maison : <u>http://www.soinsdenosenfants.cps.ca/handouts/limiting_screen_time_at_home   /      </u><u>http://naitreetgrandir.com/fr/etape/1_3_ans/jeux/fiche.aspx?doc=ecrans-jeunes-enfants-television-ordinateur-tablette)</u></li>
<li><strong>Consulter un optométriste</strong> pour :
<ul>
<li>1) évaluer la possibilité de porter des lunettes de repos (antifatigue) même en l’absence de trouble de la vue,</li>
<li>2) faire vérifier notre vision chaque année,</li>
<li>3) ajuster nos verres correcteurs, même pour de toutes petites variations de notre vision,</li>
<li>4) choisir des verres antireflets, antiégratignures et spécifiquement conçus pour le travail sur écran afin, notamment de réduire les effets nocifs de la lumière bleue-violet,</li>
<li>5) Porter des lunettes protectrices contre les rayons UV du soleil adaptées à notre vue ou des verres transitions qui s’adaptent en fonction du niveau de lumière dans la pièce ou à l’extérieur.</li>
</ul>
</li>
<li><strong>Porter des bouchons auditifs</strong> moulés par un audiologiste et recommandés par lui en fonction de nos besoins (p.ex. au travail, l’après-midi, la nuit).</li>
<li><strong>Réduire le bruit ambiant</strong> et la pollution sonore (p.ex. télévision, radio, climatisation, appareils électroniques, animaux).</li>
<li><strong>Porter en tout temps des vêtements les plus confortables</strong> possible (p.ex. couper l’étiquette si nécessaire, choisir des vêtements élastiques, trouver une alternative aux souliers rigides qu’on porte toute la journée).</li>
<li><strong>S’assurer d’avoir un matelas assez grand</strong> et récent (qui a moins de 10 ans). Les matelas habituellement recommandés pour les personnes souffrant de fibromyalgie, c’est-à-dire à mémoire de forme minimalement. Ou pour ceux qui souffrent grandement la nuit ou au réveil sont les matelas de type TEMPUR.  Ils peuvent être prescrits par le médecin s’il le juge nécessaire, ce qui vous permet d’économiser les taxes. Ces matelas demeurent tout de même dispendieux.</li>
<li><strong>S’assurer d’avoir un oreiller qui convient à notre sommeil et</strong> auquel il faut parfois ajouter un oreiller de positionnement. L’achat d’oreillers orthopédiques peut être nécessaire pour certains (p.ex. orthex.ca).</li>
<li><strong>Utiliser un dispositif pour améliorer la respiration</strong> par le nez la nuit (et éliminer les ronflements), comme un dilatateur nasal anti-ronflement (par ex. RespiFacile® en vente libre) ou des bandelettes nasales (par ex. Breathe Right® en vente libre). Pour trouver les meilleures solutions pour vous, n’hésitez pas à consulter votre médecin, votre pharmacien ou à trouver des idées à <u>http://solutions-antironflement.com/</u>.</li>
<li><strong>Porter un masque occultant</strong> confortable pour dormir (loup).</li>
<li><strong>Consulter notre dentiste</strong> pour:
<ul>
<li>1) vérifier si nos dents montrent des traces de bruxisme (serrement, frottement et grincement des dents qui génèrent des tensions dans les articulations temporo-mandibulaires).</li>
<li>2) en cas de bruxisme, s’assurer de porter une plaque occlusale en bon état (la faire vérifier par notre dentiste au moins une fois par année). Privilégier une plaque la plus flexible possible et portée sur l’arcade dentaire du haut. Attention, certaines personnes font également du bruxisme le jour (portez-y attention) et doivent porter une plaque occlusale durant la journée</li>
<li>3) s’assurer qu’aucun problème structural ou conditions liées à nos dents ou à notre mâchoire puissent entraîner des inconforts, des maux de têtes, etc. Évaluer les options de traitement si tel est le cas.</li>
</ul>
</li>
<li><strong>Se donner une routine d’apaisement</strong> dès le retour à la maison après la journée de travail (par ex. aller prendre une douche, se mettre tout de suite en vêtements confortables, prendre 5-10 minutes de repos complet, les yeux fermés, sans bruit, avec des bouchons, etc.).</li>
<li><strong>Utiliser des moyens de stimulation orale</strong> (par ex. mâcher de la gomme, des pailles, de la glace; manger de la réglisse, des raisins secs ou du maïs soufflé ; boire de l’eau en bouteille).</li>
<li><strong>Boire au moins 2 litres d’eau par jour</strong> (plus si on transpire beaucoup ou si on est très actif dans la journée).</li>
<li><strong>Manger de petites quantités</strong>, toutes les deux heures, toute la journée. Viser le modèle de<em> l’assiette santé</em> de l’École de Santé Publique de l’Université Harvard (Figure 4).</li>
</ul>
<figure id="attachment_655" class="wp-caption aligncenter"><figcaption class="wp-caption-text">
<figure id="attachment_1228" aria-describedby="caption-attachment-1228" class="wp-caption aligncenter"><img class="wp-image-1228 size-full" src="http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-1.jpg" alt="" srcset="http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-1.jpg 920w, http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-1-300x235.jpg 300w, http://www.aqdouance.org/wp-content/uploads/2018/05/hypersensibilités-douance-adulte-1-768x601.jpg 768w" sizes="(max-width: 920px) 100vw, 920px"/><figcaption id="caption-attachment-1228" class="wp-caption-text">Figure 4</figcaption></figure>
</figcaption></figure>
<p> </p>
<h6><strong>➡</strong><strong>Prendre soin de mes hypersensibilités imaginatives et intellectuelles :</strong></h6>
<ul>
<li>Me donner le droit et le temps de créer.</li>
<li>Choisir un environnement de travail stimulant, valorisant, créatif, à l’écoute de mes idées, flexible et adapté à mes besoins. Pour approfondir le sujet de la douance en milieu de travail :</li>
</ul>
<p>-Cécile Bost <em>Surdoués : S’intégrer et s’épanouir dans le monde du travail</em>. Vuibert. 2016. -Arielle Adda et Thierry Brunel.<em> Adultes sensibles et surdoués : Trouver sa place au travail et s’épanouir.</em> Odile Jacob. 2015.</p>
<ul>
<li>M’entourer de personnes stimulantes pour moi, sans oublier de m’entourer aussi de personnes apaisantes pour moi, c’est-à-dire qui me permettent parfois de penser un peu moins et qui vont bien émotivement.</li>
<li>Proposer des activités et des projets qui me stimulent à ma famille ou à mes amis. Se laisser le droit à l’émerveillement enfantin face aux petites choses de la vie !</li>
<li>Même si ce n’est pas toujours facile, il est essentiel de prendre extrêmement soin de notre sommeil en adoptant une hygiène de sommeil (et de vie) la plus saine possible. C’est pendant la nuit que mon cerveau se repose et consolide les apprentissages de la journée. N’hésitez pas à consulter <u>https://fondationsommeil.com</u> pour de l’information et des ressources.</li>
</ul>
<h6><strong>➡</strong><strong>Prendre soin de mes hypersensibilités émotionnelles</strong></h6>
<ul>
<li><strong>#1 </strong>Faire preuve de bienveillance envers soi-même, se déculpabiliser et se libérer de la honte.</li>
</ul>
<p>– Nous nous sentons <em>coupables </em>lorsque nous avons causé un dommage <em>réel</em>, fait un <em>réel </em>tord à quelqu’un, avons <em>réellement </em>fait quelque chose de mal ou d’incorrect. La culpabilité est alors très utile à notre bienêtre et à notre estime de soi puisqu’elle nous permet d’agir pour réparer notre geste ou pour rétablir notre relation avec l’autre. – Nous avons <em>honte </em>lorsque nous nous sentons humiliés, inférieurs aux autres, non conformes, inadéquats en regard des normes sociales que nous ne parvenons pas à atteindre. La honte est plus destructrice puisqu’elle atteint notre estime de soi, fragilise notre personnalité, consomme beaucoup de notre énergie et nous pousse à fuir le regard des autres. La honte peut être utile lorsqu’elle attire la sympathie et l’indulgence des autres, mais il est risqué pour notre identité de vivre dans la honte. Une <em>psychothérapie </em>peut être utile, ou même nécessaire, pour se sortir de la honte. Pour investiguer le sujet, n’hésitez pas à consulter le livre de Boris Cyrulnik (2010) <em>Mourir de dire </em>chez Odile Jacob, ou celui de John Bradshaw (2004) <em>S’affranchir de la honte </em>chez Les Éditions de l’Homme.</p>
<ul>
<li>Bien choisir les personnes qui m’entourent et qui sont près de moi en fonction de mes besoins (par ex. authenticité, vérité, justice, stimulation). Me protéger des personnes négatives, dépressives ou trop anxieuses puisque je risque d’absorber (consciemment ou non) leur vécu émotif (par ex. m’éloigner physiquement, temporairement ou définitivement, selon la situation et la relation).</li>
<li>Se donner plus d’espace personnel (par ex. éloigner son bureau des autres au travail, avoir une pièce qui nous est uniquement destinée à la maison).</li>
<li>Me demander très souvent : est-ce que les émotions que je ressens sont à <em>moi </em>?</li>
</ul>
<p>– Si non, à qui peuvent-elles être ? Et que puis-je faire pour ne plus les absorber (p.ex. m’éloigner, les nommer, aller marcher, me détendre, écrire, dessiner, poursuivre un projet important pour moi). – Si oui, les accepter, comme une vague, avec un haut et un bas, qui va et vient, qui finit par disparaître pour être remplacée par une autre, différente celle-là. Me demander ce que je peux faire pour mieux tolérer l’intensité de cette émotion le temps qu’elle passe ? (par ex. en parler à quelqu’un, l’écrire, aller dehors, faire une activité, bouger, etc.).</p>
<ul>
<li>Adopter quotidiennement une discipline qui favorise, <em>pour nous</em>, le bien-être, la sérénité, la paix et le calme intérieur (par ex. yoga, méditation, pleine conscience, manga, sport, jardinage, écriture, dessin, peinture).</li>
</ul>
<h6><strong>➡Prendre soin de mes hypersensibilités psychomotrices</strong></h6>
<ul>
<li>Ressentir et évaluer mon niveau d’énergie physique et l’intensité de mon besoin de bouger pour me mettre consciemment en action afin de le combler. Ne pas hésiter à consulter un entraineur physique personnel, s’inscrire à des cours, à des ligues sportives, prendre des rendez-vous avec d’autres personnes pour aller marcher, etc.</li>
<li>S’assurer de prendre une heure de diner dans la journée durant laquelle on peut aller marcher 10-15 minutes dehors.</li>
<li>Prendre des pauses de 15-20 minutes toutes les deux heures de travail.</li>
<li>Reconnaître et accepter notre besoin de bouger, de changement et de nouveauté. L’observer et définir comment nous pouvons y répondre d’une manière positive dans notre vie (p.ex. être contractuel ou changer régulièrement de projet au travail). Nous éviterons ainsi que ce besoin ne devienne envahissant tout d’un coup et nous pousse à des gestes ou des décisions impulsives (par ex., quitter notre emploi sur un coup de tête).</li>
</ul>
<p> </p>
<blockquote><p><em>Pour prendre soin de nos hypersensibilités, c’est l’accumulation de petites actions conscientes, constantes, et maintenues à long terme qui donne de grands</em><em> résult</em><em>ats.</em></p></blockquote>
<p><em><strong>Dre Marianne Bélanger, Psy.D., Ph.D., psychologue, neuropsychologue, cofondatrice Clinique Douance-Haut-Potentiel (</strong><strong><u>www.tdahmonteregie.com</u></strong><strong>).</strong></em>  <strong>Références </strong>: <em>Aron, E., Aron, A. (1997). Sensory-processing sensitivity and its relation to introversion and emotionality. Journal of Personality and Social Psychology, 73,‎ 345-368.</em> <em>Bessou, A., Tyrell, J., Yziquel, M., Bosson, J.0L., Montani, C., Franco, A. (2003). Satisfaction de vie de 28 surdoués parvenus à l’âge de 65 ans et plus. La Presse Médicale, 32 : 734-9.</em> <em>Dąbrowski, K., Piechowski, M., Kawczak, A. (1970) Mental growth : through positive disintegration, London : Gryf Publications, trad. française, La croissance mentale par la désintégration positive, Ste-Foy, Éditions Saint-Yves, 1972, 166p.</em> <em>Lancon, C., Martinelli, M., Michel, P., Debals, M., Auquier, P., Guedj, E., &amp; Boyer, L. (2015). Comorbidités psychiatriques et qualité de vie chez les sujets à haut potentiel intellectuel : relations avec l’estime de soi. Presse Med. 44, e177-e184.</em> <em>Melnick, M.D., Harrison, B.R., Park, S., Bennetto, L., Tadin, D., (2013). A strong interactive link between sensory discrimination and intelligence. Curr. Biol. 23, 1013-1017.</em></p>
