title: I Turned Off JavaScript for a Whole Week and It Was Glorious
url: http://www.wired.com/2015/11/i-turned-off-javascript-for-a-whole-week-and-it-was-glorious/
hash_url: 764f53203abe264e5c1c7f41bb432728

<p>There’s another web out there, a better web hiding just below the surface of the one we surf from our phones and tablets and laptops every day. A web with no ads, no endlessly scrolling pages, and no annoying modal windows begging you to share the site on social media or sign up for a newsletter. The best part is that you don’t need a special browser extension or an invite-only app to access this alternate reality. All you need to do is change one little setting in your browser of choice. Just un-tick the checkbox that enables “JavaScript” and away you go, to a simpler, cleaner web.</p>
<p>JavaScript is a programming language that can run inside nearly all modern web browsers. In the early days of the web, the language was used to create simple scripts that did handy things, like check to make sure you filled out all the “required” fields on a form before you hit submit. But as Internet connections got faster and browsers got more sophisticated, JavaScript evolved into a tool for building all sorts of complex web-based apps. Some, like Google Docs, even rival desktop apps in size and functionality. The trouble is, when you visit a website, the JavaScript programs embedded on that site run automatically. It can be difficult to know exactly what some of those scripts actually do, leaving you vulnerable to pranks and malicious behavior. </p>
<p data-js="fader" class="pullquote carve fader">
	Most things just worked. And in many cases, worked better.	<span class="attribution"/>
</p>

<p>JavaScript is also a key ingredient of most obnoxious online ad behavior, both visible and below the surface. Many people have turned to ad blockers in recent years, whether out of concern for privacy and security, or simply because they’re fed up with advertising. Just last week, no less an authority than NSA whistleblower Edward Snowden <a href="https://theintercept.com/2015/11/12/edward-snowden-explains-how-to-reclaim-your-privacy/">said in an interview with <em>The Intercept</em></a> that you have not only a right but a duty to block ads online, at least so long as publishers and internet service providers are leaving readers open to <a href="http://www.pcworld.com/article/2956272/security/yahoo-tackles-large-malvertising-campaign-in-its-ad-network.html">malvertising</a> and the planting of <a href="http://www.wired.com/2015/10/verizon-curbs-zombie-cookies-theyll-still-stalk/">zombie cookies</a> on their phones.</p>
<p>A small but growing number of people, however, are taking ad-blocking a step further and just disabling JavaScript altogether. Earlier this month I resolved to join their ranks, at least for one week, and see what life was like without JavaScript. By the end of the week, I dreaded going back to the messy modern web.</p>
<figure attachment_1934488="" class="wp-caption landscape alignnone" data-js="fader"><a href="http://www.wired.com/wp-content/uploads/2015/11/testing.gif"><img src="http://www.wired.com/wp-content/uploads/2015/11/testing.gif" alt="testing" class="size-text-column-width wp-image-1934488"/></a><figcaption class="wp-caption-text link-underline"><span class="credit link-underline-sm"><span aria-hidden="true" class="ui ui ui-illo inline-block ui-credit relative opacity-5 marg-r-micro"/> WIRED</span></figcaption></figure>
<h3>It Just Works</h3>
<p>As you can imagine, I ran into some problems. Netflix wouldn’t work. Neither would YouTube, at least not without turning on Adobe Flash, which would kind of <a href="http://www.wired.com/2015/07/adobe-flash-player-die/" target="_blank">defeat the point</a> of turning off JavaScript. And of course you can forget using Google Docs without JavaScript. Facebook pointed me at a JavaScript-free version of the site designed for mobile phones when I tried to view the site from my laptop, but when I actually tried to open it on my phone I just got a blank page. Twitter worked, but it lacked the handy character counter, making it hard to know if a tweet was too long or not. I could browse WIRED, but not view or leave comments. Some pages just mysteriously failed to load.</p>
<p data-js="fader" class="pullquote carve fader">
	Pages loaded nearly instantly, my laptop battery lasted longer, and I could browse the web with fewer distractions.	<span class="attribution"/>
</p>

<p>But the most surprising thing is that most things just worked. And in many cases, worked better. Pages loaded nearly instantly, my laptop battery lasted longer, and I could browse the web with fewer distractions—all without the sense of guilt that comes with using an ad blocker. After all, I wasn’t actively trying to circumvent anything, the ad networks were simply failing to accomodate my browser settings.</p>
<p>Of course, turning off JavaScript won’t completely protect you from tracking. Cookies, probably the biggest privacy concern for most web uses, will still work. Just visiting a site is enough to capture some data, and if the site pulls in content such as fonts and images from outside servers, those servers can potentially collect some data about you as well. And the biggest security problems in recent years have come not from JavaScript, but from plugins such as Adobe Flash and Acrobat, says Daniel Veditz, a principal security engineer at browser maker Mozilla. Still, turning off JavaScript limits your exposure to exploits, and reduces the number of ways that third parties can vacuum up your data.</p>
<p>On the occasion that I absolutely had to view a JavaScript-only site for work, I found it easy enough to just open it up in a separate web browser. Alternately, browsers such as Google Chrome and plugins like <a href="https://addons.mozilla.org/en-US/firefox/addon/noscript/">NoScript</a> allow you to selectively enable JavaScript for white-listed sites. But in the eyes most serious advocates of Internet freedom, I should never have to run unknown JavaScript. And they’re working hard to spread that idea.</p>
<h3>Free the Web</h3>
<p>The Free Software Foundation doesn’t want to do away with JavaScript, but rather wants to give users more transparency and control over the code that runs on their computer. The organization, founded by Richard Stallman, the creator of the early free operating system GNU, has argued for decades now that software makers should release the code required to build their applications so that users can not only inspect it, but also be make changes to the code and redistribute it. For Stallman and company, your freedom to understand and control the code that runs on your computer is more than just a utilitarian concern, but a moral imperative as well.</p>
<p>Naturally, the foundation opposed the use of the proprietary Adobe Flash platform to add animation and interactivity to websites. But as Flash has <a href="http://www.wired.com/2015/07/adobe-flash-player-die/">fallen out of favor</a>, the group has started to turn its sights to JavaScript. Its <a href="https://www.fsf.org/campaigns/freejs">Free JavaScript</a> campaign, launched in 2013, promotes the idea that websites should only use free and open source JavaScript code or, failing that, at least make their sites functional without it. To help users avoid running proprietary JavaScript, the Free Software Foundation developed <a href="http://www.gnu.org/software/librejs/">LibreJS</a>, a plugin for the Firefox web browser that blocks most, but not all, JavaScript from running. But, perhaps more importantly, the organization works with the engineers behind sites such as Reddit and Greenpeace to help them reduce their dependence on proprietary JavaScript.</p>



<p>One of its biggest success stories thus far comes from <a href="http://www.wired.com/2015/04/one-companys-quest-save-crowdfunding-scammers-flakes/">CrowdSupply</a>, a sort of Etsy-meets-Kickstarter site for the maker crowd.</p>
<p>CrowdSupply co-founder Joshua Lifton says the issue of proprietary JavaScript was already on his radar when Stallman emailed him earlier this year about the Free JavaScript campaign. Some of the best known products sold through CrowdSupply are open source laptops from <a href="http://www.wired.com/2014/04/novena/">Novena</a> and <a href="https://puri.sm/">Purism</a>, and many of the customers who wanted to buy those laptops browse with JavaScript turned off.</p>
<p>“There were campaigns where almost every day someone emailed in. So you can assume that for every person who emails in, you can expect 100 didn’t,” he says. Some were emailing out of an ideological commitment. Others, it turned out, didn’t realize that JavaScript was causing their problems. Either way, he realized it was a real problem, and the company stripped out the majority of its proprietary JavaScript. Today the site still uses Google Analytics, but customers can now make purchases through CrowdSupply without using any JavaScript at all. As a result, Lifton says, the site is speedier and easier to use, which he expects will only increase sales. “There’s certainly an ideological slant here,” he says. “But it’s not bad for business.”</p>
<p>As for me, I reluctantly turned JavaScript back on at the end of the week. The deal breaker was that turning off JavaScript broke a bunch of my favorite Google Chrome extensions. And besides, I like streaming video and interactive graphics as much as anyone. But the experiment left me longing for more control over what actually runs inside my browser. It showed me how unnecessary the clutter that’s been built up around the web really is, and just how easy it is to make it all go away.</p>
