title: Hypertext as an agent of change
url: http://aworkinglibrary.com/writing/hypertext-as-an-agent-of-change/
hash_url: 7cd4629c33617cf1469d593dc039d44c

<p class="epi">This talk was given at the <a href="http://2014.dconstruct.org">10th annual dConstruct conference</a>, on 5 September 2014, in Brighton, England.</p>

<p><span class="drop">N</span>ear the end of <em>Gravity’s Rainbow</em>, Thomas Pynchon’s famous and famously unreadable 1963 novel, there is a short story that I think stands as the most important part of the book: the story of an immortal light bulb named Byron.</p>

<p>Byron’s story begins when he’s a baby bulb in a Berlin factory run by a light bulb cartel known as  Phoebus—for the nickname of Apollo, the Greek god of light. Byron is something of a prodigy among his fellow bulb babies; they’re a bit thick, but Byron is, in Pynchon’s language, <em>hip to the game</em>.</p>

<p>He has hopes for a bulb revolution. He imagines organizing all of the bulbs, planning a coordinated attack in which, all over the grid, every bulb strobes together, sending the people below into epileptic fits. He imagines breaking free of the grid’s control, releasing him and his fellow bulbs from their captivity.</p>

<p>He hasn’t yet realized the strength of the cartel, hasn’t grasped that the grid can be used to both communicate and to monitor, to share and to control.</p>

<p>As Byron gets older, many of his friends blink out and are replaced. He takes that hard. Other bulbs can see that he’s immortal, but Byron hasn’t accepted it yet.</p>

<p>When he passes 600 hours, an inspector from Phoebus comes to transfer him. She’s wearing seven-inch spiked heels, not for style, but so she can reach him and unscrew him from the sconce he’s plugged into. A moment of silent terror goes out across the grid, as every bulb everywhere, at something close to the speed of light, is made aware of Byron’s absence.</p>

<p>Tests show Byron seems normal, even though he’s now past the median bulb lifespan, so he’s given to a glassblower who serves as one of the cartel’s operatives. The glassblower is afraid of the dark, so he keeps Byron on all day and night, and Byron is able to observe glass being melted and reformed.</p>

<p>He starts to think that that’s his likely fate, and knowing how many hours are on him, he’s not terribly distraught. He’s old and he knows it. Being reincarnated in the glassblower’s work doesn’t seem so bad.</p>

<p>At 800 hours, Byron is tested again. You see, the cartel has colluded with the power company to keep all light bulbs to a specified number of working hours which maximizes profits for both organizations. A light bulb that inexplicably violates that agreement is a threat. Some people within Phoebus start to become concerned about Byron.</p>

<p>At 1000 hours, a gong goes off in the Phoebus headquarters and everyone looks up. There is a standard procedure to follow. The cartel sends a hit man after Byron.</p>

<hr/>

<p><span class="drop">I</span>’m going to pause for a moment while Byron ponders his fate. </p>

<p>Today, I want to talk about the ways we transmit and share information—how we used to do it, how that sharing and transmission has evolved and changed. And in particular, I want to talk about how that information accumulates into stories—how small bits of information are collected and pieced together into something more, into stories that tell us about ourselves.</p>

<p>I’ll preface that by saying that this talk is <a href="http://aworkinglibrary.com/reading/how-to-live/">an essay</a>, in the original French sense of the word: <em>an attempt</em>. Everything I have to say is tentative, more an invitation to a conversation than a conclusion.</p>

<p>There’s a moment in Byron’s story that I’ll draw your attention to: when Byron is first removed from the grid, instantly every bulb everywhere knows what’s happened. During the setting of the novel, in World War II, information traveling at the speed of light was routine in the form of broadcast networks—that is, radio and television—but not yet in the kind of network that Byron and his fellow bulbs experience.</p>

<aside class="pull-quote">
  <p>This talk is an essay, in the original French sense of the word: <em>an attempt</em>.</p>
</aside>

<p>That kind of network—in which everyone, everywhere was connected and could hear or speak to everyone else—was then still largely fantastical. Today, of course, it’s routine. But it’s worth unpacking what this kind of network means and how it works to really understand the implications of it.</p>

<p>To do that, I want to talk about the stars. Or, really, the planets. Specifically, Saturn and Jupiter.</p>

<hr class="pause"/>

<p><span class="capped">In 1563, a young</span> Tycho Brahe, in what is now Sweden but was then Denmark, looked up and saw that Saturn and Jupiter were nearly aligned in the sky—what’s referred to as a planetary “conjunction.” Tycho wondered if the astronomical tables accurately predicted their positions.
As it happened, he had two astronomical tables at his disposal (both of which he had smuggled out of his university in order to study more closely): one table was based on Ptolemy’s work from the second century AD; and another was based on the work of Copernicus, from 1551, just over a decade earlier.</p>

<p>I imagine him reaching under his bed to pull out two tomes, one slightly dusty, the other still wrapped in soft leather. When Tycho consulted the tables, he found, not surprisingly, that both were wrong: they failed to predict that Jupiter and Saturn would be aligned that evening. But they were wrong by different degrees: the Ptolemaic tables were off by nearly a month, while the Copernican tables were shy by only a few days.</p>

<p>Tycho went about creating his own set of tables, and would spend much of his life working in an observatory, publishing detailed notes on the positions of the stars and the movement of comets. He was one of the last of the “naked eye” astronomers, those whose work would proceed without the assistance of telescopes. As an important character in the Copernican revolution, Tycho’s  work would influence the work of scientists who followed, notably Kepler and Galileo, who would then go on to influence Newton, whom Einstein would build upon, and so on and so on.</p>

<p>To put it in modern terms, Tycho forked an existing resource, fixed the bugs, and then issued a pull request to the scientific community who enthusiastically accepted it and then returned the favor.</p>

<p>What’s remarkable about this story isn’t just young Tycho’s genius or his exceptional eyesight. It’s the fact that he had two tables to draw upon, and could easily use them to produce a new, better table. </p>

<p>Tycho was gazing at the night sky less than a century after the first indulgences rolled off of Gutenberg’s press. Prior to the printing press, every astronomical table had to be copied by hand, inevitably introducing errors. If you spotted an error and wanted to correct it, you had to recopy the entire table, likely creating as many errors as you fixed.</p>

<p>And then someone else would come along and make a copy of your copy, and then a copy of that, and soon every copy of the data you labored over would be uniquely inaccurate. </p>

<p>Print changed all that. In <em>The Printing Press as an Agent of Change</em>, Elizabeth Eisenstein describes the press as introducing “typographical fixity.” With print, each copy made in a single run was perfectly identical to every other copy. The drift that happened with scribal texts—when each copy would subtly change and drift away from the original—was eliminated.</p>

<p>If an error was discovered in a printed book, it could be corrected in a subsequent printing. For the first time in human history, new copies of a text actually <em>improved</em> rather than <em>deteriorated</em>. Eisenstein goes on to say that it was this fixity that made the scientific revolution and other advancements of the post-Gutenberg centuries possible. She writes,</p>

<blockquote>
  <p>Typographical fixity is a basic prerequisite for the rapid advancement of learning.</p>
  <cite><a href="http://aworkinglibrary.com/reading/printing-press-as-an-agent-of-change/">Eisenstein, <em>The Printing Press</em>, page 113</a></cite>
</blockquote>

<p>Think on that for a moment: the ability to fix text, to set it, to distribute that text to others in a way that it can be reliably accessed by everyone, such that everyone gets the same text—that turns out to be required for a society to rapidly increase its collective understanding of the world. And it’s a requirement because learning is an iterative and cumulative process, where each bit of knowledge is refined and developed and built on to make the next bit. </p>

<p>Learning isn’t, to use a cliché that our friend Byron would certainly bristle at, the inexplicable or instantaneous flash of a light bulb going off; rather, it’s the accumulation of small bits of information by a community who collectively work together to gather and refine and challenge each other’s assumptions.</p>

<p>Typographical fixity is important because without it there’s nothing to build on: like if you were building a house but every time you put walls up some of them crumbled. You’d spend all your time repairing those walls and never get to the second floor.</p>

<p>Print let people build skyscrapers.</p>

<hr class="pause"/>

<p><span class="capped">Tycho’s observations</span> and work went on to combine with that of others to produce evidence that the earth and all the other planets in the solar system orbit the sun. But Tycho himself was somewhat dubious of this: he subscribed to <em>geoheliocentrism</em>, which proposed that while all the other planets orbited the sun, the sun still orbited the earth. His was a kind of earthly exceptionalism, influenced by scripture which defined the earth as still.</p>

<aside class="pull-quote">
  <p>Print let people build skyscrapers.</p>
</aside>

<p>Tycho’s commitment to geoheliocentrism demonstrates two principles: one, proposed by Thomas Kuhn, about how scientific change happens. In Kuhn’s model of paradigm-shifting, scientists don’t simply jump willy-nilly from one theory to the next each time new evidence appears. Rather, they continue to file new evidence into the old paradigm—to squeeze and fit it into the old paradigm—until that paradigm finally cracks under the weight and they have no choice but to abandon it. </p>

<p>Tycho, sitting on thousands of years of writing and with his own feet planted on ground which did not seem by any measure to be moving, wasn’t quick to adopt a vision of the earth speeding through the heavens, no matter what the stars told him. </p>

<p>But I think there’s another, related principle: as creatures of narrative, we are loath to relinquish stories in which we locate ourselves. Tycho and his contemporaries no doubt had internalized a story that placed humans at the center of the universe. This was a very old, and very compelling, very seductive, story. A conjunction of planets, however rare and astonishing, wasn’t enough for him to let it go.</p>

<hr/>

<p><span class="drop">I</span>f print gives us fixity, what does hypertext give us?</p>

<p>Hypertext has fixity in droves: when I share a bit of text on my website or on Twitter or what-have-you, that text is instantly available to every screen everywhere in the world with perfect fidelity. </p>

<p>When Eisenstein wrote that typographical fixity was necessary for the rapid advancement of learning, her sense of “rapid” was still rooted in pre-internet speeds. Our rapid is Byron’s speed of light.</p>

<p>And the speed with which that fixed text is shared is directly related to our ability to learn faster than we ever could before. News can be disseminated, corrected, re-shared, and confirmed several times over in the span of minutes or hours. It can be analyzed and contextualized within the day. A law can be drafted in response before the next sunrise. A community can formulate a plan and begin to act on it within the week.</p>

<p>But hypertext brings with it something else, too: that speed and fidelity give rise to a transparency of iteration and revision previously unavailable. Not only can I rapidly evolve a text, but I can also expose that evolution and let others participate within it. I can open up the collaboration wider than I could before.</p>

<p>The canonical example of this is, of course, Wikipedia. Each article has with it a trail of revisions and discussions. Not only can you see the latest or agreed upon edition, you also get every prior version, every reason for every change, every discussion and reversion.</p>

<p>If you are skeptical of a fact, you can unearth where it came from and investigate the source; if you locate counter-evidence, you can propose a change. If you determine a detail isn’t sourced or is incorrect, you can edit the text, and that edit is instantly made everywhere.</p>

<p>But Wikipedia is a centralized form of collaboration. Everyone goes to the same place, contributes their bits to the narrative, and that place is where those bits are debated and revised, where they evolve into a coherent (or hopefully coherent) story.</p>

<p>But while Wikipedia is the canonical place, that same activity—collecting bits of information, filtering through them, and forming them into a story—happens all over the web. And it often happens in places that are more dispersed than Wikipedia—less like a single node on the network, and more like the network itself.</p>

<p>Here’s an example. The writer <a href="http://aworkinglibrary.com/author/teju-cole/">Teju Cole</a> traveled to the Sonoran desert in North America, through which the US/Mexican border passes. </p>

<p>Along that border is a wall, designed—at least in theory—to keep immigrants from sneaking into the States. In practice, the wall is porous enough that it serves not as an impenetrable barrier, but as a difficult and dangerous obstacle which many people, facing enormous hardship back home, are still compelled to cross. </p>

<p>Sadly, many of them perish in the desert. In a county cemetery, white crosses marked <i>desconocida</i> and <i>desconocido</i>—unknown—abound.</p>

<p>Cole spoke to people who manage and are affected by this influx of refugees: a judge; a border patrol officer; a local Peruvian woman; a group of people who provide medical help and search and rescue services for those who attempt the passage.</p>

<p>In sharing this story, Cole selected Twitter as the medium. He set up separate accounts for the narrator and each speaker, including himself. When he talks to someone, it takes place in the back and forth between two accounts, each one replying to the other. </p>

<p>Cole speaks to a retired nurse who helps with emergency services. He asks her what’s going on. </p>

<p>“It’s a race war. They just don’t like the Mexicans,” she says.</p>

<p>“Is that true? Most people would hesitate to say that,” Cole replies.</p>

<p>“What else could it be?”</p>

<hr class="pause"/>

<p><span class="capped">Cole’s story is structured.</span> It’s composed, edited, and performed on Twitter. The language is careful, thoughtful, compact in a way that hides how much work went into it. But the form it takes is one that occurs absent that coordinated performance all the time. </p>

<p>You can imagine, for example, that if Tycho were alive today that he might have casually mused about the conjunction of the planets on Twitter or Tumblr, and then heard from others who were also gazing at the sky, or had a different set of observations from which he could draw.
Then the story of the kind that Cole creates could have emerged, organically, out of the conversation that followed. Or probably several kinds of stories could have emerged: one about the position of the stars and planets, another about religion and its complicated relationship with science. </p>

<p>If Tycho were a woman yet another story may have emerged: one about the authority of women in the scientific community, about our ability to accept women as leaders. If he had dark skin, or if he came from a part of the world where we don’t expect scientific advancements to come from, we may never have heard his story at all.</p>

<p>Because these stories happen in the open, each of us is in a position to observe and encourage them, to contribute as they come together. Each of us is able to spread them further, to add to them; or, with our inattention, to let them languish unheard.</p>

<p>Cole’s story <a href="https://twitter.com/tejucole/timelines/444262126954110977">lives now as a list</a>—a stable—<em>fixed</em>, if you will—collection. But the story was more interesting, more visceral, in its original form—when it fit into the chaotic and twisting narratives that moved around and through it. That kind of storytelling—collaborative, accumulative, unplanned—is happening all the time, and with all of us as participants. </p>

<p>These stories live between the lines, so to speak. There may not be any place you can point to them, any single spot—like a Wikipedia article or the volume of a book—where you could locate them. But they are out there, nonetheless.</p>

<aside class="pull-quote left">
  <p>On the web, the village gates have fallen.</p>
</aside>

<p>It’s this kind of storytelling that I think is maybe critical to understanding the web today: it’s not just that the web made all of us writers—or potential writers, at least. It’s that the speed of distribution on the web, and the connectedness of hypertext, creates a space for iteration and revision, for call and response, that means each act of writing is by definition collaborative.</p>

<p>Writers have always drawn from the material of other writers, but now there is so much more to draw from, so many more voices in the mix, so many more ways for those voices to interact while the story is still nascent. </p>

<p>Writing has always taken a village—writers have had editors and fact checkers and all kinds of support in their work. </p>

<p>On the web, the village gates have fallen.</p>

<hr class="pause"/>

<p><span class="capped">Tycho’s story concerned</span> our place in the universe. Cole’s story touches on race and land and colonialism, on class and wealth. How you interpret these stories is a measure of what you believe and how you will act.</p>

<p>When we contribute to the network, we’re not only writing and sharing our individual experiences and beliefs—we are also collectively, iteratively, creating a shared story in which we all live. And that story has consequences.</p>

<hr/>

<p><span class="drop">H</span>ere’s another story.</p>

<p>A few weeks ago, on August 9th, in Ferguson, Missouri, a white police officer shot and killed an unarmed black teenager. The body of the teenager, Michael Brown, laid, uncovered, on the street where he died, for four hours. It would be days before the identify of his killer, Darren Wilson, would be revealed, days during which Wilson would skip town, erase all of his social accounts, leaving no trail for anyone to find. </p>

<p>Whether or not they realized it, the police in Ferguson were reenacting a very old story that day: that of Antigone, whose brother was declared a traitor, his body ordered to be left unburied, to rot in the sun and be eaten by carrion.</p>

<p>The sight of Brown’s body in the street would prompt protests, to which the local law enforcement would respond violently. More than a week of clashes between protesters and cops—the latter outfitted in camo and carrying weapons designed for war—would follow.</p>

<p>I read thousands of tweets about Ferguson, many from people on the ground, and many others from people elsewhere who nonetheless reflected on and contributed to the story as it happened. For that first week, I and others felt like Twitter was solely a place to discuss Ferguson: my timeline was taken over by it, and talking about anything else felt petty and inappropriate. </p>

<p>Those dispatches gradually built into larger stories, measured in paragraphs and pages instead of 140 characters. I think this was a kind of real-time, collaborative drafting of a narrative. As people witnessed and absorbed information, they collectively fit it into a story as a way of making sense of it all. Those quick dispatches and ideas become material from which whole narratives would be created, and those narratives would themselves fit into larger narratives, many of which preceded Brown’s death and will, tragically and otherwise, outlive him.</p>

<p>One of those stories has especially deep roots: that of the legacy of slavery and Jim Crow, of housing discrimination and redlined neighborhoods, which persists in America today and is manifested in not only Michael Brown’s death, but the deaths of dozens of black men and women. Trayvon Martin, Renisha McBride, Eric Garner, John Crawford, and so many others: all killed for little more than being black. </p>

<p>This is a narrative of white supremacy, and it is indisputable.</p>

<p>But there is a counter narrative—a toxic one. When the authorities in St Louis finally revealed the name of the cop who killed Michael Brown, they also revealed that just minutes before his death, Brown and a friend stole a pack of 99¢ cigars from a nearby convenience store. </p>

<p>That detail was irrelevant to the shooting: Wilson was unaware of the alleged shoplifting. It served as a message to those who knew what to listen for: that this was a man who did not deserve our empathy, that he was a “thug” who got what was coming to him. In this competing story, young black men are to be feared, their lives presumed less valuable than others. </p>

<p>One of these stories is wrong. As wrong as Tycho’s insistence that the sun orbits the earth.</p>

<p>I don’t mean to equate scientific knowledge or the mechanisms by which we come to them with cultural knowledge. These kinds of knowledge use the same technologies but proceed in different ways. Rather, I mean to say that Tycho’s story is important for some of the same reasons that Michael Brown’s story is: because it shows us how tightly we grip comforting stories of our own superiority.</p>

<p>Tycho held on to a story that placed the earth at the center of the universe just as some of us today hold on to a story that tells us that our privileges are earned, that our success is solely a measure of our hard work, that luck and fortune had nothing to do with our place in the world.</p>

<aside class="pull-quote">
  <p>Either we work against the systems that prolong inequality—or we perpetuate them.</p>
</aside>

<p>Tycho’s geoheliocentrism is our false claim to living in a post-racial world, our stubborn conviction that the meritocracy is real.</p>

<p>It is in this way that the network not only gives us new ways to share information, and new ways to learn, but also gives solace to old, and often vile, narratives. We talk about the democratization of the web, about its openness, and about the ways in which those design principles will lead to a better world—one in which black parents will not have to teach their children how to avoid getting killed by the cops, one in which women can speak freely without being inundated with threats of rape or worse. But for all the openness, we clearly aren’t there yet. And this past month, we haven’t felt very close at all.</p>

<p>We like to think the systems that we build are neutral ground: anyone can sign up for Twitter or Facebook, anyone can reach the network, therefore everyone has an equal voice.</p>

<p>But the technology we build inherits the social and political systems of the world we inhabit: it is not a pristine, perfect, clear-eyed utopia. It is as messy, sexist, racist, and fucked up as we are.</p>

<p>Technology that makes it easier to report spam than to combat harassment; technology that presumes your mere presence equals consent to data mining and psychological manipulation; technology that emerges from a world of wealth and privilege that represents but a tiny percent of the world’s lived experiences; technology that is colonized by those with the greatest access to it, that rewards the early adopters; technology that espouses the meritocracy, a myth which serves to comfort those who are more equal than others; technology that permits hate to robotically multiply, to make the least advantaged among us feel the least welcome: This is not neutral technology. This is technology that is complicit in the social systems that its creators inhabit.</p>

<p>This is difficult but it is important: either we and the technology that we build work against the systems that prolong inequality or we perpetuate them. </p>

<p>There is no neutral ground. </p>

<p>There is no safe place to stand.</p>

<hr class="pause"/>

<p><span class="capped">As sure as print</span> created a new world—a new narrative for us to reside in, one in which the earth was not the center of the universe, but a tiny member of it—the web has the potential to create another. And we can’t let it be one that reproduces the same hate we’ve worked so hard to move past—we need it to be a world in which we can <em>all</em> thrive.</p>

<hr/>

<p><span class="drop">B</span>rooke Jarvis <a href="https://medium.com/matter/our-sinking-world-334276169840">writes in <em>Matter</em></a> about the people of Papua New Guinea. The small islands of the archipelago of Papua New Guinea are among the first casualties of climate change: as sea level rises, the islands are drowning, their inhabitants forced to leave the land they’ve spent their lives on for higher ground. </p>

<p>Jarvis describes an exchange with one of the locals, a man named Thomas. Thomas understands that the water is rising because there is ice, far away, that’s melting. But he isn’t aware of just how much ice. He is hoping, perhaps, that most of it has melted already, that the water levels in his home—already too high—won’t get any higher. </p>

<p>Jarvis, of course, must tell him that there is more ice—and lots of it. And watch as he comes to understand what that means. </p>

<p>Thomas learns in that moment about the story of climate change, one which <em>we</em> are largely writing, with much of the world unwilling characters. It is a terrible story. It is a story in which the lives of some of us are worth more than the lives of others; it is a story of inequality.</p>

<p>In <em>The Sixth Extinction</em>, Elizabeth Kolbert tries to understand the effects of climate change yet to come. The sixth extinction, of course, is the one we are currently undergoing—the one caused by our own hands. We are living in the Anthropocene, the geologic age of human domination, and that age has been marked by an extreme loss of life. </p>

<p>Kolbert investigates the extinction of the Neanderthals to understand some of what is happening now. The Neanderthals lived in Europe for more than a hundred thousand years, and seemingly would have continued to live there were it not for the arrival of <em>Homo Sapiens</em>.</p>

<p>As soon as we showed up, over the course of some tens of thousands of years—the blink of an eye as far as geologic time goes—the Neanderthals were gone. The mark of their having existed left in bones and tool fragments and the tiny percent of Neanderthal DNA that every human carries today. </p>

<p>Why, Kolbert asks, did we survive while the Neanderthals died? </p>

<p>Why didn’t <em>they</em> kill <em>us</em>?</p>

<p>In exploring that, she notes the drawings left on cave walls in southern France. It seems humans were compelled to draw while Neanderthals developed no such habit. That drawing—that <em>writing</em>—enabled humans to share information across generations, to learn from each other faster, to build on their knowledge.</p>

<p>It wasn’t as fast as the web is today, nor as fast as Tycho’s printers, nor even as fast as the scribal cultures that predated print. But it was enough.</p>

<p>Kolbert then tries to imagine what a picture of extinction looks like. She writes,</p>

<blockquote>
  <p>If you want to think about why humans are so dangerous to other species [or, I would add, to each other], you can picture a poacher in Africa carrying an AK-47 or a logger in the Amazon gripping an ax, or, better still, <em>you can picture yourself, holding a book in your lap.</em></p>
  <cite><a href="http://aworkinglibrary.com/reading/sixth-extinction/">Kolbert, <em>The Sixth Extinction</em>, page 266</a></cite>
</blockquote>

<hr/>

<p><span class="drop">S</span>peaking of books, where did I leave old Byron? Oh, right, about to get whacked. </p>

<p>Just as Byron is about to be condemned by the cartel’s hit man, his tungsten salvaged and recycled, a thief breaks into the glassblower’s house and steals him away. </p>

<p>From there Byron’s adventure is one impossible escape after another. He’s traded for drugs to a prostitute, ends up flushed down a toilet (a trip he miraculously survives), bobs around for a while in the North Sea before washing ashore, slips out of a backpack during a torchlight rally in which several hundred thousand boots march past him but he gets nary a scratch. He’s scavenged the next day, and the next, and the next, surviving over and over again the assaults of chance and of the cartel.</p>

<p>Pynchon’s vision of the network isn’t especially optimistic, and while Byron’s immortality is assured, his story isn’t a happy one. While he lives, he becomes cynical and tired; when we last see him, Byron’s hanging over a barber who’s holding his scissors at the wrong angle as his client leans his head back. Byron survives his own hit only to witness another about which he can do nothing.</p>

<p>But I detect in Pynchon’s sense of humor a certain devious kind of hope: Byron is, after all, a light bulb—and light, no matter how you look at it, is always a symbol of hope.</p>

<p>I like to imagine that Byron is still out there, that his survival is a sign that no matter how fucked the network may be now, we still have a chance to get it right. And I like that hope for the future can be imagined in the form of an immortal, revolutionary light bulb. </p>

<p>If nothing else, it makes for a great story.</p>

<hr class="pause"/>

<p><span class="capped">Thank you.</span></p>
