title: Trolleys, veils and prisoners: the case for accessibility from philosophical ethics
url: https://hiddedevries.nl/en/talks/2017-11-16-a11y-ethics/
hash_url: bdbba224d04a830b33081bc457317383


<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.001.jpg" alt="Image of slide number 1" />
    </div>
    <div class="slide-notes">
              <p>Thank you all for joining in at this early hour. And hello if you're watching this later! </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.002.jpg" alt="Image of slide number 2" />
    </div>
    <div class="slide-notes">
              <p>This is me, my name is Hidde. On this photo I am holding a bubble tea at a Taiwanese train station. Not that I particularly like bubble tea, but it is very warm there and this drink was very cold.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.003.jpg" alt="Image of slide number 3" />
    </div>
    <div class="slide-notes">
              <p>This is my website, I've got a blog where I write about web standards, accessibility, that sort of thing. It's also my company website, I am a freelance web developer.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.004.jpg" alt="Image of slide number 4" />
    </div>
    <div class="slide-notes">
              <p>These are the clients I am currently contracting for, Mozilla and the Dutch government. So some of this talk is from the perspective of someone who writes front-end code for clients.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.005.jpg" alt="Image of slide number 5" />
    </div>
    <div class="slide-notes">
              <p>This talk isn't about my resume, but  I thought I'd be appropriate to mention that I've actually got a degree in Philosophy. I studied my bachelor's in Utrecht in The Netherlands and did my masters at the University of Bristol in the UK. </p>

<p>This isn't something I mention normally, I mean, this isn't a degree I have much use for in my daily work. I did find both Philosophy and web development are hugely about abstractions. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.006.jpg" alt="Image of slide number 6" />
    </div>
    <div class="slide-notes">
              <p>This is the School of Athens, a Renaissance painting of Raphael, this picture has lots of ancient Greek philosophers in it.  </p>

<p>When I signed up for this, I had kind of erased memories of my studies in philosophy, and in ethics. Researching this talk I realised, yeah this is quite a lot to go through, way too much for a 40 minute talk. The history of ethics is huge. There are many dots to connect in moral philosophy. The plan is: I will only loosely do so, and freely apply these examples, focusing on some lessons we can try and use in our daily work. Some of this stuff is just based on things I learned working as a front-end developer in big and small organisations.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.007.jpg" alt="Image of slide number 7" />
    </div>
    <div class="slide-notes">
              <p>Why do I do this? Well, I think many of us have encountered situations where we wanted to improve accessibility, but had to convince others with good arguments. A large part of why people make websites accessible is that it is the right thing to do. Philosophers have had theories about the right thing for thousands of years, so I thought it would be good to look into some of those ideas and try and apply them to the 2017 world of web accessibility.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.008.jpg" alt="Image of slide number 8" />
    </div>
    <div class="slide-notes">
              <p>There are lots of arguments for accessibility out there.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.009.jpg" alt="Image of slide number 9" />
    </div>
    <div class="slide-notes">
              <p>The first website out there was already super accessible, it was mostly structured text, which worked responsively, you could zoom in if you liked to, there was plenty of contrast and it was digestible for screen readers.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.010.jpg" alt="Image of slide number 10" />
    </div>
    <div class="slide-notes">
              <p>I mean, wasn't it one of its inventors, Sir Tim Berners-Lee, who made this text appear at the London 2012 Opening Ceremony? This is for everyone.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.011.jpg" alt="Image of slide number 11" />
    </div>
    <div class="slide-notes">
              <p>Another technical argument is that, as accessibility is mostly about semantics (or: meaning), focusing on it leaves you with a cleaner codebase. If you've written code that semantically makes sense, it will likely be easy to read, too.</p>

<p>Legal arguments: the law says we should do it. this is the case in Europe and America, your organisation can be sued if its website is not accessible. I'm not a legal expert at all, but yeah, there are legal arguments.</p>

<p>Business arguments: we can make more money if we include more people. Netflix includes audio descriptions, likely more people with visual impairments will sign up. Subtitles likely brings them more users with auditory impairments, but also people who like to watch stuff in languages they aren't fluent in. There are companies who make profit from being accessible, this case can be made.</p>

<p>Moral arguments: we will look some of those today.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.012.jpg" alt="Image of slide number 12" />
    </div>
    <div class="slide-notes">
              <p>Ethics can be defined in lots of different ways. I'd say it is a field that looks at three things: how we should live, what we should do and how we want our world shaped. This has a place in our field. </p>

<p>Ethics isn't part of most computer science degrees, or design programmes, but our work clearly often shapes the world. The question of _how_ to shape the world seems super relevant. I may be biased.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.013.jpg" alt="Image of slide number 13" />
    </div>
    <div class="slide-notes">
              <p>Example of website that shapes the world: Facebook. This website encourages certain behaviours. </p>

<p>If it's your friend's birthday, it prompts you to send them a message, many others have already written on this person's wall, it's the right thing! </p>

<p>In election time they urge you to vote. </p>

<p>Their algorithms influence what you read. </p>

<p>And then there's the company's alleged influence on various elections. Lots of moral dimensions to that, as well.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.014.jpg" alt="Image of slide number 14" />
    </div>
    <div class="slide-notes">
              <p>Netflix influences what we do culturally, what kind of stuff we watch. </p>

<p>Its algorithms provide us suggestions based on what we watched before, this may include more things in the same bubble.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.015.jpg" alt="Image of slide number 15" />
    </div>
    <div class="slide-notes">
              <p>AirBnB is a website that changes what we do: in many big cities people now buy houses with extra floors so that they can AirBnB. There are ethical questions to be asked.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.016.jpg" alt="Image of slide number 16" />
    </div>
    <div class="slide-notes">
              <p>These are just random examples, in general I think there are many ethical questions to be asked about the web we create. The web influences how we live, what to do and how we want our world shaped. So I thought it would be fun to dive into the history of philosophical ethics and look at some thought experiments.</p>

<p>Although I'd argue this applies to our field, this doesn't _directly_ apply to our field or our daily work. And the examples as I use them, they don't necessarily make sense in academic philosophy. Also, I don't have access to academic papers, because almost all of those are, although they;'re on the web, behind an enormous pay wall. My professors may laugh at me for making some of the links I make. That's ok.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.017.jpg" alt="Image of slide number 17" />
    </div>
    <div class="slide-notes">
              <p>For this talk, I've taken three different ethical stances in order to walk you through the history of ethics. With huge leaps.</p>

<p>These are all western white men, and they are western, please note there is fantastic eastern philosophy out there too. In the following, we'll look at the ideas of Aristotle, Immanuel Kant and Jeremy Bentham.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.018.jpg" alt="Image of slide number 18" />
    </div>
    <div class="slide-notes">
              <p>This is Aristotle, a statue of him, rather.</p>

<p>You could think of Aristotle as the first to write a systematic book about ethics, as a distinct subject (distinct from things like natural science). His moral philosophy had at its goal to help people live a life full of happiness.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.019.jpg" alt="Image of slide number 19" />
    </div>
    <div class="slide-notes">
              <p>So what's happiness then? Well, according to Aristotle, those who've reached a state of happiness are those who are virtuous, good of character. </p>

<p>So, doing the right thing, for him, isn't really about learning a fixed set of rules, it is about learning certain character traits.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.020.jpg" alt="Image of slide number 20" />
    </div>
    <div class="slide-notes">
              <p>Some examples of the character traits that he said were important for being a good person: honesty, moderation, generosity, friendliness and courage.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.021.jpg" alt="Image of slide number 21" />
    </div>
    <div class="slide-notes">
              <p>Those who have mastered the skills of the various virtues will live well, they'll be happy, according to Aristotle. That's what we're doing this for. But we don't get this by chance, we have to work very hard, to become virtuous. It's our responsibility to acquire the skills.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.022.jpg" alt="Image of slide number 22" />
    </div>
    <div class="slide-notes">
              <p>Aristotle saw ethical virtues as being intermediate between two extremes, for example courage is between having fear (you're too afraid to do anything and end up doing nothing) on the one hand, and having way too much courage and doing dangerous things all the time on the other. </p>

<p>The mean is not necessarily right in the middle, it's not like 1 is too little, 10 is too much, so 5 is perfect. The skilled ethical person will be able to decide per situation whether to be at 2, 3, maybe 8.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.023.jpg" alt="Image of slide number 23" />
    </div>
    <div class="slide-notes">
              <p>So as an Aristotle scholar wrote, finding the mean requires full and detailed acquaintance with the circumstances. You can't just follow some procedure.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.024.jpg" alt="Image of slide number 24" />
    </div>
    <div class="slide-notes">
              <p>If there is one thing we can take from Aristotle's thinking, it is that doing it the right way depends. It's about dealing with circumstances, having a certain attitude.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.025.jpg" alt="Image of slide number 25" />
    </div>
    <div class="slide-notes">
              <p>Accessibility advice can be quite theoretical at times. I.e. it is one thing to know that heading structures should not be skipped, but maybe you are implementing a CMS that has a WYSWIG editor that does allow skipping heading levels. Most do. </p>

<p>Now, i Aristotelean terms, it is about your skill, how you deal with the circumstances. Do you propose installing a different editor there, or do you spend some time on guidelines for the content people?</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.026.jpg" alt="Image of slide number 26" />
    </div>
    <div class="slide-notes">
              <p>Or maybe the advice is to use semantic markup and the codebase you've ended up in uses a plugin to generate forms and it generates terrible markup that is not accessible. That's bad, but the question is how you deal with it. If you've trained your virtues, you're probably going to work towards a solution… maybe hack into the plugin, research an alternative, use JavaScript to tweak things… </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.027.jpg" alt="Image of slide number 27" />
    </div>
    <div class="slide-notes">
              <p>Vasilis tweets this every month: a monthly reminder that your visitors are not statistics but actual people. He links to the excellent… </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.028.jpg" alt="Image of slide number 28" />
    </div>
    <div class="slide-notes">
              <p>…Alphabet of Accessibility  Issues, which lists so many different cases of people who experience accessibility issues.</p>

<p>There's a lesson there: in the real world, there are lots of circumstances, lots of reasons people need your product to be more accessible. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.029.jpg" alt="Image of slide number 29" />
    </div>
    <div class="slide-notes">
              <p>So maybe we should regard finding the mean accessible solution as a skill. As a skill that takes practice to learn. I mean, this is stretching what Aristotle meant with his virtue theory, but the idea of something that isn't a set of rules but rather skilfully applying our ideas of what's right.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.030.jpg" alt="Image of slide number 30" />
    </div>
    <div class="slide-notes">
              <p>And then we get to the Enlightment. Kant is one of the best-known philosophers from that time. He was extremely influential in many fields of philosophy, and ethics is certainly one of them.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.031.jpg" alt="Image of slide number 31" />
    </div>
    <div class="slide-notes">
              <p>Typical for Kant's ethics is that he regards people as rational. We (probably) all think. We have responsibilities, we can think things through. This was his way of coming up with a theory that works universally: we have all brains, so we are all able to think things through.</p>

<p>Unsurprisingly, in deciding whether something is the right thing to do, he focuses on the reasons why we do things. </p>

<p>Kant reckoned we have moral duties. The one he is most famous for is something he calls the categorical imperative.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.032.jpg" alt="Image of slide number 32" />
    </div>
    <div class="slide-notes">
              <p>Let's break the two parts of that phrase down. </p>

<p>Categorical in this sense means something like universal, applying to all of us. Imperative means this is an obligation.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.033.jpg" alt="Image of slide number 33" />
    </div>
    <div class="slide-notes">
              <p>This is one of his definitions of the categorial imperative:</p>

<p>> Act only acording to that maxim by which you can at the same time will that it should become a universal law </p>

<p>For many philosophy students, this is the first and last time they see the word ‘maxim’ used. It can be seen as ‘rule’.</p>

<p>So only do stuff according to rules that you'd want to apply to everyone. This is about sticking to principles. If your principle is ‘don't lie’, you should never lie, including when a lie might be beneficial to yourself or your friends. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.034.jpg" alt="Image of slide number 34" />
    </div>
    <div class="slide-notes">
              <p>So this is the process. Make a rule, for example “I'll lie when it benefits me personally”. Then the second question, would not really work as it wouldn't make sense to implement a universal law that's just about you and your benefits. </p>

<p>If we make it about “Don't steal”, yea, that would work, it would make sense to have a rule that no-one can steal.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.035.jpg" alt="Image of slide number 35" />
    </div>
    <div class="slide-notes">
              <p>The difference between morality and prudence is important for Kant, too.</p>

<p>In Kants ethics, acting out of self interest can't be moral, you should always act out of principles. If you're a baker and you don't add poison into your bread because you don't want to lose clients, that is a prudential motivation. It has no meaning on the scale of morality. A moral reason would be something like “Don't poison your clients”.</p>

<p>Applied to accessibility, for Kant, we would improve the accessibility of our sites because we think that's how sites should be, this is how the web was intended. If you would do it only because it makes your company more profit, Kant wouldn't classify that as moral.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.036.jpg" alt="Image of slide number 36" />
    </div>
    <div class="slide-notes">
              <p>Most ethicists today will think of themselves as Kantian or utilitarian. So, making another huge jump in history, let’s look at what that means. This is Jeremy Bentham.</p>

<p>Utilitarianists decide what the right thing is by looking at outcomes, or the contribution of our actions on the world’s total happiness. The best way to act is the way that increases happiness the most. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.037.jpg" alt="Image of slide number 37" />
    </div>
    <div class="slide-notes">
              <p>Jeremy Bentham came up with what he called the greatest happiness principle. According to it, actions are right if they promote happiness, wrong if they promote the reverse of happiness. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.038.jpg" alt="Image of slide number 38" />
    </div>
    <div class="slide-notes">
              <p>So the question to ask is: does my action increase the world's total happiness? It's like regarding the world's happiness as a basket and thinking of your actions as potential things you could put in there.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.039.jpg" alt="Image of slide number 39" />
    </div>
    <div class="slide-notes">
              <p>The question that many utilitarians disagree about is what an increase in happiness means. Is it your own happiness, your company's happiness? Well for us, it is probably user happiness. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.040.jpg" alt="Image of slide number 40" />
    </div>
    <div class="slide-notes">
              <p>The lesson for web accessibility that we can learn here is: make changes that increase happiness, avoid those that don't.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.041.jpg" alt="Image of slide number 41" />
    </div>
    <div class="slide-notes">
              <p>For example, Twitter used to have a thing where you could see how many characters you had left. They have replaced this the other day with a donut chart. </p>

<p>Did it increase total happiness? Well, let's see how people responded. (I apologise in advance to those who have worked on this, I mean, it was probably a lot of work to build).</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.042.jpg" alt="Image of slide number 42" />
    </div>
    <div class="slide-notes">
              <p>Alan Cooper said this is abysmally stupid and bad design, a triumph of style over substance.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.043.jpg" alt="Image of slide number 43" />
    </div>
    <div class="slide-notes">
              <p>People seemed confused at best. Someone going by the name of Harvest Pixie Dream Witch said “what the heck is this gradually filling circle of tweet character doom”, to which numerous people responded that they didn't like.</p>

<p>I guess people don't like change in general. </p>

<p>Some were quick to respond and solve their issues with the thing.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.044.jpg" alt="Image of slide number 44" />
    </div>
    <div class="slide-notes">
              <p>Someone made a Chrome Extension to make the donut go away, as one does. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.045.jpg" alt="Image of slide number 45" />
    </div>
    <div class="slide-notes">
              <p>So, according to utilitarianism, actions are moral when they increase happiness, they are not if they don't. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.046.jpg" alt="Image of slide number 46" />
    </div>
    <div class="slide-notes">
              <p>Maybe we can look at this as: does my action increase the website's total accessibility? And look at this in a super broad sense. In no website, accessibility is the only aspect we worry about. In this, you can replace accessibility with performance, usability, et cetera.</p>

<p>And thinking about it like this, we can avoid the pitfall of thinking about accessibility as an all or nothing equation.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.047.jpg" alt="Image of slide number 47" />
    </div>
    <div class="slide-notes">
              <p>As the awesome Léonie Watson likes to emphasise in her talks: “it doesn't have to be perfect, it just has to be a little bit better than yesterday”. Small improvements are helpful, they can increase the total amount of accessibility in this world.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.048.jpg" alt="Image of slide number 48" />
    </div>
    <div class="slide-notes">
              <p>Concluding: so that is a couple of examples of attitudes philosophers have had towards ethics, how to live and deciding how to live. </p>

<p>Aristotle thought of it as developing certain character traits and gaining skills as it where.</p>

<p>Kant thought of it as a necessary, universal thing. For him motive matters. </p>

<p>Bentham thought of morality in terms of how their consequences: how they contribute to the world's happiness.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.049.jpg" alt="Image of slide number 49" />
    </div>
    <div class="slide-notes">
              <p>So having looked at some background, let us now look at some thought experiments.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.050.jpg" alt="Image of slide number 50" />
    </div>
    <div class="slide-notes">
              <p>This is the example:</p>

<p>You are looking at a trolley and as it is moving along, you notice there are five people on the track, which the trolley would kill if moving ahead. You have the chance to divert the trolley by pulling a lever. The diverted track has one person on it, and if moving ahead, that one person would get killed. Do you divert the trolley?</p>

<p>If you do, you save five people, but in turn you do kill one person. It's almost spreadsheet-based philosophy: the idea here is that killing one person is better than killing five.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.051.jpg" alt="Image of slide number 51" />
    </div>
    <div class="slide-notes">
              <p>There's a video of the American rock star philosopher Michael Sandel who asks his students this question: what would you do? At this Harvard event, the majority of people put there hand up and voted for choosing to kill the one person, only a handful would drive ahead. </p>

<p>It seems that helping as many people as possible fits our moral intuitions.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.052.jpg" alt="Image of slide number 52" />
    </div>
    <div class="slide-notes">
              <p>There is a variation on this, where there is only one track. A trolley approaches five people, who are tied to the track. You are standing on a bridge over the railway and you can see what is going to happen. The trolley is going to drive over those five people, and they will likely die. Now there is a man on the bridge and you are able to push him in front of the trolley. That would cause it to stop and save five lives. What would you do?</p>

<p>And what if the person you're pushing was actually a doctor? Or a recruiter?</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.053.jpg" alt="Image of slide number 53" />
    </div>
    <div class="slide-notes">
              <p>There's also the libertarian variation, where there are two tracks, again, and you can pull a liver to divert the trolley, however now the trolley would drive onto a road that is in fact private property and has a sign ‘no trespassing’.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.054.jpg" alt="Image of slide number 54" />
    </div>
    <div class="slide-notes">
              <p>These examples are all about making the right choices, it is about making the right decisions.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.055.jpg" alt="Image of slide number 55" />
    </div>
    <div class="slide-notes">
              <p>For example, maybe one of your team members love subtle. They love to go to restaurants with subtle names, wear subtle clothes and have subtle art on their walls. When they design an interface, they also like to use subtle shades of grey on a black background. It looks beautiful. </p>

<p>However, there might be another person who cannot use the subtle interface, because they are working on a train, their computer is on battery power and the brightness is set to low to save energy. They require contrast.</p>

<p>thz</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.056.jpg" alt="Image of slide number 56" />
    </div>
    <div class="slide-notes">
              <p>The good news is, in web accessibility, you do not need to kill either of these people. </p>

<p>But as you will likely only build one interface, you will need to choose between having lots of contrast or going for subtle.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.057.jpg" alt="Image of slide number 57" />
    </div>
    <div class="slide-notes">
              <p>In this screenshot you can see a link that has focus. If you don't like the way this looks, you can choose between two solutions.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.058.jpg" alt="Image of slide number 58" />
    </div>
    <div class="slide-notes">
              <p>You can set focus styles to outline: none in CSS. This removes the outline all together. But this makes the site unusable to some of your users. Or you can design a prettier focus indicator.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.059.jpg" alt="Image of slide number 59" />
    </div>
    <div class="slide-notes">
              <p>As a web team working on digital interface, this is a lever you can pull! You can choose to make inclusive decisions. Consider how you can make your product usable for as many people as possible. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.060.jpg" alt="Image of slide number 60" />
    </div>
    <div class="slide-notes">
              <p>Here's the second example, John Rawls' Veil of Ignorance, also known as the Original Position.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.061.jpg" alt="Image of slide number 61" />
    </div>
    <div class="slide-notes">
              <p>Imagine a group of people is asked to come up with the fairest way to organise society, they can distribute wealth and justice in any way they would like. However, they are under a ‘veil’ and have no idea what their position in live would be. Rawls calls this the “original position”. They wouldn't know if they would live as a CEO of a multinational, as a care worker, or as the King. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.062.jpg" alt="Image of slide number 62" />
    </div>
    <div class="slide-notes">
              <p>So this is the idea. “Amongst the essential features of this situation is that no one knows his place in society, his class position or social status, nor does any one know his fortune in the distribution of natural assets and abilities, his intelligence, strength and the like.”</p>

<p>This thought experiment assumes we are all rational human beings, and act in our own interest. The idea of the experiment is that if you don't know your specific situation in society, which he called “the original position”, you will make all accommodations to have an equal world. </p>

<p>You can't take your privilege, or lack thereof, into account, as you don't know about it just yet. It's got to be fair, even if you decide from self-interest. If you come up with a system that favours one sex, that would be against your interests if you end up being a member of the least favoured sex.</p>

<p>According to Rawls, if people take the Original Position, two principles will influence their decisions.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.063.jpg" alt="Image of slide number 63" />
    </div>
    <div class="slide-notes">
              <p>The principle of equal liberty is that all of us should get as many liberties as possible, as long as everyone gets the same amount of them (as long as they are equally distributed).  </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.064.jpg" alt="Image of slide number 64" />
    </div>
    <div class="slide-notes">
              <p>If there is any inequality, this can be just, as long as it causes the least advantaged person to still be better off than without the inequality.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.065.jpg" alt="Image of slide number 65" />
    </div>
    <div class="slide-notes">
              <p>This case is about taking away any advantages (or disadvantages) we have from our reasoning about how we should do things. When thinking about our digital projects, we should think from the original position. To put it bluntly: leave our privilege at home. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.066.jpg" alt="Image of slide number 66" />
    </div>
    <div class="slide-notes">
              <p>Think beyond your own retina screen, beyond where you were born and beyond your own fast office WiFi. If you suffer from no colour blindness, leave that fact out of any arguments about colour choices.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.067.jpg" alt="Image of slide number 67" />
    </div>
    <div class="slide-notes">
              <p>This example isn't really from philosophical ethics, it is from game theory, which has its origins in computer science, mathematics and economics. Let's look at it anyway.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.068.jpg" alt="Image of slide number 68" />
    </div>
    <div class="slide-notes">
              <p>Two members of the same gang are taken to prison, and they have been locked separately, with no means to contact each other. They are in separate cells.</p>

<p>The prosecutor's don't have too much evidence against them, but enough to put them away for 1 year each. However, they decide to offer them a one year reduction, if they betray their friend. The friend would then get 3 years in prison, and they would walk out free. If they both take up on the offer, they would both get 2 years.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.069.jpg" alt="Image of slide number 69" />
    </div>
    <div class="slide-notes">
              <p>The matrix looks something like this. Betraying gives more reward than staying silent, unless they both betray, in which case they would both be worse off.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.070.jpg" alt="Image of slide number 70" />
    </div>
    <div class="slide-notes">
              <p>So you could say this problem is about conflicting interests that are leveraged unexpectedly.</p>

<p>We have lots of interests in our projects, don't we? I have gathered a couple of conversations that I have seen in my work. They might be familiar.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.071.jpg" alt="Image of slide number 71" />
    </div>
    <div class="slide-notes">
              <p>In a project I worked on, the front-end dev said “Let's keep the focus indicator in place”. The designer argued against this, it wouldn't look good on their portfolio.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.072.jpg" alt="Image of slide number 72" />
    </div>
    <div class="slide-notes">
              <p>There've been SEO experts dictating header structures that I wouldn't approve of as an accessibility nerd.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.073.jpg" alt="Image of slide number 73" />
    </div>
    <div class="slide-notes">
              <p>Maybe management will say they are not convinced to let the team spend extra time on making accessibility improvements, as that costs money they would rather send on tv advertising.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.074.jpg" alt="Image of slide number 74" />
    </div>
    <div class="slide-notes">
              <p>Interests and knowing about them can also work in our advantage. Sometimes lining up interests can be a method to achieve web accessibility. It isn't my favourite way to argue for accessibility, but… with the new Europe-wide accessibility legislation, governments and others have to follow WCAG2. </p>

<p>Making it accessible costs exponentially more when done in retrospective, it is cheaper to bake it in from the start.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.075.jpg" alt="Image of slide number 75" />
    </div>
    <div class="slide-notes">
              <p>A good way to line up interests is to make a business case. This sounds boring… </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.076.jpg" alt="Image of slide number 76" />
    </div>
    <div class="slide-notes">
              <p>But it is not, as is proven by Alice Bartlett's fantastic talk about this at Fronteers 2015.</p>

<p>It's good for us people who make websites to learn and speak the language of people who pay for them. Also if we want to argue for accessibility.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.077.jpg" alt="Image of slide number 77" />
    </div>
    <div class="slide-notes">
              <p>So to go back to the prisoner's dilemma… in the real world, you can often see the other person. They aren't locked somewhere, you can go and talk to them. Or at least figure out about their motives and their interests.</p>

<p>I've found this is a great way to get accessibility done in the places where I work. There are always overlapping interests, and they can be used to promote accessibility. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.078.jpg" alt="Image of slide number 78" />
    </div>
    <div class="slide-notes">
              <p>Ok, those are the three thought experiments I've wanted to share with you today.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.079.jpg" alt="Image of slide number 79" />
    </div>
    <div class="slide-notes">
              <p>So, in conclusion, when stretching the examples all the way from their original meaning towards a plan for more accesibility, these are my three takeways. </p>

<p>Make good choices, choose the inclusive thing. Divert the trolley into the inclusive direction and you don't even have to kill anyone! </p>

<p>Think beyond your own privilege. This can be quite hard. The other day I was building a sticky sidebar and while it was in progress I had hooked it onto the scroll event, for those of you who are also developers, that is terrible for performance. But I have a fast computer and it worked fine on that</p>

<p>Line up interests! Figure out what the interests are of the people who are blocking you from making accessible products, if there are any. </p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.080.jpg" alt="Image of slide number 80" />
    </div>
    <div class="slide-notes">

    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.081.jpg" alt="Image of slide number 81" />
    </div>
    <div class="slide-notes">
              <p>The book Justice by American rock star philosopher Michael Sandel is quite an accessible introduction in questions around what the right thing to do is. There is also a video course with the same name.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.082.jpg" alt="Image of slide number 82" />
    </div>
    <div class="slide-notes">
              <p>Ethics: The Essential Writings has a number of original texts, each introduced by Gordon Marino.</p>


    </div>
</div>

<div class="slide slide--bordered">
    <div class="slide-image">
        <img src="images/images.083.jpg" alt="Image of slide number 83" />
    </div>
    <div class="slide-notes">

    </div>
</div>
