title: Hypertext for all
url: http://aworkinglibrary.com/writing/hypertext-for-all/
hash_url: ebd8dc34d8feec38a2810883d6741189

<p>In his latest and <a href="http://idlewords.com/talks/website_obesity.htm">typically vituperative talk</a>, Maciej Cegłowski drops this little nugget at the end:</p>

<blockquote>
<p>Let’s preserve the web as the hypertext medium it is, the only thing of its kind in the world, and not turn it into another medium for consumption, like we have so many examples of already.</p>
</blockquote>

<p>Cegłowski, if you don’t know him, is the creator of <a href="https://pinboard.in">Pinboard</a>, a loveably minimal bookmarking service that bills itself as bookmarking for introverts. (I am both a user and a fan of Pinboard.) Pinboard emerged in part as a response to other bookmarking services which emphasized social features at the expense of speed and privacy and which often turned out to be unreliable, or at least, subject more to the <a href="http://www.theguardian.com/commentisfree/2010/dec/20/delicious-yahoo-social-bookmarking">whims of corporate executives and handwavey business models</a> than to user needs. Cegłowski neatly bypasses those problems by simply charging for his bookmarking service, and preventing it from scaling beyond his control by raising that price as the user base increases. </p>

<p>One of Pinboard’s best features is its archiving tool: for an additional fee, Pinboard will crawl all your bookmarks and cache the pages. Then, when those pages 404 (alas, like all things, most web pages die eventually), you still have the cache. It’s like having a personal <a href="https://archive.org/web/">Wayback Machine</a>.</p>

<p>Like the Wayback Machine, weird things sometimes happen: as I click through my cached bookmarks, I see a lot of fucked up web pages. Sometimes styles don’t get completely or correctly cached, so page layout can be lost. Images often break. You can forget about video. Any page that depends on JavaScript is a dead end. But lots of web pages are, at base, just a bunch of markup and text, and there the archiving works swimmingly—easily capturing and storing tiny bits for later retrieval.</p>

<p>Which brings me back to Cegłowski’s directive to “preserve the web as the hypertext medium that it is”: <em>is</em> hypertext constrained to text? </p>

<p>I mean, it’s right there in the word, so you could be forgiven for thinking so. But then English is kind of weird like that; we put the word “cake” in cheesecake even though it’s obviously a pie. It’s true, however, that HTML originally lacked a way to present images. It took Marc Andreesen (yes, <a href="https://twitter.com/debcha/status/679449395360862208"><em>that</em> Marc Andreesen</a>) introducing the <code>img</code> tag in Netscape Navigator for the first images to appear on the web. Video came eons later in internet years. JavaScript has been around for a while, but it’s only recently (and probably mistakenly) become a kind of necessity. Olds can remember a brief dark period where the web was mostly something called Flash; those days are best forgotten.</p>

<p>So, okay, as a design constraint, the web sure does look like it’s text all the way down, and all this other stuff is extra. And I’m distinctly sympathetic to that notion: I happen to like text over other mediums, not only as a reader, but as someone who doesn’t particularly like to spend all day waiting for pages to load. I also like text because it’s more accessible than other mediums, and more easily archived. If the web is primarily text, then accessibility and preservation are both easy (if not trivial) problems to solve.</p>

<p>And yet: if you’re old enough to remember Flash, you may be yet older still, and remember Geocities, where millions of people adorned simple pages with all kinds of text, as well as gifs, images, patterned backgrounds, odd font choices, autoplaying video, and blinking headlines. You may also remember the early days of Myspace, where earnest users braved a terrible user interface to adorn their pages as garishly as possible. Nearly 10 years ago, Ze Frank launched the “I knows me some ugly Myspace” contest in which he challenged viewers of his web TV show to make the ugliest Myspace page possible. When asked if he was doing this to mock people, <a href="http://www.zefrank.com/thewiki/the_show:_07-14-06">he replied</a>:</p>

<blockquote>
<p>For a very long time, taste and artistic training have been things that only a small number of people have been able to develop. Only a few people could afford to participate in the production of many types of media. Raw materials like pigments were expensive; same with tools like printing presses; even as late as 1963 it cost Charles Peignot over $600,000 to create and cut a single font family.</p>

<p>The small number of people who had access to these tools and resources created rules about what was good taste or bad taste. These designers started giving each other awards and the rules they followed became even more specific. All sorts of stuff about grids and sizes and color combinations—lots of stuff that the consumers of this media never consciously noticed. Over the last 20 years, however, the cost of tools related to the authorship of media has plummeted. For very little money, anyone can create and distribute things like newsletters, or videos, or bad-ass tunes about “ugly.”</p>

<p>Suddenly consumers are learning the language of these authorship tools. The fact that tons of people know names of fonts like Helvetica is weird! And when people start learning something new, they perceive the world around them differently. If you start learning how to play the guitar, suddenly the guitar stands out in all the music you listen to. For example, throughout most of the history of movies, the audience didn't really understand what a craft editing was. Now, as more and more people have access to things like iMovie, they begin to understand the manipulative power of editing. Watching reality TV almost becomes like a game as you try to second-guess how the editor is trying to manipulate you.</p>

<p>As people start learning and experimenting with these languages of authorship, they don't necessarily follow the rules of good taste. This scares the shit out of designers.</p>

<p>In Myspace, millions of people have opted out of pre-made templates that “work” in exchange for ugly. Ugly when compared to pre-existing notions of taste is a bummer. <em>But ugly as a representation of mass experimentation and learning is pretty damn cool.</em></p>

<p>Regardless of what you might think, the actions you take to make your Myspace page ugly are pretty sophisticated. Over time as consumer-created media engulfs the other kind, it's possible that completely new norms develop around the notions of talent and artistic ability.</p>
</blockquote>

<p>(<em>Emphasis mine.</em> If you know Frank’s videos, then you can read the above in his voice, and imagine the song that accompanied it; if not, you’ll have to take my word for it that while it <em>sounds</em> serious, it was delivered with as much goofiness as the ugly pages it addressed.) These rococo days of the web have been sadly lost to capricious corporate owners, and newer platforms almost seem to have recoiled from them. (I could write a whole other letter about the neutered minimalism common on a lot of platforms today, but I digress.) But I think that history is telling: in that, given a canvas on which to play, many people opted to express themselves with color and image, often spending much more effort there then on the words, and often in surprising ways. </p>

<p>So, I’ll ask again, <em>is</em> hypertext just the text? Are images, styles, video, fonts, and the like always subsidiary? </p>

<p>There’s an old saw about the web that says that when the web democratized publishing, everyone should have become a writer, but instead most of us became consumers. (Nevermind that email and SMS have most people writing more in a day than their Victorian ancestors wrote in their entire lives.) There’s more than a hint of disparagement and elitism in that saying: everyone <em>should</em> have taken up writing, which is obviously superior to reading or watching or (gasp!) <em>consuming</em>. And I worry that that same sentiment creeps in when we argue the supremacy of text over image on the web. Writing is an important and valuable skill, but so are many other things.</p>

<p>Here’s another way to think about it: over the past year, video after video has emerged showing cops shooting unarmed black people. Those videos have been shared on the web, and while they haven’t yet led to anything resembling justice for the victims, they have contributed to profound discussions around race, militarized police forces, guns, and more. They are not sufficient to bring about desperately needed social change—and there’s an argument to be made about whether they are at risk of becoming mere spectacle—but I think it would be hard to deny that they are an important element in the movement, that they have had a major impact.</p>

<p>You can describe what happens in each of those videos in words, but those words will never equal watching them. The words “Tamir Rice was shot two seconds after the police car pulled up” are wrenching, but not nearly as much as watching him fall to the ground as the car continues to roll. The words “Tamir Rice was twelve years old” are not as heart stoppable as seeing a photo of him. I am saying this as someone who believes in words, who spends more time with words than with pictures, who is more often moved by words than by images. But sometimes the power of an image dwarfs that of words. Even I have to admit that.</p>

<p>I worry that the push to keep the web defined to words, while pragmatic and reasonable in many ways, may also be used to decide what stories get told, and what stories are heard. Many more people are using their tiny computers to record video and audio and take pictures than are writing; as much as I may love writing, and as much as I know that transmitting writing via cables and air is a hell of a lot easier and cheaper than transmitting video, I’m not sure I can really stand here and say that the writing is—or should be—primary.</p>

<p>One of the design principles of the web is to pave the cowpaths: it looks to me like there are some new paths opening up, ones we may not have expected, ones that aren’t going to make many of our jobs easier. Maybe instead of putting up signs saying there are better paths elsewhere, it’s  time we see where these ones take us.</p>
