title: Le bunker, la passoire, les data et moi.
url: http://affordance.typepad.com/mon_weblog/2018/03/le-bunker-la-passoire-les-data.html
hash_url: 132b1751408f9dc25e5f3dbad162c69c

<p>A la suite du scandale Cambridge Analytica, chacun pousse "sa" conception de la protection des données personnelles. Notez que la plupart de ces prises de positions emploient volontairement l'expression "<em>protection des données personnelles</em>" plutôt que "<em>protection de la vie privée</em>" est que l'essentiel du problème se trouve déjà là : l'approche "data-only" achève d'essentialiser un débat qui n'aurait pourtant de sens qu'à la condition que l'on accepte de penser l'articulation entre l'architecture technique et les services produits comme autre chose qu'un simple problème individuel de régulation de bits. C'est <a href="https://www.usinenouvelle.com/editorial/l-affaire-facebook-cambridge-analytica-montre-que-nos-donnees-personnelles-ont-un-impact-collectif-pointe-jacques-francois-marchandise-de-la-fing.N671679" rel="noopener noreferrer" target="_blank">un enjeu collectif</a> et la question est moins celle des "données" que celle de l'intentionnalité de la collecte et de l'architecture technique de recueil. Mais ça <a href="http://affordance.typepad.com/mon_weblog/2018/03/lautre-question-que-pose-laffaire-facebook-cambridge-analytica-.html" rel="noopener noreferrer" target="_blank">je vous l'ai déjà dit et expliqué</a> :-)</p>
<p>A bien y regarder il semble donc que deux voies s'opposent désormais irréductiblement du côté des géants de la Silicon Valley. Le Bunker et la passoire.</p>
<h2>Le Bunker. </h2>
<p><a class="asset-img-link" href="http://www.affordance.info/.a/6a00d8341c622e53ef01bb09fef0c2970d-pi"><img alt="Ibunker" border="0" class="asset  asset-image at-xid-6a00d8341c622e53ef01bb09fef0c2970d image-full img-responsive" src="http://www.affordance.info/.a/6a00d8341c622e53ef01bb09fef0c2970d-800wi" title="Ibunker"/></a></p>
<p>Incarné par Apple avec <a href="https://www.theguardian.com/technology/2018/mar/28/facebook-apple-tim-cook-zuckerberg-business-model" rel="noopener noreferrer" target="_blank">Tim Cook succédant à Steve Jobs en gardien de la vertu et de la "privacy"</a>. Un écosystème de services totalement fermé et "enclôt" (au sens d'enclosure) dans des terminaux qui font office de Bunker totalement imperméable. Chez Apple, le credo est celui d'une absolue et totale confidentialité de l'ensemble des données collectées. Ce qui ne veut pas dire que la firme en collecte moins (iTunes et les "stores" Apple sont bien sûr des mines de renseignement colossales), mais qu'elle s'interdit - ou dit en tout cas s'interdire - un quelconque droit de regard pour des tiers ou pour elle-même sur la partie des données et informations "résidentes", c'est à dire celles stockées non pas dans le Cloud de la pomme mais sur les terminaux (ordinateurs, tablettes et smartphones) vendus par la firme. Une approche qui pose à mon sens d'immenses problèmes que j'avais tenté d'expliciter dans cette série de<span class="main-article-info"> trois billets :</span></p>
<ol>
<li><span class="main-article-info"><a href="http://affordance.typepad.com/mon_weblog/2016/02/iphone-le-degre-zero-de-la-privacy.html" rel="noopener noreferrer" target="_blank">Un terroriste est un client Apple comme les autres</a>.</span></li>
<li><span class="main-article-info"><a href="http://affordance.typepad.com/mon_weblog/2016/02/pomme-pomme-pomme-suppr.html" rel="noopener noreferrer" target="_blank">Pomme Pomme Pomme Suppr</a>.</span></li>
<li><span class="main-article-info"><a href="http://affordance.typepad.com/mon_weblog/2016/04/la-transparence-des-cryptes.html" rel="noopener noreferrer" target="_blank">La transparence des cryptes</a>.</span></li>
</ol>
<p><span class="main-article-info">A rebours de la plupart des analyses sur ce sujet, je défendais - et défends toujours - l'idée selon laquelle il est inquiétant qu'une firme soit en capacité de refuser de collaborer avec la justice dans le cadre d'une enquête dûment diligentée par un juge, au nom d'une définition de la préservation de la vie privée qui ne vaut que dans le cadre d'une logique commerciale préalable. Plus précisément <a href="http://affordance.typepad.com/mon_weblog/2016/02/iphone-le-degre-zero-de-la-privacy.html" rel="noopener noreferrer" target="_blank">j'écrivais que</a> :</span></p>
<blockquote>
<p><span class="main-article-info">"</span><strong>La question que pose le cryptage par défaut incassable des iPhones (...) est celle de savoir si l'espace - physique ou numérique - alloué aux traces documentaires de notre vie privée doit être imperquisitionnable. S'il doit résister à toute forme de perquisition.</strong> Si l'on se contente d'envisager les terroristes (ou les pédophiles ou les dealers de drogue ou les auteurs de crimes et délits en tout genre) comme autant de "clients" ayant acheté un appareil offrant des garanties raisonnables de préservation de leur vie privée, alors Tim Cook a raison : la demande du FBI est inacceptable. Mais si l'on considère que notre vie privée doit être un espace imperquisitionnable quelles que soient les circonstances et y compris dans le cadre d'une action judiciaire légitime effectuée dans un état de droit, alors c'est la posture de Tim Cook qui devient inacceptable."</p>
</blockquote>
<p>J'indiquais enfin en conclusion de mon premier billet sur l'affaire Apple / FBI :</p>
<blockquote>
<p>"On ne peut pas d'un coté <a href="http://www.lemonde.fr/pixels/article/2015/04/01/loi-sur-le-renseignement-la-boite-noire-reste-obscure_4607264_4408996.html" rel="noopener noreferrer" target="_blank">condamner la multiplication des boites noires aux mains des états</a>, s'alarmer en la déplorant de l'opacité des algorithmes des plateformes, et de l'autre réclamer un droit aux boîtes noires pour chaque citoyen. (...) "O<em>ffrir des garanties de confidentialité</em>" n'est pas la même chose que d'instituer de fait des espaces hors-la-loi, donc hors-la-cité, donc hors toute possibilité de contrôle démocratique (c'est à dire sous le contrôle d'un juge). Cette idée me fout autant en rogne que l'inviolabilité du "secret" bancaire. Et elle menace l'exercice démocratique de la même manière et dans les même proportions que ledit secret bancaire."</p>
</blockquote>
<p>A noter la dichotomie entre l'inviolabilité "totale" affichée pour les données stockées sur les terminaux et la porosité de celles liées aux services "en-ligne" des grandes firmes. Ainsi dans des affaires judiciaires dont on peut raisonnablement penser qu'elles vont se multiplier, on voit qu'Amazon ou Apple, sollicités par des services de police ou de justice, transmettent sans problème - et c'est normal - les données d'un utilisateurs stockées dans leurs Clouds respectifs, mais s'interdisent en revanche, pour l'une de dévérouiller un iPhone et pour l'autre de <a href="http://affordance.typepad.com/mon_weblog/2017/01/siri-alexa-amazon-echo-qui-a-tue-kennedy.html" rel="noopener noreferrer" target="_blank">transmettre les données conversationnelles captées par son enceinte connectée</a>.    </p>
<p><strong>Dans sa version ultime, le Bunker incarne une approche survivaliste de la vie privée</strong>, expliquant probablement en partie <a href="https://www.nouvelobs.com/rue89/sur-le-radar/20170228.OBS5882/pourquoi-les-millionnaires-de-la-silicon-valley-se-preparent-a-la-fin-du-monde.html" rel="noopener noreferrer" target="_blank">le renouveau de ce mouvement dans la Silicon Valley</a> : quand la grande catastrophe de la privacy sera advenue, le jour d'après le "Big-Data-Crunch" il ne nous resterait, pour les tenants de cette doctrine, que nos données résidentes conservées de manière inexpugnables sur certains de nos terminaux.</p>
<h2>La passoire.</h2>
<p><a class="asset-img-link" href="http://www.affordance.info/.a/6a00d8341c622e53ef01b7c95ba6c0970b-pi"><img alt="Fbpass" border="0" class="asset  asset-image at-xid-6a00d8341c622e53ef01b7c95ba6c0970b image-full img-responsive" src="http://www.affordance.info/.a/6a00d8341c622e53ef01b7c95ba6c0970b-800wi" title="Fbpass"/></a></p>
<p>Face au Bunker se déploie donc l'autre modèle, celui de la passoire, dont il n'est nul besoin que je vous explique qui en est le héraut. Un modèle qui se caractérise à la fois par la porosité de l'accès à des données personnelles pour des tiers qui sont tout sauf de confiance (cf <a href="http://affordance.typepad.com/mon_weblog/2018/03/lautre-question-que-pose-laffaire-facebook-cambridge-analytica-.html" rel="noopener noreferrer" target="_blank">Cambridge Analytica</a> par exemple ou même <a href="https://www.cnbc.com/2018/03/26/ftc-confirms-facebook-data-breach-investigation.html" rel="noopener noreferrer" target="_blank">Palantir d'après les dernières révélations de l'affaire ...</a>), et par sa capacité de percolation, sa facilité programmatique à toucher des secteurs (éducation, santé, politique) qui n'étaient pas ceux initialement visés par la collecte et le recueil de données. </p>
<p><strong>L'approche du "Bunker" est aussi survivaliste que l'approche de la "passoire" est (faussement) rationaliste :</strong> dans la lignée des tout premiers systèmes algorithmiques de recommandation grand public (Amazon) on a réussi à nous convaincre que des systèmes efficaces en termes d'interface et de contenus ne pouvaient pas faire autrement que d'absorber toujours davantage de données personnelles. Or l'observation des résultats empiriques de ce discours dit toute l'étendue de la manipulation et de la méprise qu'il véhiculait en toute connaissance de cause : d'un côté cela a abouti à l'éclosion de bulles de filtres et de redoutables effets de polarisation de l'opinion, et de l'autre nous avons une hyper-personnalisation des résultats de recherche qui empêche de construire des référents communs.</p>
<p>Le fait est que la production de services de recommandation suffisamment personnalisés pour être efficients ne nécessite ni ne justifie en rien la saignée opérée depuis plus de 10 ans en termes de collecte et de traitement de données personnelles. La meilleure preuve est que l'annonce de la <a href="https://medium.com/@graldinesalord/rgpd-faut-il-br%C3%BBler-toutes-ses-donn%C3%A9es-95178d8823ad" rel="noopener noreferrer" target="_blank">mise en oeuvre du RGDP</a> a déjà <a href="https://adwords.googleblog.com/2018/03/changes-to-our-ad-policies-to-comply-with-the-GDPR.html" rel="noopener noreferrer" target="_blank">poussé Google à réfléchir à des publicités non-personnalisées</a> ou plus exactement ne nécessitant pas la collecte systématique et non préalablement consentie de données personnelles. De la <a href="https://www.presse-citron.net/rgpd-google-developpe-publicites-nutilisent-de-donnees-personnelles/" rel="noopener noreferrer" target="_blank">publicité Zero Tracking</a> à l'ancienne sans qu'au final même Google ne semble s'en émouvoir ou s'n inquiéter outre mesure. Faut dire que<a href="http://affordance.typepad.com/mon_weblog/2016/04/google-appendice-8.html" rel="noopener noreferrer" target="_blank"> ses fondateurs sont depuis longtemps convaincus que la publicité est totalement incompatible avec le modèle du moteur de recherche</a> :-)</p>
<p><strong>Mais revenons à notre passoire.</strong> Ce modèle de la passoire c'est naturellement Facebook qui en a érigé le paradigme en dogme. Avec en sus un sens de l'inversion de la charge de la preuve assez révélateur de la philosophie de son fondateur, <a href="https://www.facebook.com/antonio.a.casilli/posts/1730750296971018" rel="noopener noreferrer" target="_blank">comme le rappelait Antonio Casilli</a> : </p>
<ul>
<li>2010 "Sure we made all your content public, but that’s your fault for putting it online in the first place"</li>
<li>2014 "Sure we created echo chambers, but that’s your fault for unfriending people you disagree with"</li>
<li>2016 "Sure we spread fake news, but that’s your fault for reading and sharing it"</li>
<li>2018 "<a href="https://slate.com/technology/2018/03/facebook-acknowledges-it-kept-records-of-calls-and-texts-from-android-users.html" rel="noopener noreferrer" target="_blank">Sure we have been recording all your calls</a>, but that’s your fault for not opting out"</li>
</ul>
<p>Plus fondamentalement il faut se souvenir de la manière dont la croissance en audience et en revenus publicitaires de Facebook a explosé à l'unisson des garanties offertes en termes de vie privée et de collecte de données personnelles : dès 2010, <a href="http://mattmckeon.com/facebook-privacy/" rel="noopener noreferrer" target="_blank">une infographie avait pas mal circulé</a> sur la base de <a href="https://www.eff.org/deeplinks/2010/04/facebook-timeline" rel="noopener noreferrer" target="_blank">l'analyse proposée par l'EFF</a> et reprise également <a href="http://books.openedition.org/oep/407#tocfrom1n4" rel="noopener noreferrer" target="_blank">dans cet excellentissime livre sur l'identité numérique ;-)</a></p>
<p><a class="asset-img-link" href="http://www.affordance.info/.a/6a00d8341c622e53ef01bb09ff9067970d-pi"><img alt="Fbpricavy" border="0" class="asset  asset-image at-xid-6a00d8341c622e53ef01bb09ff9067970d image-full img-responsive" src="http://www.affordance.info/.a/6a00d8341c622e53ef01bb09ff9067970d-800wi" title="Fbpricavy"/></a></p>
<p>MSNBC a récemment exhumé <a href="https://www.cnbc.com/2018/03/21/facebook-ceo-mark-zuckerbergs-statements-on-privacy-2003-2018.html" rel="noopener noreferrer" target="_blank">les déclarations les plus frappantes de Zuckerberg sur le sujet de la vie privée depuis ces 15 dernières années</a> à l'occasion de grosse évolutions de la plateforme ou de précédents scandales. Et la relecture de ce corpus est assez ... consternante. Pour le dire simplement, à peu près toutes les erreurs possibles ont été faites, avec à chaque fois les mêmes excuses (<em>on n'avait pas anticipé, on a mal fait le job, ce n'est pas cela que veulent nos utilisateurs</em>), les mêmes promesses de changement (<em>on va rectifier le tir</em>), les mêmes mesures cosmétiques (<em>on a jouté un petit dinosaure sympa qui vous parle pour vous aider à régler vos paramètres de confidentialité</em>), et les mêmes failles béantes restant ouvertes. Seule avancée notable à porter au crédit de la firme, la possibilité de télécharger assez simplement la quasi-totalité de nos données (<a href="http://affordance.typepad.com/mon_weblog/2010/11/recuperation-donnees-personnelles-facebook.html" rel="noopener noreferrer" target="_blank">c'était en 2010 donc tout de même 6 ans après le lancement de la plateforme, et c'était assez complexe à l'époque</a>).</p>
<p>Si Antonio Casilli a mille fois raison de rappeler ce qu'il a théorisé, à savoir que <a href="http://journals.openedition.org/rfsic/630" rel="noopener noreferrer" target="_blank">la vie privée est avant tout une affaire de négociation collective</a>, ne perdons pas de vue que les intérêts privés demeurent le coeur du modèle d'affaire de ces firmes.</p>
<p>D'ailleurs, ce n'est que depuis qu'il a eu la confirmation qu'il était sous le coup d'une <a href="https://www.cnbc.com/2018/03/26/ftc-confirms-facebook-data-breach-investigation.html" rel="noopener noreferrer" target="_blank">enquête de la FTC suite à l'affaire Cambridge Analytica</a>, que Zuckerberg après avoir pendant une semaine batifolé dans les médias en excuses vaseuses et en promesses vaselinées, a été contraint d'annoncer la seule mesure capable de limiter la casse en revenant à des pratiques plus raisonnables et respectueuses non pas de la vie privée mais simplement de ses utilisateurs : <a href="http://abonnes.lemonde.fr/entreprises/article/2018/03/29/ciblage-publicitaire-facebook-va-cesser-de-travailler-avec-des-agregateurs-de-donnees_5278118_1656994.html" rel="noopener noreferrer" target="_blank">cesser de travailler avec des agrégateurs de données pour le ciblage publicitaire</a>, <a href="https://www.blogdumoderateur.com/facebook-desactive-data-brokers/" rel="noopener noreferrer" target="_blank">désactiver les Data-Brokers</a>, <a href="https://techcrunch.com/2018/03/28/facebook-will-cut-off-access-to-third-party-data-for-ad-targeting/" rel="noopener noreferrer" target="_blank">couper l'accès à ces tierces-parties</a>. Bon bien sûr cela ne concerne que les plus gros Data-Brokers et ce n'est que pour dans 6 mois et on sent bien la même sincérité dans l'intention que celle du pyromane pris en train de sectionner la lance à incendie, mais c'est quand même un (bon) début, à condition que l'on s'en saisisse pour augmenter davantage la pression fiscale, sociale et politique sur l'ensemble de ces firmes. </p>
<p>En termes sportifs, avec cette annonce et l'arrivée du RGPD, nous sommes ici à un <em>momentum</em> rarement atteint depuis que le modèle publicitaire contextuel et ciblé a fait son apparition et permis l'émergence des géants du net. L'occasion de <a href="https://arxiv.org/abs/1405.2212" rel="noopener noreferrer" target="_blank">relancer l'idée d'un index indépendant du web</a> (et des <a href="http://affordance.typepad.com/mon_weblog/2016/12/etats-generaux-web-independant.html" rel="noopener noreferrer" target="_blank">états généraux du Libre</a>) pour entretenir le cercle enfin vertueux qui pourrait se dessiner. Mais, comme à chaque fois, la fenêtre d'opportunité sera très très courte.</p>
<h2>Et moi et mes datas.</h2>
<p>Entre les feux croisés du Bunker et de la passoire, il y a moi, enfin nous. Nous et nos contradictions. Nous, <a href="http://www.davduf.net/+-linux-+" rel="noopener noreferrer" target="_blank">peinant à nous extraire de nos bunkers</a> tout en dénonçant la passoire sans cesser de continuer d'y déverser nos données. Pas parce que nous sommes fous. Pas parce que nous sommes incons(is)tants. Pas parce que nous sommes fainéants. Mais parce qu'utiliser un service, qu'il soit Bunker ou passoire, c'est comme regarder la télé : on ne peut pas à la fois regarder et se voir regardant ; on ne peut pas à la fois être dans l'expérience et dans la posture critique permettant de questionner cette expérience. En tout cas pas tout le temps et pas spontanément. Et aussi parce que les architectures techniques sont faites pour cela : nous installer en défaut de vigilance. Alors nous passons par différents stades. </p>
<p><strong>Stade 1. L'étonné des données.</strong> Voilà ce que nous fûmes collectivement au début. Ce siècle avait quatre ans, Facebook remplaçait Google, déjà les Plateformes pointaient sous le Réseau. Et quelques années après nous étions étonnés, comme hébétés de mesurer l'ampleur de la collecte de nos données, et l'ampleur des menaces que cela pouvait faire peser sur ce que nous pensions être nos vies encore "privées".</p>
<p><strong>Stade 2. Le blasé des données.</strong> Et puis les plateformes ont gagné. Elles ont réussi à nous installer dans la certitude que tout cela n'était peut-être pas si grave, ou pas tout de suite. Que la solution pouvait venir des états, de la régulation. Plus on nous le racontait et moins nous y croyions. Depuis le temps qu'états et régulation essaient de les faire s'acquitter des taxes et impôts qu'elles devraient payer avec l'efficacité d'un tennis-man français en phase finale, difficile de croire qu'un jour on y parviendrait. Et puis quand même c'était gratuit. Et puis quand même nous étions le produit. Et puis quand même nous le valions bien.  </p>
<p><strong>Stade 3. L'énervé des données.</strong> Alors après avoir été étonnés, après avoir été blasés, nous nous sommes énervés. Et on a tout envoyé balader à grands coups de hashtags et de dé-connectivité. <a href="https://twitter.com/hashtag/deletefacebook" rel="noopener noreferrer" target="_blank">#DeleteFacebook</a>, <a href="https://mastodon.social/@FuckOffGoogle" rel="noopener noreferrer" target="_blank">#FuckOfGoogle</a>, #IphoneRevolt et j'en passe. On a <a href="http://nautil.us/blog/is-facebook-really-scarier-than-google" rel="noopener noreferrer" target="_blank">comparé nos peurs</a>, cherché à voir <a href="http://nautil.us/blog/is-facebook-really-scarier-than-google" rel="noopener noreferrer" target="_blank">qui de Facebook ou de Google était le plus menteur</a>, le plus voleur, le plus grand responsable de notre malbonheur.</p>
<p>Le malbonheur est un mot qui n'existe pas mais qui me permet de décrire le fait que ces plateformes et leurs logiques alimentent autant notre sentiment de bonheur (effet chaton) que notre sentiment de réceptivité aux malheurs du monde (effet enfants qui meurent). Le malbonheur renvoie aussi au "Malconfort" décrit par Camus et qui fait écho à ce qu'est notre position au sein de l'écosystème des plateformes : </p>
<blockquote>
<p><em>"C’est vrai vous ne connaissez pas cette cellule de basse-fosse qu’au Moyen-Age on appelait le « Malconfort ».En général, on vous y oubliait pour la vie. Cette cellule se distinguait des autres par d’ingénieuses dimensions. Elle n’était pas assez haute pour qu’on s’y tînt debout, mais pas assez large pour qu’on pût s’y coucher. Il fallait prendre le genre empêché, vivre en diagonale; le sommeil était une chute, la veille un accroupissement. Mon cher, il y avait du génie, et je pèse mes mots, dans cette trouvaille si simple. Tous les jours, par l’immuable contrainte qui ankylosait son corps, le condamné apprenait qu’il était coupable et que l’innocence consiste à s’étirer joyeusement."</em></p>
</blockquote>
<h2>La cathédrale et le bazar.</h2>
<p>Le problème c'est que plus le modèle de la passoire continuera de s'étendre, plus ses failles seront révélées, et plus le modèle du Bunker nous apparaîtra vertueux alors qu'il est traversé par les mêmes excès et qu'il met en place les mêmes risques à l'échelle du contrôle démocratique d'une société. </p>
<p>En 1999 paraissait le célèbre ouvrage d'Eric Raymond (aka ESR), "<a href="https://fr.wikipedia.org/wiki/La_Cath%C3%A9drale_et_le_Bazar" rel="noopener noreferrer" target="_blank">The Cathedral and the Bazaar</a>" dans lequel il comparait les modèles de développement des logiciels Open Source (le bazar) au regard des développements informatiques standards (la cathédrale). A l'échelle de la Privacy et donc des fonctions de contrôle (police / justice) que sont en capacité d'exercer aujourd'hui les grandes plateformes marchandes de l'internet et des retombées nécessairement politiques de l'exercice de ces pouvoirs, c'est autour des figures du Bunker et de la passoire que va se déterminer l'essentiel de nos postures connectées, et donc de notre rapport à l'information, au monde et aux autres. Et comme ce billet aura je l'espère permis de l'illustrer, aucune de ces deux postures n'est saine ou même simplement désirable. </p>
<p>Il nous faut donc trouver une troisième voie, il nous faut donc d'urgence retrouver l'effervescence féconde du bazar et de la décentralisation. Le moment est opportun. Ne gâchons pas cette occasion. Parce qu'elle sera probablement la dernière. </p>
