title: How Long Can Our Content Last?
url: https://robinrendle.com/notes/how-long-can-our-content-last/
hash_url: 14503631f9cb0387e722834a448a41fe

<p><a href="https://www.zachleat.com/web/digital-longevity/">Zach Leatherman</a>:</p>

<blockquote>
  <p>We may be trapped in a web of competing formats, open and closed, standardized and proprietary, single vendor controlled and community driven, available for all and tightly held in app stores and behind walled gardens. We’re trapped in a continuum of open and closed continuously exploited for profit that plays a huge role in the longevity of our digital files.</p>

  <p>Digital content longevity will continue to be highly variable, depending only in part on the file format used. HTML has existed for about 27 years and I wouldn’t venture a guess to say how much longer it’ll go. I can say that a reduction in ceremony around opening and reading a file is better for that file’s longevity. Relatedly, the ubiquity of software necessary to read a file lends to its future proofing as well. And what software has been historically and continues to be more ubiquitous than the lowly web browser? I’m not sure such software exists.</p>
</blockquote>

<p>I think about this stuff <em>a lot</em> (just Inspect Element on this here page) but I’m of two minds when it comes to preservation on the web and from day to day I fluctuate between pessimism and optimism. Some days I feel like I’ll be writing HTML and CSS until I retire – I might not be using macOS or even a keyboard or screen to do that, but under the hood it’ll still be HTML and CSS. This feeling becomes more profound when I mess around with Electron and then it’s obvious that <em>everything</em> will be built with HTML, CSS and JavaScript—it’s only a matter of time before we website-ize everything and make those technologies truly ubiquitous.</p>

<p>But then I think beyond the languages of the web and get all sour when I think about <a href="https://www.tbray.org/ongoing/When/201x/2015/05/25/URI-decay">link rot</a>. Even some of the older projects here are breaking up already, like <a href="https://robinrendle.com/essays/new-web-typography/">The New Web Typography</a>. The first thing to stop working was the fonts. Then one day the JavaScript for some of the examples stopped working.</p>

<p>It’s fascinating in fact, watching this enormous project that I cared so much for fade away back into hypertext. And maybe that’s okay. Maybe one day everything on that page will return to a state of nothing but HTML tags. And maybe it’ll stick around for a while after I’m gone, too.</p>

<p>But the biggest flaw with all this digital preservation stuff isn’t HTML or CSS in my opinion. <em>It’s the concept of a domain that we rent.</em> Today we borrow spaces on the web and put up our flimsy little flags on top. And then the links get lost in a shuffle between apartments or jobs, between marriages or administrations. Or when someone accidentally unplugs something. Or, tragically, if someone dies.</p>

<p>Above all things it’s not the languages of the web we should be worried about when it comes to digital preservation. Instead, it’s the pact we sign when renting a space on the web for money – that’s the least resilient part of the whole deal.</p>

<p>And it’s what scares me the most.</p>
