title: Développeur de logiciel senior / principal(e) (Python)
url: https://numerique.canada.ca/join-our-team/positions/d%C3%A9veloppeur-de-logiciel-senior-principal-e-python/
hash_url: b7829aa5073173cca4ed3f4ea23e767f

<h2 class="section--title">Nous embauchons</h2>
          <p>Le Service numérique canadien (SNC) est chargé de changer la façon dont le gouvernement fédéral conçoit et fournit les services numériques, afin de réduire les risques d’échec des produits, de réduire les coûts, de garantir la confidentialité des utilisateurs et la sécurité des systèmes, et surtout, d’améliorer la vie des gens en appelant l’attention sur leurs besoins et préoccupations. Selon nous, chaque expérience vécue par les Canadiennes et Canadiens lorsqu’ils interagissent avec le gouvernement devrait répondre ou dépasser leurs attentes modernes et valables voulant que les services numériques soient sûrs, rapides, faciles, transparents et accessibles. Nous travaillons ouvertement, renforçant ainsi les capacités dans tout le gouvernement pour améliorer la prestation de services. Et nous avons besoin de vous.</p>

<p>Nous recrutons des Développeurs de logiciel principal(e) et senior. Bien que nous ayons des bureaux à Ottawa, Montréal, Toronto et Kitchener, nous travaillons en grande partie de manière distribuée et nous embauchons également des candidats dans d&rsquo;autres régions du Canada.</p>

<p>Ces postes font partie de la Communauté de développement de logiciels et relèvent du Chef du développement de logiciels, qui affecte les employés aux projets en fonction des besoins organisationnels et des plans de croissance personnelle. </p>

<p>Les Développeurs senior sont classés <a href="https://www.tbs-sct.gc.ca/agreements-conventions/view-visualiser-fra.aspx?id=1#toc12259212260">CS-04</a> et les Développeurs Principal(e) sont classés <a href="https://www.tbs-sct.gc.ca/agreements-conventions/view-visualiser-fra.aspx?id=1#toc12259212260">CS-05</a> dans le groupe des systèmes d’ordinateur.</p>

<p><strong>Vous devrez accomplir les tâches suivantes :</strong></p>

<ol>
<li>Fournir du code Python de haute qualité qui sera publié dans le nuage et faire preuve d’une expertise et d’une volonté d’apprendre de nouveaux langages informatiques et de nouvelles technologies au besoin.</li>
<li>Expédier des applications web complète (de l&rsquo;interface utilisateur à l&rsquo;infrastructure). Cela comprend l&rsquo;architecture, le codage, l&rsquo;exploitation, la mise en service, les tests et les réglages. Vous devrez les réaliser de manière ouverte et en collaboration avec des équipes interfonctionnelles. Cela peut impliquer une rotation des services sur appel.</li>
<li>Créer et défendre des pratiques par défaut au sein du SNC afin d&rsquo;accroître notre capacité à exploiter et à fournir de la valeur sur nos produits de la Plateforme. Tout ne sera pas réutilisable avec nos ministères partenaires, mais ceux-ci devraient démontrer les bonnes pratiques qu&rsquo;ils pourraient suivre.</li>
<li>Déterminer, communiquer et fournir de manière itérative des fonctionnalités et des processus qui amélioreront les choses pour les utilisateurs dès maintenant. Il est essentiel de faire preuve d&rsquo;agilité, même si le gouvernement est dirigé par une approche en cascade.</li>
<li>Écouter, apprendre et aider les autres employés du gouvernement et des ministères à améliorer leur façon de travailler et de fournir des services publics. En vous basant sur ce qui est à la fois faisable et efficace, vous devez aider à la gestion du changement, à la fiabilité du site, à la sécurisation des systèmes et des processus et à la conception centrée sur les usagers dans les endroits où nous n&rsquo;avons pas d&rsquo;autorité officielle.</li>
<li>Construire des prototypes et/ou des logiciels bien conçus et maintenables en fonction du contexte. </li>
</ol>

<p><strong>Nous vous évaluerons en fonction de :</strong></p>

<ul>
<li>Création et livraison de logiciels</li>
<li>Utiliser la pratique de la fiabilité des sites et la culture du développement moderne </li>
<li>Sécurisation des systèmes et des processus</li>
<li>Découvrir les besoins des utilisateurs/entreprises et les obstacles opérationnels</li>
<li>Travailler dans des environnements très variables et impliquant de multiples parties prenantes</li>
<li>Conseiller les hauts dirigeants et les gens non techniques </li>
<li>Promouvoir une prestation de service inclusive et maintenir l&rsquo;impact, l&rsquo;ouverture, l&rsquo;intégrité et l&rsquo;équité.</li>
</ul>

<p>Au SNC, nous n’acceptons pas seulement les différences, nous les célébrons. C’est avec fierté et passion que nous nous efforçons activement de rendre le SNC plus représentatif et plus inclusif de la société que nous servons. Notre capacité à fournir des services publics améliorés — des services accessibles et inclusifs — ne peut être réalisée que si nous pouvons reconnaître et exploiter l’éventail le plus diversifié de pensées, d’expériences et de compétences. Nous travaillons fort pour créer un environnement où les différentes perspectives et expériences sont valorisées. Nous nous engageons à aider les talents divers à s’épanouir.</p>

<p>Le SNC prend en considération tous les candidats et candidates, peu importe leur race, leur origine ethnique, leur religion, leur orientation sexuelle, leur identité ou leur expression de genre, leur origine nationale, leur handicap, leur âge, leur statut d’ancien combattant, leur situation matrimoniale, leur grossesse ou leurs obligations familiales. </p>

<p>Nous nous engageons à fournir un environnement de travail inclusif et sans obstacle, en commençant par le processus d’embauche. Si vous avez besoin de mesures d’adaptation au cours des phases du processus d’évaluation, veuillez utiliser les coordonnées ci-dessous pour demander des mesures particulières. Toutes les informations reçues concernant les mesures d’adaptation seront gardées confidentielles.</p>

<p><a href="https://www.canada.ca/fr/commission-fonction-publique/services/mesures-d-adaptation-matiere-evaluation.html">Mesures d’adaptation en matière d’évaluation</a></p>

<p>Par prudence, toutes les entrevues seront menées par vidéo ou téléconférence pour un futur proche.</p>
