title: On Priorities
url: https://vgpena.github.io/on-priorities/
hash_url: 2020e2b3c28d37ec6cf7eabfa607ffe2

<h2 class="article-info-piece" id="article-subtitle"> And our responsibility to look for them </h2>

<p>Over the past few weeks, numerous companies, projects, and working groups have put forth statements outlining their new racial equity efforts. There is a <em>lot</em> to unpack in these corporate initiatives, but I want to focus on the specific dimension of how racial equity work is prioritized.</p> <p>This post references patterns I have observed in tech and adjacent industries. It does not refer in totality to specific events at any specific company.</p> <hr/> <p>By default, I reject zero-sum thinking and am most interested in how to get to <code>A &amp;&amp; B</code> instead of <code>A || B</code>. This mindset is how I understand and survive in the world and the tech industry. I also see it as the cornerstone to dismantling patriarchal and white supremacist systems which, by nature, thrive on exclusion and on defining the world as zero-sum (e.g., “It’s nice that we want to hire more Black people but then what about all the white candidates who we’ll have to turn down?”)</p> <aside class="aside"> <p class="aside-body"> Some changes are superficially win-lose (e.g., white peoples’ comfort no longer being centered) but are actually win-win (because EVERYONE will thrive more outside of a white supremacist system) </p> </aside> <p>That said, time and energy are measurable, finite quantities that we can only access a bit at a time. And I respect that. This is where prioritization comes into play.</p> <hr/> <p>Over time, yes, Virginia, you can have it all. You <strong>can</strong> have an inclusive and safe environment, you <strong>can</strong> raise your profit margin, you <strong>can</strong> win all the work awards, you <strong>can</strong> recruit easily, you <strong>can</strong> operate efficiently. But in the short term, if any of these systems need fixing, you need to figure out where the effort to make the fix is going to come from. If you’re spinning up a task force to improve recruiting, or to guarantee pay equity, where do the group members come from? <a href="https://www.washingtonpost.com/technology/2020/06/26/black-ergs-tech/">Are they current employees who will need to swap this work out for their current 9-5 responsibilities?</a> Then you’re probably taking an efficiency/quality-of-work hit. Are you hiring a third-party consultancy? Then may lessen your coveted profit margins. (And so on.)</p> <p>Any of these options can be correctly executed on, but my point is that <strong>if you need to fix your white supremacy and you can’t tell me what you will sacrifice to make this possible, then you’re not part of the solution.</strong></p> <hr/> <p>I have been circling around prioritization for a while now, so I’ll finally come to it directly, in terms many tech workers will find familiar. Some features are launch-critical/P0 (e.g., having a navigation on your website). Other features are nice-to-haves/P1 (adding page transition animations). Articulating priorities makes it OK to lose a P1 in order to complete a P0.</p> <p>I see many companies claim that equity &amp; inclusion (E&amp;I) is “a priority” or that they intend to “put in the work”, but so far I overwhelmingly see efforts that demand E&amp;I be fixed <strong>at no cost to anything else.</strong> ERG members are not given time within the 9-5 to do this work; companies shy away from third-party consultancies; chains of accountability and empowerment remain as-is.</p> <p>If E&amp;I is a P0 — if Black employees’ safety and health is a P0 — you are pulling every lever possible that does not compromise other P0s (e.g., job security; keeping the business solvent). You're delaying release dates, reducing ERG members' normal workload, prepping notes for your shareholders on why your profits stayed flat this quarter.</p> <aside class="aside"> <p class="aside-body"> At time of writing, this blog is hosted on Github Pages, signaling that I prioritize keeping a consistent coding/deployment platform over divesting from a company that works with ICE. I know I need to fix my shit. I’d prefer that Github fixed their shit instead, but I can’t control that. </p> </aside> <p>So, my personal commitment, and what I encourage from the reader, is to ask yourself and your employers: <strong>if we’re making a change, where do these resources come from? What are we giving up, even a little, while we fix our white supremacist M.O.?</strong> (And what are we OK <em>having</em> lost/”lost” once these systems have been fixed? But that’s another blog post.)</p> <hr/> <p>If there’s no answer to this question, or the answer is “we’re not giving up anything”, reflect on what this implies. And reflect on how powerful this change can possibly be when it’s coming in addition to everything, at the cost of nothing. E&amp;I being a non-prioritized “priority” is one manifestation of the #causeascene guiding principle that <a href="https://hashtagcauseascene.com/">“Intention without strategy is chaos”</a>. </p> <p>These are reasonable questions to ask of any large-scale effort or project. Articulating them may not be easy, and you may be met with defensive reactions. Stand by your questions. If you can expect priorities out of a software feature list, you can expect the same from a corporate restructuring effort.</p> <p>Know that I will be here with you, also asking these questions, also evaluating the answers.</p> <hr/> <p>P.S -- This has <em>always</em> been the question. Whethere it's about encrypting data, hiring women, time off policies, or ad-buying, always look for what is being put on the line to achieve a professed "priority".</p>