title: Aller voir les aurores boréales en train
url: https://blog.professeurjoachim.com/billet/2023-03-31-aller-voir-les-aurores-boreales-en-train
hash_url: 096a44a83d8d3f2bdfd21e3d378e4719

<p>Depuis le début de l’année, j’avais besoin d’un changement d’atmosphère. Donc j’ai pris le train pour aller voir des aurores boréales.</p>
<p>J’ai ressenti l’impulsion après qu’une amie a demandé à la cantonade “ma fille voudrait aller voir les aurores boréales, mais ma famille ne prend plus l’avion, vous pensez que c’est possible en train ?”. Ça doit être possible, je me suis dit, mais compliqué à organiser. Et puis j’ai regardé les cartes, les zones de visibilité des aurores, les meilleures périodes de l’année pour les voir, la météo scandinave, les prédictions d’activité solaire… en fait, c’est bien plus accessible que je ne le pensais. Et si j’y allais ?</p>
<h2>Quoi ?</h2>
<p>Une <a href="https://fr.wikipedia.org/wiki/Aurore_polaire">aurore boréale</a> apparait quand un vent solaire interagit avec la haute atmosphère terrestre, au niveau des pôles magnétiques terrestres. Hors orages solaires violents, les aurores se produisent généralement entre le 65e et le 75e degrés de latitude, grosso modo à cheval sur le cercle polaire.<br>
Donc pour en voir il faut aller au nord tant qu’on peut, puis encore un peu plus au nord. On s’arrête quand il fait trop froid ou que le ciel est vert.</p>
<h2>Quand ?</h2>
<p>Est-ce qu’on peut les prévoir ? Oui, un peu, mais sans précision. Pour avoir une aurore, il faut que la Terre soit sur le chemin d’un vent solaire, ce qu’on peut prédire grossièrement avec un mois d’avance en surveillant <a href="https://jemma.mobi/noaa27d?e">l’index Kp</a> (qui mesure l’interaction entre l’activité solaire et le champ magnétique terrestre), et en l’extrapolant sur la période à venir (le soleil fait un tour sur lui-même en 27 jours). La prédiction à quelques heures est bien plus exacte.</p>
<p>Étant donné que ça dépend du soleil, pour lequel on n’a pas d’excellents outils de prédiction d’activité, les scientifiques et observateurs peuvent se retrouver surpris par des orages solaires—comme <a href="https://www.livescience.com/most-powerful-solar-storm-in-6-years-caused-auroras-all-over-the-us-and-nobody-saw-it-coming">celui du 24–25 mars</a>, d’une puissance record depuis six ans, qui a pris tout le monde de court.</p>
<p>Évidemment, il y a aussi la question de la météo ; un ciel nuageux empêchera de voir les aurores. Mais prédire la météo, vous connaissez. Sachez juste que la zone boréale a un temps qui change rapidement, sans vraie assurance la veille de la couverture nuageuse du lendemain.</p>
<h2>Où ?</h2>
<p>À la fin du 19e siècle, un gisement de fer est découvert à 145 km au nord du cercle boréal arctique. Pour l’exploiter il faut pouvoir déplacer le minerais là où il pourra être traité, et donc il faut une ligne de train qui partira vers l’Atlantique, étant donné que la Baltique plus éloignée, et est gelée une grosse partie de l’année. La ligne part du port norvégien de Narvik, et arrive jusqu’au gisement, où une ville est construite à son tour, Kiruna. La ligne continue ensuite jusqu’au port de Luleå sur la Baltique, où elle rejoint la ligne vers Stockholm. La ligne transporte des trains de passagers en plus des trains de  minerais de fer.</p>
<p>Dans les montagnes entre Narvik et Kiruna, un camp de travailleurs du chemin de fer est devenu un village, Abisko, et une base touristique a été créée pour accueillir les visiteurs.</p>
<h2>Et donc ?</h2>
<p>Fort de toutes ces informations, j’ai pu répondre positivement à la question de mon amie.</p>
<ul>
<li>✔︎ il est possible de prendre des trains de Paris à Stockholm (je l’ai fait en 2008 en train + ferry depuis Berlin et en 2017 en train de nuit depuis Hambourg)</li>
<li>✔︎ depuis Stockholm, il y a un train de nuit qui s’arrête à Luleå, Kiruna, Abisko et termine à Narvik</li>
<li>✔︎ on peut savoir grossièrement quelles périodes seront les meilleures pour l’observation des aurores</li>
</ul>
<p>Reste à savoir si :</p>
<ul>
<li>il y a un délai minimal pour réserver un aller-retour vers le cercle polaire en train</li>
<li>les conditions seront réunies pour voir des aurores</li>
<li>le coût du voyage sera abordable</li>
<li>il existe des activités pour s’occuper en journée</li>
</ul>
<p>J’ai tendance à improviser mes voyages : une fois que j’ai décidé que je pars un de ces jours, je me documente un peu sur le trajet et la destination, je repère les options qui me permettent le plus de flexibilité. Au besoin, j’envoie un ou deux emails pour jauger du besoin de placer une réservation très à l’avance.</p>
<h2>Comment ?</h2>
<p>Pour ce voyage, j’ai pris ma décision de partir à une semaine de la date du départ. Il y avait <a href="https://jemma.mobi/mittaushistoria.php?p=2023-03-05">un pic d’activité Kp prévu pour le 5–6 mars</a>, je l’avais repéré quinze jours avant. Les mises à jour des estimations confirmaient l’activité, donc j’ai commencé à prévenir mon chef que je poserais sans doutes plusieurs jours très prochainement.</p>
<p>Le trajet en train de Paris au cercle polaire dépend d’un train de nuit de Hambourg à Stockholm, puis d’un autre train de nuit de Stockholm à Narvik. Pour rejoindre Hambourg j’ai décidé de passer par Cologne, qui est desservie par le Thalys, et d’où on peut prendre un ICE (équivalent allemand du TGV) pour Hambourg. C’est quasiment huit heures de trains express.</p>
<p>Pour être à Narvik le 5 mars au soir, il fallait donc que j’y arrive le 5 au matin, ce qui impliquait de prendre le train de nuit à Stockholm le 4 au soir, et donc prendre le train de Hambourg le 3 au soir, ce qui voulait dire partir de Paris le vendredi 3 au matin.</p>
<p>Quoi faire après ça ? Ma sœur vit à Stockholm, c’est l’occasion parfaite pour passer la voir quelques jours au retour. Puis, pourquoi pas m’inviter chez des amis sur le chemin du retour ? Je connais du monde à Roskilde au Danemark (enfin je ne les connaissais pas avant d’y aller mais ils sont très sympa), à Berlin ou à Breda en Hollande… autant aller passer quelques jours et voir un peu d’Europe ! Et à l’aller, ça tombe bien : mon arrêt à Cologne me permet d’y déjeuner avec un ami montreuillois qui y a déménagé. Le programme est prévu, je préviens les amis et leur demande à quel point ils sont flexibles pour m’héberger, et zou ! Je peux commander mes premiers billets. On est dimanche 26 février, je partirai vendredi 3 mars.</p>
<h2>Combien ?</h2>
<p>Mon atout, quand je voyage en train en Europe, c’est le <a href="https://www.interrail.eu/fr">pass Interrail</a>. Je l’ai découvert en 2008 pour voyager de Venise à Stockholm, et pour ce voyage arctique j’ai découvert qu’il fonctionnait sur une app, au lieu d’un carnet dans lequel on doit marquer chacun de ses déplacements. Ce pass me donne la possibilité de voyager à volonté pendant 7 journées sur la durée d’un mois. Mis à part les trains express (TGV, Thalys, ICE…) et les trains de nuit, les trajets sont gratuits. Pour les trains payants, le prix ne couvre que la réservation. Par exemple une place de Thalys Paris–Cologne coûte 37 euros au lieu de 111, et une couchette Stockholm–Abisko coûte 240 couronnes suédoises au lieu de 1200 (soit environ 21 euros au lieu de 105). Comme je pouvais me le permettre, j’ai opté pour le pass Interrail 1e classe. La première classe s’applique pour tous les trains sauf les trains de nuit—j’ai donc pu profiter du café gratuit dans les trains scandinaves, de places plus larges, etc. Pour les trains de nuit, c’est le choix classique : place assise (avec un peu de chance c’est dans un compartiment couchette donc on peut quand même dormir allongé), couchette (avec oreiller, draps et couette) en compartiment de six places, ou en compartiment privé simple ou double.</p>
<p>Au final, j’ai payé 160 euros de réservations, en plus des 440 euros de pass Interrail, ce qui fait 606 euros de train. Sans le pass et pour les mêmes places, j’aurais payé 984 euros. 40 % d’économie, ça change vraiment la donne.</p>
<p>Pour la comparaison, je viens de regarder les vols de Paris à Narvik, l’aller retour dans deux semaines, c’est 555 euros. Et ça, ça n’est que pour Paris—Narvik. Il n’y a pas la suite du voyage : un déjeuner à Cologne, une après-midi à Stockholm entre deux trains de nuit, un passage à Abisko au retour de Narvik, deux jours à Stockholm, puis Roskilde, Berlin, Breda… j’ai la flemme de voir ce que ça m’aurait coûté en avion. La rapidité de déplacement ne fait pas tout, et elle ne compense pas l’émission de carbone dans l’atmosphère. Vous me connaissez, <a href="https://blog.professeurjoachim.com/billet/2019-04-10-je-ne-prends-plus-l-avion">je ne voyage plus en avion</a>, et si vous ne vous posez pas la question on n’aura pas grand chose (de poli) à se dire sur le sujet.</p>
<h2>Et c’était comment ?</h2>
<p>Quelques jours avant l’arrivé à Narvik, j’ai réservé un tour (auprès de <a href="https://www.dayoutnarvik.com/the-northern-lights-package">Day Out Narvik</a>). Au programme : on prend un minibus et on va chasser les aurores dans le fjord, dans l’archipel (les îles Lofoten) ou dans les montagnes vers la frontière. La destination dépend de la météo. Sur place on admire les aurores et on prend des photos avec les conseils du guide, on boit une boisson chaude et on mange une gaufre faite au feu de bois. Ce tour ne donnait aucune assurance qu’on verrait des aurores. Par chance, ce soir là a eu les conditions idéales. Ciel dégagé à partir de 19 heures, grosse activité d’aurores boréales de 19 h 30 à 21 h, froid mais pas trop (-6 à -10 ºC). On n’a eu à faire que 16 km depuis Narvik pour trouver une plage au fond du fjord, avec la pleine lune qui éclairait la montagne et la mer qui reflétait les lumières.</p>
<p>Et les aurores. D’abord c’est faible, on les confond avec des nuages, puis on voit leur couleur, vert pâle, puis la forme, qui bouge. Puis il y a des mouvements plus rapides, les couleurs s’intensifient, on peut voir du violet, du blanc lumineux, qui s’étendent d’un bout à l’autre du ciel. Avec de la chance on voit les “aurores dansantes”, aux couleurs et mouvements très intenses. La durée d’apparition des aurores dépend surtout des vents solaires, donc c’est variable. Parfois c’est quelques minutes, parfois plusieurs heures. À un moment elles ne réapparaissent pas après avoir disparu, ou les nuages se lèvent et cachent le ciel.</p>
<p>Photos prises avec mon appareil numérique, un Fuji X100T, avec son 23mm f/2, à 3200 iso. Photo plus grande au clic.</p>

<p>Photos prises avec mon appareil argentique, un Contax G1, avec son Contax G 35mm f/2, sur de la Kodak Portra 800. Temps de pose : 16 secondes. Photo plus grande au clic.</p>

<p>Quasiment tout dans cette affaire est une histoire de chance, une fois qu’on est au bon endroit. Sur les trois soirs où j’étais dans le cercle polaire (deux à Narvik, un à Abisko), je n’ai eu les conditions idéales qu’une fois, la première nuit. Le deuxième soir était nuageux et le troisième a montré des aurores ni vives ni durables. C’était quand même une bonne surprise d’en apercevoir depuis le train de retour vers Stockholm ; les tchèques avec qui je partageais le compartiment, qui avaient été dans la région depuis une semaine, allaient repartir sans en avoir vu… mais on a passé plusieurs minutes collés contre la fenêtre gelée, à admirer le spectacle naturel qui se produisait au dessus de nos têtes alors qu’on traversait les forêts enneigées et rivières gelées du grand nord scandinave à 80 kilomètres par heure.</p>
