title: That which is unique, breaks
url: https://simonsarris.substack.com/p/that-which-is-unique-breaks
hash_url: 6ad5b5985682512c140781b2b3c9ff7c

<blockquote><p><em>Suppose that a great commotion arises in the street about something, let us say a lamp-post, which many influential persons desire to pull down. A grey-clad monk, who is the spirit of the Middle Ages, is approached upon the matter, and begins to say, in the arid manner of the Schoolmen, “Let us first of all consider, my brethren, the value of Light. If Light be in itself good–”</em></p><p><em>At this point he is somewhat excusably knocked down. All the people make a rush for the lamp-post, the lamp-post is down in ten minutes, and they go about congratulating each other on their unmediaeval practicality. But as things go on they do not work out so easily. Some people have pulled the lamp-post down because they wanted the electric light; some because they wanted old iron; some because they wanted darkness, because their deeds were evil. Some thought it not enough of a lamp-post, some too much; some acted because they wanted to smash municipal machinery; some because they wanted to smash something. And there is war in the night, no man knowing whom he strikes.</em></p><p><em>So, gradually and inevitably, to-day, to-morrow, or the next day, there comes back the conviction that the monk was right after all, and that all depends on what is the philosophy of Light. Only what we might have discussed under the gas-lamp, we now must discuss in the dark. </em></p><p><em>—G.K. Chesterton, 1905</em></p></blockquote><p></p><h5>Disquiet</h5><p>We are in the dark corner of the pub together. We have been here for some time. Out of my coat I produce a pile of old photographs. Something to show you. They are a gift from the past, together we will look, I will tell what comes to mind. Do not be gloomy, simply remember that history happens only once, it never repeats.</p><p>But much is born out of simple fact: that which is unique, breaks.</p><p>Some years ago a nearby city built a plaza. It is wholly unremarkable: No one lingers there, no one brings food or a book. Children do not play there. If a public space is never used, why did we make it? The question returns an echo: If we are richer today, why are we not <em>routinely</em> surpassing the shared spaces we were able to create one hundred years ago?</p><p>What did a person photographing such a park imagine about the beauty of our parks, one hundred years hence? What do we imagine about the beauty of our public spaces one hundred years from today? Maybe the echo is closer: Do we engage in the act of imagining public spaces at all? Somebody had to once, for this park was not an accident.</p><p>Love and effort create magnificent places. Genius inhabits them. People go to them because they know such places and landscapes offer consolation of the soul, and the soul is not fooled by substitutes. We let those places turn our moods, we want them to, they do so easily. Today it is not always hard to find such places, but why is it difficult to make new ones?</p><p>Was this a great work of public art? Or was it simply proper and fitting for a public fountain? Did they vote on it? Did the public complain about the expense? How did it come to be? What about this one?</p><p>The details here are not trivial additions: If we were so poor, after all we had to fetch fresh water by hand, why did we take the expense to build these so beautifully? We must have known something then that we no longer know. What was it? Who made them? Was it a committee? Decree? Did an impulse of the soul build these things? Where did that impulse go?</p><p>Something odd happened. I think today we do not know <em>how </em>to go about building a water fountain. What we know is how to build one thousand water fountains. But not how to build one. (I pray you understand that this is not a thought about water fountains.)</p><h5>Commoditization</h5><p>Some of the answer lies here, with commoditization.</p><p>Commodity: interchangeable goods within their category, such a bar of copper, barrel of oil, or sack of coffee of agreed-upon quality. It does not matter who made the copper bar, only that it is 99.9% pure. The word comes from the Latin <em>commodus</em>: suitability, convenience. Commodities improve trade. Interchangeability improves trade and allows for replaceable parts, standardization, and scale.</p><p>These are improvements, but the urge to commoditize <em>alone </em>improves a seen monetary cost at the expense of the unseen. We must not think it comes free of charge.</p><p>That which is unique, breaks. When finished objects become commodities they break too, but they are easily replaced. When you break a chair, you buy another chair. We know well how to make one thousand chairs. They sit in boxes, lining the warehouses, ready for two-day shipping.</p><p>But when the unique breaks, we might mend.</p><p>To learn the skill of mending is to also gain unconsciously the skill of building, to understand the very urge to build. If we never mend, we not only risk building less but building in perverse ways.</p><p>To mend is to comprehend a human scale problem, and without this understanding our creations become strange creatures. We see this in the common examples of our time, from architecture to websites: Things used daily that, inexplicably, do not seem to be invented for human use. In the case of housing, bad architecture treats a human-scale environment as if it were a commodity-scale problem. The creators of some places see inhabitants not as humans but parameters. I do not need to spoil your view with visions of this architecture, I only wonder, what have their creators ever repaired?</p><p>~ ~ ~</p><p>When the unique is created, it also creates the creator.</p><p>The more finished goods become commodities, the fewer opportunities an individual has to generate new creation. The ability to mass-produce removes the opportunity for the great many to learn to produce at all. From such a thought, a future full of consumption-only hobbies might come as no surprise.</p><p>If you commoditize toys, you remove the toymaker. If you remove the toymaker, the toy is only an object of consumption. It ceases to be an object of wonder.</p><p>The hands that build the ship have knowledge that cannot be fully spoken, only taught by other hands. Each pair of hands must find another pair to learn from, and no pair of hands are the same. The injection-mold and metal die machines can make one thousand toys each minute, but they have no hands, they cannot teach. Will the operators of the machines be able to design the next machine, as the child who watches the toymaker might design the next toy? I worry. I hope you understand.</p><p>~ ~ ~</p><p>That which is unique, breaks. It must be cultivated. It is one thing to care for a magnificent garden, but another entirely to plan for a new one.</p><p>Something worrisome: The more things become commodities, the more we start to treat places and people like commodities, too. But I am an optimist, I think we are only in the early hours of understanding the techniques we have created. Technology is a wild horse, we have learned to harness it, but not master it. The results run amok: Our new creations trample the beauty of places and things because we have yet to incorporate our love of craft. And so this initial commodification comes to us at the expense of all things divine, and it causes the sacred to leave art, as it leaves things and places too. But we avoid the ugly park and travel to the beautiful park. The divine is still within people, and will not leave.</p>
<p>People and places and things are not as different from each other as we were lead to believe. We exist together in an ecology. Unique places form unique people, who create unique works. These may be fragile, it is up to us to value them or not, but in history they have been our collective pride. I think if we have another renaissance, think for a moment of what the word means, it will be a rediscovery of the beauty of these things. I will speak of this to you again another day.</p><p>Remember: History happens only once. There is no reason things must remain or return to any particular state. We are always free to find our own values. But what will it take to value the ecology that fosters the unique, the creations that made some places and things so special that we call them works of art, or travel across the world just to see them?</p><p>There is a tale: Two oak trees sit at the edge of the forest. One is sound and hale, taller than all others, with prosperous limbs, the forest’s pride. The other is old and harboring sickness, rotting away inside. When the storm comes, the sickly oak will outlast the whirlwinds, but the sound oak will be destroyed, uprooted by the blast. And why? Because the branches catch the wind.</p><p>If we want the forest, we must continue to garden and sow.</p>
