title: ‘Horrible History’: Mass Grave of Indigenous Children Reported in Canada
url: https://www.nytimes.com/2021/05/28/world/canada/kamloops-mass-grave-residential-schools.html
hash_url: 91df583aec4e26acd488ec6c52a96a98

<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-axufdj evys1bk0">OTTAWA — For decades, most Indigenous children in Canada were taken from their families and forced into boarding schools. A large number never returned home, their families given only vague explanations, or none at all.</p><p class="css-axufdj evys1bk0">Now an Indigenous community in British Columbia says it has found evidence of what happened to some of its missing children: a mass grave containing the remains of 215 children on the grounds of a former residential school.</p><p class="css-axufdj evys1bk0">Chief Rosanne Casimir of the Tk’emlups te Secwepemc First Nation said on Friday that ground-penetrating radar had discovered the remains near the site of the Kamloops Indian Residential School, which operated from 1890 until the late 1970s.</p><p class="css-axufdj evys1bk0">“It’s a harsh reality and it’s our truth, it’s our history,” Chief Casimir said at a news conference. “And it’s something that we’ve always had to fight to prove. To me, it’s always been a horrible, horrible history.”</p></div></div><div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-axufdj evys1bk0">The remains, which Chief Casimir described as “many, many years old — decades,” included those of children as young as 3.</p><p class="css-axufdj evys1bk0">Starting in the 19th century, Canada was home to a system of residential schools, mostly operated by churches, that Indigenous children were forced to attend. The system went into decline during the 1970s, with the last school closing in 1996.</p><p class="css-axufdj evys1bk0">A <a class="css-1g7m0tk" href="https://nctr.ca/" title="" rel="noopener noreferrer" target="_blank">National Truth and Reconciliation Commission</a>, set up as part of a government apology and settlement over the schools, concluded that at least 4,100 students died while attending the schools, many from mistreatment or neglect, others from disease or accident. It found that in many cases, families never learned the fate of their offspring, who are <a class="css-1g7m0tk" href="http://www.trc.ca/events-and-projects/missing-children-project.html" title="" rel="noopener noreferrer" target="_blank">now known as the missing children.</a></p><p class="css-axufdj evys1bk0">While there have long been rumors of unmarked graves at schools, if the findings in a preliminary report presented to the Tk’emlups te Secwepemc First Nation this week are confirmed, it will be the first time a major burial site has been discovered.</p></div></div><div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-axufdj evys1bk0">Kamloops, <a class="css-1g7m0tk" href="https://collections.irshdc.ubc.ca/index.php/Detail/entities/46" title="" rel="noopener noreferrer" target="_blank">once the largest residential school</a> in Canada, with about 500 pupils at its peak, was operated by the Catholic Church until 1969, when the federal government took over.</p></div></div><div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-axufdj evys1bk0">“The pain that such news causes reminds us of our ongoing need to bring to light every tragic situation that occurred in residential schools run by the Church,” Archbishop J. Michael Miller of the Vancouver Archdiocese said in a statement. “The passage of time does not erase the suffering.”</p><p class="css-axufdj evys1bk0">Unlike other religious groups that operated the residential schools, the Catholic Church has refused to formally apologize for abuses that occurred within them. In 2018, Pope Francis <a class="css-1g7m0tk" href="https://www.nytimes.com/2018/03/28/world/canada/pope-apology-canada-indigenous.html" title="">rejected a direct appeal </a>for an apology from Prime Minister Justin Trudeau.</p><p class="css-axufdj evys1bk0">The Truth and Reconciliation Commission concluded in 2015 that residential schools were a program of <a class="css-1g7m0tk" href="https://www.nytimes.com/2015/06/03/world/americas/canadas-forced-schooling-of-aboriginal-children-was-cultural-genocide-report-finds.html" title="">“cultural genocide.”</a> The use of Indigenous languages was banned at the schools, sometimes through the use of violence, as were Indigenous cultural practices.</p><p class="css-axufdj evys1bk0">The commission found evidence of neglect and maltreatment spanning decades at Kamloops. In 1918, a government official who inspected the school reported his “suspicion that the vitality of the children is not sufficiently sustained from a lack of nutritious food.”</p><p class="css-axufdj evys1bk0">Geraldine Bob, a former student, told the commission that the staff members “would just start beating you and lose control and hurl you against the wall, throw you on the floor, kick you, punch you.”</p><p class="css-axufdj evys1bk0">Chief Casimir said the search for remains at Kamloops began in the early 2000s, in part because official explanations — including suggestions that the missing children had simply run away — did not match with the stories conveyed by former students.</p></div></div><div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-axufdj evys1bk0">“There had to be more to the story,” she said. “It’s about bringing in the advanced technology today to be able to look beneath the surface of the soil and to confirm some of the stories that were once told.”</p><p class="css-axufdj evys1bk0">She said that the radar scanning is not yet complete. “We have not done all our grounds, and we do know that there is still more to be discovered,” Chief Casimir said.</p><p class="css-axufdj evys1bk0">“The loss of 215 children found on the grounds of a residential school is a national tragedy,” Chief Bobby Cameron of the Federation of Sovereign Indian Nations in Saskatchewan said in a statement. He asked the federal government to work with Indigenous groups on researching the fates of missing children.</p><p class="css-axufdj evys1bk0">The office of Carolyn Bennett, the federal minister responsible for Indigenous relations, said in a statement that the “discovery reflects a dark and painful chapter in our country’s history.” Her department and health officials in British Columbia will set up support services for the First Nation, it said.</p><p class="css-axufdj evys1bk0">Lisa Lapointe, chief coroner of British Columbia, said in an email that her office had been told of the radar findings on Thursday. “We are early in the process of gathering information and will continue to work collaboratively with the Tk’emlúps te Secwépemc and others as this sensitive work progresses,” she said.</p><p class="css-axufdj evys1bk0">John Horgan, the premier of British Columbia, said that he was “horrified and heartbroken” and that he supported the efforts of the Tk’emlúps te Secwépemc to bring to “light the full extent of this loss.”</p><p class="css-axufdj evys1bk0">Indigenous communities throughout Canada, Chief<strong class="css-8qgvsz ebyp5n10"> </strong>Casimir said, had children who were forced into residential schools only to vanish.</p></div></div><div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-axufdj evys1bk0">“Many other First Nations who had residential schools within their communities also want to learn and want to use new technology to be able to find their loved ones,” she said. “It is definitely an honor to be taking care of these children.”</p></div></div>