title: 6-month consequences of COVID-19 in patients discharged from hospital: a cohort study
url: https://www.thelancet.com/journals/lancet/article/PIIS0140-6736(20)32656-8/fulltext
hash_url: c177668b263f39d20788f002446d2a47

<section>
<h2 class="top" id="seccestitle10" data-left-hand-nav="Summary" tabindex="0"><span class="top__sub"></span><span class="top__text">Summary</span></h2>
<div class="section-paragraph">
<h3>Background</h3><p class="section-paragraph">The long-term health consequences of COVID-19 remain largely unclear. The aim of this study was to describe the long-term health consequences of patients with COVID-19 who have been discharged from hospital and investigate the associated risk factors, in particular disease severity.</p>
<h3>Methods</h3><p class="section-paragraph">We did an ambidirectional cohort study of patients with confirmed COVID-19 who had been discharged from Jin Yin-tan Hospital (Wuhan, China) between Jan 7, 2020, and May 29, 2020. Patients who died before follow-up, patients for whom follow-up would be difficult because of psychotic disorders, dementia, or re-admission to hospital, those who were unable to move freely due to concomitant osteoarthropathy or immobile before or after discharge due to diseases such as stroke or pulmonary embolism, those who declined to participate, those who could not be contacted, and those living outside of Wuhan or in nursing or welfare homes were all excluded. All patients were interviewed with a series of questionnaires for evaluation of symptoms and health-related quality of life, underwent physical examinations and a 6-min walking test, and received blood tests. A stratified sampling procedure was used to sample patients according to their highest seven-category scale during their hospital stay as 3, 4, and 5–6, to receive pulmonary function test, high resolution CT of the chest, and ultrasonography. Enrolled patients who had participated in the Lopinavir Trial for Suppression of SARS-CoV-2 in China received severe acute respiratory syndrome coronavirus 2 antibody tests. Multivariable adjusted linear or logistic regression models were used to evaluate the association between disease severity and long-term health consequences.</p>
<h3>Findings</h3><p class="section-paragraph">In total, 1733 of 2469 discharged patients with COVID-19 were enrolled after 736 were excluded. Patients had a median age of 57·0 (IQR 47·0–65·0) years and 897 (52%) were men. The follow-up study was done from June 16, to Sept 3, 2020, and the median follow-up time after symptom onset was 186·0 (175·0–199·0) days. Fatigue or muscle weakness (63%, 1038 of 1655) and sleep difficulties (26%, 437 of 1655) were the most common symptoms. Anxiety or depression was reported among 23% (367 of 1617) of patients. The proportions of median 6-min walking distance less than the lower limit of the normal range were 24% for those at severity scale 3, 22% for severity scale 4, and 29% for severity scale 5–6. The corresponding proportions of patients with diffusion impairment were 22% for severity scale 3, 29% for scale 4, and 56% for scale 5–6, and median CT scores were 3·0 (IQR 2·0–5·0) for severity scale 3, 4·0 (3·0–5·0) for scale 4, and 5·0 (4·0–6·0) for scale 5–6. After multivariable adjustment, patients showed an odds ratio (OR) 1·61 (95% CI 0·80–3·25) for scale 4 versus scale 3 and 4·60 (1·85–11·48) for scale 5–6 versus scale 3 for diffusion impairment; OR 0·88 (0·66–1·17) for scale 4 versus scale 3 and OR 1·77 (1·05–2·97) for scale 5–6 versus scale 3 for anxiety or depression, and OR 0·74 (0·58–0·96) for scale 4 versus scale 3 and 2·69 (1·46–4·96) for scale 5–6 versus scale 3 for fatigue or muscle weakness. Of 94 patients with blood antibodies tested at follow-up, the seropositivity (96·2% <em>vs</em> 58·5%) and median titres (19·0 <em>vs</em> 10·0) of the neutralising antibodies were significantly lower compared with at the acute phase. 107 of 822 participants without acute kidney injury and with estimated glomerular filtration rate (eGFR) 90 mL/min per 1·73 m<sup>2</sup> or more at acute phase had eGFR less than 90 mL/min per 1·73 m<sup>2</sup> at follow-up.</p>
<h3>Interpretation</h3><p class="section-paragraph">At 6 months after acute infection, COVID-19 survivors were mainly troubled with fatigue or muscle weakness, sleep difficulties, and anxiety or depression. Patients who were more severely ill during their hospital stay had more severe impaired pulmonary diffusion capacities and abnormal chest imaging manifestations, and are the main target population for intervention of long-term recovery.</p>
<h3>Funding</h3><p class="section-paragraph">National Natural Science Foundation of China, Chinese Academy of Medical Sciences Innovation Fund for Medical Sciences, National Key Research and Development Program of China, Major Projects of National Science and Technology on New Drug Creation and Development of Pulmonary Tuberculosis, and Peking Union Medical College Foundation.</p></div></section><section id="cesec20" data-locator="cesec20" tabindex="0">
<h2 class="top" id="seccestitle80" data-left-hand-nav="Methods" tabindex="0"><span class="top__sub"></span><span class="top__text">Methods</span></h2><section id="cesec30" data-locator="cesec30" tabindex="0">
<h3 class="sectionTitle"><span class="top__sub"> </span><span class="top__text">Study design and participants</span></h3>
<div class="section-paragraph"><p>This ambidirectional cohort study was done at Jin Yin-tan Hospital, the first designated hospital for patients with COVID-19 in Wuhan, Hubei, China. We included all patients with laboratory confirmed COVID-19 who were discharged from Jin Yin-tan Hospital between Jan 7, and May 29, 2020. We excluded the following patients: (1) those who died before the follow-up visit, (2) those for whom follow-up would be difficult owing to psychotic disorder, dementia, or re-admission to hospital attributed to underlying diseases, (3) those who were unable to move freely due to concomitant osteoarthropathy or immobile before or after discharge due to diseases such as stroke or pulmonary embolism, (4) those who declined to participate, (5) those unable to be contacted, and (6) those living outside of Wuhan or in nursing or welfare homes. All discharged patients met uniform discharge criteria according to the Chinese clinical guidance for COVID-19 pneumonia diagnosis and treatment issued by the National Health Commission (ie, no fever for 3 consecutive days, improvement in respiratory symptoms, obvious resolution and recovery of acute lesion in lung imaging, and two negative test results for SARS-CoV-2 24 h apart).</p><div class="dropBlock reference-citations"><sup><a href="#bib9" id="back-bib9" data-db-target-for="bib9-d4191939e2405" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib9">9</a></sup><div data-db-target-of="bib9-d4191939e2405" class="dropBlock__holder"><div class="dropBlock__body"><p class="reference-citations__detials"><span>China National Health Commission</span><br>Chinese clinical guidance for COVID-19 pneumonia diagnosis and treatment.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div></div><p class="section-paragraph">The study was approved by the Research Ethics Commission of Jin Yin-tan Hospital (KY-2020–78.01). Written informed consent was obtained from all study participants.</p></section><section id="cesec40" data-locator="cesec40" tabindex="0">
<h3 class="sectionTitle"><span class="top__sub"> </span><span class="top__text">Procedures</span></h3>
<div class="section-paragraph"><p>We defined the acute phase as the time between symptom onset and hospital discharge. Clinical data for acute phase were retrieved from electronic medical records, including demographic characteristics (age, sex, education, and cigarette smoking); clinical characteristics (self-reported comorbidities, symptom onset time, and chest images); laboratory test results; and treatment (corticosteroids, intravenous immunoglobulin, antibiotics, thymosin, and antivirals including lopinavir–ritonavir, arbidol, chloroquine phosphate, and hydroxychloroquine). The disease severity was characterised by the highest seven-category scale during the hospital stay (termed the severity scale),</p><div class="dropBlock reference-citations"><sup><a href="#bib10" id="back-bib10" data-db-target-for="bib10-d4191939e2415" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib10">10</a></sup><div data-db-target-of="bib10-d4191939e2415" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Cao B </li><li class="loa__item">Wang Y </li><li class="loa__item">Wen D </li><li>et al.</li></ul><p class="reference-citations__detials">A trial of lopinavir-ritonavir in adults hospitalized with severe Covid-19.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> which consisted of the following categories: 1, not admitted to hospital with resumption of normal activities; 2, not admitted to hospital, but unable to resume normal activities; 3, admitted to hospital but not requiring supplemental oxygen; 4, admitted to hospital but requiring supplemental oxygen; 5, admitted to hospital requiring high-flow nasal cannula (HFNC), non-invasive mechanical ventilation (NIV), or both; 6, admitted to hospital requiring extracorporeal membrane oxygenation, invasive mechanical ventilation (IMV), or both; and 7, death. Data were managed using REDCap electronic data capture tools in order to minimise missing inputs and allow for real-time data validation and quality control.</p></div><p class="section-paragraph">The appointment for the follow-up visit was set by trained medical staff via telephone. All participants were contacted in the order of their symptom onset date documented in their medical record. If the follow-up appointment was missed, the patient was given two opportunities to reschedule the visit.</p>
<div class="section-paragraph"><p>Follow-up consultations were done in the outpatient clinic of Jin Yin-tan Hospital. All participants were interviewed face-to-face by trained physicians and asked to complete a series of questionnaires, including a self-reported symptom questionnaire (</p><a href="#sec1" class="scroll-into-link">appendix pp 5–6</a><p>), the modified British Medical Research Council (mMRC) dyspnoea scale, the EuroQol five-dimension five-level (EQ-5D-5L) questionnaire, the EuroQol Visual Analogue Scale (EQ-VAS), and an ischaemic stroke and cardiovascular event registration form.</p><div class="dropBlock reference-citations"><sup><a href="#bib11" id="back-bib11" data-db-target-for="bib11-d4191939e2426" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib11">11</a></sup><div data-db-target-of="bib11-d4191939e2426" class="dropBlock__holder"><div class="dropBlock__body"><p class="reference-citations__detials">A longitudinal study of carotid plaque and risk of ischemic cardiovascular disease in the Chinese population.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> For the symptom questionnaire, participants were asked to report newly occurring and persistent symptoms, or any symptoms worse than before COVID-19 development. The mMRC scale is a five-category scale to characterise the level of dyspnoea with physical activity in which higher scores correspond with increased dyspnoea.</p><div class="dropBlock reference-citations"><sup><a href="#bib12" id="back-bib12" data-db-target-for="bib12-d4191939e2430" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib12">12</a></sup><div data-db-target-of="bib12-d4191939e2430" class="dropBlock__holder"><div class="dropBlock__body"><p class="reference-citations__detials">Evaluation of clinical methods for rating dyspnea.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> The EQ-5D-5L is a validated questionnaire to evaluate patient quality of life by assessment of the following five factors: mobility, self-care, usual activities, pain or discomfort, and anxiety or depression. Categorisation within each factor is divided into five levels that range from no problems to extreme problems.</p><div class="dropBlock reference-citations"><sup><a href="#bib13" id="back-bib13" data-db-target-for="bib13-d4191939e2434" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib13">13</a></sup><div data-db-target-of="bib13-d4191939e2434" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Herdman M </li><li class="loa__item">Gudex C </li><li class="loa__item">Lloyd A </li><li>et al.</li></ul><p class="reference-citations__detials">Development and preliminary testing of the new five-level version of EQ-5D (EQ-5D-5L).</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> The EQ-VAS is a patient's subjective assessment of generic health ranging from 0 to 100, with higher scores representing better subjective health experience.</p><div class="dropBlock reference-citations"><sup><a href="#bib14" id="back-bib14" data-db-target-for="bib14-d4191939e2438" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib14">14</a></sup><div data-db-target-of="bib14-d4191939e2438" class="dropBlock__holder"><div class="dropBlock__body"><p class="reference-citations__detials">EQ-5D: a measure of health status from the EuroQol Group.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> They also underwent a physical examination and a 6-min walking test.</p></div>
<div class="section-paragraph"><p>Venous blood samples were collected from all participants who attended for follow-up appointments for complete blood count, serum creatinine, haemoglobin, and glycated haemoglobin A</p><sub>1c</sub><p>(HbA</p><sub>1c</sub><p>). Furthermore, SARS-CoV-2 antibody concentrations were measured for participants that had previously been enrolled in the Lopinavir Trial for Suppression of SARS-CoV-2 in China (LOTUS).</p><div class="dropBlock reference-citations"><sup><a href="#bib10" id="back-bib10" data-db-target-for="bib10-d4191939e2450" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib10">10</a></sup><div data-db-target-of="bib10-d4191939e2450" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Cao B </li><li class="loa__item">Wang Y </li><li class="loa__item">Wen D </li><li>et al.</li></ul><p class="reference-citations__detials">A trial of lopinavir-ritonavir in adults hospitalized with severe Covid-19.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> Plasma samples at acute phase, collected with a median duration of 23 (IQR 20–26) days after illness onset, and follow-up were analysed simultaneously. The immunoglobulin (Ig) M, IgA, and IgG antibodies against the nucleoprotein, spike protein, and the receptor binding domain of the spike protein were evaluated by use of enzyme-linked immunosorbent assay. The neutralising antibodies were titred on Vero cells by use of a microneutralisation assay. The detailed test method was described in our previous antibody studies.</p><div class="dropBlock reference-citations"><sup><a href="#" id="back-bib15" data-db-target-for="bib15-d4191939e2454" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib15">15</a></sup><div data-db-target-of="bib15-d4191939e2454" class="dropBlock__holder"><div class="dropBlock__body"><p class="reference-citations__detials">Antibody responses and clinical outcomes in adults hospitalized with severe COVID-19: a post hoc analysis of LOTUS China trial.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><sup>, </sup> <div class="dropBlock reference-citations"><sup><a href="#" id="back-bib16" data-db-target-for="bib16-d4191939e2454" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib16">16</a></sup><div data-db-target-of="bib16-d4191939e2454" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Guo L </li><li class="loa__item">Ren L </li><li class="loa__item">Yang S </li><li>et al.</li></ul><p class="reference-citations__detials">Profiling early humoral response to diagnose novel coronavirus disease (COVID-19).</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div></div><p class="section-paragraph">Additionally, a stratified disproportional random sampling procedure according to severity scale was used to select patients to undergo pulmonary function test, ultrasonography of lower limb veins and abdomen, and chest high resolution CT (HRCT). Patients requiring HFNC, NIV, or IMV (severity scale ≥5) were all invited to receive the pulmonary function test, ultrasound, and HRCT of chest. The ratio used to select patients not requiring supplemental oxygen (severity scale 3) and those requiring supplemental oxygen (severity scale 4) was 1:2.</p>
<div class="section-paragraph"><p>The pulmonary function test was done in the Lung Function Laboratory of Jin Yin-tan Hospital using the Master Screen PFT (Vyaire Medical GmbH, Hoechberg, Germany) according to American Thoracic Society guidelines.</p><div class="dropBlock reference-citations"><sup><a href="#bib17" id="back-bib17" data-db-target-for="bib17-d4191939e2461" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib17">17</a></sup><div data-db-target-of="bib17-d4191939e2461" class="dropBlock__holder"><div class="dropBlock__body"><p class="reference-citations__detials"><span>American Thoracic Society</span><br>Standardization of spirometry, 1994 update.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> Chest HRCT was in the supine position during end-inspiration (SIEMENS SOMATOM PERSPECTIVE 64 CT scanner). Images were reconstructed at 1 mm slice thickness, with 1 mm increment, 512 mm × 512 mm. The final chest CT images during the hospital stay and the follow-up image were cross-compared. The CT features were evaluated by one experienced radiologist and one pulmonologist. We used a validated artificial intelligence software to calculate the extent of anatomic involvement of each of the five lobes, which was defined as the volume ratio of pneumonia lesions to each lung lobe,</p><div class="dropBlock reference-citations"><sup><a href="#bib18" id="back-bib18" data-db-target-for="bib18-d4191939e2465" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib18">18</a></sup><div data-db-target-of="bib18-d4191939e2465" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Liu F </li><li class="loa__item">Zhang Q </li><li class="loa__item">Huang C </li><li>et al.</li></ul><p class="reference-citations__detials">CT quantification of pneumonia lesions in early days predicts progression to severe illness in a cohort of COVID-19 patients.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> and then calculated a semi-quantitative CT score to assess the pulmonary involvement.</p><div class="dropBlock reference-citations"><sup><a href="#" id="back-bib19" data-db-target-for="bib19-d4191939e2469" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib19">19</a></sup><div data-db-target-of="bib19-d4191939e2469" class="dropBlock__holder"><div class="dropBlock__body"><p class="reference-citations__detials">Time course of lung changes at chest CT during recovery from coronavirus disease 2019 (COVID-19).</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><sup>, </sup> <div class="dropBlock reference-citations"><sup><a href="#" id="back-bib20" data-db-target-for="bib20-d4191939e2469" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib20">20</a></sup><div data-db-target-of="bib20-d4191939e2469" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Francone M </li><li class="loa__item">Iafrate F </li><li class="loa__item">Masci GM </li><li>et al.</li></ul><p class="reference-citations__detials">Chest CT score in COVID-19 patients: correlation with disease severity and short-term prognosis.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> Briefly, the score was calculated for each of the five lobes considering the extent of anatomic involvement, as follows: 0, no involvement; 1, less than 5% involvement; 2, 5–25% involvement; 3, 26–50% involvement; 4, 51–75% involvement; and 5, more than 75% involvement. The total CT score was the sum of the five lobe scores (0–25). Estimated glomerular filtration rate (eGFR) was calculated using the Chronic Kidney Disease-Epidemiology Collaboration equation.</p><div class="dropBlock reference-citations"><sup><a href="#bib21" id="back-bib21" data-db-target-for="bib21-d4191939e2473" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib21">21</a></sup><div data-db-target-of="bib21-d4191939e2473" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Levey AS </li><li class="loa__item">Stevens LA </li><li class="loa__item">Schmid CH </li><li>et al.</li></ul><p class="reference-citations__detials">A new equation to estimate glomerular filtration rate.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> Detailed diagnostic criteria for acute kidney injury, diabetes, and deep venous thrombosis of lower limb veins are presented in the </p><a href="#sec1" class="scroll-into-link">appendix (p 3)</a><p>). The primary outcomes included symptoms (fatigue or muscle weakness, sleep difficulties, hair loss, smell disorder), exercise capacity (distance walked in 6 min), health-related quality of life (pain or discomfort, anxiety or depression, mobility, personal care, and usual activity), lung function, and chest CT pattern at follow-up. The secondary outcomes included extrapulmonary organ function (including eGFR, HbA</p><sub>1c</sub><p>, deep venous thrombosis of lower limbs, and ultrasonographic features of kidney, liver, spleen, and pancreas) and antibody titres and seropositivity.</p></div></section><section id="cesec50" data-locator="cesec50" tabindex="0">
<h3 class="sectionTitle"><span class="top__sub"> </span><span class="top__text">Statistical analysis</span></h3><p class="section-paragraph">Demographic characteristics and long-term health consequences of COVID-19 in patients were presented as median (IQR) for continuous variables and expressed as absolute values along with percentages for categorical variables. Participants were categorised into three groups according to their severity scale during their hospital stay scale 3, not requiring supplemental oxygen; scale 4, requiring supplemental oxygen; scale 5–6, requiring HFNC, NIV, or IMV). Demographic characteristics and long-term consequences across participants with different categories of severity scale were shown. Long-term health consequences for men and women were also shown. For the comparison of symptoms, exercise capacity, and health-related quality of life between men and women, we used the Mann-Whitney <em>U</em> test, χ2 test, or Fisher's exact test where appropriate. Multivariable adjusted logistic regression models were used to estimate the odds ratios (ORs) and 95% CIs for association between disease severity and categorical outcomes. For association between disease severity and continuous outcomes, multivariable adjusted linear regression models were used to estimate the β estimates and 95% CIs. Confounders including age, sex, cigarette smoking (never-smoker, current smoker, former smoker); education (college or higher, middle school or lower); comorbidity (hypertension, diabetes, cardiovascular diseases, cerebrovascular diseases, malignant tumour, chronic obstructive pulmonary disease, chronic kidney disease); corticosteroids; antivirals (lopinavir–ritonavir, arbidol, chloroquine phosphate, hydroxychloroquine); and intravenous immunoglobulin were adjusted for. The comparison of antibody test results at acute phase and follow-up was done with paired <em>t</em> tests for antibody titres and McNemar test for antibody seropositivity.</p><p class="section-paragraph">Multivariable adjusted logistic regression analysis was also used for exploring risk factors associated with diffusion impairment, anxiety or depression, and fatigue or muscle weakness, and linear regression analysis was used to assess the percentage change in CT score from acute phase to follow-up. The percentage change was calculated by use of the following formula: (CT score at acute phase–CT score at follow-up)/CT score at acute phase ×100. For associations of age, cigarette smoking, and education with outcome measure, the variables adjusted for the association of disease severity with consequences (age, sex, cigarette smoking, education, comorbidity, corticosteroids, antivirals, and intravenous immunoglobulin) were all included in the models, except for comorbidity. For association of comorbidity with outcome, the aforementioned variables were all included. For association of other factors including sex, corticosteroid, antiviral, and intravenous immunoglobulin with outcome, disease severity and the aforementioned variables were included in the model. All tests were two-sided, and a p value less than 0·05 was considered statistically significant. We included all participants for whom the variables of interest were available in the final analysis, without imputing missing data. All statistical analyses were done with SAS, version 9.4.</p></section><section id="cesec60" data-locator="cesec60" tabindex="0">
<h3 class="sectionTitle"><span class="top__sub"> </span><span class="top__text">Role of the funding source</span></h3><p class="section-paragraph">The funder of the study had no role in study design, data collection, data analysis, data interpretation, or writing of the report. All authors had full access to all the data in the study and had final responsibility for the decision to submit for publication.</p></section></section><section id="cesec70" data-locator="cesec70" tabindex="0">
<h2 class="top" id="seccestitle130" data-left-hand-nav="Results" tabindex="0"><span class="top__sub"></span><span class="top__text">Results</span></h2>
<div class="section-paragraph"><p>A total of 2469 patients with COVID-19 were discharged from Jin Yin-tan Hospital between Jan 7, and May 29, 2020, and the follow-up study was done from June 16, 2020, to Sept 3, 2020. 736 patients were excluded because they did not attend follow-up appointments for several reasons, which are outlined in </p><a data-link="modal" data-target="#image-S0140-6736(20)32656-8gr1" href="#fig1" data-locator="fig1" id="back-gr1" class="figure-link scroll-into-link">figure 1</a><p>. Notably, 33 (1·3%) of the 2469 patients died after discharge mainly due to exacerbation of underlying pulmonary, heart, and kidney disease, and the detailed characteristics are shown in the </p><a href="#sec1" class="scroll-into-link">appendix (pp 7–9</a><p>). 25 patients were readmitted to hospital for underlying disease complications when contacted by telephone for follow-up, with one of them admitted for respiratory failure caused by underlying pulmonary fibrosis. Three patients developed ischaemic strokes, and one patient had an acute pulmonary embolism due to deep venous thrombosis of lower limbs after discharge. Finally, 1733 adult participants were enrolled for questionnaire interview, physical examination, laboratory tests, and a 6-min walking test. 94 of 1733 patients received a blood antibody test. 390 of 516 sampled patients ascertained as eligible received a lung function test, chest HRCT, and ultrasonography of lower limb veins and abdomen (</p><a data-link="modal" data-target="#image-S0140-6736(20)32656-8gr1" href="#fig1" data-locator="fig1" id="back-gr1" class="figure-link scroll-into-link">figure 1</a><p>). The 126 remaining sampled patients did not undergo these tests because they were among the 736 patients who did not attend the follow-up appointment.</p><div class="floatDisplay"><figure id="fig1" class="" tabindex="0"><img class="b-lazy" data-src="//els-jbs-prod-cdn.jbs.elsevierhealth.com/cms/attachment/ee3cd828-0b1c-4fbf-82e2-f00f8db79f38/gr1.jpg" alt="Figure thumbnail gr1" data-locator="fig1" data-high-res="//els-jbs-prod-cdn.jbs.elsevierhealth.com/cms/attachment/3630f05b-cab9-4202-8bdb-f3813dd0bbe5/gr1_lrg.jpg" data-large-image="//els-jbs-prod-cdn.jbs.elsevierhealth.com/cms/attachment/ee3cd828-0b1c-4fbf-82e2-f00f8db79f38/gr1.jpg"><figcaption><div class="figure__caption__body"><p class="figure__title"><span data-fv-label="Fig. 1" class="label figure__label">Figure 1</span><span class="figure__title__text">Flow chart of patients with COVID-19 discharged from Jin Yin-tan Hospital between Jan 7, and May 29, 2020</span></p><div class="accordion"><a href="#" class="accordion__control" aria-expanded="false"><i class="icon-section_arrow_d"></i><span>Show full caption</span></a><div class="accordion__content"><div class="figure__caption__text"><p class="section-paragraph">HRCT=high resolution CT. LOTUS= Lopinavir Trial for Suppression of SARS-CoV-2 in China. *A series of questionnaires included a self-reported symptom questionnaire, the modified British Medical Research Council dyspnoea scale, the EuroQol five-dimension five-level questionnaire, the EuroQol Visual Analogue Scale, and an ischaemic stroke and cardiovascular event registration form. †Laboratory tests included a white cell count, lymphocyte count, serum creatinine, haemoglobin, and glycosylated haemoglobin.</p></div></div></div></div></figcaption></figure></div></div>
<div class="section-paragraph"><p>The demographic and clinical characteristics of participants are shown in </p><a href="#tbl1" id="back-tbl1" class="scroll-into-link">table 1</a><p>. The median age of the enrolled participants is 57·0 (47·0–65·0) years, with 897 (52%) men and 836 (48%) women. The most common comorbidity is hypertension (505 patients, 29%), followed by diabetes (207 patients, 12%), and cardiovascular disease (128 patients, 7%). 1172 (68%) of 1733 participants required oxygen therapy during their hospital stay, and 122 (7%) required HFNC, non-IMV, or IMV. 76 participants (4%) were admitted to the intensive care unit (ICU). The median duration of hospital stay was 14·0 (10·0–19·0) days and time exclusively in the ICU was 14·0 (6·5–25·5) days. The proportion of men is higher among participants with a higher severity scale: 49% (214 of 439) for severity scale 3, 52% (605 of 1172) for scale 4, and 64% (78 of 122) for scale 5–6. The median duration from symptom onset to follow-up visit is 186·0 (175·0–199·0) days and the median time from discharge to follow-up visit is 153·0 (146·0–160·0) days (</p><a href="#tbl1" id="back-tbl1" class="scroll-into-link">table 1</a><p>).</p><div class="floatDisplay"><div id="tbl1" class="inline-table" tabindex="0"><p class="inline-table__head"><span class="inline-table__label">Table 1</span><span class="inline-table__title">Characteristics of enrolled patients</span></p><div class="inline-table__tail"><p class="section-paragraph">Data are n (%), n/N (%), or median (IQR). The differing denominators used indicate missing data. HFNC=high-flow nasal cannula for oxygen therapy. NIV=non-invasive ventilation. IMV=invasive mechanical ventilation. NA=not applicable. ECMO=extracorporeal membrane oxygenation. ICU=intensive care unit.</p></div></div></div></div>
<div class="section-paragraph"><p>76% of patients (1265 of 1655) reported at least one symptom at follow-up (</p><a href="#tbl2" id="back-tbl2" class="scroll-into-link">table 2</a><p>) and a higher percentage was observed in women (</p><a href="#sec1" class="scroll-into-link">appendix pp 10–11</a><p>). The risk of presenting at least one symptom among participants with scale 5–6 was higher than those with scale 3 (OR 2·42, 95% CI 1·15–5·08). The most common symptoms after discharge were fatigue or muscle weakness (1038 [63%] of 1655) and sleep difficulties (437 [26%] of 1655; </p><a href="#tbl2" id="back-tbl2" class="scroll-into-link">table 2</a><p>). The risk of an mMRC score greater than 1 was significantly higher in participants with scale 5–6 than those with scale 3 (OR 2·15, 95% CI 1·28–3·59; </p><a href="#tbl2" id="back-tbl2" class="scroll-into-link">table 2</a><p>). Full details of the EQ-5D-5L questionnaire are presented in the </p><a href="#sec1" class="scroll-into-link">appendix (pp 12–13</a><p>). Participants with scale 5–6 had more problems in mobility, pain or discomfort, and anxiety or depression than did those with scale 3 (all p&lt;0·05; </p><a href="#tbl2" id="back-tbl2" class="scroll-into-link">table 2</a><p>). 23% (367 of 1617) of participants reported anxiety or depression at follow-up, which was more common in women (</p><a href="#sec1" class="scroll-into-link">appendix pp 10–11</a><p>). Compared with participants with scale 3, participants with scale 5–6 presented with shorter walking distance in meters in 6 min (479·0, IQR 434·0–515·5 </p><em>vs</em><p> 495·0, 446·0–542·0) and a higher proportion of less than the lower limit of the normal range (LLN); however, no significant difference was observed for participants with scale 4. The proportion of patients with a median 6-min walking distance less than LLN was 24% (103 of 423) for scale 3, 22% (255 of 1153) for scale 4, and 29% (34 of 116) for scale 5–6 (</p><a href="#tbl2" id="back-tbl2" class="scroll-into-link">table 2</a><p>).</p><div class="floatDisplay"><div id="tbl2" class="inline-table" tabindex="0"><p class="inline-table__head"><span class="inline-table__label">Table 2</span><span class="inline-table__title">Symptoms, exercise capacity, and health-related quality of life at follow-up according to severity scale</span></p><div class="inline-table__tail"><p class="section-paragraph">Data are n/N (%) or median (IQR), unless otherwise specified. The differing denominators used indicate missing data. OR=odds ratio. HFNC=high-flow nasal cannula for oxygen therapy. NIV=non-invasive ventilation. IMV=invasive mechanical ventilation. NA=not applicable. mMRC=modified British Medical Research Council. EQ-5D-5L=EuroQol five-dimension five-level questionnaire. eGFR=estimated glomerular filtration rate.</p></div></div></div></div>
<div class="section-paragraph"><p>390 of the 516 patients ascertained as eligible received lung function tests, chest HRCT, and ultrasonography of lower limb veins and abdomen. A total of 349 participants completed the lung function test, and 41 were unable to complete it due to poor compliance. The proportion of participants with lung diffusion impairment was 22% (18 of 83) for scale 3, 29% (48 of 165) for scale 4, and 56% (48 of 86) for scale 5–6 (</p><a href="#tbl3" id="back-tbl3" class="scroll-into-link">table 3</a><p>). A significant difference was observed between scale 3 and scale 5–6, but not between scale 3 and scale 4. In the subgroup analysis by sex, both men and women with scale 5–6, and men with scale 4 had higher risk for decreased lung diffusion capacity than did those with scale 3 (all p&lt;0·05) (</p><a href="#sec1" class="scroll-into-link">appendix p 14</a><p>). Decreased total lung capacity (&lt;80% of predicted values) did not show a significant difference in participants with scale 4 or scale 5–6 compared with those with scale 3 (</p><a href="#tbl3" id="back-tbl3" class="scroll-into-link">table 3</a><p>).</p><div class="floatDisplay"><div id="tbl3" class="inline-table" tabindex="0"><p class="inline-table__head"><span class="inline-table__label">Table 3</span><span class="inline-table__title">Lung function and chest CT at follow-up according to severity scale</span></p><div class="inline-table__tail"><p class="section-paragraph">Data are absolute values, n (%), n/N (%), or median (IQR), unless otherwise specified. OR=odds ratio. HFNC=high-flow nasal cannula for oxygen therapy. NIV=non-invasive ventilation. IMV=invasive mechanical ventilation. FEV<sub>1</sub>=forced expiratory volume in one second. FVC=forced vital capacity. TLC=total lung capacity. FRC=functional residual capacity. RV=residual volume. DLCO=diffusion capacity for carbon monoxide. GGO=ground glass opacity. NA=not applicable.</p></div></div></div></div>
<div class="section-paragraph"><p>A total of 353 participants completed chest HRCT at follow-up. The median CT scores are 3·0 (IQR 2·0–5·0) for participants at scale 3, 4·0 (3·0–5·0) for participants at scale 4, and 5·0 (4·0–6·0) among participants at scale 5–6, with a significant difference between scale 3 and scale 5–6 (p=0·0005; </p><a href="#tbl3" id="back-tbl3" class="scroll-into-link">table 3</a><p>), which is also observed in the subgroup analysis by sex (</p><a href="#sec1" class="scroll-into-link">appendix pp 16–17</a><p>). Additionally, men at scale 4 had a significantly higher CT score than did those at scale 3 (p=0·028). Ground glass opacity (GGO) is the most common HRCT pattern at follow-up, followed by irregular lines (</p><a href="#tbl3" id="back-tbl3" class="scroll-into-link">table 3</a><p>). The consolidation in acute phase is nearly full resolution at follow-up (</p><a href="#sec1" class="scroll-into-link">appendix p 18</a><p>). The detailed comparison of chest CT images during hospital stay and follow-up is shown in the </p><a href="#sec1" class="scroll-into-link">appendix (p 18)</a><p>). Dynamic changes of chest images of a 41-year-old man with SARS-CoV-2 infection who received non-IMV during his hospital stay are shown in the </p><a href="#sec1" class="scroll-into-link">appendix (pp 20–21</a><p>). Bilateral consolidation, subpleural line, and GGO before discharge were almost completely absorbed approximately 5 months after discharge.</p></div>
<div class="section-paragraph"><p>After multivariable adjustment, participants at scale 5–6 showed an OR 4·60 (95% CI 1·85–11·48) for diffusion impairment, OR 1·77 (1·05–2·97) for anxiety or depression, and OR 2·69 (1·46–4·96) for fatigue or muscle weakness, compared with participants at scale 3 (</p><a data-link="modal" data-target="#image-S0140-6736(20)32656-8gr2" href="#fig2" data-locator="fig2" id="back-gr2" class="figure-link scroll-into-link">figure 2</a><p>). Risk of diffusion impairment and anxiety or depression for participants with scale 4 was not significant, but the risk of fatigue or muscle weakness was lower than for those with scale 3. The percentage change of CT score from acute phase to follow-up was higher among participants with scale 4 and 5–6 than in those with scale 3. Women had an OR 2·22 (95% CI 1·24–3·98) for diffusion impairment, OR 1·80 (1·39–2·34) for anxiety or depression, and OR 1·33 (1·05–1·67) for fatigue or muscle weakness compared with men. Age was positively associated with diffusion impairment and fatigue and muscle weakness, and negatively associated with percentage of CT score changed, with the risk of diffusion impairment 27% higher (OR 1·27, 95% CI 1·02–1·60) and fatigue or muscle weakness 17% higher (OR 1·17, 1·07–1·27) per 10-year increase of age, and percentage of CT score 4% (1·37–6·64) lower per 10-year increase of age (</p><a data-link="modal" data-target="#image-S0140-6736(20)32656-8gr2" href="#fig2" data-locator="fig2" id="back-gr2" class="figure-link scroll-into-link">figure 2</a><p>). No significant association of age with anxiety or depression was observed.</p><div class="floatDisplay"><figure id="fig2" class="" tabindex="0"><img class="b-lazy" data-src="//els-jbs-prod-cdn.jbs.elsevierhealth.com/cms/attachment/53f8e86d-5d58-487e-aab5-f2cdcd250d98/gr2.jpg" alt="Figure thumbnail gr2" data-locator="fig2" data-high-res="//els-jbs-prod-cdn.jbs.elsevierhealth.com/cms/attachment/ace08ee4-c773-4c70-a79e-74540f227534/gr2_lrg.jpg" data-large-image="//els-jbs-prod-cdn.jbs.elsevierhealth.com/cms/attachment/53f8e86d-5d58-487e-aab5-f2cdcd250d98/gr2.jpg"><figcaption><div class="figure__caption__body"><p class="figure__title"><span data-fv-label="Fig. 2" class="label figure__label">Figure 2</span><span class="figure__title__text">Risk factors associated with diffusion impairment and CT score (A), and anxiety or depression and fatigue or muscle weakness (B)</span></p><div class="accordion"><a href="#" class="accordion__control" aria-expanded="false"><i class="icon-section_arrow_d"></i><span>Show full caption</span></a><div class="accordion__content"><div class="figure__caption__text"><p class="section-paragraph">For associations of age, cigarette smoking, and education with outcome measure, the variables including age, gender, cigarette smoking, education, comorbidity, corticosteroids, antivirals, and intravenous immunoglobulin were all included in the models. For association of comorbidity with outcome, the aforementioned variables were all included together with comorbidity. For association of other factors including sex, corticosteroid, antiviral, and intravenous immunoglobulin with outcome, disease severity and the aforementioned variables were included in the model. OR (95% CI) or β (95% CI) for age indicates the risk of diffusion impairment, CT score, anxiety or depression, and fatigue or muscle weakness per 10-year age increase. OR=odds ratio.</p></div></div></div></div></figcaption></figure></div></div>
<div class="section-paragraph"><p>Plasma samples of 94 patients who participated in the LOTUS China trial</p><div class="dropBlock reference-citations"><sup><a href="#bib10" id="back-bib10" data-db-target-for="bib10-d4191939e2601" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib10">10</a></sup><div data-db-target-of="bib10-d4191939e2601" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Cao B </li><li class="loa__item">Wang Y </li><li class="loa__item">Wen D </li><li>et al.</li></ul><p class="reference-citations__detials">A trial of lopinavir-ritonavir in adults hospitalized with severe Covid-19.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> were collected. The seropositivity (96·2% </p><em>vs</em><p> 58·5%) and median titres (19·0 </p><em>vs</em><p> 10·0) of the neutralising antibodies were significantly lower than at the acute phase (</p><a data-link="modal" data-target="#image-S0140-6736(20)32656-8gr3" href="#fig3" data-locator="fig3" id="back-gr3" class="figure-link scroll-into-link">figure 3</a><p>). The seropositivity of N-IgM, RBD-IgM, S-IgM, N-IgA, RBD-IgA, S-IgA, and RBD-IgG at follow-up significantly decreased compared with that at acute phase (</p><a data-link="modal" data-target="#image-S0140-6736(20)32656-8gr3" href="#fig3" data-locator="fig3" id="back-gr3" class="figure-link scroll-into-link">figure 3A</a><p>). However, the seropositivity of N-IgG and S-IgG antibodies did not show significant change. More than 90% of participants tested positive for all three IgG antibodies at follow-up. The longitudinal changes in antibody concentrations were further evaluated, with the N-IgM, RBD-IgM, S-IgM, N-IgA, RBD-IgA, S-IgA, N-IgG, RBD-IgG, and S-IgG concentrations, and neutralising antibody titres waning over time (</p><a data-link="modal" data-target="#image-S0140-6736(20)32656-8gr3" href="#fig3" data-locator="fig3" id="back-gr3" class="figure-link scroll-into-link">figure 3B–E</a><p>). However, heterogeneous responses were observed in IgG against N, RBD, and S proteins. Compared with the concentrations at acute phase, antibody concentrations increased by more than 20% in seven (7%) participants for N-IgG, in ten (11%) for RBD-IgG, and in 20 (21%) for S-IgG at follow-up. The concentrations decreased by more than 20% in 76 (81%) participants for N-IgG, in 64 (68%) for RBD-IgG, and in 28 (30%) for S-IgG (</p><a href="#sec1" class="scroll-into-link">appendix p 22</a><p>).</p><div class="floatDisplay"><figure id="fig3" class="" tabindex="0"><img class="b-lazy" data-src="//els-jbs-prod-cdn.jbs.elsevierhealth.com/cms/attachment/3a16fe28-9606-470d-83e1-e9ff49f9618f/gr3.jpg" alt="Figure thumbnail gr3" data-locator="fig3" data-high-res="//els-jbs-prod-cdn.jbs.elsevierhealth.com/cms/attachment/d44c56c5-a070-462e-b726-e92bce7ee379/gr3_lrg.jpg" data-large-image="//els-jbs-prod-cdn.jbs.elsevierhealth.com/cms/attachment/3a16fe28-9606-470d-83e1-e9ff49f9618f/gr3.jpg"><figcaption><div class="figure__caption__body"><p class="figure__title"><span data-fv-label="Fig. 3" class="label figure__label">Figure 3</span><span class="figure__title__text">Temporal changes of seropositivity and antibody titres against SARS-CoV-2</span></p><div class="accordion"><a href="#" class="accordion__control" aria-expanded="false"><i class="icon-section_arrow_d"></i><span>Show full caption</span></a><div class="accordion__content"><div class="figure__caption__text"><p class="section-paragraph">(A) Seropositivity of each antibody indicated by the y-axis. Violin plots show the distribution of each antibody feature N (B), RBD (C), S (D), and neutralising antibodies (E) split across baseline and follow-up plasma samples of 94 individuals. The horizontal lines are used to indicate the value used to diagnose positivity from the antibody test. The comparison of antibody test results at acute phase and follow-up was done with paired <em>t</em> tests for antibody titres and McNemar test for antibody positive rates. Plasma samples at acute phase were collected during hospital stay with a median duration of 23 (IQR 20–26) days from illness onset. OD=optical density. SARS-CoV-2=severe acute respiratory syndrome coronavirus 2. p values indicate a comparison between acute phase and follow-up. *p&lt;0·0001. †p=0·29. ‡p=0·039. §p=1·00. ¶p=0·021.</p></div></div></div></div></figcaption></figure></div></div>
<div class="section-paragraph"><p>The dynamic changes of white blood cell count, lymphocyte count, and haemoglobin concentrations from symptom onset to follow-up, classified by severity scale, are presented in the </p><a href="#sec1" class="scroll-into-link">appendix (pp 23–24</a><p>). 488 patients had lymphocytopenia (lymphocyte count &lt;0·8 × 10</p><sup>9</sup><p> per L) during the acute phase. Among those whose lymphocyte counts were available at follow-up, 97% had lymphocyte counts 0·8 × 10</p><sup>9</sup><p> per L or more. 58 patients without self-reported history of diabetes were newly diagnosed with the condition at follow-up. Among 13 of these patients with HbA</p><sub>1c</sub><p> tested during their hospital stay, one patient showed normal HbA</p><sub>1c</sub><p> concentrations at acute phase, but abnormal concentrations at follow-up. Of the 390 participants who received ultrasonography, no deep venous thrombosis of lower limbs was observed. The abdominal ultrasound results in these patients were also normal (</p><a href="#sec1" class="scroll-into-link">appendix p 19</a><p>).</p></div>
<div class="section-paragraph"><p>The distribution of kidney function at acute phase and follow-up is presented in the </p><a href="#sec1" class="scroll-into-link">appendix (p 25)</a><p>). Among participants with eGFR available at follow-up, 35% (487 of 1393) had decreased eGFR (&lt;90 mL/min per 1·73 m</p><sup>2</sup><p>; </p><a href="#tbl2" id="back-tbl2" class="scroll-into-link">table 2</a><p>). 101 (6%) of 1706 patients had acute kidney injury at acute phase. Among participants with eGFR available both at acute phase and follow-up, 479 (35%) of 1378 had decreased eGFR at follow-up. Of 1016 participants with non-acute kidney injury and normal eGFR value at acute phase, 822 had eGFR available at follow up, with 107 (13%) presenting with decreased eGFR (</p><a href="#sec1" class="scroll-into-link">appendix p 25</a><p>).</p></div></section><section id="cesec80" data-locator="cesec80" tabindex="0">
<h2 class="top" id="seccestitle140" data-left-hand-nav="Discussion" tabindex="0"><span class="top__sub"></span><span class="top__text">Discussion</span></h2><p class="section-paragraph">To our knowledge, this is the largest cohort study with the longest follow-up duration assessing the health consequences of adult patients discharged from hospital recovering from COVID-19. We found that at 6 months after symptom onset, most patients endorsed at least one symptom, particularly fatigue or muscle weakness, sleep difficulties, and anxiety or depression. More severely ill patients had increased risk of pulmonary diffusion abnormality, fatigue or muscle weakness, and anxiety or depression. The seropositivity and titres of the neutralising antibodies were significantly lower than at acute phase.</p>
<div class="section-paragraph"><p>We found that fatigue or muscle weakness, sleep difficulties, and anxiety or depression were common, even at 6 months after symptom onset. This is consistent with data from previous SARS long term follow-up studies. Canadian researchers found that most SARS survivors had good physical recovery from their illness, but 33% reported a significant decrement in mental health 1 year later.</p><div class="dropBlock reference-citations"><sup><a href="#bib23" id="back-bib23" data-db-target-for="bib23-d4191939e2667" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib23">23</a></sup><div data-db-target-of="bib23-d4191939e2667" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Tansey CM </li><li class="loa__item">Louie M </li><li class="loa__item">Loeb M </li><li>et al.</li></ul><p class="reference-citations__detials">One-year outcomes and health care utilization in survivors of severe acute respiratory syndrome.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> A follow-up study of SARS survivors showed that 40% of patients still had a chronic fatigue problem for a mean period of 41·3 months after SARS.</p><div class="dropBlock reference-citations"><sup><a href="#bib24" id="back-bib24" data-db-target-for="bib24-d4191939e2671" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib24">24</a></sup><div data-db-target-of="bib24-d4191939e2671" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Lam MH </li><li class="loa__item">Wing YK </li><li class="loa__item">Yu MW </li><li>et al.</li></ul><p class="reference-citations__detials">Mental morbidities and chronic fatigue in severe acute respiratory syndrome survivors: long-term follow-up.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> We found that being a woman and severity of illness were risk factors for persistent psychological symptoms. Female SARS survivors had higher stress levels and higher levels of depression and anxiety.</p><div class="dropBlock reference-citations"><sup><a href="#bib25" id="back-bib25" data-db-target-for="bib25-d4191939e2675" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib25">25</a></sup><div data-db-target-of="bib25-d4191939e2675" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Lee AM </li><li class="loa__item">Wong JG </li><li class="loa__item">McAlonan GM </li><li>et al.</li></ul><p class="reference-citations__detials">Stress and psychological distress among SARS survivors 1 year after the outbreak.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> In a 3-month follow-up survey of 538 COVID-19 patients, Xiong and colleagues</p><div class="dropBlock reference-citations"><sup><a href="#bib8" id="back-bib8" data-db-target-for="bib8-d4191939e2679" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib8">8</a></sup><div data-db-target-of="bib8-d4191939e2679" class="dropBlock__holder"><div class="dropBlock__body"><p class="reference-citations__detials">Clinical sequelae of COVID-19 survivors in Wuhan, China: a single-centre longitudinal study.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> found that physical decline or fatigue, post-activity polypnoea, and alopecia were more common in women than in men. The underlying mechanism of the psychiatric consequences of COVID-19 is likely to be multifactorial and might include the direct effects of viral infection, the immunological response, corticosteroid therapy, ICU stay, social isolation, and stigma.</p><div class="dropBlock reference-citations"><sup><a href="#bib26" id="back-bib26" data-db-target-for="bib26-d4191939e2683" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib26">26</a></sup><div data-db-target-of="bib26-d4191939e2683" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Rogers JP </li><li class="loa__item">Chesney E </li><li class="loa__item">Oliver D </li><li>et al.</li></ul><p class="reference-citations__detials">Psychiatric and neuropsychiatric presentations associated with severe coronavirus infections: a systematic review and meta-analysis with comparison to the COVID-19 pandemic.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div></div>
<div class="section-paragraph"><p>The results of lung function assessment in this study showed that a considerable proportion (22–56% across different severity scales) of participants had a pulmonary diffusion abnormality 6 months after symptom onset. This was consistent with findings that the most common abnormal CT pattern was pulmonary interstitial change (GGOs and irregular lines), which were similar to the long-term lung manifestations of SARS</p><div class="dropBlock reference-citations"><sup><a href="#bib27" id="back-bib27" data-db-target-for="bib27-d4191939e2688" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib27">27</a></sup><div data-db-target-of="bib27-d4191939e2688" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Xie L </li><li class="loa__item">Liu Y </li><li class="loa__item">Xiao Y </li><li>et al.</li></ul><p class="reference-citations__detials">Follow-up study on pulmonary function and lung radiographic changes in rehabilitating severe acute respiratory syndrome patients after discharge.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> or influenza.</p><div class="dropBlock reference-citations"><sup><a href="#bib28" id="back-bib28" data-db-target-for="bib28-d4191939e2692" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib28">28</a></sup><div data-db-target-of="bib28-d4191939e2692" class="dropBlock__holder"><div class="dropBlock__body"><p class="reference-citations__detials">Clinical features of pneumonia caused by 2009 influenza A(H1N1) virus in Beijing, China.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> Respiratory viral infection might potentially induce distinct fibroblast activation in the convalescence phase.</p><div class="dropBlock reference-citations"><sup><a href="#bib29" id="back-bib29" data-db-target-for="bib29-d4191939e2696" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib29">29</a></sup><div data-db-target-of="bib29-d4191939e2696" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Boyd DF </li><li class="loa__item">Allen EK </li><li class="loa__item">Randolph AG </li><li>et al.</li></ul><p class="reference-citations__detials">Exuberant fibroblast activity compromises lung function via ADAMTS4.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> The disease severity in the acute phase was found to be associated with pulmonary diffusion abnormality and percentage change of CT score in the multivariable analysis. Our results did not suggest that corticosteroids could accelerate the recovery of lung injury on pulmonary function assessment and chest imaging, although evidence has shown the benefits of corticosteroid treatment for patients with COVID-19.</p><div class="dropBlock reference-citations"><sup><a href="#" id="back-bib30" data-db-target-for="bib30-d4191939e2700" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib30">30</a></sup><div data-db-target-of="bib30-d4191939e2700" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Horby P </li><li class="loa__item">Lim WS </li><li class="loa__item">Emberson JR </li><li>et al.</li></ul><p class="reference-citations__detials">Dexamethasone in hospitalized patients with Covid-19 - preliminary report.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><sup>, </sup> <div class="dropBlock reference-citations"><sup><a href="#" id="back-bib31" data-db-target-for="bib31-d4191939e2700" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib31">31</a></sup><div data-db-target-of="bib31-d4191939e2700" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Sterne JAC </li><li class="loa__item">Murthy S </li><li class="loa__item">Diaz JV </li><li>et al.</li></ul><p class="reference-citations__detials">Association between administration of systemic corticosteroids and mortality among critically ill patients with COVID-19: a meta-analysis.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> Whether the remaining radiological or pulmonary diffusion abnormalities completely resolve needs to be investigated in further follow-up studies.</p></div>
<div class="section-paragraph"><p>In this study, we found that the seropositivity and median titres of the neutralising antibodies were significantly lower compared with at acute phase. In a report assessing 30 082 patients with mild-to-moderate COVID-19, although antibody titres were stable over a period of 3 months, a modest decline was observed at the 5-month timepoint.</p><div class="dropBlock reference-citations"><sup><a href="#bib32" id="back-bib32" data-db-target-for="bib32-d4191939e2706" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib32">32</a></sup><div data-db-target-of="bib32-d4191939e2706" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Wajnberg A </li><li class="loa__item">Amanat F </li><li class="loa__item">Firpo A </li><li>et al.</li></ul><p class="reference-citations__detials">Robust neutralizing antibodies to SARS-CoV-2 infection persist for months.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> Among asymptomatic individuals, 81% had reduction of neutralising antibody concentrations during the early convalescent phase.</p><div class="dropBlock reference-citations"><sup><a href="#bib33" id="back-bib33" data-db-target-for="bib33-d4191939e2710" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib33">33</a></sup><div data-db-target-of="bib33-d4191939e2710" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Long QX </li><li class="loa__item">Tang XJ </li><li class="loa__item">Shi QL </li><li>et al.</li></ul><p class="reference-citations__detials">Clinical and immunological assessment of asymptomatic SARS-CoV-2 infections.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> The decline of neutralising antibodies observed in the present study and other studies raises concern for SARS-CoV-2 re-infection. The risk of re-infection should be monitored for patients who present with compatible symptoms of COVID-19.</p></div>
<div class="section-paragraph"><p>Our study also investigated long-term extrapulmonary organ manifestations and death during follow-up. For example, persistent renal dysfunctions were observed, some participants were newly diagnosed with diabetes, and venous thromboembolic diseases, (including cardiovascular and cerebrovascular events) occurred. Angiotensin-converting enzyme 2—enriched in the renal proximal tubule</p><div class="dropBlock reference-citations"><sup><a href="#" id="back-bib34" data-db-target-for="bib34-d4191939e2716" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib34">34</a></sup><div data-db-target-of="bib34-d4191939e2716" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Du M </li><li class="loa__item">Cai G </li><li class="loa__item">Chen F </li><li class="loa__item">Christiani DC </li><li class="loa__item">Zhang Z </li><li class="loa__item">Wang M </li></ul><p class="reference-citations__detials">Multiomics evaluation of gastrointestinal and other clinical characteristics of COVID-19.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><sup>, </sup> <div class="dropBlock reference-citations"><sup><a href="#" id="back-bib35" data-db-target-for="bib35-d4191939e2716" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib35">35</a></sup><div data-db-target-of="bib35-d4191939e2716" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Vabret N </li><li class="loa__item">Britton GJ </li><li class="loa__item">Gruber C </li><li>et al.</li></ul><p class="reference-citations__detials">Immunology of COVID-19: current state of the science.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p>—could mediate the entry of SARS-CoV-2 into epithelial cells to accumulate and cause cytotoxicity and inflammatory cell infiltration. A previous study reported that persistent impairment in renal function can occur following an episode of acute kidney injury, with the potential to progress to end-stage kidney disease with dialysis.</p><div class="dropBlock reference-citations"><sup><a href="#bib36" id="back-bib36" data-db-target-for="bib36-d4191939e2720" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib36">36</a></sup><div data-db-target-of="bib36-d4191939e2720" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Forni LG </li><li class="loa__item">Darmon M </li><li class="loa__item">Ostermann M </li><li>et al.</li></ul><p class="reference-citations__detials">Renal recovery after acute kidney injury.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> The limitation of serum creatinine to diagnose acute kidney injury has been underscored, which might result in underestimation of patients with acute kidney injury at acute phase.</p><div class="dropBlock reference-citations"><sup><a href="#bib37" id="back-bib37" data-db-target-for="bib37-d4191939e2724" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib37">37</a></sup><div data-db-target-of="bib37-d4191939e2724" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Bhatraju PK </li><li class="loa__item">Wurfel MM </li><li class="loa__item">Himmelfarb J </li></ul><p class="reference-citations__detials">Trajectory of kidney function: the canary in sepsis.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> For the first time, we showed that 13% of patients without acute kidney injury and with normal eGFR at the acute phase had decreased eGFR at follow-up. The persistent follow-up of discharged patients with COVID-19 is necessary and essential, not only to understand the association between extrapulmonary diseases and SARS-CoV-2 infection, but also to find ways to reduce morbidity and mortality by efficient prevention.</p></div>
<div class="section-paragraph"><p>This study has several limitations. Firstly, the baseline data of pulmonary function and 6-min walking distance are unavailable. However, the proportion of patients with chronic pulmonary and heart disease in this cohort is fairly low, although self-reported by patients which might have resulted in underestimation. The observed impaired pulmonary function and exercise capacity cannot be directly attributed to COVID-19. Secondly, for new symptom onset after COVID-19, the data were not stratified further to determine if the symptoms were persistent following COVID-19, worsened after COVID-19 recovery, or occurred post-discharge. Thirdly, patients with mild COVID-19 symptoms who had stayed in Fangcang shelter hospitals</p><div class="dropBlock reference-citations"><sup><a href="#bib38" id="back-bib38" data-db-target-for="bib38-d4191939e2730" class="reference-citations__ctrl" aria-expanded="false" aria-controls="bib38">38</a></sup><div data-db-target-of="bib38-d4191939e2730" class="dropBlock__holder"><div class="dropBlock__body"><ul title="list of authors" class="rlist reference-citations__loa inline-bullet-list"><li class="loa__item">Chen S </li><li class="loa__item">Zhang Z </li><li class="loa__item">Yang J </li><li>et al.</li></ul><p class="reference-citations__detials">Fangcang shelter hospitals: a novel concept for responding to public health emergencies.</p></div><a href="#" class="dropBlock__ctrl--close" title="Close info"><i aria-hidden="true" class="icon-close_thin"></i></a></div></div><p> were not enrolled. Further efforts are needed to compare the long-term outcomes between inpatients and outpatients. Finally, the number of participants with SARS-CoV-2 antibody test results both at acute phase and follow-up was limited. In the future, a larger sample is needed to clarify the dynamic changes of antibodies against SARS-CoV-2.</p></div><p class="section-paragraph">At 6 months after symptom onset, fatigue or muscle weakness and sleep difficulties were the main symptoms of patients who had recovered from COVID-19. Risk of anxiety or depression as an important psychological complication and impaired pulmonary diffusion capacities were higher in patients with more severe illness. These results support that those with severe disease need post-discharge care. Longer follow-up studies in a larger population are necessary to understand the full spectrum of health consequences from COVID-19.</p></section>
