title: Ce dont nous avons (vraiment) besoin
url: https://www.monde-diplomatique.fr/2017/02/KEUCHEYAN/57134
hash_url: 65e0c481f692260299c53e9713339f53

<p><span class="mot-lettrine"><span class="lettrine">L</span>a</span> transition écologique suppose de faire des choix de consommation. Mais sur quelle base<small class="fine"> </small>? Comment distinguer les besoins légitimes, qui pourront être satisfaits dans la société future, des besoins égoïstes et déraisonnables, qu’il faudra renoncer à assouvir<small class="fine"> </small>? C’est la question qu’aborde le <i>Manifeste négaWatt,</i> l’un des ouvrages d’écologie politique les plus stimulants parus récemment, rédigé par des spécialistes de l’énergie<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2017/02/KEUCHEYAN/57134#nb1" class="spip_note" rel="appendix" title="Association négaWatt, Manifeste négaWatt. En route pour la transition (...)" id="nh1">1</a>)</span>. Un négawatt, c’est une unité d’énergie économisée — «<small class="fine"> </small>néga<small class="fine"> </small>» pour négatif. Grâce aux énergies renouvelables, à l’isolation du bâti ou au raccourcissement des circuits économiques, il est possible, selon les auteurs, de mettre sur pied un système économique qui soit écologiquement viable à l’échelle d’un pays, et même au-delà. À technologie constante, notre société renferme d’importants <i>«<small class="fine"> </small>gisements de négawatts<small class="fine"> </small>».</i></p>
<p>Le consumérisme ambiant ne saurait perdurer, car il accroît en permanence les flux de matières premières et la consommation d’énergie. Ses effets aliénants sur les personnes ne sont de surcroît plus à démontrer. Une société «<small class="fine"> </small>négawatt<small class="fine"> </small>» est une société de la sobriété où des possibilités de consommation sont délibérément écartées car considérées comme néfastes. Mais sur quels critères<small class="fine"> </small>?</p>
<p>Pour répondre à cette question, les auteurs du manifeste distinguent les besoins humains authentiques, légitimes, qu’il faudra donc continuer à satisfaire, et les besoins artificiels, illégitimes, dont il faudra se défaire. Le premier groupe comprend ceux qu’ils qualifient de <i>«<small class="fine"> </small>vitaux<small class="fine"> </small>», «<small class="fine"> </small>essentiels<small class="fine"> </small>», «<small class="fine"> </small>indispensables<small class="fine"> </small>», «<small class="fine"> </small>utiles<small class="fine"> </small>»</i> et <i>«<small class="fine"> </small>convenables<small class="fine"> </small>».</i> Le second, ceux qu’ils jugent <i>«<small class="fine"> </small>accessoires<small class="fine"> </small>», «<small class="fine"> </small>futiles<small class="fine"> </small>», «<small class="fine"> </small>extravagants<small class="fine"> </small>», «<small class="fine"> </small>inacceptables<small class="fine"> </small>», «<small class="fine"> </small>égoïstes<small class="fine"> </small>».</i></p>
<p>Dès lors, deux problèmes apparaissent. D’abord, comment définir un besoin «<small class="fine"> </small>essentiel<small class="fine"> </small>»<small class="fine"> </small>? Qu’est-ce qui le distingue d’un besoin «<small class="fine"> </small>accessoire<small class="fine"> </small>» ou «<small class="fine"> </small>inacceptable<small class="fine"> </small>»<small class="fine"> </small>? Et ensuite, qui décide<small class="fine"> </small>? Quels mécanismes ou institutions conféreront une légitimité au choix de satisfaire tel besoin plutôt que tel autre<small class="fine"> </small>? Le <i>Manifeste négaWatt</i> ne dit rien à ce propos.</p>
<p>Pour répondre à ces questions, il est bon de se tourner vers deux penseurs critiques et pionniers de l’écologie politique, André Gorz et Ágnes Heller.</p>
<p>Dans les années 1960 et 1970, ils ont développé une théorie des besoins sophistiquée qui est d’une grande actualité<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2017/02/KEUCHEYAN/57134#nb2" class="spip_note" rel="appendix" title="André Gorz, Stratégie ouvrière et néocapitalisme, Seuil, Paris, 1964, et Ágnes (...)" id="nh2">2</a>)</span>. L’un comme l’autre ont abordé ces questions à partir d’une réflexion sur l’aliénation, laquelle peut se mesurer à l’aune de besoins authentiques. En effet, on est aliéné par rapport à un état idéal auquel on cherche à revenir, ou que l’on cherche à atteindre enfin. La notion désigne le processus par lequel le capitalisme suscite des besoins artificiels qui nous éloignent de cet état. En plus d’être aliénants, la plupart de ces besoins sont écologiquement irréalistes.</p>
<h3 class="spip"> Une tâche brûlante de notre temps </h3>
<p>Qu’est-ce qu’un besoin «<small class="fine"> </small>authentique<small class="fine"> </small>»<small class="fine"> </small>? On pense bien sûr aux exigences dont dépendent la survie ou le bien-être de l’organisme : manger, boire ou se protéger du froid, par exemple. Dans les pays du Sud, et même du Nord, certains de ces besoins élémentaires ne sont pas satisfaits. D’autres, qui l’étaient autrefois, le sont de moins en moins. Jusqu’à récemment, respirer un air non pollué allait de soi<small class="fine"> </small>; c’est devenu difficile dans les mégapoles contemporaines. Il en va de même pour le sommeil. Aujourd’hui, la pollution lumineuse rend l’endormissement difficile pour nombre de personnes, l’omniprésence de la lumière dans les villes retardant la synthèse de la mélatonine (surnommée «<small class="fine"> </small>hormone du sommeil<small class="fine"> </small>»). Dans certains pays, la lutte contre la pollution lumineuse a suscité l’émergence de mouvements sociaux revendiquant un «<small class="fine"> </small>droit à l’obscurité<small class="fine"> </small>» et appelant à la création de «<small class="fine"> </small>parcs aux étoiles<small class="fine"> </small>» non pollués par la lumière artificielle<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2017/02/KEUCHEYAN/57134#nb3" class="spip_note" rel="appendix" title="Cf. Marc Lettau, « Face à la pollution lumineuse en Suisse, les adeptes de (...)" id="nh3">3</a>)</span>.</p>
<p>L’exemple de la pollution sonore parle également à nombre de citadins. On consacre des volumes croissants d’argent à l’isolation des logements, afin de satisfaire un besoin — le silence — autrefois gratuit. Ces dépenses nouvelles sont susceptibles de peser à la baisse sur le taux de profit, mais elles offrent simultanément des sources d’enrichissement, par exemple pour les entreprises spécialisées dans l’insonorisation.</p>
<p>Tous les besoins «<small class="fine"> </small>authentiques<small class="fine"> </small>» ne sont pas d’ordre biologique. Aimer et être aimé, se cultiver, faire preuve d’autonomie et de créativité manuelle et intellectuelle, prendre part à la vie de la cité, contempler la nature... sur le plan physiologique, on peut certainement faire sans. Mais ces besoins sont consubstantiels à la définition d’une vie humaine digne d’être vécue. André Gorz les appelle <i>«<small class="fine"> </small>besoins qualitatifs<small class="fine"> </small>»</i><small class="fine"> </small>; Ágnes Heller, <i>«<small class="fine"> </small>besoins radicaux<small class="fine"> </small>».</i></p>
<p>Les besoins qualitatifs ou radicaux reposent sur un paradoxe. En même temps qu’il exploite et aliène, le capitalisme génère à la longue un certain bien-être matériel pour des secteurs importants de la population. Il libère de ce fait les individus de l’obligation de lutter au quotidien pour assurer leur survie. De nouvelles aspirations, qualitatives, prennent alors de l’importance. Mais, à mesure qu’il monte en puissance, le capitalisme empêche leur pleine réalisation. La division du travail enferme l’individu dans des fonctions et des compétences étroites tout au long de sa vie, lui interdisant de développer librement la gamme des facultés humaines. De même, le consumérisme ensevelit les besoins authentiques sous des besoins factices. L’achat d’une marchandise satisfait rarement un vrai manque. Il procure une satisfaction momentanée<small class="fine"> </small>; puis le désir que la marchandise avait elle-même créé se redéploie vers une autre vitrine.</p>
<p>Constitutifs de notre être, les besoins authentiques ne peuvent trouver leur satisfaction dans le régime économique actuel. C’est pourquoi ils sont le ferment de bien des mouvements d’émancipation. <i>«<small class="fine"> </small>Le besoin est révolutionnaire en germe<small class="fine"> </small>»,</i> dit André Gorz<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2017/02/KEUCHEYAN/57134#nb4" class="spip_note" rel="appendix" title="André Gorz, La Morale de l’histoire, Seuil, Paris, 1959." id="nh4">4</a>)</span>. La quête de son assouvissement conduit tôt ou tard les individus à soumettre le système à la critique.</p>
<p>Les besoins qualitatifs évoluent historiquement. Voyager, par exemple, permet à l’individu de se cultiver et de s’ouvrir à l’altérité. Jusqu’au milieu du XXe siècle, seules les élites voyageaient. Désormais, la pratique se démocratise. On pourrait définir le progrès social par l’apparition de besoins toujours plus enrichissants et sophistiqués, et accessibles au plus grand nombre.</p>
<p>Mais des aspects néfastes apparaissent parfois en cours de route. Si le transport en avion proposé par les compagnies à bas coût contribue à rendre le voyage accessible aux classes populaires, il émet aussi une énorme quantité de gaz à effet de serre, et il détruit les équilibres des zones où les touristes se rendent en masse pour voir... d’autres touristes en train de regarder ce qu’il y a à voir. Voyager est devenu un besoin authentique<small class="fine"> </small>; il faudra pourtant inventer de nouvelles façons de se déplacer, adaptées au monde de demain.</p>
<p>Si le progrès social induit parfois des effets pervers, des besoins à l’origine néfastes peuvent, à l’inverse, devenir viables avec le temps. Aujourd’hui, la possession d’un smartphone relève d’un besoin égoïste. Ces téléphones contiennent des «<small class="fine"> </small>minerais de sang<small class="fine"> </small>» — tungstène, tantale, étain et or notamment —, dont l’extraction occasionne des conflits armés et des pollutions graves. Ce n’est pourtant pas l’appareil lui-même qui est en question. Si un smartphone «<small class="fine"> </small>équitable<small class="fine"> </small>» voit le jour — le Fairphone semble en être une préfiguration<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2017/02/KEUCHEYAN/57134#nb5" class="spip_note" rel="appendix" title="Lire Emmanuel Raoul, « Peut-on fabriquer un téléphone équitable ? », Le Monde (...)" id="nh5">5</a>)</span> —, il n’y a pas de raison que cet objet soit banni des sociétés futures. D’autant plus qu’il a donné lieu à des formes de sociabilité nouvelles, à travers l’accès continu aux réseaux sociaux ou grâce à l’appareil photographique qu’il intègre. Qu’il encourage le narcissisme ou génère des névroses chez ses utilisateurs n’est sans doute pas inévitable. En ce sens, on ne peut exclure que le smartphone, à travers certains de ses usages, se transforme progressivement en besoin qualitatif, comme le voyage avant lui.</p>
<p>Selon André Gorz, la société capitaliste a pour devise : «<small class="fine"> </small>Ce qui est bon pour tous ne vaut rien. Tu ne seras respectable que si tu as “mieux” que les autres<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2017/02/KEUCHEYAN/57134#nb6" class="spip_note" rel="appendix" title="Lire André Gorz, « Leur écologie et la nôtre », Le Monde diplomatique, avril  (...)" id="nh6">6</a>)</span>.<small class="fine"> </small>» On peut lui opposer une devise écologiste : «<small class="fine"> </small>Seul est digne de toi ce qui est bon pour tous. Seul mérite d’être produit ce qui ne privilégie ni n’abaisse personne.<small class="fine"> </small>» Aux yeux de Gorz, un besoin qualitatif a ceci de particulier qu’il ne donne pas prise à la «<small class="fine"> </small>distinction<small class="fine"> </small>».</p>
<p>En régime capitaliste, la consommation revêt en effet une dimension ostentatoire. Acheter le dernier modèle de voiture revient à exhiber un statut social (réel ou supposé). Un beau jour, cependant, ce modèle passe de mode et son pouvoir distinctif s’effondre, provoquant le besoin d’un autre achat. Cette fuite en avant inhérente à l’économie de marché contraint les entreprises qui se concurrencent à produire des marchandises toujours nouvelles.</p>
<p>Comment rompre avec cette logique de distinction productiviste<small class="fine"> </small>? Par exemple, en allongeant la durée de vie des objets. Une pétition lancée par Les Amis de la Terre exige que l’on fasse passer la garantie des marchandises de deux ans — une obligation inscrite dans le droit européen — à dix ans<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2017/02/KEUCHEYAN/57134#nb7" class="spip_note" rel="appendix" title="« Signez la pétition “Garantie 10 ans maintenant” », 24 octobre (...)" id="nh7">7</a>)</span>. Plus de 80<small class="fine"> </small>% des objets sous garantie sont réparés<small class="fine"> </small>; or ce pourcentage tombe à moins de 40<small class="fine"> </small>% une fois l’échéance passée. Moralité : plus la garantie est longue, plus les objets durent<small class="fine"> </small>; et plus la quantité de marchandises vendues et donc produites diminue, limitant par la même occasion les logiques de distinction, qui reposent souvent sur l’effet de nouveauté. La garantie, c’est la lutte des classes appliquée à la durée de vie des objets.</p>
<p>Qui détermine le caractère légitime ou non d’un besoin<small class="fine"> </small>? Un risque apparaît ici, qu’Ágnes Heller appelle la <i>«<small class="fine"> </small>dictature sur les besoins</i><span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2017/02/KEUCHEYAN/57134#nb8" class="spip_note" rel="appendix" title="Cf. Ferenc Fehér, Ágnes Heller et György Márkus, Dictatorship Over Needs, St. (...)" id="nh8">8</a>)</span><i><small class="fine"> </small>»,</i> comme celle qui prévalut en URSS. Si une bureaucratie d’experts autoproclamés décide de ce que sont les besoins «<small class="fine"> </small>authentiques<small class="fine"> </small>», et par conséquent les choix de production et de consommation, ceux-ci ont peu de chances d’être judicieux et légitimes. Pour que la population accepte la transition écologique, il faut que les décisions qui la sous-tendent emportent l’adhésion. Établir une liste de besoins authentiques n’a rien d’évident et suppose une délibération collective continue. Il s’agit donc de mettre en place un mécanisme qui vienne d’en bas, d’où émane démocratiquement une identification des besoins raisonnables.</p>
<p>Difficile d’imaginer ce que pourrait être un tel mécanisme. En esquisser les contours constitue une tâche brûlante de notre temps, dont dépend la construction d’une société juste et viable. La puissance publique a certainement un rôle à jouer, par exemple en taxant les besoins futiles pour démocratiser les besoins authentiques, en régulant les choix des consommateurs. Mais encore faut-il convaincre de la futilité de nombreux besoins<small class="fine"> </small>; et, pour cela, il faut un dispositif situé au plus près des individus. Il s’agit d’extraire le consommateur de son tête-à-tête avec la marchandise et de réorienter la <i>libido consumandi</i> vers d’autres désirs.</p>
<p>La transition écologique nous incite à fonder une démocratie directe, plus délibérative que représentative. L’adaptation des sociétés à la crise environnementale suppose de réorganiser de fond en comble la vie quotidienne des populations. Or cela ne se fera pas sans les mobiliser, sans s’appuyer sur leurs savoirs et leurs savoir-faire, et sans transformer dans un même mouvement les subjectivités consuméristes. C’est donc à une nouvelle «<small class="fine"> </small>critique de la vie quotidienne<small class="fine"> </small>» qu’il faut parvenir<small class="fine"> </small>; une critique élaborée collectivement.</p>
