title: Pourquoi Poutine a déjà perdu la guerre
url: https://legrandcontinent.eu/fr/2022/02/27/pourquoi-poutine-a-deja-perdu-la-guerre/
hash_url: 7591561f82b6ec5b32ead9df89a11c15

<p class="has-drop-cap">Le 24 février 2022, au premier jour de l’offensive russe contre l’Ukraine, j’écrivais  : «  Quelle que soit l’issue de la guerre, Poutine l’a déjà perdue. En plus de pousser vers l’Ouest ce qui restera de l’Ukraine, elle va renforcer voire agrandir l’OTAN, isoler et affaiblir la Russie qui deviendra paria, et menacer son propre pouvoir à Moscou. Le début de la fin.  » Il peut paraître présomptueux au premier jour d’une guerre d’en prédire l’issue, et contre-intuitif – ou optimiste – d’envisager que celle-ci ne soit pas favorable au plus puissant des deux belligérants. Il me semblait toutefois que ce dénouement s’imposait comme la conclusion logique du raisonnement suivant, en cinq étapes.</p>
<h2 id="1-le-prix-de-la-victoire-militaire"><strong>1 — Le prix de la victoire militaire</strong></h2>
<p>Si la victoire militaire de Poutine semble inévitable, compte tenu de l’asymétrie des forces en présence, elle aura un coût humain et matériel considérable. En seulement trois jours d’affrontement, l’état-major des armées ukrainien – dont il faut bien entendu prendre les chiffres avec le recul nécessaire – estime que les forces russes ont perdu 4300 hommes (tués ou capturés), 27 avions, 26 hélicoptères, 2 bateaux, 146 tanks et 706 véhicules blindés. Moscou de son côté nie avoir subi ces pertes et ne communiquera sans doute jamais le bilan véritable. Quoi qu’il en soit, grâce à l’extraordinaire combativité des Ukrainiens, alimentés en armes par au moins 28 pays, l’affrontement n’est pas la <em>blitzkrieg</em> espérée  : il est plus intense et sera sans doute plus long que les stratèges russes ne l’espéraient. Comme l’a souligné Lawrence Freedman, ils ont commis deux erreurs classiques, la sous-estimation de l’ennemi et la surestimation de leurs propres forces, qui sont en fait la même  : l’arrogance.</p>
<p>Cela pose aux forces russes des problèmes de logistique (manque de carburant, de rations et peut-être même de munitions) – dont on savait avant même l’invasion que ce serait le point faible d’une opération de ce type – mais aussi des problèmes d’image puisque la partie ukrainienne documente et diffuse abondamment des photos et des vidéos d’avions abattus, de tanks détruits, de soldats russes tués et capturés, et des crimes de guerre commis (par exemple l’usage de bombes à sous-munitions dans des zones civiles). Ils le font avec le soutien d’une communauté d’«  Osinters  », c’est-à-dire d’experts du renseignement d’origine sources ouvertes, situés partout dans le monde, et dont l’efficacité dans ce conflit est spectaculaire – comme l’est aussi l’utilisation des réseaux sociaux, en particulier Twitter. Au contraire de leurs adversaires, les forces ukrainiennes communiquent extrêmement bien et le président Zelensky est en quelques jours devenu une figure héroïque, louée dans le monde entier. Quelle que soit l’issue militaire du conflit, Poutine a déjà perdu la bataille de l’image.</p>
<figure class="wp-block-pullquote"><blockquote><p>Quelle que soit l’issue militaire du conflit, Poutine a déjà perdu la bataille de l’image.</p><cite>Jean-Baptiste Jeangène Vilmer</cite></blockquote></figure>
<p>Le manque de résultats concrets sur le terrain, la lenteur de l’avancée des envahisseurs, qui à l’heure où nous écrivons ces lignes ne contrôlent toujours aucune ville majeure, combinée aux difficultés précédentes font grandir un sentiment de frustration au sein des troupes russes. Comme tous n’étaient pas convaincus de la nécessité de cette guerre, plus elle dure et plus le doute s’installera dans les esprits, atteignant peut-être bientôt le moral des troupes. Dans tous les cas, il est certain que Moscou perdra au moins plusieurs milliers d’hommes, ce qui fera de cette guerre son intervention militaire la plus coûteuse des deux dernières décennies. </p>
<p>Dans ces conditions, il y a deux possibilités. La première est que Poutine n’aille pas jusqu’au bout. La résistance locale s’ajoutant à la pression internationale et au risque national (voir points 4 et 5 ci-dessous), elle pourrait le pousser à la négociation avant la défaite de l’armée ukrainienne. Il le présenterait avantageusement mais personne ne serait dupe  : ce serait pour lui personnellement et pour les forces armées russes un échec cuisant, et même une humiliation. Il était prêt à payer un prix calculé pour un gain, mais il risque de payer un prix beaucoup plus élevé qu’il ne l’imaginait pour un gain moindre ou inexistant. Poutine sait qu’une défaite en Ukraine signifierait sans doute sa chute à Moscou. S’il se sent dos au mur, le plus probable est donc qu’il choisisse la fuite en avant.</p>
<figure class="wp-block-pullquote"><blockquote><p>Poutine sait qu’une défaite en Ukraine signifierait sans doute sa chute à Moscou. S’il se sent dos au mur, le plus probable est donc qu’il choisisse la fuite en avant.</p><cite>Jean-Baptiste Jeangène Vilmer</cite></blockquote></figure>
<p>La seconde possibilité, qui malheureusement semble plus vraisemblable, est qu’il s’entête quel qu’en soit le prix. <a href="https://legrandcontinent.eu/fr/2022/02/26/ukraine-etat-des-forces-et-perspectives/">Les combats pourraient encore durer des semaines</a> et, pour en accélérer l’issue et donc diminuer l’impression d’une défaite russe, pour briser le moral de la population ukrainienne, il pourrait être tenté d’avoir recours à des frappes aériennes massives massacrant des dizaines de milliers de civils, comme les Russes ont montré qu’ils savaient le faire en Syrie. C’est d’autant moins exclu que l’hypothèse avait déjà été discutée à la télévision russe en 2016  : alors qu’un intervenant suggérait «  qu’il ne serait pas utile d’envoyer des forces terrestres russes dans les grandes villes ukrainiennes car cela entraînerait « d’énormes pertes pour l’armée russe »[, d’autres] n’étaient pas d’accord et ont déclaré que [le <em>carpet bombing</em> d’]Alep montre la voie que Moscou pourrait suivre  ». </p>
<h2 id="2-le-bourbier-de-l-occupation"><strong>2 — Le bourbier de l’occupation</strong></h2>
<p>Dans cette seconde hypothèse où, d’une manière ou d’autre, Moscou finirait par remporter une victoire militaire – à un prix qui sera donc exorbitant, non seulement pour le peuple ukrainien mais aussi pour les soldats russes –, ce ne serait que le début des difficultés. Si la guerre américaine en Irak (<em>Operation Iraqi Freedom</em>, 2003) est une indication, voire une inspiration pour Moscou puisque comme l’a montré Elie Tenenbaum le parallèle «  est frappant  », il faut rappeler que le fameux discours de George W. Bush du 1<sup>er</sup> mai 2003 sur le porte-avion USS Abraham Lincoln affichant fièrement une bannière «  Mission accomplished  » marquait non pas la fin mais le début des ennuis pour les Américains en Irak (en 2010, Bush reconnaîtra d’ailleurs que cette bannière était «  une erreur  »). Il y a certes une différence importante, qui est que les Russes sont beaucoup plus proches des Ukrainiens que les Américains ne l’étaient des Irakiens, et donc qu’ils avaient davantage de raisons d’espérer être accueillis en «  libérateurs  » par au moins une partie d’entre eux – mais l’agression russe au lieu de profiter de la désunion de la société ukrainienne semble au contraire avoir suscité un effet de «  ralliement autour du drapeau  » contre l’envahisseur, auquel Moscou ne s’attendait visiblement pas. </p>
<p>Dans tous les cas, prendre un pays est une chose – et c’est à la portée d’une grande puissance militaire comme la Russie – mais le tenir, c’est-à-dire l’occuper, en est une autre. C’est une remarque qui vaut aussi pour la Chine vis-à-vis de Taïwan.</p>
<figure class="wp-block-pullquote"><blockquote><p>Prendre un pays est une chose – et c’est à la portée d’une grande puissance militaire comme la Russie – mais le tenir, c’est-à-dire l’occuper, en est une autre. C’est une remarque qui vaut aussi pour la Chine vis-à-vis de Taïwan.</p><cite>Jean-Baptiste Jeangène Vilmer</cite></blockquote></figure>
<p>Si, première option, Poutine annexe <em>de facto</em> l’ensemble du territoire ukrainien, les troupes russes feront face au quotidien à une résistance certes variable mais réelle et probablement durable parce que soutenue par l’étranger, en matériel et en volontaires (qui affluent déjà  : le 27 février, Zelensky annonçait la création d’une légion internationale, formation de la garde nationale enrôlant des étrangers). Cette occupation sera donc extrêmement coûteuse, à la fois économiquement et humainement, et pour cette raison elle sera sans doute aussi impopulaire au sein non seulement de la population mais aussi de l’élite russes. </p>
<p>Si, deuxième option qui pour les raisons précédentes est plus probable, Poutine préfère ne garder sous son contrôle qu’une partie du territoire – sans doute le Donbass et le corridor sud permettant de le relier à la Crimée voire peut-être à la Transnistrie – et placer à Kyïv un gouvernement pro-russe, le risque est alors celui d’une guerre civile puisque la résistance sera la même mais dirigée cette fois contre ces autorités illégitimes. Le rapport de force n’étant a priori pas en faveur de ces dernières – puisque le centre et l’ouest de l’Ukraine sont précisément les régions majoritairement pro-occidentales –, les Russes contrôlant le reste du pays seront sans doute contraints d’intervenir régulièrement, maintenant le pouvoir local sous perfusion, ce qui reviendrait de fait à une version dégradée de la première option.</p>
<p>Si, troisième option qui pour les raisons précédentes est plus probable que les deux autres, Poutine divise le pays en deux, par exemple au niveau du Dniepr, créant de fait une Ukraine de l’Est sous son contrôle (soit direct par annexion, soit indirect par la mise en place d’une autorité à sa solde à la manière biélorusse) et une Ukraine de l’Ouest à laquelle il renonce parce ce qu’elle serait de toute façon ingouvernable et parce que cela lui donne une carte à jouer dans une négociation avec l’OTAN, la situation sur le long terme ne lui sera pas plus favorable puisque cette Ukraine de l’Ouest cherchera à rejoindre le plus vite possible l’Union européenne voire l’OTAN, qui pourraient y être plus favorables qu’avant. Autrement dit, même si elle ne concernera pas la même surface territoriale, Poutine aura accéléré l’extension qu’il voulait prévenir. C’est pourquoi j’écrivais qu’il allait «  pousser vers l’Ouest ce qui restera de l’Ukraine  ».</p>
<h2 id="3-le-renforcement-de-l-otan"><strong>3 — Le renforcement de l’OTAN</strong></h2>
<p>L’agression russe – sa duplicité, son ampleur et sa brutalité – a été pour les Européens surtout, mais aussi les Nord-Américains et une partie du reste du monde, un choc d’une magnitude plus grande encore à celle du 11 septembre 2001, qui nous fait entrer dans une nouvelle ère des relations internationales (une ère de post-post-guerre froide, c’est-à-dire «  l’amorce d’une véritable guerre froide  » comme l’a dit Bruno Tertrais, avec ce paradoxe qu’elle commence par une guerre «  chaude  »).</p>
<p>Ce choc a eu et aura plusieurs effets. D’abord, il a immédiatement renforcé la raison d’être d’une alliance qui, depuis la dissolution du Pacte de Varsovie contre lequel elle était dirigée, a traversé plusieurs crises existentielles. La guerre en Ukraine a mis fin aux questionnements métaphysiques que certains pouvaient avoir sur la pertinence ou l’intérêt de l’OTAN aujourd’hui, en démontrant clairement que ce n’est pas parce qu’il n’y a plus d’URSS que les pays de l’Alliance ne font pas face à une menace commune – d’autant plus que cette menace est visiblement motivée par une volonté de reconstruire une forme d’URSS voire d’empire – qui justifie donc une défense commune (et, rétrospectivement, justifie aussi la prescience de ceux qui pensaient qu’il valait mieux maintenir l’OTAN en cas d’irrédentisme russe). La guerre a aussi renforcé la cohésion de l’OTAN qui, pour la toute première fois de son histoire, a activé sa force de réaction rapide, créée au sommet de Prague en 2002.</p>
<p>Ensuite, ce choc qui a été une prise de conscience aiguë – pour ceux qui, par idéologie ou naïveté, faisaient encore mine de l’ignorer – que la Russie est un État hostile aux portes de l’Europe, dirigé par un homme imprévisible et irrationnel, va pousser l’ensemble des pays concernés à augmenter leur effort de défense. Il n’y a pas de meilleure incitation à respecter voire dépasser l’objectif otanien des 2 % du PIB consacrés aux dépenses militaires, à moderniser les équipements et à accroître leur disponibilité opérationnelle, dans une perspective de conflit de haute intensité. Le 27 février, lors d’une séance extraordinaire du Bundestag, le chancelier allemand Olaf Scholz a ainsi annoncé un budget de 100 milliards d’euros pour moderniser l’armée allemande et une augmentation du budget de la défense à plus de 2 % du PIB. C’est historique. Poutine a réussi le tour de force de réveiller l’Allemagne, qui était particulièrement en retard dans ce domaine. Comme l’écrivait Benjamin Haddad, «  l’heure du réarmement européen a sonné  ».</p>
<figure class="wp-block-pullquote"><blockquote><p>La guerre en Ukraine a mis fin aux questionnements métaphysiques que certains pouvaient avoir sur la pertinence ou l’intérêt de l’OTAN aujourd’hui, en démontrant clairement que ce n’est pas parce qu’il n’y a plus d’URSS que les pays de l’Alliance ne font pas face à une menace commune</p><cite>Jean-Baptiste Jeangène Vilmer</cite></blockquote></figure>
<p>Enfin, ce choc a aussi considérablement renforcé l’attractivité de l’OTAN, puisque l’Ukraine a été la démonstration éclatante que ceux qui n’en font pas partie sont vulnérables. Le président Biden a été très clair sur ce point en prévenant, deux semaines avant l’invasion russe, que les Américains n’enverraient pas de troupes en Ukraine. Si la décision était fondée dans l’absolu – puisqu’il s’agissait d’éviter une escalade pouvant mener à une «  guerre mondiale  » –, on peut toutefois se demander s’il était bien nécessaire de le dire aussi clairement, puisque cette déclaration a pu être interprétée à Moscou comme un feu vert. L’ambiguïté stratégique aurait pu être préférable. Quoi qu’il en soit, cette guerre est une démonstration par l’absurde de la valeur ajoutée de l’OTAN, c’est-à-dire une démonstration du risque de ne pas en faire partie. Elle aura des conséquences immédiates sur les pays qui, comme la Suède et la Finlande, se posaient la question  : l’invasion russe de l’Ukraine va «  changer  » le débat national sur l’adhésion à l’OTAN, a notamment déclaré la Première ministre finlandaise dès le premier jour de l’offensive.</p>
<p>C’est pourquoi j’écrivais que cette guerre allait «  renforcer voire agrandir l’OTAN  ». Elle va rendre plus forts, à la fois individuellement et collectivement, ceux-là mêmes que Poutine voulait affaiblir. </p>
<figure class="wp-block-pullquote"><blockquote><p>Cette guerre est une démonstration par l’absurde de la valeur ajoutée de l’OTAN, c’est-à-dire une démonstration du risque de ne pas en faire partie</p><cite>Jean-Baptiste Jeangène Vilmer</cite></blockquote></figure>
<h2 id="4-l-isolement-de-la-russie"><strong>4 — L’isolement de la Russie</strong></h2>
<p>La réaction de la communauté internationale peut sembler insuffisante pour l’instant parce qu’elle n’a pas d’effet immédiat sur les combats mais les sanctions contre Moscou, qui sont les plus massives jamais prises contre un État, vont avoir un impact durable sur des secteurs (finances, énergie, transport, technologies) et des individus, dont des oligarques puissants. Elles commencent déjà à être mises en œuvre  : le 26 février, par exemple, les autorités françaises ont intercepté dans la Manche un cargo russe chargé de voitures à destination de Saint-Pétersbourg qui a été dérouté vers Boulogne-sur-Mer. L’exclusion de la Russie du système bancaire Swift – l’une des mesures économiques les plus radicales – devrait être effective prochainement. Les sanctions ne viennent pas que d’Europe et d’Amérique du Nord mais aussi d’Australie, du Japon, de Corée du sud et de Taiwan, notamment sur certaines technologies clés dont Moscou a besoin comme des semi-conducteurs. La Chine pourra compenser certains de ces effets mais pas tous et cela prendra du temps. Elle ne pourra pas rendre les fonds, les propriétés, les yachts saisis  ; elle ne pourra pas rouvrir les espaces aériens désormais clos aux avions russes, etc.</p>
<p>La résolution présentée au Conseil de sécurité des Nations Unies (CSNU) le 26 février a confirmé l’isolement de la Russie, seul État à voter contre – et qui l’a donc, sans surprise, bloquée par son veto (l’occasion de rappeler que la Russie est, de loin, le membre permanent du CSNU qui a le plus utilisé son veto depuis 1990, et surtout dans la dernière décennie). L’abstention de la Chine était attendue, celles de l’Inde et des Émirats arabes unis étaient décevantes même si, au total, 11 États sur 15 ont voté en faveur de ce texte demandant à Moscou de cesser immédiatement son attaque et de retirer ses troupes. L’issue de cette résolution était certaine, mais il fallait en passer par là pour envisager d’autres options. Certains pensent désormais une résolution de l’Assemblée générale, qui devrait confirmer l’isolement de la Russie sur la scène internationale.</p>
<p>La société civile mondiale n’est pas en reste et peut, elle aussi, causer des dommages sérieux, et pas seulement en termes d’image. Au lendemain de l’offensive sur l’Ukraine, le collectif de hackers Anonymous a déclaré la «  cyberguerre  » à la Russie et a revendiqué des attaques qui ont mis hors ligne plusieurs sites gouvernementaux, dont celui du ministère russe de la Défense, ainsi que celui du média RT (ex-Russia Today). Dans plusieurs pays, dont le Royaume-Uni et la France, des parlementaires et des personnalités publiques ont demandé la suspension de RT. En Australie, l’opérateur de télévision Foxtel l’a fait le 26 février. YouTube a déjà «  commencé à suspendre la possibilité pour certaines chaînes [russes] de générer des revenus sur YouTube, y compris les chaînes de RT dans le monde  ».<em> </em>Et des mesures européennes pourraient être prises prochainement pour lutter contre la propagande russe. <a href="https://legrandcontinent.eu/fr/2022/02/25/le-monde-du-sport-face-linvasion-russe-de-lukraine/">Le monde du sport est lui aussi mobilisé</a>  : l’UEFA a condamné «  l’invasion militaire  » russe et déplacé la finale de la Ligue des champions qui devait se jouer à Saint-Pétersbourg, plusieurs sportifs très suivis ont renoncé à des compétitions en Russie et plusieurs équipes nationales ont annoncé qu’elles ne joueraient plus contre des équipes russes. Dans tous les domaines, les appels à boycotter les biens et les services russes se multiplient.</p>
<p>Dans ces conditions, l’affaiblissement économique de la Russie est inévitable, comme son isolement politique sur la scène internationale. La Russie deviendra véritablement un État paria, dont on ne voudra plus dans les relations commerciales, les formats diplomatiques (au deuxième jour de l’offensive le Conseil de l’Europe suspendait déjà les droits de représentation de la Russie), les espaces aériens, les espaces informationnels, les compétitions sportives et tous les événements qui font la vie internationale. C’est pourquoi j’écrivais que la guerre allait «  isoler et affaiblir la Russie qui deviendra paria  ».</p>
<p>Poutine peut se rassurer en se disant qu’il aura des relations avec la Chine, l’Iran, le Pakistan et quelques autres États qui sont indifférents au respect du droit international et des principes d’humanité, mais cela pourrait ne pas convaincre les entrepreneurs, les athlètes et d’une manière générale la population qui paiera le prix de cet isolement.</p>
<figure class="wp-block-pullquote"><blockquote><p>L’affaiblissement économique de la Russie est inévitable, comme son isolement politique sur la scène internationale. La Russie deviendra véritablement un État paria.</p><cite>Jean-Baptiste Jeangène Vilmer</cite></blockquote></figure>
<h2 id="5-la-fin-de-poutine"><strong>5 — La fin de Poutine  ?</strong></h2>
<p>Ce que cette guerre détruit est l’avenir de la Russie et ses habitants le savent. La guerre en Ukraine va produire en Russie un immense mécontentement, et donc un immense problème pour Poutine qui, comme tous les dictateurs, craint d’abord et avant tout son propre peuple. D’abord parce que la guerre va faire des milliers de morts russes, donc des dizaines de milliers de familles et d’amis endeuillés. Les autorités ukrainiennes jouent très habilement cette carte en mettant en place une <em>hotline</em>, une assistance téléphonique, et un site Internet pour les familles des soldats russes tués ou capturés, et en demandant au CICR de rapatrier les corps en Russie. Cette pratique a au moins deux intérêts  : d’une part, contourner la censure russe qui n’informe pas les familles du sort de leurs proches, pour que la population russe prenne bien conscience des pertes et du coût de cette guerre, mais aussi des mensonges de leur gouvernement qui tente de le leur cacher, ce qui devrait accroître son ressentiment et donc les chances qu’elle se mobilise. D’autre part, c’est aussi un gain en termes d’image puisque les Ukrainiens montrent ainsi que leur conduite est plus humanitaire que celle des Russes qui pourtant les attaquent. </p>
<p>La population russe ne comprend pas cette guerre et elle s’y oppose. Dès le début de l’offensive, des manifestations ont été organisées sur l’ensemble du territoire. Des tags «  Non à la guerre  » sont apparus un peu partout, et les quelques médias indépendants qui restent dans le pays affichent leur opposition au conflit et leur soutien au peuple ukrainien. Un collectif de 664 chercheurs et scientifiques russes ont dénoncé dans une lettre ouverte la responsabilité de la Russie et estime qu’elle «  s’est condamnée à l’isolement sur la scène internationale et à un destin de pays paria  ». Même le consensus politique commence à se fissurer  : au troisième jour de guerre, un député de la Douma qui avait voté en faveur de la reconnaissance des entités séparatistes s’oppose à l’invasion. D’une manière générale, la guerre va catalyser l’opposition russe.</p>
<p>Au contraire du soutien populaire qu’avaient pu susciter en 2014 et les années suivantes l’annexion de la Crimée et le soutien aux séparatistes prorusses du Donbass, la guerre totale que Poutine livre à l’ensemble de l’Ukraine, sans aucune raison, suscite de l’incompréhension et des protestations qui ne feront que croître à mesure que les forces russes massacreront des civils ukrainiens, dont la plupart des Russes se sentent plutôt proches, et que cette folie meurtrière aura des conséquences sur leur niveau de vie.</p>
<figure class="wp-block-pullquote"><blockquote><p>D’une manière générale, la guerre va devenir un catalyseur de l’opposition russe.</p><cite>Jean-Baptiste Jeangène Vilmer</cite></blockquote></figure>
<p>La population russe est trop réprimée pour que cela mène à d’importants soulèvements – 1700 manifestants ont été arrêtées dans 42 villes dans la seule journée du 24 février – et, conscient du danger, le régime va sans doute accroître encore la répression interne. Le 25 février, l’ancien président russe Dmitry Medvedev a d’ailleurs proposé de profiter de l’expulsion de la Russie du Conseil de l’Europe pour réintroduire la peine de mort – un signal envoyé à la population que, pour assurer sa survie, le régime est prêt à prendre des mesures toujours plus radicales. Cela ne fera qu’envenimer la situation et confirmer qu’avec cette guerre Poutine a sans doute perdu une partie du soutien populaire qu’il avait bâti au cours des deux dernières décennies.</p>
<p>Plus préoccupant pour lui est le mécontentement de l’élite économique russe, qui va perdre beaucoup d’argent à cause de l’aventurisme présidentiel, ce qui présente un vrai risque de fragmentation du régime qui jusque-là maintenait des équilibres subtils. Avec «  sa  » guerre, Poutine se fabrique des ennemis de l’intérieur, dont des oligarques très puissants qui vont payer le prix de ses rêves de grandeur. Le ressentiment et l’hostilité qu’il va générer au sein même de l’élite russe constitue un risque réel pour son maintien au pouvoir dans les prochains mois et les prochaines années. Cette guerre «  de trop  » est sa plus grande erreur de jugement et elle pourrait causer sa perte. C’est pourquoi j’écrivais qu’elle va «  menacer son propre pouvoir à Moscou  » et que ce sera «  le début de la fin  » – de sa fin.</p>
<figure class="wp-block-pullquote"><blockquote><p>Avec «  sa  » guerre, Poutine se fabrique des ennemis de l’intérieur, dont des oligarques très puissants qui vont payer le prix de ses rêves de grandeur.</p><cite>Jean-Baptiste Jeangène Vilmer</cite></blockquote></figure>
<h2 id="le-scenario-du-pire"><strong>Le scénario du pire</strong></h2>
<p>Tout ce qui précède n’est qu’un scénario parmi d’autres, et un scénario optimiste puisqu’il présume que la guerre restera limitée au territoire ukrainien, ce qui n’est pas du tout certain. Il y a malheureusement une autre possibilité. Voyant qu’il a surestimé ses forces en Ukraine et sous-estimé la réaction internationale, c’est-à-dire qu’il perd le contrôle de la situation, Poutine peut vouloir reprendre l’initiative en escaladan<strong>t</strong>. Il peut le faire d’au moins trois manières  :</p>
<ol><li>Vis-à-vis de l’OTAN, dans un contexte de tension extrême, en s’en prenant à un État membre qu’il accusera de fournir des armes et/ou du renseignement, de protéger le président Zelensky et/ou des membres de son gouvernement, d’une attaque montée de toute pièce – dans le cadre d’une opération sous faux drapeau –, ou encore à la faveur d’un incident frontalier – par exemple à la frontière polonaise par laquelle passent les armes –, ou d’un accrochage dans le ciel ou en mer Noire. S’il attaque un État membre, il le fera en signalant la menace nucléaire d’une façon suffisamment explicite pour tester la solidarité de l’article 5. </li><li>Il peut aussi escalader sur le territoire ukrainien, dans un premier temps en ayant recours à des bombardements massifs comme nous l’avons déjà mentionné, mais aussi en dernier recours par l’emploi d’une arme nucléaire tactique, en prétextant riposter à une attaque montée de toute pièce – Moscou commence déjà à répandre la rumeur selon laquelle les Ukrainiens pourraient faire exploser une «  bombe sale  » sur le territoire russe. Par l’emploi de l’arme nucléaire contre l’Ukraine, Moscou signalerait son intention d’aller «  jusqu’au bout  » en espérant susciter un effet de sidération et en présumant que l’OTAN n’osera pas escalader, tout en rendant le territoire ukrainien inutilisable et en le transformant, de fait et pour des milliers d’années, en une zone tampon avec l’Ouest.</li><li>Il pourrait aussi vouloir ouvrir un nouveau front, dans les Balkans ou ailleurs, non seulement pour maximiser ses chances de gains pour le même coût (s’il estime que les sanctions internationales ont déjà atteint leur paroxysme), mais aussi pour faire diversion, c’est-à-dire dissimuler ce qui sera un échec relatif ou absolu en Ukraine. Cette hypothèse se heurte toutefois à une réalité matérielle et psychologique  : au vu du coût humain et matériel de la guerre en Ukraine, il n’est pas du tout certain que la Russie ait les moyens d’autres ambitions, et surtout que les généraux – dont il se dit que certains n’étaient déjà pas favorables à l’aventure ukrainienne – suivent Poutine ailleurs, ce qui ne ferait qu’augmenter sa frustration.</li></ol>
<figure class="wp-block-pullquote"><blockquote><p>Le scénario du pire est improbable mais il n’est pas impossible, comme l’est le risque de guerre majeure en général.</p><cite>Jean-Baptiste Jeangène Vilmer</cite></blockquote></figure>
<p>Le scénario du pire est improbable mais il n’est pas impossible, comme l’est le risque de guerre majeure en général. Poutine étant visiblement enfermé dans un délire paranoïaque et hubristique, rien ne doit être exclu. C’est aussi en ce sens tragique que cela pourrait être «  le début de la fin  ».</p>
