title: Retraite : la fin du “bonheur différé”, par Denis Maillard
url: https://www.philomag.com/articles/retraite-la-fin-du-bonheur-differe-par-denis-maillard
hash_url: 614fe609b04719e7835fc0717b99c1c6

<div class="clearfix text-formatted field field--name-field-content field--type-text-long field--label-hidden field__item"><p><strong>Et si l’attachement à la retraite des Français ne tenait plus à l’attente d’un repos ultime</strong> au terme d’une vie laborieuse et pénible, mais à la possibilité de faire retraite dès maintenant pour se réinventer dans un travail « amélioré » ?</p>

<p>C’est l’hypothèse originale que propose <a href="https://www.philomag.com/philosophes/denis-maillard"><b>Denis Maillard</b></a> dans cette tribune pour <em>philomag.com</em>, en revenant sur les transformations contemporaines du travail sous le coup de la nouvelle économie de services et de la culture de la consommation. Faute de prendre en compte ces bouleversements, <a href="https://www.ouest-france.fr/economie/retraites/direct-reforme-des-retraites-elisabeth-borne-presente-le-projet-du-gouvernement-58028580-90ed-11ed-a791-5c454a730193">la réforme proposée par le gouvernement</a> ne peut manquer, selon lui, de susciter déception, opposition et rejet.</p>

<p><strong><em>« Vous savez que j’ai toujours envisagé la retraite comme le port où il faut se réfugier après les orages de cette vie. »</em></strong> Cette remarque, faite par <strong>Voltaire</strong> en 1755 dans sa correspondance, reflète la vision classique de l’alternance des temps sociaux : après l’enfance insouciante et le temps de l’éducation, vient celui des tumultes de la vie adulte et du labeur qui s’achève dans la sagesse de la vieillesse et le repos de la retraite. Politiquement et administrativement, nous vivons encore sous l’empire de ce triptyque qui reflète l’imaginaire culturel dans lequel nous baignons collectivement. C’est parce que la vie est difficile et le labeur éreintant pour les corps que l’État social a conçu, dans la première moitié du XX<sup>e</sup> siècle, un système de dédommagement fonctionnant comme un salaire différé sous forme d’assurance : j’accepte de me sacrifier à un travail pénible, mais je dispose en compensation de revenus suffisants pour me reposer à intervalles réguliers durant les vacances puis, définitivement, à la retraite.</p>

<p><strong>Ce système,</strong> que l’on peut qualifier de social-démocrate puisqu’il accepte d’aménager, au sein du système capitaliste, un espace de droits collectifs permettant de surseoir à la loi d’airain de l’exploitation, l’est aussi par la part belle qu’il fait à un imaginaire chrétien sécularisé : en effet, il semble accepter l’idée que le paradis n’est accessible à la créature que si celle-ci admet de souffrir ici-bas, notamment en gagnant son pain à la sueur de son front. Mais ce <em>« bonheur différé »</em>, selon l’expression de l’historien <a href="https://fr.wikipedia.org/wiki/Jean-Fran%C3%A7ois_Sirinelli"><strong>Jean-François Sirinelli</strong></a> pour qualifier le mode de vie des Trente Glorieuses, n’est plus renvoyé à un monde au-delà de la vie, mais plus prosaïquement à un monde au-delà du travail : la retraite. Ceci explique aussi le peu d’empressement que notre société a mis à soulager les dégâts du travail – accidents, pénibilité, risques psychosociaux – puisque toutes ces nuisances trouvent logiquement leur correction dans ce « monde d’après », qu’il s’agisse de la retraite ou d’une utopique abolition pure et simple du travail.</p>

<p><strong>Dans son ouvrage <a href="https://www.fayard.fr/sciences-humaines/la-cite-du-travail-9782213668666"><i>La Cité du travail</i></a> (Fayard, 2012),</strong> le grand syndicaliste et homme politique italien <a href="https://fr.wikipedia.org/wiki/Bruno_Trentin"><strong>Bruno Trentin</strong></a> a magistralement démontré pourquoi depuis le début du XX<sup>e</sup> siècle, la gauche politique et syndicale européenne s’est accommodée d’une certaine pénibilité au nom d’un paradis – socialiste, cette fois-ci, à venir après la Révolution – et a préféré négocier des « primes de nuisance » plutôt que de transformer le travail réel. On doit l’expression « primes de nuisance » au sociologue <a href="https://fr.wikipedia.org/wiki/Henri_Vacquin"><strong>Henri Vacquin</strong></a> qui, dès les années 1970, expliquait comment chaque nuisance, chaque pénibilité ou détérioration des conditions de travail a été rachetée par des primes monétaires particulières : prime de salissure, prime de douche, prime de réveillon, prime de travail etc. En ce domaine, l’imagination sociale a été largement au pouvoir… Le problème avec un tel système, c’est que non seulement ces primes se fondent, au fil du temps, dans le salaire et deviennent des « avantages acquis » qui poussent à demander de nouvelles primes, mais surtout, elles n’obligent en rien à réduire la pénibilité du travail. De fait, l’amélioration des conditions de travail, sans cesse remise à plus tard, est « achetée » par des primes payées aujourd’hui dans le but de faire patienter jusqu’à demain. Par conséquent, qualité de vie et bien-être au travail sont en permanence rejetés dans le <em>« bonheur différé »</em> de la retraite. </p>

<p><strong>Disons-le sans ambages,</strong> ce monde est terminé au point de devenir à peine compréhensible par nos contemporains qui n’envisagent plus de supporter le « métro, boulot, dodo » au nom d’une possible réinvention de soi une fois retraité. Accélérée par la crise du Covid, nous vivons collectivement la fin du bonheur différé que représente, dans l’actuelle réforme, ce recul de l’âge de départ en retraite à peine contrebalancé par la possibilité de partir plus tôt si l’on a exercé un métier reconnu comme pénible.</p>

<p><strong>Cette mutation culturelle, pour ne pas dire anthropologique,</strong> a des conséquences sur notre vision, désormais troublée, du travail et sur le rapport que nous entretenons avec lui. Selon la sociologue <a href="https://fr.wikipedia.org/wiki/Marie-Anne_Dujarier"><strong>Marie-Anne Dujarier</strong></a>, le mot « travail » possède trois sens qui sont autant d’usages que l’on mélange en permanence : le travail est d’abord <strong><i>activité</i></strong>, il indique l’effort ou la peine que l’on se donne pour faire quelque chose comme lorsqu’on dit « Je fais un travail » ; d’autre part, le travail est aussi utilisé pour décrire le <strong><i>produit</i></strong> ou « l’ouvrage », soit le fruit de cette activité (« Voilà mon travail ») ; enfin, le travail est <strong><i>emploi</i></strong>, c’est-à-dire qu’il procure un revenu, ce qui permet de dire « J’ai un travail ». Dans les faits comme dans nos têtes, ces trois significations ne sont pas seulement interchangeables, elles sont totalement désalignées. Par exemple, la rémunération n’est liée ni à l’utilité sociale ni à l’effort consenti, comme l’ont prouvé les travailleurs dits « essentiels » lors du confinement, semant la confusion sur la véritable hiérarchie des valeurs sociales : qui vaut quoi ? Par ailleurs, la gouvernance n’est pas indexée sur l’utilité sociale, et la qualité des produits du travail n’a rien à voir non plus avec la qualité du travail ou la qualité de vie au travail, comme le suggère la relativisation générale de la place du travail dans nos vies : si en 1990, 60% des Français répondaient que le travail était <em>« très important »</em> dans leur vie, ils ne sont plus que 24% aujourd’hui à faire cette réponse, soit un recul spectaculaire de 36 points en trente ans.</p>

<p><strong>On connaît les interprétations qui peuvent être données de cette situation</strong> et les appels au réarmement moral qui en découlent généralement : en 1940, on fustigeait les congés payés du Front populaire en expliquant que « l’esprit de jouissance l’a emporté sur l’esprit de sacrifice » ; depuis quelques années déjà, on raconte que Mai 68 a relativisé la fameuse « valeur travail » et désormais que le Covid aurait généré une épidémie de flemme… Rassurons-nous, le travail n’a pas disparu. C’est notre rapport à lui qui s’est modifié. Dans un sens très particulier puisque le travail est en train de devenir à son tour une consommation, répondant de moins en moins à une logique de sacrifice de soi, mais de plus en plus à un véritable souci de soi. De ce fait, il est illusoire de croire que le travail puisse être préservé des transformations de notre société de marché qui a fait du loisir et de la consommation les axes prioritaires de son développement, au point d’avoir divisé par deux, en un siècle et demi, le temps de veille consacré au labeur (en 1848, le temps de travail était ramené à 10h par jour et 66h par semaine ; en 2021, l’ensemble des actifs travaillait en moyenne 36,9 heures au cours d’une semaine habituelle). Ainsi, dans un monde dominé par la consommation, l’imaginaire qui accompagne celle-ci ne connaît plus la différence entre vie personnelle et vie professionnelle ; cet imaginaire colonise l’ensemble de la vie, sans épargner le travail donc, qui tend nécessairement à devenir à son tour une consommation comme une autre. C’est-à-dire une expérience <em>sensationnelle</em> sans laquelle les salariés commenceraient à s’ennuyer et à rêver d’ailleurs ou de rester chez eux – ce qui a une traduction dans le langage des entreprises : <em>l’engagement des salariés</em>, que l’on cherche alors à mesurer et à conforter désespérément. Or, la pratique que la majorité des Français a de son travail actuellement est encore très loin d’une telle expérience <i>sensationnelle</i>.</p>

<p><strong>La réalité du travail est à la fois éloignée de cette aspiration –</strong> que l’on pense à la multiplication des troubles musculo-squelettiques ou à l’augmentation des risques psychosociaux comme le <i>burn-out</i> – et reflète aussi une inégalité qui rend inaccessible à tous l’expérience d’une « consommation de travail » puisque certains en sont très largement éloignés. En effet, le développement de l’économie de services repose sur une infrastructure de travailleurs indispensables mais invisibles – que j’ai appelée le <i>back-office</i> de la société – qui s’activent continuellement pour nous procurer les objets matériels, culturels ou sanitaires assurant notre épanouissement. À un point tel que la consommation (à savoir la disponibilité immédiate de toute chose au service de l’émancipation et du bien-être de certains) impose que d’autres restent à disposition en permanence en se tenant dans l’invisibilité sociale du colis livré, du service rendu, du soin apporté... Nous avons collectivement touché du doigt cette réalité lors du premier confinement lorsque ce <i>back-office</i>, composé de logisticiens, manutentionnaires, caristes, manœuvres, transporteurs, caissières, personnel de nettoyage, aides-soignants, infirmières, aides à domicile, livreurs, vigiles etc., a permis au pays de tenir et de continuer à fonctionner grâce à la persistance d’un labeur contraint. Se dessinent alors les contours d’un véritable « paradoxe du <i>back-office</i> » formulé ainsi : plus une partie de la société se libère du travail pour mieux le consommer, plus elle peut choisir de vivre et de travailler quand, où et comme elle le désire ; alors plus ce mode de vie va faire peser sur les travailleurs du <i>back-office</i> une somme accrue de contraintes en termes de disponibilité, de transport, et d’efforts, donc les tenir éloignés d’une expérience de travail vécue comme consommation et félicité.</p>

<p><strong>De ce point de vue,</strong> la réforme des retraites proposée par le gouvernement est doublement aveugle à l’ensemble de ces transformations sociales : non seulement, elle ne présente aucune amélioration réelle de la situation des travailleurs du <i>back-office</i>, contrairement à ce qui avait été promis durant le premier confinement, mais surtout, elle ne tient pas compte de la nouvelle donne que constitue la fin du <i>bonheur différé </i>: elle propose au contraire de travailler plus longtemps sans changer grand-chose à la situation présente alors que l’ensemble des travailleurs aspire à nouer un rapport plus qualitatif avec son travail. Car le recul de l’âge de départ et l’augmentation de la durée de cotisation ne sont acceptables que si la « réinvention de soi », qui était jusqu’ici l’apanage des retraités (les plus privilégiés), devient le programme officiel proposé aux travailleurs en activité. C’est le sens de la tendance au retrait que l’on observe actuellement dans l’ensemble des secteurs d’activité : qu’on l’appelle crise de la main-d’œuvre, <a href="https://www.philomag.com/articles/quiet-quitting-la-fin-dune-ethique-du-zele"><i>quiet quitting</i></a>, grande démission, reconversion, bifurcation etc., l’aspiration demeure la même – faire de son travail une expérience fluide et épanouissante. Si bien qu’avant tout <i>droit à la retraite</i>, les travailleurs demandent aujourd’hui un <i>droit de retrait</i> de la comédie inhumaine du travail… Il ne s’agit ni d’un droit à la paresse, comme on a pu l’entendre, ni d’un désir d’abolir le travail pour lui substituer un revenu d’existence, mais plutôt d’une transformation du travail servant à la réinvention de soi. Allons plus loin encore – on ne fera sans doute jamais du travail une expérience <em>sensationnelle</em> de bout en bout, mais encore faut-il entendre ce qui s’exprime à travers ce désir : une réalisation de soi qui ne relativise pas seulement les frontières de l’ordre professionnel et du monde privé, mais abolisse aussi la distinction classique de l’alternance des temps sociaux. <strong>Au point que formation, repos et labeur s’entremêleraient et se confondraient afin que l’individu continue de se réaliser tout au long de sa vie.</strong></p>

<p><strong>On peut donc formuler l’hypothèse</strong> qu’à travers cette réinvention des temps sociaux, c’est en réalité à la recherche d’un nouveau commun que l’on assiste : tant que les périodes de la vie étaient identifiées et séparées, chacune (éducation, labeur, repos) apparaissait alors comme un temps commun, vécu de manière différente, certes, mais dans un même espace-temps – la retraite constituant alors une focale commune, comme l’étape ultime vers laquelle tout le monde tendait et qu’il fallait atteindre le plus rapidement possible pour en profiter pleinement, signe d’une vie réussie. Le blocage actuel des conditions de la méritocratie scolaire, le désalignement des sens du travail dont nous venons de parler et l’existence d’un <i>back-</i><em>office</em> supportant le mode de vie du reste de la société entraînent une plus forte rigidification sociale qui tend à séparer les individus et les catégories socio-professionnelles selon leur degré d’autonomie, dégradant d’autant le monde commun. L’interpénétration des temps sociaux et le soutien à une réinvention de l’individu qu’elle paraît promettre permettraient alors de tendre vers un nouveau commun beaucoup plus fluide, à l’instar de la manière dont l’individu contemporain envisage désormais son existence. Faute de prendre acte de ces transformations matérielles, culturelles et anthropologiques, la réforme des retraites telle qu’elle nous est proposée ne peut manquer de susciter au mieux la déception, au pire l’opposition et le rejet voire la révolte.</p>
