title: Vacances à vélo 2023
url: https://virgule.net/blog/vacances_a_velo_2023.html
hash_url: 7863cd9fd3df50880d0d8841307b05f2

<p>J'ai terminé mon périple de plus de 1000 kilomètres à vélo durant lequel j'ai spammé mes pauvres followers sur <a href="https://mastodon.social/@dioxmat">mastodon</a> en live-tootant plus ou moins les moments intéressants. Inspiré par <a href="https://n.survol.fr/n/retour-materiel-apres-le-voyage-a-velo-les-velos">ceux d'Eric</a>, voici un billet retour d'experience fourre-tout.</p>
<p>TL;DR: c'était super.</p>
<h2>Table des matières</h2>
<ol>
<li><a href="#preparation">Préparation</a></li>
<li><a href="#physique">Physique</a></li>
<li><a href="#vrac">Le voyage en vrac</a></li>
<li><a href="#detail">Le voyage en détail</a></li>
<li><a href="#meteo">Météo</a></li>
<li><a href="#velo">Vélo</a></li>
<li><a href="#vetements">Vêtements</a></li>
<li><a href="#bagages">Bagages</a></li>
<li><a href="#nourriture">Nourriture</a></li>
<li><a href="#hebergement">Hébergement</a></li>
<li><a href="#statistiques">Statistiques</a></li>
<li><a href="#conclusion">Pour la prochaine fois...</a></li>
</ol>
<h2><a name="preparation"></a> 1. Préparation</h2>
<p>Je suis parti d'un constat simple :</p>
<ul>
<li>Je n'étais pas parti en vacances depuis longtemps</li>
<li>J'avais besoin d'un gros break</li>
<li>J'ai pas de voiture ni permis, mais j'ai un vélo de route</li>
<li>Je suis en excellente forme physique (je cours ou je fais du vélo 5 à 6 jours par semaine depuis plusieurs années)</li>
</ul>
<p>Du coup, un peu à l'arrache un mois avant, j'ai commencé à préparer un voyage à vélo. Je voulais aller voir les gorges du Verdon, et je voulais partir 3 semaines, donc j'ai commencé à réfléchir autour de ça.</p>
<p>Le principal facteur limitant était l'accès en train avec vélo : les places en TGV ne sont déjà pas très nombreuses à la base, c'est évidemment pire en s'y prenant au dernier moment. Du coup, les points de départ et d'arrivée de mon voyage ont été dictés par ce que j'ai pu trouver sur le site de la SNCF en plus des coins par lesquels je voulais passer.</p>
<p>Autre complication, je savais que je ne voulais pas partir avec une tente et camper, préférant être hébergé sous un vrai toit avec un vrai lit et enchaîner les étapes, ce qui imposait une certaine rigidité : il fallait tout réserver à l'avance, et pas le droit à l'erreur, si une étape était prévue, il fallait la faire, quelque soit les conditions.</p>
<p>En m'inspirant des itinéraires des <a href="https://www.routedesgrandesalpes.com/itineraire/p-tites-routes-du-soleil">p'tites routes du soleil</a> et de divers traces trouvées sur internet j'ai planifié toutes les étapes et réservé tous les hébergements en un week-end. Toutes mes étapes étaient pré-enregistrées dans <a href="https://www.strava.com/">Strava</a>, synchronisées sur mon vieux Garmin Edge 520 à l'avant de mon vélo qui me servait de GPS.</p>
<p>J'ai utilisé <a href="https://framagenda.org/">Framagenda</a> pour noter toutes les étapes, les détails genre nombre de kilomètres, points d'eau/ravitaillement potentiels, hébergement. Plus tard j'ai aussi partagé avec famille et amis le planning avec le lien public du calendrier fourni.</p>
<h2><a name="physique"></a> 2. Physique</h2>
<p>Même si mon plan prévoyait quelques jours de repos sans programme fixe par-ci par-là, je partais avec un peu d'appréhension sur ma condition physique : niveau cardio j'étais au top, mais 2-3 semaines avant de partir, après avoir tout réservé, ma hanche m'a fait comprendre qu'il fallait que j'arrête un peu le sport (j'ai un problème récurrent de ce côté la à cause d'un conflit de hanche). En plus de ça, j'avais pas fait de vélo ou de grosse randonnée depuis longtemps.</p>
<p>À part les 2-3 premiers jours et peut-être quelques rappels certains soirs, ma hanche ne s'est pas trop manifestée et j'ai été surpris par à quel point j'étais en pleine forme tous les jours. Au fur et à mesure, la fatigue et les courbatures ne venant pas, j'ai fini par être de plus en plus ambitieux, effaçant complètement les jours de repos pour faire des randonnées à pied, mettant plus de patate dans les montées à vélo, rallongeant les étapes, rajoutant des boucles, etc.</p>
<h2><a name="vrac"></a> 3. Le voyage en vrac</h2>
<p>L'avantage de voyager à vélo comme ça, c'est que j'ai pu découvrir des nouveaux paysages presque tous les jours. Je n'imaginais pas à quel point j'en prendrais plein les mirettes en permanence ! J'ai pris une tonne de photos, mais j'ai été un peu frustré de ne pas avoir eu de caméra sur mon vélo pour mieux capturer la beauté des endroits par lesquels je suis passé - d'autant que je ne pouvais pas toujours m'arrêter prendre une photo.</p>
<p>J'ai fait un mix de petites routes, grosses départementales, sentiers plus ou moins adaptés au vélo. Au final j'ai eu de la chance, j'ai rencontré assez peu de traffic sur la route. Le pire a été dans Marseille et en en sortant, où les infrastructures vélo sont soit inexistantes soit mal entretenues et incohérentes, mais à part ça, ça c'est plutôt bien passé avec les automobilistes. Sur certaines petites routes (ou sentiers...) j'étais complètement tout seul avec juste le bruit des insectes/oiseaux.</p>
<p>Je n'avais quasiment aucune expérience des cols et j'appréhendais un peu, notamment pour le partage de la route avec les automobilistes dans les routes en lacets, mais ça s'est bien passé. Les gens me laissaient suffisamment de place, certains me laissant les dépasser dans les descentes ou attendant sagement derrière moi dans les moments un peu techniques ou j'étais crispé sur mes freins en essayant de ne pas finir dans le ravin à chaque tournant. J'avais beau connaître les techniques à employer pour effectuer les descentes à vélo, en pratique, dans les pentes à -16% sur route pas large sans rembarde ni visibilité, c'est un peu stressant... mais c'est passé, et j'ai fini par devenir plus confiant de jour en jour.</p>
<p>J'avais prévu plusieurs étapes "gravel" passant par des sentiers, des routes sans revêtements, DFCI etc. J'ai du rebrousser chemin vers la fin de la première pour prendre la route normale à la place, et j'ai refait les itinéraires des étapes restantes après cette journée galère (pas exactement idéal comme manip sur téléphone, mais ça se fait) pour qu'il n'y ait plus que de la route, et réservé les jours "gravel" à des boucles plus petites autour d'un endroit donné où je pouvais prendre mon temps et gaspiller de l'énergie sans trop de conséquences.</p>
<p>Un petit mot sur l'aspect sportif du truc : l'objectif n'était pas de faire la course, je n'étais pas à la recherche de performance. Pour autant, j'aime les sports d'endurance et je roulais donc à un rythme "tranquille-mais-pas-trop-non-plus". L'essentiel du voyage est faisable pour n'importe qui à mon avis, mais certaines montées demandaient quand même un minimum de préparation.</p>
<h2><a name="detail"></a> 4. Le voyage en détail</h2>

<p><a href="https://virgule.net/blog/pics/jour-0/1wP_8NKYRLfWJA0pY4cvr5lLwMWAXrq9XNRgrqJtS5w-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-0/thumbs/1wP_8NKYRLfWJA0pY4cvr5lLwMWAXrq9XNRgrqJtS5w-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-0/J4ewkhMvQbCzG4PtQ8egO_m0wAqSKJ7_EHd2WI_dVpE-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-0/thumbs/J4ewkhMvQbCzG4PtQ8egO_m0wAqSKJ7_EHd2WI_dVpE-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-0/jwh5BCST063bbmTQ95zC9mhaToOLp_SQSnrl6xuYgVc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-0/thumbs/jwh5BCST063bbmTQ95zC9mhaToOLp_SQSnrl6xuYgVc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-0/_Nzm1eqpWODJnee8EBEM5_TatCr-TC7Edy9PHiHcQEo-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-0/thumbs/_Nzm1eqpWODJnee8EBEM5_TatCr-TC7Edy9PHiHcQEo-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-0/qzMM5_kYMS2fpbaLu9sOYXaDdjBt981fdVCYPwYUjUU-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-0/thumbs/qzMM5_kYMS2fpbaLu9sOYXaDdjBt981fdVCYPwYUjUU-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-0/WNJcon-qZBqQ8v-gieawp6wkYKskAIuQKDdnPOv0vTk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-0/thumbs/WNJcon-qZBqQ8v-gieawp6wkYKskAIuQKDdnPOv0vTk-2048x1152.jpg"></a></p>
<p>Randonnée décidée après avoir discuté autour de quelques bières avec <a href="https://mastodon.social/@fabi1cazenave">@fabi1cazenave</a> la veille, complètement improvisée sur le moment, je n'étais pas sûr de ou m'arrêter: en partant je me disais que je m'arrêterais dès que mon corps me le dirait, quitte à ne faire que La Bastille, et au final... La majeure partie du parcours se déroule dans de la forêt et on ne voit pas grand chose, mais de sacrés vues sur Grenoble quand le chemin s'ouvre... Les descentes m'ont bien détruit les quadriceps qui n'étaient pas habitués à ce dénivelé.</p>
<h3>😴 Repos Grenoble</h3>
<p>Petite ballade et grosse sieste à Grenoble après la rando de la veille. Quelques courbatures, qui seront en fait les seules du voyage.</p>

<p><a href="https://virgule.net/blog/pics/jour-1/m2iyUb7PR4lAQEOX-8hb4pAdbbPRR8ZPjmA6jNLwGn8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-1/thumbs/m2iyUb7PR4lAQEOX-8hb4pAdbbPRR8ZPjmA6jNLwGn8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-1/UeTUyF4o5iC49-P1-tGoMmFALdnloErKzuxx6RPbImc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-1/thumbs/UeTUyF4o5iC49-P1-tGoMmFALdnloErKzuxx6RPbImc-2048x1152.jpg"></a></p>
<p>On commence le vélo par une longue montée de 14 kilomètres à 6% de moyenne pour sortir de Grenoble. Traversée du Vercors magnifique, avec notamment un passage dans les  les gorges de la Bourne. Descente finale vers Die par le Col du Rousset jouissive : la descente est longue sur une route propre et lisse, avec une très bonne visibilité dans les lacets, donnant à la fois la possibilité d'admirer le paysage mais aussi d'anticiper les éventuelles voitures arrivant dans l'autre sens (voitures qui étaient au final inexistantes : des travaux dans le tunnel en haut du col faisant que les passages des voitures étaient strictement encadrés).</p>

<p><a href="https://virgule.net/blog/pics/jour-2/D5BSX1i1zjncSUO34IU3xpaB7B3uYIWYn96NCeVM-t0-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-2/thumbs/D5BSX1i1zjncSUO34IU3xpaB7B3uYIWYn96NCeVM-t0-2048x1152.jpg"></a>
<a href="https://virgule.net/blog/pics/jour-2/Irz0tPZzL7Bal2DqhdSlfNo0d3ldGIK8A5LhtCWxcn8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-2/thumbs/Irz0tPZzL7Bal2DqhdSlfNo0d3ldGIK8A5LhtCWxcn8-2048x1152.jpg"></a>
<a href="https://virgule.net/blog/pics/jour-2/keqsFtErP6eQo6SEvl9LCMKeX861R9ZQNiKYWkgb2pw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-2/thumbs/keqsFtErP6eQo6SEvl9LCMKeX861R9ZQNiKYWkgb2pw-2048x1152.jpg"></a>
<a href="https://virgule.net/blog/pics/jour-2/mG6czUyOl43jT0ccVKYlCDEwmrGayVT2ZIxs9t-Nnhw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-2/thumbs/mG6czUyOl43jT0ccVKYlCDEwmrGayVT2ZIxs9t-Nnhw-2048x1152.jpg"></a>
<a href="https://virgule.net/blog/pics/jour-2/o4sAlaYeaG7q7lyJwWBuHr_ei0GsPscnl-OYSS3fy6Y-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-2/thumbs/o4sAlaYeaG7q7lyJwWBuHr_ei0GsPscnl-OYSS3fy6Y-2048x1152.jpg"></a>
<a href="https://virgule.net/blog/pics/jour-2/qIQAp1ia4WhOU_5NbwtMuiCdd0xgrTlzqKuplvswfYE-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-2/thumbs/qIQAp1ia4WhOU_5NbwtMuiCdd0xgrTlzqKuplvswfYE-2048x1152.jpg"></a>
<a href="https://virgule.net/blog/pics/jour-2/rSDknjpfs2SwsWS2duBnTJ4YXJwjGIZwXEMI7q4Qq8s-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-2/thumbs/rSDknjpfs2SwsWS2duBnTJ4YXJwjGIZwXEMI7q4Qq8s-2048x1152.jpg"></a>
<a href="https://virgule.net/blog/pics/jour-2/c09de575a1bed804.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-2/thumbs/c09de575a1bed804.jpg"></a></p>
<p>Beaucoup de dénivelé mais plus graduel. Paysages différents mais toujours assez impressionants, et presque personne sur la route tout le long. Arrivé à l'Épine, dîner à l'Auberge des Baronnies absolument succulent.</p>

<p><a href="https://virgule.net/blog/pics/jour-3/DpJ7fQKPKltEQEPCoEbHajqGFnYEWSRvPUZkzl2np1s-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-3/thumbs//DpJ7fQKPKltEQEPCoEbHajqGFnYEWSRvPUZkzl2np1s-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-3/NFG0NTOPbizXzIyfTuz9FH0SLKJdqarBJCAO4s16pZY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-3/thumbs//NFG0NTOPbizXzIyfTuz9FH0SLKJdqarBJCAO4s16pZY-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-3/RAFiDwbAIrPMMHkwoXQPapogjeVKuVXjnlV_thwOO7w-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-3/thumbs//RAFiDwbAIrPMMHkwoXQPapogjeVKuVXjnlV_thwOO7w-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-3/yldVCy2-3frP_oynwAScLa-K6XICUoBnd2D23_c6Buk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-3/thumbs//yldVCy2-3frP_oynwAScLa-K6XICUoBnd2D23_c6Buk-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-3/Uewbs2DfhXdxNGCtoD-GGjCoPikUx3iJg_n2wxfU25Y-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-3/thumbs//Uewbs2DfhXdxNGCtoD-GGjCoPikUx3iJg_n2wxfU25Y-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-3/rXF9aFgFSd1NhNbejduWqWHTJnkNREYEYMmfouaOoPg-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-3/thumbs//rXF9aFgFSd1NhNbejduWqWHTJnkNREYEYMmfouaOoPg-2048x1152.jpg"></a></p>
<p>Le col de Serre La Robe était fermé aux cyclistes pour cause de chaussée dégradée, me forçant à prendre des routes moins agréables que ça soit au niveau du paysage comme du traffic routier. A part Sisteron qui vaut le détour même bondé de touristes, pas une étape très intéressante du coup. </p>
<h3>😴 Repos Digne-les-Bains</h3>
<p>Premier (et dernier! j'ai fait de la randonnée ou du vélo tous les jours qui ont suivi) vrai jour de repos avec une petite ballade et baignade à Digne-les-Bains.</p>

<p><a href="https://virgule.net/blog/pics/jour-5/cfQu-DBnwLtarXJWhXZOB12p9zl6AiBiRgcz5NbG82o-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//cfQu-DBnwLtarXJWhXZOB12p9zl6AiBiRgcz5NbG82o-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/Tp4_p-dwRb9EjNQxQ95cuj5rDM3Q0ZLZe-TuMF7SoEs-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//Tp4_p-dwRb9EjNQxQ95cuj5rDM3Q0ZLZe-TuMF7SoEs-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/jkozB6l9sou8BljEkoVhyshL3rD93c8IGAPgHVZ-z1U-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//jkozB6l9sou8BljEkoVhyshL3rD93c8IGAPgHVZ-z1U-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/aoRze3O4Bxe5WyvoBJfTrOarhDOeJ2qb2ca6qixF3uA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//aoRze3O4Bxe5WyvoBJfTrOarhDOeJ2qb2ca6qixF3uA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/GMkGMW0ZAb_hQICRxjOyhlb3Vp4NkmA4Fy2pK5YNcaM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//GMkGMW0ZAb_hQICRxjOyhlb3Vp4NkmA4Fy2pK5YNcaM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/vchM1zc5Lrl1MrkAJTkfgIAN_od2pT0C7NB6UO60gUc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//vchM1zc5Lrl1MrkAJTkfgIAN_od2pT0C7NB6UO60gUc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/cC3YBKW4o4i7EJKszib0GhJIkrPcgdwf5AcMFu77S4M-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//cC3YBKW4o4i7EJKszib0GhJIkrPcgdwf5AcMFu77S4M-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/gPMm8lG2o8ihdgst0MJMO2G8UFn_DypL28lbfCLbvRU-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//gPMm8lG2o8ihdgst0MJMO2G8UFn_DypL28lbfCLbvRU-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/A-RRaG7FuRztznN2yCgtLZ5-N0bfbFa-1_ZBMDgtq7c-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//A-RRaG7FuRztznN2yCgtLZ5-N0bfbFa-1_ZBMDgtq7c-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/bfeERUJPgtBjnbsDSX4uINazhsqUOPWb68oW4SgDiJE-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//bfeERUJPgtBjnbsDSX4uINazhsqUOPWb68oW4SgDiJE-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/CpJyLwpjUQKjXnAPxpf9YS2VU9cDzBi_HTXFZAENDs4-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//CpJyLwpjUQKjXnAPxpf9YS2VU9cDzBi_HTXFZAENDs4-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/OOOmN3sBS_NVvpw5-tTNJWUX3Hwbp1GKMecKnC19QlI-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//OOOmN3sBS_NVvpw5-tTNJWUX3Hwbp1GKMecKnC19QlI-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/u8l-sh2FrSheOgsSfDSoe-cfSz-HLuNcnR37tBUsJuQ-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//u8l-sh2FrSheOgsSfDSoe-cfSz-HLuNcnR37tBUsJuQ-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/QQHcsGAIKL4MG_PxoCHRUu0iaFwaQH-Kz91kKXJTmLE-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//QQHcsGAIKL4MG_PxoCHRUu0iaFwaQH-Kz91kKXJTmLE-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/SwAJ_U_on4yrIZdX9nh1gqBTzUWYzni7jZN3AoQK84c-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//SwAJ_U_on4yrIZdX9nh1gqBTzUWYzni7jZN3AoQK84c-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/k8k1BJc6YyK0orRH7rsLcRvqw8UtSeaKRNuLg8Ci3V0-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//k8k1BJc6YyK0orRH7rsLcRvqw8UtSeaKRNuLg8Ci3V0-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/EnhK-tM_-eCP8fyfKS0R0KR-vhfOOR7xg85vtx3o9CQ-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//EnhK-tM_-eCP8fyfKS0R0KR-vhfOOR7xg85vtx3o9CQ-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/7E211NqDbm3zIXUyhRHWjr2Y7xPblSAGnL7tThQ7u6U-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//7E211NqDbm3zIXUyhRHWjr2Y7xPblSAGnL7tThQ7u6U-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/Y6apXyRZRIr_DqzjDdMIZRkD2sIDSEC1G7AsUZgG9ek-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//Y6apXyRZRIr_DqzjDdMIZRkD2sIDSEC1G7AsUZgG9ek-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/8BFh7vvInq554g3LeZFnXnLhgL5Rr4Vc44SztQ7Okyk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//8BFh7vvInq554g3LeZFnXnLhgL5Rr4Vc44SztQ7Okyk-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/-qQhz9orM_brziB5DPFqoOtirI-azBE7Vf_4tyArPjc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//-qQhz9orM_brziB5DPFqoOtirI-azBE7Vf_4tyArPjc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/p-8Wj8W-ZREbCELGhfQylsNXEhBkJEm5NS4rU5N2T6Y-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//p-8Wj8W-ZREbCELGhfQylsNXEhBkJEm5NS4rU5N2T6Y-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/salQ77c2VzeB6b5T2sgagEYXEDYJ0SEj0TqVtzCcax8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//salQ77c2VzeB6b5T2sgagEYXEDYJ0SEj0TqVtzCcax8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/zM-B5DZ5hU7c2tKTFmeA3M7Dhg52dF9jgtqFoh9AJAU-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//zM-B5DZ5hU7c2tKTFmeA3M7Dhg52dF9jgtqFoh9AJAU-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/llDN92vO3RmxIsrj2sw8K9rBR4nz-OFDcF0a0xZPcLY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//llDN92vO3RmxIsrj2sw8K9rBR4nz-OFDcF0a0xZPcLY-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/5R2lxaNlS1s9cHmHTKfJFBfFKLw6s8YdGaAYiJO7ul4-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//5R2lxaNlS1s9cHmHTKfJFBfFKLw6s8YdGaAYiJO7ul4-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/d5k_i_VixOX7Vpo8pKjox0G416kDB8NLZql3I-xGquk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//d5k_i_VixOX7Vpo8pKjox0G416kDB8NLZql3I-xGquk-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/aP_OVyaQTEtolh1crpCHToWR61QmV6Whg5kyBOwcQrw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//aP_OVyaQTEtolh1crpCHToWR61QmV6Whg5kyBOwcQrw-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-5/iqZbFglSkKzYEPeSOb8DQFi9vC8sLlX_O2jNXz1g2Ss-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-5/thumbs//iqZbFglSkKzYEPeSOb8DQFi9vC8sLlX_O2jNXz1g2Ss-2048x1152.jpg"></a></p>
<p>L'étape galère. J'avais exprès choisi de passer par des routes non goudronnées et des sentiers le plus possible, et comme mentionné plus haut, ça a été compliqué. L'itinéraire choisi avait des vues spectaculaires, mais je n'avais pas suffisamment de traction dans les montées sur cailloux, du coup j'étais obligé de mettre 2 fois plus de puissance que la normale dans les pédales, et les descentes sur le même genre de surface étaient flippantes, obligeant à être constamment sur les freins en dérapant à la moitié des tournants. A 20km de la fin, j'ai rebroussé chemin dans une montée sur gravier relativement étroite et pentue, en me disant que la descente correspondante serait trop dangereuse, et fini par prendre la route. Je suis arrivé tard à Castellane, mes réserves d'eau épuisées.</p>
<p>J'en garde un très bon souvenir tout de même: vu les chemins par lesquels je suis passé, il n'y avait personne 99% du trajet, j'ai pu bien profiter des paysages comme si j'étais seul au monde. D'ailleurs c'est pour ça qu'il y a plein de photos, même si la majorité c'était pour documenter en live sur mastodon :)</p>

<p><a href="https://virgule.net/blog/pics/jour-6/nCyMRcePyx1Dg5ndLFrjnNt7REE4P0_n_vAQAg6s20Q-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6/thumbs//nCyMRcePyx1Dg5ndLFrjnNt7REE4P0_n_vAQAg6s20Q-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6/KRFfhsueGQhZ5rpc24DKDusHV6kfX6SizHJvV-lfcLw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6/thumbs//KRFfhsueGQhZ5rpc24DKDusHV6kfX6SizHJvV-lfcLw-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6/GzpFmKPvJKKPX9-cIOyeRhnm1BZPKsijwlPJItRiGcE-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6/thumbs//GzpFmKPvJKKPX9-cIOyeRhnm1BZPKsijwlPJItRiGcE-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6/RZggTBWoWwa7eq5-pZ5DbPU9Cld3OLPBX-vHqEvT7s8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6/thumbs//RZggTBWoWwa7eq5-pZ5DbPU9Cld3OLPBX-vHqEvT7s8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6/Q9jmhfbfZJb4rZ91vS4vJsSCwkcqhxLTD8RkzaRiuMw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6/thumbs//Q9jmhfbfZJb4rZ91vS4vJsSCwkcqhxLTD8RkzaRiuMw-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6/l_p1NTg73u2-bInsS_KJ0laZ1bQZCSCpDGbLvZlKePQ-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6/thumbs//l_p1NTg73u2-bInsS_KJ0laZ1bQZCSCpDGbLvZlKePQ-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6/yiNgQdVrzPkZJqGMEvAFpWFmBNDLsC-r9ah2ZsDM8cI-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6/thumbs//yiNgQdVrzPkZJqGMEvAFpWFmBNDLsC-r9ah2ZsDM8cI-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6/ITRRedcp2hnxK8BkYPt0slaNjrI6UmtZMMHLbXIe0IM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6/thumbs//ITRRedcp2hnxK8BkYPt0slaNjrI6UmtZMMHLbXIe0IM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6/XxnPXS-9eAyjdV_PvG8GQaH241_AUM7jieOF14HGAjQ-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6/thumbs//XxnPXS-9eAyjdV_PvG8GQaH241_AUM7jieOF14HGAjQ-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6/Fz4YFpg1nkgH5G-Q4bVFVCkQI5sgrLHXAtCcH8F4VnM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6/thumbs//Fz4YFpg1nkgH5G-Q4bVFVCkQI5sgrLHXAtCcH8F4VnM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6/oBPU1XgZoIJ_YPzb7iGYCltKnODUKTNTqwqjrnHGZxk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6/thumbs//oBPU1XgZoIJ_YPzb7iGYCltKnODUKTNTqwqjrnHGZxk-2048x1152.jpg"></a></p>
<p>Normalement un jour de repos, j'ai improvisé cette petite boucle pour observer les lacs autour de Castellane vu de haut, et je suis très content de l'avoir fait, les panoramas sont absolument splendides.</p>

<p><a href="https://virgule.net/blog/pics/jour-6-bis/SdT9Sswc8MTYqtvEUrW_V48lMxVDm_f-YaQytnsZyB0-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-bis/thumbs//SdT9Sswc8MTYqtvEUrW_V48lMxVDm_f-YaQytnsZyB0-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-bis/GzYiE4acw8xzlSvL5cRPVguzeD_-ya31OK_HttJ78zg-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-bis/thumbs//GzYiE4acw8xzlSvL5cRPVguzeD_-ya31OK_HttJ78zg-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-bis/0awIDjPe-kxIyrPD-l-LF2GVAFi6GmtczYgnnZrdSpg-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-bis/thumbs//0awIDjPe-kxIyrPD-l-LF2GVAFi6GmtczYgnnZrdSpg-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-bis/ecR2j0P0jDLADfqrX8BFwnxwBK36jT1Q2fkvTCZdmho-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-bis/thumbs//ecR2j0P0jDLADfqrX8BFwnxwBK36jT1Q2fkvTCZdmho-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-bis/yeCaTg0cO7Be3Yi4meek8_IAaXi3WVxabLfcOFlwpxA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-bis/thumbs//yeCaTg0cO7Be3Yi4meek8_IAaXi3WVxabLfcOFlwpxA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-bis/pet16wmOQqf-3PR_kvUAAZ4hpKteFEbmsQbJPv0Kj6A-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-bis/thumbs//pet16wmOQqf-3PR_kvUAAZ4hpKteFEbmsQbJPv0Kj6A-2048x1152.jpg"></a></p>
<p>Mini-rando de 2 heures avec grosso modo la même montée à pied que le début de la boucle faite à vélo quelques heures plus tôt pour aller se baigner dans le lac.</p>

<p><a href="https://virgule.net/blog/pics/jour-6-ter/3Bw1JDILBMEfPl5FpHXWc-FdDPLP55cRO8X8AwIUJn8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//3Bw1JDILBMEfPl5FpHXWc-FdDPLP55cRO8X8AwIUJn8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/axrWj7MZQEWoFK9A4yi-aQjsqIytW1aLeDS6Qf1icdI-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//axrWj7MZQEWoFK9A4yi-aQjsqIytW1aLeDS6Qf1icdI-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/pp_EQM8_5bmUukczZQbTfRX0KYXiOo_szbIcyxMV-os-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//pp_EQM8_5bmUukczZQbTfRX0KYXiOo_szbIcyxMV-os-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/0y2f0P-bMfJi6ZwWOHtr1Mw-34wtltiMkVKS4DTmmH0-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//0y2f0P-bMfJi6ZwWOHtr1Mw-34wtltiMkVKS4DTmmH0-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/FfF2P8GELsYaIl9BusbD_wAWXl61EOducUQImhKIRbg-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//FfF2P8GELsYaIl9BusbD_wAWXl61EOducUQImhKIRbg-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/ddFqY3_KVscdMz0GFSpoyDPJfb1buIlSnyIk8jErExU-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//ddFqY3_KVscdMz0GFSpoyDPJfb1buIlSnyIk8jErExU-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/ZGVMg4ONKHamS4aPlvUANI2uATunxkU7ZX_ODhgpdgo-2048x1116.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//ZGVMg4ONKHamS4aPlvUANI2uATunxkU7ZX_ODhgpdgo-2048x1116.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/ANcbbF3MoBchOZzAHsi7fReRBEU37IZZO2an9t32VKw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//ANcbbF3MoBchOZzAHsi7fReRBEU37IZZO2an9t32VKw-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/gxf7k-1Er598LUyOdBj-ife3jMmjkZZsv4DT3J5Q4kQ-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//gxf7k-1Er598LUyOdBj-ife3jMmjkZZsv4DT3J5Q4kQ-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/kkNuPsTa6hSgagYMSo0RLuTIajpxDU2qNeExMCpt4B0-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//kkNuPsTa6hSgagYMSo0RLuTIajpxDU2qNeExMCpt4B0-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/fsCX0OIeI681RxJrlzk99KIcx5UR73pz5Y231D6ItSc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//fsCX0OIeI681RxJrlzk99KIcx5UR73pz5Y231D6ItSc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/CDRe9lV3-x8CGvKjHWIUf9WINr1lFHM2idsfcqf2eIM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//CDRe9lV3-x8CGvKjHWIUf9WINr1lFHM2idsfcqf2eIM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/_eUbmksMbNpuTqHxbDpNjE6hUEuc_BaxaDB46hbSOoU-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//_eUbmksMbNpuTqHxbDpNjE6hUEuc_BaxaDB46hbSOoU-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/mN-U7bVkR6R5yVAH23l_GYDygm5NEDO69UmEaHX5BKM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//mN-U7bVkR6R5yVAH23l_GYDygm5NEDO69UmEaHX5BKM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/lIsZz0sXRaldkYXvWtwQ0FOEU11uVqYMaPhHfQ7MK3s-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//lIsZz0sXRaldkYXvWtwQ0FOEU11uVqYMaPhHfQ7MK3s-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/oBvBt8gTtIwWvs8Oruslcw5BkGoDtsTBF8E9LfssZAg-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//oBvBt8gTtIwWvs8Oruslcw5BkGoDtsTBF8E9LfssZAg-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-6-ter/3y3yOlwXZxSFfBmNGWkh3YlhUYEelmYkxZ0fyYEu6pc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-6-ter/thumbs//3y3yOlwXZxSFfBmNGWkh3YlhUYEelmYkxZ0fyYEu6pc-2048x1152.jpg"></a></p>
<p>Deuxième mini-rando de la journée, beaucoup plus courte mais avec quand même pas mal de denivelé pour la distance, pour observer le magnifique coucher de soleil sur Castellane. Rencontré pas mal de gens sur le retour, qui ont tous manqué le coucher parce-qu'ils se sont basés sur l'horaire météo standard, oubliant qu'on était entouré de montagnes cachant le soleil beaucoup plus tôt...</p>

<p><a href="https://virgule.net/blog/pics/jour-7/7LDlz05Srg01W5o4Tsp0sBiHkSgiGLnAd3TY2HEZAaA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//7LDlz05Srg01W5o4Tsp0sBiHkSgiGLnAd3TY2HEZAaA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/5WptSrdngCfKPupj2GtA8FPrAhgAYk7VsyJYBfOD-jI-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//5WptSrdngCfKPupj2GtA8FPrAhgAYk7VsyJYBfOD-jI-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/uKhBFdEKDahqMPq0GsbjuZblT_Mpbmog9BG8ss_EtEA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//uKhBFdEKDahqMPq0GsbjuZblT_Mpbmog9BG8ss_EtEA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/S-mqYVZUrcQR71iIiolovSBfY8vSU2QrRdmBdD0OWWc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//S-mqYVZUrcQR71iIiolovSBfY8vSU2QrRdmBdD0OWWc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/CAYda7wubKZpBXatsedn-u6MXu7cFqvVbOjyAaAL8HM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//CAYda7wubKZpBXatsedn-u6MXu7cFqvVbOjyAaAL8HM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/xugo1v2zeK8UxjFqksY8n4g8vVe4qz5MfhsJo6d1mwU-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//xugo1v2zeK8UxjFqksY8n4g8vVe4qz5MfhsJo6d1mwU-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/bLgnqsPoZGI7yF8t9CvGH3cFKTtHCGmLWrOO6M-n9s8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//bLgnqsPoZGI7yF8t9CvGH3cFKTtHCGmLWrOO6M-n9s8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/7wVbZW4dKyNvU8eaLYVRDfirdejSESijRxn5OqlPxMk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//7wVbZW4dKyNvU8eaLYVRDfirdejSESijRxn5OqlPxMk-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/ZMmqrGWHaGgfFDriCWocyptDbhdSeWLHDamuM8HGJPU-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//ZMmqrGWHaGgfFDriCWocyptDbhdSeWLHDamuM8HGJPU-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/gwio3YNayEGls4OAuLsvOGLD_9ztiOu8kL14NxmeI4o-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//gwio3YNayEGls4OAuLsvOGLD_9ztiOu8kL14NxmeI4o-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/RhZ_IRuqCfcQlw4mThzyHWD8Su7KZQR3DxqKaUkSH70-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//RhZ_IRuqCfcQlw4mThzyHWD8Su7KZQR3DxqKaUkSH70-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/hNSujE47V6YNvaE5vosI2jRXX5TfCBZyOVJ9lEaCM0k-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//hNSujE47V6YNvaE5vosI2jRXX5TfCBZyOVJ9lEaCM0k-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/NHYYANM5k7ZtOvgetTL2-Q33o4iM3ncxLsfkeKq8wVw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//NHYYANM5k7ZtOvgetTL2-Q33o4iM3ncxLsfkeKq8wVw-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/cDhe8BWBika4lk22kxQZ74-EkIXFjwzIpHGykbkKIjM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//cDhe8BWBika4lk22kxQZ74-EkIXFjwzIpHGykbkKIjM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/Mzk940Kc3KZXRLHHaKT6BQIlprJY2KunOwywNeVdyNQ-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//Mzk940Kc3KZXRLHHaKT6BQIlprJY2KunOwywNeVdyNQ-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/fGECCID4pkAZnJ_zx7UydIC4S48_BMrC5q20lT_TD_Y-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//fGECCID4pkAZnJ_zx7UydIC4S48_BMrC5q20lT_TD_Y-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/htuOWKlcWU_IejDL6Tkl2kWAK6CK2cLc22Du61_nk6Y-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//htuOWKlcWU_IejDL6Tkl2kWAK6CK2cLc22Du61_nk6Y-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/mgSe0onoDjJ-fJRtoQS5VEBE2HgNqNk46stbHiCZMZA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//mgSe0onoDjJ-fJRtoQS5VEBE2HgNqNk46stbHiCZMZA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/ooGY0--0hUBFMH8oTdlf_0uROKE7wJnv6pzYByknYC8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//ooGY0--0hUBFMH8oTdlf_0uROKE7wJnv6pzYByknYC8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/1t-P16jRQf4BbpTpu7GSicI0Yg4GKMr1KtWLATQFCmg-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//1t-P16jRQf4BbpTpu7GSicI0Yg4GKMr1KtWLATQFCmg-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-7/xzs86oztnTxGu9kHNjjxqFNrjpU7mWDPqIxyOKJ8eVc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-7/thumbs//xzs86oztnTxGu9kHNjjxqFNrjpU7mWDPqIxyOKJ8eVc-2048x1152.jpg"></a></p>
<p>A l'origine un itinéraire gravel, modifié pour être uniquement sur la route. Une première montée sortant de Castellane très boisée, sur une petite route étroite avec très peu de traffic. Très impressionné par le couple sur leurs vélos croisé à la fin de la montée : leurs 2 enfants les attendaient sur leurs vélos sans bagages au sommet tandis que les parents, sur leurs vélos bourrés de sacoches, finissaient tant bien que mal la montée (un peu plus 4 kilomètres à 6.6% de moyenne). Sacré effort.</p>
<p>Après une pause créperie, j'ai fait une boucle par la route des crêtes de la Palud-sur-Verdon. Un sacré effort est nécessaire sur un vélo sans assistance électrique par endroits, mais heureusement chaque belvédère offre une vue panoramique différente qui incite à s'arrêter, admirer, et reprendre son souffle. La descente était assez stressante : une bonne partie en sens unique, mais assez raide sur une route étroite avec peu de rembardes ou autres mesures de sécurité.</p>

<p><a href="https://virgule.net/blog/pics/jour-8/gSmuApMCc9PscvbuD_YoKdT1oG1iKOUAywrPEfwtVas-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//gSmuApMCc9PscvbuD_YoKdT1oG1iKOUAywrPEfwtVas-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-8/apDKythPUu0n2uXuwDT553vWBzK_Lq_Cce41MrAAKnk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//apDKythPUu0n2uXuwDT553vWBzK_Lq_Cce41MrAAKnk-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-8/XKOSuIc8plKUpU-fQijmC9GIGnbNgiYEjOMnHZXZl04-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//XKOSuIc8plKUpU-fQijmC9GIGnbNgiYEjOMnHZXZl04-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-8/4woygpuwBn-6Sl5xDlkIIT8Uf01hr39wSQme5SmtScs-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//4woygpuwBn-6Sl5xDlkIIT8Uf01hr39wSQme5SmtScs-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-8/ovA2Z122QGCooxKqD7Goa1pWfVY6ESiesDZxOPuA1KE-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//ovA2Z122QGCooxKqD7Goa1pWfVY6ESiesDZxOPuA1KE-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-8/j2HahuTfOMXWb47DC3IARm2JVQMQKNKGF5QETSEBFfs-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//j2HahuTfOMXWb47DC3IARm2JVQMQKNKGF5QETSEBFfs-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-8/uT2WUMyPD6oPW-U-8ZY2L91Dik2j4Dhcbyu2_XxIAFM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//uT2WUMyPD6oPW-U-8ZY2L91Dik2j4Dhcbyu2_XxIAFM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-8/vgM3hQPlaF-3vWvBWiKdsB9y5jVcNW0wWfWUe1JA760-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//vgM3hQPlaF-3vWvBWiKdsB9y5jVcNW0wWfWUe1JA760-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-8/AJ6w3RkpXKda3Tzv56ugVN47fEzA0qe_jHtFsiLpVHk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//AJ6w3RkpXKda3Tzv56ugVN47fEzA0qe_jHtFsiLpVHk-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-8/e-TXG0ztJGYYLNcOoHfwS-L1AvHiXkTKYPgB58JATZQ-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//e-TXG0ztJGYYLNcOoHfwS-L1AvHiXkTKYPgB58JATZQ-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-8/VHdIyIgWqo7H2W0qjCQHhWsZmNv4iy13YukkWf1lD1Q-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//VHdIyIgWqo7H2W0qjCQHhWsZmNv4iy13YukkWf1lD1Q-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-8/XgeDPxjzp-i2rcV8Jjyw8ezwTlZ7PoCmOAUBYG-vEFY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//XgeDPxjzp-i2rcV8Jjyw8ezwTlZ7PoCmOAUBYG-vEFY-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-8/z9VHkL0KztMWRWl30IaYf2MW9z343yKAE369PwomrpE-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-8/thumbs//z9VHkL0KztMWRWl30IaYf2MW9z343yKAE369PwomrpE-2048x1152.jpg"></a></p>
<p>Encore un itinéraire modifié à la dernière minute pour ne contenir que de la route. Tournant autour du lac de Sainte-Croix, j'ai pu admirer le départ des gorges du Verdon et voir le lac de Sainte-Croix et son bleu éclatant sous tous les angles possibles. Petite pause déjeuner à l'excellent Le Rhumarin à Sainte-Croix, suivie de la remontée un peu punchy vers la route ensuite. Descente finale vers Moustiers-Sainte-Marie sur les freins à -16%...</p>

<p><a href="https://virgule.net/blog/pics/jour-9/1_fOIXWCBk1sgGaSu7NbPe-Rb5A1KBK6sbxr90OmACY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//1_fOIXWCBk1sgGaSu7NbPe-Rb5A1KBK6sbxr90OmACY-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/V-_PHavFo1W3EJPYnqnOAvglhO2cdTzymZe-UcMc53w-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//V-_PHavFo1W3EJPYnqnOAvglhO2cdTzymZe-UcMc53w-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/9G_zIBefa19WNDY3Ez4eE1Q7fMRmc2JWu3OX1g2CH7A-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//9G_zIBefa19WNDY3Ez4eE1Q7fMRmc2JWu3OX1g2CH7A-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/imFjsDK5wvWuSzJMQWI89cf2rTK6GPM7xCD4KCbx8u8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//imFjsDK5wvWuSzJMQWI89cf2rTK6GPM7xCD4KCbx8u8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/jVhtAeK2RpCDJ6oM4mc9Gwk8aefP2f_5_ehaVo8tCSs-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//jVhtAeK2RpCDJ6oM4mc9Gwk8aefP2f_5_ehaVo8tCSs-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/TtsnFXCH2fTT8s0kUr5Cg2PkTqiHT2lIhKyXpCnapNg-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//TtsnFXCH2fTT8s0kUr5Cg2PkTqiHT2lIhKyXpCnapNg-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/3_2zayEpEV02Q3UAwoQbtsITl6hxSmcsSe9kFX0auqI-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//3_2zayEpEV02Q3UAwoQbtsITl6hxSmcsSe9kFX0auqI-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/JeBRoRrmy4pufeFuZFXp9WrE6P7eByu5MwSfQUh7xbA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//JeBRoRrmy4pufeFuZFXp9WrE6P7eByu5MwSfQUh7xbA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/avW-EqdzS3ECEezlrn0Rx1FK7VUR2HbARSSkldpJOJE-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//avW-EqdzS3ECEezlrn0Rx1FK7VUR2HbARSSkldpJOJE-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/r2QdY6sqD6ozilh09x-9d6KlI6FDadGP4FOmaqk2HtI-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//r2QdY6sqD6ozilh09x-9d6KlI6FDadGP4FOmaqk2HtI-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/_qowSKDkmLgzyaEbBjwTS0df2XTTD22EP2jNMOyz6Vc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//_qowSKDkmLgzyaEbBjwTS0df2XTTD22EP2jNMOyz6Vc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/rXBjPYeEfyTZgeNkKR_MKD25j6Cv2M8XyRTdDBLWsCA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//rXBjPYeEfyTZgeNkKR_MKD25j6Cv2M8XyRTdDBLWsCA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/xd-KakI8OnKotuuj3Semf6oB4JBX9KjjLrcpuT-7if0-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//xd-KakI8OnKotuuj3Semf6oB4JBX9KjjLrcpuT-7if0-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/KAKB0e6oDagZW2R0JJ6CUlKRAzhLev8gQBm1ZMbOlaY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//KAKB0e6oDagZW2R0JJ6CUlKRAzhLev8gQBm1ZMbOlaY-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/ijQdwgyl90CiW2xkRu8-w5zbEjoLLnWZzR7qVdAahgM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//ijQdwgyl90CiW2xkRu8-w5zbEjoLLnWZzR7qVdAahgM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/ktin3EE6e-nf7OxfY_6fNLYcKE04dQRJqERXWp1RsiM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//ktin3EE6e-nf7OxfY_6fNLYcKE04dQRJqERXWp1RsiM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/Al1AUsjOhD30NWSjAtWp-SSaGB3_G-HntFMFu6q3688-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//Al1AUsjOhD30NWSjAtWp-SSaGB3_G-HntFMFu6q3688-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/V-SzDNi9WgE3Y7-hFRMyq5uPyniHsXJCtpEfD3j9NWM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//V-SzDNi9WgE3Y7-hFRMyq5uPyniHsXJCtpEfD3j9NWM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/ZqGlrXgwVUzURKLAYdCJv0hgLt08ejTVgOpW2CV3mcc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//ZqGlrXgwVUzURKLAYdCJv0hgLt08ejTVgOpW2CV3mcc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/wQOTfdATl2W5g-aXKnzhAjSXoQHMvgffK0JjGmYj97c-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//wQOTfdATl2W5g-aXKnzhAjSXoQHMvgffK0JjGmYj97c-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/8eiJ3AhEmtNAkqBKN5sYcwJXS8wdqKzNS1WmYqDvd4A-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//8eiJ3AhEmtNAkqBKN5sYcwJXS8wdqKzNS1WmYqDvd4A-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/Ra2ap0wuOxeAOPHmV5wWbsC5bI4wS21fIe4rmHyiVAA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//Ra2ap0wuOxeAOPHmV5wWbsC5bI4wS21fIe4rmHyiVAA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/iLIZSl5rpZtcq9_VGWYadry18xb36_beqwE5SMHdLGM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//iLIZSl5rpZtcq9_VGWYadry18xb36_beqwE5SMHdLGM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/m5DpSd9ZG1-XitrwAKje_5icDaqbd6HgVb3ldCZX-70-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//m5DpSd9ZG1-XitrwAKje_5icDaqbd6HgVb3ldCZX-70-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/igZcXQYUBbKbt9QVicQmm0YSqTspB19w3iid8TxdNA8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//igZcXQYUBbKbt9QVicQmm0YSqTspB19w3iid8TxdNA8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/ctpyR0B4BW-XEtctshzkCXJfuPrqcRVaUYFFMIaMs_k-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//ctpyR0B4BW-XEtctshzkCXJfuPrqcRVaUYFFMIaMs_k-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/QIjqf_LCPRa3FxMWPUr347JThA-Iyg5rHHyun7JGqUE-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//QIjqf_LCPRa3FxMWPUr347JThA-Iyg5rHHyun7JGqUE-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/_Rr9VcOpjwbXX5Xw4Pe_CqvEnrvI2pPnxpV0G-NChOM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//_Rr9VcOpjwbXX5Xw4Pe_CqvEnrvI2pPnxpV0G-NChOM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/1qLeATN1tP_IBw5OPxTJwmkjUzHv5ALCj1OQ6jK8-Nw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//1qLeATN1tP_IBw5OPxTJwmkjUzHv5ALCj1OQ6jK8-Nw-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/JVJXtl0qDOrhJ-BO6wvfo66bYmwoW0XHnDdjFscfFS4-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//JVJXtl0qDOrhJ-BO6wvfo66bYmwoW0XHnDdjFscfFS4-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/8xelSc21wwfVbXHQPY_wODSggrn29MuGP7ECj9IghQs-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//8xelSc21wwfVbXHQPY_wODSggrn29MuGP7ECj9IghQs-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/GQbb-AYKfQhji0e7F68sjiFP48sYYW-a-diF6th5xZ4-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//GQbb-AYKfQhji0e7F68sjiFP48sYYW-a-diF6th5xZ4-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/_zU3YVS8Wu-6K8hBsmzUAHn8jrEwZiWrOBNNxx3PnHs-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//_zU3YVS8Wu-6K8hBsmzUAHn8jrEwZiWrOBNNxx3PnHs-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/nWJK7R2yik4XkrfTLo7lBaBztFXRVJ6IOWdTFFEJRsM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//nWJK7R2yik4XkrfTLo7lBaBztFXRVJ6IOWdTFFEJRsM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/RzQGbr0C_EbEMdWc8RH44TnwbdGM1U4Jncz3xLohmVI-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//RzQGbr0C_EbEMdWc8RH44TnwbdGM1U4Jncz3xLohmVI-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/CJRc0HcPXkuMP4kXHvvUDT_nO86vV4sBZkcx3ygrPZ8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//CJRc0HcPXkuMP4kXHvvUDT_nO86vV4sBZkcx3ygrPZ8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/Y6EKRT2rxZVNvWna8NPxIJyXcuyCZmcIFC1xQI3JGYo-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//Y6EKRT2rxZVNvWna8NPxIJyXcuyCZmcIFC1xQI3JGYo-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/SWBEwPUstW7gGPEEBjOm5q0lvpyR0EYBPFHfmF4Nkmc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//SWBEwPUstW7gGPEEBjOm5q0lvpyR0EYBPFHfmF4Nkmc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/dbcHOfWYk9qf7YC_Kp2qy3NKD_4fpp0zX23zwnuHf2w-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//dbcHOfWYk9qf7YC_Kp2qy3NKD_4fpp0zX23zwnuHf2w-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/nclFCN9nUpXiSS_lbmNvT2C-5wwkGE9h1zZzmnHdPpI-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//nclFCN9nUpXiSS_lbmNvT2C-5wwkGE9h1zZzmnHdPpI-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/wLhkFX-QbzCTNcZeqxblnectAlIPF6i5YfwQCJy-DQE-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//wLhkFX-QbzCTNcZeqxblnectAlIPF6i5YfwQCJy-DQE-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/pzxPNgYLKLM-x6AGd2REqx8Ij5NfdrOFtNAKUlohG2E-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//pzxPNgYLKLM-x6AGd2REqx8Ij5NfdrOFtNAKUlohG2E-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/CxKE0nvfZ0EkV19216yQeEabMyVkQMR2xmvsu__I2Ao-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//CxKE0nvfZ0EkV19216yQeEabMyVkQMR2xmvsu__I2Ao-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/CVC8Zvcw1lRAj-340Gu2Q7Ch_QoSNX6SPh3jIUaaS6k-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//CVC8Zvcw1lRAj-340Gu2Q7Ch_QoSNX6SPh3jIUaaS6k-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/tjbS1DADQOCrZk6BsJ82m3JwGlGHRg4BwcrhMs8vP3w-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//tjbS1DADQOCrZk6BsJ82m3JwGlGHRg4BwcrhMs8vP3w-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/imVkujWqHFUvTKbDfkuVypCJONXLSI9xpXwYvVzrOJs-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//imVkujWqHFUvTKbDfkuVypCJONXLSI9xpXwYvVzrOJs-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/7DmPE8iFND8Isxszv3kQ3AxaVa1QxtdI5hGEAO_-m90-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//7DmPE8iFND8Isxszv3kQ3AxaVa1QxtdI5hGEAO_-m90-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-9/DMQ15AXB-qibQ0_ywlCNKdTWZdeTTjyQkZHvny3HMys-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-9/thumbs//DMQ15AXB-qibQ0_ywlCNKdTWZdeTTjyQkZHvny3HMys-2048x1152.jpg"></a></p>
<p>Je n'avais pas prévu de faire cette rando à l'origine, me disant qu'il y aurait trop de monde, et que ce que je verrais des gorges du Verdon à vélo me suffirait, mais je l'ai finalement mise au programme lorsque j'étais à Castellane, après
avoir retiré les sections gravel à vélo.</p>
<p>J'ai adoré, finalement pas tant de touristes que ça (grosso modo les 49 autres personnes du bus que j'ai pris, et
une bonne partie étaient très vite derrière), et les gorges sont vraiment superbe vues de près. J'ai particulièrement
apprécié la façon dont le sentier est aménagé, juste ce qu'il faut d'artificiel aux endroits techniques. J'aurais aimé
prendre plus mon temps, mais j'étais limité par les bus et ma réservation à l'arrache 2 jours avant.</p>

<p><a href="https://virgule.net/blog/pics/jour-10/huJlEri-J8WW7L0Fw0mB7z45DNCh_OLLC9ZI4CDGWpE-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-10/thumbs//huJlEri-J8WW7L0Fw0mB7z45DNCh_OLLC9ZI4CDGWpE-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-10/T6sd1H-Sf4jD9FBU4wLrisoi9kb64LU9XZ4wgBwZ9Ys-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-10/thumbs//T6sd1H-Sf4jD9FBU4wLrisoi9kb64LU9XZ4wgBwZ9Ys-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-10/sZpU0XOVt9c7oAoCvu3dhI1owaYhKumKG4uQplbOQtM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-10/thumbs//sZpU0XOVt9c7oAoCvu3dhI1owaYhKumKG4uQplbOQtM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-10/xdURcUc-LixOF8cPPsdBkcGHyMTeYxyJod21SRaqpdc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-10/thumbs//xdURcUc-LixOF8cPPsdBkcGHyMTeYxyJod21SRaqpdc-2048x1152.jpg"></a></p>
<p>Une des journées avec beaucoup, beaucoup de vent, pas vraiment dans le bon sens. C'est aussi la que j'ai commencé à rejoindre les grosses villes et à passer par des grosses départementales, ce qui voulait dire moins de paysages bucoliques et plus de voitures. Finalement sur les départementales le bas-côté était tout à fait utilisable à vélo à peu près tout le long, évitant de trop partager la route avec des véhicules allant 3 fois plus vite que moi.</p>

<p><a href="https://virgule.net/blog/pics/jour-11/Y2oJ3CNL3xMX56pagKVKO8QrrxbnOKgGl8o1vKKYnwk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//Y2oJ3CNL3xMX56pagKVKO8QrrxbnOKgGl8o1vKKYnwk-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/je8H_xe204c9TkfdKzuDjEbST4rle5dFnEEB4OvIgyA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//je8H_xe204c9TkfdKzuDjEbST4rle5dFnEEB4OvIgyA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/uwwZCGG55Z-NnQbCDb3q7MK_i3h004Wu0bjd4DXfJ2k-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//uwwZCGG55Z-NnQbCDb3q7MK_i3h004Wu0bjd4DXfJ2k-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/xxk_ndxwYU5upLed-GL6SJle5NfKkRxEnZjX2yYzz8U-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//xxk_ndxwYU5upLed-GL6SJle5NfKkRxEnZjX2yYzz8U-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/rd-CG0XmiqqD61lLD548xEwR_Gf5OJeSZP7aYQxaPl4-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//rd-CG0XmiqqD61lLD548xEwR_Gf5OJeSZP7aYQxaPl4-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/XITxgcvgsAGHIe_RJcLYHAskCjRUzKfYhlQazh5vmEo-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//XITxgcvgsAGHIe_RJcLYHAskCjRUzKfYhlQazh5vmEo-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/j5XZI0qZ5v5cWLwiA_KCIploQ0HvELv6c5QYJPjwUEo-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//j5XZI0qZ5v5cWLwiA_KCIploQ0HvELv6c5QYJPjwUEo-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/zD7KnzrB4pRCRfla4PO27ttrlmRgAU6mf2-zLZXhgvw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//zD7KnzrB4pRCRfla4PO27ttrlmRgAU6mf2-zLZXhgvw-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/zp3ZOrWa7W5BsSb68nnF4GH_3djMnaPvJ9latoOi74U-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//zp3ZOrWa7W5BsSb68nnF4GH_3djMnaPvJ9latoOi74U-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/6FE5F5L_0SWjLybxO8JSDGbCHNCMkXLLfDqoirHM9EA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//6FE5F5L_0SWjLybxO8JSDGbCHNCMkXLLfDqoirHM9EA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/uRngycNFOgf7h6a1vEIcjJ5k_Yib25grevdlVavPyNA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//uRngycNFOgf7h6a1vEIcjJ5k_Yib25grevdlVavPyNA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/cTlWHtt2XP_UGlQChrvR4grnp1dkcauYYelyVVeiKQA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//cTlWHtt2XP_UGlQChrvR4grnp1dkcauYYelyVVeiKQA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/BB466oTFdYNQXHOmUKxf7KYjToB4mCg05hl1HH2GbG4-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//BB466oTFdYNQXHOmUKxf7KYjToB4mCg05hl1HH2GbG4-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/P_9kpeOLWrO-xje63Y4xFhde_-E0ZUn1HdRCHn__dJk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//P_9kpeOLWrO-xje63Y4xFhde_-E0ZUn1HdRCHn__dJk-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/bXy7BeH_lfXhLtnb3A6Ew61e6C0BKU7KwAl_60NdMng-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//bXy7BeH_lfXhLtnb3A6Ew61e6C0BKU7KwAl_60NdMng-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/0YH-Q9SirE5bckP8DWZT8VEUwSoHLiIWG439fNDk9vo-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//0YH-Q9SirE5bckP8DWZT8VEUwSoHLiIWG439fNDk9vo-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/61wD55EVAl2efQ0OJALE8pwGbp5_I3Od9aZvZny8D50-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//61wD55EVAl2efQ0OJALE8pwGbp5_I3Od9aZvZny8D50-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/JHmSelakfGHqdYT0dFe6MUFC2kX0bXo2AeHisMiZ7UI-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//JHmSelakfGHqdYT0dFe6MUFC2kX0bXo2AeHisMiZ7UI-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/Ii_MW0-3nm1oSm151kOurFvzg6yliTtKHDVR7G6bkU8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//Ii_MW0-3nm1oSm151kOurFvzg6yliTtKHDVR7G6bkU8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/PNfBdLafC3bVvRbGwz8DZD6b_r5eW28XJ4vKtl7Z1us-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//PNfBdLafC3bVvRbGwz8DZD6b_r5eW28XJ4vKtl7Z1us-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/eO12MZT308UKfv9A2265MGW52aQt7o11-hrBoU6Xu4c-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//eO12MZT308UKfv9A2265MGW52aQt7o11-hrBoU6Xu4c-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/8mJM99Cc7KqfiRNS8HXEHPNE58coEr7lmaOhVtNY8dM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//8mJM99Cc7KqfiRNS8HXEHPNE58coEr7lmaOhVtNY8dM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/aV9AeQ4ou4MbX8r8sGRn_HHZB42NK6jfDnbpZ-CEtmo-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//aV9AeQ4ou4MbX8r8sGRn_HHZB42NK6jfDnbpZ-CEtmo-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/Doi7LmupREcDPDyXgkWFWvMACYOmNkJoPK5wfvT-iJ0-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//Doi7LmupREcDPDyXgkWFWvMACYOmNkJoPK5wfvT-iJ0-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/hetayt1SHwI1DMPu4zARUxwW6DxtM8zpA3ZD9i-DYkk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//hetayt1SHwI1DMPu4zARUxwW6DxtM8zpA3ZD9i-DYkk-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/ZQrrLYVTmM1kYh04cxhyfZl20bVcJ8mm-vKyqJQp1lY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//ZQrrLYVTmM1kYh04cxhyfZl20bVcJ8mm-vKyqJQp1lY-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-11/TpaNFesZDFf_BYNe0Ju1sBQqzeMcJANz8ZHJ8wjDuyA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-11/thumbs//TpaNFesZDFf_BYNe0Ju1sBQqzeMcJANz8ZHJ8wjDuyA-2048x1152.jpg"></a></p>
<p>Comme toutes les autres randonnées du voyage, complètement improvisée au dernier moment, je n'avais aucune idée que j'allais la faire 24 heures avant. Il y a beaucoup de chemins possibles, j'ai choisi de faire le plus facile, et j'ai bien fait. C'est assez facile de se retrouver sur un bout beaucoup plus difficile par inattention, le chemin est assez ouvert, moins l'impression d'être sur des rails que les rando précédentes. Superbes vues tout le long, évidemment. Bonus, des chêvres arrivé en haut au prieuré, qui avaient l'air d'en vouloir à mon sandwich...</p>

<p>Détour improvisé autour de la montagne Sainte-Victoire pour rajouter un peu de route et de dénivelé. Peu de choses à raconter sur cette étape pendant laquelle je n'ai pris aucune photo digne d'intérêt. Marseille et son aglomération sont un cauchemar à vélo.</p>

<p><a href="https://virgule.net/blog/pics/jour-13/WfBcMQB7ZHtUkkf0N9_0kYfB4FfydnpCwflgLScouP8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-13/thumbs//WfBcMQB7ZHtUkkf0N9_0kYfB4FfydnpCwflgLScouP8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-13/6OB-fNq8ixG8X0EgDCCCSrRdxVcsSDRNpij34W_Jrns-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-13/thumbs//6OB-fNq8ixG8X0EgDCCCSrRdxVcsSDRNpij34W_Jrns-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-13/_YcpkgVgaTUzLZhqQM7UpLjUmU36B0g3GvMbHPImvC0-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-13/thumbs//_YcpkgVgaTUzLZhqQM7UpLjUmU36B0g3GvMbHPImvC0-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-13/NFULy6QC95-zREbSJ208o_Jk4NCbIvDBwD9GLAJEHg8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-13/thumbs//NFULy6QC95-zREbSJ208o_Jk4NCbIvDBwD9GLAJEHg8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-13/2xgTA9YZ6nPLHD1G92dLR87pjpFaQvDFARwutM0k0Us-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-13/thumbs//2xgTA9YZ6nPLHD1G92dLR87pjpFaQvDFARwutM0k0Us-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-13/S0H1669Q9smMnwlnSMNfzEm_QmBayLDN-vspVB4jHeA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-13/thumbs//S0H1669Q9smMnwlnSMNfzEm_QmBayLDN-vspVB4jHeA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-13/AujWaNGfXOnNb7xs0tWB70joFub-Fpd-46D1dtj89Uo-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-13/thumbs//AujWaNGfXOnNb7xs0tWB70joFub-Fpd-46D1dtj89Uo-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-13/Ndl0DXrJwspiPvE17MEyVjwuNKuLvIDrNTz5bMA8lwY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-13/thumbs//Ndl0DXrJwspiPvE17MEyVjwuNKuLvIDrNTz5bMA8lwY-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-13/g62EQe_ZVvFnj8oGkhuxWMIJb2ePZGcshTA92yHNSL4-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-13/thumbs//g62EQe_ZVvFnj8oGkhuxWMIJb2ePZGcshTA92yHNSL4-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-13/yYlTQ1LDXDXd5zHRVm84k92DVpnlDgIFRcS-29ZzXHo-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-13/thumbs//yYlTQ1LDXDXd5zHRVm84k92DVpnlDgIFRcS-29ZzXHo-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-13/Z-68iR2S6x2at4nSaLgJJufHtwyQrmikgZlTxkm6Dqs-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-13/thumbs//Z-68iR2S6x2at4nSaLgJJufHtwyQrmikgZlTxkm6Dqs-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-13/O3Y7i_IwF26nQqR37RQmQIUGiXyNTZCNTWq7TKdf4_k-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-13/thumbs//O3Y7i_IwF26nQqR37RQmQIUGiXyNTZCNTWq7TKdf4_k-2048x1152.jpg"></a></p>
<p>Petite boucle touristique durant laquelle j'ai testé une partie des calanques ouvertes aux vélos. Sans surprises, c'était compliqué, c'est plus VTT que gravel. Des montées bien hardcore (heureusement courtes) combinées à des sentiers tantôt sabloneux tantôt caillouteux. Bien casse-pattes. La récompense : de très belles vues sur Marseille vu de haut.</p>
<p>Combo bières et burgers avec <a href="https://oc.todon.fr/@mrjmad">@mrjmad</a> le soir pour se remettre de tout ça et préparer une expédition à pied dans les calanques le lendemain.</p>

<p><a href="https://virgule.net/blog/pics/jour-14/ryTTeIg_f8ZhN_Cp7C5CeeE26eLS-J_cUa5p24Fherk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//ryTTeIg_f8ZhN_Cp7C5CeeE26eLS-J_cUa5p24Fherk-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/2Rpdz6PQRp2OI5ggdNfaV50AbY7i58aZ1_ifW7o5X6w-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//2Rpdz6PQRp2OI5ggdNfaV50AbY7i58aZ1_ifW7o5X6w-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/ttc-gjkB3QzluP9jl7wGIrqblI5_LSuMAGvN6tbEs4w-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//ttc-gjkB3QzluP9jl7wGIrqblI5_LSuMAGvN6tbEs4w-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/IQip4JB7jKTTAigO9N80wqpbDt99ldBb77jF0dWGrDw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//IQip4JB7jKTTAigO9N80wqpbDt99ldBb77jF0dWGrDw-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/M5feSdzEu3Ie31xqLhaDB9ZpuO0dDeHXb3v7xocL_Zc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//M5feSdzEu3Ie31xqLhaDB9ZpuO0dDeHXb3v7xocL_Zc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/0RbFASCGbxDui9lQ3yZN9EWYZLuhxVZIrwCTBV-lNvk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//0RbFASCGbxDui9lQ3yZN9EWYZLuhxVZIrwCTBV-lNvk-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/Qh6rEiFgTFUlSThRd2tm3COuPntMNBGxuYKb2VOsKEc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//Qh6rEiFgTFUlSThRd2tm3COuPntMNBGxuYKb2VOsKEc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/SFDZ-pEb5KeTO-B3PgkZwecnaZ4tIOrFgQ1kcVgyFBY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//SFDZ-pEb5KeTO-B3PgkZwecnaZ4tIOrFgQ1kcVgyFBY-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/H31Ye_-o8DtiWO8O39PUlQRmR1gPTqxrzBs8xwUQd6Y-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//H31Ye_-o8DtiWO8O39PUlQRmR1gPTqxrzBs8xwUQd6Y-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/Rn30y3W54jt40JOqB8I5krT9RoVWWX3Mw-s8X96b9Lc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//Rn30y3W54jt40JOqB8I5krT9RoVWWX3Mw-s8X96b9Lc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/eK3jvkGYLwtJxHTHs-RjX00CCmNEXupMfgNUuqNH2Wo-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//eK3jvkGYLwtJxHTHs-RjX00CCmNEXupMfgNUuqNH2Wo-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/bvol5QxV5j0Wt9BdN4DP86Sd5MRWKrEB9dy2EPGQVHs-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//bvol5QxV5j0Wt9BdN4DP86Sd5MRWKrEB9dy2EPGQVHs-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/8YDreCWml1By_Kdifm8v3rQXa2H3neAsRQy9yHlbBPc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//8YDreCWml1By_Kdifm8v3rQXa2H3neAsRQy9yHlbBPc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/icVYyUc41aJQQpbBSVmgk6jHicUN6uExAii9-f-Hn_E-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//icVYyUc41aJQQpbBSVmgk6jHicUN6uExAii9-f-Hn_E-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/MpJ04U2iv9_JBOvSCGUBn929SbtzQEnXWS3V-R5_U4Y-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//MpJ04U2iv9_JBOvSCGUBn929SbtzQEnXWS3V-R5_U4Y-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/rJfBYv6mX7LvIgHItmD0EiWwPEyUuTBXSCKzonPPrqc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//rJfBYv6mX7LvIgHItmD0EiWwPEyUuTBXSCKzonPPrqc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/FuJ4uKuu7uc2qjQ0fwc68fUUBnKIqdsxCwCPS_DrJrU-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//FuJ4uKuu7uc2qjQ0fwc68fUUBnKIqdsxCwCPS_DrJrU-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/TO7W2DZWTUHMS5CoHci2A-N8oX4X2kCzuZCDhqyRMOw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//TO7W2DZWTUHMS5CoHci2A-N8oX4X2kCzuZCDhqyRMOw-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/HCaW0IkHEG2GK_KHkUyJM76CwmiTZf9f-wWmZyXn050-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//HCaW0IkHEG2GK_KHkUyJM76CwmiTZf9f-wWmZyXn050-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/iXmSVYKL4z_C07ueCGR-ha_lsgo3onvXB-RBTZIZjBo-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//iXmSVYKL4z_C07ueCGR-ha_lsgo3onvXB-RBTZIZjBo-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/JYslfsvtDkyKeKO43eM8Fl0XplaKj-w3GhtdfKH0ojs-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//JYslfsvtDkyKeKO43eM8Fl0XplaKj-w3GhtdfKH0ojs-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/3HKDE1UudUbU7-AY_1ppZdDlO0zxNBZ_0gZ-v-2N7N4-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//3HKDE1UudUbU7-AY_1ppZdDlO0zxNBZ_0gZ-v-2N7N4-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/J1fP8pT5fDUDVoyA-h2FqqkmaboAiH9sy4qpOOR0-4k-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//J1fP8pT5fDUDVoyA-h2FqqkmaboAiH9sy4qpOOR0-4k-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/cOb6yB9Q8tYWnXLgrhwHebUIjJpu5NnHFiCuuM1_zzY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//cOb6yB9Q8tYWnXLgrhwHebUIjJpu5NnHFiCuuM1_zzY-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/5GG48jsQm3zbS3v4YTbPpGSkd0Y15KvKQFCMKqQIu-U-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//5GG48jsQm3zbS3v4YTbPpGSkd0Y15KvKQFCMKqQIu-U-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-14/LgC39BYF-SgzsY-l8pLRwAib0GtTgS8z58B2JHfWZRs-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-14/thumbs//LgC39BYF-SgzsY-l8pLRwAib0GtTgS8z58B2JHfWZRs-2048x1152.jpg"></a></p>
<p>J'avais été prévenu qu'il allait falloir un peu jouer des mains par moments... et effectivement, c'était parfois un peu technique par rapport aux randonnées précédentes! Bon, tout est relatif, pas d'escalade à faire, mais un ou deux passages un peu délicats quand même. Je manque de vocabulaire pour ne pas me répéter sans cesse, mais c'était très joli, et le sentier était presque désert, je n'ai croisé que 4 personnes à partir de la plage de Sormiou jusqu'à celle de Morgiou.</p>

<p><a href="https://virgule.net/blog/pics/jour-15/3aP6ID5Nc5HADY4u0wOJtD-ZFipsLmBjPL4xvnWWzLw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-15/thumbs//3aP6ID5Nc5HADY4u0wOJtD-ZFipsLmBjPL4xvnWWzLw-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-15/EynhH43fM9jsE8i2kw3ozmte1fHKXgZ03V9CKGzbZYw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-15/thumbs//EynhH43fM9jsE8i2kw3ozmte1fHKXgZ03V9CKGzbZYw-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-15/LoxgM4NXeX4N6S0zLdxb732mePE-ikEsHOQMONSa1tI-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-15/thumbs//LoxgM4NXeX4N6S0zLdxb732mePE-ikEsHOQMONSa1tI-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-15/A9NjrKdJCXXrVVOCLdxPRNfqJcaisXm-G0IC1Mz3s6c-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-15/thumbs//A9NjrKdJCXXrVVOCLdxPRNfqJcaisXm-G0IC1Mz3s6c-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-15/kyjOnYejMODbOazqtjcmHwOeNQeznjh84ABeQCO6Se8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-15/thumbs//kyjOnYejMODbOazqtjcmHwOeNQeznjh84ABeQCO6Se8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-15/oanFhNzsyMAzR9YvzE0JZuX1QnUe-1wEg-bpev6Sqog-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-15/thumbs//oanFhNzsyMAzR9YvzE0JZuX1QnUe-1wEg-bpev6Sqog-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-15/pK5iLT9U3iyX7vjuZFgJRP32wbFdlCC7Fa2p-HzU3tc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-15/thumbs//pK5iLT9U3iyX7vjuZFgJRP32wbFdlCC7Fa2p-HzU3tc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-15/p6aELxvoVIEIXh477iD1TsMgZUxNZgm0bOG139eG8Y4-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-15/thumbs//p6aELxvoVIEIXh477iD1TsMgZUxNZgm0bOG139eG8Y4-2048x1152.jpg"></a></p>
<p>À l'origine, j'avais prévu de rejoindre Cannes en train, mais je me sentais bien et j'ai donc annulé mon dernier jour à Marseille pour faire le trajet à vélo. Sans surprise, les 15 premiers kilomètres pour sortir de l'agglomération marseillaise ont été un enfer. Beaucoup plus calme ensuite, et le passage par la deuxième route des crêtes du voyage, entre Cassis et La Ciotat, valait le coup, même si il faut supporter la montée initiale entre 20 et 30%... Si je m'étais arrêté dans le coin, je l'aurais probablement (re)faite à pied pour profiter un peu plus des vues à couper le souffle sur la mer, Cassis, La Ciotat et les Calanques.</p>
<p>Le soir, un excellent diner avec <a href="https://social.targaryen.house/@providenz">@providenz</a> et son fils et une bonne nuit à l'hôtel m'ont bien préparés à la suite.</p>

<p><a href="https://virgule.net/blog/pics/jour-16/oDP4vwTWetqMQmvglvEm03jd2H2q5PGSGMAFrU_U02w-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-16/thumbs//oDP4vwTWetqMQmvglvEm03jd2H2q5PGSGMAFrU_U02w-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-16/rreIuDWPEeEWqGdFIcnEo3lXDR1cKSXQtlfqpoD0Ni8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-16/thumbs//rreIuDWPEeEWqGdFIcnEo3lXDR1cKSXQtlfqpoD0Ni8-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-16/optrjI9mueNqKzXa9CPfZ-CdK3r0s5pag5JA6fKVUXc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-16/thumbs//optrjI9mueNqKzXa9CPfZ-CdK3r0s5pag5JA6fKVUXc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-16/GAHakKjCJI_gIa-JMHYifxTv7Yn9VLPB4pjBS38cXoA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-16/thumbs//GAHakKjCJI_gIa-JMHYifxTv7Yn9VLPB4pjBS38cXoA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-16/GWcCTbb-fXTFqhy_lv0giyYNXMs-YkYmoZ0NP5YnU0Q-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-16/thumbs//GWcCTbb-fXTFqhy_lv0giyYNXMs-YkYmoZ0NP5YnU0Q-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-16/trg8lwyajsWLkXDr1PT1pMbxhPGcaBczDi07qF8x4fY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-16/thumbs//trg8lwyajsWLkXDr1PT1pMbxhPGcaBczDi07qF8x4fY-2048x1152.jpg"></a></p>
<p>Beaucoup plus facile que ce à quoi je m'attendais. À ce stade, je n'avais plus vraiment d'inquiétude sur ma capacité à enchaîner les grosses journées, et même si il faisait assez chaud avec peu d'ombre, je n'ai pas eu de mal à avaler les kilomètres. Sur la première partie j'ai suivi le parcours cyclable du littoral, des belles voies vertes/pistes cyclables dédiées sans trop de monde, un plaisir. J'ai ensuite coupé par le magnifique Col de Rayol-Canadel pour aller jusqu'à Fréjus en évitant Saint-Tropez, et fini par des cols dans le massif de l'Esterel pour arriver à Cannes via une descente très agréable, que j'ai refaite les 2 jours suivants.</p>

<p><a href="https://virgule.net/blog/pics/jour-17/uOthgyrIihmCew_Kx2IBD4xGP8xQDa-wJmm2z18nwAY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-17/thumbs//uOthgyrIihmCew_Kx2IBD4xGP8xQDa-wJmm2z18nwAY-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-17/chRu75w4l-ieylOnLYh1d9NBNhu81CNFylK9kLnbRrM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-17/thumbs//chRu75w4l-ieylOnLYh1d9NBNhu81CNFylK9kLnbRrM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-17/aEqsCyVRsG60Nq0Kw-19hZASDydDKzq3QS8futGvSnQ-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-17/thumbs//aEqsCyVRsG60Nq0Kw-19hZASDydDKzq3QS8futGvSnQ-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-17/i-0pldkH4UbQwL13IIvbNMK9vEznMxse48BMAWZjaMw-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-17/thumbs//i-0pldkH4UbQwL13IIvbNMK9vEznMxse48BMAWZjaMw-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-17/bWeNh_aeefYbSX3kt9V8X5IDYUqtQ9eL5H2corlhwuY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-17/thumbs//bWeNh_aeefYbSX3kt9V8X5IDYUqtQ9eL5H2corlhwuY-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-17/O5aiq3oflt-Dm4lCqGD0gEfEqheqVwep35zDc-0QSSM-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-17/thumbs//O5aiq3oflt-Dm4lCqGD0gEfEqheqVwep35zDc-0QSSM-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-17/T_Rn3H1cO6wlOFfXyv8-9UIrBumQHp4Jz1kxxXkBO80-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-17/thumbs//T_Rn3H1cO6wlOFfXyv8-9UIrBumQHp4Jz1kxxXkBO80-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-17/BjBtztNr3fpUQdKW9vcnbo3CB3wkv_PMVtdXj7ydvB8-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-17/thumbs//BjBtztNr3fpUQdKW9vcnbo3CB3wkv_PMVtdXj7ydvB8-2048x1152.jpg"></a></p>
<p>Je n'avais pas vraiment fait de plan pour les derniers jours à Cannes, n'étant pas sûr de ce qui me resterait comme forme/motivation. <a href="https://mastodon.social/@koalie">@koalie</a>, habitant sur place avec son VTTAE, a suggéré cette balade notant que les sentiers de l'Esterel avaient tout juste ré-ouvert après plusieurs jours de fermetures pour risque d'incendies. Banco! Évidemment, encore une fois des sections clairement plus VTT que gravel, demandant un peu d'efforts, mais j'étais boosté par le fait de ne pas être tout seul. J'avais un peu regretté de ne pas m'être arrêté après la montée dans l'Esterel le jour d'avant, c'était donc l'occasion de rattraper le coup, admirant les paysages tantôt arborés avec la mer en tâche de fond, tantôt tout droit sortis d'un Western avec des teintes orangées...</p>

<p><a href="https://virgule.net/blog/pics/jour-18/g8LK9Pxs0wvgoEb3cx0C5nR3PrtnqC_ziUKGkdGoA-0-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18/thumbs//g8LK9Pxs0wvgoEb3cx0C5nR3PrtnqC_ziUKGkdGoA-0-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18/st6z8zlKdzfJaIWwUWE9Al1WgAK_-8CLOo0C59aK770-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18/thumbs//st6z8zlKdzfJaIWwUWE9Al1WgAK_-8CLOo0C59aK770-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18/oGzSvnZrytVk74Cdz_SX3msMivTZO3UVXllBU0ByKOk-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18/thumbs//oGzSvnZrytVk74Cdz_SX3msMivTZO3UVXllBU0ByKOk-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18/3d--WpsQZvQylzCisZsNHyc2-19C8WgauSF5spwIoFg-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18/thumbs//3d--WpsQZvQylzCisZsNHyc2-19C8WgauSF5spwIoFg-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18/OQlfkutU73x4wX_4EGeKSN-l0KmG5scNH2m_Pz33A_k-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18/thumbs//OQlfkutU73x4wX_4EGeKSN-l0KmG5scNH2m_Pz33A_k-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18/47_YfWWtXygpmxSFAJTqs_YfOEiW3KwOjceIJck8CyE-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18/thumbs//47_YfWWtXygpmxSFAJTqs_YfOEiW3KwOjceIJck8CyE-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18/NFFaEumQKkxiD9PLGy0_XDH86PdEKg8m2K1xKA-EWww-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18/thumbs//NFFaEumQKkxiD9PLGy0_XDH86PdEKg8m2K1xKA-EWww-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18/IIzji1aX67HWAX8KCLQd-d-JwdEDTCZcMGkOnD7OWZQ-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18/thumbs//IIzji1aX67HWAX8KCLQd-d-JwdEDTCZcMGkOnD7OWZQ-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18/-1vAOYTlfloVj6zCubiSiXG-fTd82W7619YPA3clWJc-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18/thumbs//-1vAOYTlfloVj6zCubiSiXG-fTd82W7619YPA3clWJc-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18/xYWnY59WPKrYHs9RLUaHyI9aZF4vVto7UoluBM1cMZ4-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18/thumbs//xYWnY59WPKrYHs9RLUaHyI9aZF4vVto7UoluBM1cMZ4-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18/49LrPtprVB_rrLlAgWu6y9B79d-5Qy988ozn7tltdOs-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18/thumbs//49LrPtprVB_rrLlAgWu6y9B79d-5Qy988ozn7tltdOs-2048x1152.jpg"></a></p>
<p>Deuxième ballade proposée par <a href="https://mastodon.social/@koalie">@koalie</a>, cette fois épaulée par <a href="https://mastodon.social/@danield">@danield</a> dont les connaissances des routes du coin ont été très précieuses pour éviter de se cogner trop de montées hyper raides et de sentiers impraticables avec mon vélo. Bon, on s'est quand même tapés pas mal de dénivelé, dont un chemin assez vil (heureusement goudronné) de 500 mètres avec une pente à 2 chiffres tout le long quand on a voulu éviter la route au début... Très chouette malgré tout!</p>

<p><a href="https://virgule.net/blog/pics/jour-18-bis/OGgPlsapoj7lFO2H8urSXxmGyrND2sxaYMc0elTqtLU-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18-bis/thumbs//OGgPlsapoj7lFO2H8urSXxmGyrND2sxaYMc0elTqtLU-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18-bis/ZPrw4JFld8YMom5ihjSxjnNt7j7q-CW7CndmGkXE6zA-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18-bis/thumbs//ZPrw4JFld8YMom5ihjSxjnNt7j7q-CW7CndmGkXE6zA-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18-bis/vmrrCXu948begcAKtZGZX7xJ-ahKfmGYWKpvYGOAFOQ-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18-bis/thumbs//vmrrCXu948begcAKtZGZX7xJ-ahKfmGYWKpvYGOAFOQ-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18-bis/Ylu0E234Q0NX8jk0psd0uvnJX-UuIerwV7h-6-ODIUw-2048x1197.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18-bis/thumbs//Ylu0E234Q0NX8jk0psd0uvnJX-UuIerwV7h-6-ODIUw-2048x1197.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18-bis/OTmrwcO-aD2xeMU-8XZlye61Nr5vZ8cWniuLQAocT2M-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18-bis/thumbs//OTmrwcO-aD2xeMU-8XZlye61Nr5vZ8cWniuLQAocT2M-2048x1152.jpg"></a> <a href="https://virgule.net/blog/pics/jour-18-bis/QoTCP5TNxy5Af68Hd2CVqqNoCjw7jCAxyykj1u-oYgY-2048x1152.jpg"><img alt="" src="https://virgule.net/blog/pics/jour-18-bis/thumbs//QoTCP5TNxy5Af68Hd2CVqqNoCjw7jCAxyykj1u-oYgY-2048x1152.jpg"></a></p>
<p>Vu qu'on avait commencé les Balcons d'Azur assez tôt, après avoir mangé et m'être un peu reposé, je me suis retrouvé encore en forme et avec l'envie de faire une dernière sortie à vélo avant de repartir le lendemain. Je suis donc parti un peu à l'arrache faire une autre boucle route autour de l'Esterel, passant par Tanneron, petite commune formée de plusieurs hameaux dispersés dans la montagne. Retour par la descente de l'Esterel pour la 3ème fois, presque aucune voiture, et je commençais à connaître la descente et à pouvoir la prendre plus vite, c'était une conclusion parfaite pour finir en beauté. </p>
<h2><a name="meteo"></a> 5. Météo</h2>
<p>Il a fait beau et relativement chaud (entre 26 et 32 degrés celcius) tout le long, ce qui m'allait parfaitement : j'ai l'habitude du sport sous la chaleur, je préfère ça que l'inverse. Il y a eu deux ou trois jours avec beaucoup de vent, des rafales allant jusqu'à 60km/h, demandant une attention particulière pour rouler droit, mais heureusement je n'avais pas de col compliqué à négocier ces jours la.</p>
<p>Autant j'avais une veste imperméable, autant je n'avais pas vraiment de plan pour la pluie, et j'aurais probablement complètement du changer/annuler certaines étapes si il y avait eu des orages violents.</p>
<h2><a name="velo"></a> 6. Vélo</h2>
<p>Mon vélo est à la base un vélo en aluminium de cyclo-cross converti en vélo de route reconverti en vélo de gravel. C'est un peu la créature de Frankenstein, il reste peu de composants d'origine : j'ai changé au fur et à mesure du temps les roues, la selle, la potence et j'en passe... Il est couplé à un vieux Garmin Edge 520 pour le GPS et des pédales avec capteur de puissance. Les 3 composants les plus importants dessus pour ce voyage ont été :</p>
<h3>Les freins à disque.</h3>
<p>J'avais tenu à avoir des freins à disque hydrauliques quand je l'ai acheté fin 2016. C'était quasiment introuvable sur des vélos de route à l'époque, donc j'avais pris un modèle cyclo-cross, sacrifiant un peu niveau géométrie par rapport à un vrai vélo de route. De nos jours c'est standard et c'est tant mieux, la modulation et puissance de freinage se sont avérées vraiment très utiles, notamment dans les parties "gravel". Je ne suis pas parti avec des plaquettes de frein neuves, et j'ai du les changer vers la fin, elles étaient complètement usées et je commençais à perdre en efficacité. Partir avec des plaquettes neuves et amener des plaquettes de rechange dès le départ est une recommendation classique sur les sites de bikepacking pour les gens qui font de la montagne, et j'aurais du faire ça.</p>
<h3>La transmission</h3>
<p>Je suis parti avec des plateaux de 50/34 combiné à une cassette 11-32. Quand je l'avais converti en vélo de route à la base après l'avoir acheté, j'avais mis du 52/36 et une cassette 11-28, mais en regardant le parcours et en faisant les calculs avec <a href="http://bikecalculator.com/%20et%20%5BBicycle%20Gear%20Calculator%5D(https://www.gear-calculator.com/),%20je%20me%20suis%20aper%C3%A7u%20que%20il%20allait%20falloir%20quelque%20chose%20de%20plus%20raisonable%20pour%20pouvoir%20avoir%20une%20vitesse%20moins%20%C3%A9lev%C3%A9e%20sans%20compl%C3%A8tement%20sacrifier%20ma%20cadence%20et%20passer%20les%20mont%C3%A9es.%20J'ai%20du%20totalement%20changer%20le%20d%C3%A9railleur%20pour%20pouvoir%20mettre%20une%20cassette%20plus%20grande%20et%20changer%20les%20plateaux%20pour%20%C3%A7a,%20et%20j'ai%20bien%20fait:%20%C3%A7a%20s'est%20av%C3%A9r%C3%A9%20essentiel,%20non%20seulement%20pour%20les%20mont%C3%A9es%20longues%20comme%20celle%20en%20sortie%20de%20Grenoble%20mais%20aussi%20pour%20les%20mont%C3%A9es%20plus%20courtes%20%C3%A0%20tr%C3%A8s%20forte%20pente%20(14...%2016...%2030%%20!">Bike Calculator</a>.</p>
<h3>Pneus</h3>
<p>Je suis passé de pneus slick de 28mm à des pneus gravel polyvalents de 35 mm, en tubeless. L'idée était de pas trop rajouter de résistance sur la route tout en ayant un peu plus d'accroche hors-piste. Je n'ai pas la place de mettre plus gros à l'arrière, mais c'était pas trop mal pour avoir une pression relativement basse (surtout en tubeless) et ça a bien aidé sur les sentiers un peu rugueux. Pas de miracle, dès que ça devenait trop caillouteux c'était pénible aussi bien niveau traction que absorbtion des chocs, mais c'est passé.</p>
<p>Je n'ai pas ménagé le vélo. Il est un peu lourd pour un vélo de route/gravel, pas du tout orienté aérodynamisme, mais très costaud: Il s'est pris une tonne de cailloux cailloux, a du supporter un paquet de kilomètres sur des sentiers ou il aurait fallu un VTT, etc sans broncher, contrairement à son pilote par moment...</p>
<h2><a name="vetements"></a> 7. Vêtements</h2>
<p>J'ai réduit à l'essentiel : un équipement de cycliste de route standard (cuissard, maillot, sous-maillot, gants, chaussettes) le tout doublé au cas ou. S'ajoute à ça des vêtements techniques léger : un pantacourt, 2 t-shirts, 2 caleçons, 1 paire de chaussette, 1 hoodie, 1 maillot de bain.</p>
<p>Tous les jours en arrivant, je nettoyais ce qui avait servi le jour-même dans un lavabo/sous la douche, j'essorais du mieux que je pouvais, et laissait sécher pour le lendemain. Les endroits ou je restais sur place un jour de plus, j'en profitais pour me changer et éventuellement faire une vraie lessive. Quelque fois j'ai du partir alors que les vêtements n'étaient pas complètement secs, parfois en prenant ceux de rechange à la place, mais globablement cette stratégie a bien fonctionné du fait des hautes températures.</p>
<h2><a name="bagages"></a> 8. Bagages</h2>
<p>Je suis volontairement parti le plus léger possible. Comme j'avais un hébergement fixe à chaque étape, j'ai totalement zappé tout l'équipement camping traditionnellement embarqué par les bikepackers, et mon vélo n'avait donc qu'une sacoche de selle de 7L et une longue sacoche de tube horizontal de 2L. A part ça j'avais juste les 3 poches de mon maillot de cycliste, 2 emplacements pour des gourdes, et 2 tendeurs pour fixer des trucs sur la sacoche de selle. Tout était pas mal comprimé dans les sacs, mais ça tenait.</p>
<h3>Emplacements gourdes</h3>
<ul>
<li>1 Bidon 950 mL</li>
<li>1 Bidon 650 mL</li>
</ul>
<h3>Sacoche de selle</h3>
<ul>
<li>2 x Chargeur mural USB (je n'avais pas de chargeur double compact)</li>
<li>Cable USB-C</li>
<li>Cable Micro-USB (malheureusement mon vieux Garmin Edge 520 n'est pas USB-C)</li>
<li>Câble montre Garmin Fenix</li>
<li>Chiffon microfibres</li>
<li>Divers gels énergétiques</li>
<li>Divers barres énergétique</li>
<li>Divers barres protéinées</li>
<li>Brosse à dent</li>
<li>Dentifrice</li>
<li>Serviette de bain microfibre compacte</li>
<li>Maillot de bain</li>
<li>Pantacourt</li>
<li>Chaussettes techniques</li>
<li>2 x T-shirt technique ultra léger</li>
<li>2 x Caleçon technique ultra léger</li>
<li>Hoodie léger</li>
<li>Cuissard vélo rechange</li>
<li>Chaussettes vélo rechange</li>
<li>Maillot vélo rechange</li>
<li>Maillot de corps vélo rechange</li>
<li>Sac à dos pliable compact</li>
</ul>
<h3>Sacoche de tube horizontal</h3>
<ul>
<li>Écouteurs Bluetooth</li>
<li>20mL Lubrifiant vélo de secours </li>
<li>Outil multifonction</li>
<li>4 chambres à air</li>
<li>Patchs chambre à air</li>
<li>2 Démonte pneu classiques</li>
<li>1 Démonte pneu "tyre glider"</li>
<li>Assortiment câbles zip</li>
<li>Coupe ongles</li>
<li>Crême solaire 50 mL</li>
<li>Tablettes electrolytes</li>
<li>Pansements</li>
<li>Brosse à dents</li>
<li>Dentifrice</li>
<li>Divers sachets zip pour emballer le tout</li>
</ul>
<h3>Poches maillot</h3>
<ul>
<li>Téléphone</li>
<li>Couverture de survie</li>
<li>2 Gels énergétiques</li>
<li>1 Barre énergétique</li>
<li>1 Bidon 400 mL isotherme (uniquement remplie sur une des étapes)</li>
<li>Cartes CB, Vitale, Identité et argent liquide</li>
</ul>
<h3>Fixés avec les tendeurs/sur le vélo</h3>
<ul>
<li>Paire de chaussures de trail (j'utilise des chaussures de vélo avec cales pour rouler)</li>
<li>Antivol basique</li>
<li>Veste imperméable compacte Gore-Tex Shakedry</li>
</ul>
<p>La gourde isotherme est un ajout de dernière minute mi-parcours qui m'a plus gêné qu'autre chose. Elle a servi une fois sur mon étape "gravel" vers Castellane, mais à part ça c'était vraiment pas pratique vu que je n'avais pas d'emplacement supplémentaire pour sur mon vélo, et qu'elle prend 2 fois plus de place qu'une gourde classique de la même contenance. La prochaine fois je prendre une gourde normale à la place (sur une journée longue au soleil, le côté isotherme est totalement inutile : l'eau sera chaude de toutes façons) et je la fixerai sur le tube diagonal, ou alors je zapperai complètement.</p>
<p>Je n'ai eu aucune crevaison ni aucun jour de pluie, et je n'ai jamais été coincé au milieu de nulle part, donc la veste imperméable, la couverture de survie et les chambres à air n'ont jamais servi, mais je partirais pas sans pour autant (par contre, pour une prochaine fois, je pense prendre des chambres à air en TPU super légères et plus compactes). À part ça tout le reste a été utile à un moment ou à un autre. Je me suis tartiné régulièrement de crème solaire, j'en ai racheté 2 fois.</p>
<p>L'antivol était plus pour la déco plus qu'autre chose : c'est un câble qui fait 100 grammes à tout casser. Le vélo était constamment sous ma surveillance ou à l'intérieur de mon hébergement.</p>
<p>Je n'avais pas la place pour une liseuse et encore moins un laptop, mais mon téléphone m'a suffit.</p>
<p>Les chaussures de trail étaient un bon choix pour faire des randos, il me faudrait un système d'accroche plus pratique que les tendeurs mais ça a tenu. Idéalement j'aurais aussi pris des sandales pour la plage, mais j'ai fait sans.</p>
<p>Pas sûr que je changerais les bagages pour un autre voyage. Je n'ai pas vraiment la place pour une sacoche de cadre, à moins de diminuer la taille des gourdes (et encore : mon vélo est petit, il n'y a pas beaucoup de place dans le triangle de mon cadre), ou de carrément les remplacer par une sacoche de cadre intégrale avec une poche à eau. Pas très envie de rajouter une sacoche à l'avant, et une sacoche plus grande à l'arrière commencerait à trop déséquilibrer le vélo à mon gout, en plus de rajouter du poids.</p>
<h2><a name="nourriture"></a> 9. Nourriture</h2>
<p>Je n'avais sur moi que de l'eau, des barres énergétiques assez denses, des gels énergétiques et des barres proteinées, refaisant régulièrement les stocks de tout ça dans les grandes villes. Pour le reste je dépendais des restaurants, épiceries et supermarchés (et fontaines pour remplir mes gourdes : merci OpenStreetMap) sur la route.</p>
<p>Mes journées ont toutes commencé par un petit déjeuner copieux avant de partir, et ensuite ça dépendait un peu de l'inspiration du moment. Certains jours je me suis arrêté à un restaurant qui m'inspirait sur la route, les autres j'ai juste pris un sandwich-coca comme déjeuner et une barre énergétique comme goûter. Une fois arrivé, je prenais une barre protéinée et complétais par une glace, crèpe ou gauffre nutella-chantilly en deuxième goûter avant d'aller diner au restaurant, prenant généralement une pizza, un burger ou des pâtes accompagnés d'un coca. Autant dire que je faisais super gaffe à avoir un régime hautement sain et équilibré.</p>
<p>Je n'ai ni gagné ni perdu de poids, je saurais pas dire si il y a le moindre changement niveau muscles/graisse. D'après Strava, je brulais en moyenne 2000 kcal par jour à vélo.</p>
<h2><a name="hebergement"></a> 10. Hébergement</h2>
<p>J'ai utilisé un mix d'hôtels, gîtes, chambres d'hôtes ou chez l'habitant, auberge de jeunesse, logements complet airbnb, etc. Tout y est passé! Les prix variaient du simple au triple surtout dépendant du côté touristique de l'étape plus que de la qualité de l'hébergement en lui-même. J'ai particulièrement aprécié l'accueil chaleureux que j'ai reçu et la qualité des petits déjeuner dans les chambres d'hôtes comparé au reste, je pense viser en priorité ce type d'hébergement dans le futur.</p>
<h2><a name="statistiques"></a> 11. Statistiques</h2>
<p>22 jours de vacances, dont :</p>
<ul>
<li>2 jours de train (aller, retour)</li>
<li>14 jours vélo : 52 heures (*) 1119 kilomètres pour 14060 mètres de dénivelé positif</li>
<li>5 jours randonnée : 20 heures (*), 85 kilomètres pour 4092 mètres de dénivelé positif (dont 1 jour combiné vélo/rando)</li>
<li>2 jours de repos complet la première semaine</li>
</ul>
<p>(*) Sans compter les pauses/arrêts.</p>
<p>Répartition du poids :</p>
<ul>
<li>Moi + vêtements + chaussures vélo + contenu poches : 61.5 kg</li>
<li>Vélo + lampes + GPS (hors sacoches/gourdes) : 10 kg</li>
<li>Sacoches chargées et gourdes remplies : 5.5 kg</li>
</ul>
<h2><a name="conclusion"></a> 12. Pour la prochaine fois...</h2>
<p>C'était mon premier voyage à vélo, mes premières vraies vacances en solo aussi, et j'en suis très content. Le mélange de préparation/improvisation a bien fonctionné, j'ai pu voir des trucs fabuleux tous les jours, et mon corps a bien tenu tout le long. La prochaine fois, je serai peut-être plus ambitieux...</p>
<p>Si vous avez des commentaires, n'hésitez pas à m'envoyer ça <a href="https://mastodon.social/@dioxmat">sur mastodon</a>.</p>
