title: 7 Reasons why I don’t write
url: https://mxb.dev/blog/seven-reasons-why-i-dont-write/
hash_url: d7f9460e62402a298210736cdf64b88c

<p class="lead">I have recently been made aware that the frequency of new content published on my site has gone down quite a bit.</p><p>Ok fine, I <a href="https://front-end.social/@matuzo/109768438608948867">trash-talked Manuel’s website</a> on Mastodon and he correctly pointed out that while I wrote an impressive two (2) blogposts last year, he wrote around 90 (while also doing talks, audits, raising an infant daughter and probably training for a marathon or some shit like that, I mean let’s face it the guy is annoyingly productive).</p><p>I know I was slacking off a bit and those numbers speak for themselves. While I generally want to write, ideas rarely make it all the way to a published post.</p><p>Like many others, <em>“write more”</em> is high up on my imaginary list of life improvements and although I don’t usually do new year’s resolutions, now feels like a good time to re-evaluate what’s stopping me there.</p><p>I came up with seven reasons that I use to justify why I’m not writing. In a confusing twist of perspective, I’m also going to try and talk myself out of them by explaining to you, dear Reader, why they are bullshit.</p><p class="u-align-center" aria-hidden="true">···</p><h2 id="h-i-don%E2%80%99t-have-time"><a class="heading-anchor" href="#h-i-don%E2%80%99t-have-time" aria-hidden="true">#</a> I don’t have time</h2><p>This is the big one, right? We all have other things to do, and writing takes time. In my case, I’ve been really swamped with client projects and other work last year.</p><p>I think if you actually want to write though, it’s more a lack of routine than a lack of time itself. People who consistently produce content have learned to make a habit out of it. I read <a href="https://jamesclear.com/atomic-habits">“Atomic Habits”</a> by James Clear a couple of months ago and its message kinda stuck with me. It’s about conditioning yourself to do certain things more often by building a routine.</p><p>Take 15 minutes every day before you check your email and <a href="https://www.sarasoueidan.com/desk/just-write/">just write</a>. Or do it on your commute to work if possible! The trick is to use amounts of time that are so small you can’t possibly <strong>not</strong> fit them in your schedule. It may not be enough for a fully-fledged article, but enough to build a habit.</p><p>It’s also worth noting that your writing doesn’t always have to be well-crafted longform blogposts. It can just be a few paragraphs about your thoughts, linking out to other stuff. <a href="https://chriscoyier.net/">Chris</a> does a great job at this, and others have recently adopted <a href="https://nerdy.dev/">even shorter</a> <a href="https://jhey.dev/">formats</a>, mimicking social media posts in length.</p><h2 id="h-i-don%E2%80%99t-have-anything-interesting-to-say"><a class="heading-anchor" href="#h-i-don%E2%80%99t-have-anything-interesting-to-say" aria-hidden="true">#</a> I don’t have anything interesting to say</h2><p>The classic impostor syndrome comes out here. I don’t know anything special, so why bother?</p><p>The truth is that <em>everyone</em> has something interesting to say because everyone faces different challenges. You don’t have to go viral and make buzzword-riddled thinkpieces about the current hot topic - There’s enough sites who already do that, and <a href="https://maggieappleton.com/ai-dark-forest">AI will soon produce a shitton more of it</a>.</p><p>A better plan is to write about what you know and experience in your day-to-day life instead. Authentic posts are always helpful, and you will solidify your own knowledge in the process too.</p><p>Here are a few common writing prompts and examples for blogposts I love to read:</p><h2 id="h-i-gotta-fix-%5Bx%5D-on-my-site-first"><a class="heading-anchor" href="#h-i-gotta-fix-%5Bx%5D-on-my-site-first" aria-hidden="true">#</a> I gotta fix [X] on my site first</h2><p>This one is especially popular among developers. “How can I possibly write anything before the typography is perfect? How can I ever publish anything when comments are not implemented yet?” We love to tinker with our websites and that’s cool, but at some point it gets in the way of actually <em>using</em> your blog and creating content.</p><p>Despite what we tell ourselves, it really doesn’t matter too much how a blog looks or what features it has. People come for the content, and as long as they can read it, they’re happy. Throw in an RSS feed so everyone can use their own reader and you’re golden. It pains me to say it but <a href="https://front-end.social/@matuzo/109768438608948867">Manuel is absolutely correct</a> here.</p><p>And if he can be “redesigning in the open” for three years while churning out massive amounts of CSS knowledge, your site will be fine too. 😉</p><h2 id="h-others-have-already-written-about-this"><a class="heading-anchor" href="#h-others-have-already-written-about-this" aria-hidden="true">#</a> Others have already written about this</h2><p>Sometimes I’ve got a great idea for a post, but an initial Google search reveals that someone else already beat me to it. The novelty has worn off and that other post is way better than what I could have come up with anyway, I tell myself.</p><p>That’s not a real reason of course, nobody has a monopoly on a subject. Others may have already covered the topic - but not in your voice, not from your perspective. You could write a post about the exact same thing and still provide valuable information the other author has missed. Or you could approach the subject from a different angle, for a different skill-level or for a different audience.</p><p>Another way is to read the material that is already available and take notes about all the questions you still have afterwards. Try to actually do the thing (write the code, use the app, whatever) and see what other information would have been helpful for you to have. Write that!</p><h2 id="h-the-moment-for-this-has-passed"><a class="heading-anchor" href="#h-the-moment-for-this-has-passed" aria-hidden="true">#</a> The moment for this has passed</h2><p>There are writing ideas that are inspired by some event or conversation. Maybe something big happened on the web or I’ve had a particularly interesting discussion on social media. So I sketch out a quick outline for a post and stick it in my <code>drafts</code> folder, thinking I’ll get back to it later.</p><p>Three weeks pass and that lonely draft sits around gathering dust, and by the time I remember it, the moment has passed. The conversation has moved on, and so the post is abandoned and eventually deleted.</p><p>The internet moves pretty fast and there’s always a “hot topic of the day”, but that doesn’t mean that nobody is interested in anything else. A beautiful thing about blogs is that they’re asynchronous. You can just write things and put them out there, and even if they don’t hit a nerve immediately, people can discover them in their own time.</p><p>Older posts can also get re-discovered years later and get a second wind, not to mention that people constantly search for specific things - and your post might be just what they’re looking for then! Some of my old posts about <a href="/blog/webring-kit/">webrings</a> and the IndieWeb have recently found readers again since Twitter has started going down the drain. You never know!</p><h2 id="h-i-can%E2%80%99t-get-it-to-sound-right"><a class="heading-anchor" href="#h-i-can%E2%80%99t-get-it-to-sound-right" aria-hidden="true">#</a> I can’t get it to sound right</h2><p>Most of the (tech) blogs I read are in English, even though its authors are from all over the world. For a non-native english speaker like myself, it can sometimes be daunting to write in a foreign language. This is a barrier when it comes to producing “polished” text - there’s extra brain cycles involved in getting your ideas to “sound” right.</p><p>This is probably not a big deal though. People don’t expect to read world-class literature when they come to check out a blogpost about “Lobster Mode”. As long as you can get your point across, it’s fine if you don’t use fancy words. It can also be an advantage: for an international audience, simple English might even be easier to understand.</p><p>That being said, this is a usecase where AI might actually be helpful! While <abbr title="Large Language Models">LLMs</abbr> like GPT-3 and co are <a href="https://themarkup.org/hello-world/2023/01/28/decoding-the-hype-about-ai">useless at creating actual content</a> or original thoughts, they’re great at making sentences sound nice. Tools like <a href="https://www.jasper.ai/">Jasper</a> can rewrite your copy and improve the tone without changing the contained information. Sort of like <a href="https://prettier.io/">prettier</a> but for English prose.</p><h2 id="h-nobody%E2%80%99s-going-to-read-it-anyway"><a class="heading-anchor" href="#h-nobody%E2%80%99s-going-to-read-it-anyway" aria-hidden="true">#</a> Nobody’s going to read it anyway</h2><p>Let’s be honest: nobody likes to shout into the void. Everyone wants their content to be seen, and social validation is the sweet sweet dopamine reward we all crave.</p><p>There’s nothing wrong with sharing your work on social media or popular orange link aggregators either, but sometimes there just won’t be much of a reaction after you publish. That can feel frustrating - but ultimately I think obesessing over vanity metrics is not worth it anyway. Just because something doesn’t make the frontpage of Reddit does not mean it’s not valuable.</p><p>Don’t underestimate how many people actively read personal blogs though! The web dev community is especially fond of RSS, and with the Fediverse gaining more and more popularity, original content on your own domain has a much better reach now than before.</p><p class="u-align-center" aria-hidden="true">···</p><p>Right, I realize it’s a bit weird to write a post about how I don’t write posts. But I hope to push back on this in 2023 and find more time for writing. I also suspect that other people have similar reasons and maybe talking about them helps a bit.</p><p>In any case, that’s one more post in the bank!</p>
