title: Why I’m Not Writing a Productivity Series
url: https://jacobian.org/2024/apr/4/not-writing-about-productivity/
hash_url: 10d2718395313e94f45ab8484bfc8d86
archive_date: 2024-04-06
og_image: https://jacobian.org/cards/not-writing-about-productivity.png
description: I planned and started to write a series about personal productivity systems, but I’m abandoning the series. Here’s why.
favicon: https://jacobian.org/favicon.ico
language: en_US

<p>Towards the end of last year, I had a conversation that got stuck in my brain. I was talking with someone who <a href="https://jacobian.org/help/">reached to me for advice</a> on their career. They were feeling stuck. Their job was fine but not great – good enough that they didn’t want to switch jobs for a simple lateral move, but bad enough that they were mildly unhappy much of the time. They didn’t have the skillset they needed to land a new job at a higher seniority and pay grade, and there were no opportunities for advancement at their current job. They had been trying to spend time leveling up, but hadn’t made any progress.</p><p>At one point during the conversation, I started asking about how they set goals and tracked work. It was clear to me that they had clear goals: they had specific skills they knew they needed to learn to get tho the next level in their career. I was wondering if perhaps they wen’t translating those goals into tasks and/or executing on those tasks; I thought that maybe improving their work tracking system could help.</p><p>They told me that they use Jira for task tracking at work, and that it works really well for them. They have a backlog of tickets, they review it regularly, and if there’s a ticket for something it gets done. “But”, they said, “I can’t exactly put ‘get a better job’ into my work Jira!”</p><p>This line stuck with me because it follows a common pattern I’ve seen. Many people struggle to make progress on long-term goals because they don’t have a system for getting things done that works for them. Sometimes — as with this person — the work tracking system provided by their employer fits their brain, and in those cases they can get their <em>assigned</em> work done&amp;mldr; but they then struggle to make progress on personal priorities or long-term career moves that aren’t things they can use their work tracking system.</p><p>Most people have tasks, projects, and goals outside work, but they often don’t approach them with the same rigor as they approach their day jobs. That seems weird if you step back from it: why are you giving less time and attention to your personal goals than you give to work? We use work tracking systems at work because we understand that these systems can facilitate focus and help us get work done. When we don’t do the same with our side projects and personal goals, we can end up implicitly prioritizing our day jobs other work that brings us more joy. Applying some level of rigor to tracking our personal work can help make sure we properly prioritize it.</p><p>I believe pretty strongly that everyone needs a <strong>personal work tracking system</strong> – a set of practices that work <em>for them</em> and helps them get things done and feel good about their work. An employer’s work tracking system might be <em>part</em> of this personal system, but most people will need additional tools and practices on top to account for other work.</p><p>I also believe that there’s no single right answer here. It’s about finding a system that fits your brain. Everyone’s brain works differently, and the circumstances in our lives differ wildly. Systems that work well for one person in one context might be totally inaccessible or hilariously wrong for someone else in a different context.</p><p>So late last year I began researching a series on these personal productivity practices. My plan was to interview several people and present individual case studies on them, the systems they built, and why those systems work well for them. I conducted a bunch of these interviews, started to write up my findings &amp;mldr; and ultimately decided that I won’t finish or publish the series.</p><p>You see, the more I wrote about “productivity”, the more I found myself falling into a trap. It’s very difficult to write in this space without approaching the topic in a way that’s weirdly moralistic. It’s difficult to avoid implying that “being productive” is some sort of objectively virtuous behavior – and that conversely a lack of “productivity” is some sort of moral failing. I don’t believe this. Nor do I believe that we have any sort of imperative to be maximally-productive at work. You don’t need to “give 110%” to your job. You don’t “owe” your employer any sort of maximal time and attention.</p><p>I do think that “productivity” is important, but it’s a more subtle importance. It’s not about being a nice little compliant worker drone and maximizing your contributions to capitalism! Productivity is important to me in the way that it contributes to feeling content and fulfilled. It’s frustrating and stressful to be behind at work, and that stress bleeds over and affects your personal life. Being productive at work means it’s easier to “switch off” when you go home. And there’s no requirement that anyone be “productive” at home — but for many people having a long list of unfinished passion projects is demoralizing and frustrating, and finding ways to help themselves focus on projects that bring them joy can be useful.</p><p>But I’ve never been able to properly find express this, to find a tone for this series that doesn’t land dangerously close to “grindset” or “hustle culture” nonsense. It’s very easy, reading my unpublished drafts, to come away with the impression that the people I wanted to profile are “better” in some way because they get more done. I even found myself getting jealous of some people’s output, and feeling bad about my own tendency to procrastinate.</p><p>Ultimately, I can’t find a way to write this series in a way that won’t tend to make some readers feel bad about themselves, which is the opposite of my goal. So I’m abandoning the series, archiving the drafts, and writing this post to try to get a bit of closure. Perhaps someday I’ll become a skillful enough writer to cover this topic without falling into the trap. But I’m not there yet, so into the trash heap it goes.</p>
