title: The Expanding Dark Forest and Generative AI
url: https://maggieappleton.com/ai-dark-forest
hash_url: 140458968f9f7da7d14e181d0a80e799
archive_date: 2024-02-19
og_image: https://maggieappleton.com//images/og/fe37968757d0ac03e4b01c7496b2e8ac.png
description: Proving you're a human on a web flooded with generative AI content
favicon: https://maggieappleton.com//images/favicon/favicon.ico
language: en_GB

<div class="AssumedAudience__AssumedAudienceContainer-gnzma-0 LlqKU"><span class="label">Assumed Audience</span><div><p>People who have heard of GPT-3 / ChatGPT, and are vaguely following the
advances in machine learning, large language models, and image generators.
Also people who care about making the web a flourishing social and
intellectual space.</p></div></div>
<div class="Spacer-zsy3ll-0 jLPklF"></div>
<!-- --><p class="IntroParagraph-l306ci-0 hlDXQj"><p>The <span aria-expanded="false"><div class="InternalTooltipLink__StyledContainer-sc-11bupup-1 eqmyTL"><a href="/cozy-web" class="InternalTooltipLink__StyledLink-sc-11bupup-2 hvOxza"><span>dark forest theory</span></a></div></span> of the web points to the increasingly life-like but life-less state of being online.<aside class="Footnote__FootnoteContainer-sc-1ju9tgv-0 dfVcgp"><label for="1" class="margin-toggle footnote-number"></label><input type="checkbox" id="1" class="margin-toggle"><span class="footnote"><span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://onezero.medium.com/the-dark-forest-theory-of-the-internet-7dc3e68a7cb1" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>Dark Forest</span></a></div></span> <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://onezero.medium.com/the-dark-forest-theory-of-the-internet-7dc3e68a7cb1" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>Theory of</span></a></div></span> <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://onezero.medium.com/the-dark-forest-theory-of-the-internet-7dc3e68a7cb1" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>the Internet</span></a></div></span> by Yancey Strickler</span></aside> Most open and publicly available spaces on the web are overrun with bots, advertisers, trolls, data scrapers, clickbait, keyword-stuffing “content creators,” and algorithmically manipulated junk.</p></p>
<p>It's like a dark forest that seems eerily devoid of human life – all the living creatures are hidden beneath the ground or up in trees. If they reveal themselves, they risk being attacked by automated predators.</p>
<p>Humans who want to engage in informal, unoptimised, personal interactions have to hide in closed spaces like invite-only Slack channels, Discord groups, email newsletters, small-scale blogs, and <span aria-expanded="false"><div class="InternalTooltipLink__StyledContainer-sc-11bupup-1 eqmyTL"><a href="/garden-history" class="InternalTooltipLink__StyledLink-sc-11bupup-2 hvOxza"><span>digital gardens</span></a></div></span>. Or make themselves <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://www.ribbonfarm.com/2010/07/26/a-big-little-idea-called-legibility/" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>illegible</span></a></div></span> and algorithmically incoherent in public venues.</p>
<!-- --><figure class="BasicImage__Container-sc-12ox3yv-0 ChLlc"><img src="https://maggieappleton.com//images/posts/ai-dark-forest/cozyweb.png" srcset="https://maggieappleton.com//images/posts/ai-dark-forest/cozyweb-440.jpg 440w, https://maggieappleton.com//images/posts/ai-dark-forest/cozyweb-800.jpg 800w, https://maggieappleton.com//images/posts/ai-dark-forest/cozyweb-1100.jpg 1100w, https://maggieappleton.com//images/posts/ai-dark-forest/cozyweb-1300.jpg 1300w, https://maggieappleton.com//images/posts/ai-dark-forest/cozyweb-1800.jpg 1800w" alt="An illustration of layers of the web: the dark forest on top, followed by layers of cozyweb holes where people hide away from bots and ad scavengers" width="1000px" class="BasicImage__StyledBasicImage-sc-12ox3yv-1 daiAzl"></figure>
<p>That dark forest is about to <div style="transform: scaleX(1.85); display: inline-flex; margin: 0px 2.2rem;">expand</div>. Large Language Models (LLMs) that can instantly generate coherent swaths of human-like text have just joined the party.</p>
<!-- --><p>Over the last six months, we've seen a flood of LLM copywriting and content-generation products come out: <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://www.jasper.ai/" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>Jasper</span></a></div></span>, <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://www.gomoonbeam.com/" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>Moonbeam</span></a></div></span>, <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://www.copy.ai/" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>Copy.ai</span></a></div></span>, and <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://anyword.com/" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>Anyword</span></a></div></span> are just a few. They're designed to pump out advertising copy, blog posts, emails, social media updates, and marketing pages. And they're <em>really</em> good at it.<aside class="Footnote__FootnoteContainer-sc-1ju9tgv-0 dfVcgp"><label for="2" class="margin-toggle footnote-number"></label><input type="checkbox" id="2" class="margin-toggle"><span class="footnote">Primarily because <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://en.wikipedia.org/wiki/GPT-3" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>GPT-3</span></a></div></span> which powers many of these products was specifically trained on text from the web. It's intimately familiar with the style of language we use online.</span></aside></p>
<p>These models became competent copywriters much faster than people expected – too fast for us to fully process the implications. Many people had their come-to-Jesus moment a few weeks ago when OpenAI released <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://openai.com/blog/chatgpt/" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>ChatGPT</span></a></div></span>, a slightly more capable version of GPT-3 with an accessible chat-bot style interface. <aside class="Footnote__FootnoteContainer-sc-1ju9tgv-0 dfVcgp"><label for="3" class="margin-toggle footnote-number"></label><input type="checkbox" id="3" class="margin-toggle"><span class="footnote">They're calling it GPT-3.5. It's the same model with human <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://huggingface.co/blog/rlhf" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>reinforcement learning</span></a></div></span> layered on top.</span></aside> The <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://twitter.com/elonmusk/status/1599128577068650498?s=20&amp;t=MgaSdgsaF0uU1lITCVPghw" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>collective</span></a></div></span> <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://twitter.com/volodarik/status/1600854935515844610?s=20&amp;t=MgaSdgsaF0uU1lITCVPghw" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>shock</span></a></div></span> and <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://twitter.com/yu_angela/status/1599808692085743616?s=20&amp;t=MgaSdgsaF0uU1lITCVPghw" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>awe</span></a></div></span> <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://twitter.com/levie/status/1599156293050433536?s=20&amp;t=MgaSdgsaF0uU1lITCVPghw" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>reaction</span></a></div></span> made clear how few people had been tracking the progress of these models.</p>
<p>To complicate matters, language models are not the only mimicry machines gathering speed right now. Image generators like <!-- --><span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://www.midjourney.com/home/?callbackUrl=/app/" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>Midjourney</span></a></div></span>, <!-- --><span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://openai.com/dall-e-2/" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>DALL-E</span></a></div></span>, and <!-- --><span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://en.wikipedia.org/wiki/Stable_Diffusion" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>Stable Diffusion</span></a></div></span> have been on a year-long sprint. In January they could barely render a low-resolution, disfigured human face. By the autumn they reliably produced images indistinguishable from the work of human photographers and illustrators.<!-- --></p>
<div class="TwoColumn__TwoColumnContainer-sc-2qlq9z-0 ePKlxc"><figure class="BasicImage__Container-sc-12ox3yv-0 ChLlc"><img src="https://maggieappleton.com//images/posts/ai-dark-forest/mj8.png" srcset="https://maggieappleton.com//images/posts/ai-dark-forest/mj8-440.jpg 440w, https://maggieappleton.com//images/posts/ai-dark-forest/mj8-800.jpg 800w, https://maggieappleton.com//images/posts/ai-dark-forest/mj8-1100.jpg 1100w, https://maggieappleton.com//images/posts/ai-dark-forest/mj8-1300.jpg 1300w, https://maggieappleton.com//images/posts/ai-dark-forest/mj8-1800.jpg 1800w" alt="..." width="100%" class="BasicImage__StyledBasicImage-sc-12ox3yv-1 iGepOK"></figure><figure class="BasicImage__Container-sc-12ox3yv-0 ChLlc"><img src="https://maggieappleton.com//images/posts/ai-dark-forest/mj1.png" srcset="https://maggieappleton.com//images/posts/ai-dark-forest/mj1-440.jpg 440w, https://maggieappleton.com//images/posts/ai-dark-forest/mj1-800.jpg 800w, https://maggieappleton.com//images/posts/ai-dark-forest/mj1-1100.jpg 1100w, https://maggieappleton.com//images/posts/ai-dark-forest/mj1-1300.jpg 1300w, https://maggieappleton.com//images/posts/ai-dark-forest/mj1-1800.jpg 1800w" alt="..." width="100%" class="BasicImage__StyledBasicImage-sc-12ox3yv-1 iGepOK"></figure><figure class="BasicImage__Container-sc-12ox3yv-0 ChLlc"><img src="https://maggieappleton.com//images/posts/ai-dark-forest/mj7.png" srcset="https://maggieappleton.com//images/posts/ai-dark-forest/mj7-440.jpg 440w, https://maggieappleton.com//images/posts/ai-dark-forest/mj7-800.jpg 800w, https://maggieappleton.com//images/posts/ai-dark-forest/mj7-1100.jpg 1100w, https://maggieappleton.com//images/posts/ai-dark-forest/mj7-1300.jpg 1300w, https://maggieappleton.com//images/posts/ai-dark-forest/mj7-1800.jpg 1800w" alt="..." width="100%" class="BasicImage__StyledBasicImage-sc-12ox3yv-1 iGepOK"></figure><figure class="BasicImage__Container-sc-12ox3yv-0 ChLlc"><img src="https://maggieappleton.com//images/posts/ai-dark-forest/mj3.png" srcset="https://maggieappleton.com//images/posts/ai-dark-forest/mj3-440.jpg 440w, https://maggieappleton.com//images/posts/ai-dark-forest/mj3-800.jpg 800w, https://maggieappleton.com//images/posts/ai-dark-forest/mj3-1100.jpg 1100w, https://maggieappleton.com//images/posts/ai-dark-forest/mj3-1300.jpg 1300w, https://maggieappleton.com//images/posts/ai-dark-forest/mj3-1800.jpg 1800w" alt="..." width="100%" class="BasicImage__StyledBasicImage-sc-12ox3yv-1 iGepOK"></figure><figure class="BasicImage__Container-sc-12ox3yv-0 ChLlc"><img src="https://maggieappleton.com//images/posts/ai-dark-forest/mj9.png" srcset="https://maggieappleton.com//images/posts/ai-dark-forest/mj9-440.jpg 440w, https://maggieappleton.com//images/posts/ai-dark-forest/mj9-800.jpg 800w, https://maggieappleton.com//images/posts/ai-dark-forest/mj9-1100.jpg 1100w, https://maggieappleton.com//images/posts/ai-dark-forest/mj9-1300.jpg 1300w, https://maggieappleton.com//images/posts/ai-dark-forest/mj9-1800.jpg 1800w" alt="..." width="100%" class="BasicImage__StyledBasicImage-sc-12ox3yv-1 iGepOK"></figure><figure class="BasicImage__Container-sc-12ox3yv-0 ChLlc"><img src="https://maggieappleton.com//images/posts/ai-dark-forest/mj4.png" srcset="https://maggieappleton.com//images/posts/ai-dark-forest/mj4-440.jpg 440w, https://maggieappleton.com//images/posts/ai-dark-forest/mj4-800.jpg 800w, https://maggieappleton.com//images/posts/ai-dark-forest/mj4-1100.jpg 1100w, https://maggieappleton.com//images/posts/ai-dark-forest/mj4-1300.jpg 1300w, https://maggieappleton.com//images/posts/ai-dark-forest/mj4-1800.jpg 1800w" alt="..." width="100%" class="BasicImage__StyledBasicImage-sc-12ox3yv-1 iGepOK"></figure></div>
<aside class="Typography__Subtext-sc-1dhc7go-6 cHqTEw">Images I generated with Midjourney's V4 model</aside>
<!-- --><a href="#a-generated-web"><h2 id="a-generated-web" class="Typography__Title2-sc-1dhc7go-1 eFwLIG">A Generated Web</h2></a>
<p>There's a swirl of optimism around how these models will save us from a suite of boring busywork: writing formal emails, internal memos, technical documentation, marketing copy, product announcement, advertisements, cover letters, and even negotiating with medical <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://twitter.com/StuartBlitz/status/1602834224284897282" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>insurance companies</span></a></div></span>.</p>
<p>But we'll also need to reckon with the trade-offs of making insta-paragraphs and 1-click cover images. These new models are poised to flood the web with generic, generated content.</p>
<p>You thought the first page of Google was bunk before? You haven't seen Google where SEO optimizer bros pump out billions of perfectly coherent but predictably dull informational articles for every longtail keyword combination under the sun.</p>
<p>Marketers, influencers, and growth hackers will set up <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://zapier.com/apps/openai/integrations" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>OpenAI → Zapier</span></a></div></span> pipelines that auto-publish a relentless and impossibly banal stream of LinkedIn #MotivationMonday posts, “engaging” tweet <span role="img">🧵</span> threads, Facebook outrage monologues, and corporate blog posts.</p>
<p>It goes beyond text too: <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://twitter.com/SamRo/status/1605919856808714240?s=20&amp;t=QB-eYoISuymlqbHFFDnrWw" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>video essays on YouTube</span></a></div></span>, TikTok clips, podcasts, slide decks, and Instagram stories can all be generated by <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://runwayml.com/" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>patchworking</span></a></div></span> together ML systems. And then <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://byautomata.io/" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>regurgitated</span></a></div></span> for each medium.</p>
<p>We're about to drown in a sea of pedestrian takes. An explosion of noise that will drown out any signal. Goodbye to finding original human insights or authentic connections under that pile of cruft.</p>
<p>Many people will say we already live in this reality. We've already become skilled at sifting through unhelpful piles of “optimised content” designed to gather clicks and advertising impressions.</p>
<p>4chan proposed <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://www.theatlantic.com/technology/archive/2021/08/dead-internet-theory-wrong-but-feels-true/619937/" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>dead internet theory</span></a></div></span> years ago: that most of the internet is “empty and devoid of people” and has been taken over by artificial intelligence. A milder version of this theory is simply that we're overrun <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://nymag.com/intelligencer/2018/12/how-much-of-the-internet-is-fake.html" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>with bots</span></a></div></span>. Most of us take that for granted at this point.</p>
<p>But I think the sheer volume and scale of what's coming will be meaningfully different. And I think we're unprepared. Or at least, I am.</p>
<hr>
<a href="#passing-the-reverse-turing-test"><h2 id="passing-the-reverse-turing-test" class="Typography__Title2-sc-1dhc7go-1 eFwLIG">Passing the Reverse Turing Test</h2></a>
<p>Our new challenge as little snowflake humans will be to prove we aren't language models. It's the reverse <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://en.wikipedia.org/wiki/Turing_test" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>turing test</span></a></div></span>.</p>
<div class="TweetEmbed__TweetContainer-sc-1j7oyq8-0 dYplAO tweet"><div></div></div>
<div class="TweetEmbed__TweetContainer-sc-1j7oyq8-0 dYplAO tweet"><div></div></div>
<p>After the forest expands, we will become deeply sceptical of one another's <em>realness</em>. Every time you find a new favourite blog or Twitter account or Tiktok personality online, you'll have to ask: Is this really a whole human with a rich and complex life like mine? Is there a <em>being</em> on the other end of this web interface I can form a relationship with?<aside class="Footnote__FootnoteContainer-sc-1ju9tgv-0 dfVcgp"><label for="4" class="margin-toggle footnote-number"></label><input type="checkbox" id="4" class="margin-toggle"><span class="footnote">“Relationship” in the holistic sense – friend, acquaintance, pen pal, intellectual interlocutor, frenemy, drinking buddy, and sure, maybe a lover.</span></aside></p>
<p>Before you continue, pause and consider: How would <em>you</em> prove you're not a language model generating predictive text? What special human tricks can you do that a language model can't?</p>
<h3 id="1-triangulate-objective-reality" class="Typography__Title3-sc-1dhc7go-3 jIUqxb">1. Triangulate objective reality</h3>
<p>As language models become increasingly capable and impressive, we should remember they are, at their core, linguistic <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://www.datacamp.com/blog/a-beginners-guide-to-gpt-3#:~:text=Language%20modeling%20is,predicting%20word%20sequences." class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>prediction systems</span></a></div></span>. They cannot (yet) reason like a human.</p>
<p>They do not have beliefs based on evidence, claims, and principles. They cannot consult external sources and run experiments against objective reality. They cannot go outside and touch grass.</p>
<p>In short, they do not have access to the same shared reality we do. They do not have embodied experiences, and cannot sense the world as we can sense it; they don't have vision, sound, taste, or touch. They cannot feel emotion or tightly hold a coherent set of values. They are not part of cultures, communities, or histories.</p>
<p>They are a language model in a box. If a historical event, fact, person, or concept wasn't part of their training data, they can't tell you about it. They don't know about events that happened after a certain cutoff date. <aside class="Footnote__FootnoteContainer-sc-1ju9tgv-0 dfVcgp"><label for="5" class="margin-toggle footnote-number"></label><input type="checkbox" id="5" class="margin-toggle"><span class="footnote">Currently 2021 for GPT-3 / ChatGPT, but we can expect that to regularly update as new models are trained</span></aside></p>
<p>I found Murray Shanahan's paper on <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="http://arxiv.org/abs/2212.03551" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>Talking About Large Language Models</span></a></div></span> (2022) full of helpful reflections on this point:</p>
<figure><blockquote class="BlockquoteCitation__Blockquote-sc-15uv93b-1 jMOCbH"><p><p>Humans are members of a community of language-users inhabiting a shared world, and this primal fact makes them essentially different to large language models. We can consult the world to settle our disagreements and update our beliefs. We can, so to speak, “triangulate” on objective reality.</p></p><figcaption><cite class="BlockquoteCitation__Cite-sc-15uv93b-0 bcodDR"><span>Murray Shanahan – </span><a href="http://arxiv.org/abs/2212.03551">Talking About Large Language Models</a></cite></figcaption></blockquote></figure>
<p>This leaves us with some low-hanging fruit for humanness. We can tell richly detailed stories grounded in our specific contexts and cultures: place names, sensual descriptions, local knowledge, and, well the <!-- --><em>je ne sais quoi</em> of being alive. Language models can decently mimic this style of writing but most don't without extensive prompt engineering. They stick to generics. They hedge. They leave out details. They have trouble maintaining a coherent sense of self over thousands of words.</p>
<p>Hipsterism and recency bias will help us here. Referencing obscure concepts, friends who are real but not famous, niche interests, and recent events all make you plausibly more human.<aside class="Footnote__FootnoteContainer-sc-1ju9tgv-0 dfVcgp"><label for="6" class="margin-toggle footnote-number"></label><input type="checkbox" id="6" class="margin-toggle"><span class="footnote">This feels eerily like a hostage holding up yesterday's newspaper to prove they are actively in danger. Perhaps a premonition.</span></aside></p>
<h3 id="2-be-original-critical-and-sophisticated" class="Typography__Title3-sc-1dhc7go-3 jIUqxb">2. Be original, critical, and sophisticated</h3>
<p>Easier said than done, but one of the best ways to prove you're not a predictive language model is to demonstrate critical and sophisticated thinking.</p>
<p>Language models spit out text that sounds like a B+ college essay. Coherent, seemingly comprehensive, but never truly insightful or original (at least for now).</p>
<p>In a repulsively evocative metaphor, they engage in “<span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://en.wikipedia.org/wiki/The_Human_Centipede_(First_Sequence)" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>human centipede</span></a></div></span> epistemology.”<aside class="Footnote__FootnoteContainer-sc-1ju9tgv-0 dfVcgp"><label for="7" class="margin-toggle footnote-number"></label><input type="checkbox" id="7" class="margin-toggle"><span class="footnote">I found this phrase via Twitter, but posted from a private account so I won't cite the original author.</span></aside> Language models regurgitate text from across the web, which some humans read and recycle into "original creations," which then become fodder to train other language models, and around and around we go recycling generic ideas and arguments and tropes and ways of thinking.</p>
<p>Hard exiting out of this cycle requires coming up with unquestionably original thoughts and theories. It means seeing and synthesising patterns across a broad range of sources: books, blogs, cultural narratives served up by media outlets, conversations, podcasts, lived experiences, and market trends. We can observe and analyse a much fuller range of inputs than bots and generative models can.</p>
<p>It will raise the stakes for everyone. As both consumers of content and creators of it, we'll have to foster a greater sense of critical thinking and scepticism.</p>
<p>This all sounds a bit rough, but there's a lot of hope in this vision. In a world of automated intelligence, our goalposts for intelligence will shift. We'll raise our quality bar for what we expect from humans. When a machine can pump out a great literature review or summary of existing work, there's no value in a person doing it.</p>
<h3 id="3-develop-creative-language-quirks-dialects-memes-and-jargon" class="Typography__Title3-sc-1dhc7go-3 jIUqxb">3. Develop creative language quirks, dialects, memes, and jargon</h3>
<p>The linguist <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://en.wikipedia.org/wiki/Ferdinand_de_Saussure" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>Ferdinand de Saussure</span></a></div></span> argued there are two kinds of language:</p>
<ul>
<li><strong>La langue</strong> is the formal concept of language. These are words we print in the dictionary, distribute via educational institutions, and reprimand one another for getting it wrong.</li>
<li><strong>La parole</strong> is the speech of everyday life. These are the informal, diverse, and creative speech acts we perform in conversations, social gatherings, and text to the group WhatsApp. This is where language evolves.</li>
</ul>
<p>We have designed a system that automates a standardised way of writing. We have codified <!-- --><em>la langue</em> at a specific point in time.</p>
<p>What we have left to play with is <em>la parole</em>. No language model will be able to keep up with the pace of weird internet lingo and memes. I expect we'll lean into this. Using neologisms, jargon, euphemistic emoji, unusual phrases, ingroup dialects, and memes-of-the-moment will help signal your humanity.</p>
<p>Not unlike teenagers using language to subvert their elders, or oppressed communities developing dialects that allow them to safely communicate amongst themselves.</p>
<h3 id="4-consider-institutional-verification" class="Typography__Title3-sc-1dhc7go-3 jIUqxb">4. Consider institutional verification</h3>
<p>This solution feels the least interesting. We're already hearing rumblings of how “verification” by centralised institutions or companies might help us distinguish between meat brains and metal brains.</p>
<p>The idea is something like this: you show up in person to register your online accounts or domains. You then get some kind of special badge or mark online legitimising you as a Real Human. It may or may not be on the blockchain somehow.</p>
<p>Google might look something like this:</p>
<figure class="ImageFrame__Container-sc-1c93cul-0 jlxTrp"><img src="https://maggieappleton.com//images/posts/ai-dark-forest/human_google.jpg" srcset="https://maggieappleton.com//images/posts/ai-dark-forest/human_google-440.jpg 440w, https://maggieappleton.com//images/posts/ai-dark-forest/human_google-800.jpg 800w, https://maggieappleton.com//images/posts/ai-dark-forest/human_google-1100.jpg 1100w, https://maggieappleton.com//images/posts/ai-dark-forest/human_google-1300.jpg 1300w, https://maggieappleton.com//images/posts/ai-dark-forest/human_google-1800.jpg 1800w" alt="Google search results showing a 'certified human' badge on some items" width="1300px" class="ImageFrame__StyledImageFrame-sc-1c93cul-1 dlXCP"></figure>
<p>The whole thing seems fraught with problems, susceptible to abuse, and ultimately impractical. Would it even be the web if everyone knew you were really a dog?</p>
<!-- --><figure class="BasicImage__Container-sc-12ox3yv-0 ChLlc"><img src="https://maggieappleton.com//images/posts/ai-dark-forest/Internet_dog.jpeg" srcset="https://maggieappleton.com//images/posts/ai-dark-forest/Internet_dog-440.jpg 440w, https://maggieappleton.com//images/posts/ai-dark-forest/Internet_dog-800.jpg 800w, https://maggieappleton.com//images/posts/ai-dark-forest/Internet_dog-1100.jpg 1100w, https://maggieappleton.com//images/posts/ai-dark-forest/Internet_dog-1300.jpg 1300w, https://maggieappleton.com//images/posts/ai-dark-forest/Internet_dog-1800.jpg 1800w" alt="The original internet dog meme: 'On the internet, no one knows you're a dog'" width="460px" class="BasicImage__StyledBasicImage-sc-12ox3yv-1 klXNGD"><figcaption>The original internet dog meme: 'On the internet, no one knows you're a dog'</figcaption></figure>
<h3 id="5-show-up-in-meatspace" class="Typography__Title3-sc-1dhc7go-3 jIUqxb">5. Show up in meatspace</h3>
<!-- --><p>The final edge we have over language models is that we can prove we're real humans by showing up IRL with our real human bodies. We can arrange to meet Twitter mutuals offline over coffee. We can organise meetups and events and conferences and unconferences and hangouts and pub nights.</p>
<p>In <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://www.fortressofdoors.com/ai-markets-for-lemons-and-the-great-logging-off/" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>Markets for Lemons and the Great Logging Off</span></a></div></span>, Lars Doucet proposed several knock-on effects from this offline-first future. We might see increased <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://www.fortressofdoors.com/ai-markets-for-lemons-and-the-great-logging-off/#:~:text=a%20resurgence%20and%20even%20fetishization%20of%20explicitly%20%22offline%22%20culture%2C%20where%20the%20%22Great%20Logging%20Off%22%20becomes%20literal" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>fetishisation</span></a></div></span> of anti-screen culture, as well as <span aria-expanded="false"><div class="TooltipLink__StyledContainer-sc-1azn7hi-1 hSnOot"><a href="https://www.fortressofdoors.com/ai-markets-for-lemons-and-the-great-logging-off/#:~:text=Seventh%2C%20real,amenities%20are%20available" class="TooltipLink__StyledLink-sc-1azn7hi-2 ijKyXp"><span>real estate</span></a></div></span> price increases in densely populated areas.</p>
<p>For the moment we can still check humanness over Zoom, but live video generation is getting good enough that I don't think that defence will last long.</p>
<p>There are, of course, many people who can't move to an offline-first life; people with physical disabilities. People who live in remote, rural places. People with limited time and caretaking responsibilities for the very young or the very old. They will have a harder time verifying their humanness online. I don't have any grand ideas to help solve this, but I hope we find better solutions than my paltry list.</p>
<p>As the forest grows darker, noisier, and less human, I expect to invest more time in in-person relationships and communities. And while I love meatspace, this still feels like a loss.</p>
