title: We’ve been waiting 20 years for this
url: https://thehistoryoftheweb.com/weve-been-waiting-20-years-for-this/
hash_url: 155c5458fcbfb1450f19bc0d268c871e
archive_date: 2024-02-06
og_image: https://thehistoryoftheweb.com/wp-json/social-image-generator/v1/image/15943
description: The indie web may be back. But if is, it is likely in a way we least expect.
favicon: https://ik.imagekit.io/aoi3fgebjgr/wp-content/uploads/2017/09/cropped-thotw-logo-square-1-32x32.jpg
language: en_US

<div class="h4 deck"><p>The indie web may be back. But if is, it is likely in a way we least expect.</p></div><hr class="deck__rule"><p>In 2002, <em>Wired</em> published an article from blogger and political commentator Andrew Sullivan titled <em>The Blogging Revolution</em>. In his post, Sullivan argues that blogging is a fully realized alternative to traditional publications that shifts the “means of production” into the hands of individuals. He described blogging as a deeply personal and diverse collection of perspectives that, collectively, create something that borders on a revolution.</p><blockquote class="wp-block-quote"><p>Poised between media, blogs can be as nuanced and well-sourced as traditional journalism, but they have the immediacy of talk radio. Amid it all, this much is clear: The phenomenon is real. Blogging is changing the media world and could, I think, foment a revolution in how journalism functions in our culture.</p></blockquote><p>Sullivan’s prediction proved mostly accurate. Blogging spread everywhere and challenged traditional journalism norms. It gave rise to new voices, revolutionized and added a new style to online writing, and changed the way information moves through the world.</p><p>But blogging was also eventually consumed by the channels that it was set up to challenge. Influential bloggers took jobs at mainstream media outlets, sparking a shift towards commercialization for a blogosphere increasingly influenced and beholden to ad revenue. Meanwhile, social media’s walled garden moved in on blogging’s territory, halting its ascendancy in the process.</p><h2 class="wp-block-heading">The 20 Year Cycle</h2><p><a href="https://theamag.com/6494/culture/will-personal-style-put-an-end-to-the-20-year-trend-cycle%EF%BF%BC/">With roots in the world of fashion</a>, there exists a cyclical principle suggesting that every two decades, previously popular trends “every 20 years or so the trends that were once popular will begin to be on the forefront again.” What’s old is new again. However, these recurring trends aren’t just rip-offs. They are remixed and reinterpreted through the lens of a new generation.</p><p>We are, perhaps, in a 20 year resurgence for the indie web and blogging.</p><h2 class="wp-block-heading">Blogging Revolution Redux</h2><p>Anil Dash, no stranger to the art and mechanics of blogging himself, certainly thinks so. He recently <a href="https://www.rollingstone.com/culture/culture-commentary/internet-future-about-to-get-weird-1234938403/">penned an article entitled <em>The Internet is about to Get Weird Again</em></a>. Half predication, half call to action, Dash envisions a rejuvenated future for the web-one that is distinctly personal, multifaceted, and crucially, very, very weird.</p><blockquote class="wp-block-quote"><p>There’s not going to be some new killer app that displaces Google or Facebook or Twitter with a love-powered alternative. But that’s because there shouldn’t be. There should be lots of different, human-scale alternative experiences on the internet that offer up home-cooked, locally-grown, ethically-sourced, code-to-table alternatives to the factory-farmed junk food of the internet. And they should be weird.</p></blockquote><p>These are the kinds of predictions that have been made before, and it’s hard not to get at least a little caught up in Dash’s particular brand of enthusiasm. There is a very good chance he is right, though maybe not exactly how he imagines it. These types of predictions have been made before, both of the web’s coming boom and its supposedly inevitable end. But what these predictions get wrong is that the results are often a reinterpretation rather than a repeat.</p><p><a href="https://www.garbageday.email/p/an-hour-of-ai-comedy-that-sucks">Writing in his blog, Ryan Broderick tempers expectations</a>. Or, at the very least, filters them through a more nuanced interpretation of the 20 year trend cycle.</p><blockquote class="wp-block-quote"><p>I think the internet is cyclical and things do come back around again, but they tend not to really ever be exactly the same. Much of the 2000s internet was defined by connection speeds. So maybe another way to think about the return of Weird Internet is that the web of the 2020s is what the web of the 2000s would have <em>been</em> like if we all had 5G.</p></blockquote><h2 class="wp-block-heading">The Appeal of Blogging: A Personal Reflection</h2><p>Nevertheless, blogging has a certain appeal. <a href="https://www.tbray.org/ongoing/When/201x/2017/05/03/Blogging-in-2017">As Tim Bray wrote some five years ago</a>, already well into his own blog’s archives, he captures the essence of experiencing blogs rather well:</p><blockquote class="wp-block-quote"><p>On blogs, I can read most of the long-form writing that’s worth reading about the art and craft of programming computers. Or I can follow most of the economists’ debates that are worth having. Or I can check out a new photographer every day and see new a way of seeing the world.</p></blockquote><p>Blogging isn’t one thing and that’s kind of the point. It exists fractured by intention and it can be many things to many people. And now, 20 years after the last blogging revolution, something like a fractured digital presence is once again appealing</p><h3 class="wp-block-heading">Personal over Popular</h3><p>Especially when the aim isn’t acquiring followers, but to achieve something more intimate. <a href="https://keningzhu.com/journal/build-a-world-not-an-audience">Kening Zhu recently reflected</a> on how social media has led people into building an audience at massive scales, instead of cultivating a representation that truly reflects their identity.</p><blockquote class="wp-block-quote"><p>I think, in this race to “build an audience,” somewhere in the process, something is missing, left behind — perhaps, a sense of humanity, or individual complexity, or truth, or intimacy.</p><p>I don’t want to feel like I’m just an email address, an IP address, or a potential “lead.” I want to feel fully seen. human.</p></blockquote><p>This same sentiment is echoed in a deeply intimate rumination on the nature of blogging, <a href="https://www.henrikkarlsson.xyz/p/search-query"><em>A blog post is a very long and complex search query to find fascinating people and make them route interesting stuff to your inbox</em>, Henrik Karlsson</a> tracks a very different course for how information spreads. If we put words and ideas out into the web, it will distriute <em>simply because it is there</em>.</p><blockquote class="wp-block-quote"><p>The pleasant parts of the internet seemed to be curated by human beings, not algorithms. For my writing to find its way in this netherworld, I needed to have a rough sense of how information flowed down there. The pattern was this: words flowed from the periphery to the centers. This was a surprisingly rapid stream. Then the words cascaded from the center down in a broader but slower stream to the periphery again.</p></blockquote><p>Or put more simply: The social structure of the internet is shaped far more by humans than it is by algorithms. If we were to draw it on a map, it would look like a river, branching out in every direction.</p><h2 class="wp-block-heading">A New Age of Blogging</h2><p>How you choose to embark on that river is entirely up to you. But in the past year, and now more than ever, there are people that are embarking on a path of discovery once again.</p><p>Maybe it’s plain old RSS (<a rel="noreferrer noopener" href="https://chriscoyier.net/2024/01/22/where-have-all-the-websites-gone/" target="_blank">which Chris Coyier will tell you, totally works</a>).</p><p>Maybe it’s building a digital garden, which has gained traction all over the web, but perhaps no where more precisely defined <a rel="noreferrer noopener" href="https://maggieappleton.com/garden" target="_blank">than on Maggie Appleton’s site</a>.</p><p>Maybe you could build a world, like Zhu recommends.</p><p>But the blogging of today won’t look like the blogging of 2002. There are too many things that have changed. The web is bigger, It is more divisive and more complicated and the need for moderated discussion is great. As the blogging revolution is reflected through this new cycle, it will look like something different.</p><p>And maybe what’s missing now is simply connection. <a href="https://www.theguardian.com/commentisfree/2023/dec/26/blogging-freedom-outdated-format">Simon Renyolds</a>:</p><blockquote class="wp-block-quote"><p>Today, there are still plenty of active music blogs I enjoy reading. But what’s changed – what’s gone – is inter-blog communication. The argumentative back and forth, the pass-the-baton discussions that rippled across the scene, the spats and the feuds – these are things of the past</p></blockquote>
