title: We're Just Temporarily Abled
url: http://uxmag.com/articles/we-re-just-temporarily-abled
hash_url: 257acc9fe0cdbf4c75e913ee0bbc89b4

<p>A few years ago, I had the opportunity to attend and present at a great conference where Cindy Li delivered a phenomenal keynote.</p><p>I learned about 8 million new things during her talk, but she made one particular statement that really stuck with me.</p><p>She simply said,</p><h2>“We’re all just temporarily abled.”</h2><p>She talked a little bit about her mother who has an ocular disease that is slowly blinding her over time. Then she mentioned that while she doesn’t have an ocular disease herself, she is beginning to require stronger glasses prescriptions each year.</p><p>Why am I talking about Cindy’s eye health? Because she then pointed out that as designers we need to design for accessibility, not only for folks who are permanently visually or hearing impaired or have severe motor issues right now, but also for our future selves.</p><h1>Design for the future you.</h1><p>With each passing birthday, our vision is starting to go. Eventually our hearing will start to go and so will our mobility. I will have these issues, you will have these issues--they’re just part of the aging process.</p><p>We aren’t just designing accessible products and websites for a subgroup of people who we may or may not know, who have permanent visual or motor issues. We’re designing these sites and products for our future selves as well.</p><p>The next time you’re tempted to brush off accessibility while you’re working on a design, picture yourself in 20 or 30 years trying to use your own website or product. It’s a pretty life changing shift in thinking. I like to call it “forced empathy.”</p><h1>Angry, sobbing or drunk people may try to use your product or website—ready?</h1><p>The last day of the conference, a second session was held that had a focus on accessibility. This time, the presenter, Robin Smail, pointed out that every visitor who comes to your site is NOT going to be dedicating 100% of their mental energy to navigating your product or website content.</p><p>What if they just fought with a family member or coworker? They are going to be smashing their mouse around on the desk trying to get through your product or site. What if they’ve been crying? Their vision is going to be impaired. What if they’ve been drinking? (I’m sure YOU have never shopped online while slightly intoxicated, but you know… OTHER people do it.) ;)</p><p>The point of her talk was that we need to focus on accessibility and awesome UX for ALL visitors, whether they have permanent issues, or temporary ones.</p><h1>Pitching Accessibility Focus to Stakeholders</h1><p>I’ve been chatting with friends in the industry about designing with accessibility in mind quite a bit lately, and I keep hearing the same story over and over again. They are having a very difficult time getting stakeholders onboard. Stakeholders seem to often treat accessibility like it’s a dirty word.</p><p>Some common responses seem to be:</p><p>“We don’t have time for that.”</p><p>“We don’t have a budget for that.”</p><p>“Most of our customers don’t need it, why bother?”</p><p>If you run into a wall when trying to pitch accessibility testing and optimization to stakeholders, try putting the temporarily abled spin on it.</p><p>It shouldn’t be necessary, since making websites and products accessible is exceptionally important, but sometimes forcing someone to envision the work helping them personally can really go a long way. It helps shift the thinking from making design changes for “those people” to making design changes for “us”. It’s unfortunate, because making that designation shouldn’t even be part of the decision making process—it’s just the right thing to do, but when you’re up against a wall of resistance that change in mindset can make a huge impact.</p><p>Another great way to get them on board once you’ve had he temporarily abled conversation, is to show them what it’s like to navigate their site or product with a screen reader. (Spoiler alert: It may make them want to gouge their eardrums out with pencils.) Folks often don’t realize what they’re putting other people through by not making their sites and products accessible. A quick demo can be very eye opening.</p><h1>Accessibility Testing Tools:</h1><p>I had no idea where to even begin when it came to accessibility testing, so over time I’ve built out a small list that will help get you started:</p><p>Share your accessibility testing knowledge with the community.</p><p>I’m not even remotely close to being an accessibility testing expert, but there are tons of people who are. If you are knowledgeable on the subject, please share your insights, tool recommendations and article links with the design community. And if you’re knowledgeable but haven’t written any articles yet, please consider doing so! The more exposure we can give to the importance of accessibility testing, the better.</p>
