title: Les algorithmes n'ont pas les pleins pouvoirs
url: http://www.archivesdupresent.com/video/25/
hash_url: 7fc96371df2b8ee0c932dd6e2d2f4c25

<p><span>Ils calculent sur le web nos goûts, nos amitiés, nos achats... Jusqu’où nous gouvernent-ils ? Le sociologue <strong>Dominique Cardon </strong>a mis les mains dans la machine pour savoir ce qu’elle a en tête : non pas le modèle de Big Brother mais le rêve libéral d’individus sans société. </span></p>

<p><span>Entretien mené par <strong>Xavier de La Porte</strong>, journaliste, rédacteur en chef du site Rue89, chroniqueur sur France Culture, membre du Comité de Rédaction de la revue Vacarme, producteur de l'émission "Place de la Toile", sur France Culture, de 2009 à 2014.</span></p>

<p><strong>Verbatim (début de l'entretien)</strong></p>

<p><strong>Xavier de La Porte : Le mot « algorithme » n’appartenait absolument pas à la langue courante il y a encore quelques années, voire quelques mois. Comment le terme s’est-il imposé et dans quelles conditions techniques ? </strong></p>

<p><strong>Dominique Cardon :</strong><span> Il difficile de reconstituer les conditions sociales qui président à l’apparition dans l’espace public d’un vocabulaire spécifique. Mais l’on peut décrire l’enjeu auquel il est censé correspondre. Cet enjeu est né des transformations du web, de la massification de ses usages, des modifications de l’esprit général dans lequel internet est perçu aujourd’hui. Dans nos sociétés, il n’est plus perçu comme un phénomène nouveau, inédit, un peu subversif, un  peu créatif, mais comme quelque chose qui est partout, dominant, massif, du coup économiquement monopolisé par les grandes plateformes. Et le fait que ces  plateformes utilisent  des algorithmes pour nous orienter dans la prolifération des données est devenu une idée très présente. Du coup, voilà ce mot qui s’impose. C’est un mot très singulier, un mot d’origine arabe, qui a installé sa longue tradition mathématique pour devenir classique dans le monde de l’informatique pour désigner une suite d’instructions. Ce terme mathématique, qui vient de la logique mathématique, est devenu un élément du vocabulaire courant, commun parce que, d’une certaine manière, il sert à cristalliser des inquiétudes, des questionnements, des interrogations, et aussi une grande méconnaissance, qui s’expriment dans le débat public. Finalement, il est assez bien fait pour capturer toutes ces choses à l’état latent qui circulent aujourd’hui dans notre société.</span></p>

<p><strong>Comment pourrait-on définir un algorithme ? Vous venez de dire : « une suite d’instructions ». Quelle analogie pourrait venir à l’esprit tout de suite ? Celle de la recette de cuisine, qui est l’analogie qu’on utilise souvent ?</strong></p>

<p><span>Cette métaphore de la recette de cuisine est contestée par certains informaticiens, mais eux-mêmes l’utilisent toujours pour enseigner les algorithmes en première année de cours ! L’important, dans la  recette, c’est qu’on a des ingrédients et on a des instructions qu’il faut dérouler dans l’ordre. La question de l’ordre est absolument centrale dans un algorithme. Si on n’a pas procédé exactement dans l’ordre pour le traitement des informations, on risque d’aboutir à une recette ratée. Dans l’algorithme, il y a en effet quelque chose de cet ordre là : on mobilise des fichiers, on procède à des calculs sur des informations, ensuite on établit une règle qui transforme le calcul, et on obtient un résultat. Dans la définition de l’algorithme, la question centrale est celle de la mesure de son efficacité et de sa performance. C’est pourquoi on trouve souvent des systèmes où le problème de la boucle calculatoire va être de produire un résultat. La PageRank de Google par exemple, calcule l’autorité d’un lien par calcul récursif, en calculant l’ensemble des liens reçus par un site du web, depuis un autre site du web qui lui même en a reçu depuis un autre site, puis un autre site. On voit bien la règle commune, mais un des problèmes mathématiques que rencontre le calcul, c’est qu’on peut avoir des boucles : un site qui cite un site mais qui a déjà été cité par un autre site... Il faut donc trouver une technique calculatoire pour que de temps en temps, le calcul récursif fasse un saut pour éviter les boucles. Cela, c’est assez compliqué à faire. Il faut faire un peu de mathématiques pour éviter que le système tourne en rond. Pour cela, il va falloir mettre dans la recette des calculs une technique dite du « voyageur de commerce » qu’on va mettre dans le système calculatoire.</span></p>

<p><strong>Partons justement de la PageRank qui est peut-être l’algorithme le plus connu parce que tout le monde utilise Google, pour comprendre ce qu’il y a dans un algorithme. Il y a du calcul - vous avez parlé de calcul, de mathématiques, de problèmes, de graphes, etc. -, mais il y a aussi largement autre chose. Au départ de la PageRank, il y a une idée de l’organisation du savoir. C’est-à-dire que dans les algorithmes, il y a déjà l’expression d’une idée du monde.</strong></p>

<p><span>C’est l’objet de mon travail : les algorithmes, il y a des gens qui les fabriquent. Et ces gens qui les fabriquent ne le fabriquent pas pour rien - la mesure d’efficacité qui est au bout dépend d’une intention initiale. Une partie du travail que peut  faire l’anthropologie ou la sociologie des algorithmes, la sociologie des algorithmes, c’est d’essayer de comprendre quelle est la vision du monde, les représentations, que se sont données ceux qui les fabriquent pour que le calcul d’efficacité à la fin produise tel ou tel genre de résultat. Les genres de résultats que produisent les algorithmes sont très différents. D’où l’intérêt, à la fois de décomposer les calculs qu’ils mettent en œuvre, et aussi les principes qui sont derrière. Dans le cas de Google, l’histoire est très connue et célèbre, mais elle mérite d’être racontée. Avant Google, les anciens de l’internet ( Altavista, Lycos…) qui calculaient la réputation d’une page en fonction du nombre de fois où le mot clef qu’on écrivait dans la barre de requête apparaissait sur la page. Si je demandais vélos, j’avais la page où il y a vingt-cinq vélos. Ce qui est une idée assez bête et assez peu efficace. Alors Sergey Brin et Larry Page à la même époque, en 1998-99, ont pensé au monde de la science, dans lequel on mesure la réputation scientifique en regardant combien de fois tel ou tel article a été cité dans d’autres revues scientifiques qui elles-mêmes ont été citées dans d’autres revues scientifiques. Dans cet univers de la science, ont-ils remarqué, une forme d’approximation de la qualité s’effectue en mesurant la reconnaissance, la réputation mais surtout l’autorité qu’avait reçu un article au sein de la communauté. “Autorité“ est le bon mot parce qu’il peut s’agir d’une autorité négative : si tous les articles scientifiques se mettent à dire du mal d’un article, celui-ci a quand-même de l’autorité puisque tous les autres articles se sentent obligés de signaler que cet article est mauvais. On ne cherche pas à dire « c’est bon » ou « ce n’est pas bon », on cherche à mesurer la force d’attraction qu’exerce un article scientifique, ou un site, sur la page qui oblige les autres à les citer. Brin et Page vont appliquer cette idée. Ils se disent : on ne va pas compter les mots clefs dans les pages, on va regarder quel est le degré de centralité qu’occupe cette page à l’intérieur du tissu des liens hypertextes qui se sont noués sur le web, et on va considérer qu’on peut classer les liens du web en fonction du nombre de liens qu’ils ont reçus de sites qui eux-mêmes ont reçu d’autres liens. Et on retrouve le principe récursif du vecteur du calcul du PageRank.</span></p>

<p><strong>C’est fou à quel point on a oublié que ce web que nous avons fréquenté et qu’on continue à fréquenter via PageRank est un web qui avait comme idée le classement scientifique, une évaluation par les pairs, alors qu’on en a une image très commerciale !</strong></p>

<p><span>C’est ce qui est original dans l’histoire du web : ce type de mesures n’avait jamais été vu dans l’histoire des medias. Quand je demande à mes étudiants : « pourquoi ce site est classé en tête sur PageRank ? », ils me répondent toujours : c’est parce qu’il a reçu le plus de clics. On a tellement encore en le modèle télévisuel de la popularité, selon lequel ceux qui sont en tête sont ceux qui ont reçu beaucoup de clics, ce sont les plus populaires. C’est le modèle de Médiamétrie, de l’audimat. L’originalité du web, sa force, a été de se démarquer de ce modèle-là (en tous cas pour la recherche d’informations, ce n’est pas le cas pour tous les services du web), et d’essayer une autre voie, au moins potentiellement…</span></p>
