title: How the Soviets invented the internet and why it didn't work
url: https://aeon.co/essays/how-the-soviets-invented-the-internet-and-why-it-didn-t-work
hash_url: 8fa0536930642be50d2c53d74056d413

<p>On the morning of 1 October 1970, the computer scientist Viktor Glushkov walked into the Kremlin to meet with the Politburo. He was an alert man with piercing eyes rimmed in black glasses, with the kind of mind that, given one problem, would derive a method for solving all similar problems. And at that moment the Soviet Union had a serious problem. A year earlier, the United States launched ARPANET, the first packet-switching distributed computer network that would in time seed the internet as we know it. The distributed network was originally designed to nudge the US ahead of the Soviets, allowing scientists’ and government leaders’ computers to communicate even in the event of a nuclear attack. It was the height of the tech race, and the Soviets needed to respond.</p>
<p>Glushkov’s idea was to inaugurate an era of electronic socialism. He named the colossally ambitious project the All-State Automated System. It sought to streamline and technologically upgrade the entire planned economy. This system would still make economic decisions by state plans, not market prices, but sped up by computer modelling to predict equilibria before they happen. Glushkov wanted smarter and faster decision-making, and maybe even electronic currency. All he needed was the Politburo’s purse.</p>
<p>But when Glushkov entered the cavernous room that morning, he noticed two empty chairs at the long table: his two strongest allies were missing. Instead, he faced down a table of ambitious, steely-eyed ministers – many of whom wanted the Politburo’s purse and support for themselves.</p>
<p>Between 1959 and 1989, leading Soviet men of science and state repeatedly ventured to construct a national computer network for broadly prosocial purposes. With the deep wounds of the Second World War far from healed, the Soviet Union continued to specialise in massive modernisation projects that had transformed a dispersed tsarist nation of illiterate peasants into a global nuclear power in the course of a couple of generations.</p>
<p>After the Soviet Union’s leader Nikita Khrushchev denounced Stalin’s personality cult in 1956, a sense of possibility swept the country. Onto this scene entered a host of socialist projects to wire the national economy with networks, among them the first proposal anywhere in the world to create a national computer network for civilians. The idea was the brainchild of the military researcher Anatoly Ivanovich Kitov.</p>
<p>A young man with a small build and a keen mind for mathematics, Kitov had risen through the ranks of the Red Army in the Second World War. Then, in 1952, he encountered Norbert Wiener’s masterwork <em>Cybernetics</em> (1948) in a secret military library, the book’s title a neologism coined from the Greek for <em>steersman</em> and a postwar science of self-governing information systems. With the support of two senior scientists, Kitov translated cybernetics into a robust Russian-language approach to developing self-governing control and communication systems with computers. The supple systems vocabulary of cybernetics was intended to equip the Soviet state with a hi-tech toolkit for rational Marxist governance, an antidote to the violence and cult of personality characterising Stalin’s strongman state. Indeed, perhaps cybernetics could even help ensure that there would never again be another strongman dictator, or so went the technocratic dream. </p>
<p>In 1959, as the director of a secret military computer research centre, Kitov turned his attention to devoting ‘unlimited quantities of reliable calculating processing power’ to better planning the national economy, which was the most persistent information-coordination problem besetting the Soviet socialist project. (It was discovered in 1962, for example, that a handmade calculation error in the 1959 census goofed the population prediction by 4 million people.) Kitov wrote his thoughts down in the ‘Red Book letter’, which he sent to Khrushchev. He proposed allowing ‘civilian organisations’ to use functioning military computer ‘complexes’ for economic planning in the nighttime hours, when most military men were sleeping. Here, he thought, economic planners could harness the military’s computational surplus to adjust for census problems in real-time, tweaking the economic plan nightly if needed. He named his military-civilian national computer network the Economic Automated Management System.</p>
<p>As it happened, Kitov’s military supervisors intercepted the Red Book letter before it reached Khrushchev. They were incensed by his proposal that the Red Army share resources with civilian economic planners – resources that Kitov also dared to describe as falling behind the times. A secret military tribunal was arranged to review his transgressions, for which Kitov was promptly stripped of his Communist Party membership for a year and dismissed from the military permanently. So ended the first national public computer network ever proposed.</p>
<p>The idea, however, survived. In the early 1960s, another scientist took up Kitov’s proposal, a man whom Kitov would grow close enough to that, decades later, their children would marry: Viktor Mikhailovich Glushkov.</p>
<p><span><div class="shortcode-inline-newsletter"><p class="shortcode-inline-newsletter__title">Get Aeon straight to your inbox</p></div></span></p>
<p><span class="drop">T</span>he full title of Glushkov’s plan – <em>The All-State Automated System for the Gathering and Processing of Information for the Accounting, Planning and Governance of the National Economy, USSR</em> – speaks for itself and its epic ambitions. First proposed in 1962, the All-State Automated System, or OGAS, was intended to become a real-time, remote-access national computer network built on preexisting and new telephony wires. In its most ambitious version, it would span most of the Eurasian continent, mapping itself like a nervous system onto every factory and enterprise in the planned economy. Its network was modelled hierarchically after the three-level pyramid structure of the state and economy: one central computer centre in Moscow would connect to as many as 200 mid-level computer centres in prominent cities, which would in turn link to as many as 20,000 computer terminals distributed across key production sites in the national economy.</p>
<p><img src="https://d2e1bqvws99ptg.cloudfront.net/user_image_upload/264/Viktor-Glushov-Sputnik_00065255.HR.en.jpg"/></p><p/><p class="caption"> Viktor Mikhailovich Glushkov in 1979. Photo courtesy Sputnik Images. </p>
<p>Consonant with Glushkov’s greater life-work commitments, the network plans reflected a deliberately decentralised design. This meant that, while Moscow could specify who received which authorisations, any authorised user could contact any other user across the pyramid network – without direct permission from the mother node. Glushkov intimately understood the advantages of leveraging local knowledge in network designs, having spent so much of his career working on related mathematical problems while ferrying between his home and the central capital (he jokingly called the Kiev-Moscow train his ‘second home’).</p>
<p>The OGAS project appeared to many state officials and economic planners, especially in the late 1960s, to be the next best response to an old conundrum: the Soviets were agreed that communism was the way of the future, but no one since Marx and Engels knew how best to get there. For Glushkov, networked computing might just inch the country toward an age of what the author Francis Spufford later called ‘<span>red plenty’</span>. It was the means by which the sluggish pulp-based lifeblood of the command economy – quotas, plans and wrist-bending compendiums of industry standards – would transform into the nation’s neural firings, moving at the sublime speed of electricity. The project signified no less than the ushering in of ‘electronic socialism’.</p>
<p>Such ambitions require brilliant, committed people willing to throw off the old ways of thinking. In the 1960s, those people could be found in Kiev – a couple of blocks from where the Strugatsky brothers wrote their science fiction by night and worked as physicists by day. There, on the outskirts of Kiev, Glushkov ran the Institute of Cybernetics for 20 years, beginning in 1962. He filled his institute with ambitious young men and women; the average age of researchers was about 25. Glushkov and his youthful staff dedicated themselves to developing the OGAS and other cybernetic projects in the service of the Soviet state, such as a system of electronic receipts for virtualising hard currency into an online ledger of accounts – this in the early 1960s. Glushkov, who was known to talk down Communist Party ideologues by quoting paragraphs of Marx from memory, described his innovation as a faithful fulfilment of Marxist prophecy of a moneyless socialist future. Unfortunately for Glushkov, the idea of Soviet e-currency stirred up unhelpful anxieties and did not receive committee approval in 1962. Fortunately, his grand economic network project did live to see another day.</p><p class="pullquote">These Soviet cyberneticists published tongue-in-cheek papers such as ‘On Wanting to Remain Invisible – At Least to the Authorities’</p>
<p>These cyberneticists imagined a kind of smart neural network, a nervous system for the Soviet economy. This choice cybernetic analogy between computer network and brain bore its imprint on other computing theory innovations in Kiev. For example, instead of the so-called von Neumann bottleneck (which limits the amount of transferable data in a computer), Glushkov’s teams proposed ‘macro-piping processing’ modelled after the simultaneous firings of many synapses in the human brain. In addition to countless mainframe computer projects, other theoretical schemes included automata theory, the paperless office, and natural language programming that would let humans communicate with computers semantically, not just syntactically as programmers do today. Most ambitiously, Glushkov and his students theorised ‘information immortality’, a concept we might call ‘mind uploading’ with Isaac Asimov or Arthur C Clarke in hand. On his deathbed decades later, Glushkov comforted his grieving wife with a resonant reflection: ‘Be at ease,’ he soothed her. ‘One day the light from our Earth will pass by constellations, and on each constellation we will appear young again. Thus we will be together forever in the eternities!’</p>
<p>After their workday, the cyberneticists indulged in a comedy club full of frivolity and merry pranksterism that bordered on the outright defiant. No more than a place to vent off steam, their after-hours work club also saw itself as a virtual country independent of Moscow’s rule. They christened their group ‘Cybertonia’ at a New Year’s party in 1960, and organised regular social events such as holiday dances, symposia and conferences in Kiev and Lviv, even publishing tongue-in-cheek papers such as ‘On Wanting to Remain Invisible – At Least to the Authorities’. Instead of event invitations, the group issued pun-filled faux passports, wedding certificates, newsletters, punchcard currency and even a Cybertonia constitution. In a parody of Soviet (council) governance structure, Cybertonia was governed by a council of robots, and at the head of that council sat their mascot and supreme leader, a saxophone-playing robot – a nod to the US cultural import of jazz:</p>
<p><img src="https://d2e1bqvws99ptg.cloudfront.net/user_image_upload/263/JAZZ-Together.jpg"/></p>
<p>Glushkov got in on the fun, too: he called his memoirs <em>Despite the Authorities, </em>even though his official title was vice president of the Ukrainian Academy of Sciences. Counterculture, understood in the scholarship of Fred Turner as the power to count and counter other powers, has long been kin of cyberculture.</p>
<p>All of this, though, required money – lots of money, especially for Glushkov’s OGAS project. That meant convincing the Politburo to give it to them. And so it was that Glushkov found himself in the Kremlin on 1 October 1970, hoping to continue the work of Cybertonia and bring the internet to the bedraggled Soviet state.</p>
<p><span class="drop">O</span>ne man stood in Glushkov’s way: the minister of finance, Vasily Garbuzov. Garbuzov did not want any shiny, real-time optimised computer networks governing or informing the state economy. He called instead for simple computers that would flash lights and play music in hen houses to stimulate egg production, as he had seen during a recent visit to Minsk. His motivations were not born out of common-sense pragmatism, of course. He wanted the funding for his own ministry. In fact, rumour holds that he had approached the economic-reform-minded prime minister Alexei Kosygin in private before the 1 October gathering, threatening that if his competitor ministry, the Central Statistical Administration, retained control over the OGAS project, then Garbuzov and his Ministry of Finance would internally submarine any reform efforts it might bring about, just as he had done to Kosygin’s piecemeal liberalisation reforms five years earlier.</p>
<p>Glushkov needed allies to face down Garbuzov and keep the Soviet internet alive. But there were none at the meeting. The two seats left empty that day were the prime minister’s and the technocratic general secretary Leonid Brezhnev’s. These were the two most powerful men in the Soviet state – and likely supporters of OGAS. But, apparently, they chose to be absent rather than face down a ministry mutiny.</p><p class="pullquote">The first global computer network emerged thanks to capitalists behaving like cooperative socialists, not socialists behaving like competitive capitalists</p>
<p>Garbuzov successfully convinced the Politburo that the OGAS project, with its ambitious plans to optimally model and manage information flows in the planned economy, was too much too soon. The committee, after nearly going the other way, felt it was safer to support Garbuzov – and the still top-secret OGAS project was left to languish in review limbo for another decade.</p>
<p>The forces that brought down OGAS resemble those that eventually undid the Soviet Union: the surprisingly informal forms of institutional misbehaviour. Subversive ministers, status quo-inclined bureaucrats, nervous factory managers, confused workers and even other economic reformers opposed the OGAS project because it was in their institutional self-interest to do so. Without state funding and oversight, the national network project for ushering in electronic socialism splintered in the 1970s and ’80s into a patchwork of dozens and then hundreds of isolated, non-interoperable factory local-area control systems. The Soviet state failed to network their nation not because it was too rigid or top-down in design but because it was too fickle and pernicious in practice.</p>
<p>There is an irony to this. The first global computer networks took root in the US thanks to well-regulated state funding and collaborative research environments, while the contemporary (and notably independent) national network efforts in the USSR floundered due to unregulated competition and institutional infighting among Soviet administrators. The first global computer network emerged thanks to capitalists behaving like cooperative socialists, not socialists behaving like competitive capitalists.</p>
<p>In the fate of the Soviet internet we can glimpse a clear and present warning to the future of the internet. Today the ‘internet’ – understood as a single global network of networks for advancing informational liberty, democracy and commerce – is in serious decline. If <a href="http://mashable.com/2010/07/05/prince-the-internet-is-over/#RMAb4bvwEkq3" target="_blank">Prince</a> and the <a href="http://www.poynter.org/2016/ap-style-change-alert-dont-capitalize-internet-and-web-any-more/404664/" target="_blank"><span>AP Style Board</span></a> don’t convince, consider how often companies and states are seeking to silo their online experiences: the ubiquitous app is more of a walled garden for rent-seekers than a public commons for browsers. Inward-looking gravity wells (such as Facebook and the Chinese firewall) increasingly gobble up sites that link outwards (such as Aeon). So too are the heads of France, India, Russia and other nations eager to internationalise the<span> </span><em>Internet Corporation for Assigned Names and Numbers </em>and enforce local regulations for their citizens. In fact, hundreds of non-internet networks have been functioning across corporations and countries for decades. The future of computing networks undoubtedly holds not one internet but many distinct online ecosystems.</p>
<p>In other words, the future undoubtedly resembles the past. The 20th-century features multiple national computer networks clamouring for global status. The Cold War drama of what we might dub, with a wink, the ‘Soviet nyetworking’ or even, in the delightful title of historian Slava Gerovitch, the ‘Soviet InterNyet’ helps to fill out the comparative study of computer networks with a sort of internet -1.0 case study. Weighed in the balance of many past and likely future networks, the perception that there is only a single global network of networks is the exception to the rule. Given that the Cold War irony at the heart of this story – that cooperative capitalists outmaneuvered competitive socialists – did not play out well for the Soviets of yesteryear, perhaps we should not be too sure the internet of tomorrow will fare much better. </p>
<p><span class="drop">T</span>he anthropologist and philosopher Bruno Latour once <a href="http://www.bruno-latour.fr/sites/default/files/46-TECHNOLOGY-DURABLE-GBpdf.pdf" target="_blank">quipped</a> that technology is society made durable, by which he meant that social values are embedded in technologies: for example, Google’s PageRank algorithm is deemed ‘democratic’ because, among many other factors, it counts links (and links to sites making links) as votes. Like politicians with votes, the pages with the most links rank the highest. The internet appears a vehicle of liberty, democracy and commerce today in part because it cemented itself in our popular imagination just as Western values appeared to triumph in the wake of the Cold War. The Soviet internet story also reverses Latour’s aphorism: so too is society technology made temporary.</p>
<p>In other words, as our social values shift, so will what appears obvious about technology. The Soviets once embedded values into networks – cybernetic collectivism, statist hierarchy and planned economies – that seem foreign to us; so too will the values modern readers attach to the internet strike future observers as strange. Network technologies will endure and evolve, even as our fondest social assumptions about them pass into the dustbin of history.</p>
<p>Glushkov’s story is also a stirring reminder to the investor classes and other agents of technological change that astonishing genius, far-seeing foresight and political acumen are <em>not</em> enough to change the world. Supporting institutions often make all the difference. This is an express lesson of the Soviet experience and a media environment continuously mined for digital data and other forms of privacy exploitation: the institutional networks that undergird the making of computer networks and their cultures are both vital and far from singular.</p>
<p>While computer-networked projects and their promoters will continue to pedestal brighter network futures publicly, private institutional forces will, unless checked, continue to capitalise on surveillance networks committed to making themselves privy to our lives. (Perhaps that is what privacy is really about: the sweeping power of information-omnivorous institutions to pry into our lives, not just individual rights to protect against that privation.) The Soviet case study reminds us that the US National Security Agency’s domestic spying program and Microsoft’s Cloud partake in a longer 20th-century tradition of general secretariats committed to privatising personal and public information for their institutional gain.</p>
<p>In other words, we should not take too much comfort from the fact that the global internet first evolved thanks to cooperative capitalists, not competitive socialists: the story of the Soviet internet is a reminder that we internet users enjoy no guarantees that the private interests propping up the internet will behave any better than those greater forces whose unwillingness to cooperate not only spelled the end of Soviet electronic socialism but threatens to end the current chapter in our network age.</p>
