title: La nature est un champ de bataille
url: https://www.editions-zones.fr/lyber?la-nature-est-un-champ-de-bataille
hash_url: a72c83494fc6636cde5b73bd2b064958

<div class="dev"><p>En 1781, non loin de la Jamaïque, le <em>Zong</em>, un bateau négrier affrété par une compagnie marchande basée à Liverpool, jette par-dessus bord 133 esclaves<a href="" class="note">note</a>. Le capitaine justifie son geste : des aléas étant survenus depuis le départ de São Tomé, sur la côte ouest de l’Afrique, le voyage a été plus long que prévu, les vivres et l’eau sont venus à manquer et les maladies menaçaient d’emporter l’équipage. Pour le sauver, il fallait se délester d’une partie des esclaves. Quelque temps plus tard, en Angleterre, les propriétaires du bateau réclament à leur assureur d’être dédommagés pour la perte de leurs esclaves. Comme toujours dans ce genre de cas, ils avaient contracté une police d’assurance couvrant toute la cargaison du bateau. Lors du procès qui se tient à Londres en 1783, ce massacre est traité non comme un cas de meurtre, le meurtre de 133 esclaves, mais comme un litige assurantiel portant sur le bien-fondé du dédommagement, les esclaves étant juridiquement assimilés à un « chargement » (ou « cargo »). Les propriétaires du navire perdirent leur procès contre l’assureur, au motif qu’une quantité raisonnable d’eau et de vivres était encore disponible sur le bateau au moment des faits et que le retard pris par le navire était dû à des erreurs de pilotage du capitaine, et était donc évitable. Le calcul de ce dernier avait été que le montant de l’assurance serait supérieur à celui qu’il aurait obtenu en vendant les esclaves à son arrivée aux Amériques. Ce massacre suscita l’émotion de nombre de contemporains. C’est l’un des actes fondateurs du mouvement pour l’abolition de l’esclavage.</p>
<p>L’épisode du <em>Zong </em>démontre que la colonisation et l’esclavage sont depuis toujours liés au secteur de l’assurance. L’aventure impériale est trop risquée à l’époque pour que des investisseurs s’y lancent sans filet. L’impérialisme britannique – et avant lui, les cycles d’accumulation génois et hollandais<a href="" class="note">note</a> – est un impérialisme des océans. Depuis les origines, il rencontre sur sa route des obstacles et est en particulier sujet aux aléas climatiques. L’expansion mondiale du capital suppose, de ce fait, la mise en place d’un dispositif de protection de l’investissement<a href="" class="note">note</a>. Ce dispositif n’est autre que l’assurance (et la finance plus généralement), qui sécurise les marchandises et permet que, même lorsqu’elles viennent à être détruites dans des naufrages, incendies, épidémies, pillages, etc., quelque chose de leur valeur capitaliste subsiste, c’est-à-dire que l’investisseur empoche un dédommagement.</p>
<p>Que l’assurance moderne ait pris son essor au <span class="petite_capitale">XVII</span><span class="exposant">e</span> siècle dans le domaine de l’assurance maritime n’est en ce sens guère étonnant. En plus d’une valeur d’échange et d’une valeur d’usage, les marchandises ont une « valeur assurantielle ». Elles génèrent de la valeur en tant qu’elles sont assurées, en tant que le moment de leur destruction possible est anticipé<a href="" class="note">note</a>. Dans le cas du <em>Zong</em>, l’extraction de « valeur assurantielle » porte sur des êtres humains transformés en esclaves, c’est-à-dire en marchandises, mais le capitalisme est susceptible d’assujettir toute entité à ce processus.</p>
<p>L’assurance des risques naturels remonte au seuil de l’époque moderne et même sans doute à l’Antiquité. Dès le <span class="petite_capitale">XVI</span><span class="exposant">e</span> siècle, alors que la découverte des Amériques et l’amélioration des techniques de navigation propulsent l’Europe sur les océans, on assure les bateaux et leurs cargaisons contre l’éventualité d’un naufrage<a href="" class="note">note</a>. Ce qu’on appelle alors avec à propos le « prêt à la grosse aventure » permet aux armateurs d’éviter la faillite suite à la perte d’un navire. Le principe est simple : le prêteur verse un montant à l’armateur, de l’ordre du prix de sa cargaison. Si la cargaison arrive à bon port, celui-ci lui rend son argent augmenté des intérêts. En cas de naufrage, il le garde. Les mers sont loin d’être encore sécurisées à l’époque, si bien qu’elles font peser un risque constant sur la circulation internationale des marchandises. L’accroissement vertigineux des flux de biens et de personnes au cours des siècles suivants, avec l’expansion du capitalisme, donne lieu à une sophistication croissante des techniques assurantielles<a href="" class="note">note</a>. L’émergence d’un marché mondial, l’impérialisme auquel il donne lieu et l’assurance contre les risques naturels (et d’autres types de risques) sont en ce sens inextricablement liés. Il est rare d’ailleurs que la dimension assurantielle de l’impérialisme soit évoquée par les théoriciens de ce phénomène.</p>
<p>Le commerce triangulaire est au demeurant l’une des principales activités dont les primes ont alimenté le secteur de l’assurance naissant au <span class="petite_capitale">XVII</span><span class="exposant">e</span> siècle. L’afflux de primes d’assurance lié à l’essor du transport des esclaves et, plus généralement, à la circulation maritime à l’échelle du globe a permis à ce secteur de se développer. En ce sens, à l’origine, l’assurance moderne a partie liée avec l’esclavage. Mais il y a plus. L’expansion mondiale du capitalisme à cette époque a pour condition l’émergence de la finance. C’est ce qu’on a appelé la « révolution financière » de la fin du <span class="petite_capitale">XVII</span><span class="exposant">e</span> siècle et du début du <span class="petite_capitale">XVIII</span><span class="exposant">e</span> siècle<a href="" class="note">note</a> . La finance permet entre autres choses d’anticiper sur des profits futurs, c’est-à-dire de lever des montants encore inexistants pour l’investissement. Or la finance elle-même n’aurait pu se développer sans l’assurance, non seulement parce que celle-ci permet de couvrir la prise de risque financier (dans l’éventualité où la promesse de profits futurs ne se réalise pas), mais aussi parce qu’elle constitue un domaine d’investissement rentable en soi, vers lequel affluent les capitaux<a href="" class="note">note</a>. Si le commerce triangulaire a permis le développement de l’assurance, et si l’assurance a permis le développement de la finance, il est clair que financiarisation et esclavagisme ne sont pas des phénomènes étrangers l’un à l’autre. Que la traite atlantique ait pris une telle ampleur, comparée à celle d’autres régions, s’explique en partie par son imbrication avec la finance et l’assurance.</p>
<p>L’assurance des risques naturels ne concerne pas uniquement le secteur maritime. D’autres types de catastrophes (naturelles et/ou sociales), qui elles aussi font peser un risque sur l’accumulation du capital, en font l’objet dès le seuil de l’époque moderne. C’est le cas des ouragans, des tremblements de terre, des inondations, des sécheresses, des incendies, ou des pandémies, par exemple grippales. À mesure que l’économie croît, à la suite de la révolution industrielle, la valeur de ce qui est susceptible d’être perdu et donc assuré va en augmentant. Les personnes font également l’objet d’une assurance, avec l’apparition de l’« assurance vie », qui garantit le versement d’une certaine somme en cas de décès ou de survie après une date donnée de la personne assurée. L’assurance vie est une forme d’assurance sur la nature, puisque ce sont en dernière instance les corps – la vie – qui sont assurés. À la fin du <span class="petite_capitale">XVIII</span><span class="exposant">e</span> siècle est ainsi créée en France la Compagnie royale d’assurance vie. Elle est interdite à la suite de la Révolution française, au prétexte qu’elle altère l’autonomie et la responsabilité des individus, puis recréée sous une autre forme au début du <span class="petite_capitale">XIX</span><span class="exposant">e</span> siècle<a href="" class="note">note</a>. L’assurance vie fait l’objet de nombreuses oppositions aux <span class="petite_capitale">XIX</span><span class="exposant">e </span>et <span class="petite_capitale">XX</span><span class="exposant">e</span> siècles, du fait qu’elle donne l’impression de quantifier la vie, contrevenant ainsi à des principes moraux et religieux encore profondément ancrés<a href="" class="note">note</a>. Depuis lors, la marchandisation capitaliste a fait son œuvre.</p><div class="section1" id="niv1-018"><h3>DES MARCHÉS FINANCIERS « BRANCHÉS » SUR LA NATURE</h3><p>Bien que son histoire soit ancienne, l’assurance des catastrophes naturelles est, à l’heure actuelle, un marché en pleine expansion. Sur ce marché, un secteur particulier connaît un succès retentissant depuis quelques années, à savoir les titres financiers de transfert des risques climatiques, dont les « dérivés climatiques » (<em>weather derivatives</em>) ou les « obligations catastrophe » (<em>catastrophe bonds</em>, ou <em>cat bonds</em>) sont des exemples. Ces titres témoignent de l’imbrication croissante de la finance et de la nature depuis deux ou trois décennies. Ils relèvent de ce secteur de la finance désormais connu sous le nom de <em>finance environnementale</em>. Ils confient l’assurance des risques climatiques, et tout ce qui l’entoure – primes d’assurance, évaluation des risques, dédommagement des victimes… – aux marchés financiers. Là où, précédemment, le marché de l’assurance reposait sur les trois composantes que sont les assureurs, les réassureurs, et l’État comme organisateur du marché au plan légal et assureur en dernier ressort, un quatrième acteur est venu s’ajouter à la liste : la finance.</p>
<p>Cette montée en puissance de la finance environnementale résulte de l’enchevêtrement de deux crises et de l’augmentation des inégalités à laquelle elles donnent lieu. D’abord, une crise économique. Dans la première moitié des années 1970, le capitalisme entre dans une crise profonde, au moment où s’interrompt la longue période de croissance des Trente Glorieuses. Ce « long retournement », pour parler comme Robert Brenner, met en crise le taux de profit, qui ne cesse d’être déprimé depuis lors<a href="" class="note">note</a>. Il accroît également les inégalités, entre et à l’intérieur des États. La crise commencée en 2007-2008, dans laquelle nous nous trouvons encore aujourd’hui, n’est que la manifestation la plus récente de cette crise de longue durée.</p>
<p>Comment le capital réagit-il à ce déclin de la profitabilité ? De deux façons : d’une part, en privatisant tout ce qui jusque-là échappait au marché, à savoir les services publics, mais aussi la biodiversité, les savoirs, le génome humain… – privatiser signifiant dans ce cas assujettir à la logique du profit pour tâcher de le faire repartir à la hausse. D’autre part, en financiarisant, c’est-à-dire en investissant non plus dans l’économie dite « réelle » ou « productive », celle dont le taux de profit est justement déclinant, mais dans la finance, qui elle permet la réalisation de profits (fictifs) importants – jusqu’au moment où survient la crise.</p>
<p>L’assurance en général, et celle des catastrophes naturelles en particulier sont saisies par ce double mouvement de privatisation et de financiarisation du capital. Il y a un régime néolibéral en matière d’assurance, tout comme il y en a dans d’autres domaines : les retraites, la recherche scientifique, le management d’entreprise ou le commerce mondial. Il est d’ailleurs rare que les histoires du néolibéralisme prennent en compte la dimension assurantielle du phénomène. L’assurance est un secteur crucial de la vie en société. Elle est le reflet de la conception de la solidarité – du « lien social », comme on dit aujourd’hui trivialement – qui y prévaut. S’assurer consiste à transférer à autrui tout ou partie des risques inhérents à la condition humaine et, plus particulièrement, à la civilisation industrielle. La manière dont cet autrui est « construit » est donc un enjeu politique par excellence. L’assurance est également un indice de la représentation du temps que se fait une société, plus exactement des conceptions concurrentes du temps que l’on y trouve, puisqu’elle porte par définition sur un risque à venir. Du régime assurantiel en vigueur dans un monde social, on peut dire ce que Fredric Jameson dit des utopies : qu’il renferme toujours une théorie implicite du futur, c’est-à-dire de la façon dont une collectivité se projette dans l’avenir<a href="" class="note">note</a>.</p>
<p>L’autre crise qui explique la montée en puissance de la finance environnementale est bien sûr la crise écologique. Celle-ci accroît l’instabilité du capitalisme et requiert par conséquent que le dispositif de protection de l’investissement qu’est l’assurance</p>
<p>– la finance plus généralement – soit renforcé. Ce sont là les « anticorps » secrétés par le système dont nous parlions à la fin du chapitre précédent. Du fait de la multiplication et de l’aggravation des désastres naturels, la crise écologique induit aussi une augmentation du coût global de l’assurance. Elle exerce de ce fait une pression à la baisse sur le taux de profit. Ceci conduit les compagnies d’assurance et de réassurance à mettre en œuvre de nouvelles techniques assurantielles, de nouvelles façons de disperser le risque, dont la principale est la titrisation des risques climatiques. Par la même occasion, elle permet au capitalisme de trouver de nouvelles opportunités de profit.</p>
<p>Du fait de ces deux crises, la nature est donc aujourd’hui de plus en plus assujettie – subsumée, au sens de la « subsomption réelle » de Marx – à la finance. Faire l’histoire politique de la nature, comprendre en quoi elle est un champ de bataille, suppose d’appréhender les processus multiples et contradictoires dont elle est le produit. L’objectif de ce chapitre est de percer le mystère de cette financiarisation de la nature.</p></div><div class="section1" id="niv1-019"><h3>PRINCIPES DE L’ASSURANCE</h3><p>Pour comprendre ce qui se joue à l’heure actuelle autour de l’assurance des risques climatiques, il est indispensable de s’interroger sur la façon dont fonctionne l’assurance. La financiarisation de l’assurance résulte de l’apparition au cours du dernier siècle de « nouveaux risques », parmi lesquels le changement environnemental. Non que ces risques aient été absents de l’histoire du capitalisme jusque-là, bien au contraire. Mais leur intensification et leur concomitance confèrent à notre époque un caractère inédit. Ces nouveaux risques ont mis en crise l’assurance traditionnelle et donné lieu à l’apparition de techniques assurantielles originales.</p>
<p>Qu’est-ce qu’une assurance ? Dans son principe, le mécanisme est simple : une entité A, par exemple une personne, verse régulièrement une prime à une entité B, le plus souvent une société d’assurance, qui s’engage à indemniser A en cas de sinistre, selon les termes d’un contrat préétabli. Le contrat précise le montant de la prime payée par A, l’indemnisation de A par B en cas de sinistre, et détermine aussi ce qui compte comme sinistre. En cas de survenue de ce dernier, comme on sait, des discussions âpres peuvent avoir lieu sur ce point, l’assureur ayant intérêt à restreindre autant que possible le domaine d’application des indemnités. Le montant de la prime est en principe proportionnel au risque de survenue de l’aléa : plus le risque est élevé, plus la prime l’est. Il est également sujet à la réputation de l’assuré, dont le comportement de conducteur automobile peut par exemple avoir été imprudent par le passé, sur la base de quoi son comportement futur est extrapolé.</p>
<p>Dans la pratique, la fixation du montant d’une prime répond à des mécanismes certes moins « purs » : constitution de monopoles, subvention par l’État, éviction de certaines catégories d’assurés, etc. En somme, l’assurance est un mécanisme de transfert des risques. Le risque est transféré dans l’espace, au sens où il est étendu à d’autres individus que la personne ou l’organisation qui l’encourt. Et il l’est aussi dans le temps, puisque le versement de la prime commence avant que l’aléa soit survenu, et même possiblement sans qu’il survienne jamais.</p>
<p>Cette définition en apparence simple repose sur deux principes<a href="" class="note">note</a>. Premier principe : la mutualisation des risques. Le nombre d’assurances contractées par l’assureur doit être suffisamment important pour que les primes qu’il perçoit soient supérieures aux montants des indemnités qu’il doit verser à ses assurés en cas de sinistre. Le remboursement des sinistres ne doit en d’autres termes pas conduire à son insolvabilité, ce qui implique qu’il possède à tout moment les liquidités suffisantes. Il est également nécessaire que les risques assurés soient faiblement corrélés, autrement dit que la survenue des aléas soit statistiquement indépendante. Ainsi, l’assurance automobile n’est possible que parce que tout le monde ne subit pas un accident de voiture en même temps. Les primes des uns, en somme, servent à indemniser les dommages des autres. Une part importante des énergies des assureurs est consacrée à la mise en œuvre de stratégies de diversification des risques. Pour disposer d’une visibilité sur les indemnités qu’ils auront à payer sur l’année, les assureurs s’en remettent à la loi des grands nombres. Appliquée à l’assurance, celle-ci stipule que « plus le nombre de contrats agrégés est grand, plus il autorise, toutes choses égales par ailleurs, une perspective de prévision certaine en moyenne<a href="" class="note">note</a> ». S’il n’est pas possible de prévoir si et quand tel automobiliste particulier subira un accident, le nombre d’accidents de la circulation et donc d’indemnités à verser sur une année varie peu, et peut donc faire l’objet de projections.</p>
<p>Comme on va le voir, l’une des spécificités des « nouveaux risques », parmi lesquels le changement climatique, est que cette clause de non-corrélation des risques ne tient plus. Un attentat terroriste ou un ouragan affectent des zones géographiques entières au même moment, plaçant les assureurs devant l’obligation d’indemniser un grand nombre d’assurés simultanément. Il est de ce fait fréquent que ces « nouveaux risques » conduisent à la faillite de certains assureurs. Après l’ouragan Andrews en 1992, l’un des premiers dont les coûts induits s’élevèrent à plus d’un milliard de dollars, neuf assureurs firent faillite en Floride<a href="" class="note">note</a>. C’est la raison pour laquelle l’assurabilité de tels risques pose des problèmes inédits.</p>
<p>Un second principe de l’assurance est l’« inversion du cycle de production ». Ce principe stipule que l’assuré paie la prime avant la survenue de l’aléa, sans savoir si ce dernier surviendra, quand il surviendra et à combien s’élèvera le montant des pertes. Il est naturellement par définition exclu d’assurer un aléa déjà survenu, ou dont on sait à coup sûr qu’il surviendra. Le caractère incertain de ce qui fait l’objet de l’assurance est par conséquent décisif. Celui-ci est parfois menacé par ce que les assureurs appellent un « aléa moral ». Cette expression désigne les cas d’asymétrie de l’information entre l’assureur et l’assuré. L’assuré est susceptible d’exercer une influence sur la survenue du sinistre, par exemple en conduisant imprudemment ou en négligeant de protéger son logement contre un risque d’inondation. Il disposera de ce fait d’informations plus complètes que l’assureur sur la probabilité de sa survenue, ou sur l’importance des dégâts s’il survient. Les assureurs, de leur côté, font ce qu’ils peuvent pour recueillir une information aussi détaillée que possible sur la situation qui fait l’objet de l’assurance. Un assureur n’assure que ce qu’il sait calculer et classifier ; pour cela, il a besoin d’un maximum d’informations. Les compagnies d’assurance ont également intérêt à contraindre les assurés à prendre les mesures de prévention qui s’imposent, afin de maîtriser le risque, et à refuser de les assurer s’ils n’y consentent pas. Outre leur diversification, la prévention des risques constitue une part importante de l’activité des assureurs.</p>
<p>L’information est donc un enjeu décisif dans toute procédure assurantielle. Ceci a conduit les théoriciens de l’assurance à distinguer le <em>risque </em>de l’<em>incertitude</em>. Le premier à établir cette distinction est l’économiste Frank Knight, qui l’élabore dans son ouvrage de 1921 <em>Risk, Uncertainty, and Profit</em><a href="" class="note">note</a> . Knight est l’un des fondateurs de l’école de Chicago en économie, celle de Milton Friedman et de Gary Becker, et fut aussi membre de la Société du Mont-Pèlerin. Son pedigree néolibéral est donc impeccable. Le risque est une incertitude probabilisable, donc assurable. Transformer l’incertitude en risque suppose de disposer d’une information aussi complète que possible. L’information est également ce qui permet de mettre un prix sur un risque, de « pricer », comme disent les assureurs, c’est-à-dire de déterminer le montant de la prime et des indemnités. Il arrive que l’impossibilité de probabiliser une incertitude, c’est-à-dire de la transformer en risque, conduise les assureurs à se retirer d’un marché. Ce pourrait être le cas si les catastrophes dues au changement environnemental induisent des coûts croissants et difficilement probabilisables. En général, les assureurs savent cependant mettre en œuvre les stratégies nécessaires à la construction de marchés rentables.</p>
<p>L’assurance moderne est indissociable de la réassurance, qui la suit comme son ombre. La réassurance est l’« assurance des assureurs », selon une formule courante dans le domaine<a href="" class="note">note</a>. Elle consiste pour les assureurs à se prémunir face à des risques qu’ils jugent importants en contractant une assurance sur les assurances. Le mécanisme est le même qu’au degré inférieur : l’assureur paie une prime au réassureur, qui lui versera des indemnités en cas de survenue d’un sinistre. Ces primes, le réassureur les réinvestit le plus souvent en titres financiers, dont les bénéfices servent à rembourser les assureurs. C’est la raison pour laquelle les réassureurs sont depuis le <span class="petite_capitale">XIX</span><span class="exposant">e</span> siècle des acteurs de premier plan de la finance internationale. Il existe de nombreux types de contrats de réassurance<a href="" class="note">note</a>. L’un d’eux stipule par exemple que le réassureur prend en charge tous les frais d’indemnisation concernant un sinistre au-delà d’un certain montant. En deçà, c’est l’assurance qui s’en charge.</p>
<p>Les plus gros réassureurs au monde à l’heure actuelle sont Munich Re, fondée en 1880, et Swiss Re, fondée en 1863. Historiquement, la plus ancienne compagnie de réassurance est Cologne Re, fondée en 1846, qui, après fusion avec d’autres compagnies, s’appelle désormais Gen (General) Re. Les réassureurs font leur apparition à la suite d’incendies qui ravagent les grandes villes modernes au <span class="petite_capitale">XIX</span><span class="exposant">e</span> siècle. En 1842, un feu se déclare à Hambourg et met en faillite les assureurs allemands, ce qui suscite l’émergence de ce secteur. La période de fondation des réassurances modernes correspond précisément à l’époque de la révolution industrielle. C’est alors que les montants de biens assurés auxquels doivent faire face les assureurs, du fait de l’industrialisation, deviennent exorbitants et impossibles à assumer sans soutien. Le marché de l’assurance et de la réassurance n’a cessé de croître depuis lors. Depuis la Seconde Guerre mondiale, sa croissance est deux fois supérieure à celle du PIB dans les pays développés. Le développement sans précédent des sociétés capitalistes avancées lors des Trente Glorieuses n’est bien entendu pas étranger à cette tendance.</p>
<p>La réassurance suppose une mutualisation des risques d’un degré supérieur à celui de l’assurance. Cette mutualisation au carré, pour ainsi dire, permet d’abaisser le coût d’ensemble de l’assurance, puisqu’en se réassurant, c’est-à-dire en se prémunissant contre les risques de pertes élevées, les assureurs sont en mesure de diminuer le montant des primes qu’ils imposent à leurs assurés. Les volumes financiers gérés par l’industrie de la réassurance sont supérieurs à ceux de l’assurance, puisqu’ils proviennent de la collecte des primes de nombreux assureurs. C’est la raison pour laquelle la réassurance porte souvent sur les sinistres les plus coûteux : terrorisme, catastrophes naturelles, accidents techniques… ou les plus corrélés entre eux. Dès leur apparition, les réassureurs opèrent au plan mondial. Ils comptent de ce fait parmi les entreprises les plus précocement mondialisées. La capacité des réassureurs à faire face à des indemnités élevées est le fruit d’une stratégie de diversification des contrats par zones géographiques et par branches de l’économie. Le principe de faible corrélation des risques s’applique ici une fois de plus. La probabilité est plus faible en effet que plusieurs zones géographiques soient simultanément affectées par une catastrophe naturelle ou technologique, ou que la crise frappe plusieurs branches de l’économie simultanément.</p></div><div class="section1" id="niv1-020"><h3>DES NOUVEAUX RISQUES ?</h3><p>Ce dispositif assurantiel moderne est battu en brèche par l’émergence de « nouveaux risques », à partir de la seconde moitié du <span class="petite_capitale">XX</span><span class="exposant">e</span> siècle. La nouveauté est toujours sujette à caution en histoire. Elle résulte le plus souvent de l’intensification, de l’hybridation et de la visibilisation de processus déjà à l’œuvre antérieurement plutôt que d’innovations radicales<a href="" class="note">note</a>. Quoi qu’il en soit, ces nouveaux risques échappent en partie à l’emprise du dispositif assurantiel que nous avons décrit, soit parce que les montants d’indemnités qu’ils supposent sont trop importants, y compris pour les réassureurs, soit parce que la nature de ces risques fait qu’ils sont difficilement assurables, que les principes de l’assurance tels que nous les avons présentés s’appliquent difficilement à eux. Ceci conduit à l’émergence d’un nouveau régime assurantiel, dans lequel la finance occupe une position centrale.</p>
<p>La notion de catastrophe est très relative, c’est-à-dire historiquement et géographiquement variable<a href="" class="note">note</a>. Dans le monde judéochrétien, sa connotation religieuse est évidente. Une distinction fréquemment citée dans la littérature assurantielle est celle entre « catastrophe » et « cataclysme », proposée par David Culter et Richard Zeckhauser<a href="" class="note">note</a>. Est dit catastrophique un événement dont les dommages s’élèvent à plus de 25 millions de dollars. Au-delà de 5 milliards, il est cataclysmique. Cette distinction en apparence abstraite s’explique par la volonté de calculer, et donc au préalable de classifier les événements. Elle remonte à 1997. Depuis lors, l’échelle des coûts ayant été poussée vers le haut, ces chiffres doivent être actualisés.</p>
<p>Plusieurs types de risques bouleversent le secteur de l’assurance : le terrorisme, les risques technologiques et la multiplication des désastres naturels du fait notamment du changement climatique. En quoi ? D’abord, on l’a dit, le coût financier des catastrophes qu’ils induisent est élevé, et ce de plus en plus. Le réassureur Swiss Re produit des données annuelles très complètes concernant l’ampleur des dommages humains et matériels que provoquent ces catastrophes, qu’il compile dans une revue intitulée <em>Sigma</em><a href="" class="note">note</a>. Il est intéressant de constater au passage que les États ne sont plus aujourd’hui les seuls producteurs de données de ce type, que des acteurs privés tels que les assureurs disposent de moyens humains et matériels leur permettant de rivaliser avec les statistiques d’État. Les données produites par Swiss Re concernent principalement les biens assurés, autrement dit les montants que les assureurs et réassureurs ont versés à leurs clients, et non les biens en général. Ceci induit un biais dans l’échelle des catastrophes, puisque le niveau des biens assurés par rapport à l’ensemble des biens détruits varie de société en société. Le secteur de l’assurance est par exemple bien moins développé au Burkina Faso qu’en France, puisque s’assurer suppose d’avoir les moyens de le faire. On estime ainsi que, dans les pays en développement, seuls 3 % des biens perdus lors de catastrophes sont assurés. Ce chiffre s’élève à plus de 40 % dans les pays développés<a href="" class="note">note</a>. Cela conduit les données disponibles à systématiquement sous-estimer les pertes encourues dans le premier groupe de pays.</p>
<p>La catastrophe la plus coûteuse de l’histoire en dommages assurés – depuis 1970, époque à laquelle ces données commencent à être compilées – est à ce jour l’ouragan Katrina, qui s’est abattu sur la région de La Nouvelle-Orléans en 2005. Cinq ans après la survenue de cette catastrophe, son coût matériel est estimé à 75 milliards de dollars (corrigés de l’inflation) et à 150 milliards de dollars si l’on tâche d’estimer les biens non assurés. La première place occupée par Katrina dans ce classement résulte de la puissance dévastatrice de cet ouragan, de l’impréparation et des erreurs commises par les autorités états-uniennes dans sa gestion. Mais elle résulte aussi du fait qu’il s’est abattu sur le pays le plus riche du monde, où donc les biens matériels assurés sont nombreux.</p>
<p>Dans l’ordre des catastrophes les plus coûteuses de l’histoire, on trouve ensuite le séisme suivi d’un tsunami au Japon en 2011, (35 milliards), qui donna également lieu à la catastrophe nucléaire de Fukushima, l’ouragan Andrews de 1992 (25 milliards) aux États-Unis et les attentats terroristes du 11 septembre 2001 (24 milliards), ce dernier étant le plus coûteux des événements que Swiss Re qualifie de catastrophe « technique », par quoi il faut entendre un événement sans rapport avec un phénomène naturel. En France, en 2003, année de la canicule, le coût agrégé des catastrophes naturelles s’est élevé à plus de 2 milliards d’euros, ce qui est un record. Au cours des vingt dernières années, le principal risque naturel est les inondations, suivi de la sécheresse.</p>
<p>La précaution est naturellement de mise concernant ces chiffres, ce d’autant plus qu’une catastrophe est susceptible de générer des effets différés dans le temps, qui sont difficiles à évaluer. Un ouragan à Taiwan pourra ainsi non seulement détruire des biens matériels et faire des victimes humaines, mais également interrompre des circuits de production ou d’assemblage globaux, par exemple dans le domaine informatique, dont Taiwan est un maillon important. Il pourra aussi ralentir le transit naval dans le détroit de Formose (qui sépare l’île du continent chinois), par où passent des flux commerciaux massifs. Avec l’accélération de la mondialisation depuis les années 1970, les « chaînes globales de marchandises » tendent à être de plus en plus longues et à se déployer à l’échelle de la planète<a href="" class="note">note</a>. Un accident de production (naturel ou technique) à un point, et c’est l’ensemble de la chaîne qui est plus ou moins durablement compromise, générant des coûts assurantiels importants. Autre exemple, les maladies pulmonaires contractées par les secouristes lors de leur intervention sur le site des tours jumelles à New York le 11 septembre 2001, du fait du contact prolongé avec les gravats et la poussière, mettent du temps à se manifester, souvent plusieurs années. Elles pèsent de ce fait sur le système assurantiel (privé et public) de façon différée.</p>
<p>Un désastre peut avoir un coût matériel élevé, mais un coût humain faible, et inversement. Les catastrophes les plus meurtrières en nombre de victimes depuis 1970, ce sont les tempêtes et inondations résultant du cyclone Bhola au Bangladesh (alors Pakistan oriental) et dans l’État indien du Bengale en 1970, qui ont fait autour de 300 000 victimes. En troisième position, on trouve le tremblement de terre à Haïti en 2010, avec 222 000 morts. La canicule et la sécheresse européennes de 2003, qui ont provoqué la mort de 35 000 personnes, se trouvent en douzième position, c’est d’ailleurs la première catastrophe de la liste localisée en Europe, alors que l’Europe et les États-Unis sont omniprésents dans le haut du tableau des catastrophes les plus coûteuses financièrement. Cela démontre si besoin était l’impact du développement économique sur la mortalité suscitée par de tels événements. Plus loin dans le classement, on trouve l’accident dans l’usine chimique d’Union Carbide, une multinationale états-unienne, à Bhopal, en Inde, en 1984, avec 6 000 morts.</p>
<p>Pour l’année 2011, la plus récente pour laquelle des chiffres sont disponibles, Swiss Re a comptabilisé 325 catastrophes en tout, dont 175 « naturelles » et 150 « techniques ». Il est intéressant de constater que le réassureur comptabilise le « printemps arabe » de 2011 comme « catastrophe technique ». Les pertes matérielles lors de ce processus révolutionnaire ont été importantes et, en Égypte, 846 personnes ont perdu la vie. En dernière instance, est une catastrophe aux yeux d’un assureur un événement qui dépasse un certain montant d’indemnités à verser aux assurés. Il s’agit d’une définition purement quantitative de la catastrophe. En principe toutefois, ce qui relève des guerres, révolutions, crimes contre l’humanité et autres « états d’exception » est exclu de la comptabilité des catastrophes par les assureurs.</p>
<p>Le séisme japonais est le principal désastre de 2011. La Nouvelle-Zélande a également subi un tremblement de terre et la saison des ouragans aux États-Unis a été particulièrement virulente, même si aucun d’eux n’a été aussi dévastateur que Katrina ou Andrews. Des inondations meurtrières ont également eu lieu en Thaïlande à partir de juillet. En 2011, pour la deuxième année consécutive, les catastrophes techniques semblent moins nombreuses que les catastrophes naturelles. Selon Swiss Re, le nombre des premières ne cesse de diminuer depuis 2005, celui des catastrophes naturelles continuant au contraire sa tendance historique à augmenter depuis 1970. De ce recul des catastrophes techniques, on ne tirera pas de conclusion hâtive. Cette tendance peut être le fruit aussi bien du hasard, de l’amélioration des mesures de sécurité que du durcissement des conditions de remboursement des assureurs, puisqu’on a dit que ceux-ci comptabilisent principalement les catastrophes qui donnent lieu à dédommagements. Il y a fort à parier en revanche que si le changement climatique n’est pas la cause unique de l’augmentation des catastrophes naturelles, la causalité étant dans ce domaine difficile à établir, il est de toute évidence l’un des paramètres qui y contribuent.</p>
<p>À mesure que le capitalisme se développe, l’urbanisation et la croissance démographique ne cessent d’augmenter<a href="" class="note">note</a>. La population californienne a par exemple triplé depuis 1950, rendant d’autant plus meurtriers et coûteux les tremblements de terre et glissements de terrain dans cet État. La Californie, la Floride et le Japon sont trois régions fréquemment victimes de catastrophes naturelles, dont la densité de la population et du bâti a crû tout au long du <span class="petite_capitale">XX</span><span class="exposant">e</span> siècle. Dans bien des endroits, l’urbanisation et la croissance démographique se sont effectuées sans égard pour l’environnement, ce qui a aggravé la létalité potentielle des catastrophes. Les zones humides de la Louisiane ont ainsi fait l’objet d’un développement urbain désordonné au cours des dernières décennies. Or ces <em>wetlands </em>constituaient jusque-là une zone tampon, protégeant les terres et les habitants des ouragans. Les dégâts causés par Katrina en 2005 dans cet État s’expliquent notamment par la fragilisation de cette zone. L’augmentation du coût de l’assurance des risques climatiques est donc étroitement liée au développement économique, urbain et démographique.</p>
<p>L’accroissement de l’espérance de vie est un corollaire de cette tendance, dont l’impact environnemental est manifeste. En Floride par exemple, des contingents de plus en plus nombreux de retraités s’installent sur les côtes, ce qui fait monter en flèche le taux d’urbanisation<a href="" class="note">note</a>. Or ces côtes sont fréquemment victimes d’ouragans et autres catastrophes naturelles. 80 % des biens assurés de la Floride se situent à proximité des côtes, dans des régions soumises à ce risque<a href="" class="note">note</a>. Aux États-Unis plus généralement, la valeur des biens assurés près des côtes a augmenté de 70 % pendant les années 1990, pour atteindre plus de 3 000 milliards de dollars à la fin de la décennie. Certaines parties du sud de la France se trouvent dans une situation similaire. Entre 1988 et 2007, les départements de l’Aude, de l’Hérault et du Gard ont en effet été les plus touchés par des inondations<a href="" class="note">note</a>. Une boucle causale relie donc l’augmentation de l’espérance de vie, l’urbanisation et les coûts que ces deux tendances induisent pour l’assurance.</p>
<p>Ce processus doit être mis en rapport avec une tendance générale des « coûts de production » à augmenter à mesure que le capitalisme se développe. Comme l’a montré Immanuel Wallerstein, trois mouvements de longue durée expliquent l’accroissement des coûts de production au cours de l’histoire<a href="" class="note">note</a>. Tout d’abord, l’exode rural, c’est-à-dire la transformation de larges masses de paysans en salariés. Alors qu’une grande partie de ces derniers pouvaient jusque-là compter pour une part sur l’agriculture pour se nourrir, leur arrivée dans les villes les rend désormais entièrement dépendants des salaires que leur versent leurs employeurs, augmentant d’autant la part de la plus-value transformée en salaires et diminuant d’autant les profits. Ensuite, la demande de bien-être des populations – santé, éducation, retraites – tend à augmenter de manière exponentielle, notamment depuis les Trente Glorieuses, immobilisant là encore d’importants volumes de capitaux. C’est l’un des aspects de la « crise fiscale de l’État », sur laquelle nous reviendrons dans un instant.</p>
<p>Un troisième facteur d’augmentation des coûts de production est l’épuisement de la nature. Celle-ci a procuré au capitalisme, pendant plusieurs siècles, des matières premières et autres ressources naturelles à bas prix<a href="" class="note">note</a>. Elle parvenait également jusqu’ici dans une large mesure à absorber les déchets de la production capitaliste. Or ces deux fonctions – la nature comme <em>input </em>et comme <em>output </em>– sont de plus en plus difficilement réalisées aujourd’hui, c’est-à-dire de plus en plus chères. Ce renchérissement du rapport du capitalisme avec la nature pèse à la baisse sur le taux de profit.</p></div><div class="section1" id="niv1-021"><h3>ONTOLOGIE DE LA CATASTROPHE</h3><p>Les nouveaux risques se caractérisent par le phénomène de l’<em>hypercorrélation</em>. On l’a dit, les risques assumés par un assureur doivent être suffisamment décorrélés pour qu’il n’ait pas à indemniser trop d’assurés en même temps. Dans le cas des nouveaux risques, ce principe de non-corrélation entre en crise. Les catastrophes évoquées ci-dessus affectent des centaines de milliers, voire des millions de personnes, et des volumes colossaux de biens matériels en même temps. Autrement dit, elles frappent des régions entières. Cela oblige les assureurs à faire face à des coûts souvent hors de leur portée et parfois à se retirer du marché. C’est ce qui est arrivé aux États-Unis à la suite des attentats du 11 septembre 2001, après lesquels ils ont exclu le terrorisme de leurs contrats d’assurance, avant d’être ramenés de force par l’État sur ce marché (leur retrait était en réalité une manière d’obliger ce dernier à assumer une part grandissante dans l’assurance des attentats : privatisation des bénéfices, socialisation des pertes, c’est ainsi que fonctionne le capitalisme)<a href="" class="note">note</a>. Ces catastrophes affectent plusieurs lignes assurantielles simultanément : assurance vie, rente invalidité, interruption d’activité économique, dommages aux biens et aux personnes<a href="" class="note">note</a>. Elles sont de surcroît susceptibles de désorganiser durablement une région, ce qui peut entraîner des conséquences économiques importantes. Elle pousse de ce fait le secteur de l’assurance à évoluer. Comme on l’a vu avec la création de la réassurance à la suite d’incendies dans les villes au <span class="petite_capitale">XIX</span><span class="exposant">e</span> siècle, il est fréquent que les innovations assurantielles fassent suite à des désastres. Une catastrophe a une ontologie différente de celle d’aléas plus ordinaires, comme les accidents de voiture. Lors d’un accident de voiture, un nombre restreint de personnes est affecté, même lorsque l’accident est grave. En outre, comme on l’a dit, si un accident unique est par définition imprévisible, les accidents agrégés sur un laps de temps donné répondent à la loi des grands nombres. Au contraire, dans une région donnée, une catastrophe affecte tout le monde. Elle interrompt le cours normal de la vie sociale, pour une durée plus ou moins longue, ce qui n’est évidemment pas le cas d’un accident de voiture. La loi des grands nombres ne s’y applique pas, puisqu’il s’agit d’événements ponctuels. Ceci implique qu’il est difficile pour les assureurs d’anticiper leurs pertes et donc de mettre en œuvre des stratégies de diversification des risques adaptées. Dans le jargon de l’assurance, les événements rares sont appelés <em>tails</em>, pour « queues » de distribution, dont la probabilité est faible. <em>Tail risk </em>est une expression employée dans le monde de la finance en général pour désigner les risques extrêmes, susceptibles par exemple de conduire à la perte de l’ensemble d’un portefeuille financier.</p>
<p>Les nouveaux risques sont plus difficilement probabilisables que les risques traditionnels. La difficulté à construire des données fiables les concernant suppose que les assureurs ne parviennent pas toujours à mettre un prix sur l’incertitude et donc pas non plus à déterminer le montant des primes. L’hypercorrélation a en outre pour conséquence de brouiller la distinction entre le privé et le public<a href="" class="note">note</a>. Un accident de voiture est un aléa privé, même s’il peut arriver qu’un accident majeur induise un trouble temporaire à l’ordre public, ou émeuve l’opinion par son ampleur. Une catastrophe de type 11 septembre 2001 ou du tsunami de 2004 dans l’océan Indien au large de l’île de Java – 210 000 morts – est un phénomène public, du fait justement qu’il concerne une zone géographique entière. La prolifération de catastrophes de ce genre au cours des récentes décennies, et particulièrement de catastrophes naturelles du fait du changement climatique, met donc en crise la séparation du privé et du public, l’un des fondements du monde social moderne. Elle modifie également le rôle de l’État dans la gestion de ces catastrophes.</p></div><div class="section1" id="niv1-022"><h3>RISQUE ET POSTMODERNITÉ</h3><p>Cette ontologie des nouveaux risques a donné lieu à l’une des théories sociales contemporaines les plus influentes : la « société du risque » d’Ulrich Beck, énoncée dans l’ouvrage du même nom en 1986<a href="" class="note">note</a>. Le sociologue britannique Anthony Giddens, connu pour avoir été le principal théoricien de la « troisième voie » de Tony Blair, est lui aussi un partisan de cette approche<a href="" class="note">note</a>. Beck s’inscrit dans les débats portant sur la « postmodernité » qui ont fait rage au cours des années 1980 et 1990. La question était alors de savoir si nous avions quitté la modernité et ses valeurs – science, raison, progrès, justice, égalité – pour entrer dans la « postmodernité », ou si au contraire ces valeurs étaient toujours actives dans l’organisation des sociétés. De Jean-François Lyotard à Jürgen Habermas, en passant par Fredric Jameson, David Harvey et Perry Anderson, les penseurs contemporains ont donné à cette question des réponses diverses.</p>
<p>La solution très originale de Beck prend appui sur l’assurance. À ses yeux, le critère décisif qui explique le passage de la modernité à la postmodernité – qu’il appelle « seconde » modernité ou modernité « réflexive » – est celui de l’assurabilité. Dans la postmodernité, certains risques sont devenus si coûteux qu’ils ne sont plus assurables selon les critères de l’assurance moderne. Ils échappent au contrôle des humains, même lorsqu’ils ont été créés par eux, à la fois parce qu’ils sont imprévisibles et parce que leurs conséquences sont socialement ingérables. Dans la mesure où la modernité reposait largement sur la maîtrise progressive des risques, et plus généralement sur l’assujettissement de la nature par l’homme, l’inassurabilité constitue un symptôme de sortie de la modernité.</p>
<p>L’attention de Beck se porte en particulier sur les risques technologiques, par exemple la catastrophe nucléaire de Tchernobyl en 1986. De tels risques ne respectent plus les frontières, qu’elles soient spatiales (le nuage de Tchernobyl ne s’est pas arrêté aux frontières nationales), sociales (il a affecté riches et pauvres sans distinction de classe) ou temporelles (ses conséquences se manifestent sur plusieurs décennies, voire siècles). Ils préfigurent la fin de l’État-nation, dont le propre est d’être territorialement délimité, et qui est par définition incapable de les gérer. Ils appellent ainsi l’émergence d’un nouveau « cosmopolitisme », dont Beck s’est fait le chantre au cours des années récentes<a href="" class="note">note</a>.</p>
<p>L’inassurabilité est donc pour Beck le fondement de la condition postmoderne. Ce constat doit toutefois être sérieusement nuancé. Ce que Beck ne voit pas, c’est que si les assureurs et réassureurs traditionnels ne sont pas en mesure d’assurer les risques nucléaires seuls, ceux-ci ont donné lieu depuis les années 1960 (c’est-à-dire depuis l’apparition du nucléaire civil) à la mise en place de « pools » assurantiels, dont l’État et même parfois plusieurs États sont parties prenantes<a href="" class="note">note</a>. En France, ce pool s’appelle « Assuratome<a href="" class="note">note</a> » et a pour vocation de couvrir le nucléaire civil. La récente catastrophe de Fukushima a déclenché des procédures assurantielles multiples. Un an après, on estime qu’elle a coûté 3 milliards d’euros à Munich Re et à AIG, et de l’ordre de 600 millions à Partner Re, ce qui démontre que l’assurance n’a pas cessé de fonctionner dans le monde contemporain, y compris pour les risques relatifs aux technologies les plus coûteuses et sophistiquées<a href="" class="note">note</a>. Par ailleurs, la financiarisation de l’assurance, un phénomène que Beck ne prend pas en considération, est concomitante de l’émergence des nouveaux risques et transforme la problématique de l’assurabilité. On va y venir dans un instant.</p>
<p>François Ewald est un théoricien du « risque » proche de Beck. Autrefois membre de la gauche prolétarienne, l’une des branches du maoïsme français des années 1970, assistant de Michel Foucault au Collège de France, Ewald est devenu depuis lors tête pensante de la Fédération française des sociétés d’assurance (FFSA) et du MEDEF, et est aujourd’hui directeur de l’École nationale d’assurances<a href="" class="note">note</a>. Il a consacré sa thèse de doctorat à l’histoire de l’État-providence, sous la direction de Foucault. Il s’est en particulier intéressé à l’évolution du traitement juridique des risques professionnels. À la fin du <span class="petite_capitale">XIX</span><span class="exposant">e</span> siècle se fait jour l’idée que les accidents et autres aléas sur le lieu de travail ne sont imputables à personne, qu’ils relèvent d’un risque inhérent à l’activité industrielle. Cette rupture avec l’idée de « responsabilité » (et au premier chef de responsabilité patronale), ainsi que son remplacement par celle de « risque », marque à ses yeux le véritable commencement de l’époque moderne. Contrairement à la responsabilité, le risque n’est le produit d’aucune intentionnalité, c’est un principe impersonnel. Par la suite, Ewald s’intéresse à d’autres types de risques, notamment au risque technologique. Il théorise aussi dans les pages de la revue <em>Le Débat</em>, en compagnie de Denis Kessler, alors président de la FFSA et vice-président du MEDEF, « les noces du risque et de la politique<a href="" class="note">note</a> ». Ils élaborent avec d’autres une distinction entre individus « risquophiles » et « risquophobes », déclarant que l’homme n’est pas un animal politique ou social, contrairement à ce que pensait Aristote, mais un animal naturellement prédisposé à prendre des risques. C’est l’époque où le MEDEF lance la « refondation sociale » et ambitionne de rompre avec le programme du Conseil national de la Résistance<a href="" class="note">note</a>. En France comme ailleurs, l’idéologie du « risque » et de l’<em>empowerment </em>est partie prenante de l’émergence du néolibéralisme.</p></div><div class="section1" id="niv1-023"><h3>LES AVENTURES DE L’ASSURABILITÉ</h3><p>Le secteur de l’assurance a subi des mutations profondes au cours des dernières décennies. On a par exemple vu émerger la nouvelle catégorie des risques dits « de développement », une variante de risque technologique<a href="" class="note">note</a>. Ces risques manifestent une dimension essentielle de toute innovation technique, à savoir le fait que des dommages à la santé publique peuvent survenir parfois bien après la commercialisation d’un nouveau produit, dommages bien entendu non prévus par son producteur. Cas par excellence : l’amiante, qui sans être une catastrophe à proprement parler, c’est-à-dire un événement ponctuel interrompant le cours de la vie sociale normale, est à ce jour le phénomène qui a coûté le plus cher à l’industrie de l’assurance aux États-Unis<a href="" class="note">note</a>. (Les premières études établissant la nocivité de l’amiante n’ont pas empêché que des travailleurs continuent à y être exposés pendant des années, ce qui ajoute une dimension de criminalité pure et simple au risque de développement.) Le risque de développement peut résulter d’un problème dans la conception du produit – un nouveau modèle de voiture, par exemple le rappel des Mercedes « classe A » en 2010 pour un problème de réservoir – ou d’une ingérence extérieure (volontaire ou non) dans le processus de fabrication, comme lorsque des traces de benzène sont découvertes dans une dizaine de bouteilles Perrier au début des années 1990 aux États-Unis, ce qui conduit la marque à retirer des centaines de millions de bouteilles du marché.</p>
<p>Les conséquences des risques de développement sur l’industrie de l’assurance sont considérables. Les assurances dites de « responsabilité civile commerciale » – dont les <em>recall insurances</em>, qui couvrent le « rappel » de produits par leur fabricant, sont un cas particulier – subissent depuis quelques décennies une croissance importante, de l’ordre de 10 % par an<a href="" class="note">note</a>. L’affaire du benzène est réputée avoir coûté plus d’un milliard de dollars à Perrier. Ces risques de développement ne sont certes pas nouveaux. Depuis les débuts de l’ère industrielle, certains produits se révèlent nocifs à l’usage, pour leurs producteurs ou consommateurs directement, ou en polluant l’environnement et en affectant ces derniers indirectement<a href="" class="note">note</a>. Ce qui a changé, c’est la sensibilité de l’opinion publique à ces situations, qui découle de la connaissance que nous avons de ces risques et de leurs effets sur la santé. Comme le dit Jürgen Habermas, on assiste à un processus de <em>visibilisation </em>par la science d’aléas nouveaux, qui rend perceptibles des risques autrefois imperceptibles, qui, en d’autres termes, tuaient en silence<a href="" class="note">note</a>. La « judiciarisation » des rapports sociaux, par quoi on désigne l’importance prise par le droit dans le règlement des différends, est également un aspect de la question. Le développement de la connaissance scientifique, du droit et de l’assurance sont en ce sens étroitement liés.</p>
<p>Le terrorisme a également eu un impact important sur le secteur de l’assurance. On l’a dit, le 11 septembre 2001 est l’un des événements les plus coûteux de l’histoire de l’assurance. Le fait que New York, l’une des villes les plus riches du monde et l’un des centres financiers mondiaux, ait été frappé n’est naturellement pas étranger à ce constat. Londres est une autre ville globale affectée par le terrorisme. L’Armée républicaine irlandaise (IRA) a frappé la capitale britannique à plusieurs reprises, notamment la City en avril 1993. Le coût de cet attentat a été estimé à un milliard de livres anglaises. Ces événements ont donné lieu à une restructuration d’ampleur du secteur de l’assurance<a href="" class="note">note</a>. Les pertes massives induites par ces attentats ont d’abord conduit les assureurs à limiter leurs engagements en matière de terrorisme, c’est-à-dire à exclure les actes de terrorisme des contrats d’assurance. Ils furent contraints de revenir sur cette décision par l’État britannique, qui a mis en place sous son égide un pool d’assurance dénommé Pool Re, qui regroupe deux cents assureurs<a href="" class="note">note</a>. Pool Re fonctionne comme une société de réassurance et est lui-même réassuré par l’État au-delà de certains montants de pertes.</p>
<p>Les risques financiers sont eux aussi massivement assurés à l’heure actuelle. L’imbrication de la finance et de l’assurance née au moment de la « révolution financière » du <span class="petite_capitale">XVII</span><span class="exposant">e</span> siècle n’a en réalité cessé de s’approfondir. L’assurance financière porte notamment sur les risques de change et de crédit. L’évolution du taux de change entre deux monnaies est susceptible de faire varier considérablement les bénéfices d’une multinationale, dont les centres de production et de vente sont disséminés aux quatre coins du globe, ce pour quoi il existe aujourd’hui toute une gamme de mécanismes assurantiels. Les produits dérivés, sur lesquels nous reviendrons, comptent parmi les principaux de ces mécanismes.</p>
<p>L’un des acronymes qui ont défrayé la chronique à l’occasion de la crise commencée en 2008 est « CDS », pour <em>credit default swap</em>. Ces produits financiers permettent à un investisseur de couvrir une position risquée du fait de la défaillance possible d’un tiers, par exemple un État se déclarant en défaut de paiement<a href="" class="note">note</a>. Le <em>swap </em>est une sorte d’assurance, érivée d’un autre titre, par exemple de dette souveraine, appelé « sous-jacent ». Le vendeur du <em>swap </em>est l’assureur et son acheteur l’assuré. Le second verse une prime au premier, comme dans le cas d’une assurance traditionnelle. En cas d’« événement de crédit » déclaré tel par les autorités financières compétentes, une indemnité est versée à l’assuré. Les <em>swaps </em>ont été créés par la banque d’investissement JP Morgan aux États-Unis. On estime à 45-60 milliards de dollars la somme totale de <em>swaps </em>contractés dans ce seul pays. La structure de ce marché est si complexe que nul n’est en mesure de prévoir les conséquences d’un déclenchement massif de CDS à la suite d’un événement de crédit. C’est la raison pour laquelle au moment du défaut larvé de la Grèce à l’été 2011, les autorités européennes ont pris grand soin d’éviter que la faillite soit ouvertement présentée comme telle.</p></div><div class="section1" id="niv1-024"><h3>CAT BONDS, OU LES OBLIGATIONS CATASTROPHE</h3><p>Des vingt-cinq catastrophes naturelles les plus coûteuses de la période 1970-2010, plus de la moitié sont survenues après 2001. Le nombre d’ouragans de catégorie 4 ou 5 a doublé en 35 ans, 5 étant la force des vents maximale. Des dix catastrophes naturelles les plus coûteuses des cinquante dernières années, six sont survenues en 2004 et 2005. Le coût de ces catastrophes naturelles est de plus en plus exorbitant pour l’industrie de l’assurance, sans compter qu’elle doit simultanément faire face, comme on l’a vu, à d’autres risques. Tout cela a conduit cette industrie à ajouter un étage supplémentaire au dispositif assurantiel existant, celui que nous avons décrit précédemment, et à s’en remettre aux marchés financiers pour augmenter son potentiel d’indemnisation, mais aussi ses profits. Ce phénomène est connu sous le nom de « titrisation» (<em>securitization </em>en anglais, <em>security </em>signifiant titre financier) des risques climatiques. Il participe du phénomène général de financiarisation de la nature auquel on assiste depuis plusieurs décennies. La financiarisation, on l’a dit au début de ce chapitre, est un phénomène typique de l’époque néolibérale, qui a vu de nombreux secteurs échappant jusque-là au marché être happés par sa logique. La nature est l’un d’eux.</p>
<p>L’un des produits financiers les plus fascinants générés par la titrisation des risques naturels est connu sous le nom de <em>cat bond</em>, diminutif de <em>catastrophe bond</em>, c’est-à-dire obligation catastrophe. Une obligation est un titre de créance ou une fraction de dette échangeable sur un marché financier, et qui est l’objet d’une cotation (qui a un prix, lequel fluctue). Une obligation peut être publique, c’est alors un bon du Trésor, ou elle peut être émise par une organisation privée. Les <em>cat bonds </em>sont des fractions de dette dont la particularité est de procéder non d’une dette contractée par un État pour renouveler ses infrastructures, ou par une entreprise pour financer l’innovation, mais de la nature et des catastrophes qui y surviennent. Leur sous-jacent, en somme, est la nature. Ils concernent une catastrophe naturelle qui n’est pas encore survenue, dont il est possible mais pas certain qu’elle survienne, et dont on sait qu’elle occasionnera des dégâts matériels et humains importants. L’objectif des <em>cat bonds </em>est de disperser les risques naturels aussi largement que possible dans l’espace et le temps, de façon à les rendre financièrement insensibles. Dans la mesure où les marchés financiers se déploient aujourd’hui à l’échelle mondiale, ces risques atteignent par la titrisation un « étalement » maximal.</p>
<p>Les <em>cat bonds </em>ne portent pas uniquement sur les catastrophes naturelles. Au cours des dernières années, assureurs et réassureurs se sont prémunis contre tous les types de surmortalité (ou « mortalité extrême », pour employer le jargon en vogue dans le secteur), quelle que soit leur cause. Les récentes pandémies grippales, porcine (2009) et aviaire (depuis 2003), ont ainsi conduit à l’émission d’obligations catastrophe, qui couvrent les assureurs en cas de mortalité massive<a href="" class="note">note</a>. Swiss Re a mis en place un programme de titrisation intitulé « Vita Capital IV Ltd. », qui lui permettrait de recevoir jusqu’à 2 milliards de dollars de dédommagement en cas de surmortalité liée à ce type de maladie. L’assureur français Axa possède un programme similaire, intitulé « Osiris Capital ». Il s’agit de formes d’assurance vie collectives, qui mutualisent les assurances vie personnelles par l’entremise de la titrisation. La mise en place de ces programmes est à chaque fois l’occasion d’opérations de communication de la part des assureurs, qui visent à convaincre les investisseurs de leur préparation face à ces pandémies hautement médiatisées.</p>
<p>Les <em>cat bonds </em>ont été créés en 1994. Depuis lors, plusieurs centaines en ont été émis, principalement par des assureurs et des réassureurs désireux de se protéger face à des catastrophes naturelles trop coûteuses en termes de mécanismes assurantiels classiques<a href="" class="note">note</a>. Nous verrons dans un instant que des États ont également émis des obligations catastrophe et que ceci n’est pas sans rapport avec la crise fiscale qu’ils traversent depuis les années 1970. Pendant la seule année 2007, vingt-sept <em>cat bonds </em>ont été émis, qui sont parvenus à lever plus de 14 milliards de dollars. La maturité moyenne de ces titres – le terme auquel ils arrivent à échéance, pendant lequel courent les intérêts – est de trois ans. Les <em>cat bonds </em>sont un cas particulier d’une catégorie plus générale de titres : les <em>insurance-linked securities </em>(ILS), autrement dit les titres liés à l’assurance de risques de diverse nature : crédit, biotechnologique, de responsabilité civile, etc. L’acronyme ART, pour <em>alternative risk transfer</em>, est également employé à leur propos. La première moitié des années 1990 a constitué un tournant pour l’industrie de l’assurance. C’est alors qu’une série d’événements naturels au coût hors du commun tels que l’ouragan Andrews en Floride en 1992, le tremblement de terre de Northridge en Californie en 1994, et celui de Kobe au Japon en 1995 sont survenus dans un laps de temps très court, contraignant l’industrie à trouver des ressources nouvelles.</p>
<p>Tous les effets du changement climatique ne peuvent être assurés. La désertification ou la montée du niveau des mers ne peuvent par exemple faire en soi l’objet d’une assurance. La raison en est qu’il s’agit de phénomènes qui ne sont pas spatialement et temporellement localisables : ils sont progressifs plutôt que ponctuels et ils concernent à des degrés divers l’ensemble de la planète. Or la délimitation spatio-temporelle est une condition de l’assurabilité. En revanche, ce genre de phénomène peut interagir avec d’autres phénomènes et donner lieu à des catastrophes qui elles sont assurables. Ainsi, la désertification contribue à la multiplication des sécheresses, à la destruction de récoltes, qui peuvent faire l’objet d’une assurance.</p>
<p>Une obligation catastrophe fonctionne de la façon suivante : une instance – assureur, réassureur, État… – émet une obligation par le biais d’une banque d’investissement, obligations qui sont vendues par elle à des investisseurs. Comme pour toute obligation, l’instance en question verse des intérêts à ces derniers, en contrepartie de l’argent qu’ils lui prêtent. Si la catastrophe survient, les investisseurs perdent leur argent (le principal), qui servira à rembourser les sinistrés, c’est-à-dire plus précisément les assureurs et réassureurs qui eux rembourseront les sinistrés. Au cas où elle ne survient pas, l’investisseur empoche les intérêts. Plus précisément, l’instance qui émet un <em>cat bond </em>crée une société <em>ad hoc</em>, appelée <em>special purpose vehicle </em>(SPV), ou « fonds commun de créance ». Cette société, en général localisée dans un paradis fiscal, part à la recherche d’investisseurs, dont les montants qu’ils lui versent sont placés en titres. En cas d’événement catastrophique déclencheur, le principal et les bénéfices issus du placement vont à l’instance émettrice. Le déclencheur peut être de plusieurs types. Ce peut être un événement d’une certaine sorte, des dommages plus élevés qu’un seuil prédéterminé, une cascade d’événements, par exemple la succession de trois cyclones dans un temps rapproché au même endroit… Le <em>cat bond</em>, on le voit, a une structure très proche du « prêt à la grosse aventure » évoqué au début de ce chapitre. Parmi les sociétés spécialisées dans la mise en place de <em>cat bonds</em>, on trouve notamment Goldman Sachs Asset Management, Credit Suisse Asset Management, Axa Investment Managers…</p>
<p>Comme tout titre financier, les ca<em>t </em>bond<em>s </em>sont évalués par des agences de notation : Standard and Poor’s, Fitch et Moody’s principalement. Ces obligations sont généralement classées BB, ce qui signifie qu’elles ne sont pas sans risque (triple A est comme on sait la note des obligations les moins risquées, celle des bons du Trésor allemands par exemple). La valeur d’un <em>cat bond fluctue</em> sur le marché en fonction de la plus ou moins grande probabilité que la catastrophe survienne et en fonction de l’offre et de la demande du titre concerné. Il arrive que ces titres continuent de s’échanger alors même que la catastrophe se déroule ou à l’approche de la catastrophe, par exemple lors d’une canicule en Europe ou d’un ouragan en Floride. C’est ce que les traders spécialisés dans ce domaine appellent, avec le sens de la formule qui les caractérise, <em>live cat bond trading,</em> autrement dit échanges d’obligation catastrophe pendant le déroulement d’une catastrophe<a href="" class="note">note</a>.</p>
<p>Il existe une bourse d’échange des titres catastrophe, intitulée « Catex », pour Catastrophe Risk Exchange, apparue en 1995 et localisée dans le New Jersey<a href="" class="note">note</a>. Cette bourse permet aux investisseurs de diversifier leurs risques. Un investisseur excessivement exposé aux tremblements de terre californiens – c’est-à-dire possédant dans son portefeuille un surcroît de titres qui le conduirait à faire faillite si un tremblement de terre survenait en Californie – pourra diversifier son portefeuille en échangeant ses <em>cat bonds </em>californiens contre des <em>cat bonds </em>portant sur des ouragans caribéens, ou un tsunami dans l’océan Indien. Catex a également pour fonction de fournir à ses clients des bases de données leur permettant d’évaluer les risques catastrophiques. Il existe d’autres systèmes de cotation des <em>cat bonds</em>. Swiss Re a ainsi mis en place un indice dénommé « Swiss Re cat bond index » permettant d’évaluer les performances des titres catastrophe par rapport au Standard &amp; Poor’s (SP) 500, un indice qui cote 500 grandes sociétés américaines<a href="" class="note">note</a>. L’agence de conseil financier spécialisée dans les <em>cat bonds </em>Artemis. bm, basée dans le paradis fiscal des Bermudes (où se concentre une part importante de l’activité assurantielle mondiale), tient quant à elle une liste exhaustive des <em>cat bonds </em>émis depuis la création de ces produits financiers<a href="" class="note">note</a>.</p>
<p>Quels avantages les <em>cat bonds </em>présentent-ils par rapport à l’assurance traditionnelle ? Les marchés financiers ont une capacité d’absorption des chocs financiers bien supérieure aux secteurs de l’assurance et de la réassurance combinés. On estime à 350-400 milliards de dollars les montants globaux destinés à l’assurance et à la réassurance à l’échelle globale aujourd’hui. La tendance historique est à l’augmentation de ce volume, même si les crises économiques sont susceptibles d’affecter ponctuellement ce secteur. Or le marché obligataire aux États-Unis dépasse à lui seul 29 000 milliards de dollars<a href="" class="note">note</a>. Le marché mondial des actions capitalise quant à lui 60 trillions de dollars. C’est sans commune mesure avec celui de l’assurance. Ainsi, si un événement de type Katrina coûtant 100 milliards de dollars ou même davantage est susceptible de mettre sérieusement en péril le marché traditionnel de l’assurance, il représente une variation minime pour les marchés financiers. Un tel événement correspondrait à une variation de 0,5 %, ce qui constitue une volatilité baissière quotidienne normale pour ces derniers. La financiarisation des risques climatiques est par conséquent (en partie) la conséquence de l’augmentation du coût des catastrophes climatiques.</p>
<p>Quel intérêt les investisseurs ont-ils à investir dans des titres climatiques ? Principalement la diversification des risques. Les risques naturels ne sont pas corrélés avec d’autres sortes de risque : le risque de change, la fluctuation des matières premières, les actions des entreprises… En temps de crise comme aujourd’hui, cette diversification est appréciable. Il peut certes arriver qu’une catastrophe affecte à la baisse les actions d’une entreprise dont le siège est localisé à l’endroit où elle survient. Mais, en principe, les <em>cat bonds </em>et autres titres naturels participent d’une stratégie de diversification des portefeuilles. Depuis le commencement de la crise des dettes souveraines européennes en 2010, les investisseurs achètent des obligations catastrophe en nombre. Le premier quart de l’année 2011 est le plus prolifique de l’histoire de ce marché, avec plus d’un milliard de dollars investis<a href="" class="note">note</a>. Comme le dit un opérateur sur ce marché : « La crise de la dette a fait la démonstration de la diversification que permettent les <em>cat bonds </em>et leur absence de corrélation avec les autres marchés financiers. Ce secteur a systématiquement réalisé de bons profits et fait preuve de peu de volatilité. De plus en plus de capitaux y sont attirés… »</p></div><div class="section1" id="niv1-025"><h3>LA NATURE COMME « ABSTRACTION RÉELLE »</h3><p>Les agences de modélisation sont un acteur crucial du dispositif des <em>cat bonds</em>. Ces agences se livrent à la <em>catastrophe modeling</em>, à la modélisation des catastrophes. Leur objectif, en somme, est de calculer la nature. On l’a dit, la caractéristique des nouveaux risques en général, et des risques climatiques en particulier, est l’incertitude qui les sous-tend, c’est-à-dire à la fois la difficulté à prévoir ces risques et, lorsqu’ils sont survenus, la difficulté à en évaluer les coûts. Les obligations traditionnelles, par exemple les bons du Trésor d’un État, fluctuent lentement, ce qui en fait des titres assez sûrs, dont l’évolution est prévisible. Du fait de la complexité des facteurs – naturels et sociaux – qui entrent en ligne de compte et du fait qu’une catastrophe survient le plus souvent sans prévenir, les <em>cat bonds </em>sont beaucoup plus difficilement prévisibles.</p>
<p>C’est la raison pour laquelle leur émission implique toujours l’intervention de modélisateurs, dont le but est justement de réduire autant que faire se peut l’incertitude. Il existe un petit nombre d’agences de modélisation au monde, la plupart états uniennes. Les principales sont AIR (Applied Insurance Reasearch), Eqecat et RMS (Risk Management Solutions)<a href="" class="note">note</a>. Ces agences développent des modèles – nous en examinerons un exemple précis dans un instant – qui s’intéressent à la probabilité d’occurrence d’un événement naturel et en calculent les caractéristiques physiques : vitesse du vent, diamètre du cyclone, températures… Ces modèles prennent également en compte les caractéristiques des bâtiments et des biens matériels de la zone concernée : matériaux employés, type de terrain, pratique de réduction des risques mise en œuvre… L’impact d’une catastrophe et son coût sont bien entendu étroitement liés à ces facteurs. L’ensemble de ces informations permet d’estimer le coût d’une catastrophe, les indemnités versées par les assureurs et, par conséquent, de déterminer le prix d’un <em>cat bond</em>. Les algorithmes élaborés par ces modélisateurs sont d’une grande sophistication mathématique, à l’image de ce qui se fait dans le monde de la finance aujourd’hui. Des méthodes telles que la « simulation » et la « contre-histoire » sont employées. Elles génèrent aléatoirement des catastrophes virtuelles, ce qui permet aux modélisateurs de se représenter leurs conséquences et donc de les prévoir<a href="" class="note">note</a>.</p>
<p>Ces agences emploient fréquemment des scientifiques issus des sciences naturelles afin de les aider à construire leurs modèles<a href="" class="note">note</a>. La société Nephila Capital Limited<a href="" class="note">note</a>, basée aux Bermudes, s’est ainsi assuré le concours d’océanographes pour modéliser les ouragans dans les Caraïbes. Avec l’aide de climatologues et d’historiens, Eqecat a créé une base de données qui contient toutes les catastrophes connues au cours des trois cents dernières années pour les États-Unis et celles survenues au cours des cinquante dernières années pour l’Europe<a href="" class="note">note</a>. Le recours à l’histoire – naturelle et sociale – est l’un des moyens permettant de lever une partie de l’incertitude liée aux catastrophes et d’assigner un prix aux risques naturels.</p>
<p>Ces agences de modélisation ne modélisent pas uniquement les risques climatiques. Elles modélisent tous les types de risque, et notamment les risques terroristes, en particulier après le 11 septembre 2001. Afin d’évaluer l’impact d’attentats, les agences AIR et RMS ont par exemple engagé d’anciens agents de la CIA et du FBI<a href="" class="note">note</a>. Ceux-ci sont supposés les instruire de la probabilité de nouveaux attentats susceptibles d’être commis sur le sol états-unien et de leur coût compte tenu de l’endroit où ils seraient commis. Or il apparaît que les modèles consacrés aux catastrophes climatiques inspirent ceux qui portent sur le terrorisme. Les firmes qui élaborent ces derniers étaient d’abord spécialisées dans le risque climatique. Bien plus, les modèles climatiques et terroristes s’interpénètrent désormais, puisque certains des modèles consacrés au terrorisme prennent en considération la force et la direction des vents qui contribueraient à disperser des agents chimiques ou biologiques dans une population<a href="" class="note">note</a>. Prenant acte de cette interpénétration, l’assureur états-unien AIG a vendu des portefeuilles qui intègrent la couverture de tous les types de risque en un seul produit financier<a href="" class="note">note</a>.</p>
<p>L’importance de la modélisation dans le fonctionnement des obligations catastrophe renvoie à un mécanisme crucial dans la formation de la valeur capitaliste : l’abstraction. Ce processus correspond à ce que les marxistes appellent les « abstractions réelles » auxquelles Marx fait référence dans les <em>Grundrisse </em>lorsqu’il écrit : « Les individus sont désormais dominés par des abstractions, tandis qu’auparavant ils étaient dépendants les uns des autres. » Ce qui fait la spécificité des formes capitalistes de domination, c’est qu’elles reposent sur un mécanisme d’abstraction. Dans les sociétés précapitalistes, au contraire, la domination est davantage immédiate, les individus sont comme dit Marx « dépendants les uns des autres ». Alfred Sohn-Rethel définit de son côté l’abstraction réelle comme une abstraction « qui ne relève pas de la pensée », autrement dit qui est le produit, ou qui répond à une nécessité, de l’accumulation du capital<a href="" class="note">note</a>. Dans l’abstraction réelle, l’objet et son apparence deviennent en quelque sorte indiscernables, et acquièrent une puissance causale propre. Comment ?</p>
<p>Pour que des marchandises soient échangées sur un marché, il faut qu’elles soient commensurables, c’est-à-dire que l’on puisse leur assigner un prix. C’est le vieux problème du passage de la valeur d’usage à la valeur d’échange, en d’autres termes de la transformation d’un objet quelconque en marchandise. Le capitalisme se heurte ici à un obstacle de taille : la valeur d’usage est singulière, elle participe du règne de la qualité, alors que la valeur d’échange, elle, suppose la mise en équivalence des marchandises en vue de l’échange, autrement dit elle relève de la quantité. L’histoire du capitalisme n’est autre qu’une succession de procédés visant à surmonter cet obstacle et à marchandiser des secteurs toujours nouveaux de la réalité. En l’occurrence, c’est la nature qu’il s’agit de rendre commensurable.</p>
<p>Afin de transcender la singularité des usages, de puissantes opérations de (re)construction du réel doivent être mises en œuvre par le capitalisme. Celles-ci sont au nombre de trois. Premièrement, il s’agit de construire l’objet, c’est-à-dire d’en délimiter précisément les contours. Une marchandise n’existe pas à l’état naturel en tant que marchandise. Qu’elle puisse être échangée suppose qu’elle soit façonnée comme telle. Dans un deuxième temps, il faut désencastrer l’objet, c’est-à-dire l’isoler par rapport à son contexte. L’environnement – matériel et humain – dans lequel s’inscrit un objet est ce qui lui confère sa singularité, celle-ci n’étant rien d’autre en dernière instance que l’ensemble des relations qu’il entretient avec les entités qui l’entourent. Désencastrer, en ce sens, signifie dé-singulariser, afin de mettre en équivalence. La notion de « désencastrement » apparaît notamment chez Karl Polanyi, dans <em>La Grande Transformation</em>, pour désigner le processus par lequel le capitalisme sépare le marché de son substrat social.</p>
<p>Enfin, le passage de la valeur d’usage à la valeur d’échange suppose l’instauration d’une calculabilité généralisée, autrement dit d’opérations mathématiques signalant aux acteurs économiques les proportions dans lesquelles les marchandises doivent s’échanger les unes contre les autres. L’importance des agences de modélisation que nous évoquions à l’instant ne se comprend pas sans cela. Ces trois opérations, c’est précisément ce que les marxistes appellent l’« abstraction réelle ». Celle-ci est typique du régime capitaliste, elle lui confère la forme de domination très particulière qui le caractérise<a href="" class="note">note</a>.</p>
<p>On assiste à l’heure actuelle à une « marchandisation par la modélisation », ou <em>model-driven commodification</em><a href="" class="note">note</a>. Cette expression désigne la façon dont, dans le capitalisme contemporain, des modèles mathématiques de plus en plus sophistiqués sous-tendent la marchandisation d’entités nouvelles. Parmi ces modèles, l’un des plus connus est la formule dite de « Black-Scholes », pour laquelle Robert Merton et Myron Scholes ont reçu le prix Nobel d’économie en 1997. Cette formule concerne les produits dérivés. Elle est supposée expliquer – et donc prévoir – la relation entre un dérivé et son sous-jacent, c’est-à-dire ce dont le prix du dérivé est justement dérivé : matière première, dette souveraine, climat, etc. La question de savoir dans quelle mesure ce genre de formule représente ou au contraire construit la réalité qu’elle prétend expliquer est complexe<a href="" class="note">note</a>. Leur dimension performative est évidente, autant qu’est évident le fait qu’elles répondent à une nécessité objective du capitalisme : la formation de la valeur d’échange. « Nature dérivée » (<em>derivative nature</em>) est une expression parfois employée pour désigner la façon dont la nature est (re)construite par le processus de financiarisation par la modélisation qu’elle subit<a href="" class="note">note</a>.</p></div><div class="section1" id="niv1-026"><h3>MARCHÉS CARBONE ET DÉVELOPPEMENT INÉGAL</h3><p>Aucun cas n’illustre mieux ces opérations de formation de la valeur capitaliste que les « marchés carbone », ou marchés des droits à polluer. Ceux-ci comptent aujourd’hui – avec la propriété intellectuelle sur Internet – parmi les « nouvelles enclosures » en voie de privatisation accélérée, équivalentes dans leur fonctionnement à l’enclosure des « communs » dans l’Angleterre des <span class="petite_capitale">XVII</span><span class="exposant">e </span>et <span class="petite_capitale">XVIII</span><span class="exposant">e</span> siècles. Les marchés carbone reposent sur deux principaux mécanismes : un système de quotas et d’échange de gaz à effet de serre (<em>cap and trade</em>) ; et un système de compensation (<em>offset</em>)<a href="" class="note">note</a>. L’État ou une autre autorité publique (ONU, Union européenne…) fixe un plafond d’émissions de CO<span class="petite_capitale">2 </span>(ou autres gaz à effet de serre) à une entreprise, qu’elle ne doit pas dépasser. Ce plafond est inférieur à ses émissions passées, afin de l’obliger à les réduire. Si elle le dépasse, elle paiera la différence. L’unité de compte et d’échange sur les marchés carbone, le « quota », équivaut à 1 tonne de carbone. Son prix fluctue selon les évolutions du marché et le caractère plus ou moins ambitieux de la politique de réduction des gaz à effet de serre décidée par l’État. Si l’entreprise a émis moins de quotas que prévu, elle peut les vendre sur le marché des droits à polluer et ainsi empocher des bénéfices.</p>
<p>Le plus volumineux système d’échange des droits à polluer au monde est le « Système communautaire d’échange des droits à polluer de l’Union européenne », ou <em>European Union emission trading system </em>(EU ETS), qui vise à atteindre les objectifs de réduction des gaz à effets de serre auxquels s’est engagée l’UE dans le cadre du protocole de Kyoto. Le Chicago Climate Exchange, créé en 2003, est le plus ancien. Selon la Banque mondiale, le marché des droits à polluer à l’échelle globale est passé de 10 milliards de dollars en 2005 à 144 milliards en 2009, la crise l’ayant ensuite stabilisé à autour de 142 milliards<a href="" class="note">note</a>. Il est difficile d’y voir clair dans un marché à l’opacité assez prononcée, du fait que les règles présidant à son fonctionnement ne sont pas encore clairement établies. Le volume des transactions sur les marchés carbone est en partie soutenu par l’activité spéculative, c’est-à-dire par l’intervention sur ces marchés d’intermédiaires financiers qui n’ont pas eux-mêmes besoin de réduire leurs émissions, mais qui achètent et vendent des quotas sur le marché secondaire pour empocher des profits. Ces « entrepreneurs climatiques » et la spéculation à laquelle ils se livrent représenteraient près d’un tiers de l’ensemble des transactions<a href="" class="note">note</a>.</p>
<p>Le marché européen de droits à polluer rencontre de sérieux problèmes d’ajustement de l’offre et de la demande depuis son instauration. Sous la pression des industriels, les quotas carbone ont été initialement trop généreusement distribués, ce qui implique que le cours du quota est très bas et par conséquent que les entreprises ne sont pas incitées à réduire leurs émissions pour vendre ensuite leurs droits à polluer sur le marché. Cette surallocation de permis donne aujourd’hui la possibilité aux firmes non seulement de continuer à polluer comme avant, mais aussi d’augmenter leurs profits au passage en vendant les quotas qui leur ont généreusement été alloués par l’État. Réduire le volume de quotas en circulation pour faire remonter le cours supposerait des décisions politiques courageuses à l’échelle du continent. Il faut remarquer aussi que la crise économique qui a débuté en 2007-2008, en faisant diminuer les taux de croissance, a par là même diminué les émissions de CO<span class="petite_capitale">2</span>.</p>
<p>À ce fonctionnement fondé sur les quotas s’ajoute un mécanisme de « compensation ». Une entreprise peut s’acquitter de sa « dette écologique », du surcroît de gaz à effet de serre qu’elle émet, en investissant dans des projets favorisant leur réduction ailleurs dans le monde, en particulier dans les régions en voie de développement. C’est ainsi que des entreprises ou pays sont autorisés à financer la préservation de l’environnement, mais aussi la construction de barrages hydroélectriques (qui compte pour plus de 25 % de ces projets de compensation) générant une énergie supposée « propre », afin d’éviter d’avoir à réduire leurs émissions<a href="" class="note">note</a>. L’idée sous-jacente est qu’il est plus facile et efficace d’installer des énergies non polluantes dans les pays en développement que de chercher à réduire les émissions dans les pays déjà développés. Ce mécanisme de compensation existe aujourd’hui non seulement pour les droits à polluer, mais aussi par exemple dans le domaine de la préservation de la biodiversité, qui permet que des pertes ou dommages en la matière à un endroit soient compensées par des améliorations à d’autres, selon certaines conditions.</p>
<p>Les marchés de droits à polluer illustrent parfaitement le processus de marchandisation évoqué ci-dessus. Les trois opérations mises en lumière y apparaissent : construction, désencastrement, calculabilité. L’émergence des marchés carbone suppose d’abord la construction d’une entité, la tonne de carbone ou « quota », qui sert d’unité de compte et d’échange. Celle-ci n’a rien de naturel, même si les gaz le sont, puisqu’on aurait pu imaginer que cette valeur soit catégorisée différemment. Cette entité est ensuite désencastrée, c’est-à-dire rendue indépendante de son contexte. Le désencastrement est ce qui permet à des processus se déroulant de part et d’autre de la planète – par exemple le financement par une entreprise polluante française de projets (supposés) écologiquement propres en Asie – d’être considérés comme commensurables. Ce qu’implique le mécanisme de compensation, c’est que polluer en France et construire un barrage hydroélectrique en Asie est écologiquement équivalent, une affirmation – absurde à tous égards – qui a pour condition de possibilité un puissant mécanisme de désencastrement et d’abstraction.</p>
<p>Le mécanisme de la compensation suit – et renforce même – les contours du développement inégal à l’échelle de la planète<a href="" class="note">note</a>. Ainsi, les émissions qui résultent de la production de marchandises importées en Europe mais fabriquées hors des frontières du continent ne sont pas comptabilisées comme émissions européennes. En ce sens, la délocalisation de la production tend mécaniquement à réduire les émissions, en plus bien sûr de réduire le coût de la force de travail pour les multinationales qui s’y livrent. Autrement dit, plus les « chaînes globales de valeur » s’allongent, plus la production se mondialise (plus elle bénéfice du développement inégal), et plus il est difficile d’identifier et de contrôler la source des émissions. « Émissions importées » est un terme parfois employé pour désigner ces émissions non comptabilisées.</p>
<p>Tout cela est rendu possible par la modélisation mathématique. Mais en plus de firmes privées : banques, agences de notation, courtiers spécialisés dans les titres environnementaux comme Eko Asset Management ou Inflection Point Asset Management, un autre acteur de poids permet la marchandisation de la nature : l’État. Qu’il soit national ou supranational, son rôle est crucial dans l’émergence de ces marchés, puisque c’est lui qui met en place le dispositif sociotechnique et la comptabilité permettant leur fonctionnement, qui fixe les quotas par branches et entreprises, etc. Le rôle de l’État comme interface entre le capitalisme et la nature apparaît donc clairement dans le cas des marchés carbone. État, capitalisme et nature constituent un triptyque qu’il s’agit de penser conjointement dans le contexte de la crise environnementale.</p></div><div class="section1" id="niv1-027"><h3>CONSTRUIRE DES MARCHÉS PROFITABLES</h3><p>En cas de catastrophe, les assureurs tendent à majorer les primes d’assurance, les élevant parfois à des prix prohibitifs. Cela produit des effets d’exclusion, désincitant les individus à s’assurer du fait de primes excessives, ce qui rétrécit le marché et oblige les assureurs à augmenter encore leurs primes du fait d’une demande insuffisante. Ce problème est particulièrement aigu dans les pays pauvres. L’existence d’un marché de l’assurance suppose la présence d’un nombre suffisant de personnes disposant des moyens de s’assurer, sans quoi les risques sont insuffisamment diversifiés et donc les assureurs dans l’incapacité de rembourser en cas de catastrophe. Dans les pays en développement, le seuil minimal est rarement atteint. Il arrive de surcroît que le cadre légal y soit défaillant, or l’émergence d’un marché de l’assurance en l’absence de cadre légal stable est problématique. La titrisation des risques climatiques est une manière pour les sociétés d’assurance et les gouvernements de contourner ces obstacles.</p>
<p>Le Programme alimentaire mondial (PAM) a ainsi émis un titre climatique – un dérivé, non une obligation, nous reviendrons sur cette différence dans un instant – en faveur du gouvernement éthiopien, afin que celui-ci puisse soutenir sa population en cas de sécheresse et de perte de récoltes<a href="" class="note">note</a>. L’Éthiopie est la proie de sécheresses récurrentes, aggravées par le changement climatique. Celles-ci donnent lieu à des famines, que le gouvernement éthiopien n’a pas les moyens de gérer et qui sont souvent prises en charge par le secteur de l’humanitaire. Le titre climatique émis par le PAM se présente comme une alternative à la fois à l’aide gouvernementale directe et à l’aide humanitaire. Il s’agit d’une forme d’assurance appelée <em>index-based insurance</em>. <em>Index-based </em>signifie que son déclencheur est une échelle graduée, par exemple de température ou de pluviométrie, qui, si elle dépasse un certain seuil, libère l’indemnité. Des systèmes assurantiels de ce genre existent également en Bolivie, en Inde et au Soudan, et sont activement promus par les organisations internationales. Ils participent d’un système en pleine effervescence à l’heure actuelle, à savoir la <em>microassurance</em>, qui est l’équivalent pour le secteur de l’assurance du micro-crédit<a href="" class="note">note</a>. La microassurance est symptomatique de la <em>financiarisation de la vie quotidienne </em>à l’œuvre à l’heure actuelle<a href="" class="note">note</a>. La multiplication des catastrophes naturelles due au changement climatique promet à ce secteur un avenir radieux.</p>
<p>La microassurance, comme son nom l’indique, porte sur de petits montants et concerne des populations pauvres, qui toutefois peuvent encourir des pertes importantes du fait de désastres naturels. Comme dans le cas du microcrédit, la gestion est communautaire, au sens où la responsabilité du paiement des primes est collectivement contrôlée. Elle concerne divers aléas : santé, pertes de récoltes ou de bétail, inondations… et inclut entre 150 et 200 millions de personnes à ce jour. Munich Re a publié plusieurs volumes consacrés à la microassurance en collaboration avec l’Organisation internationale du travail (OIT)<a href="" class="note">note</a>. Cette collaboration entre le privé et le public, en l’occurrence les organisations internationales, est une constante du secteur de l’assurance. L’objectif affiché, comme toujours, est de protéger les plus pauvres, mais capter les primes, fussent-elles microscopiques, de millions de paysans pauvres à travers le monde n’est pas étranger à l’intérêt du nº 1 mondial de la réassurance pour ce secteur. La micro-assurance peut être considérée comme une forme sophistiquée d’« accumulation par dépossession », au sens de David Harvey<a href="" class="note">note</a>. Le principe est toujours le même : en période de déclin du taux de profit, comment rendre profitables des secteurs de la vie sociale et de la population qui jusque-là échappent au marché ?</p>
<p>La profitabilité est une construction politique. Les organisations internationales qui œuvrent dans le domaine du développement, associées aux entreprises privées, développent depuis une décennie environ des « modèles de marché pour les pauvres<a href="" class="note">note</a> ». Cette démarche s’inscrit dans l’idéologie de l’<em>empowerment </em>–ou « responsabilisation » – des pauvres, visant à leur faire reprendre le contrôle de leurs existences. Le microcrédit et la micro-assurance procèdent de cette approche. La méthode mise en œuvre consiste à rendre solvables – et donc profitables – des secteurs de la population qui, étant trop pauvres, ne peuvent être intégrés au marché faute de moyens. Deux conditions doivent être réunies pour cela. D’abord, les marchés pour les pauvres doivent être déployés à large échelle, c’est-à-dire concerner des millions d’individus. Le montant d’une prime d’assurance que peut s’autoriser un paysan indien ou bolivien est extrêmement bas. Ensuite, l’agrégation des primes recueillies par les assureurs pour qu’ils puissent couvrir maladies et catastrophes, et au passage empocher des bénéfices, doit être d’un niveau suffisant. Conclusion : les primes doivent être nombreuses. Que ces modèles de marché s’adressent à des pays très peuplés rend l’opération non seulement faisable, mais financièrement juteuse pour les assureurs.</p>
<p>L’intégration des pauvres dans le marché de l’assurance suppose par ailleurs souvent que les primes d’assurance soient subventionnées par l’État, au moins au début. C’est le mécanisme dit des « partenariats public-privé », ou « PPP », qui est l’un des piliers du régime assurantiel néolibéral et dont on trouve aujourd’hui des manifestations dans tous les secteurs de l’économie, par exemple dans la construction des écoles ou la gestion des prisons. Swiss Re a publié en 2011 un rapport intitulé « Closing the financial gap. New partnerships between the public and the private sectors to finance disaster risks<a href="" class="note">note</a> ». Le « gap » financier évoqué dans ce titre est celui qui sépare les paysans pauvres des pays en développement de l’assurabilité, c’est-à-dire de la rentabilité pour les assureurs. Selon Swiss Re, c’est aux États de combler ce « gap », c’est-à-dire d’amener le paysan pauvre ou l’habitant du bidonville global au marché, afin que les assureurs puissent l’assurer. Le réassureur suisse avance plusieurs arguments pour convaincre les États. Un paysan non assuré est par exemple moins productif. Sujet aux aléas de la nature ou de la maladie, il aura tendance à moins investir dans l’outillage et les engrais et donc sa productivité à stagner. En outre, il est de toute façon en dernière instance à la charge de l’État, car si sa récolte est détruite ou s’il tombe malade, c’est son soutien qu’il sollicitera. C’est la raison pour laquelle Swiss Re suggère que l’État rende ces assurances privées obligatoires. Les <em>cat bonds </em>dits « souverains », qui sont émis par des États en partenariat avec des assureurs privés sont l’une des façons dont se nouent ces partenariats public-privé. Comme l’a montré Michel Foucault, le néolibéralisme a peu à voir avec le « laisser faire » et tout à voir avec l’intervention permanente de l’État en faveur des marchés.</p>
<p>Le pays d’origine de l’assureur est parfois susceptible d’intervenir dans l’implémentation de systèmes assurantiels dans les pays en développement. La Direction du développement et de la coopération (DDC), une branche du ministère suisse des Affaires étrangères, soutient ainsi activement Swiss Re dans ces pays<a href="" class="note">note</a>. Elle s’enquiert notamment de ce que le cadre légal en matière de droit des assurances évolue dans un sens qui soit favorable au réassureur. La Suisse est particulièrement active en « Helvé tistan ». Cette expression désigne le groupe de pays qu’elle représente au FMI et à la Banque mondiale, des organisations internationales dont la gouvernance est ainsi faite que les intérêts des pays pauvres sont (supposés être) représentés par des pays riches<a href="" class="note">note</a>. Ce groupe comprend la plupart des pays d’Asie centrale : le Tadjikistan, le Kazakhstan, le Turkménistan, le Kirghizstan et l’Ouzbékistan notamment, dont le nom se termine en « stan », d’où Helvétistan.</p></div><div class="section1" id="niv1-028"><h3>UNE OBLIGATION « MULTI-CAT » AU MEXIQUE</h3><p>La plupart des <em>cat bonds </em>émis jusqu’à présent l’ont été par des assureurs et des réassureurs désireux de se protéger face à des catastrophes. Une tendance se fait cependant jour, depuis le milieu des années 2000, consistant pour des États à émettre des obligations catastrophe. C’est ce que les théoriciens de l’assurance appellent les obligations catastrophe « souveraines », comme on parle de dette souveraine<a href="" class="note">note</a>. Cette tendance est activement encouragée par des organisations internationales opérant dans le secteur de l’économie, au premier rang desquelles la Banque mondiale et l’OCDE. Les Nations unies disposent également d’un secrétariat à la réduction des risques, créé en 1999, qui met en œuvre une <em>United Nations international strategy for disaster reduction </em>(UNISDR)<a href="" class="note">note</a>. Cette approche est élaborée à l’origine par certains théoriciens contemporains de l’assurance, dont beaucoup sont basés à la Wharton School de l’université de Pennsylvanie, l’une des <em>business schools </em>les plus prestigieuses au monde. Cette école est notamment le siège d’un laboratoire dénommé Risk Management and Decision Processes Center, en pointe sur les questions théoriques qui sous-tendent l’assurance des risques climatiques<a href="" class="note">note</a>.</p>
<p>Le Mexique a émis en 2006 un <em>cat bond </em>qui lui permet de se couvrir en cas de tremblement de terre. En 2009, le pays a décidé d’inclure dans le dispositif les ouragans, ce qui a donné lieu à un programme dit « multi-cat », autrement dit qui couvre une multiplicité de catastrophes potentielles<a href="" class="note">note</a>. Le Mexique est vulnérable à des nombreux aléas, naturels ou non. Les ouragans bien sûr, particulièrement dans la région du golfe du Mexique, mais aussi les séismes, les glissements de terrain, ou encore l’activité volcanique, le volcan Popocatépetl qui surplombe la ville de Mexico s’étant par exemple récemment remis en activité. Le séisme de magnitude 8,1 qui a frappé Mexico en septembre 1985 a fait plus de 10 000 morts et 30 000 blessés, et les dommages ont été estimés à 5 milliards de dollars. Sans oublier que le Mexique connaît depuis les années 1990 une situation de guerre civile larvée, du fait de la montée en puissance du narcotrafic, qui absorbe une part significative des ressources d’un pays qui en manque cruellement.</p>
<p>Au Mexique comme ailleurs, l’État est l’assureur en dernier ressort en cas de catastrophe naturelle. L’indemnisation des victimes se fait sur le budget fédéral, c’est-à-dire en dernière instance l’impôt, sur la base d’un principe de solidarité nationale consubstantiel à l’État-nation moderne. Ce principe est le même qui prévaut, dans certains pays, dans des secteurs comme la santé ou les retraites. La montée en puissance de l’humanitaire à partir du dernier quart du <span class="petite_capitale">XX</span><span class="exposant">e</span> siècle complète ce dispositif par une part privée, gérée par des organisations non gouvernementales, dont l’ampleur est souvent proportionnelle à l’émoi suscité par la catastrophe dans l’opinion publique internationale. Des organisations internationales comme la Banque mondiale ou le Programme des Nations unies pour le développement (PNUD) sont également susceptibles d’intervenir.</p>
<p>Au Mexique, le grand nombre de catastrophes naturelles a conduit le gouvernement à mettre en place, en 1996, un Fonds pour les désastres naturels, dit « Fonden » (<em>Fondo de desastres naturales</em>). Ce fonds intervient à la fois sur le court et le long terme : il procure de l’aide financière d’urgence aux sinistrés dans les premiers moments qui suivent une catastrophe et financent ensuite la reconstruction des infrastructures. Le Fonden est un fonds juridiquement indépendant, mais financé sur le budget de l’État. Jusqu’au début des années 2000, le système a convenablement fonctionné, en raison de désastres naturels aux coûts relativement bas. Cependant, à partir de ce moment, une série de catastrophes aux coûts exorbitants s’est abattue sur le pays. C’est ainsi qu’en 2005, par exemple, le gouvernement fédéral avait prévu de consacrer 50 millions de dollars à l’aide en cas de catastrophe et qu’il a fini par en dépenser 800 millions<a href="" class="note">note</a>.</p>
<p>C’est dans ce contexte que l’idée de titriser l’assurance des catastrophes climatiques du Mexique s’est fait jour. Sous l’égide de la Banque mondiale, dans un rôle de « coordinateur global », les protagonistes du programme « multi-cat » ont entamé un cycle de réunions et de négociations. Autour de la table, rien que des gens sérieux : le ministère des Finances du Mexique, Goldman Sachs et Swiss Re Capital Markets, chargés de vendre le programme aux investisseurs. Munich Re est également partie prenante, ainsi que deux grands cabinets d’avocats états-uniens, Cadwalader, Wickersham &amp; Taft et White &amp; Case. L’agence de modélisation en charge de mettre en place les paramètres de déclenchement de l’obligation catastrophe est Applied Insurance Reasearch (AIR). Elle a élaboré deux modèles, l’un pour les séismes, l’autre pour les ouragans, en spécifiant à chaque fois la localisation géographique de l’événement (sa trajectoire, pour l’ouragan) et ses caractéristiques physiques : magnitude sur l’échelle de Richter et profondeur dans le premier cas, vitesse du vent dans le second. Une fois le <em>cat bond </em>enregistré aux îles Caïman par Goldman Sachs et Swiss Re, sous la forme d’un <em>special purpose vehicle</em>, il a été vendu aux investisseurs au cours de <em>roadshows </em>– c’est ainsi que l’on appelle la présentation d’un nouveau produit financier sur le marché – organisés par les banques.</p>
<p>À chaque fois qu’une catastrophe frappe le Mexique, l’agence AIR se livre à des calculs pour déterminer si elle répond aux paramètres établis par les contractants et conduire à la mise à disposition du montant financier. Ainsi, un séisme a touché l’État de Baja California en avril 2010, les villes de Calexico et Mexicali en particulier, mais son épicentre se trouvait au nord de la zone délimitée par le <em>cat bond</em><a href="" class="note">note</a>. Par conséquent, l’argent de l’obligation n’a pas été libéré et le Mexique a continué à payer des intérêts. De même, un ouragan a frappé l’État de Tamaulipas en juin 2010, mais sa puissance était inférieure au seuil prédéterminé ; là encore, l’argent n’a pas été libéré. Il est fréquent que des négociations aient lieu lorsque frappe une catastrophe. En 1999, de longs pourparlers ont eu lieu entre assureurs et assurés pour savoir si Lothar et Martin, des ouragans qui ont traversé la France, constituaient un ou deux ouragans<a href="" class="note">note</a>. Les assureurs insistèrent sur le fait qu’il s’agissait d’un seul événement climatique, afin de n’avoir à payer les indemnités qu’une fois.</p>
<p>La mise en place de <em>cat bonds </em>souverains s’opère également en Asie. C’est ce que révèle un rapport de l’ASEAN paru fin 2011<a href="" class="note">note</a>. L’ASEAN est l’Association des nations d’Asie du Sud-Est. Elle inclut la Thaïlande, l’Indonésie, la Malaisie, Singapour, le sultanat de Brunei, le Vietnam, la Birmanie, le Cambodge, le Laos et les Philippines. Cette région est très exposée aux catastrophes naturelles et il est probable que le changement climatique augmentera encore le nombre et la puissance des catastrophes à venir. Dans la mesure où certains des pays de l’ASEAN sont musulmans</p>
<p>– l’Indonésie est le plus grand pays musulman au monde – ce sont les principes de l’assurance islamique, le <em>takaful</em>, qui s’appliquent. On peut relever au passage que l’assurance islamique connaît aujourd’hui une croissance annuelle de 25 %, alors que le marché de l’assurance traditionnelle a crû en moyenne de 10 % au cours des dernières années<a href="" class="note">note</a>. Swiss Re fait ainsi beaucoup d’efforts pour renforcer sa « Sharia credibility », selon sa propre expression.</p>
<p>Le système assurantiel préconisé par ce rapport de l’ASEAN inclut trois niveaux. Le premier concerne les risques récurrents mais de faible ampleur, de type glissements de terrain ou inondations locales. Dans ce cas, le financement se fait sur le budget de l’État, en prévoyant des enveloppes qui lui sont spécifiquement consacrées. Les montants financiers en jeu sont parfois importants, mais pas suffisamment pour mettre en péril la stabilité financière d’un État. Le deuxième niveau, qui renvoie aux tremblements de terre ou aux inondations plus importantes, fait appel aux « crédits contingents » de la Banque mondiale. La Banque mondiale émet des « options de tirage différé pour les risques liés aux catastrophes<a href="" class="note">note</a> ». Celles-ci permettent à un pays de recevoir une aide financière rapide en cas de catastrophe. Elles sont assorties de conditions, comme toujours lorsque la Banque mondiale prête de l’argent. Outre le versement d’intérêts, un pays qui y prétend doit mettre en place un « programme de gestion des risques appropriés », qui implique notamment le développement de partenariats avec le privé, et doit encourager l’émergence de marchés privés de gestion des risques catastrophiques. Ces crédits contingents peuvent s’élever jusqu’à 500 millions de dollars. Le troisième niveau concerne les risques peu fréquents mais dont les conséquences sont désastreuses : tremblements de terre majeurs, cyclones tropicaux, tsunamis, etc. Ce troisième étage est celui de la haute finance : vu les coûts induits par ces catastrophes, seule cette dernière est susceptible d’y faire face.</p>
<p>Le Mexique et les pays asiatiques ne sont pas les seuls à avoir mis en place des <em>cat bonds </em>souverains. La Turquie, le Chili, ou encore l’État de l’Alabama aux États-Unis, durement affecté par l’ouragan Katrina en 2005, l’ont également fait sous une forme ou une autre.</p></div><div class="section1" id="niv1-029"><h3>CRISE ÉCOLOGIQUE ET CRISE FISCALE DE L’ÉTAT</h3><p>La financiarisation de l’assurance des catastrophes climatiques par les États a une raison profonde, dont l’examen permet de mettre en rapport les questions écologiques avec le capitalisme et ses crises. Un objectif du programme « multi-cat » mexicain, de l’aveu même de ses concepteurs, est de « protéger les finances publiques » du pays émetteur, ou encore, d’« immuniser leur politique fiscale<a href="" class="note">note</a> ». Le rapport de l’ASEAN parle quant à lui de renforcer la « résilience financière » des pays membres, de « protéger les équilibres fiscaux de long terme », en financiarisant l’assurance des risques climatiques. Ces programmes obligataires ont été finalisés en 2009, alors que fait rage la plus grave crise du capitalisme depuis la Grande dépression des années 1930. Une caractéristique de la crise actuelle est l’augmentation vertigineuse des dettes souveraines, c’est-à-dire de l’endettement des États du centre de l’économie mondiale, États-Unis et Europe en tête. Cet endettement est le fruit de baisses d’impôts massives, d’inspiration néolibérale, pour les plus riches, de diminutions significatives des rentrées fiscales du fait du ralentissement de la croissance et du sauvetage des banques et d’autres institutions financières par l’État au moment de la crise. La crise des dettes souveraines intervient dans le contexte de ce que certains auteurs, parmi lesquels James O’Connor et Wolfgang Streeck, ont appelé la « crise fiscale de l’État ». Cette expression désigne le fait que les États n’ont plus les moyens financiers de leurs politiques et qu’il s’agit là d’une donnée <em>structurelle</em>, et non pas seulement passagère, apparue depuis le dernier quart du <span class="petite_capitale">XX</span><span class="exposant">e</span> siècle. Cette donnée structurelle a été encore aggravée par la crise des dettes souveraines.</p>
<p>Selon Streeck, les États sont aujourd’hui placés devant deux obligations mutuellement contradictoires : d’une part, consolider leurs finances publiques, ce qui doit leur permettre notamment d’emprunter à des taux d’intérêt plus bas que les taux actuels, la réduction des déficits et de la dette étant imposée par les marchés. De l’autre, continuer à procurer à leurs populations des niveaux d’investissement public dans l’éducation, la santé, les retraites… élevés, les attentes des populations en termes de bien-être, depuis la fin de la Seconde Guerre mondiale au moins, ne cessant d’augmenter<a href="" class="note">note</a>. En période de taux de croissance historiquement bas depuis plusieurs décennies, ces deux obligations sont impossibles à concilier. C’est ce qui conduit Streeck, qui s’inspire sur ce point d’O’Connor, à affirmer que le capitalisme et la démocratie ne seront plus compatibles pour longtemps.</p>
<p>La crise fiscale de l’État est étroitement liée à la crise environnementale. Du fait de la crise fiscale qu’ils traversent, les États sont de moins en moins capables d’assumer le coût assurantiel des catastrophes climatiques par des moyens conventionnels, c’est-à-dire principalement par l’impôt. Ils le seront d’autant moins que le nombre et la puissance de ces catastrophes iront en augmentant, du fait du changement climatique. C’est là le point de fusion de la crise écologique et de la crise financière. Un tel constat vaut pour toutes les régions du monde, mais à plus forte raison pour les plus fragiles des États. Les pays en développement sont souvent les plus durement frappés par les catastrophes climatiques, non seulement parce que c’est là que celles-ci ont lieu, mais également parce que les moyens dont ils disposent pour y faire face sont bien inférieurs à ceux que possèdent les pays développés. La montée du niveau des mers affecte les Pays-Bas aussi bien que le Bangladesh. Il est toutefois de toute évidence préférable d’y être confronté dans le premier de ces pays plutôt que dans le second. L’île antillaise de Grenade est un cas instructif. Cette île est frappée en 2004 par l’ouragan Ivan, alors qu’elle est endettée à hauteur de 90 % de son PIB. Incapable de faire face aux dépenses induites par cette catastrophe, compte tenu de son niveau d’endettement, elle est forcée de se déclarer en défaut un an plus tard.</p>
<p>La crise fiscale incite les États à financiariser de plus en plus l’assurance des risques climatiques. La titrisation est conçue comme une alternative à l’impôt et à la solidarité nationale. La crise fiscale de l’État, la crise environnementale et la financiarisation sont donc trois phénomènes étroitement liés. Cet argument peut être généralisé. À l’origine, l’exploitation de la nature ne coûte rien ou presque. Avec le temps, l’épuisement des ressources conduit toutefois à leur renchérissement, alors que la gestion des effets néfastes du développement – lutte contre les pollutions, frais liés à la santé des salariés, accidents atomiques… – coûte elle aussi de plus en plus cher. Cette tendance pèse à la baisse sur le taux de profit. Que fait alors le capitalisme ? Il transfère le coût croissant de la reproduction des conditions de production à l’État. C’est la logique même de ce système : socialisation des coûts, privatisation des bénéfices. L’augmentation des coûts relatifs aux conditions de production plonge l’État dans une crise fiscale. Les rentrées fiscales n’augmentent pas au même rythme que les dépenses, ce d’autant plus qu’à partir des années 1970 le taux de croissance des pays anciennement développés est en berne. Les finances publiques sont par conséquent structurellement déficitaires.</p>
<p>La crise fiscale de l’État le conduit à emprunter de plus en plus sur les marchés financiers, afin de financer ses dépenses et investissements et de rétablir fictivement l’équilibre de ses comptes. C’est l’une des causes de la financiarisation du capital<a href="" class="note">note</a>. Cette financiarisation procède – notamment – du renchérissement des conditions de production et des coûts croissants générés par l’exploitation de la nature. Le capitalisme exploite la nature, ce qui occasionne des dépenses de plus en plus importantes pour l’État, qui s’en remet aux marchés financiers pour y faire face.</p>
<p>La crise fiscale et la crise environnementale interagissent également par d’autres biais. Une caractéristique des nouveaux risques, on l’a vu, est l’hypercorrélation, c’est-à-dire le fait qu’ils affectent des régions entières. Une catastrophe désorganise durablement l’activité économique dans un lieu. Cela peut conduire à un ralentissement de la croissance, lequel diminuera les rentrées fiscales, puisque celles-ci sont proportionnelles à la croissance. Ce ralentissement obligera par ailleurs l’État à dépenser davantage en termes d’assurance chômage et autres prestations sociales. La crise écologique, en multipliant les catastrophes, est donc susceptible d’aggraver considérablement la crise fiscale de l’État. Le coût du changement climatique sur les systèmes de protection sociale et de santé peut être plus indirect encore. Du fait du réchauffement climatique, des agents pathogènes apparaîtront dans des régions qui en étaient jusque-là exemptes<a href="" class="note">note</a>. Avec l’accroissement des températures, une partie croissante du territoire états-unien risque par exemple d’être exposé à la malaria. Ce type de risque ne manquera pas d’engendrer des dépenses sanitaires supplémentaires, approfondissant d’autant la crise fiscale de l’État.</p></div><div class="section1" id="niv1-030"><h3>UNE NATURE DÉRIVÉE</h3><p>Les <em>cat bonds </em>et les quotas carbone ne sont pas les seuls produits financiers branchés sur des processus naturels, tant s’en faut. Les dérivés climatiques (<em>weather derivatives</em>) en sont un autre. Les <em>swaps</em>, les <em>calls </em>et les <em>puts </em>sont des exemples de dérivés. Les dérivés climatiques portent sur le temps qu’il fait et non sur les catastrophes naturelles. Ils concernent des variations non catastrophiques, dont le déclenchement ne suppose pas l’interruption du cours normal de la vie sociale. D’un événement sportif à une récolte, en passant par la grêle, un concert rock et les fluctuations du prix du gaz, bien des aspects des sociétés modernes sont influencées par le temps. On estime que 25 % du PIB des pays développés est susceptible de subir l’impact de variations climatiques<a href="" class="note">note</a>.</p>
<p>Un dérivé climatique libère un montant financier au cas où les températures – ou un autre paramètre climatique – sont supérieures ou inférieures à une moyenne, par exemple si le froid et donc les dépenses énergétiques excèdent certains niveaux, ou si la pluie limite la fréquentation d’un parc d’attractions en été. Dans le domaine agricole, certains dérivés ont pour sous-jacent le temps de germination des plantes. Un index tel que les « degrés-jour de croissance » (<em>growing degree days</em>) mesure l’écart entre la température dont a besoin une récolte pour mûrir en moyenne et la température réelle, déclenchant un versement en cas de dépassement d’un certain seuil. Dans le cadre d’un <em>swap</em>, deux entreprises que les variations du climat affectent de manière opposée peuvent décider de s’assurer mutuellement. Si une entreprise énergétique perd de l’argent en cas d’hiver trop doux, et une entreprise organisant des événements sportifs en cas d’hiver trop rigoureux, elles se verseront un montant prédéterminé selon que l’hiver est doux ou rigoureux<a href="" class="note">note</a>.</p>
<p>Les ancêtres des dérivés climatiques sont apparus dans l’agriculture au <span class="petite_capitale">XIX</span><span class="exposant">e</span> siècle, notamment aux États-Unis, au Chicago Board of Trade, et portaient sur des matières premières telles que le coton et le blé<a href="" class="note">note</a>. Au moment de la libéralisation et du décloisonnement des marchés financiers dans les années 1970 et de la prolifération des produits dérivés qui s’en est ensuivie, les sous-jacents potentiels se sont multipliés. Les multinationales de l’énergie, parmi lesquelles Enron, ont été pionnières dans ce domaine. En 1998-1999, un hiver particulièrement doux aux États-Unis du fait du phénomène La Niña a conduit à des pertes significatives pour ces compagnies, ce qui a accéléré la montée en puissance des dérivés, par l’entremise desquels elles ont « lissé » leurs risques de perte<a href="" class="note">note</a>. Il est vrai que des fluctuations de quelques degrés impliquent des variations financières colossales pour ces entreprises. À partir de 1999, les dérivés climatiques sont échangés à la Bourse de Chicago, au Chicago Mercantile Exchange, historiquement spécialisée dans les produits agricoles. L’émergence des dérivés climatiques va de pair avec une tendance croissante à la privatisation des services météorologiques, notamment dans les pays anglo-saxons<a href="" class="note">note</a>. Ces services constituent un enjeu financier et politique de taille, puisque ce sont eux en dernière instance qui déterminent les seuils au-delà desquels un dérivé se déclenche.</p>
<p>L’apparition des dérivés climatiques doit être replacée dans le contexte plus général de la « révolution des dérivés » du dernier tiers du <span class="petite_capitale">XX</span><span class="exposant">e</span> siècle, qui est concomitante de l’émergence du néolibéralisme<a href="" class="note">note</a>. Dans la première moitié des années 1970 a lieu l’abandon des taux de change fixes entre monnaies. Dès lors que les taux de change sont flottants, les gouvernements et les entreprises doivent pouvoir se couvrir face aux risques de fluctuations monétaires imprévues, sur lesquelles sont directement indexés le commerce extérieur ou les bénéfices. C’est ce à quoi vont justement servir les dérivés sur les devises, puis les dérivés sur les bons du Trésor. Or cette « révolution des dérivés » a lieu à Chicago, à l’endroit même où les premiers dérivés agricoles avaient été créés, au Chicago Board of Trade et au Chicago Mercantile Exchange. Le savoir-faire portant sur les dérivés agricoles est alors reconverti dans la mise en place des dérivés sur les monnaies et autres sous-jacents<a href="" class="note">note</a>.</p>
<p>Dans un article intitulé « Why environment needs high finance ? » (« Pourquoi l’environnement a besoin de la haute finance ? »), trois théoriciens de l’assurance suggèrent de mettre en place des <em>species swaps</em>, une forme de dérivé portant sur le risque de disparition des espèces<a href="" class="note">note</a>. L’interpénétration de la finance et de la nature revêt ici une de ses formes les plus radicales. L’idée est simple : il s’agit de rendre la préservation des espèces profitable pour les entreprises, de façon à les inciter à prendre soin d’espèces menacées qui se trouveraient sur leur territoire. La préservation des espèces coûte cher. C’est de surcroît l’argent de l’État qui est mobilisé, lequel tend à se faire rare en temps de crise. L’argument de la crise fiscale de l’État, on le voit, se trouve une fois de plus invoqué comme fondement de la financiarisation de la nature. Un <em>species swap </em>prend place entre l’État et une entreprise privée. Imaginons une variété de tortue menacée en Floride, qui vit dans les parages d’une entreprise. Si le nombre de spécimens s’accroît du fait que l’entreprise en prend soin, l’État lui verse des intérêts. Cela permet de justifier au passage des activités de préservation de la nature aux yeux de ses actionnaires, puisqu’elles deviennent profitables. Si au contraire le nombre de spécimens vient à décliner, ou à approcher du seuil d’extinction, c’est au contraire l’entreprise qui verse de l’argent à l’État, afin que celui-ci puisse engager une opération de sauvetage. Ce mécanisme est supposé inciter les privés à prendre en charge la préservation des espèces et permettre à l’État de consacrer moins d’argent à cette activité.</p>
<p>Les « hypothèques environnementales » (<em>environmental mort-gages</em>), sortes de <em>subprimes </em>dont le sous-jacent n’est pas un bien immobilier mais une portion d’environnement, les titres adossés aux forêts (<em>forest-backed securities</em>), ou encore les mécanismes de compensation des zones humides (<em>wetlands</em>), libéralisés aux États-Unis par l’administration Bush père dans les années 1990<a href="" class="note">note</a>, sont d’autres exemples de produits financiers du même type.</p></div><div class="section1" id="niv1-031"><h3>LA NATURE COMME STRATÉGIE D’ACCUMULATION</h3><p>Le capitalisme, dit James O’Connor, a des « conditions de production ». Ces conditions ne sont pas à proprement parler des marchandises, elles permettent cependant que des marchandises soient produites. Karl Polanyi, dont s’inspire ici O’Connor, les appelle « marchandises fictives », pour souligner que même si elles sont considérées comme des marchandises, leur ontologie est distincte de celle des marchandises normales. Exemple : le travail, la terre ou encore la monnaie. À mesure que le capitalisme se développe, il affaiblit et même détruit ses conditions de production. Si le pétrole – une marchandise fictive s’il en est – bon marché a permis pendant plus d’un siècle le fonctionnement de ce que Timothy Mitchell appelle la « démocratie carbone<a href="" class="note">note</a> », sa raréfaction renchérit considérablement cette condition de production. Cette pression à la hausse sur les conditions de production, le fait que le capital a besoin de ces dernières mais ne peut en même temps faire autrement que les épuiser, c’est ce qu’O’Connor appelle la « seconde contradiction » du capitalisme, la contradiction entre le capital et la nature, la première contradiction étant celle qui oppose le capital et le travail<a href="" class="note">note</a>.</p>
<p>Ces deux contradictions s’alimentent l’une l’autre. Le travail humain, en tant qu’il génère de la plus-value – de la valeur – en transformant la nature, est la catégorie qui garantit que l’histoire naturelle et l’histoire sociale sont une seule et même histoire, autrement dit que ces deux contradictions sont enchevêtrées. La première contradiction conduit à une baisse tendancielle du taux de profit, c’est-à-dire à l’apparition de crises profondes du système capitaliste. La seconde induit quant à elle un renchérissement croissant de l’entretien des conditions de production, qui pèse également à la baisse sur le taux de profit, puisque des volumes croissants de capitaux employés à cet entretien, par exemple à la recherche de réserves de pétrole toujours plus difficiles d’accès, ne sont pas transformés en profits. L’État moderne doit être conçu comme l’interface entre le capital et la nature. Il est l’instance qui régule l’usage des conditions de production, afin que celles-ci puissent être exploitées par le capital. La nature livrée au capital sans interface serait rapidement détruite par lui. Si le capitalisme a besoin de l’État, c’est donc d’abord dans un but d’autolimitation. C’est aussi, on l’a vu, dans un but de construction de la nature. C’est la raison pour laquelle la question centrale pour tout mouvement écologique digne de ce nom est la question de l’État.</p>
<p>En raccourcissant l’échelle temporelle, cette question peut être approchée un peu différemment. La crise environnementale n’est pas seulement un problème à gérer pour le capitalisme, qui pèse négativement sur le taux de profit. Elle peut être une véritable <em>stratégie d’accumulation</em><a href="" class="note">note</a>. Comme l’a montré Gramsci, les crises sont toujours des moments ambivalents pour le capitalisme. D’un côté, elles représentent un risque pour la survie du système. Mais, de l’autre, elles sont aussi des occasions de générer de nouvelles opportunités de profits. La crise environnementale n’échappe pas à cette ambivalence. L’ouragan Katrina a par exemple détruit des volumes colossaux de capital. Mais il a aussi permis l’expulsion et la rentabilisation de quartiers jusque-là populaires et donc peu rentables, ainsi que la privatisation massive des services publics, notamment les écoles. Il en va de même du tsunami de 2004 en Asie, qui a conduit à l’enclosure de nombreuses régions côtières et suscité l’installation de chaînes internationales d’hôtellerie et de restauration. Tous les exemples évoqués dans ce chapitre, des obligations catastrophe aux dérivés climatiques, en passant par les marchés carbone et les <em>species swaps</em>, témoignent de la façon dont le capital tire profit de la crise environnementale en cours. La crise n’a donc pas uniquement des effets négatifs pour le capital. « Capitaliser sur le chaos » est toujours une possibilité pour lui<a href="" class="note">note</a>. Ce point de vue, dans le fond, ne contredit pas celui de James O’Connor. Il s’agit de perspectives différentes sur un même phénomène. Sur le court terme, le capitalisme parvient à tirer profit de la crise. Pour autant, la constante pression qui s’exerce sur les conditions de production laisse penser que sa survie est désormais en jeu.</p></div><div class="section1" id="niv1-032"><h3>CONCLUSION</h3><p>Résumons le chemin parcouru jusqu’ici. Le développement industriel – le capitalisme – est à l’origine de la crise et des inégalités environnementales. Ce système produit cependant également, dans un même mouvement, des « anticorps » pour y faire face. La financiarisation est l’un d’entre eux. Elle protège l’investissement des conséquences du changement climatique, amortit l’augmentation du coût des « conditions de production » à laquelle il donne lieu, et permet par la même occasion d’en tirer profit, dans un contexte global marqué par une crise économique de longue durée. La financiarisation est donc une première réaction du capitalisme devant la crise écologique.</p>
<p>Il s’agit à présent de se tourner vers un second mécanisme qui permet au système de se prémunir face aux effets de cette crise : la guerre. Du fait de l’accroissement des inégalités qu’elle suscite, la crise écologique induit des conflits armés d’un type nouveau. Elle suscite des évolutions dans les modalités de la violence collective, qui inaugurent une ère nouvelle dans l’histoire de la guerre. En plus de se financiariser, la crise écologique se militarise. Les militaires sont d’ailleurs conscients de cette évolution. Depuis quelques années, ils intègrent en effet les conséquences du changement climatique dans leurs analyses stratégiques…</p></div></div>
