title: The Mosquitoes Are Coming for Us
url: https://www.nytimes.com/2019/07/27/opinion/sunday/mosquitoes-malaria-zika-history.html
hash_url: dcc621eef806ee43778f034869e7637f

<p class="css-exrw3m evys1bk0">Malaria often produces a synchronized and cyclical pattern of symptoms: a cold stage of chills and shakes, followed by a hot stage marked by fevers, headaches and vomiting, and finally a sweating stage. After a period of respite, this progression repeats itself. For many, especially children under 5, malaria triggers organ failure, coma and death.</p><p class="css-exrw3m evys1bk0">Mosquitoes also transmit a catalog of viruses: dengue, West Nile, Zika and various encephalitides. While debilitating, these diseases are generally not prolific killers. Yellow fever, however, is the viral exception. It can produce fever-induced delirium, liver damage bleeding from the mouth, nose and eyes, and coma. Internal corrosion induces vomit of blood, the color of coffee grounds, giving rise to the Spanish name for yellow fever, vómito negro (black vomit), which is sometimes followed by death.</p><p class="css-exrw3m evys1bk0">Today, roughly four billion people are at risk from mosquito-borne diseases. As our ancestors can attest, our battle with the mosquito has always been a matter of life and death, and it’s beginning to look as though this confrontation is coming to a head.</p><p class="css-exrw3m evys1bk0">In “Silent Spring,” Rachel Carson wrote that “our attitude toward plants and animals is a singularly narrow one,” that “if for any reason we find its presence undesirable or merely a matter of indifference, we may condemn it to destruction forthwith.” She could not have anticipated the arrival of Crispr — the gene-editing technology that can tremendously speed up the meaning of “forthwith.”</p><p class="css-exrw3m evys1bk0">Unveiled in 2012, Crispr<em class="css-2fg4z9 e1gzwzxm0"> </em> snips out a section of DNA sequencing from a gene and replaces it with another one, permanently altering a genome. This innovation has been called the extinction machine because it allows us to intrude on natural selection to wipe out any undesirable species. Crispr has been used to design <a class="css-1g7m0tk" href="https://www.npr.org/sections/goatsandsoda/2019/02/20/693735499/scientists-release-controversial-genetically-modified-mosquitoes-in-high-securit" title="" rel="noopener noreferrer" target="_blank">mosquitoes that produce infertile offspring</a>. If those mosquitoes were released into the wild, the species could become extinct. Humanity would never again have to fear the bite of a mosquito.</p><p class="css-exrw3m evys1bk0">And yet, it would also mean that science fiction would become reality. “We can remake the biosphere to be what we want, from woolly mammoths to nonbiting mosquitoes,” Henry Greely, the director of the Center for Law and the Biosciences at Stanford University, told<a class="css-1g7m0tk" href="https://www.smithsonianmag.com/innovation/kill-all-mosquitos-180959069/" title="" rel="noopener noreferrer" target="_blank"> Smithsonian magazine</a>. The question is: “How should we feel about that? Do we want to live in nature, or in Disneyland?”</p><p class="css-exrw3m evys1bk0">We also have valid, although yet unknown, reasons to be careful what we wish for. If we eradicate disease-vectoring mosquito species, would other mosquito species or insects simply fill the ecological niche? Would one disease be swapped out for another? What effect would eliminating mosquitoes (or any other animal) have on mother nature’s biological equilibrium?</p>
