title: La ville et ses déchets
url: http://resilience.mcpaccard.com/notes/la-ville-et-ses-dechets
hash_url: f48428bd52e750dd7cdb1d2efb15a5ba

<p>Quelle frustration... La déchèterie du 7e arrondissement n'accepte pas les déchets de cuisine. Sur le dépliant, il est précisé qu'ils prennent les "déchets végétaux", mais on ne parle que de branchages ou de feuilles mortes. Quand je me suis présentée aujourd'hui, accompagnée de mon compost de cuisine plein à ras bord et de trois sacs d'épluchures qui commençaient à bouder sérieusement, j'ai vite compris que nous allions tous repartir dans le même état. "Ça, Madame, ça va avec les poubelles normales."</p>
<p>Par personne, ce sont plus de 120 kilos de matière organique qui partent chaque année dans les déchets ménagers. Une aberration sans nom sur une planète en système fermé. Je ne sais plus avec qui nous nous faisions la réflexion que le concept même de "déchet" est une invention humaine. Aucune autre espèce que nous n'est aussi experte dans l'art de se déconnecter de son environnement et de briser le cycle vertueux du recyclage de toute matière.</p>
<p>Il m'arrive encore de jeter des pelures de citron à la poubelle "ménagère". J'en ressens une gêne inexplicable et de plus en plus difficile à gérer. C'est drôle quand même, après plus de trente ans à ne me poser aucune sorte de question quant à ce qui allait advenir des immenses sacs noirs, opaques et odorants, que ma famille et moi remplissions et laissions à l'extérieur du portail une ou deux fois par semaine. Mais il n'y a pas d'endroit spécial, d'endroit caché, où les ordures ménagères finissent leur vie dans la quiétude d'une retraite bien méritée. La Terre est un système fermé. Jeter mes déchets vivants dans un sac en plastique me rend presque malade. C'est un non-sens total.</p>
<p>Il n'existe pas de point de compostage en libre accès à Lyon, ou alors pas dans le centre, pas accessible, pas simple. Dans mon ancienne résidence, il fallait adhérer à une association pour accéder au bacs de compostage ainsi qu'aux jardins partagés, "le mercredi matin et le samedi matin, uniquement en présence du jardinier". Il est vrai que nous citadin·es sommes tellement déconnecté·es du bon sens paysan qu'on n'est même plus capables de faire la part des choses entre ce qui peut se décomposer ou pas. En déménageant, un voisin nous avait indiqué le code du cadenas du composteur du quartier. Le code a changé et il n'a pas renouvelé son adhésion, me voilà avec quinze litres de matière vivante en pleine fermentation, cachés hermétiquement dans un container à poignée. Je le balade avec moi depuis deux semaines sans trouver personne qui voudrait en accepter le contenu.</p>
<p>J'ai demandé à notre propriétaire si nous pouvions installer un bac à compost pour tout l'immeuble dans la cour intérieure : celle-ci étant partagée entre deux immeubles, c'est trop compliqué "juridiquement parlant". J'ai presque eu envie de démarrer un compost sauvage moi-même dans le petit parc pas loin de l'immeuble, en installant un bac fait de planches de palettes, sans cadenas, sans instructions. Mais c'est un coup à faire peur au maire de l'arrondissement et à me faire engueuler : des matières organiques en compostage, il ne manquerait plus que ça ! Il ne faudrait pas quand même penser que l'on peut rendre la matière à la Terre, vous voulez faire de l'engrais naturel ? Et puis quoi encore ? De toute façon, tout le monde y met n'importe quoi et ça attire les rats et les souris.</p>
<p>Les bacs jaunes, dédiés au tri des matières recyclables, sont toujours remplis de tout et de rien. De sacs plastiques, de choses qui ne se recyclent pas. Cela fait 25 ans qu'Eco-Emballages existe et que le pays promeut le tri sélectif à travers les villes, collectivités et infrastructures. 25 ans et pourtant personne ne sait vraiment ce qui ce recycle ou pas. Personne ne voit non plus quelle industrie faramineuse le recyclage entretient. Qu'un bon déchet est un déchet qu'on n'a pas produit. Tous les jours, je constate les manquements aux consignes, les choses que l'on ignore, les emballages en surplus, les infrastructures inadaptées, et en face, le peu de questions que nous nous posons, trop arrangés par le système confortable qui nous entoure. Pourtant, les citadin·es gagneraient vraiment à être plus autonomes avec leurs déchets. Il existe des centaines de raisons pour lesquelles le ramassage quotidien peut stopper en ville. Pas besoin d'attendre un effondrement systémique. Une simple grève de quelques jours à Marseille ou à Paris et on imagine déjà la peste revenir. Nous gagnerions à mieux maîtriser la quantité produite et à mieux comprendre ce qui est fait de nos déchets, ainsi que l'énergie dépensée à les trier, les enfouir, les incinérer. Nous gagnerions à connaître le coût environnemental de toute l'affaire, depuis la fabrication des sacs en plastique immonde jusqu'à l'incinération d'une matière qui a en tout et pour tout servi quelques heures, au mieux quelques jours. Nous gagnerions à retrouver le pouvoir de prendre du recul sur ce que nous produisons.</p>
<p>Lors des dernières journées du patrimoine, nous avons visité les caves d'une très célèbre brasserie pas très loin de chez nous. La Ville refuse de prendre leurs déchets, tellement ils en produisent. J'aperçois parfois à l'extérieur des commerces les emballages, cartons, sacs plastiques, blocs de polystyrène, films étirables pas du tout recyclables. Je constate qu'aucun fast-food n'a encore mis en place de tri de ses déchets, que les restes des commerces de nourriture sont encore très mal gérés et gâchés, que les invendus sont détruits alors qu'ils pourraient profiter à bien du monde. La ville est un enfer dès qu'il faut penser aux déchets. </p>
<p>Je n'ai toujours pas de solution pour mon compost. Je suis tout à fait volontaire pour cotiser à l'association qui gère le bac partagé le plus proche, cela fait déjà 10 jours que j'attends une réponse à ma demande. En attendant, mon composteur de cuisine attend sagement, tentant de se faire oublier. Je n'ai pas osé l'ouvrir, de toute façon le <a href="https://jardincomestible.fr/bokashi-fermentation/">compost produit grâce à la méthode bokashi</a> demande un milieu en anaérobie, ça m'arrange bien. Je documenterai l'utilisation de ce dispositif à l'occasion sur ce blog.</p>
<p>En attendant, je continue à entretenir la dissonance cognitive en jetant mes pelures de légumes dans la poubelle dite "classique". ಠ_ಠ</p>

